Silk4NET 21.0 へようこそ

発行日： 2023-11-09
Micro Focus Product Name

Silk4NET 21.0 へようこそ

  • Silk4NET Visual Studio 統合について
  • 製品スイート
New features

新機能

  • リリース ノート
Featured sections

主なセクション

  • Visual Studio での Silk4NET プロジェクトの作成
  • テストの記録
  • Silk4NET テスト スクリプトの実行
Tutorials and demonstrations

チュートリアルとデモ

  • Silk4NET のサンプル テスト スクリプト
  • Training Store の無料の Web ベース トレーニング
Samples

コード サンプル

  • Visual Studio での Silk4NET テストの手動作成
Online resources

オンライン リソース

  • Micro Focus のホーム ページ
  • OpenText リソース ページ
  • YouTube の Micro Focus チャンネル
  • オンライン ドキュメント
  • OpenText カスタマーケア
  • OpenText 製品アップデート
  • Silk Test Knowledge Base
  • Silk Test Forum
  • Web ベースのトレーニング
Provide feedback

フィードバックをお寄せください

  • Micro Focus へのお問い合わせ
  • このヘルプに関するフィードバックを電子メールで送る
  • 機能を提案する


ライセンス情報

評価版を使用しているのでない限り、Silk Test はライセンスを必要とします。

注: Silk Test ライセンスは、Silk Test の特定のバージョンに固定されています。たとえば、Silk Test 21.0 には Silk Test 21.0 のライセンスが必要です。
ライセンス モデルは、使用しているクライアントとテストすることができるアプリケーションに基づきます。利用可能なライセンス モードに応じて、次のアプリケーションの種類がサポートされます。
ライセンス モード | アプリケーションの種類
モバイル ネイティブ
  • モバイル Web アプリケーション
    • Android
    • iOS
  • ネイティブ モバイル アプリケーション
    • Android
    • iOS
フル
  • Web アプリケーション (以下を含む)
    • Apache Flex
    • Java アプレット
  • モバイル Web アプリケーション
    • Android
    • iOS
  • Apache Flex
  • Java AWT/Swing (Oracle Forms を含む)
  • Java SWT と Eclipse RCP
  • .NET (Windows Forms および Windows Presentation Foundation (WPF) を含む)
  • Rumba
  • Windows API ベース
注: ライセンスをフル ライセンスにアップグレードする場合は、http://www.microfocus.co.jp に移動します。
プレミアム

フル ライセンスでサポートされるすべてのアプリケーションの種類 + SAP アプリケーション

注: ライセンスをプレミアム ライセンスにアップグレードする場合は、http://www.microfocus.co.jp に移動します。
モバイル ネイティブ アドオン | フル ライセンスとプレミアム ライセンスでサポートされるテクノロジに加えて、モバイル ネイティブ アドオン ライセンスによって、Android と iOS 上でのネイティブ モバイル アプリケーション テストのサポートを提供します。


Silk4NET

Silk4NET は、Microsoft Visual Studio 用の Silk Test プラグインです。Silk4NET を使用すると、機能テスト、回帰テスト、およびローカリゼーション テストの作成と管理を Visual Studio で直接、効率的に実行できます。Silk4NET で実行できる Visual Studio 内の作業は、以下のとおりです。
  • テストを記録します。
  • Visual Basic .NET を使用してテストを開発します。
  • C# を使用してテストを開発します。
  • Microsoft テスト環境内のテスト計画の一環としてテストを実行できます。
  • ビルド プロセスの一環としてテストを実行できます。
  • テスト結果を表示します。

テスト済みの Visual Studio のバージョンについての情報は、『リリース ノート』を参照してください。

Silk4NET は、アプリケーション テクノロジのさまざまなセットのテストをサポートしています。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

Silk4NET は、複雑なテストに適用した場合にも自動化の利点が実現されるように設計されており、開発者が使い慣れた環境に直接、テストの自動化機能を追加するため、テスト アプリケーションに加えられた変更に簡単に対処できます。また、Silk4NET の強力なテスト フレームワークを使用すると、複数のテスト プロジェクトに対してテストの再利用が促進されるため、より高い投資収益率 (ROI) を達成できます。テスト スイートの構築と保守に要する時間が短縮されるため、QA 担当者はテスト範囲を拡張し、アプリケーション品質を最適化することができます。

注: Silk4NET の起動時に開始画面を表示しないように選択している場合、ヘルプ > 製品更新の確認 をクリックして利用可能な更新を確認できます。
  • Silk4NET の実行に必要な管理者権限
    Silk4NET の実行に必要な権限について説明します。
  • 特殊な状況下での自動化 (周辺機器が無い)
    リモート マシンへのアクセスを含む複雑なテスト環境における Silk4NET の使用方法について説明します。
  • Silk Test 製品スイート
    Silk Test で利用できるコンポーネントについて説明します。
  • 使用状況データの収集の有効化/無効化
    使用状況データを Micro Focus に提供し、Silk Test のユーザビリティの改善に役立てます。
  • Micro Focus へのお問い合わせ
    サポートが必要な際に Micro Focus 製品の OpenText カスタマー ケア にアクセスする方法について説明します。


Silk4NET の実行に必要な管理者権限

Silk4NET のインストールまたは実行には、次の権限が必要です。

  • Silk4NET のインストールには、ローカル管理者権限が必要です。
  • Windows サーバー上への Silk4NET のインストールには、ドメイン レベルの管理者権限が必要です。
  • Silk4NET を実行するには、次のフォルダとそのすべてのサブフォルダに対するフルアクセス権が必要です。
    • C:\ProgramData\Silk\SilkTest
    • %APPDATA%\Roaming\Silk\SilkTest
    • %APPDATA%\Local\Silk\SilkTest
    • %TEMP%
親トピック: Silk4NET


特殊な状況下での自動化 (周辺機器が無い)

製品の基本的な位置付け

Silk4NET は GUI テスト製品で、自動化された状況下での有意なテスト結果を得るために、人間のように振舞います。Silk4NET が実行したテストは、人間が実行するよりもすばやく実行しますが、同等の価値のあるものです。このことは、人間が同じテストを実行するために必要なテスト環境とできる限り同等なテスト環境を Silk4NET が必要とすることを意味します。

物理的な周辺機器

実際のアプリケーション UI の手動テストでは、キーボード、マウス、ディスプレイなどの入出力デバイスが必要です。Silk4NET では、テストの再生時に物理的な入力デバイスを必要としません。Silk4NET に必要なものは、キーストロークやマウス クリックを実行するオペレーティング システムの機能です。大抵の場合、入力デバイスが接続されていなくても、Silk4NET の再生は期待通り動作します。ただし、デバイス ドライバによっては、物理的な入力デバイスが利用可能でないと、Silk4NET の再生機構をブロックする場合があります。

同じことが物理的な出力デバイスについても言えます。物理的なディスプレイが接続されている必要はありませんが、機能するビデオ デバイス ドライバがインストールされ、オペレーティング システムが画面にレンダリングできる状態になければなりません。たとえば、スクリーン セーバー モードやセッションがロックされている状況では、レンダリングできません。レンダリングできない場合、低レベルの再生は機能せず、高レベルの再生もテスト対象アプリケーション (AUT) で使用するテクノロジに依存しますが、期待通り機能しない可能性があります。

仮想マシン

Silk4NET は仮想化ベンダーを直接サポートしませんが、仮想ゲスト マシンが物理マシンと同等に動作する限り、任意の仮想化手法のもとで動作可能です。標準的な周辺機器は、通常は仮想デバイスとして提供されており、仮想マシンを実行するマシンで使用されている物理デバイスとは無関係です。

クラウド インスタンス

自動化の観点からは、クラウド インスタンスは仮想マシンと変わりありません。ただし、クラウド インスタンスでは、ビデオ レンダリングに特殊な最適化が行われている場合があり、ハードウェア リソースの消費を抑えるために、画面のレンダリングが一時的にオフになる状況があります。これは、ディスプレイを表示しているアクティブなクライアントが無いと、クラウド インスタンスが検知した場合に発生する場合があります。このような場合、回避策として VNC ウィンドウを開くことができます。

特殊な状況

ウィンドウが無く起動されるアプリケーション (ヘッドレス)
このようなアプリケーションは、Silk4NET を使ってテストできません。Silk4NET は、対象のアプリケーション プロセスにフックして、対話操作する必要があります。ウィンドウが表示されないプロセスをフックすることはできません。このような場合は、システム コマンドの実行のみ可能です。
リモート デスクトップ、ターミナル サービス、リモート アプリケーション (すべてのベンダー)
Silk4NET がリモート デスクトップ セッション側に存在し、操作する場合、完全に期待通りの操作が行われます。
注: フル ユーザー セッションが必要で、リモート表示ウィンドウは最大化されている必要があります。リモート表示ウィンドウが何らかの理由で表示されていない場合 (ネットワーク上の問題など)、Silk4NET は再生を続けますが、使用されているリモート表示技術によっては予期しない結果を生じる可能性があります。たとえば、リモート デスクトップ セッションが失われると、ビデオ レンダリングに悪影響を与えますが、他のリモート表示手法では、一度表示されたウィンドウが失われても、問題なく表示されるものもあります。

Silk4NET がリモート デスクトップ、リモート ビュー、リモート アプリ ウィンドウなどとの対話操作に使用される場合は、Silk4NET が見ることができるのはリモート マシンのスクリーンショットだけであるため、低レベルな技術だけが使用できます。リモート表示技術によっては、セキュリティ上の制約により、低レベル操作でさえできないものもあります。たとえば、リモート アプリケーション ウィンドウにキーストロークを送信できない場合があります。

既知の自動化の障壁

Silk4NET では、ログオンした対話的なフル ユーザー セッションが必要です。スクリーン セーバー、休止状態、スリープ モードなどのセッションをロックするものは無効化してください。組織の方針などで、これができない場合は、キープ アライブ 操作 (定期的にあるいは各テスト ケースの終わりにマウスを動かすなど) を追加することによって、このような問題を回避できます。

注: 実際のテスト環境の構成や AUT、仮想化、ターミナル サービスで使用される技術によっては、テストの自動化プロセスにおいて、さらなる問題や制約に直面する可能性があります。
親トピック: Silk4NET


Silk Test 製品スイート

Silk Test は、高速で信頼性の高い機能テストと回帰テストを行うための自動テスト ツールです。Silk Test は、高品質のソフトウェアをすばやくリリースするために、開発チーム、品質管理チーム、ビジネス アナリストを支援します。Silk Test を使用すると、アプリケーションが意図したとおりに動作することを確実にするために、複数のプラットフォームとデバイス上でテストを記録/再生することができます。

Silk Test 製品スイートには、以下のコンポーネントが含まれています。
  • Silk Test Workbench： Silk Test Workbench は、品質テスト環境です。上級者用の .NET スクリプトと、より幅広い利用者がテストを行えるようにする使いやすいビジュアル テストが提供されます。
  • Silk4NET： Silk4NET Visual Studio プラグインを使用すると、Visual Studio で直接 VB.NET または C# のテスト スクリプトを作成できます。
  • Silk4J： Silk4J Eclipse プラグインを使用すると、Eclipse 環境で直接 Java ベースのテスト スクリプトを作成できます。
  • Silk Test Classic： Silk Test Classic は、4Test を使用したスクリプトを作成できる Silk Test クライアントです。
  • Silk Test Agent： Silk Test Agent は、テストのコマンドを GUI 固有のコマンドに変換するソフトウェア プロセスです。つまり、テストするアプリケーションをエージェントが動かし、監視しています。ホストマシン上で 1 つのエージェントをローカルに実行できます。ネットワーク環境では、任意の数のエージェントをリモート マシン上で実行できます。

上の画像の個々のボックスのサイズは、記述上の理由で異なっているだけで、含まれる機能を反映しているわけではありません。

インストールする製品スイートによって、使用できるコンポーネントが決まります。すべてのコンポーネントをインストールするには、完全インストール オプションを選択します。Silk Test Classic を除くすべてのコンポーネントをインストールするには、標準インストール オプションを選択します。

親トピック: Silk4NET


使用状況データの収集の有効化/無効化

Micro Focus では、テスト全体にわたるユーザー エクスペリエンスの向上を図るため、Micro Focus ソフトウェアとサービスの使用方法に関する情報を収集し、Micro Focus に提供していただくことを望んでいます。Silk4NET のインストール時に使用許諾契約の条項に同意することにより、Silk4NET の使用方法に関する情報と、Silk4NET をインストールしたコンピューターに関する情報の収集を Micro Focus に許可したことになります。Micro Focus は、名前や住所などの個人の特定を可能にする情報の収集や、スクリプトやパスワードなどのデータ ファイルの収集は行いません。この情報の収集を Micro Focus に許可することにより、Micro Focus では、その傾向と使用方法のパターンの識別に役立てることができます。

Micro Focus による使用状況データの収集を有効化または無効化するには：

  1. メニューから Silk4NET > Silk4NET のバージョン情報 をクリックします。
  2. バージョン情報ダイアログ ボックスで、カスタマ フィードバック オプション をクリックします。
  3. 以下のオプションのいずれかを選択します。
    • 使用状況データの収集を有効化するには、はい、参加します をクリックします。
    • 使用状況データの収集を無効化するには、いいえ、参加しません をクリックします。
  4. OK をクリックします。
親トピック: Silk4NET


Micro Focus へのお問い合わせ

Micro Focus は、世界的規模のテクニカル サポートおよびコンサルティング サービスを提供します。すべての顧客のビジネスを成功に導くために、信頼できるサービスをタイムリーに提供するように、Micro Focus はワールドワイドのサポート体制を整えています。

保守およびサポート契約を結んだすべてのお客様、および製品を評価中のお客様は、カスタマー サポートを受けることができます。高度なトレーニングを積んだスタッフが、お客様の質問にできる限り迅速かつ専門的にお答えします。

http://supportline.microfocus.com/assistedservices.asp にアクセスするか、またはメールを supportline@microfocus.com に送信して、Micro Focus 製品の OpenText カスタマー ケア と直接連絡できます。

また、http://supportline.microfocus.com の Micro Focus 製品の OpenText カスタマー ケア では、 最新のサポートに関するニュースや、さまざまなサポート情報を得ることができます。 このサイトに初めてアクセスした場合は、ユーザー登録が必要な場合があります。

  • Micro Focus 製品の OpenText カスタマー ケア が必要とする情報
    お客様の問題を解決するために役立つ Micro Focus 製品の OpenText カスタマー ケア が必要とする情報について説明します。
親トピック: Silk4NET


Micro Focus 製品の OpenText カスタマー ケア が必要とする情報

Micro Focus 製品の OpenText カスタマー ケア をご利用の場合は、可能な限り次の情報を提供ください。情報が多ければ多いほど、Micro Focus 製品の OpenText カスタマー ケア はお客様に適切なサービスを提供できます。

  • 問題の原因と思われるすべての製品の名前およびバージョン番号
  • 使用しているコンピュータの製造元およびモデル
  • システム情報 (オペレーティング システムの名前やバージョン、プロセッサやメモリの詳細など)
  • 問題の詳細な説明 (問題の再現手順など)
  • 発生したエラー メッセージ
  • お客様のシリアル番号

これらの番号は、Micro Focus から受け取った Electronic Product Delivery Notice 電子メールの件名および本文に記述されています。

親トピック: Micro Focus へのお問い合わせ


Silk4NET の新機能

Silk4NET では、以下の新しい機能がサポートされています。

  • HTML 形式の結果レポートにおけるイメージ検証
    機能テストにおいて検証は重要な指標です。 Silk Test では、アプリケーションの表示上の違いを比較して確認できます。
  • ブラウザー サポートの自動更新
    Silk Test 21.0 では、新しいバージョンのブラウザーをサポートするために必要なすべての WebDriver ファイルが自動的にダウンロードされるようになりました。
  • スタンドアロン Recorder
    Recorder や Locator Spy をコマンドラインから開始できるようになりました。 これにより、PyCharm や Visual Studio Code などの IDE に記録機能をシームレスに統合できるようになりました。
  • AutoPass のサポート
    Silk Test 21.0 では、AutoPass ライセンス サーバーがサポートされるようになりました。
  • ユーザビリティーの改善
    Silk Test Classic の Status ウィンドウの場所をカスタマイズできるようになりました。 また、Silk Test では、.NET スクリプトのデバック時にグローバル オブジェクト (モジュール レベルで宣言されたオブジェクト) が表示されるようになりました。
  • 使用技術の更新
    Silk Test 21.0 では、いくつかのテクノロジが更新されました。


HTML 形式の結果レポートにおけるイメージ検証

機能テストにおいて検証は重要な指標です。 Silk Test では、アプリケーションの表示上の違いを比較して確認できます。アプリケーションの変更点やイメージ検証で失敗した理由を簡単に発見できるように、HTML 形式の結果レポートに、イメージの相違点を表示する機能が Silk Test 21.0 に追加されました。
親トピック: Silk4NET の新機能


ブラウザー サポートの自動更新

Chrome、Edge、Firefox、Opera などのブラウザーは、定期的かつ頻繁に更新されており、そのたびにすべてのテスト環境で Silk Test を手動で更新するのは非常に手間のかかる作業になっています。Silk Test 21.0 では、新しいバージョンのブラウザーをサポートするために必要なすべての WebDriver ファイルが自動的にダウンロードされるようになりました。隔離された環境で作業している場合は、内部のファイル ストレージでダウンロードするファイルを管理することもできます。
親トピック: Silk4NET の新機能


スタンドアロン Recorder

Recorder や Locator Spy をコマンドラインから開始できるようになりました。 これにより、Visual Studio Code などの IDE に記録機能をシームレスに統合できるようになりました。Recorder を使うと、Selenium ベースのスクリプト (Java、C#、VB) または Silk Test ベースのスクリプト (Java、C#) を生成できます。
親トピック: Silk4NET の新機能


AutoPass のサポート

Silk Test 21.0 では、Silk Meter ライセンス サーバーに加え、AutoPass ライセンス サーバーもサポートされるようになりました。
親トピック: Silk4NET の新機能


ユーザビリティーの改善

Status ウィンドウの場所の設定

Silk Test Classic の Status ウィンドウの場所をカスタマイズできるようになりました。場所の設定は 5 つの解像度まで保存され、Silk Test Classic は適切なものを選択します。 何も設定されていない場合は、デフォルトが使用されます。

VB.NET デバッグ時のグローバル オブジェクト

Silk Test では、.NET スクリプトのデバック時にグローバル オブジェクト (モジュール レベルで宣言されたオブジェクト) が表示されるようになりました。

親トピック: Silk4NET の新機能


使用技術の更新

Silk Test は、Microsoft Edge (Chromium ベース) 81 から 106、および Internet Explorer モードでのテストをサポートするようになりました。

Silk Test は、Java 14、15、16、17 をサポートするようになりました。

Silk Test は、SAPGUI クライアント 7.60 をサポートするようになりました。

Silk Test は、iOS 14 および Android 11 をサポートするようになりました。

親トピック: Silk4NET の新機能


Silk4NET 入門

Silk4NET では、自動機能テストや回帰テストの作成、実行を行うことができます。Silk4NET を使用するには、次の操作を実行します。
  1. Silk4NET プロジェクトの作成
  2. 操作やキーワードを記録するか、手動でテストを記述して、自動 Silk4NET テストを作成します。
  3. Silk4NET テストをプロジェクトに追加します。プロジェクトには記録されたテストおよび、手動でスクリプトを作成したテストを含めることができます。
  4. テストを実行します。
  5. テスト結果を分析します。
関連タスク
Silk4NET プロジェクトの作成
プロジェクトへの Silk4NET テストの追加
Silk4NET テストの実行
コマンド ラインからのテストの再生
テスト結果の分析


Silk4NET プロジェクトの操作

このセクションでは、Silk4NET プロジェクトの使用方法について説明します。

Silk4NET プロジェクトには、Silk4NET を使用してアプリケションの機能をテストするために必要なリソースがすべて含まれています。

注: Silk4NET が提供する機能を最適に使用するには、同じテストで複数のアプリケーションをテストする場合を除き、テストするアプリケーションごとに個別のプロジェクトを作成します。
  • Silk4NET プロジェクトの作成
    テスト対象アプリケーションについてテストを記録または手動でスクリプトを記述するための Silk4NET プロジェクトを作成します。
関連概念
Silk4NET テストの作成
アプリケーション構成


Silk4NET プロジェクトの作成

  1. Silk4NET > 新しいプロジェクト または ファイル > 新しいプロジェクト をクリックします。 新しいプロジェクト ダイアログ ボックスが表示されます。
  2. インストール済み > テンプレート で、Visual Basic または Visual C# をクリックし、テスト を選択してから Silk4NET プロジェクトを選択します。
  3. プロジェクトの名前を 名前 フィールドに入力します。 チュートリアルでは、「Tutorial」と入力します。
  4. 省略可能： ソリューションの名前を ソリューション フィールドに入力します。
  5. OK をクリックします。 プロジェクトが作成されました ダイアログ ボックスが開きます。
  6. はい をクリックすると新しいテストの記録が開始され、いいえ をクリックすると空のプロジェクトが作成されます。 チュートリアルでは、いいえ をクリックします。 記憶の開始を選択した場合、新しい項目の追加 ダイアログ ボックスが開きます。
  7. 新しい項目の追加 ダイアログ ボックスで、記録するテストの種類を選択します。
    • 記録した操作をキーワードにまとめる場合は、Silk4NET キーワード駆動テスト を選択します。
    • キーワードを作成せずにテストを記録する場合は、Silk4NET テスト を選択します。
  8. 記録の開始を選択した場合、新しい項目の追加 ダイアログ ボックスの 名前 テキスト ボックスに新しいテストの名前を入力します。
  9. 追加 をクリックします。
  10. 新しい Silk4NET テストを記録するように選択した場合は、アプリケーションの選択 ダイアログ ボックスが開きます。テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  11. 標準アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからアプリケーションを選択します。
  12. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。チュートリアルの場合、Internet Explorer を選択し、移動する URL の入力 テキスト ボックスに http://demo.borland.com/InsuranceWebExtJS/ を指定します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  13. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合に、ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. ネイティブ モバイル アプリケーションを選択します。
      • モバイル デバイスまたはエミュレータ上にアプリをインストールする場合は、参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイル テキスト フィールドにアプリ ファイルへの完全パスを入力します。このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。
      • Android デバイス上に既にインストールされているアプリを使用する場合は、パッケージ/アクティビティ リストからアプリを選択するか、パッケージ/アクティビティ フィールドにパッケージとアクティビティを指定します。
      • iOS デバイス上に既にインストールされているアプリを使用する場合は、バンドル ID を指定します。
      • UFT Mobile 上で利用可能なアプリを使用する場合は、アプリ識別子 を指定します。
  14. OK をクリックします。 テスト メソッドの再生で Google Chrome の既存のインスタンスを選択した場合は、Silk4NET がオートメーション サポートが含まれているかどうかをチェックします。オートメーション サポートが含まれていない場合は、Silk4NET が Google Chrome を再起動する必要があることを通知します。アプリケーションと記録中 ウィンドウが開きます。
空の Silk4NET テストを作成するように選択した場合は、Silk4NET プロジェクトを含む新しいソリューションが作成されます。また、このプロジェクトには、言語固有の以下のファイル名を使用して、Silk4NET テストも作成されます。
  • UnitTest1.vb
  • UnitTest1.cs
注: ソリューション エクスプローラ のコンテキスト メニューを使用して、Silk4NET プロジェクトを既存のソリューションに追加することもできます。
親トピック: Silk4NET プロジェクトの操作
関連概念
レスポンシブ Web デザインのテスト
[アプリケーションの選択] ダイアログ ボックス
関連タスク
プロジェクトへの Silk4NET テストの追加
Silk4NET テストの記録


Silk4NET テストの作成

Silk4NET テストの作成方法について説明します。

AUT に対して行われたユーザーの操作を記録するか、Visual Basic または Visual C# のテスト クラスおよびメソッドのスクリプトを手動で記述することで、Silk4NET テストを新規に作成できます。

  • プロジェクトへの Silk4NET テストの追加
    アプリケーションの機能をテストするには、Silk4NET プロジェクトまたはテスト プロジェクトに Silk4NET テストを追加します。
  • Silk4NET テストの記録
    アプリケーションの機能をテストするための Silk4NET テストを記録します。
  • Microsoft Edge 上でのテストの記録
    Web アプリケーションをテストするために Microsoft Edge 上でテストを記録します。
  • Mozilla Firefox 上でのテストの記録
    Web アプリケーションをテストするために Mozilla Firefox 上でテストを記録します。
  • Google Chrome 上でのテストの記録
    Web アプリケーションをテストするために Google Chrome 上でテストを記録します。
  • 記録中および再生中に除外される文字
    記録中に除外され、再生中に Silk Test によって認識されない文字を示します。
  • 記録中に利用可能なアクション
    記録中に実行できるアクションを示します。
  • Silk4NET テストの手動作成
    Silk4NET テストを手動で作成すると、ハンドコーディングした複雑なテスト ロジックと、記録したテスト ステップを組み合わせることができます。
  • テスト スクリプト作成のベスト プラクティス
    Silk4NET を使用して安定したテスト スクリプトを作成する方法を説明します。
  • 記録中のスクリプトへの検証の追加
    スクリプトの記録中に検証を追加する方法について説明します。
  • Locator Spy を使用したロケーターまたはオブジェクト マップ項目のテスト メソッドへの追加
    Locator Spy を使用して、ロケーターまたはオブジェクト マップ項目を手動でキャプチャし、ロケーターまたはオブジェクト マップ項目をテスト メソッドにコピーします。
関連概念
Silk4NET プロジェクトの操作


プロジェクトへの Silk4NET テストの追加

既存の Silk4NET またはテストプロジェクト、Silk4NET テストを追加することができます。Silk4NET またはテスト プロジェクトが存在しない場合、Silk4NET テストを作成する前に Silk4NET またはテスト プロジェクトを作成してください。

  1. Silk4NET > 新しいテスト または プロジェクト > 新しい項目の追加 をクリックします。
    注: ソリューションに複数の Silk4NET プロジェクトが存在する場合、新しいテストを追加したいプロジェクトをプロジェクトの選択 のリストから選択します。
    新しい項目の追加 ダイアログ ボックスが開きます。
  2. インストール済み で次のいずれかをクリックします。
    • プロジェクトが Visual Basic プロジェクトの場合は、共通項目 > Silk4NET テスト をクリックします。
    • プロジェクトが Visual C# プロジェクトの場合は、Visual C# アイテム > Silk4NET テスト をクリックします。
  3. テストの名前を 名前 フィールドに入力し、追加 をクリックします。
    Silk4NET テストの作成 ダイアログ ボックスが開きます。
  4. 次のいずれかのオプション ボタンをクリックして、Silk4NET テストの作成方法を選択します。
    Silk4NET テストの記録
    テスト対象アプリケーションに対する操作および検証を記録し、記録されたオートメーション ステートメントを含む新しいテストを生成します。
    空の Silk4NET テストの作成
    オートメーション ステートメントを後で入力できる空のテストを作成します。

    チュートリアルの場合、空の Silk4NET テストの作成 をクリックします。

  5. OK をクリックします。
  6. 新しい Silk4NET テストを記録するように選択した場合は、アプリケーションの選択 ダイアログ ボックスが開きます。テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  7. 標準アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからアプリケーションを選択します。
  8. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。チュートリアルの場合、Internet Explorer を選択し、移動する URL の入力 テキスト ボックスに http://demo.borland.com/InsuranceWebExtJS/ を指定します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  9. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合に、ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. ネイティブ モバイル アプリケーションを選択します。
      • モバイル デバイスまたはエミュレータ上にアプリをインストールする場合は、参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイル テキスト フィールドにアプリ ファイルへの完全パスを入力します。このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。
      • Android デバイス上に既にインストールされているアプリを使用する場合は、パッケージ/アクティビティ リストからアプリを選択するか、パッケージ/アクティビティ フィールドにパッケージとアクティビティを指定します。
      • iOS デバイス上に既にインストールされているアプリを使用する場合は、バンドル ID を指定します。
      • UFT Mobile 上で利用可能なアプリを使用する場合は、アプリ識別子 を指定します。
  10. OK をクリックします。 テスト メソッドの再生で Google Chrome の既存のインスタンスを選択した場合は、Silk4NET がオートメーション サポートが含まれているかどうかをチェックします。オートメーション サポートが含まれていない場合は、Silk4NET が Google Chrome を再起動する必要があることを通知します。アプリケーションと記録中 ウィンドウが開きます。
テストを記録するように選択した場合は、記録したテストがプロジェクトに追加されます。空のテストを追加するように選択した場合は、空の Silk4NET テストがプロジェクトに追加されます。
注: ソリューション エクスプローラ のコンテキスト メニューを使用して、Silk4NET を Silk4NET またはテスト プロジェクトに追加します。
親トピック: Silk4NET テストの作成
関連概念
レスポンシブ Web デザインのテスト
関連タスク
Silk4NET プロジェクトの作成
Silk4NET テストの手動作成
Silk4NET テストの記録


Silk4NET テストの記録

  1. Silk4NET > 新しいテスト または プロジェクト > 新しい項目の追加 をクリックします。
    注: ソリューションに複数の Silk4NET プロジェクトが存在する場合、新しいテストを追加したいプロジェクトをプロジェクトの選択 のリストから選択します。
    新しい項目の追加 ダイアログ ボックスが開きます。
  2. インストール済み で次のいずれかをクリックします。
    • プロジェクトが Visual Basic プロジェクトの場合は、共通項目 > Silk4NET テスト をクリックします。
    • プロジェクトが Visual C# プロジェクトの場合は、Visual C# アイテム > Silk4NET テスト をクリックします。
  3. テストの名前を 名前 フィールドに入力し、追加 をクリックします。
    Silk4NET テストの作成 ダイアログ ボックスが開きます。
  4. Silk4NET テストの記録 を選択して、OK をクリックします。
  5. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合、テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  6. 標準アプリケーションをテストするには、リストからアプリケーションを選択します。
  7. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。チュートリアルの場合、Internet Explorer を選択し、移動する URL の入力 テキスト ボックスに http://demo.borland.com/InsuranceWebExtJS/ を指定します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  8. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合に、ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. ネイティブ モバイル アプリケーションを選択します。
      • モバイル デバイスまたはエミュレータ上にアプリをインストールする場合は、参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイル テキスト フィールドにアプリ ファイルへの完全パスを入力します。このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。
      • Android デバイス上に既にインストールされているアプリを使用する場合は、パッケージ/アクティビティ リストからアプリを選択するか、パッケージ/アクティビティ フィールドにパッケージとアクティビティを指定します。
      • iOS デバイス上に既にインストールされているアプリを使用する場合は、バンドル ID を指定します。
      • UFT Mobile 上で利用可能なアプリを使用する場合は、アプリ識別子 を指定します。
  9. OK をクリックします。 テスト メソッドの再生で Google Chrome の既存のインスタンスを選択した場合は、Silk4NET がオートメーション サポートが含まれているかどうかをチェックします。オートメーション サポートが含まれていない場合は、Silk4NET が Google Chrome を再起動する必要があることを通知します。アプリケーションと記録中 ウィンドウが開きます。
  10. 記録を行う、テスト対象アプリケーションとの対話を実行します。
    モバイル アプリケーションの記録についての詳細は、モバイル アプリケーションの記録 を参照してください。記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  11. 記録が終了したら、停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。ダイアログ ボックスにある 再生 をクリックして、記録したテストを再生できます。
    • Visual Studio 2010 を使用している場合、Visual Studio の テスト ビュー にアクセスしてテストを再生したり管理することもできます。
    • Visual Studio 2012 以降を使用している場合、Visual Studio の テスト エクスプローラー にアクセスしてテストを再生したり管理することもできます。
記録された対話は、プロジェクトにファイルとして追加されます。生成されたファイルのデフォルトのファイル名は、プロジェクトのデフォルト プログラミング言語に応じて、UnitTest<Index>.cs または UnitTest<Index>.vb になります。たとえば、Visual Basic プロジェクトの初回テストを記録している場合、生成されたファイルの名前は UnitTest1.vb になります。
注: 新しいプロジェクトを作成し、そこに新しいテスト記録することもできます。
親トピック: Silk4NET テストの作成
関連概念
レスポンシブ Web デザインのテスト
関連タスク
プロジェクトへの Silk4NET テストの追加
Microsoft Edge 上でのテストの記録
Mozilla Firefox 上でのテストの記録
Silk4NET プロジェクトの作成
既存のテストへの追加操作の記録
記録中のスクリプトへの検証の追加
モバイル デバイスの操作
モバイル アプリケーションの記録
関連資料
記録中および再生中に除外される文字
記録中に利用可能なアクション


Microsoft Edge 上でのテストの記録

Silk4NET テストを記録する前に、Silk4NET プロジェクトを作成する必要があります。

Microsoft Edge 上の Web アプリケーションとのやり取りを開始するとき、Silk4NET は Microsoft Edge のすべての開いているインスタンスを閉じ、新しくブラウザーを開始します。新しいブラウザーは、アドオン無しのキャッシュを空にした状態の一時プロファイルを使用します。この Microsoft Edge のインスタンスは、Open Agent のシャットダウン時または、Microsoft Edge 外のほかのアプリケーションのテストを開始するときに閉じられます。

注: 現時点では、Microsoft Edge でキーワード駆動テストを記録することはできません。
Microsoft Edge 上の Web アプリケーションに対して新しいテストを記録するには：
  1. 新しいテストを追加するプロジェクトを選択します。
  2. ツールバーで、操作の記録 をクリックします。 新しい項目の追加 ダイアログ ボックスが開きます。
  3. Silk4NET テスト を選択します。
  4. 新しいテストの名前を 名前 フィールドに入力します。
  5. 追加 をクリックします。
  6. ブラウザーの選択 ダイアログ ボックスで、使用するブラウザーを選択します。
  7. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
  8. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  9. 記録 をクリックします。
  10. インタラクティブな 記録 ウィンドウが開き、テスト対象アプリケーションを表示します。記録したい操作を実行します。
    1. 操作したいオブジェクトをクリックします。 Silk4NET は、オブジェクトのデフォルトの操作を実行します。デフォルトの操作がない場合や、テキストを挿入したりパラメータを指定する場合は、操作の選択 ダイアログ ボックスが開きます。
    2. 省略可能：デフォルトの操作以外のオブジェクトの操作を選択するには、オブジェクトを右クリックします。 操作の選択 ダイアログ ボックスが開きます。
    3. 省略可能：操作にパラメータある場合は、パラメータ フィールドにパラメータを入力します。 Silk4NET は自動的にパラメータを検証します。
    4. OK をクリックして、操作の選択 ダイアログ ボックスを閉じます。 Silk4NET は、記録した操作にその操作を追加し、モバイル デバイスまたはエミュレータ上でそれを再生します。
    記録中、Silk4NET は記録ウィンドウの隣にマウスの位置を表示します。その表示をクリックすると、デバイス画面に絶対的な位置とアクティブ オブジェクトに相対的な位置を切り替えることができます。記録中に利用可能なアクションについての詳細は、「記録中に利用可能なアクション」を参照してください。
  11. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
  12. OK をクリックします。

テストが期待通りの動作をするか確認するためにテストを再生します。必要な場合には変更をするために、テストを編集することも可能です。

親トピック: Silk4NET テストの作成
関連タスク
Silk4NET テストの記録
関連資料
Microsoft Edge を使用したテストの制限事項


Mozilla Firefox 上でのテストの記録

Silk4NET テストを記録する前に、Silk4NET プロジェクトを作成する必要があります。

Mozilla Firefox 上の Web アプリケーションに対して新しいテストを記録するには：
  1. 新しいテストを追加するプロジェクトを選択します。
  2. ツールバーで、操作の記録 をクリックします。 新しい項目の追加 ダイアログ ボックスが開きます。
  3. Silk4NET テスト を選択します。
  4. 新しいテストの名前を 名前 フィールドに入力します。
  5. 追加 をクリックします。
  6. ブラウザーの選択 ダイアログ ボックスで、使用するブラウザーを選択します。
  7. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
  8. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  9. 記録 をクリックします。
  10. インタラクティブな 記録 ウィンドウが開き、テスト対象アプリケーションを表示します。記録したい操作を実行します。
    1. 操作したいオブジェクトをクリックします。 Silk4NET は、オブジェクトのデフォルトの操作を実行します。デフォルトの操作がない場合や、テキストを挿入したりパラメータを指定する場合は、操作の選択 ダイアログ ボックスが開きます。
    2. 省略可能：デフォルトの操作以外のオブジェクトの操作を選択するには、オブジェクトを右クリックします。 操作の選択 ダイアログ ボックスが開きます。
    3. 省略可能：操作にパラメータある場合は、パラメータ フィールドにパラメータを入力します。 Silk4NET は自動的にパラメータを検証します。
    4. OK をクリックして、操作の選択 ダイアログ ボックスを閉じます。 Silk4NET は、記録した操作にその操作を追加し、モバイル デバイスまたはエミュレータ上でそれを再生します。
    記録中、Silk4NET は記録ウィンドウの隣にマウスの位置を表示します。その表示をクリックすると、デバイス画面に絶対的な位置とアクティブ オブジェクトに相対的な位置を切り替えることができます。記録中に利用可能なアクションについての詳細は、「記録中に利用可能なアクション」を参照してください。
  11. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
  12. OK をクリックします。

テストが期待通りの動作をするか確認するためにテストを再生します。必要な場合には変更をするために、テストを編集することも可能です。

親トピック: Silk4NET テストの作成
関連タスク
Silk4NET テストの記録
関連資料
Mozilla Firefox を使用したテストの制限事項


Google Chrome 上でのテストの記録

Silk4NET は、Google Chrome 50 以降でのテストの記録をサポートします。Google Chrome のそれ以前のバージョンでは、Silk4NET はテストの再生とロケーターの記録のみをサポートします。

Silk4NET テストを記録する前に、Silk4NET プロジェクトを作成する必要があります。

注: バージョン 50 より前のバージョンの Google Chrome でテストを記録することはできません。
Google Chrome 50 以降の Web アプリケーションに対して新しいテストを記録するには：
  1. 新しいテストを追加するプロジェクトを選択します。
  2. ツールバーで、操作の記録 をクリックします。 新しい項目の追加 ダイアログ ボックスが開きます。
  3. Silk4NET テスト を選択します。
  4. 新しいテストの名前を 名前 フィールドに入力します。
  5. 追加 をクリックします。
  6. ブラウザーの選択 ダイアログ ボックスで、使用するブラウザーを選択します。
  7. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
  8. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  9. 記録 をクリックします。
  10. インタラクティブな 記録 ウィンドウが開き、テスト対象アプリケーションを表示します。記録したい操作を実行します。
    1. 操作したいオブジェクトをクリックします。 Silk4NET は、オブジェクトのデフォルトの操作を実行します。デフォルトの操作がない場合や、テキストを挿入したりパラメータを指定する場合は、操作の選択 ダイアログ ボックスが開きます。
    2. 省略可能：デフォルトの操作以外のオブジェクトの操作を選択するには、オブジェクトを右クリックします。 操作の選択 ダイアログ ボックスが開きます。
    3. 省略可能：操作にパラメータある場合は、パラメータ フィールドにパラメータを入力します。 Silk4NET は自動的にパラメータを検証します。
    4. OK をクリックして、操作の選択 ダイアログ ボックスを閉じます。 Silk4NET は、記録した操作にその操作を追加し、モバイル デバイスまたはエミュレータ上でそれを再生します。
    記録中、Silk4NET は記録ウィンドウの隣にマウスの位置を表示します。その表示をクリックすると、デバイス画面に絶対的な位置とアクティブ オブジェクトに相対的な位置を切り替えることができます。記録中に利用可能なアクションについての詳細は、「記録中に利用可能なアクション」を参照してください。
  11. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
  12. OK をクリックします。

テストが期待通りの動作をするか確認するためにテストを再生します。必要な場合には変更をするために、テストを編集することも可能です。

親トピック: Silk4NET テストの作成


記録中および再生中に除外される文字

記録および再生中に Silk Test が無視する文字を以下に示します。
文字 | コントロール
... | MenuItem
タブ | MenuItem
& | すべてのコントロール。 アンパサンド (&) はアクセラレータとして使用されるため、記録されません。
親トピック: Silk4NET テストの作成
関連タスク
Silk4NET テストの記録
Silk4NET テストの実行


記録中に利用可能なアクション

記録中に次のアクションを 記録中 ウィンドウで実行できます。

アクション | ステップ
記録の一時停止 | 一時停止 をクリックして、操作を記録せずに AUT を特定の状態にしてから、記録 をクリックして記録を再開できます。
記録した操作の順番の変更 | 記録中 ウィンドウで記録した操作の順番を変更するには、移動したい操作を選択して新しい場所にそれらをドラッグします。
複数の操作の選択 | 複数の操作を選択するには、Ctrl を押しながら操作をクリックするか、もしくは選択する最初の操作をクリックしてから、Shift を押しながら最後のアクションをクリックします。
記録した操作の再生 | 記録中 ウィンドウから記録した操作を再生するには、操作を選択してから 再生 をクリックします。すべての記録した操作を再生するには、記録した操作 をクリックしてから 再生 をクリックします。
記録した操作の削除 | 誤って記録した操作を 記録中 ウィンドウから削除するには、マウス カーソルをその操作上にポイントすると表示される 削除 をクリックします。
イメージまたはコントロールのプロパティの検証 | 検証するオブジェクトの上にマウス カーソルを移動して、Ctrl+Alt を押します。
オブジェクト マップ エントリの変更 | Web アプリケーション、またはモバイル Web アプリを記録しているときに、記録したオブジェクトに対して自動的に生成されたオブジェクト マップ エントリが分かりにくい場合や、特殊な文字が含まれてしまっている場合、分かりやすいオブジェクト マップ エントリに変更したいことがあります。この様な場合は、記録中にオブジェクトを右クリックして、操作の選択 ダイアログの オブジェクトの識別 領域を展開します。そして、オブジェクト マップ ID フィールドでオブジェクト マップ エントリを編集できます。たとえば、デモ アプリケーションの画像に対して自動的に生成されるオブジェクト マップ エントリは、「http demo borland」になります。このエントリが何を参照しているのかを理解するのは、オブジェクト マップを見ただけでは困難です。このオブジェクト マップ エントリを「InsuranceWebHomePageBanner」のように変更すれば、より分かりやすくなります。この機能は、Internet Explorer 以外のすべてのサポートするデスクトップおよびモバイル ブラウザで利用できます。
別のロケーターの選択 | Web アプリケーション、またはモバイル Web アプリに対して記録しているときに、記録したオブジェクトに対して自動的に生成されたロケーターが要求を満たしていない場合、ロケーター フィールドにある矢印をクリックして、Silk4NET に他のロケーターを提示させることができます。提示されるロケーターはすべて、オブジェクトを一意に識別できるものです。この機能は、Internet Explorer 以外のすべてのサポートするデスクトップおよびモバイル ブラウザで利用できます。
親トピック: Silk4NET テストの作成
関連タスク
Silk4NET テストの記録


Silk4NET テストの手動作成

  1. Silk4NET テスをプロジェクトに追加します。
  2. オプション：特定のアプリケーション テクノロジのコントロールのサポートを追加するには、以下の例に示すように、アプリケーション テクノロジの名前空間を参照するテストの先頭にインポート ステートメントを含める必要があります。
    'Visual Basic .NET
Imports SilkTest.Ntf.Wpf
Imports SilkTest.Ntf.XBrowser
Imports SilkTest.Ntf.Win32
    //C#
using SilkTest.Ntf.Wpf;
using SilkTest.Ntf.XBrowser;
using SilkTest.Ntf.Win32;
  3. テスト アプリケーションの基本状態を構成します。 例：
    'Visual Basic .NET
Dim baseState = New BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com")
baseState.Execute()
    //C#
BrowserBaseState baseState = new BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com");
baseState.Execute();
    注: 基本状態を使用すると、テストするアプリケーションがフォアグラウンドで実行中であることを保証できます。 これにより、テストが常に同じアプリケーション状態で開始されることが保証され、信頼性が高まります。 基本状態を使用するには、メイン ウィンドウの外観、およびテストするアプリケーションが実行されていない場合のアプリケーションの起動方法を指定する必要があります。 基本状態の作成は任意です。 ただし、ベスト プラクティスとして、基本状態を作成することをお勧めします。
  4. テスト アプリケーションの目的の機能をテストするクラスとメソッドを追加します。
親トピック: Silk4NET テストの作成
関連タスク
プロジェクトへの Silk4NET テストの追加


テスト スクリプト作成のベスト プラクティス

テスト ケースの書き方によっては、テスト セットのパフォーマンスと安定性に非常に大きな影響を与える場合があります。記録時に、可能な限り速く安定したスクリプトを Silk4NET は作成します。しかし、テスト スクリプトを手動で作成したり編集する必要が生じる場合もあります。このトピックでは、いくつかの一般的なガイドラインを提示します。このガイドラインに従うことによって、保守性、再利用性の高いテスト スクリプトの作成、およびテストの安定性が高まるでしょう。

  • テストの名前の一貫性を保ち、内容のわかりやすい名前をつけてください。テスト対象アプリケーションとテストの機能を表す名前にすると良いでしょう。たとえば、テストの名前を MyApp_SuccessfulLogin や MyApp_FailingLogin とすると、Untitled_42 や Untitled_43 とするよりも、他のユーザーにとって非常にわかりやすいものになります。
  • できるだけ細かくテスト ケースの説明をコメントに記述してください。テスト ケースについての説明が普通の言葉で記述されていないと、実装されたコードを変更する必要がある人が、そのテストが正確に何を行っているのかを理解することが困難になります。
  • テスト ケースを開始する時に、テスト対象アプリケーションが確実に適切な状態になるようにしてください。テスト ケースの操作を実行する前に、テスト対象アプリケーションを正しい状態に戻します。
  • テスト ケースを完了する時に、テスト対象アプリケーションが確実に適切な状態になるようにしてください。追加のテストがそのテストの結果に依存する場合は、それらが開始できる状態にします。テスト ケースの操作が実行される時に、テスト対象アプリケーションを正しい状態に戻します。
  • 可能な限り、テスト ケースは他のテスト ケースの結果に依存しないようにしてください。これが不可能な場合、テスト ケースが正しい順番で実行されるようにしてください。
  • 機能的な流れだけでなく、テスト対象アプリケーションの正確さをテストするために、テストに検証を追加してください。
  • キーワード駆動テストを使用して、操作セットの再利用性を高めてください。共通に使用する操作をキーワードにまとめ、頻繁に同じ順番で実行されるキーワードをキーワード シーケンスに結合し、キーワードやキーワード シーケンスの組み合わせをキーワード駆動テストとして実行します。
  • テストの保守性と再利用性を保つためには、複雑なテスト ケースを記述するよりも、複数の単純なテスト ケースを記述して組み合わせる方が好まれます。
  • テスト セットの冗長性を避けるためには、新しいテスト ケースを追加するよりも、既存のテスト ケースを更新することが好まれます。
親トピック: Silk4NET テストの作成


記録中のスクリプトへの検証の追加

以下の操作を行って、スクリプトの記録中に検証を追加します。

  1. 記録を開始します。
  2. 検証するオブジェクトの上にマウス カーソルを移動して、Ctrl+Alt を押します。
    モバイル Web アプリケーションを記録する場合は、オブジェクトをクリックして 検証の追加 をクリックすることもできます。 このオプションを実行すると、記録が一時的に停止され、検証タイプの選択 ダイアログ ボックスが表示されます。
  3. TestObject のプロパティの検証 を選択します。 イメージ検証をスクリプトに追加する方法については、記録中にイメージ検証を追加する を参照してください。
  4. OK をクリックします。 プロパティの検証 ダイアログ ボックスが開きます。
  5. 検証したいプロパティを選択するには、対応するチェック ボックスをオンにします。
  6. OK をクリックします。 Silk4NET は記録したスクリプトに検証を追加し、記録は続行されます。
親トピック: Silk4NET テストの作成
関連タスク
記録中にイメージ検証を追加する


Locator Spy を使用したロケーターまたはオブジェクト マップ項目のテスト メソッドへの追加

Locator Spy を使用して、ロケーターまたはオブジェクト マップ項目を手動でキャプチャし、ロケーターまたはオブジェクト マップ項目をテスト メソッドにコピーします。たとえば、Locator Spy を使って、GUI オブジェクトのキャプションや XPath ロケーター文字列を識別できます。そして、関係するロケーター文字列や属性をスクリプト内のテストメソッドにコピーします。
  1. 変更したいテスト クラスを開きます。
  2. Silk4NET > Locator Spy をクリックします。
    Locator Spy とテスト対象アプリケーションが開きます。モバイル アプリケーションをテストしている場合、モバイルデバイスの画面を表示する [モバイルの記録] ウィンドウが開きます。この記録ウィンドウで操作を実行することはできませんが、モバイル デバイスやエミュレータ上で操作を実行してから、記録ウィンドウの表示を更新することができます。
  3. 省略可能：ロケーターを記録する前に、テスト対象アプリケーションを特定の状態にするには、ロケーターの記録を停止 をクリックします。 これ以降、テスト対象アプリケーションで実行する操作は、記録されなくなります。ロケーターの記録を再開する場合は、ロケーターの記録を開始 をクリックします。
  4. 省略可能：オブジェクト マップ項目の代わりにロケーターを ロケーター 列に表示するには、オブジェクト マップ識別子の表示 チェック ボックスをオフにします。 オブジェクト マップ項目名は、コントロールまたはウィンドウに対して、コントロールやウィンドウのロケーターではなく論理名 (エイリアス) を関連付けます。デフォルトでは、オブジェクト マップ項目名が表示されます。
    注: このチェック ボックスをオンまたはオフにすると、変更が自動的にロケーターの詳細に反映されます。ロケーターの詳細 テーブルのエントリを更新するには、エントリをクリックします。
  5. 記録するオブジェクトの上にマウスを移動します。 関連するロケーター文字列またはオブジェクト マップ項目は、選択済みロケーター テキスト ボックスに表示されます。
    注: ブラウザーでテストしている場合、選択済みロケーター フィールドに実際にキャプチャするとロケーターのみが表示される。
  6. Ctrl+Alt を押してオブジェクトをキャプチャします。
    注: スクリプト オプション ダイアログ ボックスの 全般記録オプション ページで別の記録停止キー操作を指定した場合は、Ctrl+Shift を押してオブジェクトをキャプチャします。
  7. 省略可能：追加のロケーター属性の表示 をクリックすると、関係する属性のすべてが ロケーター属性 テーブルに表示されます。
  8. 省略可能：記録したロケーター属性は、ロケーター属性 テーブルの別のロケーター属性で置き換えることができます。 たとえば、記録したロケーターは以下のように表示されます。
    /BrowserApplication//BrowserWindow//input[@id='loginButton']
    ロケーター属性 テーブルに textContents Login がリストされている場合、以下のようにしてロケーターを手動で変更できます。
    /BrowserApplication//BrowserWindow//input[@textContents='Login']
    新しいロケーターは、選択済みロケーター テキスト ボックスに表示されます。
  9. ロケーターをコピーするには、ロケーターをクリップボードにコピー をクリックします。 選択済みロケーター テキスト ボックスで、コピーするロケーター文字列の位置をマークし、マークしたテキストを右クリックして コピー をクリックすることもできます。
  10. スクリプト内で、記録したロケーターを貼り付ける位置にカーソルを置きます。 たとえば、スクリプト内の Find メソッドの該当するパラメータにカーソルを置きます。

    ロケーターを貼り付けるテスト メソッドでは、ロケーターをパラメータとして受け取れるメソッドを使用する必要があります。Locator Spy を使用することで、クエリ文字列が正しいことが保障されます。

  11. ロケーターまたはオブジェクト マップ項目をテスト ケースまたはクリップボードにコピーします。
  12. 閉じる をクリックします。
親トピック: Silk4NET テストの作成
関連概念
Locator Spy


テストの再生

このセクションでは、Silk4NET テストを再生するいくつかの方法について、その詳細な情報を提供します。
たとえば、Silk4NET テストは、Visual Studio から実行したり、コマンド ラインから実行することができます。
  • Silk4NET テストの実行
    Silk4NET テストを実行するには、Visual Studio を使用します。
  • コマンド ラインからのテストの再生
    コマンド ラインからテストを実行する方法を説明します。
  • テストの並列実行
    複数のブラウザー、モバイル デバイス、エミュレータ上でテストを並列に実行する方法について説明します。
  • Silk4NET がテストを同期する方法
    Silk4NET が再生時にテスト同期を実行する方法について説明します。
  • 再生ステータス ダイアログ ボックスの有効化
    再生ステータス ダイアログ ボックスを有効にすると、リモート テストやモバイル テストの再生中に実行される操作を表示できます。


Silk4NET テストの実行

デフォルトでは、Silk4NET 19.5 以降のキーワード駆動テストの実行に 64 ビット JVM が使用されます。Silk4NET でキーワード駆動テストを実行するには、規定のプロセッサ アーキテクチャを X64 に設定する必要があります。 この設定は、Visual Studio メニューの テスト > テスト設定 > 規定のプロセッサ アーキテクチャ から選択できます。また、 SILK_KEYWORD_DRIVEN_JAVA_HOME 環境変数を使用して、Silk4NET が 32 ビット JVM を使用するように設定することもできます。

このトピックでは、Silk4NET テストを Visual Studio で実行する方法について説明します。

  1. 選択したプロジェクトまたはソリューションで利用可能なすべてのテストを表示するには：
    • Visual Studio 2010 の場合、テスト > ウィンドウ > テスト ビュー をクリックします。
    • Visual Studio 2012 以降の場合、テスト > ウィンドウ > テスト エクスプローラー をクリックします。
  2. テスト ビュー、または テスト エクスプローラ (使用している Visual Studio のバージョンによる) で、実行するテストを選択します。
  3. 選択項目を右クリックして、次のいずれかをクリックします。
    • Visual Studio 2010 の場合、選択範囲の実行 をクリックします。
    • Visual Studio 2012 以降の場合、選択したテストの実行 をクリックします。
    選択したプロジェクトまたはソリューションのすべてのテストを実行するには、テスト ビュー、または テスト エクスプローラー (使用している Visual Studio のバージョンによる) で、すべて実行 をクリックします。
  4. Web アプリケーションをテストする場合は、ブラウザーの選択 ダイアログ ボックスが開きます。ブラウザーを選択して、 実行 をクリックします。
  5. 省略可能：必要に応じて、両方の Shift キーを同時に押して、テストの実行を停止できます。
  6. テストの実行が完了すると、再生完了 ダイアログ ボックスが開きます。TrueLog を使用してテスト結果を調べるには、結果の検討 をクリックします。ダイアログ ボックスを閉じるには、OK をクリックします。
注: テストを実行し、Visual Studio がテストの実行に必要なコンポーネントを開始する場合、Visual Studio はテスト実行が完了したときにすべてをクリーンナップします。つまり、Open Agent とすべての開いているブラウザー ウィンドウが強制終了されます。
親トピック: テストの再生
関連概念
再生時に TrueLog が結果ファイルを書き出さない理由
記録中および再生中に除外される文字
関連タスク
テスト結果の分析
コマンド ラインからのテストの再生


コマンド ラインからのテストの再生

コマンド ラインから Silk4NET テストを実行する場合、VSTest.Console.exe を使用できます。このコマンド ライン実行可能ファイルは、Visual Studio に含まれており、Silk4NET 以外のツールをインストールする必要はありません。コマンド ラインから VSTest.console を使用する方法についての詳細は、『コマンド ラインからの VSTest.console の使用』を参照してください。

コマンド ラインから Silk4NET テストを実行するには、次の手順を実行します。

  1. 実行するテストを含む DLL を作成します。 たとえば、myTestFile.dll という DLL を作成します。
    注: ひとつの DLL に複数のテスト クラスを含めることができます。これらのテスト クラスのすべてのテストが実行されます。
  2. 次のように入力して DLL 内のテストを実行します。
    Vstest.console.exe [TestFileNames] [Options]
    たとえば、myTestFile.dll 内のテストを実行する場合は、次のように入力します。
    vstest.console.exe myTestFile.dll
    注: 利用可能なコマンド ライン オプションについては、『コマンド ラインからの VSTest.console の使用』を参照してください。
  3. テスト クラスに対して TrueLog を作成する場合は、<SilkTestClass> 注釈を使用します。 たとえば、TrueLog を有効にして MyTestClass クラスを実行する場合は、スクリプトのクラス ヘッダーに次のように記述します。
    <SilkTestClass> Public Class MyTestClass
    その後、DLL（myTestClass.dll など） を作成し、コマンド ラインから次のように入力してテストを実行します。
    vstest.console.exe myTestClass.dll
親トピック: テストの再生
関連概念
テストの並列実行
テストを再生するブラウザーの選択
関連タスク
Silk4NET テストの実行


テストの並列実行

複数の MSTest プロセスを使用して、複数のブラウザーやモバイル デバイスに対してテストを並列に実行することができます。たとえば、CI サーバーや Silk Central からテストを実行するときに、この機能を使用できます。

デフォルトでは、Silk Test は、次のブラウザーやプラットフォームでの並列テストをサポートします。
  • Google Chrome
  • Mozilla Firefox
  • 以下のプラットフォーム上での Web、ネイティブ、ハイブリッド アプリ
    • 物理 Android デバイス
    • Android エミュレータ
    • 物理 デバイス

テストの並列再生を無効にするには、環境変数 SILKTEST_ENABLE_PARALLEL_TESTING を false に設定します。

注: 並列テストを有効にすると、Open Agent はテストの実行プロセスのそれぞれを別々に処理しようとします。ある Silk Test クライアントでテストされたアプリケーションは、最初のクライアントが実行している間、他のクライアントでテストすることはできません。たとえば、Silk4J と Silk4NET で交互に同じアプリケーションをテストすることはできません。
注: 同じモバイル デバイス上で同時に複数のテストを実行することはできません。テストを並列実行する前に、十分なデバイスとエミュレータが利用できることを確認してください。モバイル デバイスやエミュレータが割り当てられないと、テストの実行は失敗します。

並列テストの実行それぞれが、1 個のブラウザーまたはモバイル デバイスに対して個々の vstestconsole.exe または mstest.exe を開始します。ブラウザーやモバイル デバイスを特定の vstestconsole.exe または mstest.exe と関連付けたい場合には、接続文字列を使用できます。詳細については、「モバイル デバイスの接続文字列」または「リモート デスクトップ ブラウザーの接続文字列」を参照してください。

次の図は、複数のブラウザーの並列テストのイメージを表します。

次の図は、複数のデバイスの並列テストのイメージを表します。

複数のプロセスが同時に開始されると、Silk4NET を実行しているマシン上で Open Agent を何度も開始しようとする可能性があります。同じマシンで複数回 Open Agent を実行することはできないため、Silk4NET は例外をスローすることになります。これを避けるため、テストを並列実行する前に、Open Agent が実行されていることを確認してください。

テスト結果は、複数の TrueLog ファイル（各テスト実行毎に 1 つ）に保存されます。TrueLog ファイルが上書きされないようにするため、TrueLog ファイル名にプレースホルダーを使用することができます。詳細については、「TrueLog オプションの設定」を参照してください。
注: テスト中のメモリ消費量が激しいと感じた場合は、テスト結果が XLG 形式ではなく、圧縮ファイルである TLZ 形式で保存されていることを確認してください。並列テストでは、Silk4NET は TrueLog API をサポートしません。
親トピック: テストの再生
関連概念
テストを再生するブラウザーの選択
関連タスク
コマンド ラインからのテストの再生
TrueLog オプションの設定


Silk4NET がテストを同期する方法

ほとんどの予期しないテストの失敗は、同期問題に起因します。テストの再生時の同期が弱いと、予期しない結果が生成されるため、実際のアプリケーションの問題を見つけることが困難になります。同期エラーはタイミングの問題で、テストの環境に強く依存しており、このようなエラーを再現し解決することは困難です。たとえば、特定のテスト環境で発生する同期エラーが、開発環境では再現できないことがあります。同期が弱いと、自動化プロジェクトにおいて、自動化テスト セットの肥大化に伴い管理不能に陥る、最も一般的な理由のひとつになります。

Silk4NET では、自動的なテスト同期をすべてのサポートするテクノロジに対して提供しているため、ロバストで管理可能なテスト セットを構築できます。テストの再生中に、Silk4NET は、AUT が次の操作を実行する準備ができるまで、常にテストが待機するようにします。テストの検証ステップでは、Silk4NET は、テストのそれより前のテストが検証を実行する前に完了しているようにします。

AUT の特定の動作にテストを適用する場合は、次の同期タイムアウトの値を変更できます。
同期タイムアウト (OPT_SYNC_TIMEOUT)
再生中に AUT が準備完了状態になるまで Silk4NET が待機する最大時間をミリ秒で指定します。デフォルト値は、300000 ミリ秒です。
オブジェクト解決タイムアウト (OBJ_WAIT_RESOLVE_OBJDEF)
Find メソッドがオブジェクトを検索する最大時間をミリ秒で指定します。デフォルト値は、5000 ミリ秒です。
注: 低速な接続でアクセスした仮想マシンなどの低速なシステムや高負荷な環境でテストを正しく実行できるようにするために、Silk4NET は内部タイムアウト値を増やすことがあります（AUT の開始時やダイアログやウィンドウの表示時など）。AUT、ダイアログ、ウィンドウが完全に表示されると、Silk4NET は再びタイムアウト値を OPT_WAIT_RESOLVE_OBJDEF で指定された値に戻します。
オブジェクト解決再試行間隔 (OPT_WAIT_RESOLVE_OBJDEF_RETRY)
Silk4NET がオブジェクトを直ちに見つけることができなかった場合、Silk4NET はオブジェクト解決タイムアウトが経過するまでオブジェクトの検索を再試行します。オブジェクト解決再試行間隔は、Silk4NET がオブジェクトの検索を再試行するまで待機する時間をミリ秒で指定します。デフォルト値は、1000 ミリ秒です。
オブジェクト有効化タイムアウト (OPT_OBJECT_ENABLED_TIMEOUT)
再生中にオブジェクトが有効になるまで Silk4NET が待機する最大時間をミリ秒で指定します。デフォルト値は、1000 ミリ秒です。
注: タイムアウトは重なりません。

Silk4NET が提供する自動的な同期のうち、特に Web アプリケーションに関する詳細な情報については、「xBrowser のページ同期」を参照してください。Silk4NET が提供する同期のうち、特に AJAX アプリケーションに関する詳細な情報については、「How to Synchronize Test Automation Scripts for Ajax Applications」を参照してください。

自動同期の他にも、Silk4NET では、 スクリプトに待機関数を手動で追加することも可能です。手動同期を行うために、Silk4NET で提供されてる待機関数は次の通りです。
WaitForObject
指定したロケータに一致するオブジェクトを待機します。XPath ロケーターやオブジェクト マップ識別子に対して動作します。
WaitForProperty
指定したプロパティが指定した値になるか、タイムアウト値に到達するまで待機します。
WaitForPropertyNotEquals
指定したプロパティの値が指定した値でなくなるか、タイムアウト値に到達するまで待機します。
WaitForDisappearance
オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。
WaitForChildDisappearance
locator パラメータで指定された子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。
WaitForScreenshotStable
オブジェクトの表示が安定し、その位置が変化しなくなるまで待機します。

テストが ObjectNotFoundException で不規則に失敗する場合、オブジェクト解決タイムアウト を増やします (30 秒にするなど)。進行状況ダイアログが表示され、長時間計算が行われた後に表示されるオブジェクトをクリックする場合など、特定の操作に特別に時間のかかる場合は、WaitForObject メソッドをテスト スクリプトに手動で追加してオブジェクトが見つかるまで待機するようにしたり、WaitForDisappearance メソッドをテスト スクリプトに追加して進行状況ダイアログが表示されなくなるまで待機するようにします。

自動的な同期の例

Silk4NET がキャプション Ok を持つボタンをクリック する、次のサンプル コードを考えます。

'VB .NET code
Dim button = _desktop.PushButton("@caption='Ok'")
button.Click()
// C# code
var button = _desktop.PushButton("@caption='Ok'");
button.Click();
このサンプル コードの操作を再生するために、Silk4NET は次の同期操作を実行します。
  1. Silk4NET はボタンを検索します。そして、オブジェクト解決タイムアウト が経過した場合、Silk4NET は再生を停止して例外をスローします。
  2. Silk4NET はテスト対象アプリケーション (AUT) が準備完了状態になるまで待機します。AUT が準備完了状態になる前に、同期タイムアウト が経過した場合、Silk4NET は再生を停止して例外をスローします。
  3. Silk4NET はボタンが有効になるまで待機します。オブジェクト有効化タイムアウト がボタンが有効になる前に経過した場合、Silk4NET は再生を停止して例外をスローします。
  4. Silk4NET はボタンをクリックします。
  5. Silk4NET はテスト対象アプリケーション (AUT) が再び準備完了状態になるまで待機します。
親トピック: テストの再生
関連概念
xBrowser のページ同期
関連タスク
同期オプションの設定
再生オプションの設定
関連資料
エージェント オプション


再生ステータス ダイアログ ボックスの有効化

再生ステータス ダイアログ ボックスを有効にすると、テストの再生中に実行される操作を表示できます。このダイアログ ボックスは、リモート Mac やモバイル デバイスなど、他のマシン上でテストを再生する場合に非常に役立ちます。

再生ステータス ダイアログ ボックスを有効化するには：

  1. Silk4NET > オプションの編集 をクリックします。
  2. 再生 タブ をクリックします。
  3. 再生ステータス ダイアログ ボックスを有効化するには、OPT_SHOW_PLAYBACK_STATUS_DIALOG チェック ボックスをオンにします。
  4. 再生ステータス ダイアログ ボックスにテスト対象アプリケーションのビデオまたはスクリーンショットを表示するには、OPT_PLAYBACK_STATUS_DIALOG_SCREENSHOTS チェック ボックスをオンにします。
  5. OK をクリックします。
注: リモート Mac やモバイル デバイス上でテストする場合は、Mac またはデバイスの画面がテスト中にオフにならないようにしてください。オフになると、再生ステータス ダイアログ ボックスには何も表示されなくなります。
親トピック: テストの再生
関連タスク
再生オプションの設定


テスト結果の分析

Silk4NET でテストを実行すると、テスト レポートが生成されるため、テストを実行した後で、その結果を分析できます。 たとえば、テストが失敗した原因の解明に役立てることができます。

Silk4NET でテストを実行すると、デフォルトでは TrueLog と HTML レポートの両方が生成されます。Silk4NET が生成する結果の形式は、Silk4NET > オプションの編集 > TrueLog > 結果形式の選択 で変更できます。

  • テスト結果の分析
    テストを実行したら、テスト結果を確認し、テスト実行の成功または失敗を分析します。
  • HTML レポート
    テストの実行時に Silk4NET が作成する HTML レポートについて説明します。
  • TrueLog を使用したビジュアル実行ログ
    TrueLog を使用して、Silk4NET テストの実行中にビジュアル実行ログを作成する方法について説明します。


テスト結果の分析

テストを実行後、テスト結果を確認し、テスト実行の成功または失敗を分析できます。

  1. Silk4NET テストを実行します。 実行が終了すると、再生完了 ダイアログ ボックスが開きます。
  2. 結果の検討を実行して、テストの結果を確認します。
  3. 結果をクリックします。 テストに失敗すると、Silk4NET によってスクリーンショットがキャプチャされます。
親トピック: テスト結果の分析
関連概念
再生時に TrueLog が結果ファイルを書き出さない理由
TrueLog を使用したビジュアル実行ログ
関連タスク
Silk4NET テストの実行


HTML レポート

Silk4NET でテストを実行すると、デフォルトでは TrueLog と HTML レポートの両方が生成されます。レポートには、テストの実行に関する概要情報に加え、実行した操作に関する詳細情報も表示されます。

テスト実行が完了すると、再生完了 ダイアログから HTML レポートを開くことができます。

デフォルトでは、HTML レポートは、Visual Studio ソリューション ファイルと Visual Studio 単体テスト フレームワークのあるディレクトリのサブディレクトリに作成されます。この場所は、Silk4NET > オプションの編集 > TrueLog > TrueLog の場所 で変更できます。
親トピック: テスト結果の分析


TrueLog を使用したビジュアル実行ログ

TrueLog は、ビジュアルな検証を通じてテスト ケースの失敗の根本的な原因の分析を単純化するための強力なテクノロジです。テストの結果は、TrueLog Explorer で検証できます。テストの実行中にエラーが発生すると、TrueLog はそのエラーが発生したスクリプトの行を簡単に特定し、問題を解決できるようにします。

注: TrueLog は、スクリプトに対して単一のローカル エージェントまたはリモート エージェントのみをサポートしています。たとえば、1 つのマシンでアプリケーションをテストし、そのアプリケーションが別のマシンのデータベースにデータを書き込む場合のように、複数のエージェントを使用する場合は、スクリプトで使用された最初のエージェントに対してのみ TrueLog が書き出されます。リモート エージェントを使用する場合は、リモート マシンにも TrueLog ファイルが書き出されます。

TrueLog Explorer に関する追加の情報については、『Silk TrueLog Explorer Silk Test のヘルプ』を参照してください。

Silk4NET で TrueLog を有効にして、Silk4NET テストの実行中にビジュアル実行ログを作成できます。TrueLog ファイルは、Silk4NET テストが実行されたプロセスの作業ディレクトリに作成されます。

デフォルトの設定では、スクリプトでエラーが発生した場合にのみスクリーンショットが作成され、エラーの発生したテスト ケースのログのみが作成されます。

  • TrueLog の有効化
    TrueLog を有効にして、Silk4NET テストの実行中にビジュアル実行ログを作成します。
  • TrueLog の場所の変更
    現在のプロジェクトでテストを実行するときに TrueLog を保存する場所を指定します。
  • TrueLog セクション
    TrueLog は、TrueLog オプション ダイアログ ボックスでグローバルに設定でき、テスト ケースでも個々に設定できます。
  • Web ページ コンテンツのキャプチャ
    Web ページ コンテンツをスクリーンショットにキャプチャして、画像ファイルに保存する方法について説明します。
  • TrueLog で非 ASCII 文字が正しく表示されない理由
    TrueLog ファイルに非 ASCII 文字が正しく表示されない場合の対処法について説明します。
  • 再生時に TrueLog が結果ファイルを書き出さない理由
    再生時に結果ファイルが書き出されない場合にすべきことについて説明します。
親トピック: テスト結果の分析
関連タスク
テスト結果の分析


TrueLog の有効化

新しい Silk4NET スクリプトでは、TrueLog がデフォルトで有効になっています。スクリプト オプション ダイアログ ボックスの TrueLog タブにある TrueLog の有効化 チェック ボックスのオン/オフを切り替えて、TrueLog を有効、または無効にすることができます。スクリプト オプション ダイアログ ボックスを開くには、Silk4NET > オプションの編集 をクリックします。

Visual Studio Unit Testing Framework を使用している既存の Silk4NET スクリプトで TrueLog を有効にするには、スクリプト内のすべてのテスト クラスの TestClass 属性を SilkTestClass 属性で置き換える必要があります。

既存の Silk4NET スクリプトに対して TrueLog を有効にするには：

  1. TrueLog を有効にするテスト クラスが含まれたスクリプトを開きます。
  2. テスト クラスに SilkTestClass 属性を追加します。

デフォルトでは、Visual Studio ソリューション ファイルおよび Visual Studio Unit Testing Framework の結果が格納されているディレクトリの TestResults サブディレクトリに TrueLog が作成されます。TrueLog の別の場所を指定するには、Silk4NET > オプションの編集 をクリックして スクリプト オプションダイアログ ボックスを開き、TrueLog ファイル フィールドの右側にある 参照 をクリックします。

Visual Studio ソリューション ファイルには、Silk4NET スクリプトが格納されています。Silk4NET テストの実行が完了したら、ダイアログ ボックスが開きます。結果の検討 をクリックすると、完了したテストの TrueLog を確認できます。

使用例

Visual Basic スクリプト内のクラスに対して TrueLog を有効にするには、以下のコードを使用します。
<SilkTestClass()> Public Class MyTestClass
  <TestMethod()> Public Sub MyTest()
    ' my test code
  End Sub
End Sub
C# スクリプト内のクラスに対して TrueLog を有効にするには、以下のコードを使用します。
[SilkTestClass]
public class MyTestClass {
  [TestMethod]
  public void MyTest() {
    // my test code
  }
}
親トピック: TrueLog を使用したビジュアル実行ログ
関連概念
スクリプトへの結果コメントの挿入
関連タスク
TrueLog オプションの設定


TrueLog の場所の変更

デフォルトでは、Visual Studio ソリューション ファイルおよび Visual Studio Unit Testing Framework の結果が格納されているディレクトリの TestResults サブディレクトリに TrueLog が作成されます。

TrueLog の場所を指定するには：

  1. メニューから、Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが開きます。
  2. TrueLog タブを選択します。
  3. TrueLog の場所 フィールドの右側にある 参照 をクリックします。
現在のプロジェクトでテストを実行すると、TrueLog は指定した場所に保存されます。
親トピック: TrueLog を使用したビジュアル実行ログ


TrueLog セクション

TrueLog にセクションを追加して、複雑なスクリプトを、名前の付けられた小さなパーツに論理的に分割して構造化できます。

TrueLog セクションは入れ子状にすることができます。 また、名前は一意である必要は無く、複数のセクションで同じ名前を使用できます。

TrueLog ファイルに新しいセクションを作成するには、次のコードを使用します。
openTrueLogSection("section_name")
最後に開いた TrueLog セクションを閉じるには、次のコードを使用します。
closeCurrentTrueLogSection()
次の場合には、セクションは自動的に閉じられます。
  • テスト ケースの終了
  • テスト クラスの終了
  • テスト実行の終了
  • キーワードの終了
  • 例外の発生
以下に、TrueLog セクション の使用例を示します。
[TestMethod]
public void SubSections()
{
  Agent.OpenTrueLogSection("Section a");
  Agent.LogInfo("In section a");
  Agent.OpenTrueLogSection("Section b");
  Agent.LogInfo("In section b");
  Agent.CloseCurrentTrueLogSection();
  Agent.LogInfo("In section a again");
}

サポートするメソッドの詳細については、Silk Test クライアントの API ドキュメントを参照してください。

親トピック: TrueLog を使用したビジュアル実行ログ


Web ページ コンテンツのキャプチャ

ブラウザー ウィンドウに現在表示されている Web ページの一部をスクリーンショットにキャプチャする場合は、CaptureBitmap メソッドを使用できます。画像ファイルの場所と名前は、絶対パスまたは相対パスでパラメータで指定します。例：
//C# code
browserWindow.CaptureBitmap("C:\Temp\MyPage.png");
'VB code
browserWindow.CaptureBitmap("C:\Temp\MyPage.png")
Web ページ コンテンツ全体のスクリーンショットを 1 つの画像としてキャプチャする場合は、CaptureFullPageBitmap メソッドを使用できます。画像ファイルの場所と名前は、絶対パスまたは相対パスでパラメータで指定します。例：
//C# code
browserWindow.CaptureFullPageBitmap("C:\Temp\MyPage.png");
'VB code
browserWindow.CaptureFullPageBitmap("C:\Temp\MyPage.png")
親トピック: TrueLog を使用したビジュアル実行ログ


TrueLog で非 ASCII 文字が正しく表示されない理由

TrueLog Explorer は MBCS ベースのアプリケーションであるため、正しく表示するには、すべての文字列が MBCS 形式でエンコードされている必要があります。 TrueLog Explorer でデータを表示およびカスタマイズすると、データが表示される前に、多数の文字列変換処理が発生することがあります。

UTF-8 でエンコードされた Web サイトをテストする場合は、文字列を含むデータをアクティブな Windows システム コード ページに変換できないことがあります。 このような場合、TrueLog Explorer は変換できない非 ASCII 文字列を、構成可能な置換文字 (通常は「?」) で置き換えます。

TrueLog Explorer で非 ASCII 文字列を正確に表示するには、システム コード ページに適切な言語 (日本語など) を設定します。

親トピック: TrueLog を使用したビジュアル実行ログ


再生時に TrueLog が結果ファイルを書き出さない理由

再生後に Silk4NET が以下のエラー メッセージを表示している場合があります。
結果ファイルが書き出されていないため、[結果の検討] は使用できません。十分な権限があること、および Silk4NET プロジェクトの参照設定にある単体テスト拡張機能が使用中の Visual Studio のバージョンに対応していることを確認してください。

この場合、単体テスト拡張機能への参照が現在使用している Visual Studio と異なるバージョンを指している可能性があります。たとえば、Silk4NET プロジェクトを前のバージョンの Visual Studio から移行した場合に発生します。TrueLog が結果ファイルを書き出すことができるようにするためには、誤った Visual Studio のバージョンへの参照を正しいバージョンを指すように変更してください。スクリプト オプション ダイアログ ボックスの TrueLog タブにある TrueLog の有効化 チェック ボックスがオンになっていることも確認してください。スクリプト オプション ダイアログ ボックスを開くには、Silk4NET > オプションの編集 をクリックします。

例

Silk4NET プロジェクトが Visual Studio 2012 を参照し、使用している Visual Studio のバージョンが 2013 である場合、SilkTest.Ntf.VisualStudio2012.UnitTestingExtension への参照を Silk4NET プロジェクトから削除し、SilkTest.Ntf.VisualStudio2013.UnitTestingExtension への参照をプロジェクトに追加します。

親トピック: TrueLog を使用したビジュアル実行ログ
関連タスク
Silk4NET テストの実行
テスト結果の分析


Silk Test Open Agent

Silk Test Open Agent は、スクリプトのコマンドを GUI 固有のコマンドに翻訳するソフトウェア プロセスです。 つまり、Open Agent がテストするアプリケーションを動かし、監視しています。

ホストマシン上で 1 つのエージェントをローカルに実行できます。 ネットワーク環境では、任意の数のエージェントがリモート マシン上でテストを再生できます。 ただし、記録はローカル マシン上でのみ実行できます。

  • Silk Test Open Agent の起動
    テストの作成またはサンプル スクリプトの実行前に、Silk Test Open Agent が実行されている必要があります。 通常は、製品を起動したときにエージェントが実行されます。
  • テスト実行後に Open Agent を停止する
    テスト実行の終わりにスクリプトから Open Agent を停止して、エージェントが実行し続けないようにします。
  • エージェント オプション
    GetOption および SetOption メソッドで操作できる Agent クラス オプションについて説明します。
  • Silk4NET コンポーネント間の接続設定
    ファイアウォールを介してリモート マシンに接続したり、HTTPS を使って安全にリモート マシンに接続するために、Silk4NET が Information Service や Open Agent との通信に使用するポートを設定できます。
  • Open Agent を使用したリモート テスト
    リモート エージェントを使用してリモート ロケーションのアプリケーションをテストする方法について説明します。


Silk Test Open Agent の起動

テストの作成またはサンプル スクリプトの実行前に、Silk Test Open Agent が実行されている必要があります。 通常は、製品を起動したときにエージェントが実行されます。 Open Agent を手動で開始しなければならない場合には、次のステップを実行してください。

(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > ツール > Silk Test Open Agent、または (Microsoft Windows 10) スタート > Silk > Silk Test Open Agent をクリックします。 Silk Test Open Agent アイコン Open Agent アイコン が、システム トレイに表示されます。
親トピック: Silk Test Open Agent


テスト実行後に Open Agent を停止する

コマンド ライン オプション -shutDown を使うか、スクリプトから Open Agent を停止して、テスト実行が終わってもエージェントが実行し続けることがないようにすることができます。次のコマンドをコマンド ラインから実行して、Open Agent を停止することができます：
openAgent.exe -shutDown

スクリプトからエージェントを停止するには：

  1. テスト実行が完了したときに実行するスクリプトを開く、または作成します。 たとえば、テスト実行後にクリーンアップのために使用する既存のスクリプトを開きます。
  2. スクリプトに ShutDown メソッドを追加します。
注: 他のスクリプトが Open Agent を必要になった時点で、エージェントは再起動されます。
親トピック: Silk Test Open Agent


エージェント オプション

このセクションでは、GetOption および SetOption メソッドで操作できるオプションについて説明します。

注: デフォルトでは、メニューから Silk4NET > オプションの編集 を選択してグローバル オプションを設定できます。

スクリプトでエージェント オプションを設定または取得するには、GetOption または SetOption メソッドを使用します。たとえば、Agent.SetOption(Options. と入力すると、オートコンプリートと構文ヒント テクノロジを使用して、エージェント オプションがアクティブなエディター ウィンドウに自動的に表示されます。たとえば、以下のオプションがアクティブなエディター ウィンドウに表示されます。

スクリプトでオプションを挿入する場合は、次のように記述します。
'VB .NET code
Agent.SetOption(Options.ApplicationReadyTimeout, 100000)
// C# code
Agent.SetOption(Options.ApplicationReadyTimeout, 100000);
あるいは、スクリプトでエージェント オプション名を使用することもできます。たとえば、以下のように入力できます。
'VB .NET code
Agent.SetOption("OPT_APPREADY_TIMEOUT", 100000)
// C# code
Agent.SetOption("OPT_APPREADY_TIMEOUT", 100000);
.NET オプション名 | エージェント オプション名 | 定数の型 | 説明
ApplicationReadyTimeout | OPT_APPREADY_TIMEOUT | 数値 | 新しく起動したアプリケーションが準備完了状態になるまで待機する時間をミリ秒で指定します。指定したタイムアウト時間内にアプリケーションの準備が整わない場合は、Silk4NET によって例外がスローされます。
BitmapMatchCount OPT_BITMAP_MATCH_COUNT 整数 ビットマップが安定していると判断するために、連続して同じビットマップでなければならないスナップショットの数を指定します。スナップショットは、OPT_BITMAP_MATCH_TIMEOUT で指定された秒数まで取得され、各スナップショット間で OPT_BITMAP_MATCH_INTERVAL で指定された時間間隔で一時停止します。

デフォルトで、これは 0 です。
BitmapMatchInterval OPT_BITMAP_MATCH_INTERVAL 実数 ビットマップ画像が安定していることを保証するために使用するスナップショット間の時間間隔を指定します。スナップショットは、OPT_BITMAP_MATCH_TIMEOUT で指定された時間まで取得されます。

デフォルトで、これは 0.1 です。
BitmapMatchTimeout OPT_BITMAP_MATCH_TIMEOUT 実数 ビットマップ画像が安定するまでの合計許容時間を指定します。

この期間に Silk4NET は画像の複数のスナップショットを取得し、スナップショット間で OPT_BITMAP_MATCH_TIMEOUT で指定された秒数だけ待機します。OPT_BITMAP_MATCH_COUNT で指定されたビットマップ数と一致する前に、OPT_BITMAP_MATCH_TIMEOUT から返される値に到達すると、Silk4NET でスナップショットの取得が停止し、例外 E_BITMAP_NOT_STABLE が発生します。

デフォルトで、これは 5 です。
BitmapPixelTolerance OPT_BITMAP_PIXEL_TOLERANCE 整数 2 つのビットマップが一致しているとみなされる許容差異 (ピクセル単位) を指定します。差異ピクセル数がこのオプションで指定された値より小さい場合、ビットマップは同一であるとみなされます。最大許容値は 32767 ピクセルです。

デフォルトで、これは 0 です。
ButttonsToCloseWindows | OPT_CLOSE_WINDOW_BUTTONS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じるために使用するボタンを指定します。
ButttonsToConfirmDialogs | OPT_CLOSE_CONFIRM_BUTTONS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じる際に表示された確認ダイアログ ボックスを閉じるために使用するボタンを指定します。
CloseUnresponsiveApplications | OPT_KILL_HANGING_APPS | ブール値 | 無応答のアプリケーションを閉じるかどうかを指定します。タイムアウトなどの理由で、エージェントとアプリケーション間の通信に失敗した場合に、アプリケーションが無応答になります。 複数のインスタンスを実行できないアプリケーションをテストする場合は、このオプションを TRUE に設定します。デフォルトで、これは FALSE です。
CloseWindowTimeout | OPT_CLOSE_WINDOW_TIMEOUT | 数値 | ウィンドウ閉じるための次の方式を試行する前に待機する時間をミリ秒で指定します。最終的に失敗と判断する前に、4 種類の方式が Agent によって実行されます。つまり、閉じるのに失敗するまでにかかる合計時間は、指定した値の 4 倍の時間になります。
Compatibility OPT_COMPATIBILITY 文字列

Silk4NET の最新バージョンで特定の機能の動作が変更されている場合は、これらの機能について、指定した Silk4NET バージョンの動作を使用することができます。

文字列の例：
  • 12
  • 11.1
  • 13.0.1

デフォルトでは、このオプションは設定されていません。
EnsureObjectIsActive | OPT_ENSURE_ACTIVE_OBJDEF | ブール値 | ターゲット オブジェクトがアクティブであることを保証します。 デフォルトで、これは FALSE です。
EnableAccessibility OPT_ENABLE_ACCESSIBILITY ブール値

Win32 アプリケーションをテストしているときに、Silk4NET がオブジェクトを認識できない場合、ユーザー補助を有効にするには TRUE に設定します。ユーザー補助は、オブジェクトの認識機能をクラス レベルで強化するためのものです。

ユーザー補助を無効にするには FALSE に設定します。

デフォルトで、これは FALSE です。

注: Mozilla Firefox と Google Chrome の場合、ユーザー補助は常に有効で、無効にすることはできません。
EnableMobileWebviewFallbackSupport OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT ブール値

デフォルトのブラウザー サポートではテストできないハイブリッド モバイル アプリケーションに対して、モバイル ネイティブ フォールバックのサポートを有効化します。

デフォルトで、これは FALSE です。
EnableUiAutomationSupport OPT_ENABLE_UI_AUTOMATION_SUPPORT 数値

通常の Win32 コントロールの認識の代わりに Microsoft UI オートメーション サポートを有効化する場合は TRUE を設定します。Win32 アプリケーションをテストしているときに、Silk4NET がオブジェクトを認識できない場合、このオプションは有用です。AUTODETECT を指定すると、JavaFX などの既存のテクノロジ対して Microsoft UI オートメーションが自動的に有効になります。

デフォルトで、これは FALSE です。
HangAppTimeOut OPT_HANG_APP_TIME_OUT 数値

応答のない再生操作をキャンセルするまでのタイムアウト値を、無応答のアプリケーションのタイムアウト で指定します。

デフォルト値は、5000 ミリ秒です。
HighlightObjectDuringPlayback OPT_REPLAY_HIGHLIGHT ブール値 現在のオブジェクトが再生中にハイライトされるかどうかを指定します。

デフォルトで、これは FALSE です。つまり、デフォルトではオブジェクトはハイライトされません。
KeyboardEventDelay OPT_KEYBOARD_INPUT_DELAY 数値 再生時のキー入力間の遅延をミリ秒で指定します。

テストするアプリケーションに応じて、選択する最適な値が異なることに注意してください。たとえば、Web アプリケーションをテストする場合、1 ミリ秒に設定すると、ブラウザが極端に遅くなります。ただし、この値を 0 (ゼロ) に設定すると、基本的なアプリケーション テストに失敗する可能性があります。
KeysToCloseDialogs | OPT_CLOSE_DIALOG_KEYS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じる際に表示されたダイアログ ボックスを閉じるキー シーケンスを指定します。例：「<ESC>」、「<Alt+F4>」
LocatorAttributesCaseSensitive OPT_LOCATOR_ATTRIBUTES_CASE_SENSITIVE ブール値

はい に設定すると、ロケーター属性名の大文字と小文字が区別されるようになり、いいえ に設定すると、ロケーター名の大文字と小文字が区別されなくなります。モバイル Web アプリケーションのロケーター属性の名前は、常に大文字と小文字の区別はされません。つまり、モバイル Web アプリケーションの記録や再生時に、このオプションは無視されます。
MenuItemsToCloseWindows | OPT_CLOSE_WINDOW_MENUS | 文字列のリスト | CloseSynchron メソッドでウィンドウを閉じるために使用するメニュー項目を指定します。例：「ファイル/*終了」、「ファイル/*中止」
MouseEventDelay | OPT_MOUSE_INPUT_DELAY | 数値 | 各マウス イベントの前に使用される遅延をミリ秒で指定します。
ObjectResolveRetryInterval | OPT_WAIT_RESOLVE_OBJDEF_RETRY | 数値 | 再生中にオブジェクトが解決できなかった場合に、再試行する前に待機する時間をミリ秒で指定します。ObjectResolveTimeout の値を超過した場合は、再試行は行われません。
ObjectResolveTimeout | OPT_WAIT_RESOLVE_OBJDEF | 数値 | 再生中にオブジェクトの解決を待機する時間をミリ秒で指定します。オブジェクトが解決されるとすぐに、Silk4NET はこのオブジェクトを認識することができます。
PlaybackMode OPT_REPLAY_MODE 数値 コントロールの再生方法を定義します。「低レベル」を使用すると、マウスとキーボードを使用して各コントロールが再生されます。「高レベル」を使用すると、API を使用して各コントロールが再生されます。コントロールごとにデフォルトの再生モードが割り当てられています。デフォルトの再生モードが選択されると、各コントロールごとのデフォルトの再生モードが使用されます。デフォルト モードを使用すると、最も信頼できる結果が得られます。「低レベル」または「高レベル」の再生を選択すると、すべてのコントロールの再生モードが選択した再生モードで上書きされます。

有効な値は、0、1、2 です。0 はデフォルト、1 は高レベル、2 は低レベルです。デフォルトで、これは 0 です。
PostReplayDelay | OPT_POST_REPLAY_DELAY | 数値 | 関数の呼び出しまたはプロパティの設定後に待機する時間をミリ秒で指定します。
RemoveFocusOnCaptureText OPT_REMOVE_FOCUS_ON_CAPTURE_TEXT ブール値
はい に設定すると、テキストのキャプチャ中にテスト対象アプリケーションからフォーカスが外れます。デフォルトでは いいえ に設定されており、テスト対象アプリケーションにフォーカスが残ります。テキストのキャプチャは、次のメソッドによる記録および再生中に実行されます。
  • TextClick
  • TextCapture
  • TextExists
  • TextRect
SuspensionTimeout | OPT_NTF_SUSPENSION_TIMEOUT | 数値 | NTF から回答を得るまで待機する最大時間をミリ秒で指定します。この時間を超えた場合は、NTF と Open Agent 間の通信が中断されたものとみなします。
SyncTimeout OPT_SYNC_TIMEOUT 数値 オブジェクトが準備完了状態になる最大時間をミリ秒で指定します。
注: Silk Test 13.0 より前のバージョンの Silk Test からアップグレードする場合、OPT_XBROWSER_SYNC_TIMEOUT オプションが設定されていると、オプション ダイアログ ボックスに OPT_SYNC_TIMEOUT のデフォルト値が表示されますが、タイムアウトは定義した値に設定されています。
TransparentClasses OPT_TRANSPARENT_CLASSES 文字列のリスト
オブジェクト階層を単純化し、テスト スクリプトや関数のコードの行の長さを短くするために、次のテクノロジの確実に不要なクラスに対するコントロールを抑制できます。
  • Win32
  • Java AWT/Swing
  • Java SWT/Eclipse
  • Windows Presentation Foundation (WPF)
記録や再生中に無視したいクラスの名前を指定します。
OPT_WPF_CHECK_DISPATCHER_FOR_IDLE | ブール値 | WPF アプリケーションによっては、コントロールの実装方法が影響して、Silk Test 同期が機能しない場合があります。これにより、WPF アプリケーションがアイドルであることを Silk4NET が認識できなくなります。このオプションを FALSE に設定すると、WPF 同期が無効になり、WPF アプリケーションを制御するスレッドである WPF ディスパッチャーを Silk4NET が確認しないようになります。このオプションを FALSE に設定すると、一部の WPF アプリケーションで発生する同期問題を解決できます。デフォルトで、これは TRUE です。
WPFCustomClasses | OPT_WPF_CUSTOM_CLASSES | 文字列のリスト | 記録や再生の対象にしたい WPF クラスの名前を指定します。たとえば、MyGrid というカスタム クラスが WPF Grid クラスから継承された場合、MyGrid カスタム クラスのオブジェクトは記録や再生に使用できません。Grid クラスはレイアウト目的のためにのみ存在し、機能テストとは無関係であるため、Grid オブジェクトは記録や再生に使用できません。この結果、Grid オブジェクトはデフォルトでは公開されません。機能テストに無関係なクラスに基づいたカスタム クラスを使用するには、カスタム クラス (この場合は MyGrid) を OPT_WPF_CUSTOM_CLASSES オプションに追加します。これによって、記録、再生、検索、プロパティの検証など、すべてのサポートされる操作を指定したクラスに対して実行できるようになります。
WPFPrefillItems | OPT_WPF_PREFILL_ITEMS | ブール値 | 記録および再生中に 、WPFComboBox や WPFListBox のような WPFItemsControl 内の項目を事前に入力するかどうかを定義します。WPF 自体が特定のコントロールの項目を遅延読み込みするため、項目がビューにスクロールされない場合、それらの項目は Silk4NET では使用できません。ビューにスクロールされないとアクセスできない項目にアクセスするには、事前入力をオンにします。これはデフォルトの設定です。ただし、一部のアプリケーションでは Silk4NET によってバックグランドで項目が事前入力されると問題が発生し、そのためアプリケーションがクラッシュすることがあります。この場合、事前入力をオフにします。
XbrowserEnableIframeSupport OPT_XBROWSER_ENABLE_IFRAME_SUPPORT ブール値

ブラウザーの iframe および frame のサポートを有効にするかどうかを指定します。Web アプリケーションの iframe の内容を無視して良い場合、iframe のサポートを無効にすると再生速度が速くなる可能性があります。たとえば、多くの広告が表示される Web ページやモバイル ブラウザーでテストする際に iframeサポートを無効にすると、再生パフォーマンスが大幅に向上する可能性があります。このオプションは、Internet Explorer では無視されます。このオプションは、デフォルトで有効になっています。
XBrowserExcludeIFrames | OPT_XBROWSER_EXCLUDE_IFRAMES | 文字列 | リストの各項目で、属性名と対応する値を定義します。項目のどれにも一致しない iframe と frame は、テスト対象に含まれます。ワイルドカードを使用できます。たとえば、"src:*advertising*" という項目を定義すると、<IFRAME src=http://my.domain/advertising-banner.html> がテスト対象から除外されます。このオプションは、Internet Explorer では無視されます。リストが空の場合は、すべての iframe と frame がテストの対象となります。複数のエントリをカンマで区切って指定します。
XBrowserFindHiddenInputFields OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS ブール値

非表示入力フィールドを表示するかどうかを指定します（タグに type="hidden" を指定した HTML フィールドです）。デフォルト値は、TRUE です。
XBrowserIncludeIFrames | OPT_XBROWSER_INCLUDE_IFRAMES | 文字列 | リストの各項目で、属性名と対応する値を定義します。項目のどれにも一致しない iframe と frame は、テスト対象から除外されます。ワイルドカードを使用できます。たとえば、"name:*form" という項目を定義すると、<IFRAME name="user-form" src=...> がテスト対象に含まれます。このオプションは、Internet Explorer では無視されます。リストが空の場合は、すべての iframe と frame がテストの対象となります。複数のエントリをカンマで区切って指定します。
XBrowserSynchronizationMode | OPT_XBROWSER_SYNC_MODE | 文字列 | サポートする同期モード (HTML または AJAX) を設定します。HTML モードを使用すると、すべての HTML ドキュメントが対話的な状態になることが保証されます。このモードでは、単純な Web ページをテストすることができます。Java Script が含まれる、より複雑なシナリオが使用される場合は、同期関数を手動で記述することが必要になる可能性があります。AJAX モードを使用すると、同期関数を手動で記述する必要はなくなります。 デフォルト値は、AJAX に設定されています。
XBrowserSynchronizationTimeout OPT_XBROWSER_SYNC_TIMEOUT 数値 オブジェクトが準備完了状態になる最大時間をミリ秒で指定します。
注: 推奨されません。代わりに OPT_SYNC_TIMEOUT オプションを使用してください。
XBrowserSynchronizationURLExcludes OPT_XBROWSER_SYNC_EXCLUDE_URLS 文字列 ページ同期中に除外するサービスまたは Web ページの URL を指定します。AJAX フレームワークやブラウザによっては、サーバーから非同期にデータを取得するために、特殊な HTTP 要求を継続して出し続けるものがあります。これらの要求により、指定した同期タイムアウトの期限が切れるまで同期がハングすることがあります。この状態を回避するには、HTML 同期モードを使用するか、問題が発生する要求の URL を 同期除外リスト 設定で指定します。

http://test.com/timeService のように URL 全体を入力したり、timeService のように URL の一部を入力します。

次のようにカンマで項目を区切ります。
'VB .NET code
Agent.SetOption(OPT_XBROWSER_SYNC_EXCLUDE_URLS, { "fpdownload.macromedia.com", "fpdownload.adobe.com", "download.microsoft.com" })
// C# code
Agent.SetOption(OPT_XBROWSER_SYNC_EXCLUDE_URLS, { "fpdownload.macromedia.com", "fpdownload.adobe.com", "download.microsoft.com" });
親トピック: Silk Test Open Agent
関連概念
Silk4NET がテストを同期する方法


Silk4NET コンポーネント間の接続設定

ファイアウォールを介してリモート マシンに接続したり、HTTPS を使って安全にリモート マシンに接続するために、Silk4NET が Information Service や Open Agent との通信に使用するポートを設定できます。

Open Agent が起動すると、Silk4NET およびテストするアプリケーションに対して、使用可能なポートがランダムに割り当てられます。ポート番号は Silk Test Information Service に登録されます。

Information Service は次の情報を Silk4NET に提供します。
  • Silk4NET が Open Agent との接続に使用できるポート番号。通信は、Silk4NET とエージェントとの間で直接行われます。リモート エージェントを使用するシナリオでは、たとえばファイアウォールによって遮断されないためなど、このポートを設定する必要がある場合があります。
  • Information Service がインストールされているマシン上で利用可能なブラウザー。
  • Information Service がインストールされているマシンに接続しているモバイル デバイス。
  • Information Service がインストールされているマシン上で利用可能なエミュレータ。
  • 上記のモバイル デバイスやエミュレータ上で利用可能なモバイル ブラウザー。

デフォルトでは、HTTPS ポート 48561 を使用して Open Agent は Information Service と通信します。デフォルト ポートが利用可能でない場合に機能する代替ポートとして、Information Service の追加のポートを構成できます。デフォルトでは、Information Service は、代替ポートとして 2966、11998、および 11999 を使用します。

大抵の場合、手動でポート番号を設定する必要はありません。ただし、リモート マシン上でテストを実行する場合、ポート番号が競合したり、Silk4NET をインストールしたマシンとテスト マシン間でファイアウォールによって遮断される場合など、Silk4NETとリモート マシン上の Open Agent 間の通信に使用するポート番号や、Silk4NET とリモート マシン上の Information Service 間の通信に使用するポート番号を設定できます。テストするリモート マシンが複数ある場合は、リモート マシンごとに異なるポート番号を使用することも、すべてのリモート マシンで同じポート番号を使用することもできます。

  • Information Service に接続するポートの構成
    Information Service に接続するためにすべてのクライアントが使用するポート番号を変更します。
  • Open Agent に接続するポートの構成
    Silk Test クライアントまたはテストするアプリケーションが Open Agent に接続するために使用するポート番号を変更します。
  • Silk Test Information Service プロパティの編集
    infoservice.properties ファイルを使用して、Silk Test Information Service のポートや、HTTPS によるセキュアな接続を使用するかどうかを指定したり、Silk Test Information Service を実行しているマシン上で Silk Test がテストを実行するたびに毎回適用されるケイパビリティ（Capabilities）を指定できます。
  • Information Service との HTTPS 接続に使用する証明書の置換
    Information Service との HTTPS 接続に使用する証明書をユーザー独自の証明書を使用するように置換する方法を説明します。
親トピック: Silk Test Open Agent


Information Service に接続するポートの構成

このタスクを開始する前に、Silk Test Open Agent を停止します。

大抵の場合、手動でポート番号を設定する必要はありません。Information Service はポート構成を自動的に処理します。Open Agent との接続には、Information Service のデフォルトのポートを使用します。これにより、Information Service によって、Open Agent が使用するポートに通信が転送されます。ただし、ファイアウォールによって遮断されないようにする場合は、特定のポートに固定して通信するように Information Service ポートを設定できます。

デフォルトでは、Silk4NET と Information Service との接続に使用されるポートは、セキュアな HTTPS 接続のポートで 48561 です。デフォルトのポートが使用可能であれば、ポート番号を指定せずに単純に hostname だけを入力できます。ポート番号を指定する場合には、Information Service のデフォルトのポートまたは追加したポートの 1 つと一致していることを確認ください。間違ったポートが指定されていると、通信に失敗します。

必要に応じて、Information Service に接続するためにすべてのクライアントが使用するポート番号を変更できます。

  1. infoservice.properties.sample ファイルに移動し、開きます。
    • Microsoft Windows システムでは、このファイルは C:\ProgramData\Silk\Silk Test\conf にあります。ここで、「C:\ProgramData」は、Windows システムでデフォルトで設定されている環境変数 ALLUSERSPROFILE の値です。
    • macOS では、このファイルは /Users/<ユーザー>/.silk/silktest/conf にあります。
    このファイルには、コメントとサンプルの代替ポート設定が含まれています。
  2. Silk4NET と Information Service との通信に、HTTPS によるセキュアな接続を使用するかどうかを指定します。
    • HTTPS によるセキュアな通信を使用する場合は、infoservice.https.enabled を true に設定します。これは、デフォルトの設定です。
    • HTTPS によるセキュアな通信を使用しない場合は、infoservice.https.enabled を false に設定します。
  3. 省略可能：HTTPS によるセキュアな通信を使用するように指定した場合、Silk4NET と Information Service の通信に未使用の別のポートを指定する場合には、infoservice.default.https.port を設定します。 デフォルトの HTTPS ポートは 48561 です。ポート番号は、1 から 65535 の間の任意の数値を指定できます。
  4. 省略可能：HTTPS によるセキュアな通信を使用しないように指定した場合、Silk4NET と Information Service の通信に未使用の別のポートを指定する場合には、infoservice.default.port を設定します。 デフォルトのポートは 22901 です。
  5. ファイルを infoservice.properties という名前で保存します。
  6. Open Agent、Silk Test クライアント、およびテストするアプリケーションを再起動します。
親トピック: Silk4NET コンポーネント間の接続設定


Open Agent に接続するポートの構成

このタスクを開始する前に、Silk Test Open Agent を停止します。

大抵の場合、手動でポート番号を設定する必要はありません。Information Service はポート構成を自動的に処理します。Open Agent との接続には、Information Service のデフォルトのポートを使用します。これにより、Information Service によって、Open Agent が使用するポートに通信が転送されます。ただし、ファイアウォールによって遮断されないようにする場合は、特定のポートに固定して通信するように Information Service ポートを設定できます。

必要に応じて、Silk Test クライアントまたはテストするアプリケーションが Open Agent に接続するために使用するポート番号を変更します。

  1. agent.properties.sample ファイルに移動し、開きます。 デフォルトでは、このファイルは次の場所にあります：%APPDATA%\Silk\SilkTest\conf。 大抵の場合、C:\Users\<ユーザー名>\AppData\Silk\SilkTest\conf になります。ここで、<ユーザー名> は、現在のユーザー名に一致します。
  2. 代替ポートの値を変更します。 大抵の場合、ポートの競合を解決するためにポートの設定を構成します。
    注: 各ポート番号は一意でなければなりません。エージェントのポート番号が Information Service のポート設定とは異なることを確認してください。
    ポート番号は、1 から 65535 の間の任意の数値を指定できます。

    ポートの設定には次のものがあります：

    • agent.vtadapter.port： テストの実行時に、Silk Test Workbench と Open Agent 間の通信を制御します。

    • agent.xpmodule.port： テストの実行時に、Silk Test Classic とエージェント間の通信を制御します。

    • agent.autcommunication.port： Open Agent とテストするアプリケーション間の通信を制御します。

    • agent.rmi.port： Open Agent と Silk4J 間の通信を制御します。

    • agent.ntfadapter.port： Open Agent と Silk4NET 間の通信を制御します。

    • agent.heartbeat.port： リモート マシンにインストールした Open Agent を使ってテストする場合に必要です。

    注: Apache Flex のテスト時に使用されるポートは、この構成ファイルでは制御できません。Flex アプリケーションのテストで割り当てられるポート番号は、6000 から始まり、各 Flex アプリケーションがテストされる度に 1 ずつ増加していきます。Flex テスト用に開始ポートを構成することはできません。
  3. ファイルを agent.properties という名前で保存します。
  4. Open Agent、Silk Test クライアント、およびテストするアプリケーションを再起動します。
親トピック: Silk4NET コンポーネント間の接続設定


Silk Test Information Service プロパティの編集

infoservice.properties ファイルを使用して、Silk Test Information Service のポートや、HTTPS によるセキュアな接続を使用するかどうかを指定したり、Silk Test Information Service を実行しているマシン上で Silk Test がテストを実行するたびに毎回適用されるケイパビリティ（Capabilities）を指定できます。
  1. infoservice.properties.sample ファイルがあるディレクトリに移動します。
    • Windows マシン上で、%PROGRAMDATA%\Silk\SilkTest\conf に移動します (C:\ProgramData\Silk\SilkTest\conf など)。
    • macOS 上で、~/.silk/silktest/conf/ に移動します。
  2. infoservice.properties.sample ファイルの名前を infoservice.properties に変更します。
  3. Silk4NET と Information Service との通信に、HTTPS によるセキュアな接続を使用するかどうかを指定します。
    • HTTPS によるセキュアな通信を使用する場合は、infoservice.https.enabled を true に設定します。これは、デフォルトの設定です。
    • HTTPS によるセキュアな通信を使用しない場合は、infoservice.https.enabled を false に設定します。
  4. 省略可能：HTTPS によるセキュアな通信を使用するように指定した場合、Silk4NET と Information Service の通信に未使用の別のポートを指定する場合には、infoservice.default.https.port を設定します。 デフォルトの HTTPS ポートは 48561 です。ポート番号は、1 から 65535 の間の任意の数値を指定できます。
  5. 省略可能：HTTPS によるセキュアな通信を使用するように指定した場合に、すべての HTTP リクエストを HTTPS ポートにリダイレクトするには、infoservice.http-to-https.enabled を true に設定します デフォルト値は、false です。
  6. 省略可能：HTTPS によるセキュアな通信を使用しないように指定した場合、Silk4NET と Information Service の通信に未使用の別のポートを指定する場合には、infoservice.default.port を設定します。 デフォルトのポートは 22901 です。
  7. 省略可能：Silk Test が HTTPS 接続で使用する証明書をユーザーの証明書で置き換える場合は、「Information Service との HTTPS 接続に使用する証明書の置換」を参照してください。
  8. ケイパビリティを指定するには、次の行を infoservice.properties ファイルに追加します。
    customCapabilities=<custom capability_1>;<custom_capability_2>;...

例：指定した言語での iOS シミュレータの実行

Mac 上で iOS シミュレータを常に同じ言語で実行するようにするには、カスタム ケイパビリティ language および locale を指定します。たとえば日本語の場合、次の行を infoservice.properties ファイルに追加します。
customCapabilities=language=ja;locale=ja_JP
親トピック: Silk4NET コンポーネント間の接続設定
親トピック: iOS


Information Service との HTTPS 接続に使用する証明書の置換

Silk4NET と Information Service 間でセキュアな HTTPS 接続を使用する場合、次の自己署名証明書ファイルが使用されます。
  • keystore 証明書ファイルは、Information Service HTTPS サーバーで使用されます。
  • 次の証明書ファイルは、Silk4NET クライアントを実行するマシンで使用されます。
    • cacerts
    • cacerts.p12
    • cacerts.pem

OpenSSL と Java keytool 実行可能ファイルを使って、これらのファイルをユーザー独自の証明書ファイルで置き換えることができます。

  1. 使用するマシン上に OpenSSL と JDK がインストールされていることを確認してください。
  2. JDK インストール フォルダーの bin フォルダーにある Java keytool 実行可能ファイルを実行します。
  3. Information Service HTTPS サーバー上で、秘密キーと公開キーのペアを秘密 keystore ファイルに作成します。
    keytool -genkey -alias jetty -keyalg RSA -keypass Borland -storepass Borland -keystore keystore -validity 1095
  4. プロンプトの指示に従い、氏名を入力し、ホストにはワイルドカード * を入力します。
  5. 秘密 keystore ファイルから、server.cer という名前のテンポラリ証明書ファイルに情報をエクスポートします。
    keytool -export -alias jetty -storepass Borland -file server.cer -keystore keystore
    このテンポラリ証明書ファイルは、Silk4NET クライアントを実行するマシン用の証明書ファイルを生成するために必要になります。
  6. server.cer ファイルから、cacerts という名前の証明書ファイルを作成します。
    keytool -import -v -trustcacerts -alias jetty -file server.cer -keystore cacerts -keypass Borland -storepass Borland
  7. cacerts ファイルから、cacerts.p12 という名前のテンポラリ証明書ファイルに情報をインポートします。
    keytool -importkeystore -srckeystore cacerts -destkeystore cacerts.p12 -srcstoretype JKS -deststoretype PKCS12 -srcstorepass Borland -deststorepass Borland
  8. テンポラリ証明書ファイル cacerts.p12 から、PKCS12 キーストア形式の公開キーストア ファイル cacerts.pem を作成します。
    openssl pkcs12 -in cacerts.p12 -out cacerts.pem -cacerts -nokeys
  9. ファイル (keystore、cacerts、cacerts.p12、cacerts.pem) を設定フォルダーにコピーします。
    • Windows マシンの場合、%PROGRAMDATA%\Silk\SilkTest\conf にファイルをコピーします (C:\ProgramData\Silk\SilkTest\conf など)。
    • macOS の場合、~/.silk/silktest/conf/ にファイルをコピーします。
親トピック: Silk4NET コンポーネント間の接続設定


Open Agent を使用したリモート テスト

リモート マシン上に Silk4NET をインストールして、ローカル マシンにインストールされている Silk4NET からリモート ロケーション上のアプリケーションをテストすることができます。

注: リモート マシンに接続されているモバイル デバイスや、リモート マシン上のエミュレータまたはシミュレータ上のモバイル アプリケーションをテストする場合や、Apple Safari またはリモート Microsoft Edge 上の Web アプリケーションをテストする場合には、リモート Open Agent ではなく、リモート Silk Test Information Service を使用する必要があります。
  • リモート Open Agent を使用したテスト
    リモート マシンに Open Agent をインストールして、リモート マシン上のアプリケーションに対してテストを再生できます。
親トピック: Silk Test Open Agent
関連概念
Silk4NET テストの作成
関連タスク
リモート ロケーションの編集


リモート Open Agent を使用したテスト

Silk4NET を使用してリモート マシン上のアプリケーションに対してテストを再生するには、次のタスクを実行します。
  1. ローカル マシン上のアプリケーションに対してテストを作成します。
  2. リモート マシン上に Open Agent をインストールします。 詳細については、『Silk Test インストール ガイド』を参照してください。
  3. リモート マシン上で Open Agent を開始します。
  4. テスト スクリプトで、Agent クラスの Connect メソッドを使用して、リモート Open Agent に接続します。 たとえば、次の行をスクリプトに追加します。
    // VB .NET code
Private agent As RemoteAgent = Agent.Connect("hostname:port")
    // C# code
private RemoteAgent agent = Agent.Connect("hostname:port");
    詳細については、「単一マシンでの複数 UI セッションのアプリケーションのテスト」を参照してください。
  5. リモート マシン上でテスト スクリプトのコマンドを実行するには、コマンドにエージェントを追加します。 たとえば、ローカル テスト スクリプトのコマンドが SomeAgentFunction であれば、次のようにコマンドを変更します。
    // VB .NET code
Dim d As Desktop = agent.Desktop
Dim baseState = New BaseState()
agent.ExecuteBaseState(basestate)
d.SomeAgentFunction()
    // C# code
Desktop d = agent.Desktop;
BaseState basestate = new BaseState();
agent.ExecuteBaseState(basestate);
d.SomeAgentFunction();
親トピック: Open Agent を使用したリモート テスト
関連資料
Connect メソッド


基本状態

アプリケーションの基本状態とは、各テスト ケースの実行開始前にアプリケーションに想定される既知の安定した状態です。アプリケーションは、各テスト ケースの実行が終了したあとに基本状態に戻る場合もあります。大抵の場合この状態は、アプリケーションを最初に起動したときの状態になります。

アプリケーションに対してクラスを作成するとき、Silk4NET は自動的に基本状態を作成します。

基本状態はテストの整合性を保障するための重要な一因です。各テスト ケースが安定した基本状態から開始することができることを保障することによって、あるテスト ケースのエラーによって、後続のテスト ケースが失敗しないことを保障することができます。

Silk4NET は、次の段階の間に、アプリケーションがその基本状態にあることを自動的に保障します。
  • テストの実行前
  • テストの実行中
  • テストが成功裏に完了した後
注: Silk4NET は、基本状態とすべての Silk4NET オプションを config.silk4net 構成ファイルに保存します。Silk4NET は、Silk4NET プロジェクトごとにこのようなファイルを作成します。
注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
基本状態は、次の方法で編集できます。
  • UI： 記録時と再生時の両方で AUT の開始方法を指定したい場合など。
  • スクリプト： スクリプトでテストを再生するときに、指定した方法で AUT を開始したい場合など。
  • ユーザー インターフェイスからの基本状態の変更
    Silk4NET が記録や再生時にテスト対象アプリケーションを開始する方法を指定する基本状態を、ユーザー インターフェイスから編集する方法について説明します。
  • スクリプトでの基本状態の変更
    Silk4NET が再生時にテスト対象アプリケーションを開始する方法を指定する基本状態を、スクリプトで編集する方法について説明します。
  • 基本状態の実行
    アプリケーションに対してテストの記録を開始する前に基本状態を実行することで、記録するすべてのアプリケーションを起動して、記録に適した状態にすることができます。
関連概念
アプリケーション構成
Silk4NET でのキーワード駆動テストの基本状態の設定


ユーザー インターフェイスからの基本状態の変更

Silk4NET が記録や再生時にテスト対象アプリケーションを開始する方法を指定する基本状態を、ユーザー インターフェイスから編集できます。基本状態では、AUT の実行可能ファイルの場所、作業ディレクトリ、Web アプリケーションの URL や接続文字列などを指定できます。たとえば、ステージング Web サイトで既に実行したテストを、プロダクション Web サイトで実行する場合には、基本状態の URL を変更すれば、新しい Web サイトに対してテストを実行することができます。

注: 再生時に特定のテストに対してのみ Silk4NET がテスト対象アプリケーション (AUT) を開始するように指定する場合は、テストを含むスクリプトで基本状態を編集します。詳細については、「スクリプトでの基本状態の変更」を参照してください。

ユーザー インターフェイスから基本状態を編集するには：

  1. Silk4NET をクリックして、アプリケーション構成の編集 を選択します。 アプリケーション構成の編集 ダイアログ ボックスが開き、既存のアプリケーション構成がリストされます。
  2. 変更するアプリケーション構成の右側にある 編集 をクリックします。
  3. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。 変更 をクリックして アプリケーションの選択 ダイアログ ボックスを開き、使用するブラウザーを選択することもできます。
  4. 実行可能ファイルを指定するには、実行可能ファイル フィールドに実行可能ファイルへの完全パスを入力します。
    注: Web アプリケーションをテストする場合に、ブラウザーの実行可能ファイルを指定する場合は、ブラウザーの種類からカスタムを選択します。
    たとえば、Mozilla Firefox を起動するには、「C:\Program Files (x86)\Mozilla Firefox\firefox.exe」を入力します。
  5. 実行可能ファイル パターンを指定して、デスクトップ アプリケーションをテストする場合は、実行可能ファイル パターン テキスト ボックスに、テストするデスクトップ アプリケーションの実行可能ファイルの名前とファイルへのパスを入力します。 たとえば、電卓を指定する場合には、*\calc.exe と入力します。
  6. デスクトップ アプリケーションをテストし、実行可能ファイルと一緒にコマンド ライン パターンを使用したい場合には、コマンド ライン パターンを コマンド ライン パターン テキスト ボックスに入力します。
  7. コマンド ライン引数を指定するには、コマンド ライン引数 フィールドに引数を入力します。
    注: Web アプリケーションをテストする場合に、コマンド ライン引数を指定してブラウザーを開始する場合は、ブラウザーの種類からカスタムを選択します。
    たとえば、Mozilla Firefox を myProfile プロファイルを指定して起動するには、「-p myProfile」を入力します。
  8. テストするアプリケーションがディレクトリに依存する場合は、作業ディレクトリ フィールドにディレクトリへのパスを指定します。
    たとえば、Java アプリケーションを起動するバッチ ファイルを使用する場合には、バッチ ファイルは JAR ファイルを相対パスで参照することができます。この場合、正しく相対パスが処理されるように作業ディレクトリを指定します。
  9. デスクトップ アプリケーションをテストする場合は、ロケーター フィールドにアプリケーションのメイン ウィンドウを指定します。 たとえば、ロケーターは、/Shell[@caption='Swt Test Application'] のようになります。
  10. Web アプリケーションをテストする場合は、移動する URL テキスト ボックスに、Web アプリケーションのアドレスを入力します。
  11. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
    たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
  12. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  13. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  14. リモート ロケーション上の Web アプリケーションまたはモバイル ネイティブ アプリケーション（Mac に接続されているモバイル デバイスなど）をテストする場合に、リモート ロケーションを変更する場合は、変更 をクリックして アプリケーションの選択 ダイアログ ボックスを開き、リモート ロケーションの編集 をクリックします。
  15. モバイル アプリケーションや Apple Safari 上の Web アプリケーションをテストする場合は、接続文字列 テキスト ボックスに接続文字列を入力します。 詳細については、「接続文字列」を参照してください。
  16. WebDriver ベースのブラウザーのケイパビリティを編集する場合は、接続文字列 テキスト ボックスを使用できます。 たとえば、Google Chrome のブラウザー ウィンドウを最大化して開始する場合には、接続文字列 テキスト ボックスに次のように入力します。
    chromeOptions={"args":["--start-maximized"]}
    詳細については、「WebDriver ベースのブラウザーのケイパビリティの設定」を参照してください。
  17. モバイル ネイティブ アプリケーションをテストしている場合は、アプリケーションを指定します。
    • モバイル デバイスまたはエミュレータ上にアプリをインストールする場合は、参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイル テキスト フィールドにアプリ ファイルへの完全パスを入力します。このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。
    • Android デバイス上に既にインストールされているアプリを使用する場合は、パッケージ/アクティビティ リストからアプリを選択するか、パッケージ/アクティビティ フィールドにパッケージとアクティビティを指定します。
    • iOS デバイス上に既にインストールされているアプリを使用する場合は、バンドル ID を指定します。
    • UFT Mobile 上で利用可能なアプリを使用する場合は、アプリ識別子 を指定します。
  18. OK をクリックします。
  19. テスト対象アプリケーションの起動に時間がかかる場合は、再生オプションのアプリケーション準備完了タイムアウトの値を増やしてください。

アプリケーションが実行していない場合は、基本状態を実行することで開始されます。アプリケーションがすでに実行中の場合には、Silk4NET によってアプリケーションの別のインスタンスは開始されません。

複数のアプリケーション構成がテストに含まれており、基本状態に関連付けられているオブジェクト以外のアプリケーションまたは Web ページを変更する場合は、基本状態をオフにすることができます。このことは、変更を記録したり再生したりするときに基本状態が使用されないこと意味します。このため、アプリケーションまたは Web ページを起動するステップをテスト内に記録する必要があります。たとえば、Web ページをテストする場合は、テスト内で Internet Explorer を起動します。

注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
親トピック: 基本状態
関連概念
レスポンシブ Web デザインのテスト
関連タスク
アプリケーション構成の変更
スクリプトでの基本状態の変更


スクリプトでの基本状態の変更

Silk4NET が再生時にテスト対象アプリケーションを開始する方法を指定する基本状態を、スクリプトで編集できます。基本状態では、AUT の実行可能ファイルの場所、作業ディレクトリ、Web アプリケーションの URL や接続文字列などを指定できます。たとえば、ステージング Web サイトで既に実行したテストを、プロダクション Web サイトで実行する場合には、基本状態の URL を変更すれば、新しい Web サイトに対してテストを実行することができます。

注: Silk4NET が記録や再生時にテスト対象アプリケーション (AUT) を開始する方法を指定するには、ユーザー インターフェイスから基本状態を編集します。詳細については、「ユーザー インターフェイスからの基本状態の変更」を参照してください。

スクリプトで基本状態を編集するには：

  1. スクリプトを開きます。
  2. baseState メソッドを変更します。
    基本状態の作成と実行との間にコードを追加できます。
    ' VB code
' Go to web page 'demo.borland.com/InsuranceWebExtJS'
BrowserBaseState baseState = new BrowserBaseState()
' <-- Insert your changes here!
baseState.Execute()
    // C# code
//Go to web page 'demo.borland.com/InsuranceWebExtJS'
BrowserBaseState baseState = new BrowserBaseState();
// <-- Insert your changes here!
baseState.Execute();
  3. テストするアプリケーションの実行可能ファイルの名前とファイルへのパスを指定する場合は、次のコードを使用します。
    ' VB code
baseState.Executable=executable
    // C# code
baseState.Executable=executable;
    たとえば、電卓を指定する場合は、次のように入力します。
    ' VB code
baseState.Executable = "C:\\Windows\\SysWOW64\\calc.exe"
    // C# code
baseState.Executable = "C:\\Windows\\SysWOW64\\calc.exe";
    Mozilla Firefox を指定する場合は、次のように入力します。
    ' VB code
baseState.Executable = "C:\\Program Files (x86)\\Mozilla Firefox\\firefox.exe"
    // C# code
baseState.Executable = "C:\\Program Files (x86)\\Mozilla Firefox\\firefox.exe";
  4. コマンド ライン引数を指定する場合は、次のコードを使用します。
    ' VB code
baseState.CommandLineArguments = commandLineArguments
    // C# code
baseState.CommandLineArguments = commandLineArguments;
    たとえば、Mozilla Firefox を myProfile プロファイルを指定して起動する場合は、次のように入力します。
    ' VB code
baseState.CommandLineArguments = "-p myProfile"
    // C# code
baseState.CommandLineArguments = "-p myProfile";
  5. 他の作業ディレクトリを指定する場合は、次のコードを使用します。
    ' VB code
baseState.WorkingDirectory = workingDirectory
    // C# code
baseState.WorkingDirectory = workingDirectory;
  6. 実行可能ファイル パターンを使用する場合には、次のコードを使用します。
    ' VB code
baseState.ExecutablePattern = executablePattern
    // C# code
baseState.ExecutablePattern = executablePattern;
    たとえば、電卓に対して実行可能ファイル パターンを指定する場合は、次のように入力します。
    ' VB code
baseState.ExecutablePattern = "*\\calc.exe"
    // C# code
baseState.ExecutablePattern = "*\\calc.exe";
  7. 実行可能ファイルと一緒にコマンド ライン パターンを使用する場合は、次のコードを使用します。
    ' VB code
baseState.CommandLinePattern = commandLinePattern
    // C# code
baseState.CommandLinePattern = commandLinePattern;
    たとえば、アプリケーションのコマンド ラインが com.example.MyMainClass で終わる場合には、コマンド ライン パターンに *com.example.MyMainClass を使用します。
    ' VB code
baseState.CommandLinePattern = "*com.example.MyMainClass"
    // C# code
baseState.CommandLinePattern = "*com.example.MyMainClass";
  8. Web アプリケーションまたはモバイル Web アプリケーションをテストする場合、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、インストール済みのブラウザまたはモバイル ブラウザから 1 つを指定します。 たとえば、Google Chrome を指定する場合は、次のように入力します。
    ' VB code
baseState.BrowserType = BrowserType.GoogleChrome
    // C# code
baseState.BrowserType = BrowserType.GoogleChrome;
  9. Web アプリケーションまたはモバイル Web アプリケーションをテストする場合、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、テストする Web アプリケーションのアドレスを指定します。
    ' VB code
baseState.Url = url
    // C# code
baseState.Url = url;
    たとえば、次のように入力します。
    ' VB code
baseState.Url = "demo.borland.com/InsuranceWebExtJS/"
    // C# code
baseState.Url = "demo.borland.com/InsuranceWebExtJS/";
  10. デスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー ウィンドウの幅と高さを指定できます。
    ' VB code
baseState.ViewportHeight = viewportHeight
baseState.ViewportWidth = viewportWidth
    // C# code
baseState.ViewportHeight = viewportHeight;
baseState.ViewportWidth = viewportWidth;
  11. リモート ロケーション上の Web アプリケーション、またはモバイル ネイティブ アプリケーションをテストする場合は、接続文字列を指定します。
    ' VB code
New MobileBaseState(connectionString)
    // C# code
new MobileBaseState(connectionString);
    接続文字列についての詳細は、「リモート デスクトップ ブラウザーの接続文字列」または「モバイル デバイスの接続文字列」を参照してください。
  12. Mozilla Firefox または Google Chrome のケイパビリティを編集する場合にも、接続文字列を使用できます。 たとえば、Mozilla Firefox のダウンロード フォルダーを設定する場合は、次のように入力します。
    ' VB code
baseState.ConnectionString = "moz:firefoxOptions= {\"prefs\": { \"browser.download.dir\":\"C:/Download/\"}};"
    // C# code
baseState.ConnectionString = "moz:firefoxOptions= {\"prefs\": { \"browser.download.dir\":\"C:/Download/\"}};";
    詳細については、「WebDriver ベースのブラウザーのケイパビリティの設定」を参照してください。
親トピック: 基本状態
関連タスク
ユーザー インターフェイスからの基本状態の変更


基本状態の実行

アプリケーションに対してテストの記録を開始する前に基本状態を実行することで、記録するすべてのアプリケーションを起動して、記録に適した状態にすることができます。

基本状態を実行するには：

Silk4NET > 基本状態の実行 をクリックします。
アプリケーションの種類に応じて、Silk4NET は次のアクションを実行します。
  • 現在のプロジェクトで定義されているアプリケーション構成に対応するすべてのアプリケーションのアプリケーション構成を実行します。
  • デスクトップ アプリケーションの場合、Silk4NET は指定したインストール ディレクトリからアプリケーションを開きます。%ProgramFiles% 環境変数を含むディレクトリへのパスが指定された場合、Silk4NET は Program Files ディレクトリからアプリケーションを検索し、見つからなかった場合に、Silk4NET は Program Files (x86) ディレクトリを検索します。%ProgramFiles(x86)% 環境変数を含むディレクトリへのパスが指定された場合、Silk4NET は Program Files (x86) ディレクトリからアプリケーションを検索し、見つからなかった場合に、Silk4NET は Program Files ディレクトリを検索します。
  • Web アプリケーションの場合、Silk4NET は指定したブラウザーで指定した URL の Web アプリケーションを開きます。
  • モバイル Web アプリケーションの場合、Silk4NET は指定したモバイル デバイスまたはエミュレータ上の指定したブラウザーで指定した URL を開きます。
  • モバイル ネイティブ アプリケーションの場合、Silk4NET は指定したモバイル デバイスまたはエミュレータ上で指定したアプリを開きます。指定したアプリが指定したモバイル デバイスまたはエミュレータ上にインストールされていない場合、Silk4NET はアプリをインストールしてから開きます。
親トピック: 基本状態


アプリケーション構成

アプリケーション構成は、テストするアプリケーションに Silk4NET が接続する方法を定義します。Silk4NET は、基本状態を作成するときに、アプリケーション構成を自動的に作成します。しかし、アプリケーション構成を追加したり、変更や削除をすることが必要になる場合があります。たとえば、データベースを変更するアプリケーションをテストしているときに、データベースの内容を確認するためにデータベースのビューアー ツールを使用する場合には、そのデータベースのビューアー ツール用のアプリケーション構成を追加する必要があります。

  • Windows アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • 実行可能ファイル パターン

      このパターンに一致するすべてのプロセスは、テストに対して有効化されます。たとえば、Internet Explorer の実行可能パターンは *\IEXPLORE.EXE です。実行可能ファイルの名前が IEXPLORE.EXE で、任意のディレクトリに置かれているプロセスはすべて有効化されます。

    • コマンド ライン パターン

      コマンドライン パターンは、テストを行うために有効化されるプロセスの制約に使用される補足パターンで、コマンドライン引数の一部 (実行可能ファイル名の後ろ部分) をマッピングすることにより行います。コマンド ライン パターンを含むアプリケーション構成では、実行可能パターンとコマンド ライン パターンの両方に一致するプロセスのみが、テストに対して有効化されます。コマンド ライン パターンが定義されていない場合は、指定された実行可能ファイル パターンを持つすべてのプロセスが有効化されます。コマンド ラインの使用は、Java アプリケーションに対して特に有益です。これは、ほとんどの Java プログラムが javaw.exe を使用して実行されるためです。つまり、典型的な Java アプリケーションに対してアプリケーション構成を作成する場合、実行可能パターンには *\javaw.exe が使用され、このパターンはすべての Java プロセスに一致します。このような場合、コマンド ライン パターンを使用して、該当するアプリケーションのみがテストに対して有効化されるようにします。たとえば、アプリケーションのコマンド ラインが com.example.MyMainClass で終わる場合には、コマンド ライン パターンに *com.example.MyMainClass を使用します。

  • ローカル マシン上のデスクトップ ブラウザの Web アプリケーションの場合、アプリケーション構成にはブラウザの種類だけが含まれます。
    注: コマンド ライン引数を指定してブラウザを開始したり、ブラウザの作業ディレクトリや実行可能ファイルを指定するには、ブラウザの種類でカスタムを選択します。詳細については、「基本状態の変更」を参照してください。
  • リモート マシン上の Apple Safari や Microsoft Edge の Web アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • ブラウザの種類
    • 接続文字列
  • モバイル ブラウザの Web アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • ブラウザの種類
    • 接続文字列
  • ネイティブ モバイル アプリケーションの場合、アプリケーション構成には以下が含まれます。
    • 接続文字列
    • シンプルなアプリケーション名。モバイル デバイス上で複数のアプリケーションが同じ名前を持つ場合は、アプリケーションの完全修飾名が使用されます。
注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。

  • アプリケーション構成の変更
    Silk4NET がテストするアプリケーションに接続する方法を定義します。
  • [アプリケーションの選択] ダイアログ ボックス
    アプリケーションの選択 ダイアログ ボックスについて説明します。
  • リモート ロケーションの編集
    リモート ロケーションを指定することで、これらのロケーション上で利用可能なブラウザやモバイル デバイスを、テストするアプリケーションのセットに追加できます。
  • アプリケーション構成エラー
    アプリケーションへのアタッチに失敗する原因として考えられる問題とその推奨解決策を示します。
  • アプリケーション構成のトラブルシューティング
    テストするアプリケーションを構成する際に直面する可能性のある問題に対処するのに有用な情報を提供します。
  • 複数のアプリケーションをテストするテストの作成
    複数のアプリケーション構成をプロジェクトに追加して、同時に複数のアプリケーションをテストします。
関連概念
基本状態
Silk4NET プロジェクトの操作
モバイル デバイスの接続文字列
リモート デスクトップ ブラウザーの接続文字列
関連タスク
ユーザー インターフェイスからの基本状態の変更


アプリケーション構成の変更

アプリケーション構成は、テストするアプリケーションに Silk4NET が接続する方法を定義します。Silk4NET は、基本状態を作成するときに、アプリケーション構成を自動的に作成します。しかし、アプリケーション構成を追加したり、変更や削除をすることが必要になる場合があります。たとえば、データベースを変更するアプリケーションをテストしているときに、データベースの内容を確認するためにデータベースのビューアー ツールを使用する場合には、そのデータベースのビューアー ツール用のアプリケーション構成を追加する必要があります。
  1. Silk4NET をクリックして、アプリケーション構成の編集 を選択します。 アプリケーション構成の編集 ダイアログ ボックスが開き、既存のアプリケーション構成がリストされます。
  2. アプリケーション構成をさらに追加するには、アプリケーション構成の追加 をクリックします。
    注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
    アプリケーションの選択 ダイアログ ボックスが開きます。タブを選択してからテストするアプリケーションを選択して OK をクリックします。
  3. アプリケーション構成を削除するには、該当するアプリケーション構成の隣にある 削除 をクリックします。
  4. アプリケーション構成を編集するには、該当するアプリケーション構成の隣にある 編集 をクリックします。
  5. 実行可能ファイルを指定するには、実行可能ファイル フィールドに実行可能ファイルへの完全パスを入力します。
    注: Web アプリケーションをテストする場合に、ブラウザーの実行可能ファイルを指定する場合は、ブラウザーの種類からカスタムを選択します。
    たとえば、Mozilla Firefox を起動するには、「C:\Program Files (x86)\Mozilla Firefox\firefox.exe」を入力します。
  6. デスクトップ アプリケーションのテストを行う場合は、実行可能ファイル パターン フィールドに、テストするアプリケーションの実行可能ファイルの名前を入力します。 パターンでは大文字と小文字が区別されず、任意の長さの任意のテキストに一致するワイルドカードとしてアスタリスク (*) を、1 文字に一致するワイルドカードとして疑問符 (?) を使用できます。 たとえば、メモ帳（Notepad）に対する実行可能ファイル パターンは、*\notepad.exe になります。実行可能ファイルの名前が notepad.exe で、任意のディレクトリに置かれているプロセスはすべて有効化されます。
  7. デスクトップ アプリケーションをテストし、実行可能ファイルと一緒にコマンド ライン パターンを使用したい場合には、コマンド ライン パターンを コマンド ライン パターン テキスト ボックスに入力します。
  8. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。 変更 をクリックして アプリケーションの選択 ダイアログ ボックスを開き、使用するブラウザーを選択することもできます。
  9. Web アプリケーションをテストする場合は、移動する URL テキスト ボックスに、Web アプリケーションのアドレスを入力します。
  10. Web アプリケーションのビジュアル ブレークポイントを検出するには、ブラウザー サイズの編集 をクリックします。 詳細については、「ビジュアル ブレークポイントの検出」を参照してください。
  11. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
    たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
  12. 省略可能：ブラウザー ウィンドウの 向き を選択します。
  13. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  14. モバイル アプリケーションや Apple Safari 上の Web アプリケーションをテストする場合は、接続文字列 テキスト ボックスに接続文字列を入力します。 詳細については、「モバイル デバイスの接続文字列」を参照してください。
  15. OK をクリックします。
親トピック: アプリケーション構成
関連概念
[アプリケーションの選択] ダイアログ ボックス
レスポンシブ Web デザインのテスト
関連タスク
ユーザー インターフェイスからの基本状態の変更
リモート ロケーションの編集
ビジュアル ブレークポイントの検出


[アプリケーションの選択] ダイアログ ボックス

アプリケーションの選択 ダイアログ ボックスを使用して、テストしたアプリケーションを選択し、アプリケーションとオブジェクト マップを関連付けたり、アプリケーション構成をテストに追加したりします。アプリケーションの種類は、ダイアログ ボックスのタブとしてリストされます。使用したいアプリケーションの種類に対応したタブを選択します。

Windows
システムで実行中のすべての Microsoft Windows アプリケーションの一覧が表示されます。リストから項目を選択して、OK をクリックします。

キャプションを持たないプロセスを表示しない チェック ボックスを使用して、キャプションを持たないアプリケーションを一覧から除去します。

Web

利用可能なすべてのブラウザーの一覧が表示されます (任意の接続済みモバイル デバイス上のモバイル ブラウザーや Mac 上の Apple Safari を含む)。移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。ブラウザー サイズを選択する場合は、選択したブラウザーの 向き も選択できます。

注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
モバイル
利用可能なすべてのモバイル デバイスとすべての実行中の Android エミュレーターの一覧が表示されます (リモート ロケーションに接続されたデバイスを含む)。モバイル ネイティブ アプリケーションをテストする場合は、このタブを選択します。選択したモバイル デバイス上で現在実行中のモバイル アプリケーション (アプリ) をテストするために選択したり、テストするアプリの名前やファイルを手動で参照したり指定することができます。
親トピック: アプリケーション構成
関連概念
モバイル デバイスの接続文字列
リモート デスクトップ ブラウザーの接続文字列
関連タスク
アプリケーション構成の変更
リモート ロケーションの編集


リモート ロケーションの編集

リモート ロケーション ダイアログ ボックスを使用すると、リモート ロケーション上のブラウザやモバイル デバイスを、テストするアプリケーションのセットに追加できます。
  1. Silk4NET > リモート ロケーションの編集 をクリックします。 リモート ロケーション ダイアログ ボックスが表示されます。
  2. リモート ロケーションを追加するには、次の操作を実行します。
    1. ロケーションの追加 の右側にある矢印をクリックして、Silk Test Information Service、Silk Central、UFT Mobile のいずれかを選択して、追加するリモート ロケーションを指定します。
      注: Silk Central は 1 つだけリモート ロケーションとして設定できます。Silk Central との統合が既に設定されている場合は、リモート ロケーション リストに Silk Central が表示されます。
    2. ロケーションの追加 をクリックします。ロケーションの追加 ダイアログ ボックスが表示されます。
    3. Silk4NET がリモート マシン上の Information Service に接続するためのリモート ロケーションの URL とポートを、ホスト フィールドに入力します。 デフォルトのポートは 22901 です。
    4. UFT Mobile との接続を追加する際に、HTTPS によるセキュアな接続を使用する場合は、UFT Mobile 証明書をインストールします。 詳細については、「UFT Mobile との HTTPS 接続用証明書のインストール」を参照してください。
    5. UFT Mobile との接続を追加する場合は、UFT Mobile の ユーザー名 と パスワード を指定します。 UFT Mobile パスワードの変更については、「UFT Mobile パスワードの変更」を参照してください。
    6. 省略可能：名前 フィールドにリモート ロケーションの名前を入力します。
    7. 省略可能：テスト をクリックして、リモート接続が正しく動作することを確認します。
    8. OK をクリックします。
  3. 既存のリモート ロケーションを編集するには、編集 をクリックします。
  4. リモート ロケーションを削除するには、削除 をクリックします。
  5. 省略可能：アプリケーションの選択 ダイアログに表示されるブラウザーやデバイスの数を減らすには、このロケーション上のデバイスとブラウザーを非表示 をクリックします。 そのリモート ロケーションにインストールされたブラウザーや接続されたデバイスが、アプリケーションの選択 ダイアログに表示されなくなります。デフォルトでは、すべてのリモート ロケーションにインストールされたブラウザーや接続されたデバイスのすべてが、アプリケーションの選択 ダイアログに表示されます。
  6. デフォルトでは、リモート ロケーションは %APPDATA%\Silk\SilkTest\conf\remoteLocations.xml に保存されます。他のチーム メンバーと設定を共有したい場合など、リモート ロケーションを保存するファイルを変更するには、次の操作を実行します。
    1. 共有オプション をクリックします。共有オプション ダイアログ ボックスが表示されます。
    2. 共有ファイルに保存 をクリックします。
    3. 参照 をクリックして、ファイルを選択します。
    リポジトリにあるファイルを使用したい場合は、remoteLocationsFileLocation.properties という名前のファイルにリモート ロケーションへの完全パスを設定できます。たとえば、C:\mySources に保存した remoteLocations.xml で指定したリモート ロケーションを使用する場合は、%APPDATA%\Silk\SilkTest\conf\ フォルダーに remoteLocationsFileLocation.properties という名前のファイルを作成し、fileLocation=C\:\\mySources\\remoteLocations.xml を入力します。
  7. 他のチーム メンバーによって指定されたリモート ロケーションを使用する場合など、共有ファイルから設定済みのリモート ロケーションのセットを読み込むには、次の操作を実行します。
    1. 共有オプション をクリックします。共有オプション ダイアログ ボックスが表示されます。
    2. 共有ファイルから読み込む をクリックします。
    3. 参照 をクリックして、ファイルを選択します。
  8. OK をクリックします。
リモート ロケーションを追加すると、リモート ロケーション上にインストールされているブラウザ (Mac 上の Apple Safari など) が、アプリケーションの選択 ダイアログ ボックスの Web タブで利用可能になり、リモート ロケーションに接続されているモバイル デバイスが、アプリケーションの選択 ダイアログ ボックスの モバイル タブで利用可能になります。
親トピック: アプリケーション構成
関連概念
Open Agent を使用したリモート テスト
[アプリケーションの選択] ダイアログ ボックス
関連タスク
リモート Windows マシン上でのブラウザーのテスト
アプリケーション構成の変更
Silk Test Information Service を Mac にインストールする
関連資料
Mac 上の Apple Safari を使用したテストにおける前提条件


アプリケーション構成エラー

アプリケーションにアタッチできない場合、以下のエラー メッセージが表示されます。
アプリケーション <アプリケーション名> にアタッチするのに失敗しました。詳細については、ヘルプを参照してください。

この場合、以下の表に示されている 1 つ以上の問題が原因である可能性があります。

問題 | 原因 | 解決策
タイムアウト
  • システムが遅すぎます。
  • システムのメモリ サイズが小さすぎます。
 速いシステムを使用するか、現在使用しているシステムのメモリ使用量を減らします。
ユーザー アカウント制御 (UAC) の失敗 | システムの管理者権限がありません。 | 管理者権限を持つユーザー アカウントでログインします。
コマンド ライン パターン | コマンド ライン パターンが固有すぎます。この問題は特に Java の場合に発生します。再生が意図したとおりに機能しないことがあります。 | パターンから不明瞭なコマンドを削除します。
  • ブラウザーの選択 ダイアログ ボックスが、Web アプリケーションに対してテストを実行しているときに表示されない
  • Web アプリケーションに対してテストを実行しているときに、複数のブラウザー インスタンスが開始される
  • 開いているブラウザー インスタンスを使用して Web アプリケーションに対してテストを実行しているときに、Silk4NET が動作を停止することがある
 基本状態と複数のブラウザー アプリケーション構成がテスト ケースに対して定義されています。 1 つを除くすべてのブラウザー アプリケーション構成をテスト ケースから削除します。
テスト実行時の再生エラー

テストに対してアプリケーション構成が定義されていません。

次の例外が表示される可能性があります：

アプリケーション構成が存在しません。
  • キーワード駆動テストを実行するときに、基本状態を実行するキーワードがテストに含まれていることを確認します。
  • アプリケーション構成が現在のプロジェクトに対して設定されていることを確認します。
親トピック: アプリケーション構成
関連資料
アプリケーション構成のトラブルシューティング


アプリケーション構成のトラブルシューティング

アプリケーションの選択 ダイアログ ボックスにアプリケーションが表示されない理由

  • キャプションを持たないプロセスを表示しない チェック ボックスをオフにします。このチェック ボックスは、デフォルトではオンになっており、キャプションを持たないアプリケーションはダイアログ ボックスに表示されません。
  • Silk4NET をシステム特権で実行します。
    1. Silk4NET を閉じます。
    2. Open Agent を停止します。
    3. Silk4NET を管理者として実行します。
  • タスク マネージャー を使用して、アプリケーションが他のユーザー アカウントで実行されていないか確認します。
  • アプリケーションが runas コマンド、または同等のコマンドで起動されていないか確認します。
親トピック: アプリケーション構成
関連資料
アプリケーション構成エラー


複数のアプリケーションをテストするテストの作成

単一のテスト スクリプトで複数のアプリケーションをテストできます。このようなテスト スクリプトを作成するには、テストするアプリケーションそれぞれに対するアプリケーション構成を、スクリプトが存在するプロジェクトに追加する必要があります。
  1. テストする主要なアプリケーション用に、テストを記録するか手動でスクリプトを作成します。
  2. Silk4NET をクリックして、アプリケーション構成の編集 を選択します。 アプリケーション構成の編集 ダイアログ ボックスが開き、既存のアプリケーション構成がリストされます。
  3. アプリケーション構成をさらに追加するには、アプリケーション構成の追加 をクリックします。
    注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
    アプリケーションの選択 ダイアログ ボックスが開きます。タブを選択してからテストするアプリケーションを選択して OK をクリックします。
  4. OK をクリックします。
  5. 新しいアプリケーション構成を使用して、スクリプトに追加の操作を記録するか手動でスクリプトを作成します。
注: 定義済みの基本状態を使って Web アプリケーションをテストするときに、ブラウザー アプリケーション構成を複数追加しないでください。
親トピック: アプリケーション構成


スクリプト オプションの設定

記録、ブラウザ、カスタム属性、無視するクラス、同期、および再生モードに関するスクリプト オプションを指定します。

注: Silk4NET のプロジェクトごとに、Silk4NET によって config.Silk4net 構成ファイルが作成されます。 Silk4NET によって、テスト対象のアプリケーションの基本状態とすべてのオプションがこのファイルに保存されます。 その後、オプションが再生中に使用されます。
  • TrueLog オプションの設定
    テストの実行情報を記録する方法を指定します。
  • 記録オプションの設定
    記録を一時停止するためのショートカット キーの組み合わせを設定したり、絶対値による指定やマウスの移動操作が記録されるかどうかを指定したりします。
  • ブラウザの記録オプションの設定
    記録中に無視するブラウザの属性や DOM 関数の代わりに、ユーザーの入力そのものを記録するかどうかを指定します。
  • カスタム属性の設定
    頻繁には変更されない属性を利用して、適切に定義されたロケーターでは、メンテナンス作業が少なく抑えられます。カスタム属性を使用すると、caption や index などの他の属性を使用するよりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は他のオブジェクトが追加されると変更される可能性があるためです。
  • 無視するクラスの設定
    記録や再生中に無視したいクラスの名前を指定します。
  • 記録/再生の対象とする WPF クラスの設定
    記録や再生の対象にしたい WPF クラスの名前を指定します。
  • 同期オプションの設定
    同期やタイムアウト値を指定します。
  • 再生オプションの設定
    テストするオブジェクトがアクティブであることを確実にしたいかどうかや、デフォルトの再生モードを上書きしたいかどうかを指定します。再生モードは、コントロールがマウスやキーボードによって再生されるか、API で再生されるかを定義します。デフォルト モードを使用すると、最も信頼できる結果が得られます。他のモードを選択した場合は、すべてのコントロールが選択したモードを使用します。
  • UI オートメーション オプションの設定
    UI オートメーション サポートを有効にして、ロケーターから除外する属性と値を指定することで、UI オートメーション プロバイダー インターフェイスを実装するアプリケーション（JavaFX や QT ベースのアプリケーションなど）のオブジェクトを、より正確に Silk4NET が識別できるようにすることができます。
  • 詳細オプションの設定
    詳細オプションでは、フォールバック サポートを有効化したり、ロケーター属性名の大文字小文字を区別するかどうか、などを設定できます。


TrueLog オプションの設定

TrueLog レポートや HTML レポートを有効化すると、Silk4NET を使ったテストの実行情報やビットマップを記録できます。

ビットマップやコントロールを記録すると、Silk4NET のパフォーマンスに悪影響を及ぼすことがあります。ビットマップをキャプチャして情報を記録すると TrueLog ファイルが大きくなることがあるので、エラーを含むテスト ケースのみを記録するように、詳細情報が必要なテスト ケース用に TrueLog オプションを調整できます。

テストの実行結果は、TrueLog レポートでは TrueLog Explorer を使って、HTML レポートではブラウザーを使って検討できます。TrueLog Explorer の詳細については、 『Silk TrueLog Explorer Silk Test のヘルプ』を参照してください。

注: Silk Test 17.5 以降では、TrueLog ファイルのサイズを小さくするために、TrueLog ファイルのファイル形式が .xlg 形式から .tlz 形式に変更されました。.xlg 拡張子のファイルには、自動的に .tlz 拡張子が追加されます。.tlz 形式の結果データを解析するときには、.tlz ファイルを展開し、展開された .xlg ファイルを使ってデータを解析することもできます。

結果データの作成を有効化したり、Silk4NET が収集する情報をカスタマイズするには、次の手順を実行します。

  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. TrueLog タブをクリックします。
  3. 結果の形式を選択します。
    • TrueLog レポート (.tlz) を選択すると、TrueLog Explorer で開くことのできるビジュアル実行ログが生成されます。
    • HTML レポート を選択すると、ブラウザーで表示できる HTML ベースのレポートが生成されます。
    • 両方 を選択すると、TrueLog レポートと HTML ベースのレポートの両方が生成されます。
  4. TrueLog の場所 フィールドで TrueLog ファイルの名前とパス（省略可能）を入力するか、参照 をクリックしてファイルを選択します。 HTML レポートは、指定した TrueLog の場所 のサブディレクトリに作成されます。
    注: パスは、実行時に検証されます。Silk Central によって実行されるテストは、スクリーンショットを結果ビューに表示できるようにするために、この値を Silk Central 結果ディレクトリに設定します。
  5. スクリーンショット モード を選択します。 デフォルトは、エラー時 です。
  6. 省略可能：遅延 を設定します。 この遅延により、ビットマップが撮影される前にオペレーティング システムがアプリケーション ウィンドウを描画する時間を確保できます。キャプチャされたビットマップでアプリケーションが適切に描画されない場合は、遅延時間を増やしてください。
  7. OK をクリックします。
親トピック: スクリプト オプションの設定
関連概念
TrueLog の有効化


記録オプションの設定

記録を一時停止するためのショートカット キーの組み合わせを設定したり、絶対値による指定やマウスの移動操作が記録されるかどうかを指定したりします。
注: 以下の設定はすべて任意です。テスト メソッドの品質が向上する場合に、これらの設定を変更してください。
  1. Silk4NET > オプションの編集 をクリックします。
  2. 記録 タブ をクリックします。
  3. 記録の一時停止に使用するショートカット キーの組み合わせとして Ctrl+Shift を設定するには、OPT_ALTERNATE_RECORD_BREAK チェック ボックスをオンにします。 デフォルトのショートカット キーの組み合わせは、Ctrl+Alt です。
  4. スクロール イベントの絶対値を記録するには、OPT_RECORD_SCROLLBAR_ABSOLUT チェック ボックスをオンにします。
  5. Web アプリケーション、Win32 アプリケーション、および Windows Forms アプリケーションのマウス移動操作を記録するには、OPT_RECORD_MOUSEMOVES チェック ボックスをオンにします。たとえば、Apache Flex や Swing など、xBrowser テクノロジー ドメインの子テクノロジ ドメインのマウス移動操作を記録することはできません。
  6. マウスの移動操作を記録する場合は、OPT_RECORD_MOUSEMOVE_DELAY テキスト ボックスで、MouseMove 操作を記録する前に必要なマウスの静止時間をミリ秒で指定します。 デフォルト値は、200 に設定されています。
  7. 概して、TextClick 操作のほうが Click 操作よりも望ましいオブジェクトで、Click 操作ではなくテキストのクリック操作を記録するには、OPT_RECORD_TEXT_CLICK チェック ボックスをオンにします。
  8. 概して、ImageClick 操作のほうが Click 操作よりも望ましいオブジェクトで、Click 操作ではなくイメージのクリック操作を記録するには、OPT_RECORD_IMAGE_CLICK チェック ボックスをオンにします。
  9. オブジェクト マップ エントリを記録するか、XPath ロケーターを記録するかを定義するには、OPT_RECORD_OBJECTMAPS_MODE リストから適切な記録モードを選択します。
    • オブジェクト マップ エントリ (新しいオブジェクトと既存のオブジェクト)。これはデフォルトのモードです。
    • XPath ロケーター (新しいオブジェクトと既存のオブジェクト)。
    • XPath ロケーター (新しいオブジェクトのみ)。オブジェクト マップに既に存在するオブジェクトに対しては、オブジェクト マップ エントリが再利用されます。この設定を選択すると、AUT のメイン コントロールに対するオブジェクト マップを作成し、AUT に対して追加のテストを作成する間、これらのオブジェクト マップを保持することができます。
  10. 記録セッションの開始時にテスト対象アプリケーション (AUT) のサイズを変更する場合は、 OPT_RESIZE_APPLICATION_BEFORE_RECORDING チェック ボックスをオンにします。 このチェック ボックスはデフォルトでオンになっており、AUT の隣に Silk Recorder が表示されます。このチェック ボックスをオフにすると、AUT と Silk Recorder が重なって表示される場合があります。
  11. OK をクリックします。
親トピック: スクリプト オプションの設定


ブラウザの記録オプションの設定

記録中に無視するブラウザの属性や DOM 関数の代わりに、ユーザーの入力そのものを記録するかどうかを指定します。
注: 以下の設定はすべて任意です。テスト メソッドの品質が向上する場合に、これらの設定を変更してください。
  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. ブラウザー タブをクリックします。
  3. ロケーター属性名除外リスト グリッドで、記録中に無視する属性名を入力します。 たとえば、height という名前の属性を記録しない場合には、height 属性名をグリッドに追加します。 複数の属性名を指定する場合にはカンマで区切ります。
  4. ロケーター属性値除外リスト グリッドで、記録中に無視する属性値を入力します。 たとえば、x-auto という値を持つ属性を記録しない場合には、x-auto をグリッドに追加します。 複数の属性値を指定する場合にはカンマで区切ります。
  5. DOM 関数の代わりにユーザーの入力そのものを記録するには、OPT_XBROWSER_RECORD_LOWLEVEL チェック ボックスをオンにします。 たとえば、DomClick の代わりに Click、SetText の代わりに TypeKeys を記録するには、このチェック ボックスをオンにします。 アプリケーションでプラグインまたは AJAX を使用している場合は、ユーザーの入力そのものを使用します。アプリケーションでプラグインまたは AJAX を使用していない場合は、再生中にブラウザにフォーカスを設定したりブラウザをアクティブにしたりする必要がない高レベル DOM 関数を使用することをお勧めします。テストで DOM 関数を使用すると、より高速になり、信頼性も高まります。
  6. ロケーター属性値の最大長を設定するには、属性値の最大の長さ セクションのフィールドに長さを入力します。 実際の長さがこの制限を超えると、値は切り捨てられ、ワイルド カード (*) が付加されます。デフォルト値は、20 文字に設定されています。
  7. 指定したターゲット要素上の遮るもののないクリック スポットを自動的に検索するには、OPT_XBROWSER_ENABLE_SMART_CLICK_POSITION チェック ボックスをオンにします。
  8. Mozilla Firefox で外部リンクを新しいウィンドウではなく新しいタブで開く場合は、OPT_FIREFOX_SINGLE_WINDOW_MODE をオンにします。
    注: このオプションは、Mozilla Firefox 52 以降を使用している場合にのみ動作します。
  9. ブラウザーの iframe および frame サポートを無効にするには、OPT_XBROWSER_ENABLE_IFRAME_SUPPORT チェック ボックスをオフにします。 Web アプリケーションの iframe の内容を無視して良い場合、iframe のサポートを無効にすると再生速度が速くなる可能性があります。たとえば、多くの広告が表示される Web ページやモバイル ブラウザーでテストする際に iframeサポートを無効にすると、再生パフォーマンスが大幅に向上する可能性があります。このオプションは、Internet Explorer では無視されます。このオプションは、デフォルトで有効になっています。
  10. iframe サポートの包含リスト に、テストの対象となる iframe と frame の属性リストを指定します。 リストの各項目で、属性名と対応する値を定義します。項目のどれにも一致しない iframe と frame は、テスト対象から除外されます。ワイルドカードを使用できます。たとえば、"name:*form" という項目を定義すると、<IFRAME name="user-form" src=...> がテスト対象に含まれます。このオプションは、Internet Explorer では無視されます。リストが空の場合は、すべての iframe と frame がテストの対象となります。複数のエントリをカンマで区切って指定します。
  11. iframe サポートの除外リスト に、テストから除外する iframe と frame の属性リストを指定します。 リストの各項目で、属性名と対応する値を定義します。項目のどれにも一致しない iframe と frame は、テスト対象に含まれます。ワイルドカードを使用できます。たとえば、"src:*advertising*" という項目を定義すると、<IFRAME src=http://my.domain/advertising-banner.html> がテスト対象から除外されます。このオプションは、Internet Explorer では無視されます。リストが空の場合は、すべての iframe と frame がテストの対象となります。複数のエントリをカンマで区切って指定します。
  12. OK をクリックします。
親トピック: スクリプト オプションの設定
関連概念
xBrowser における API 再生とネイティブ再生の比較


カスタム属性の設定

Silk4NET には、ロケーターが記録時に一意となり、メンテナンスが容易になるようにする、高度なロケーター生成メカニズムが備えられています。使用するアプリケーションやフレームワークに応じて、最適な結果を得るためにデフォルト設定を変更できます。それぞれのテクノロジで使用できる任意のプロパティ (整数や倍精度の数値、文字列、項目識別子、列挙値) を、カスタム属性として使用できます。

頻繁には変更されない属性を利用して、適切に定義されたロケーターでは、メンテナンス作業が少なく抑えられます。カスタム属性を使用すると、caption や index などの他の属性を使用するよりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は他のオブジェクトが追加されると変更される可能性があるためです。

カスタム属性 タブのリスト ボックスに一覧表示されているテクノロジ ドメインの場合、任意のプロパティー (myCustomProperty を定義する WPFButton など) を取得し、それらのプロパティーをカスタム属性として使用することもできます。最適な結果を得るために、テストで利用する要素にカスタム オートメーション ID を追加します。Web アプリケーションでは、操作する要素に <div myAutomationId= "my unique element name" /> などの属性を追加できます。また、Java SWT では、GUI を実装する開発者が属性 (testAutomationId など) をウィジェットに対して定義することによって、アプリケーション内でそのウィジェットを一意に識別できます。テスト担当者は、その属性をカスタム属性 (この場合は testAutomationId) のリストに追加し、その一意の ID によってコントロールを識別できます。この手法によって、ロケーターの変更に伴うメンテナンス作業を回避することができます。

caption のように、複数のオブジェクトで同じ属性値が共有されている場合、Silk4NET は、複数の利用可能な属性を "and" 操作で結合してロケーターを一意にするよう試み、一致したオブジェクトのリストを単一のオブジェクトになるまで絞り込んでいきます。それができなくなった場合には、索引を付加します。つまり、ロケーターは caption が xyz である n 番め のオブジェクトを探すことを意味します。

複数のオブジェクトに同じカスタム属性の値が割り当てられた場合は、そのカスタム属性を呼び出したときにその値を持つすべてのオブジェクトが返されます。たとえば、一意の ID として loginName を 2 つの異なるテキスト フィールドに割り当てた場合は、loginName 属性を呼び出したときに、両方のフィールドが返されます。

  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. カスタム属性 タブを選択します。
  3. テクノロジ ドメインを選択します リスト ボックスから、テストするアプリケーションのテクノロジ ドメインを選択します。
    注: Flex または Windows API ベースのクライアント／サーバー (Win32) アプリケーションには、カスタム属性を設定できません。
  4. 使用する属性をリストに追加します。 カスタム属性が利用可能な場合は、ロケーター生成プログラムは、他の属性の前にそれらの属性を使用します。リストの順番は、ロケーター生成プログラムが使用する属性の優先順位を表しています。指定した属性が選択したオブジェクトに対して利用可能ではなかった場合には、Silk4NET はテストしているアプリケーションのデフォルトの属性を使用します。

    複数の属性名を指定する場合にはカンマで区切ります。

    注: Web アプリケーションにカスタム属性を含めるためには、HTML タグとして追加します。たとえば、bcauid という属性を追加するには、<input type='button' bcauid='abc' value='click me' /> と入力します。
    注: Java SWT コントロールにカスタム属性を含めるには、org.swt.widgets.Widget.setData(String key, Object value) メソッドを使用します。
    注: Swing コントロールにカスタム属性を含めるには、putClientProperty("propertyName", "propertyValue") メソッドを使用します。
  5. OK をクリックします。
親トピック: スクリプト オプションの設定


無視するクラスの設定

オブジェクト階層を単純化し、テスト スクリプトや関数のコードの行の長さを短くするために、次のテクノロジの確実に不要なクラスに対するコントロールを抑制できます。
  • Win32
  • Java AWT/Swing
  • Java SWT/Eclipse
  • Windows Presentation Foundation (WPF)
  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. 無視するクラス タブをクリックします。
  3. 無視するクラス グリッドで、記録や再生中に無視するクラスの名前を入力します。 複数のクラス名を指定する場合にはカンマで区切ります。
  4. OK をクリックします。
親トピック: スクリプト オプションの設定


記録/再生の対象とする WPF クラスの設定

記録や再生の対象にしたい WPF クラスの名前を指定します。たとえば、MyGrid というカスタム クラスが WPF Grid クラスから継承された場合、MyGrid カスタム クラスのオブジェクトは記録や再生に使用できません。Grid クラスはレイアウト目的のためにのみ存在し、機能テストとは無関係であるため、Grid オブジェクトは記録や再生に使用できません。この結果、Grid オブジェクトはデフォルトでは公開されません。機能テストに無関係なクラスに基づいたカスタム クラスを使用するには、カスタム クラス (この場合は MyGrid) を OPT_WPF_CUSTOM_CLASSES オプションに追加します。これによって、記録、再生、検索、プロパティの検証など、すべてのサポートされる操作を指定したクラスに対して実行できるようになります。

  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. WPF タブをクリックします。
  3. カスタム WPF クラス名 グリッドで、記録や再生中に公開するクラスの名前を入力します。 複数のクラス名を指定する場合にはカンマで区切ります。
  4. OK をクリックします。
親トピック: スクリプト オプションの設定


同期オプションの設定

同期やタイムアウト値を指定します。
注: 以下の設定はすべて任意です。テスト メソッドの品質が向上する場合に、これらの設定を変更してください。
  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. 同期 タブを選択します。
  3. Web アプリケーションを準備完了状態にするための同期アルゴリズムを指定するには、OPT_XBROWSER_SYNC_MODE リスト ボックスからオプションを選択します。 同期アルゴリズムは、呼び出しが可能になる状態までの待機時間を設定します。デフォルト値は、AJAX に設定されています。
  4. 同期除外リスト テキスト ボックスに、除外するサービスまたは Web ページの URL 全体あるいは URL の一部を入力します。

    AJAX フレームワークやブラウザによっては、サーバーから非同期にデータを取得するために、特殊な HTTP 要求を継続して出し続けるものがあります。これらの要求により、指定した同期タイムアウトの期限が切れるまで同期がハングすることがあります。この状態を回避するには、HTML 同期モードを使用するか、問題が発生する要求の URL を 同期除外リスト 設定で指定します。

    たとえば、クライアントからデータをポーリングすることによってサーバー時間を表示するウィジェットを Web アプリケーションで使用する場合は、このウィジェットのトラフィックが永続的にサーバーに送信されます。このサービスを同期から除外するには、サービス URL を判別し、除外リストに入力します。 たとえば、以下のように入力します。
    • http://example.com/syncsample/timeService
    • timeService
    • UICallBackServiceHandler
    複数のエントリをカンマで区切って指定します。
    注: アプリケーションで 1 つのサービスのみが使用されている場合、そのサービスでテストを無効にするには、サービス URL を除外リストに追加するのではなく、HTML 同期モードを使用する必要があります。
    ヒント: 除外リストには、URL 全体ではなく URL の部分文字列を追加することを、Micro Focus ではお勧めしています。たとえば、http://example.com/syncsample/timeService ではなく、/syncsample を除外リストに追加します。ブラウザは相対 URL のみをSilk4NET に返す場合があるため、URL 全体を指定すると機能しない場合があります。たとえば、ブラウザは /syncsample/timeService だけを返すのに対して、除外リストに http://example.com/syncsample/timeService を追加していると、Silk4NET は返された URL を除外しません。
  5. オブジェクトが準備完了状態になるまでの最大待機時間を指定するには、OPT_SYNC_TIMEOUT テキスト ボックスにミリ秒で値を指定します。 デフォルト値は、300000 に設定されています。
  6. 再生中にオブジェクトが解決されるまでの最大待機時間を指定するには、OPT_WAIT_RESOLVE_OBJDEF テキスト ボックスにミリ秒で値を入力します。 デフォルト値は、5000 に設定されています。
  7. エージェントがオブジェクトの解決を再試行するまでの最大待機時間を指定するには、OPT_WAIT_RESOLVE_OBJDEF_RETRY テキスト ボックスにミリ秒で値を入力します。 デフォルト値は、500 に設定されています。
  8. OK をクリックします。
親トピック: スクリプト オプションの設定
関連概念
Silk4NET がテストを同期する方法


再生オプションの設定

テストするオブジェクトがアクティブであることを確実にしたいかどうかや、デフォルトの再生モードを上書きしたいかどうかを指定します。再生モードは、コントロールがマウスやキーボードによって再生されるか、API で再生されるかを定義します。デフォルト モードを使用すると、最も信頼できる結果が得られます。他のモードを選択した場合は、すべてのコントロールが選択したモードを使用します。
  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. 再生 タブを選択します。 再生オプション ページが表示されます。
  3. テスト対象アプリケーションの起動に時間がかかる場合は、OPT_APPREADY_TIMEOUT テキスト ボックスの値を増やして、アプリケーションを待機する時間を増やしてください。
  4. OPT_REPLAY_MODE リスト ボックスから、以下のいずれかのオプションを選択します。
    • デフォルト： このモードを使用すると、最も信頼できる結果が得られます。デフォルトでは、各コントロールそれぞれが、マウスやキーボード (低レベル)、あるいは API (高レベル) モードのどちらかを使用します。デフォルト モードを使用すると、各コントロールがコントロールの種類に応じて適切なモードが使用されます。
    • 高レベル： このモードを使用すると、対象のテクノロジの API を使用して各コントロールが再生されます。たとえば、Rumba コントロールの場合、Rumba RDE API がコントロールの再生に使用されます。
    • 低レベル： このモードを使用すると、マウスやキーボードを使用して各コントロールが再生されます。
  5. テストするオブジェクトがアクティブであることを確実にするには、OPT_ENSURE_ACTIVE_OBJDEF チェック ボックスをオンにします。
  6. 再生中にオブジェクトが有効になるまでの待機時間を変更するには、オブジェクト有効化タイムアウト セクションのフィールドに新しい時間を入力します。 この時間は、ミリ秒単位で指定されます。デフォルト値は、1000 です。
  7. 再生ステータス ダイアログ ボックスを有効化するには、OPT_SHOW_PLAYBACK_STATUS_DIALOG チェック ボックスをオンにします。 リモート デバイス上のモバイル アプリケーションに対するテストを実行している場合など、リモート ロケーション上のテストの再生時に実行される操作を表示するために、再生ステータス ダイアログ ボックスを使用できます。
  8. 再生ステータス ダイアログ ボックスにテスト対象アプリケーションのビデオまたはスクリーンショットを表示するには、OPT_PLAYBACK_STATUS_DIALOG_SCREENSHOTS チェック ボックスをオンにします。
  9. OK をクリックします。
親トピック: スクリプト オプションの設定
関連概念
Silk4NET がテストを同期する方法
関連タスク
再生ステータス ダイアログ ボックスの有効化


UI オートメーション オプションの設定

UI オートメーション サポートを有効にして、ロケーターから除外する属性と値を指定することで、UI オートメーション プロバイダー インターフェイスを実装するアプリケーション（JavaFX や QT ベースのアプリケーションなど）のオブジェクトを、より正確に Silk4NET が識別できるようにすることができます。
注: 以下の設定はすべて任意です。テスト メソッドの品質が向上する場合に、これらの設定を変更してください。
  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. UI オートメーション タブをクリックします。
  3. 通常の Win32 コントロールの認識の代わりに Microsoft UI オートメーション サポートも有効化する場合は、Microsoft UI オートメーション サポートの有効化 を はい に設定します。
    注: Java FX アプリケーションをテストする場合は、UI オートメーション サポートをオンにする必要はありません。 Silk4NET では、Java FX アプリケーションに対して、デフォルトでオンになります。
    注: UI オートメーション サポートは、標準のテクノロジ ドメイン固有のサポートをオーバーライドします。UI オートメーション サポートが必要なコントロールに対する操作を完了したら、UI オートメーション サポートをオフにして、標準コントロールに対する操作に戻すこともできます。
  4. ロケーター属性名除外リスト グリッドで、記録中に無視する属性名を入力します。 たとえば、automationid という名前の属性を持つコントロールが AUT に複数存在するため無視したい場合は、automationid 属性名をリストに追加します。 複数の属性名を指定する場合にはカンマで区切ります。
  5. ロケーター属性値除外リスト グリッドで、記録中に無視する属性値を入力します。 たとえば、すべての JavaFX コントロールに JavaFX<番号> という属性値があるため、デフォルトで値 JavaFX* がリストに追加されています。 複数の属性名を指定する場合にはカンマで区切ります。
  6. OK をクリックします。
親トピック: スクリプト オプションの設定
関連概念
Microsoft UI オートメーション


詳細オプションの設定

詳細オプションでは、フォールバック サポートを有効化したり、ロケーター属性名の大文字小文字を区別するかどうか、などを設定できます。
  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. 詳細設定 タブをクリックします。 詳細オプション ページが表示されます。
  3. 埋め込み Chrome アプリケーションをテストするには、埋め込み Chrome サポートの有効化 フィールドに実行可能ファイルとポートを値ペア形式で指定します。 たとえば、myApp.exe=9222 のように指定します。 複数の埋め込み Chrome アプリケーションを指定する場合は、複数の値ペアをカンマで区切って指定します。
  4. デフォルトのブラウザー サポートではテストできないハイブリッド モバイル アプリケーションに対するフォールバック サポートを使用するには、OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT を有効化します。
  5. 標準の Win32 コントロールの解決に加えて、Microsoft ユーザー補助を有効にするには、OPT_ENABLE_ACCESSIBILITY を有効化にします。
  6. テキストをキャプチャする前にウィンドウからフォーカスを外すには、OPT_REMOVE_FOCUS_ON_CAPTURE_TEXT を有効化します。 テキストのキャプチャは、次のメソッドによる記録および再生中に実行されます。
    • TextClick
    • TextCapture
    • TextExists
    • TextRect
  7. ロケーター属性名の大文字と小文字が区別されるように設定するには、OPT_LOCATOR_ATTRIBUTES_CASE_SENSITIVE を有効化します。モバイル Web アプリケーションのロケーター属性の名前は、常に大文字と小文字の区別はされません。つまり、モバイル Web アプリケーションの記録や再生時に、このオプションは無視されます。
  8. OPT_IMAGE_ASSET_DEFAULT_ACCURACY リスト ボックスから、1 (低精度) から 10 (高精度) までの値を選択し、新しいイメージ資産のデフォルト精度レベルを設定します。
  9. OPT_IMAGE_VERIFICATION_DEFAULT_ACCURACY リスト ボックスから、1 (低精度) から 10 (高精度) までの値を選択し、新しいイメージ検証資産のデフォルト精度レベルを設定します。
  10. OK をクリックします。
親トピック: スクリプト オプションの設定
関連概念
Android 上のハイブリッド アプリケーションのテスト
iOS 上のハイブリッド アプリケーションのテスト


Silk4NET サンプル テスト

Silk4NET サンプル テストは、Visual Studio ソリューションにパッケージ化されており、開いて表示したり、Silk Test サンプル アプリケーションに対して実行したりできます。

サンプル プロジェクトを開くには、Silk4NET スタート ページ にある サンプル プロジェクトを開く をクリックするか、Visual Studio で ファイル > プロジェクトを開く をクリックして、\Users\Public\Documents\SilkTest\samples\Silk4NET を参照します。 使用する Visual Studio バージョンに対応するフォルダを選択し、サンプルのソリューション ファイルを選択します。 開く をクリックします。

インストールした Silk4NET サンプル アプリケーションに加え、一連の Silk4NET サンプル テストには、Web ベースの以下の Silk Test サンプル アプリケーション用のテストがいくつか含まれています。

Insurance Co. Web サイト
http://demo.borland.com/InsuranceWebExtJS/
Green Mountain Outpost Web
http://demo.borland.com/gmopost/


オブジェクト解決

Silk4NET は、コントロール クラスの名前と優先付けられた属性のコレクションの組み合わせによって、テスト対象アプリケーション（AUT）のコントロールをユニークな XPath ロケーターに識別します。組み合わせた XPath ロケーターでコントロールをユニークに識別できない場合には、Silk4NET は、ロケーターにインデックスを追加します。Silk4NET で記録中に、操作の選択 ダイアログの ロケーター フィールドのリストから、コントロールの他のロケーターを選択できます。

Silk4NET では、識別されたオブジェクトのリテラル参照はロケーターと呼ばれます。Silk4NET は、ロケーターを使用して、テスト対象アプリケーション (AUT) のオブジェクトを検索して識別します。ロケーターは、W3C (World Wide Web Consortium) によって定義された 共通の XML ベース言語である XPath クエリー言語のサブセットです。

  • ロケーターの基本概念
    ロケーターの基本概念の概要を説明します。
  • ロケーターの構文
    サポートするロケーター構成子、およびサポートしない構成子の例の一覧を提供します。
  • ロケーターの使用
    ロケーターの短縮形を使用する方法について説明します。
  • Find メソッドの使用
    ロケーターを持つ単一のオブジェクトを識別するために Find メソッドを使用する方法について説明します。
  • ロケーターを使用したオブジェクトの存在確認
    Exists メソッドを使用して、オブジェクトがテスト対象アプリケーションに存在するかどうかを確認する方法について説明します。
  • 1 つのロケーターで複数のオブジェクトを識別する
    1 つのロケーターを使って複数のオブジェクトを識別する方法について説明します。
  • ロケーターのカスタマイズ
    テスト対象アプリケーションのコントロールを Silk4NET が確実に解決できるようにするために、安定したロケーターを作成する方法について説明します。
  • XPath のパフォーマンス問題のトラブルシューティング
    他のロケーターを使用して、スクリプトのパフォーマンスを向上させる方法について説明します。
  • Locator Spy
    Locator Spy を使用して、GUI コントロールを一意に識別する方法について説明します。
関連概念
Locator Spy


ロケーターの基本概念

Silk4NET は、XPath クエリ言語のサブセットをサポートしています。XPath の詳細については、http://www.w3.org/TR/xpath20/ を参照してください。

XPath 式は現在のコンテキスト、つまり、Find メソッドを呼び出したオブジェクトの階層上における位置に依存します。ファイル システムと同じように、すべての XPath 式は、この位置に依存します。例：
  • "//Shell" は、現在のコンテキストから始まるすべての階層にあるすべての Shell を見つけます。
  • "Shell"は、現在のコンテキストの直下の子であるすべての Shell を見つけます。

さらに、ある XPath 式は、コンテキストの影響を受けます。たとえば、myWindow.find(xPath) は、myWindow が現在のコンテキストとなります。

動的オブジェクト解決は、テスト ケース内でオブジェクトを識別するために、Find または FindAll メソッドを使用します。

  • オブジェクト タイプと検索範囲
    Silk4NET がオブジェクトを識別するためにオブジェクト タイプと検索範囲を使用する方法について説明します。
  • 属性を使用したオブジェクトの識別
    属性を使用して、オブジェクトの識別を改善させる方法について説明します。
親トピック: オブジェクト解決
関連概念
Locator Spy
サポートする属性の種類
XPath のパフォーマンス問題のトラブルシューティング
関連資料
ロケーターの構文


オブジェクト タイプと検索範囲

典型的なロケーターには、検索するオブジェクトのタイプと検索範囲が含まれます。 検索範囲は以下のいずれかです。
  • //
  • /

ロケーターは、ロケーターを指定する対象となるオブジェクトである、現在のオブジェクトに依存します。現在のオブジェクトは、アプリケーション UI のオブジェクト階層における 位置を特定します。 ファイル システムと同じように、すべてのロケーターは、この階層における現在のオブジェクトの位置に依存します。

XPath 式は、 現在のコンテキスト、つまり、 Find メソッドを呼び出したオブジェクトの階層上における位置に依存します。 ファイル システムと同じように、すべての XPath 式は、この位置に依存します。

注:

HTML 要素に対するロケーターにおけるオブジェクト タイプは、HTML タグ名または、このオブジェクトに対して Silk4NET が使用するクラス名のいずれかになります。 たとえば、ロケーター //a と //DomLink（ここで、 DomLink は Silk4NET でのハイパーリンクに対する名前です）は同じです。 HTML ベースでないテクノロジの場合は、 Silk4NET クラス名だけが使用されます。

例

  • //a は、現在のオブジェクトに相対的なすべての階層にあるハイパーリンク オブジェクトを識別します。
  • /a は、現在のオブジェクトの直下の子であるハイパーリンク オブジェクトを識別します。
注: <a> は、Web ページのハイパーリンクを表す HTML タグです。

例

以下のコード例は、ブラウザ内の最初のハイパーリンクを識別します。 この例では、実行中のブラウザ インスタンスを参照するスクリプトに browserWindow という名前の変数が存在することを仮定しています。 ここで、タイプは "a" で、現在のオブジェクトは browserWindow です。

VB

Dim link As DomLink = browserWindow.DomLink("//a")

C#

DomLink link = browserWindow.DomLink("//a");
親トピック: ロケーターの基本概念


属性を使用したオブジェクトの識別

プロパティに基づいてオブジェクトを識別するために、ロケーター属性を使用できます。ロケーター属性は、オブジェクトの型の後にかぎ括弧で指定します。

例

次の例では、テキスト Home を持つハイパーリンクを識別するために、textContents 属性を使用します。同じテキストを持つハイパーリンクが複数存在する場合は、最初のハイパーリンクがロケーターによって識別されます。

VB

 Dim link as DomLink = browserWindow.DomLink("//a[@textContents='Home']")

C#

DomLink link = browserWindow.DomLink("//a[@textContents='Home']");
親トピック: ロケーターの基本概念


ロケーターの構文

Silk4NET では、UI コントロールを特定するために、XPath クエリ言語のサブセットをサポートしています。

以下の表に、Silk4NET がサポートする構成子を一覧します。

注: <a> は、Web ページのハイパーリンクを表す HTML タグです。
サポートするロケーター構成子 | 例 | 説明
// | //a | 現在のオブジェクトより下層にあるオブジェクトを識別します。 この例は、Web ページのハイパーリンクを識別します。
/ | /a | 現在のオブジェクトの直下にあるオブジェクトを識別します。それより下層にあるオブジェクトは解決されません。 この例は、現在のオブジェクトの直下にある Web ページのハイパーリンクを識別します。
属性 | 例 1： //a[@textContents='Home'] 例 2： //div[@textContents='Price: * USD'] | 特定の属性によってオブジェクトを識別します。属性値には、ワイルドカード * および ? を使用できます。 例 1 は、テキスト Home を持つハイパーリンクを識別し、例 2 は、ワイルドカードを使って任意の価格を持つ div を識別します。
インデックス | 例 1： //a[3] 例 2： //a[@textContents='Home'][2] | 複数のオブジェクトがある場合に、インデックスを指定して特定のオブジェクトを識別します。ロケーターのインデックスは 1 から始まります。 例 1 は、3 番目のハイパーリンクを識別し、例 2 は、テキスト Home を持つ 2 番目のハイパーリンクを識別します。
論理演算子：and、or、not、=、!= | 例 1： //a[@textContents='Remove' or @textContents='Delete'] 例 2： //a[@textContents!='Remove'] 例 3： //a[not(@textContents='Delete' or @id='lnkDelete') and @href='*/delete'] | 論理演算子を使って、属性を組み合わせてオブジェクトを識別します。 例 1 は、Remove か Delete のテキストを持つハイパーリンクを識別し、例 2 は、 Remove 以外のテキストを持つハイパーリンクを識別し、例 3 は、複数の論理演算子を組み合わせた例を示しています。
ancestor | 例 1： //input[@id='username']/ancestor::form 例 2： //input[@id='username']/ancestor::div[@className='container'] | 現在のオブジェクトより上層にあるオブジェクトを識別します。 例 1 は、識別子 username を持つ input 要素を子に持つ form 要素を識別し、例 2 は、識別子 username を持つ input 要素を子に持ち、クラス名が container を持つ div を識別します。
.. | 例 1： //a[@textContents='Edit']/.. 例 2： //a[@textContents='Edit']/..//a[@textContents='Delete'] | オブジェクトの親を識別します。 例 1 は、テキスト Edit を持つハイパーリンクの親を識別し、例 2 は、テキスト Edit を持つハイパーリンクと同列にあるテスト Delete を持つハイパーリンクを識別します。
following-sibling | 例： //td[@textContents='John']/following-sibling::td[2] | 現在のオブジェクトより後ろにある同列オブジェクトを識別します。 この例は、テキスト John を持つテーブル セルの右側から 2 番目にあるテーブル セルを識別します。
preceding-sibling | 例： //td[@textContents='John']/preceding-sibling::td[2] | 現在のオブジェクトより前にある同列オブジェクトを識別します。 この例は、テキスト John を持つテーブル セルの左側から 2 番目にあるテーブル セルを識別します。
* | 例 1： //*[@textContents='Home'] 例 2： /*/a | オブジェクトの型（ハイパーリンク、テキスト フィールド、ボタンなど）を考慮せずにオブジェクトを識別します。 例 1 は、オブジェクトの型は任意で、指定したテキストを持つオブジェクトを識別し、例 2 は、現在のオブジェクトより 2 つ下層にあるハイパーリンクを識別します。

以下の表には、Silk4NET がサポートしないロケーター構成子を一覧します。

サポートしないロケーター構成子 | 例
右辺、左辺ともに属性を指定して比較する。 | //a[@textContents = @id]
属性名を右辺に指定することはサポートされません。属性名は左辺に指定する必要があります。 | //a['abc' = @id]
複数のロケーターを and あるいは or で結合する。 | //a[@id = 'abc'] or ..//Checkbox
複数の属性をかぎ括弧で指定する。 | //a[@id = 'abc'] [@textContents = '123'] （代わりに //a [@id = 'abc' and @textContents = '123'] を使用）
複数のインデックスをかぎ括弧で指定する。 | //a[1][2]
クラスあるいはクラス名の一部にワイルドカードを含むクラス ワイルドカードを明示的に指定しない構成子。 | //[@id = 'abc'] （代わりに //*[@id = 'abc'] を使用） "//*//a[@id='abc']"
親トピック: オブジェクト解決
関連概念
ロケーターの基本概念
XPath のパフォーマンス問題のトラブルシューティング
サポートする属性の種類


ロケーターの使用

Silk4NET では、識別されたオブジェクトのリテラル参照はロケーターと呼ばれます。必要に応じて、ロケーター文字列の短縮形をスクリプトで使用できます。スクリプトを再生すると、Silk4NET によって自動的に構文が展開されて完全なロケーター文字列が使用されます。スクリプトを手動でコーディングする場合は、次の順番で次の部分を省略できます。

  • 検索スコープ「//」。
  • オブジェクトの型名。Silk4NET のデフォルトはクラス名です。
  • 属性を囲む角かっこ「[ ]」。

スクリプトを手動で記述する場合は、使用可能な最も短い形式を使用することをお勧めします。

注: オブジェクトを識別する場合は、完全なロケーター文字列がデフォルトでキャプチャされます。
以下のロケーターは同じです。
  • 最初の例では、完全なロケーター文字列が使用されています。

    VB

    _desktop.DomLink("//BrowserApplication//BrowserWindow//a[@textContents='Home']").Select()

    C#

    _desktop.DomLink("//BrowserApplication//BrowserWindow//a[@textContents='Home']").Select();

    完全なロケーター文字列を確認するには、Locator Spy ダイアログ ボックスを使用します。

  • 2 番目の例は、ブラウザー ウィンドウが既に存在する場合に機能します。

    VB

    browserWindow.DomLink("//a[@textContents='Home']").Select()

    C#

    browserWindow.DomLink("//a[@textContents='Home']").Select();
    または、短縮形を使用することができます。

    VB

    browserWindow.DomLink("@textContents='Home'").Select()

    C#

    browserWindow.DomLink("@textContents='Home'").Select();

識別のための実際の属性がないオブジェクトを検索するには、インデックスを使用します。たとえば、Web ページの 2 つめのハイパーリンクを選択するには、以下のように入力します。

VB

browserWindow.DomLink("[2]").Select()

C#

browserWindow.DomLink("[2]").Select();

さらに、その種類の最初のオブジェクトを検索する（このことは、オブジェクトに実際の属性がない場合に便利です）には、以下のように入力します。

VB

browserWindow.DomLink().Select()

C#

browserWindow.DomLink().Select();
親トピック: オブジェクト解決
関連概念
Locator Spy


Find メソッドの使用

.DomLink のようなメソッドを使用する代わりに、 Find メソッドを使用してロケーターを持つ単一のオブジェクトを識別することができます。

注: Find メソッドは、完全ロケーターのみ使用できます。省略形のロケーターはサポートされません。

以下のように入力する代わりに：

VB

_desktop.DomLink("//a[@textContents='Home']").Select()

C#

_desktop.DomLink("//a[@textContents='Home']").Select();

以下のように入力することができます。

VB

_desktop.Find(Of DomLink)("//a[@textContents='Home']").Select()

C#

_desktop.Find<DomLink>("//a[@textContents='Home']").Select();

.DomLink メソッドは、 Find メソッドで内部的に使用されます。 .DomLink メソッドを使用した方が、 Find メソッドよりも簡潔に表現できるため、好まれます。

親トピック: オブジェクト解決
関連資料
Find メソッド (TestObject)


ロケーターを使用したオブジェクトの存在確認

Exists メソッドを使用して、オブジェクトがテスト対象アプリケーションに存在するかどうかを確認できます。

次のコードは、「Log out」というテキストのハイパーリンクが Web ページに存在するか確認します。

VB

If (browserWindow.Exists( "//a[@textContents='Log out']" )) Then
  ' do something
End If

C#

if (browserWindow.Exists( "//a[@textContents='Log out']" )){
  // do something
}

Find メソッドの使用

Find メソッドや FindOptions メソッドを使用して、後で使用したいオブジェクトが存在するか確認できます。

次のコードは、ウィンドウを検索し、ウィンドウが見つかった場合にウィンドウを閉じます。

VB

Dim mainWindow As Window
mainWindow = _desktop.Find("//Window[@caption='My Window']", New FindOptions(False))
If (mainWindow IsNot Nothing) Then
   mainWindow.CloseSynchron()
End If

C#

Window mainWindow = _desktop.Find<Window>("//Window[@caption='My Window']", new FindOptions(false));
if (mainWindow != null){
  mainWindow.CloseSynchron();
}
親トピック: オブジェクト解決
関連資料
Exists メソッド (TestObject)


1 つのロケーターで複数のオブジェクトを識別する

FindAll メソッドを使用して、ロケーターに一致する最初のオブジェクトのみを識別するだけでなく、ロケーターに一致するすべてのオブジェクトを識別できます。

例

次のコードの例は、FindAll メソッドを使用して、Web ページのすべてのハイパーリンクを取得します。

VB

Dim links As IList(Of DomLink) = browserWindow.FindAll(Of DomLink)("//a")

C#

IList<DomLink> links = browserWindow.FindAll<DomLink>("//a");
親トピック: オブジェクト解決
関連資料
FindAll メソッド (TestObject)


ロケーターのカスタマイズ

このセクションでは、テスト対象アプリケーション (AUT) のコントロールを Silk4NET が確実に解決できるようにするために、安定したロケーターを作成する方法について説明します。

Silk4NET は、AUT がその UI コントロールに対して公開する識別子を利用して、非常に柔軟で強力な UI コントロールの識別方法を提供します。Silk4NET は、任意の UI コントロールに対して宣言された任意のプロパティを使用して、UI コントロールの階層を使ってロケーターを作成できます。Silk4NET は、それぞれの UI コントロールを識別するのに最も適した項目とプロパティを階層から選択します。

Silk4NET は、UI コントロールの階層から多くのコントロールを動的に除外するため、AUT の変更に対して非常に影響を受けにくいオブジェクト解決方法を Silk4NET は提供します。Web ページの書式要素のよな UI コントロール ツリーの階層を変更する中間のグループ化されたコントロールは、オブジェクト解決から除外することができます。

UI コントロールによっては、それを固有に識別できるようにする有意義なプロパティを公開しません。このようなコントロールを含んだアプリケーションは低いテスト容易性を持つアプリケーションとみなされます。階層、とくに動的な階層は、このようなアプリケーションに対する固有のロケーターを作成するのに、重要な意味を持ちます。高いテスト容易性を持つアプリケーションは、固有の UI コントロールを識別するための単純な仕組みを常に提供します。

AUT のテストを容易にする最も単純で最も効果的な慣例のひとつが、コントロールに対する安定した識別子を導入し、アプリケーションの既存のインターフェイスを通して、これらの安定した識別子を公開することです。

  • 安定した識別子
    安定した識別子とは何か、なぜ安定した識別子がオブジェクト解決にとって重要なのかについて説明します。
  • カスタム属性
    UI コントロールを識別するためにどのカスタム属性をどのように使用するかについて説明します。
親トピック: オブジェクト解決


安定した識別子

UI コントロールの 安定した識別子 とは、コントロールの呼び出しごとに、または UI コントロールが存在するアプリケーションのバージョンが変わっても変更されない識別子を言います。安定した識別子は、その使用されるコンテキストにおいて一意である必要があります。つまり、同じ識別子を持つコントロールが同時にアクセス可能でないことが求められます。つまり、グローバルなコンテキストで一意である GUID 形式の識別子を使用する必要はありません。コントロールの識別子は、可読性が高く、有意な名前であるべきです。これらの識別子の命名規則によって、実際のコントロールに識別子を関連付けるのがより容易になります。

例：キャプションはコントロールの良い識別子と言えるか

ほとんどのテスト ツールでは、UI コントロールのデフォルト識別子として キャプション を使用します。キャプションは、コントロールに関連付けられた UI のテキストです。しかし、UI コントロールを識別するためにキャプションを使用することには、次のような欠点があります。
  • キャプションは安定していません。キャプションは開発プロセスの間に頻繁に変更されます。たとえば、AUT の UI が開発プロセスの終わりにレビューされる場合があります。UI が安定していないため、開発プロセスの初期の段階で UI テストを導入することが困難になります。
  • キャプションは一意ではありません。たとえば、アプリケーションには OK というキャプションを持つボタンが複数存在する可能性があります。
  • 多くのコントロールはキャプションを表示しないため、識別するために、ほかのプロパティを使用する必要があります。
  • ローカライズしたアプリケーションのテストにキャプションを使用する場合、各言語ごとにコントロールのキャプションを保守する必要があるため、非常に扱いにくく、さらに言語ごとに適切なキャプションを動的に割り当てることができるように、複雑なスクリプト ロジックを保守する必要があります。
  • 安定したロケーターを作成する
    Silk4NET を使用して安定したロケーターを作成する方法を説明します。
  • 例：コントロールの同列要素の指定
    コントロールの同列要素のロケーターが安定している場合に、アプリケーションのコントロールを指定する方法について説明します。
  • 例：動的 GWT ツリーの展開アイコンの検索
    デフォルトでは Silk4NET が安定したロケーターを生成しないアプリケーションのコントロールを検索する方法について説明します。
親トピック: ロケーターのカスタマイズ


安定したロケーターを作成する

Silk4NET の主要なメリットのひとつが、柔軟で強力なオブジェクト解決の仕組みです。UI コントロールを特定するために XPath 記法を使用することによって、UI コントロールが適切な属性を持っていない場合でも、適切な属性を持つ対象要素のそばにある限り、Silk4NET は確実に識別できます。Silk4NET の XPath ロケーターは、UI コントロールを識別するために、UI コントロールの階層全体を使用することもできれば、その一部を使用することもできます。特に最近の AJAX ツールキットは、とても複雑なドキュメント オブジェクト モデル (DOM) を動的に生成するので、UI コントロールを特定するために使用できる適切なコントロール属性を提供しません。

このような場合、インテリジェントなオブジェクト解決の仕組みを提供しないテスト ツールでは、UI コントロールを識別するために、ほとんどの場合インデックス ベースの解決方法を使用することが必要になります。たとえば、展開 アイコンの n 番目のコントロールを識別します。このようなテスト スクリプトは保守することが容易でなく、アプリケーションにほんのわずかな変更を加えるだけでテスト スクリプトが動作しなくなってしまうことが良くあります。

有用な属性を提供しない UI コントロールに対して安定したロケーターを作成する良い方法は、階層の中で安定したロケーターを持つアンカー要素を見つけることです。そして、そのアンカー要素からロケーターを作成したい要素まで辿っていくことができます。

Silk4NET は、この方法を使用してロケーターを作成しますが、ときにはコントロールからの安定したロケーターを手動で作成することが必要となる場合もあります。

親トピック: 安定した識別子


例：コントロールの同列要素の指定

このトピックでは、ロケーターに使用することのできる安定した属性を提供しないコントロールを、そのコントロールの同列要素に対する安定したロケーターが利用できる場合に、それを使用して指定する方法を説明します。

次の安定したロケーターを持つコントロール Item 0.0 が既に識別されていると想定します。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']
Item 0.0 が、タイプ a の後ろに同列要素を持ていることがわかっている場合、次のコードを使用して、同列要素の安定したロケーターを構築できます。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']/following-sibling::a
テキスト フィールドを識別するときにも、この同列要素による方法を使用できます。テキスト フィールドは、たいていの場合、ロケーターで使用できる有用な属性を提供しません。テキスト フィールドのラベルを使用すると、テキスト フィールドの有用なロケーターを作成できます。同列要素による方法を使って、テキスト フィールドのロケーターの一部として、ラベルを使用することは簡単です。たとえば、テキスト フィールドがテキスト User Name を持つラベルの前に同列要素である場合、次のロケーターを使用できます。
/BrowserApplication//BrowserWindow//DIV[@textContent='User Name']/preceding-sibling::input[@type='text']
親トピック: 安定した識別子


例：動的 GWT ツリーの展開アイコンの検索

Google Widget Toolkit (GWT) は、とても人気のある強力なツールキットですが、テストしにくいです。動的ツリー コントロールは、とても一般的に使用されている GWT の UI コントロールです。ツリーを展開するには、展開 アイコン要素を識別する必要があります。

動的 GWT ツリーのサンプルは、http://samples.gwtproject.org/samples/Showcase/Showcase.html#!CwTree にあります。

Silk4NET が生成するデフォルトのロケーターは次のようになります。
/BrowserApplication//BrowserWindow//DIV[@id='gwt-debug-cwTree-dynamicTree-root-child0']/DIV/DIV[1]//IMG[@border='0']
次の理由で、このデフォルトのロケーターは、Item 0.0 の 展開 アイコンを識別するロケーターとしては信頼できるものではありません。
  • ロケーターは複雑で、複数の階層から構成されています。AJAX で動的に DOM 構造が少し変わるとロケーターは使えなくなります。
  • ロケーターには、階層のいくつかのコントロールにインデックスが含まれています。インデックス ベースのロケーターは、その出現番号によってコントロールを検索するため、一般にもろく、たとえば、ツリーの 6 番目の展開アイコンを見つけるなど、うまく特定のコントロールを定義できません。このルールの例外は、たとえばグリッドの 6 番目のデータ行など、識別するさまざまなデータ セットを表すためにインデックスが使用される場合です。

多くの場合、より良いロケーターを見つける良い方法は、検索する要素の同列要素を探し出すことです。より良いロケーターの同列要素を見つけると、XPath は、これらの同列要素を識別してロケーターを構成することができます。この場合、ツリー項目 Item 0.0 は、展開 アイコンよりも良いロケーターです。ツリー項目 Item 0.0 のロケーターは、コントロールの @textContents プロパティを使用するため、安定した単純なロケーターです。

デフォルトでは、Silk4NET は @id プロパティを使用しますが、GWT では @id には ='gwt-uid-<nnn>' のような値 (ここで、<nnn> は同じ要素でも呼出し毎に頻繁に変わります) が含まれるため、たいてい安定したプロパティではありません。

@textContents プロパティを @id の代わりに使用してロケーターを手動で変更できます。

元のロケーター：
/BrowserApplication//BrowserWindow//DIV[@id='gwt-uid-109']
別のロケーター：
/BrowserApplication//BrowserWindow//DIV[@textContents='Item 0.0']

もしくは、@id='gwt-uid-<nnn>' を使用しないように Silk4NET を設定できます。この場合、Silk4NET は自動的に安定したロケーターを記録します。たとえば、@id プロパティで使用されるテキスト パターンをロケーター属性値除外リストに追加ます。この場合、gwt-uid* を除外リストに追加します。

要素の階層を調べると、Item 0.0 コントロールと 展開 アイコン コントロールは、共通のルートノードとして DomTableRow コントロールを持つことが分かります。

展開 アイコンの安定したロケーターを作成するには、次のロケーターを使って Item 0.0 をまず検索する必要があります。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']
そして、要素の階層を 2 レベル上がって DomTableRow 要素まで移動します。これは、XPath では、ロケーターに /../.. を追加して表現します。最後に、DomTableRow から 展開 アイコンを検索します。展開 アイコンは、サブツリー内では唯一の IMG コントロールであるので、容易に検索できます。これは、XPath では、ロケーターに //IMG を追加して表現します。展開 アイコンの最終的な安定したロケーターは次のようになります。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']/../..//IMG
XPath の ancestor 軸を使うと、より簡単に 展開 アイコンを指定できます。
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']/ancestor::tr//IMG
親トピック: 安定した識別子


カスタム属性

多くの UI テクノロジーは、UI コントロールのあらかじめ定義された属性のセットをカスタム属性で拡張する方法を提供します。アプリケーション開発者は、コントロールを一意に識別する安定した識別子を導入するためにカスタム属性を使用できます。Silk4NET は、UI コントロールのカスタム属性にアクセスでき、UI コントロールを識別するために、これらのカスタム属性を使用することもできます。

UI コントロールを識別するために特別に自動化用属性を使用すると、caption のような定義済み属性を使用する場合と比較して、いくつかのメリットを享受できます。アプリケーション コードで安定した識別子を指定でき、カスタム属性や定義済みの自動化用プロパティの何れかを通して識別子を公開することで、テスト自動化スクリプトが理解しやすくなり、保守性も高まり、開発プロセスの初期の段階からテストの自動化を開始することができるようになります。

Silk4NET はロケーター生成の柔軟性が高く、識別に使用する属性を設定することができます。

  • Apache Flex アプリケーションのカスタム属性
    Apache Flex アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Java SWT カスタム属性
    カスタム属性をテスト アプリケーションに追加して、テストをより安定させます。
  • Web アプリケーションのカスタム属性
    Web アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Windows Forms アプリケーションのカスタム属性
    Windows Forms アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • WPF アプリケーションのカスタム属性
    WPF アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
親トピック: ロケーターのカスタマイズ


Apache Flex アプリケーションのカスタム属性

Apache Flex アプリケーションは、あらかじめ定義されたプロパティ automationName を使用して、次のように Apache Flex コントロールに対して安定した識別子を指定します。
  <s:Group xmlns:fx="http://ns.adobe.com/mxml/2009"
      xmlns:s="library://ns.adobe.com/flex/spark"
      xmlns:mx="library://ns.adobe.com/flex/mx" width="400" height="300">
    <fx:Script>
    …
    </fx:Script>
    <s:Button x="247" y="81" label="Button" id="button1" enabled="true" click="button1_clickHandler(event)"
        automationName="AID_buttonRepeat"/>
    <s:Label x="128" y="123" width="315" height="18" id="label1" verticalAlign="middle"
        text="awaiting your click" textAlign="center"/>
  </s:Group>
Apache Flex アプリケーションのロケーターは次のようになります。
…//SparkApplication//SparkButton[@caption='AID_buttonRepeat'
重要: Apache Flex アプリケーションの場合、Silk4NET では automationName はロケーター属性 caption に常にマップされます。automationName 属性が指定されていない場合、Silk4NET は属性 ID をロケーター属性 caption にマップします。
親トピック: カスタム属性
親トピック: テスト可能な Flex アプリケーションの作成


Java SWT カスタム属性

カスタム属性をテスト アプリケーションに追加して、テストをより安定させることができます。 たとえば、Java SWT では、GUI を実装する開発者が属性（'silkTestAutomationId' など）をウィジェットに対して定義することによって、アプリケーション内でそのウィジェットを一意に識別することができます。 これにより、Silk4NET を使用するテスト担当者は、その属性（この場合は 'silkTestAutomationId'）をカスタム属性のリストに追加すると、その一意の ID によってコントロールを識別できるようになります。 カスタム属性を使用すると、caption や index のような他の属性よりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は定義済みのウィジェットより前に他のウィジェットが追加されると変更されるためです。

複数のオブジェクトに同じカスタム属性の値が割り当てられた場合は、そのカスタム属性を呼び出したときにその値を持つすべてのオブジェクトが返されます。 たとえば、一意の ID として 'loginName' を 2 つの異なるテキスト フィールドに割り当てた場合は、'loginName' 属性を呼び出したときに、両方のフィールドが返されます。

Java SWT の例

以下のコードを使用して、テストするアプリケーションにボタンを作成する場合：
Button myButton = Button(parent, SWT.NONE);

myButton.setData("SilkTestAutomationId", "myButtonId");
テストの XPath クエリ文字列に属性を追加するには、以下のクエリを使用します。
Dim button =
desktop.PushButton("@SilkTestAutomationId='myButton'")

Java SWT アプリケーションをカスタム属性のテストに対して有効化にするには、開発者はカスタム属性をアプリケーションに含める必要があります。 属性を含めるには org.swt.widgets.Widget.setData(String key, Object value) メソッドを使用します。

親トピック: カスタム属性
親トピック: Java SWT と Eclipse RCP のサポート


Web アプリケーションのカスタム属性

HTML は、安定した識別子を表すことができる一般的な属性 ID を定義します。定義により、ID は文書内の要素を一意に識別します。特定の ID を持つ要素は文書内で 1 つだけ存在します。

ただし、多くの場合 (特に AJAX アプリケーションでは)、ID は HTML 要素に関連付けられたサーバー ハンドラを動的に識別するために使用されます。つまり、Web 文書の作成のたびに ID は変わることになります。このような場合、ID は安定した識別子ではなく、Web アプリケーションの UI コントロールを識別するのに適しません。

Web アプリケーションの場合、より確実にするには、Silk4NET に UI コントロールの情報を公開するためだけに使用されるカスタム HTML 属性を新たに導入することです。

カスタム HTML 属性はブラウザーは無視するため、AUT の動作は変わりません。ブラウザーの DOM を通してアクセスすることができます。Silk4NET では、このような属性を (属性がコントロール クラスのカスタム 属性であっても) 識別時のデフォルト属性として使用するように設定することができます。特定のテクノロジ ドメインのデフォルト識別属性としてカスタム属性を設定するには、Silk4NET > オプションの編集 > カスタム属性 をクリックして、テクノロジ ドメインを選択します。

例：変化する ID

アプリケーション開発者は、Web 要素にさらに HTML 属性を追加することが必要です。

元の HTML コード：
<A HREF="http://abc.com/control=4543772788784322..." <IMG
src="http://abc.com/xxx.gif" width=16 height=16> </A>
新しいカスタム HTML 属性 AUTOMATION_ID を持つ HTML コード：
<A HREF="http://abc.com/control=4543772788784322..."
AUTOMATION_ID = "AID_Login" <IMG src="http://abc.com/xxx.gif"
width=16 height=16> </A>
カスタム属性を設定すると、Silk4NET は、できる限りカスタム属性を使用して、一意のロケーターを構成しようとします。Web ロケーターは次のようになります。
…//DomLink[@AUTOMATION_ID='AID_Login'
変化する ID の 1 例は、Google Widget Toolkit (GWT) で、ID は Web 文書の作成のたびに変化する動的な値を保持します：
ID = 'gwt-uid-<nnn>'
この場合、<nnn> が頻繁に変化します。
親トピック: カスタム属性
親トピック: クロス ブラウザ テスト


Windows Forms アプリケーションのカスタム属性

Windows Forms アプリケーションは、あらかじめ定義された自動化用プロパティ automationId を使用して、Windows Forms コントロールに対して安定した識別子を指定します。

Silk4NET は、ロケーターを識別するために、自動的にこのプロパティを使用します。Windows Forms アプリケーションのロケーターは次のようになります。
/FormsWindow//PushButton[@automationId='btnBasicControls']
親トピック: カスタム属性
親トピック: Windows Forms のサポート


WPF アプリケーションのカスタム属性

WPF アプリケーションは、あらかじめ定義された自動化用プロパティ AutomationProperties.AutomationId を使用して、次のように WPF コントロールに対して安定した識別子を指定します。
<Window x:Class="Test.MainWindow"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    Title="MainWindow" Height="350" Width="525">
  <Grid>
    <Button AutomationProperties.AutomationId="AID_buttonA">The
Button</Button>
  </Grid>
</Window>
Silk4NET は、ロケーターを識別するために、自動的にこのプロパティを使用します。WPF アプリケーションのロケーターは次のようになります。
/WPFWindow[@caption='MainWindow']//WPFButton[@automationId='AID_buttonA']
親トピック: カスタム属性
親トピック: Windows Presentation Foundation（WPF）のサポート


XPath のパフォーマンス問題のトラブルシューティング

複雑な Web アプリケーションの場合など、オブジェクトの構造が複雑なアプリケーションをテストする場合、パフォーマンスの問題や、スクリプトの信頼性に関連する問題が発生することがあります。このトピックでは、Silk4NET が記録中に自動的に生成したロケーターとは異なるロケーターを使用して、スクリプトのパフォーマンスを向上させる方法について説明します。

注: 一般に、複雑なロケーターを使用することは推奨しません。複雑なロケーターを使用すると、テストの信頼性を損なう恐れがあります。複雑なロケーターは、テスト アプリケーションの構造をほんの少し変更しただけで機能しなくなってしまう可能性があります。それにもかかわらず、スクリプトのパフォーマンスが要求を満たしていない場合には、より固有のロケーターを使用することによってテストのパフォーマンスを向上できる可能性があります。
例として、MyApplication アプリケーションの要素ツリーを以下に示します。
Root
  Node id=1
    Leaf id=2
    Leaf id=3
    Leaf id=4
    Leaf id=5
  Node id=6
    Node id=7
      Leaf id=8
      Leaf id=9
    Node id=9
      Leaf id=10
以下の最適化手法のいくつかを使用して、スクリプトのパフォーマンスを改善させることができます。
  • 複雑なオブジェクト構造内の要素を特定したい場合は、オブジェクト構造全体ではなく、その特定の部分だけを検索するようにします。たとえば、サンプル ツリーの識別子 7 を持つ要素を検索する場合に Root.Find("//Node[@id='7']") というクエリーを使用している場合、Root.Find("/Node[@id='6']/Node[@id='7']") というクエリーで置き換えます。最初のクエリは、識別子が 1 から 7 の要素に対して要素ツリーが検索されます。2 番目のクエリーでは、識別子 1 のノードと識別子 6 のノードがある最初のレベルのノードにある要素がまず検索された後で、識別子 6 のノードのサブツリー内から識別子 7 の最初のリーフが検索されます。
  • 同じ階層内にある複数の項目を特定したい場合は、まずは階層を特定してから共通のルート ノードを利用して項目を特定します。Root.FindAll("/Node[@id='1']/Leaf") というクエリーを使用している場合、次のようなクエリで置き換えます。
    Public Sub Main()
  Dim commonRootNode = _desktop.Find("//Node[@id='1']")
  commonRootNode.Find("/Leaf[@id='2']")
  commonRootNode.Find("/Leaf[@id='3']")
  commonRootNode.Find("/Leaf[@id='4']")
  commonRootNode.Find("/Leaf[@id='5']")
End Sub
親トピック: オブジェクト解決
関連概念
ロケーターの基本概念
関連資料
ロケーターの構文


Locator Spy

Locator Spy を使用して、テスト対象アプリケーション (AUT) の任意のコントロールに対する一意の Silk Test ロケーターを記録することができます。コントロールのロケーターやコントロールの属性を、Locator Spy からスクリプトのメソッドにコピーすることができます。コントロールのロケーターの属性を編集して、変更を検証するために、Locator Spy を使用することもできます。Locator Spy を使用することで、コントロールのロケーターがが正しいことが保証されます。

Locator Spy のオブジェクト ツリーには、AUT で利用可能なすべてのコントロールがリストされます。AUT の利用可能なコントロールとコントロールの階層を調べるためにオブジェクト ツリーを使用できます。WebDriver ロケーターを記録する場合、オブジェクト ツリー上の「>」は、ある IFrame から他に切り替わることを意味します。

注: Locator Spy のロケーター属性テーブルには、ロケーターで使用できるすべての属性が表示されます。Web アプリケーションの場合は、記録中に無視するように定義したすべての属性もテーブルに含まれます。
親トピック: オブジェクト解決
関連概念
ロケーターの基本概念
サポートする属性の種類
関連タスク
Locator Spy を使用したロケーターまたはオブジェクト マップ項目のテスト メソッドへの追加


オブジェクト マップ

オブジェクト マップはテスト資産の一種であり、コントロールまたはウィンドウのロケーターではなく、コントロールまたはウィンドウに論理名 (エイリアス) を関連付ける項目が含まれています。コントロールがオブジェクト マップ資産に登録されると、スクリプトでのそのコントロールに対する参照はすべて、実際のロケーター名ではなく、そのエイリアスによって行われます。

複数のスクリプトで頻繁に使用するオブジェクトを格納するために、オブジェクト マップを使用できます。複数のテストで 1 つのオブジェクト マップ項目の定義を参照できるため、ユーザーがそのオブジェクト マップ定義を 1 回更新すると、オブジェクト マップ定義を参照するすべてのテストでそのオブジェクト マップ定義が Silk4NET によって更新されます。

スクリプトで、オブジェクト マップ識別子とロケーターを混在させることができます。この機能により、オブジェクト マップを比較的小さいまま保ち、管理しやすくすることが可能です。共通で使用するオブジェクトをオブジェクト マップに格納し、まれにしかしようしないオブジェクトを参照するにはロケーターを使用します。

ヒント: オブジェクト マップが提供する機能を最適に使用するには、テストしたいアプリケーションごとに個々のプロジェクトを Silk4NET に作成します。

オブジェクト マップの例

以下の構成では、ロケーターが使用されている BrowserWindow の定義が示されています。

_desktop.BrowserApplication("cnn_com").BrowserWindow("//BrowserWindow[1]")

オブジェクト マップ資産の名前は cnn_com です。オブジェクト マップのエイリアスによって置き換えることができるロケーターは、以下のとおりです。

"//BrowserWindow[1]"

BrowserWindow のオブジェクト マップ エントリは BrowserWindow です。

結果的に、スクリプト内の BrowserWindow の定義は以下のようになります。

_desktop.BrowserApplication("cnn_com").BrowserWindow("BrowserWindow")

ロケーターのインデックスが変更された場合、テスト スクリプトのロケーターのすべての外観を変更する必要はなく、オブジェクト マップのエイリアスを変更するだけで済みます。Silk4NET によって、オブジェクト マップ定義を参照するすべてのテストが更新されます。

オブジェクト マップ識別子とロケーターを混在させる例

つぎのサンプル コードは、オブジェクト マップ識別子と、オブジェクト マップに格納されたオブジェクトのまれに使用される子オブジェクトを指定するロケーターを混在させる方法を示します：
// VB
Window window = _desktop.Window("MyApplication") // object map id - the application window is used often
MenuItem aboutMenuItem = _desktop.MenuItem("@caption='About'") // locator - the About dialog is only used once
aboutMenuItem.Select()
// C#
Window window = _desktop.Window("MyApplication"); // object map id - the application window is used often
MenuItem aboutMenuItem = _desktop.MenuItem("@caption='About'"); // locator - the About dialog is only used once-
aboutMenuItem.Select();
  • オブジェクト マップを使用する利点
    オブジェクト マップを使用する利点を示します。
  • オブジェクト マップのオン／オフの切り替え
    記録中にオブジェクト マップからエイリアスを使用するように、オブジェクト マップをオンに切り替えます。
  • 複数のプロジェクトでの資産の使用
    イメージ資産、イメージ検証、およびプロジェクト マップが置かれているプロジェクトのスコープ外でそれらを使用する方法を説明します。
  • 操作の記録中でのオブジェクト マップのマージ
    操作の記録中に既存のオブジェクト マップ識別子を Silk4NET が再利用する方法について説明します。
  • Web アプリケーションでのオブジェクト マップの使用
    Web アプリケーションでオブジェクト マップを使用する方法を説明します。
  • オブジェクト マップ項目名の変更
    オブジェクト マップの項目とロケーターの名前を手動で変更し、項目とロケーターをわかりやすくします。
  • オブジェクト マップの変更
    オブジェクト マップの変更方法を説明します。
  • オブジェクト マップのロケーターの変更
    オブジェクト マップのロケーター パスを変更すると、パスの汎用性を高めることができます。
  • テスト アプリケーションからのオブジェクト マップの更新
    テスト アプリケーションの項目が変化した場合は、オブジェクト マップ UI を使用してそれらの項目のロケーターを更新できます。
  • オブジェクト マップ項目のコピー
    オブジェクト マップ内、またはオブジェクト マップ間で、オブジェクト マップ エントリをコピーおよび貼り付けできます。 たとえば、2 つの異なるテスト アプリケーションに同じ機能が存在する場合は、一方のオブジェクト マップの一部分をコピーして、他方のオブジェクト マップに貼り付けることができます。
  • オブジェクト マップ項目の追加
    記録中に自動的に作成されたオブジェクト マップ項目がテスト要件に合わない場合は、手動で項目を追加できます。
  • スクリプトからオブジェクト マップを開く
    スクリプトからオブジェクト マップを開く方法を説明します。
  • テスト アプリケーションでのオブジェクト マップ項目のハイライト
    オブジェクト マップ項目を追加または記録したあと、ハイライト をクリックして、テスト アプリケーションで項目をハイライトできます。 変更する項目であることをオブジェクト マップ内で確認する場合などに項目をハイライトできます。
  • オブジェクト マップのエラーの検出
    無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。 オブジェクト マップ ウィンドウのツール バーを使用して、エラーに移動します。
  • オブジェクト マップ項目の削除
    テスト アプリケーションに存在しなくなったなどの理由により、オブジェクト マップから項目を削除できます。
  • オブジェクト マップを最初に書き出す
    すべてのオブジェクト マップを最初に書き出すテストを作成することによって、効率的にオブジェクト マップを使用する方法について説明します。
  • オブジェクト マップの要素のグループ化
    オブジェクト マップの項目が一貫した親オブジェクトを持たない場合、ロケーター "." を使用してこれらの要素をグループ化できます。
  • オブジェクト マップ：よくある質問
    オブジェクト マップを使用する時に直面する可能性のある質問を一覧します。


オブジェクト マップを使用する利点

オブジェクト マップには、以下の利点があります。
  • オブジェクト マップ項目のロケーターに加えられた変更を、対応するオブジェクト マップ項目を含むすべてのテストに適用することによって、テストのメンテナンスが簡単になる。
  • 大規模な機能テスト環境において、ロケーターの扱いが容易になる。
  • 個々のスクリプトから独立して管理することができるようになる。
  • 複雑なロケーター名がわかりやすい名前で置き換えられるため、スクリプトが読みやすくなる。
  • テスト アプリケーションが変更された場合に変わる可能性のあるロケーターに依存しなくなる。
親トピック: オブジェクト マップ


オブジェクト マップのオン／オフの切り替え

記録時に Silk4NET でロケーター名またはオブジェクト マップのエイリアスのいずれを使用するかを設定できます。

記録中にオブジェクト マップからエイリアスを使用するには、以下を実行します。

  1. Silk4NET > オプションの編集 をクリックします。
  2. 記録 をクリックします。
  3. オブジェクト マップ エントリを記録するか、XPath ロケーターを記録するかを定義するには、OPT_RECORD_OBJECTMAPS_MODE リストから適切な記録モードを選択します。
    • オブジェクト マップ エントリ (新しいオブジェクトと既存のオブジェクト)。これはデフォルトのモードです。
    • XPath ロケーター (新しいオブジェクトと既存のオブジェクト)。
    • XPath ロケーター (新しいオブジェクトのみ)。オブジェクト マップに既に存在するオブジェクトに対しては、オブジェクト マップ エントリが再利用されます。この設定を選択すると、AUT のメイン コントロールに対するオブジェクト マップを作成し、AUT に対して追加のテストを作成する間、これらのオブジェクト マップを保持することができます。
注: XPath 属性のほかに、ロケーターの記録中にオブジェクト マップをマージする際に、Silk4NET は要素の追加の属性を使用します。ただし、記録したスクリプトでオブジェクト マップ ID の用法を曖昧にする可能性のある属性は既存のオブジェクト マップ エントリにロケーターをマップするために使用されません。
注: オブジェクト マップを記録する 設定を有効にすると、Silk4NET 全体にわたって、ロケーター名の代わりにオブジェクト マップの項目名が表示されます。たとえば、プロパティ ペインで アプリケーション構成 カテゴリを表示する場合、ロケーター名ではなくオブジェクト マップ項目名が ロケーター ボックスに表示されます。
親トピック: オブジェクト マップ


複数のプロジェクトでの資産の使用

Silk4NET では、イメージ資産、イメージ検証、およびオブジェクト マップが資産と呼ばれます。資産が配置されているプロジェクトのスコープ外でそれらの資産を使用する場合、資産を使用するプロジェクトから、資産を配置するプロジェクトに、プロジェクトの直接的な参照を追加する必要があります。

再生中に資産が使用されると、Silk4NET は、最初に現在のプロジェクト内でその資産を検索します。現在のプロジェクトは、現在実行されるテスト コードを含んだディレクトリです。Silk4NET で現在のプロジェクト内に資産が検出されなかった場合、Silk4NET は現在のプロジェクトがプロジェクト参照を持つプロジェクトを追加検索します。それでも資産が見つからない場合、Silk4NET はエラーをスローします。

注: 別のプロジェクトに依存関係として追加したプロジェクトのコードが、依存関係のあるプロジェクトのコードで参照されていない場合、ユーザーが依存関係のあるプロジェクトを作成すると、Visual Studio はそのプロジェクト依存関係を削除します。プロジェクト依存関係に置かれている資産を使用するには、依存関係のあるプロジェクトから、資産が置かれるプロジェクトのメンバーに、コード参照を追加する必要があります。このようなコード参照を追加することで、依存関係のあるプロジェクトを作成しているときに、Visual Studio によってプロジェクト依存関係が削除されないようにできます。たとえば、クラスまたは定数をプロジェクト依存関係に追加した後、依存関係のあるプロジェクトのコードでそのクラスまたは定数を呼び出すことができます。

複数のプロジェクトに同じ名前の資産が存在する場合に、現在のプロジェクトに含まれている資産を使用しないときは、資産を使用するメソッドで使用する特定の資産を定義できます。使用する資産を定義するには、メソッドを呼び出すときに、アセンブリ名を接頭辞として資産名に追加します。アセンブリ名は、デフォルトでプロジェクト名に設定されます。

例：プロジェクトの参照の追加

プロジェクト ProjectA にコード
'VB code
window.ImageClick("imageAsset")
を呼び出すテストが含まれており、イメージ資産 imageAsset がプロジェクト ProjectB に置かれている場合、プロジェクトの直接的な参照を ProjectA から ProjectB に追加する必要があります。

例：特定の資産の呼び出し

ProjectA と ProjectB の両方に anotherImageAsset という名前のイメージ資産が含まれている場合に、ProjectB からイメージ資産を明示的にクリックする場合、次のコードを使用します：
'VB code
window.ImageClick("ProjectB:anotherImageAsset")
親トピック: オブジェクト マップ
親トピック: イメージ解決のサポート
関連概念
イメージ資産


操作の記録中でのオブジェクト マップのマージ

Silk4NET を使用して操作を記録するときに、Silk4NET は、既存のオブジェクト マップ エントリが再利用できるかどうか確認します。Silk4NET は、新しいロケーターが生成されるときに、記録中に直接確認します。Silk4NET は、テスト対象アプリケーションで現在記録されているオブジェクトが既存のオブジェクト マップ エントリと完全に一致するかどうか確認し、一致する場合に Silk4NET はオブジェクト マップからそのオブジェクト マップ識別子を再利用します。

この動作には以下のような利点があります。
  • オブジェクト マップのロケーターが変更された場合でも、Silk4NET は記録中にオブジェクト マップ識別子を正しく再利用します。
  • 記録したスクリプトに間違ったオブジェクト マップ識別子を含むはずがないため、間違ったオブジェクト マップ識別子によって再生に失敗することは決してありません。
  • 階層のレベルをさらに追加した場合など、オブジェクト マップを再構成した場合でも、オブジェクト マップ識別子を再利用することができます。

例

Micro Focus Web サイト (http://www.borland.com) の Products リンクをクリックしたとき、Silk4NET は、次のスクリプトを記録します。

With _desktop.BrowserApplication( "borland_com" )
  With .BrowserWindow( "BrowserWindow" )
    .DomLink( "Products" ).Click( MouseButton .Left, New Point (47, 18))
  End With
End With
記録したオブジェクト マップは次のようになります。
borland_com                           //BrowserApplication
  BrowserWindow                                //BrowserWindow
    Products                                     //A[@textContents='Products']
ここで、Micro Focus Web サイトのヘッダー部分を含むようにオブジェクト マップを手動で再構成した場合を考えます。
borland_com                           //BrowserApplication
  BrowserWindow                                //BrowserWindow
    header                                       //HEADER[@role='banner']
      Products                                     //A[@textContents='Products']
Products リンクのクリックを記録すると、オブジェクト マップが正しく再利用され、次のスクリプトが記録されます。
With _desktop.BrowserApplication( "borland_com" )
  With .BrowserWindow( "BrowserWindow" )
    .DomElement("header").DomLink( "Products" ).Click( MouseButton .Left, New Point (47, 18))
  End With
End With
注: About リンクなどの Micro Focus Web サイトのヘッダー部分にあるほかのオブジェクトを記録すると、Silk4NET は header ではなく、BrowserWindow の子として About オブジェクト マップ エントリを追加します。
親トピック: オブジェクト マップ


Web アプリケーションでのオブジェクト マップの使用

デフォルトで、Web アプリケーションに対する操作を記録すると、Silk4NET は、ネイティブ ブラウザのコントロール用に WebBrowser という名前のオブジェクト マップを作成し、各 Web ドメイン用にオブジェクト マップ資産を作成します。

印刷または設定用のメイン ウィンドウやダイアログ ボックスなど、Web ドメインに特有ではない共通のブラウザ コントロールの場合、WebBrowser という名前を使用して、現在のプロジェクトに追加のオブジェクト マップが生成されます。

オブジェクト マップで、オブジェクト マップのエントリのグループ化に使用される URL パターンを編集できます。パターンを編集すると、Silk4NET はそのパターンの構文検証を行います。パターンには、ワイルドカード * および ? を使用できます。

例

http://www.borland.com および http://www.microfocus.co.jp で何らかの操作を記録した後、プリンタ ダイアログを開くと、次の 3 つの新しいオブジェクト マップ資産がアセット ブラウザに追加されます。
  • WebBrowser
  • borland_com
  • microfocus_com
注: Silk4NET では、オブジェクト マップのないプロジェクトに対してのみ、新しいオブジェクト マップ資産が生成されます。バージョン 14.0 よりも前のバージョンの Silk4NET を使用して生成されたオブジェクト マップをすでに含む Silk4NET の Web アプリケーションに対する操作を記録すると、追加で記録されたエントリは既存のオブジェクト マップに保存されます。Web ドメインに対して追加のオブジェクト マップ資産が生成されることはありません。
親トピック: オブジェクト マップ


オブジェクト マップ項目名の変更

オブジェクト マップでは、項目とロケーターの名前を手動で変更できます。

警告: オブジェクト マップ項目の名前を変更すると、その項目を使用するすべてのスクリプトが影響を受けます。たとえば、キャンセル ボタンのオブジェクト マップ項目の名前を CancelMe から Cancel に変更すると、CancelMe を使用するすべてのスクリプトを、Cancel を使用するように手動で変更する必要があります。

オブジェクト マップ項目は一意である必要があります。重複するオブジェクト マップ項目を追加しようとすると、オブジェクト マップ項目は一意である必要があることが Silk4NET から通知されます。

無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。オブジェクト マップ項目として無効な文字は、\、/、<、>、"、:、*、?、|、=、.、@、[、] です。無効なロケーター パスは、空または不完全なロケーター パスです。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • 名前を変更するオブジェクト マップ項目を含むオブジェクト マップをダブルクリックします。
    • 名前を変更するオブジェクト マップ項目を含むオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. 名前を変更するオブジェクト マップ項目に移動します。 たとえば、名前を変更する項目を検索するには、ノードの展開が必要な場合があります。
  4. 名前を変更するオブジェクトをクリックしてから、オブジェクトを再度クリックします。
  5. 使用する項目名を入力し、Enter を押します。 無効な文字を使用すると、項目名が赤で表示されます。 新しい名前が 項目名 リストに表示されます。
  6. Ctrl+S を押して、変更を保存します。
注: オブジェクト マップ ツリーに含まれるすべてのノードのすべての子ノードは、オブジェクト マップを保存するときにアルファベット順にソートされます。

変更した項目名を既存のスクリプトで使用する場合は、新しい項目名を使用するようにスクリプトを手動で変更する必要があります。

注: Web アプリケーションまたはモバイル Web アプリの記録中に、操作の選択 ダイアログでオブジェクト マップ エントリの名前を直接変更できます。オブジェクトを右クリックして、操作の選択 ダイアログの オブジェクトの識別 領域を展開します。そして、オブジェクト マップ ID フィールドでオブジェクト マップ エントリを編集できます。この機能は、次のブラウザーに対するテストで利用できます。
  • Microsoft Edge
  • Apple Safari
  • Mozilla Firefox 41 以降
  • Google Chrome 50 以降
  • モバイル ブラウザー
親トピック: オブジェクト マップ


オブジェクト マップの変更

既存のオブジェクト マップは、オブジェクト マップに構造化要素をさらに追加したとしても、記録中に既存のオブジェクト マップ識別子を再利用することができます。

例：既存のオブジェクト マップへの DIV の追加

次の単純なオブジェクト マップの email フィールドと login フィールドをまとめる DIV 要素を追加することを考えます。
demo_borland_com                               //BrowserApplication
  BrowserWindow                                         //BrowserWindow
    login-form email                                    //INPUT[@id='login-form:email']
    login-form login                                    //INPUT[@id='login-form:login']

新たに DIV loginArea を追加することにより、オブジェクト マップの構造を変更できますが、オブジェクト マップは、記録中にオブジェクト マップ識別子は正しく再利用することができます。

demo_borland_com                               //BrowserApplication
  BrowserWindow                                         //BrowserWindow
    loginArea                                           //'DIV[@id='login']
      login-form email                                  //INPUT[@id='login-form:email']
      login-form login                                  //INPUT[@id='login-form:login']
親トピック: オブジェクト マップ


オブジェクト マップのロケーターの変更

スクリプトを記録するときに、ロケーターは自動的にオブジェクト マップ項目に関連付けられます。ただし、より汎用的にするために、ロケーター パスを変更できます。たとえば、テスト アプリケーションで特定のコントロールに自動的に日付または時刻が割り当てられる場合、ワイルドカードを使用するようにそのコントロールのロケーターを変更できます。ワイルドカードを使用すると、それぞれのテストで異なる日付または時刻が挿入される場合でも、各テストで同じロケーターを使用できます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • 変更するロケーターを含むオブジェクト マップをダブルクリックします。
    • 変更するロケーターを含むオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. 変更するロケーターに移動します。 たとえば、変更するロケーターを検索するには、ノードの展開が必要な場合があります。
  4. 変更するロケーター パスをクリックしてから、ロケーター パスを再度クリックします。
  5. 有効なロケーター パスがある場合は、使用する項目名とロケーター パスを入力して Enter を押すことができます。有効なロケーター パスを判別するには、以下のステップで説明するように、Locator Spy ダイアログ ボックスを使用します。
    1. Silk4NET > Locator Spy をクリックします。
    2. 記録したいオブジェクトの上にマウスを移動して Ctrl+Alt を押します。 Silk4NET の ロケーター テキスト フィールドにロケーター文字列が表示されます。
    3. ロケーターの詳細 テーブルで、使用するロケーターを選択します。
    4. ロケーターをコピーしてオブジェクト マップに貼り付けます。
  6. 必要に応じて、ニーズに合わせて項目名またはロケーター テキストを変更します。 無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。

    オブジェクト マップ項目として無効な文字は、\、/、<、>、"、:、*、?、|、=、.、@、[、] です。

    無効なロケーター パスは、空または不完全なロケーター パスです。

  7. Ctrl+S を押して、変更を保存します。

変更したロケーター パスが既存のスクリプトによって使用されている場合は、新しいロケーター パスを使用するように、そのビジュアル テストまたはスクリプトを手動で変更する必要があります。

親トピック: オブジェクト マップ


テスト アプリケーションからのオブジェクト マップの更新

テスト アプリケーションの項目が変化した場合は、オブジェクト マップ UI を使用してそれらの項目のロケーターを更新できます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • 使用するオブジェクト マップをダブルクリックします。
    • 使用するオブジェクト マップを右クリックし、開く をクリックします。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. ロケータの更新 をクリックします。 Locator Spy が表示され、Silk4NET によってテスト アプリケーションが開かれます。
  4. 記録するオブジェクトの上にカーソルを合わせて、Ctrl+Alt を押します。 Silk4NET の ロケーター テキスト フィールドにロケーター文字列が表示されます。
  5. ロケーターの詳細 テーブルで、使用するロケーターを選択します。
  6. ロケーター テキスト フィールドに表示されているロケーターから、使用しない属性を削除します。
  7. ロケーターの検証 をクリックして、ロケーターが機能することを検証します。
  8. ロケーターをエディターに貼り付け をクリックして、オブジェクト マップのロケーターを更新します。
  9. 変更されたオブジェクト マップを保存します。
AUT からオブジェクト マップ項目を更新するときに、オブジェクト マップ ツリーのリーフ ノードの XPath 表現のみを変更できます。親ノードの XPath 表現を変更することはできません。オブジェクト マップ ツリー内のより高いレベルのノードにある XPath 表現が更新後に整合しなくなると、エラー メッセージが表示されます。

例

たとえば、次の 3 つの階層レベルを持つオブジェクト マップ ID を含むオブジェクト マップ項目があるとします：
WebBrowser.Dialog.Cancel
これらの階層レベルに対応する XPath 表現は次のようになります：
 /BrowserApplication//Dialog//PushButton[@caption='Cancel']
  • 最初の階層レベル： /BrowserApplication
  • 2 番目の階層レベル：//Dialog
  • 3 番目の階層レベル：//PushButton[@caption='Cancel']
次のロケーターを使用して、オブジェクト マップ項目を更新できます：
 /BrowserApplication//Dialog//PushButton[@id='123']
  • 最初の階層レベル： /BrowserApplication
  • 2 番目の階層レベル：//Dialog
  • 3 番目の階層レベル：//PushButton[@id='123']
2 番目のレベルの階層が一致しないため、次のロケーターを使用してオブジェクト マップ項目を更新することはできません：
 /BrowserApplication//BrowserWindow//PushButton[@id='9999999']
  • 最初の階層レベル： /BrowserApplication
  • 2 番目の階層レベル：//BrowserWindow
  • 3 番目の階層レベル：//PushButton[@id='9999999']
親トピック: オブジェクト マップ


オブジェクト マップ項目のコピー

オブジェクト マップ内、またはオブジェクト マップ間で、オブジェクト マップ エントリをコピーおよび貼り付けできます。 たとえば、2 つの異なるテスト アプリケーションに同じ機能が存在する場合は、一方のオブジェクト マップの一部分をコピーして、他方のオブジェクト マップに貼り付けることができます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • コピーするオブジェクト マップ項目を含むオブジェクト マップをダブルクリックします。
    • コピーするオブジェクト マップ項目を含むオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. コピーするオブジェクト マップ項目に移動します。 たとえば、コピーするオブジェクト マップ項目を検索するには、ノードの展開が必要な場合があります。
  4. 次のいずれか 1 つを選んでください：
    • コピーするオブジェクト マップ項目を右クリックし、ツリーのコピー を選択します。
    • コピーするオブジェクト マップ項目をクリックし、Ctrl+C を押します。
  5. オブジェクト マップ階層で、コピーした項目を貼り付ける位置に移動します。 たとえば、階層の第 1 レベルに項目を組み込むには、項目リストの最初の項目の名前をクリックします。 特定の項目の 1 レベル下にコピーする項目の位置を設定するには、コピーする項目の上にある項目をクリックします。 オブジェクト マップ間でコピーして貼り付けるには、オブジェクト マップ項目をコピーしたマップを終了し、オブジェクト マップ項目を貼り付けるオブジェクト マップを開いて編集する必要があります。
  6. 次のいずれか 1 つを選んでください：
    • コピーしたオブジェクト マップ項目を貼り付けるオブジェクト マップ内の位置を右クリックし、貼り付け を選択します。
    • コピーしたオブジェクト マップ項目を貼り付けるオブジェクト マップ内の位置をクリックし、Ctrl+V を押します。
    オブジェクト マップ項目が、階層内の新しい位置に表示されます。
  7. Ctrl+S を押して、変更を保存します。

移動したオブジェクト マップ項目を既存のスクリプトで使用する場合は、階層内の新しい位置を使用するようにスクリプトを手動で変更する必要があります。

親トピック: オブジェクト マップ


オブジェクト マップ項目の追加

スクリプトを記録すると、オブジェクト マップ項目が自動的に作成されます。場合によっては、手動でオブジェクト マップ項目を追加することもできます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 新しい項目を追加したい場所で、オブジェクト マップをダブルクリックします。 オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. オブジェクト マップ階層で、新しいオブジェクト マップ項目を追加したい位置の下の項目を右クリックします。 たとえば、階層の第 1 レベルに項目を組み込むには、項目リストの最初の項目の名前を右クリックします。特定の項目の 1 レベル下に新しい項目の位置を設定するには、新しい項目を配置したい位置の下の項目をクリックします。
  4. 新規挿入 をクリックします。 新しい項目が、現在のノードの最初の子として階層に追加されます。
  5. 有効なロケーター パスがある場合は、使用する項目名とロケーター パスを入力して Enter を押すことができます。有効なロケーター パスを判別するには、以下のステップで説明するように、Locator Spy ダイアログ ボックスを使用します。
    1. Silk4NET > Locator Spy をクリックします。
    2. 記録したいオブジェクトの上にマウスを移動して Ctrl+Alt を押します。 Silk4NET の ロケーター テキスト フィールドにロケーター文字列が表示されます。
    3. ロケーターの詳細 テーブルで、使用するロケーターを選択します。
    4. ロケーターをコピーしてオブジェクト マップに貼り付けます。
  6. 必要に応じて、ニーズに合わせて項目名またはロケーター テキストを変更します。 無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。

    オブジェクト マップ項目として無効な文字は、\、/、<、>、"、:、*、?、|、=、.、@、[、] です。

    無効なロケーター パスは、空または不完全なロケーター パスです。

  7. Ctrl+S を押して、変更を保存します。
注: オブジェクト マップ ツリーに含まれるすべてのノードのすべての子ノードは、オブジェクト マップを保存するときにアルファベット順にソートされます。
親トピック: オブジェクト マップ


スクリプトからオブジェクト マップを開く

スクリプトを編集している際に、スクリプトのオブジェクト マップ エントリを右クリックし、 Silk4NET 資産を開く を選択してオブジェクト マップを開くことができます。オブジェクト マップは GUI 上で開かれます。

例

// VB .NET code
<TestMethod()> Public Sub TestMethod1()
  With _desktop.Window("Untitled - Notepad").TextField("TextField").TypeKeys("hello")
  End With
End Sub
// C# code
[TestMethod]
public void TestMethod1()
{
  Window untitledNotepad = _desktop.Window("Untitled - Notepad");
  untitledNotepad.TextField("TextField").TypeKeys("hello");
}
上記のコード例で、 Untitled - Notepad エントリをオブジェクト マップで開く場合は、 Untitled - Notepad を右クリックします。 オブジェクト マップで Untitled - Notepad.TextField エントリをオブジェクト マップで開く場合は、TextField を右クリックします。
親トピック: オブジェクト マップ


テスト アプリケーションでのオブジェクト マップ項目のハイライト

オブジェクト マップ項目を追加または記録したあと、ハイライト をクリックして、テスト アプリケーションで項目をハイライトできます。 変更する項目であることをオブジェクト マップ内で確認する場合などに項目をハイライトできます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • 使用するオブジェクト マップをダブルクリックします。
    • 使用するオブジェクト マップを右クリックし、開く をクリックします。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. オブジェクト マップ階層で、テスト アプリケーションでハイライトするオブジェクト マップ項目を選択します。
    注: テスト アプリケーションの 1 つのインスタンスのみが実行中であることを確認します。 テスト アプリケーションの複数のインスタンスを実行すると、複数のオブジェクトがロケーターと一致するためエラーになります。
  4. ハイライト をクリックします。 テスト アプリケーションがオブジェクト マップに関連付けられていないと、アプリケーションの選択 ダイアログ ボックスが表示されることがあります。 この場合は、テストするアプリケーションを選択し、OK をクリックします。 Silk4NET によってテスト アプリケーションが開かれ、オブジェクト マップ項目を示すコントロールの周囲に緑のボックスが表示されます。
親トピック: オブジェクト マップ


オブジェクト マップのエラーの検出

無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。 オブジェクト マップ ウィンドウのツール バーを使用して、エラーに移動します。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • トラブルシュートするオブジェクト マップをダブルクリックします。
    • トラブルシュートするオブジェクト マップを右クリックし、開く を選択します。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. 赤色で表示された項目名またはロケーター テキストを探します。
  4. 必要に応じて、ニーズに合わせて項目名またはロケーター テキストを変更します。 無効な文字またはロケーターを使用すると、項目名またはロケーター テキストが赤で表示され、ツール ヒントにエラーの説明が表示されます。

    オブジェクト マップ項目として無効な文字は、\、/、<、>、"、:、*、?、|、=、.、@、[、] です。

    無効なロケーター パスは、空または不完全なロケーター パスです。

  5. Ctrl+S を押して、変更を保存します。
親トピック: オブジェクト マップ


オブジェクト マップ項目の削除

テスト アプリケーションに存在しなくなったなどの理由により、オブジェクト マップから項目を削除できます。

  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 削除するオブジェクト マップ項目を含むオブジェクト マップをダブルクリックします。 オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. 削除するオブジェクト マップ項目に移動します。 たとえば、削除するオブジェクト マップ項目を検索するには、ノードの展開が必要な場合があります。
  4. 次のいずれか 1 つを選んでください：
    • 削除するオブジェクト マップ項目を右クリックし、削除 を選択するか、そのオブジェクト マップ項目のすべての子項目も削除する場合は ツリーの削除 を選択します。
    • 削除するオブジェクト マップ項目をクリックし、Del を押すか、そのオブジェクト マップ項目のすべての子項目も削除する場合は Ctrl+Del を押します。
    オブジェクト マップ項目を削除した後、フォーカスはオブジェクト マップの次の項目に移動します。
  5. Ctrl+S を押して、変更を保存します。

削除したオブジェクト マップ項目または子オブジェクトを既存のスクリプトで使用する場合は、そのオブジェクト マップ項目への参照をスクリプトで、手動で変更する必要があります。

親トピック: オブジェクト マップ


オブジェクト マップを最初に書き出す

ベスト プラクティスとして、テストを記録する前に、すべてのオブジェクト マップ項目を書き出し。確認することをお勧めします。

AUT のすべての利用可能な項目をもつオブジェクト マップを最初に書き出すためには、テスト対象アプリケーションのすべてのオブジェクトをクリックし、すべてのウィンドウとダイアログ ボックスを開くテストを作成する必要があります。その後、各オブジェクトに対するオブジェクト マップ項目を確認し、機能テストを記録する前に、必要な変更を加えることができます。オブジェクト マップ項目を確認し、修正した後に、オブジェクト マップを書き出すために作成したテストを削除できます。

ヒント: オブジェクト マップ中の項目間を移動するには、矢印キーを使用できます。
親トピック: オブジェクト マップ


オブジェクト マップの要素のグループ化

オブジェクト マップの項目が一貫した親オブジェクトを持たない場合、XPath の現在の要素のロケーターを意味するロケーター "." を持つ新しいツリー項目を追加して、これらの要素をグループ化できます。

警告: オブジェクト マップ項目をグループ化すると、それらの項目を使用するすべてのスクリプトが影響を受けます。これらの項目を使用するすべてのスクリプトは、新しいロケーターを使用するように手動で変更する必要があります。
  1. ソリューション エクスプローラ で、変更するオブジェクト マップがあるプロジェクトの オブジェクト マップ フォルダをクリックします。
  2. 次のいずれか 1 つを選んでください：
    • 編集するオブジェクト マップをダブルクリックします。
    • 編集するオブジェクト マップを右クリックし、開く をクリックします。
    オブジェクト マップ項目および各項目に関連付けられたロケーターの階層が、オブジェクト マップに表示されます。
  3. 新しく追加する構成項目のすぐ上のツリー項目を右クリックして、新規挿入 を選択します。
  4. 新しいオブジェクト マップ項目の 項目名 フィールドをダブルクリックします。
  5. 使用する項目名を入力し、Enter を押します。 無効な文字を使用すると、項目名が赤で表示されます。 新しい名前が 項目名 リストに表示されます。
  6. 新しいオブジェクト マップ項目の ロケーター パス フィールドをクリックして、フィールドに「.」を入力します。
  7. Enter を押します。
  8. 新しい項目の下に新たに配置し直したいすべてのオブジェクト マップ項目に対して、次の操作を行います。
    1. 配置し直したい項目を右クリックして、ツリーの切り取り を選択します。
    2. 新しい構成項目を右クリックして、貼り付け を選択します。
  9. Ctrl+S を押して、変更を保存します。
親トピック: オブジェクト マップ


オブジェクト マップ：よくある質問

このセクションでは、Silk4NET でオブジェクト マップを使用する時に直面する可能性のある質問を一覧します。

  • 複数のオブジェクト マップを単一のオブジェクト マップのマージする方法
    複数のオブジェクト マップを単一のオブジェクト マップにマージする方法について説明します。
  • テスト スクリプトを削除したときにオブジェクト マップで起こること
    オブジェクト マップ エントリに対応するテスト スクリプトが削除するときに起こることについて説明します。
  • テスト対象アプリケーションのオブジェクト マップを手動で作成する方法
    Silk4NET でオブジェクト マップを手動で作成する方法について説明します。
親トピック: オブジェクト マップ


複数のオブジェクト マップを単一のオブジェクト マップのマージする方法

既存のオブジェクト マップをマージせずに、同じオブジェクト マップに記録することを Micro Focus は推奨しますが、テキスト エディタを使用して複数のオブジェクト マップを単一のマップにマージすることができます。

親トピック: オブジェクト マップ：よくある質問


テスト スクリプトを削除したときにオブジェクト マップで起こること

オブジェクト マップ エントリを含んだテスト スクリプトを削除しても、関連するオブジェクト マップは変更されません。すべてのオブジェクト マップ エントリはそのまま残ります。

親トピック: オブジェクト マップ：よくある質問


テスト対象アプリケーションのオブジェクト マップを手動で作成する方法

Micro Focus では、テストの記録時にオブジェクト マップを作成することを推奨します。しかし、空のオブジェクト マップを作成し、このマップにオブジェクト マップの項目を手動で追加することもできます。

新しいオブジェクト マップを作成するには、Silk4NET > 新しいオブジェクト マップ をメニューから選択します。

親トピック: オブジェクト マップ：よくある質問


イメージ解決のサポート

イメージ解決は、次の場合に使用できます。
  • オブジェクト解決で識別できない、高度にカスタマイズされたコントロールを含むテスト アプリケーションを簡便に操作する場合。座標ベースのクリックの代わりにイメージ クリックを使用し、指定されたイメージをクリックできます。
  • テスト対象アプリケーションのグラフィカル オブジェクト (グラフなど) をテストする場合。
  • テスト対象アプリケーションの視覚的な UI のチェックを実行する場合。

認識されないコントロールをクリックするには、ImageClick メソッドとイメージ資産を使用します。テスト対象アプリケーションに、認識されないコントロールがあるかどうかを確認するには、VerifyAsset メソッドとイメージ検証を使用します。

イメージ解決メソッドは、Silk4NET でサポートされるすべてのテクノロジ ドメインでサポートされます。

注: イメージ解決メソッドは、画面に表示されていないコントロールに対しては機能しません。たとえば、スクロールして画面外にあるイメージに対しては、イメージ解決を使用できません。
  • イメージ クリックの記録
    イメージのクリックを記録する方法について説明します。
  • イメージ解決メソッド
    イメージ解決でサポートされるメソッドを一覧で示します。
  • イメージ資産
    イメージ資産と、それらを Silk4NET で使用する方法について説明します。
  • イメージ検証
    イメージ検証と、それらを Silk4NET で使用する方法について説明します。
  • 複数のプロジェクトでの資産の使用
    イメージ資産、イメージ検証、およびプロジェクト マップが置かれているプロジェクトのスコープ外でそれらを使用する方法を説明します。
関連概念
テキスト解決のサポート


イメージ クリックの記録

イメージ クリックの記録を行うと、大量のイメージが生成されてわかりにくくなるため、デフォルトではイメージ クリックの記録が無効となり、座標ベースのクリックの記録が優先されます。

イメージ クリックの記録を有効にするには、Silk4NET > オプションの編集 をクリックして、記録 タブを選択し、 'ImageClick' を記録する セクションのチェック ボックスをチェックします。

注: モバイル ブラウザを記録する場合、イメージ クリックの記録を有効にする必要はありません。

イメージ クリックの記録を有効にすると、Silk4NET は、オブジェクト解決またはテキスト解決ができない場合に、ImageClick メソッドを記録します。イメージ クリックが記録されない場合でも、任意のコントロールに対してイメージ クリックをスクリプトに挿入できます。

ImageClick 操作を記録しない場合は、イメージ クリックの記録をオフに切り替えて通常のクリックまたはテキスト クリックを記録できます。

注: 記録したイメージは再利用されません。 Silk4NET は、記録するイメージ クリックごとに新しいイメージ資産を作成します。
注: イメージ クリックの記録は、Java AWT/Swing コントロールを使用するアプリケーションまたはアプレットではサポートされません。
親トピック: イメージ解決のサポート


イメージ解決メソッド

Silk4NET では、イメージ解決用に次のメソッドが用意されています。
メソッド | 説明
ImageClick | 資産で指定されたイメージの中央をクリックします。イメージが見つかるか、オブジェクト解決タイムアウト (同期オプションで定義可能) が経過するまで待機します。
ImageExists | 資産で指定されたイメージが存在するかどうかを返します。
ImageRectangle | 資産で指定されたイメージのオブジェクト相対矩形を返します。
ImageClickFile | ファイルで指定されたイメージをクリックします。
ImageExistsFile | ファイルで指定されたイメージが存在するかどうかを返します。
ImageRectangleFile | ファイルで指定されたイメージのオブジェクト相対矩形を返します。
VerifyAsset | 検証資産を実行します。検証に合格しなかった場合、VerificationFailedException がスローされます。
TryVerifyAsset | 検証資産を実行し、検証に合格したかどうかを返します。
注: イメージ解決メソッドは、画面に表示されていないコントロールに対しては機能しません。たとえば、スクロールして画面外にあるイメージに対しては、イメージ解決を使用できません。
親トピック: イメージ解決のサポート
関連資料
ImageClick メソッド (TestObject)
ImageExists メソッド (TestObject)
ImageRectangle メソッド (TestObject)
ImageClickFile メソッド (TestObject)
ImageExistsFile メソッド (TestObject)
ImageRectangleFile メソッド (TestObject)
VerifyAsset メソッド (Silk4NET)
TryVerifyAsset メソッド


イメージ資産

イメージ資産は、次の場合に使用できます。
  • オブジェクト解決で識別できない、高度にカスタマイズされたコントロールを含むテスト アプリケーションを簡便に操作する場合。 座標ベースのクリックの代わりにイメージ クリックを使用し、指定されたイメージをクリックできます。
  • テスト対象アプリケーションのグラフィカル オブジェクト (グラフなど) をテストする場合。

イメージ資産は、イメージと、Silk4NET で資産を操作するために必要な追加情報で構成されます。

Silk4NET では、イメージ資産用に次のメソッドが用意されています。
メソッド | 説明
ImageClick | 指定されたイメージ資産の中央をクリックします。 イメージが見つかるか、オブジェクト解決タイムアウト (同期オプションで定義可能) が経過するまで待機します。
ImageExists | 指定されたイメージ資産があるかどうかを返します。
ImageRectangle | 指定されたイメージ資産のオブジェクト相対矩形を返します。

イメージ資産は、プロジェクトの Image Assets フォルダに置く必要があります。 .imageasset ファイルは、埋め込みリソースにする必要があります。

  • イメージ資産の作成
    イメージ解決サポートを使用するためのイメージ資産を作成します。
  • 同じイメージ資産に複数のイメージを追加する
    同じイメージ資産に複数のイメージを追加して、異なる複数のテスト構成を持つ資産を使用できます。
  • スクリプトから資産を開く
    スクリプトから資産を開く方法を説明します。
親トピック: イメージ解決のサポート
関連概念
イメージ検証
複数のプロジェクトでの資産の使用
関連資料
ImageClick メソッド (TestObject)
ImageExists メソッド (TestObject)
ImageRectangle メソッド (TestObject)


イメージ資産の作成

イメージ資産は、次のいずれかの方法で作成できます。
  • 新しいイメージ資産を既存のスクリプトに挿入。
  • 記録時。
  • メニューから。

新しいイメージ資産を で作成するには、以下のステップを実行します。

  1. メニューで、Silk4NET > 新規イメージ資産 をクリックします。
  2. 資産のわかりやすい名前を 名前 フィールドに入力し、Silk4NET イメージ資産 をダブルクリックします。 イメージ資産の UI が開きます。
  3. 資産にイメージを追加する方法を選択します。
    • 既存のイメージを使用する場合は、参照 をクリックし、イメージ ファイルを選択します。
    • テスト対象アプリケーションの UI から新しいイメージをキャプチャする場合は、キャプチャ を選択します。Web アプリケーションをテストする場合、ブラウザーの選択 ウィンドウからイメージをキャプチャするブラウザーを選択できます。
    • イメージをキャプチャする前にテスト対象アプリケーションのメニューを展開したい場合などに、5 秒間マウスを静止した後に新しいイメージをキャプチャする場合は、静止時にキャプチャ を選択します。
  4. 新しいイメージをキャプチャする場合は、キャプチャする画面領域を選択し、選択範囲をキャプチャします をクリックします。
  5. 省略可能：検証 をクリックして、Silk4NET が AUT の UI でイメージ資産を見つけることができるかどうかを確認します。 Web アプリケーションをテストする場合、ブラウザーの選択 ウィンドウからイメージをキャプチャするブラウザーを選択できます。
  6. 省略可能：クリック位置 チェック ボックスをオンにすると、イメージ資産上でクリックを実行する位置を選択できます。 デフォルトの位置は、イメージの中央です。x フィールドと y フィールドに位置を入力するか、イメージ上の位置を選択します。
  7. 精度レベル を指定します。 精度レベルは、検証されるイメージがテスト対象アプリケーションのイメージと異なっていてもよい度合いを定義し、これを超えて異なっている場合、Silk4NET はイメージが異なっていると判断します。これは、画面解像度が異なる複数のシステムまたはブラウザをテストする場合に役立ちます。誤検出を防ぐため、できるだけ精度レベルを高くすることを推奨します。デフォルトの精度レベル値は、オプションで変更できます。
    注: 精度レベル を 5 未満に設定した場合、イメージの実際の色が比較で考慮されなくなります。イメージのグレースケール表現だけが比較されます。
  8. イメージ資産を保存します。

新しいイメージ資産が、ソリューション エクスプローラ で現在のプロジェクトの下に表示され、これを使用してイメージ クリックを実行できます。

同じイメージ資産に複数のイメージを追加できます。

注: モバイル ブラウザーに対する記録中にイメージ クリックを追加するには、記録 ウィンドウで右クリックして、操作のリストから ImageClick を選択します。
親トピック: イメージ資産
関連タスク
同じイメージ資産に複数のイメージを追加する


同じイメージ資産に複数のイメージを追加する

テスト時に、異なるテスト構成を使用して、複数の環境の機能をテストする必要が生じることがよくあります。環境が異なると、イメージ資産にキャプチャしたイメージと実際のイメージが若干異なることがあり、イメージが存在するにもかかわらずイメージ クリックが失敗することがあります。このような場合、同じイメージ資産に複数のイメージを追加できます。

イメージ資産に別のイメージを追加するには、以下を実行します。

  1. イメージ資産に追加したいイメージをダブルクリックします。 イメージ資産の UI が開きます。
  2. UI の下部に表示されるプラス記号をクリックして、新しいイメージをイメージ資産に追加します。
  3. イメージ資産を保存します。
新しいイメージが資産に追加されます。イメージ クリックが呼び出されるたびに、一致するものに到達するまで、Silk4NET は資産のイメージとテスト対象アプリケーションの UI のイメージを比較します。デフォルトで、Silk4NET は資産に追加された順にイメージを比較します。
注: Silk4NET で比較するイメージの順番を変更するには、イメージ資産の UI の下部でイメージをクリックし、目的の場所にドラッグします。左から右の順に比較されます。最初に比較されるのは、最も左にあるイメージです。
親トピック: イメージ資産
関連タスク
イメージ資産の作成


スクリプトから資産を開く

スクリプトを編集しているときに、資産を右クリックして Silk4NET 資産を開く を選択し、資産を開くことができます。 これにより、GUI で資産が開きます。

資産がシステム上のファイルへの参照である場合 (ImageClickFile によって参照される場合など)、ファイルはシステムのデフォルト エディターで開かれます。

親トピック: イメージ資産


イメージ検証

イメージ検証を使用して、テスト対象アプリケーション (AUT) の UI にイメージがあるかどうかをチェックできます。

イメージ検証は、イメージと、Silk4NET で資産を操作するために必要な追加情報で構成されます。

イメージ検証を実行するには、VerifyAsset メソッドを使用します。

イメージ検証資産は、プロジェクトの Verifications フォルダに置く必要があります。 .verification ファイルは、埋め込みリソースにする必要があります。

Silk4NET が AUT のイメージを見つけることができなかった場合、イメージ検証は失敗します。 この場合、スクリプトの実行は中断され、VerificationFailedException がスローされます。 この動作を防止するには、TryVerifyAsset メソッドを使用します。

AUT 内でイメージ検証のロケーターが見つからなかった場合、Silk4NET は ObjectNotFoundException をスローします。

TrueLog Explorer で成功したイメージ検証を開くには、検証ステップの 情報 タブで 検証を開く をクリックします。 TrueLog Explorer で失敗したイメージ検証を開くには、検証ステップの 情報 タブで 相違点の表示 をクリックします。 失敗したイメージ検証が、精度レベルを低くすれば成功すると判断された場合は、成功する精度レベルが提示されます。

  • イメージ検証の作成
    テスト対象アプリケーションの UI に認識されないコントロールがあるかどうかをチェックするためのイメージ検証を作成します。
  • 記録中にイメージ検証を追加する
    イメージ検証をスクリプトに追加して、テスト対象アプリケーションの UI に認識されないコントロールがあるかどうかをチェックします。
親トピック: イメージ解決のサポート
関連概念
イメージ資産


イメージ検証の作成

イメージ検証は、次のいずれかの方法で作成できます。
  • メニュー を使用。
  • 記録時。

新しいイメージ検証を メニュー で作成するには、以下のステップを実行します。

  1. Silk4NET > 新規イメージ検証 をクリックします。
  2. 資産のわかりやすい名前を 名前 フィールドに入力し、Silk4NET イメージ検証 をダブルクリックします。 イメージ検証の UI が開きます。
  3. 識別 をクリックして、テスト対象アプリケーションの、検証するイメージを識別します。
  4. 省略可能：最初にキャプチャしたイメージから変更されたために、テスト対象アプリケーションから同じイメージを再キャプチャする必要がある場合は、再キャプチャ をクリックします。 Web アプリケーションをテストする場合、ブラウザーの選択 ウィンドウからイメージをキャプチャするブラウザーを選択できます。
  5. 省略可能：検証 をクリックすると、イメージ検証が機能するかどうかをテストできます。 Silk4NET は、AUT の UI でイメージを、上から下へ、左から右へと検索し、最初に一致したイメージをハイライトします。
  6. 省略可能：Silk4NET がイメージ検証とテスト対象アプリケーション (AUT) の UI を比較するときに考慮しない除外領域をイメージ検証に追加できます。
  7. 省略可能：オプション クライアント領域のみ を設定して、Silk4NET がイメージ検証と AUT の UI を比較するときに、実際に AUT の一部であるイメージの部分だけを考慮するように定義できます。
  8. 精度レベル を指定します。 精度レベルは、検証されるイメージがテスト対象アプリケーションのイメージと異なっていてもよい度合いを定義し、これを超えて異なっている場合、Silk4NET はイメージが異なっていると判断します。これは、画面解像度が異なる複数のシステムまたはブラウザをテストする場合に役立ちます。誤検出を防ぐため、できるだけ精度レベルを高くすることを推奨します。デフォルトの精度レベル値は、オプションで変更できます。
    注: 精度レベル を 5 未満に設定した場合、イメージの実際の色が比較で考慮されなくなります。イメージのグレースケール表現だけが比較されます。
  9. イメージ検証を保存します。
新しいイメージ検証がソリューション エクスプローラ に表示され、これを使用して、テスト対象アプリケーションの UI にイメージが存在するかどうかをチェックできます。
親トピック: イメージ検証


記録中にイメージ検証を追加する

イメージ検証をスクリプトに追加して、テスト対象アプリケーションの UI に認識されないコントロールがあるかどうかをチェックできます。 スクリプトの記録中にイメージ検証を追加するには、以下のステップを実行します。
  1. 記録を開始します。
  2. 検証するイメージの上にマウス カーソルを移動して、Ctrl+Alt を押しながらクリックします。 Silk4NET から、プロパティーまたはイメージを検証するかどうかを尋ねられます。
  3. イメージ検証の作成または挿入 を選択します。
  4. 次のいずれか 1 つのステップを行います：
    • イメージ検証の UI で新しいイメージ検証を作成するには、リスト ボックスから 新規 を選択します。
    • 既存のイメージ検証資産を挿入するには、リスト ボックスからイメージ検証資産を選択します。
  5. OK をクリックします。
    • 新しいイメージ検証の作成を選択した場合は、イメージ検証の UI が表示されます。
    • 既存のイメージ検証の使用を選択した場合は、イメージ検証がスクリプトに追加されます。 この場合、このトピックの残りのステップはスキップできます。
  6. 新しいイメージ検証を作成するには、イメージ検証の UI で 検証 をクリックします。
  7. AUT のイメージの上にマウス カーソルを移動して、Ctrl+Alt を押しながらクリックします。 イメージ検証の UI に、新しいイメージ検証が表示されます。
  8. OK をクリックします。 新しいイメージ検証が現在のプロジェクトに追加されます。
  9. 記録を続けます。
親トピック: イメージ検証
関連タスク
記録中のスクリプトへの検証の追加


テストの拡張

このセクションでは、テストの拡張方法について説明します。

  • 既存のテストへの追加操作の記録
    追加操作を記録して、既存のテストを更新します。
  • Windows DLL の呼び出し
    Visual Basic から DLL を呼び出す方法について説明します。
  • カスタム コントロール
    Silk4NET がカスタム コントロールをサポートする方法を説明します。
  • Microsoft ユーザー補助を使用したオブジェクト解決の向上
    Microsoft ユーザー補助を使用して、クラス レベルでオブジェクトを簡単に認識する方法について説明します。
  • Silk4NET での Unicode コンテンツのサポートの概要
    Silk4NET での Unicode コンテンツのサポートについて説明します。
  • Microsoft UI オートメーション
    UI オートメーション プロバイダー インターフェイスを実装する Windows ベースのアプリケーションのコントロールに対するオブジェクト解決を、Microsoft UI オートメーションを使って改善する方法について説明します。
  • テキスト解決のサポート
    テキスト解決を使用して、高度にカスタマイズされたコントロールを含むテスト アプリケーションを便利に操作できるようにする方法について説明します。
  • スクリプトへの結果コメントの挿入
    TrueLog ファイルにテストに関する補足情報を提供するために、結果コメントをテスト スクリプトに追加する方法について説明します。
  • 実行時間の計測
    テストの実行にかかる時間を計測する方法について説明します。
  • テスト実行の遅延
    AUT の UI が読み込みを終えて有効になるまでテストを遅延させる方法を示します。
  • 単一マシンでの複数 UI セッションのアプリケーションのテスト
    単一マシンで複数の Open Agent に接続して、そのマシンでの複数の UI セッションでアプリケーションをテスト (または複数のエージェント上でテスト) することができます。
  • パスワードの暗号化
    セキュリティ上の問題を避けるために、テキスト形式のパスワード系文字列を暗号化します。


既存のテストへの追加操作の記録

テストを作成したあと、テストを開き、テストの任意の場所から追加操作を記録できます。これにより、既存のテストを追加操作で更新できます。

  1. 既存のテスト スクリプトを開きます。
  2. 追加操作を記録するテスト スクリプトの場所を選択します。
    注: 記録した操作は、選択した場所の後に挿入されます。テスト対象アプリケーション (AUT) は基本状態に戻りません。代わりに、テスト スクリプトの直前の操作が記録された範囲で AUT を開いておきます。
  3. Silk4NET > 操作の記録 をクリックします。 Silk4NET が最小化され、記録中 ダイアログ ボックスが開きます。
  4. AUT に対して実行したい追加操作を記録します。 記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  5. 記録を停止するには、記録中 ウィンドウの 停止 をクリックします。
親トピック: テストの拡張
関連タスク
Silk4NET テストの記録


Windows DLL の呼び出し

このセクションでは、DLL を呼び出す方法について説明します。 DLL は Open Agent のプロセス内から、または AUT (テスト対象アプリケーション) から呼び出すことができます。 これにより、テスト スクリプト内の既存のネイティブ DLL を再利用できます。

Open Agent 内の DLL 呼び出しは通常、AUT 内の UI コントロールと対話しないグローバル関数を呼び出す場合に使用されます。

AUT 内の DLL 呼び出しは通常、アプリケーションの UI コントロールと対話する関数を呼び出す場合に使用されます。 これにより、Silk4NET は再生中に DLL 呼び出しを自動的に同期できます。

注: 32 ビット アプリケーションでは 32 ビット DLL を、64 ビット アプリケーションでは 64 ビット DLL を呼び出すことができます。 Open Agent は 32 ビットと 64 ビットの両方の DLL を実行できます。
注: .NET Framework では、P/Invoke という DLL 呼び出しも組み込みでサポートされています。 P/Invoke を Visual Basic スクリプト内で使用すると、このスクリプトを実行するプロセス内で DLL 関数を呼び出すことができます。 ただし、AUT では Silk Test Workbenchを使用して DLL 関数を呼び出すことができる一方で、自動同期は行われません。
注: DLL を呼び出すには、C インターフェイスを使用する必要があります。 同様に .dll というファイル拡張子の付いた .NET アセンブリを呼び出す場合は、DLL 呼び出し機能を使用しないで、.NET スクリプト内でアセンブリへの参照を追加します。
  • スクリプトからの Windows DLL の呼び出し
    スクリプトから DLL を呼び出す方法について説明します。
  • DLL 関数の宣言構文
    DLL 関数の宣言構文について説明します。
  • DLL 呼び出しの例
    DLL 関数を呼び出す例を示します。
  • DLL 関数への引数の受け渡し
    DLL 関数に引数を渡す方法について説明します。
  • DLL 関数への文字列引数の受け渡し
    DLL 関数に文字列引数を渡す方法について説明します。
  • DLL 名のエイリアス設定
    DLL 関数名のエイリアス設定について説明します。
  • DLL 関数呼び出しの表記規則
    DLL 関数を呼び出す場合にサポートされている表記規則を示し、この規則の変更方法について説明します。
親トピック: テストの拡張


スクリプトからの Windows DLL の呼び出し

DLL の宣言を開始するには、DLL 属性を持つインターフェイスを使用します。宣言の構文は次のとおりです。
<Dll("dllname.dll")> Public Interface DllInterfaceName
  FunctionDeclaration
  [FunctionDeclaration]…
End Interface
// C# code
[Dll("dllname.dll")]
public interface DllInterfaceName {
  FunctionDeclaration ...
}
dllname
スクリプトから呼び出す関数が含まれた DLL ファイルの完全パスの名前。DLL パスの環境変数は自動的に解決されます。パスでは二重のバックスラッシュ (\\) を使用する必要はありません。単一のバックスラッシュ (\) で十分です。
DllInterfaceName
スクリプト内で DLL と対話するために使用される識別子。
FunctionDeclaration
呼び出そうとしている DLL 関数の関数宣言。
親トピック: Windows DLL の呼び出し


DLL 関数の宣言構文

DLL 関数の宣言は、一般に以下の形式を取ります。

戻り値のない関数の場合、宣言の形式は以下のとおりです、

return-type
戻り値のデータ型。
function-name
関数の名前。
arg-list
関数に渡される引数のリスト。
リストは以下のように指定します。
data-type
引数のデータ型。
identifier
引数の名前。
親トピック: Windows DLL の呼び出し


DLL 呼び出しの例

この例では、user32.dll の SendMessage DLL 関数を呼び出して、フィールドに「hello world!」というテキストを書き出します。

DLL の宣言：

// VB .NET code
<Dll("user32.dll")> Public Interface IUserDll32Functions
  Function SendMessageW( _
    ByVal obj As TestObject,ByVal message As Integer,ByVal wParam As Integer,ByVal lParam As String) As Integer
End Interface
// C# code
[Dll("user32.dll")]
public interface IUserDll32Functions {
  int SendMessageW(TestObject obj, int message, int wParam, string lParam);
}
以下のコードは、AUT で宣言された DLL 関数を呼び出す方法を示します。
// VB .NET code
Public Sub Main()
  Dim user32Functions As IUserDll32Functions = DllCall.CreateInProcessDllCall(Of IUserDll32Functions)()
  Dim textField = _desktop.Window().TextField()
  user32Functions.SendMessageW(textField, WindowsMessages.WM_SETTEXT, 0, "my text")
End Sub
// C# code
public void main()
{
  IUserDll32Functions user32Functions = DllCall.CreateInProcessDllCall<IUserDll32Functions>();
  TextField textField = _desktop.Window().TextField();
  user32Functions.SendMessageW(textField, (int) WindowsMessages.WM_SETTEXT, 0, "my text");
}
注: DLL 関数の最初のパラメーターに C データ型の HWND が指定されている場合は、AUT 内で DLL 関数の呼び出しのみを実行できます。
次のコードは、Open Agent のプロセスで宣言された DLL 関数を呼び出す方法を示します。
// VB .NET code
Public Sub Main()
  Dim user32Functions As IUserDll32Functions = DllCall.CreateAgentDllCall(Of IUserDll32Functions)()
  Dim textField = _desktop.Window().TextField()
  user32Functions.SendMessageW(textField, WindowsMessages.WM_SETTEXT, 0, "my text")
End Sub
// C# code
public void main()
{
  IUserDll32Functions user32Functions = DllCall.CreateAgentDllCall<IUserDll32Functions>();
  TextField textField = _desktop.Window().TextField();
  user32Functions.SendMessageW(textField, (int) WindowsMessages.WM_SETTEXT, 0, "my text");
}
注: コード例では、DLL 関数で使用するのに便利な Windows メッセージングに関連する定数を定義した WindowsMessages クラスを使用しています。
親トピック: Windows DLL の呼び出し


DLL 関数への引数の受け渡し

DLL 関数は C で記述されているため、これらの関数に渡す引数には適切な C データ型を指定する必要があります。 次のデータ型がサポートされます。
次のデータ型を持つ引数または戻り値には、このデータ型を使用します。
  • int
  • INT
  • long
  • LONG
  • DWORD
  • BOOL
  • WPARAM
  • HWND
の 型は、4 バイト値を持つすべての DLL 引数に対して有効です。
C データ型 long および int64 を持つ引数または戻り値には、このデータ型を使用します。 の 型は、8 バイト値を持つすべての DLL 引数に対して有効です。
C データ型 short および WORD を持つ引数または戻り値には、このデータ型を使用します。 の 型は、2 バイト値を持つすべての DLL 引数に対して有効です。
C データ型 bool を持つ引数または戻り値には、このデータ型を使用します。
String
C で String となる引数または戻り値には、このデータ型を使用します。
C データ型 double を持つ引数または戻り値には、このデータ型を使用します。
C データ型 RECT を持つ引数には、このデータ型を使用します。 は戻り値として使用できません。
C データ型 POINT を持つ引数には、このデータ型を使用します。 POINT は戻り値として使用できません。
C データ型 HWND を持つ引数には、このデータ型を使用します。 TestObject は戻り値として使用できませんが、戻り値型として Integer を持つ HWND を戻す DLL 関数を宣言できます。
注: 渡された TestObject は インターフェイスを実装して、DLL 関数に渡される TestObject のウィンドウ ハンドルを Silk4NET が 判別できるようにする必要があります。 そうしないと、この DLL 関数を呼び出すときに、例外がスローされます。
List
ユーザー定義の C 構造体の配列には、このデータ型を使用します。 List は戻り値として使用できません。
注: List をパラメーターとして使用する場合は、渡されるリストに、戻される内容を保持できるだけのサイズを確保する必要があります。
注: C 構造体は List で表すことができます。この場合、すべてのリスト要素は構造体のメンバに対応しています。 最初の構造体メンバは、リスト内の最初の要素で表されます。2 番目の構造体メンバは、リスト内の 2 番目の要素で表されます (以下同様)。
注: DLL 関数に渡す引数の前には、いずれかの データ型を配置する必要があります。
親トピック: Windows DLL の呼び出し


DLL 関数への文字列引数の受け渡し

DLL 関数に渡している文字列、または DLL 関数から戻される文字列は、デフォルトでは Unicode Strings として処理されます。 DLL 関数に ANSI String 引数が必要な場合は、DllFunctionOptions 属性の CharacterSet プロパティーを使用します。

例

<Dll( "user32.dll" )> Public Interface IUserDll32Functions
  <DllFunctionOptions(CharacterSet:=CharacterSet.Ansi)> Function SendMessageA( _
    ByVal obj As TestObject, ByVal message As Integer , ByVal wParam As Integer , ByRef lParam As String ) As Integer
End Interface

DLL 呼び出しから String を ByRef 引数 として戻した場合、String のサイズが 256 文字以下であれば、デフォルトの動作に従います。 戻される String が 256 文字を超えている場合は、作成された String を保持できるだけの長さを持つ、Visual Basic String を渡します。

例

1024 個の空白文字を含む String を作成するには、以下のコードを使用します。
Dim longEmptyString = New String ( " "c , 1024 )
この String を ByRef 引数として DLL 関数に渡します。すると、この DLL 関数は最大 1024 文字の String を戻します。

関数の戻り値として DLL から String が戻される場合、DLL は DLL 関数 FreeDllMemory を実装し、DLL 関数から戻される C String ポインターを受け入れて、以前に割り当てられたメモリーを解放する必要があります。 このような関数が存在しない場合、メモリーはリークされます。

親トピック: Windows DLL の呼び出し


DLL 名のエイリアス設定

DLL 関数に、Visual Basic の予約語と同じ名前が付いている場合、または DLL 関数に名前でなく序数が付いている場合は、宣言内でこの関数の名前を変更し、エイリアス ステートメントを使用して、宣言した名前と実際の名前をマッピングする必要があります。

例

たとえば、Exit ステートメントは Visual Basic コンパイラーで予約されています。 したがって、関数 exit を呼び出すには、次のようにその関数を別の名前で宣言し、エイリアス ステートメントを追加する必要があります。
<Dll("mydll.dll")> Public Interface IMyDllFunctions
  <DllFunctionOptions(Alias:="exit")> Sub MyExit()
End Interface
親トピック: Windows DLL の呼び出し


DLL 関数呼び出しの表記規則

DLL 関数を呼び出す場合は、次に示す呼び出し規則がサポートされています。
  • __stdcall
  • __cdecl

DLL 関数を呼び出す場合は、__stdcall 呼び出し規則がデフォルトで使用されます。 この呼び出し規則は、すべての Windows API DLL 関数で使用されます。

DLL 関数の呼び出し規則を変更するには、DllFunctionOptions属性の CallingConvention プロパティーを使用します。

例

次のコード例では、__decl 呼び出し規則を使用して DLL 関数を宣言します。
<Dll("msvcrt.dll")> Public Interface IMsVisualCRuntime
 <DllFunctionOptions(CallingConvention:=CallingConvention.Cdecl)> Function cos(ByVal input As Double) As Double
End Interface
親トピック: Windows DLL の呼び出し


カスタム コントロール

Silk4NET では、カスタム コントロールを扱うときに、以下の機能がサポートされます。
  • 動的呼び出しを使用すると、テスト対象アプリケーション (AUT) 内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティの取得、またはプロパティの設定を Silk4NET で直接実行できます。
  • クラス マッピング 機能によって、カスタム コントロール クラスの名前を標準 Silk Test クラスの名前にマップできます。このようにすると、標準 Silk Test クラスでサポートされる機能をテストで使用できます。
    Silk4NET は、次のテクノロジ ドメインに対する UI のカスタム コントロールの管理をサポートします。
    • Win32
    • Windows Presentation Foundation (WPF)
    • Windows Forms
    • Java AWT/Swing
    • Java SWT
  • AUT にコードを追加して、カスタム コントロールをテストできます。
  • カスタム コントロールの管理 ダイアログ ボックスを使用して、ロケーターで使用できるカスタム コントロールの名前を指定したり、カスタム コントロールを操作する再利用可能なコードを作成することができます。
注: カスタム コントロールでは、Click、TextClick、TypeKeys などのメソッドだけが、Silk4NET で記録できます。Apache Flex アプリケーションをテストする場合を除き、カスタム コントロールのカスタム メソッドは記録できません。
  • 動的呼び出し
    テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を実行する方法について説明します。
  • テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする
    動的呼び出しメソッドの単純呼び出しではテストできないカスタム コントロールをテストするために、AUT にコードを追加します。
  • Apache Flex カスタム コントロールのテスト
    カスタム コントロールのテストに使用できる基本サポートおよび高度なサポートについて説明します。
  • カスタム コントロールの管理
    Silk4NET がカスタム コントロールをサポートする方法を説明します。
親トピック: テストの拡張
関連資料
カスタム コントロール オプション


動的呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。
注: DOM 要素のメソッドを動的に呼び出すことはできません。
  • 動的呼び出しに関するよくある質問
    カスタム コントロールをテストするために動的にメソッドを呼び出すときの質問を示します。
親トピック: カスタム コントロール
関連概念
Flex メソッドの動的呼び出し
Java メソッドの動的な呼び出し
SAP メソッドの動的な呼び出し
Silverlight メソッドの動的呼び出し
Windows Forms メソッドの動的な呼び出し
WPF メソッドの動的な呼び出し


動的呼び出しに関するよくある質問

このセクションでは、カスタム コントロールをテストするために動的にメソッドを呼び出すときの質問を示します。

  • Invoke メソッドを使用して呼び出せるメソッド
    Invoke メソッドを使用して呼び出せるインスタンス メソッドのリストを取得する方法を説明します。
  • 呼び出しで複雑なオブジェクトが返されることが期待されるときに単純な文字列が返される理由
    Invoke 呼び出しで複雑なオブジェクトが返されることが期待されるときに、単純な文字列が返される理由を説明します。
  • 複数の InvokeMethods 呼び出しを使用するときにスクリプトを単純化する方法
    スクリプトで複数の InvokeMethods 呼び出しを使用するときに、スクリプトを単純化する方法について説明します。
親トピック: 動的呼び出し


Invoke メソッドを使用して呼び出せるメソッド

特定のテスト オブジェクトに対して、Invoke メソッドを使用して呼び出せるすべてのメソッドのリストを取得するには、GetDynamicMethodList を使用します。リストを表示するには、コンソールに出力したり、デバッガーで表示することなどができます。

親トピック: 動的呼び出しに関するよくある質問


呼び出しで複雑なオブジェクトが返されることが期待されるときに単純な文字列が返される理由

Invoke メソッドは単純なデータ型のみを返すことができます。 複雑な型は文字列として返されます。 Silk4NET は ToString メソッドを使用して、戻り値の文字列表現を取得します。 個々のメソッドを呼び出し、最初のメソッドの呼び出しで返される複雑なオブジェクトのプロパティーを読み取るには、Invoke ではなく、InvokeMethods を使用します。

親トピック: 動的呼び出しに関するよくある質問


複数の InvokeMethods 呼び出しを使用するときにスクリプトを単純化する方法

スクリプトで大量の InvokeMethods を使用すると、すべてのメソッド名を文字列として渡し、すべてのパラメータをリストとして渡す必要があるため、複雑になります。 このような複雑なスクリプトを単純化するには、InvokeMethods を通じてコントロールを操作するのではなく、AUT の実際のコントロールを操作する静的メソッドを作成します。 詳細については、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」を参照してください。

親トピック: 動的呼び出しに関するよくある質問
関連概念
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする


テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする

Windows Forms アプリケーションまたは WPF アプリケーションをテストし、複雑なカスタム コントロールまたは Invoke および InvokeMethods メソッドを使用するだけではテストできないカスタム コントロールをテストする場合は、テスト対象アプリケーション (AUT) の実際のコントロールを操作する静的メソッドを作成し、このコードを AUT に追加できます。

AUT にコードを追加することのメリットは、AUT のコードで、動的呼び出しメソッドによるメソッド呼び出しのリフレクション形式ではなく、通常のメソッド呼び出しを使用してコントロールを操作できるという点です。そのため、コードを作成する時に、コード補完と IntelliSense を使用できます。その後、AUT のコードを単純な呼び出しで呼び出し、該当するコントロールをパラメータとして渡すことができます。

AUT にコードを追加するには、次の方法があります。
  • AUT でコードをコンパイルします。実装は簡単ですが、意図しない AUT の変更を行うことになります。
  • テスト スクリプトの LoadAssembly メソッドを使用して、実行時にコードを AUT に挿入します。AUT でコードをコンパイルする場合よりも作業は多くなりますが、挿入されたコードはテスト コードの近くに配置されます。LoadAssembly は、WPFWindow クラスおよびFormsWindow クラスで使用できます。

例：UltraGrid Infragistics コントロールのテスト

この例では、UltraGrid コントロールの内容を取得する方法を示します。UltraGrid コントロールは、Infragistics が提供する NETAdvantage for Windows Forms ライブラリに含まれています。ライブラリの試用版を http://www.infragistics.com/products/windows-forms/downloads からダウンロードできます。

UltraGridUtil クラスを作成するには、以下の操作を実行します。
  1. C# または VB .NET で、新しいクラス ライブラリを作成します。新しいプロジェクト AUTExtensions を呼び出します。
    注: クラス ライブラリは、AUT と同じバージョンの .NET バージョンを使用する必要があります。
  2. 必要な依存関係への参照をプロジェクトに追加します。たとえば、Infragistics バージョン 12.2 の場合、次のアセンブリへの参照が必要です。
    • Infragistics4.Shared.v12.2
    • Infragistics4.Win.UltraWinGrid.v12.2
    • Infragistics4.Win.v12.2
    AUT で使用している Infragistics のバージョンが不明な場合は、Microsoft の Process Explorer ツールを使用して、AUT にロードされているアセンブリを確認できます。
    1. AUTExtensions プロジェクトで、次の内容を持つ新しいクラス UltraGridUtil を作成します：
      ' VB code
Public Class UltraGridUtil

  Public Shared Function GetContents(ultraGrid As Infragistics.Win.UltraWinGrid.UltraGrid) As List(Of List(Of String))
    Dim contents = New List(Of List(Of String))
    For Each row In ultraGrid.Rows
      Dim rowContents = New List(Of String)
      For Each cell In row.Cells
        rowContents.Add(cell.Text)
      Next
      contents.Add(rowContents)
    Next
    Return contents
  End Function

End Class
      // C# code
using System.Collections.Generic;

namespace AUTExtensions {

  public class UltraGridUtil {

    public static List<List<string>> GetContents(Infragistics.Win.UltraWinGrid.UltraGrid grid) {
      var result = new List<List<string>>();
      foreach (var row in grid.Rows) {
        var rowContent = new List<string>();
        foreach (var cell in row.Cells) {
          rowContent.Add(cell.Text);
        }
        result.Add(rowContent);
      }
      return result;
    }

  }

}
      注: Shared 修飾子によって、GetContents メソッドが静的メソッドになります。
  3. AUTExtensions プロジェクトを構築します。
  4. 再生中に、AUT にアセンブリをロードします。
    • Silk4NET プロジェクトで、既存のテスト スクリプトを開くか、新しいテスト スクリプトを作成します。
    • AUTExtensions プロジェクトを Silk4NET プロジェクトへの参照として追加します。
    • 次のコードをテスト スクリプトに追加します：
      ' VB code
mainWindow.LoadAssembly(GetType(UltraGridUtil).Assembly.Location)
      // C# code
mainWindow.LoadAssembly(typeof(UltraGridUtil).Assembly.Location);
  5. 挿入したコードの静的メソッドを呼び出して、UltraGrid の内容を取得します：
    'VB code
Dim ultraGrid = mainWindow.Control("@automationId='my grid'")
Dim contents As IList = mainWindow.Invoke("AUTExtensions.UltraGridUtil.GetContents", ultraGrid)
    // C# code
Dim ultraGrid = mainWindow.Control("@automationId='my grid'");
Dim contents As IList = mainWindow.Invoke("AUTExtensions.UltraGridUtil.GetContents", ultraGrid);
  • AUT へのコードの追加に関するよくある質問
    カスタム コントロールをテストするために AUT にコードを追加するときの質問を示します。
親トピック: カスタム コントロール
関連概念
WPF メソッドの動的な呼び出し
Windows Forms メソッドの動的な呼び出し
カスタム コントロールの管理


AUT へのコードの追加に関するよくある質問

このセクションでは、カスタム コントロールをテストするために AUT にコードを追加するときの質問を示します。

  • LoadAssembly メソッドを使用して AUT に挿入したコードが AUT で更新されない理由
    LoadAssembly メソッドを使用して挿入したコードによって、AUT 内のコードが置き換えられない場合の対処法を説明します。
  • メソッドを呼び出すと入力引数の型が一致しない理由
    何らかのメソッドを呼び出したときに、入力引数の型が一致しないことを示すエラーが表示される場合の対処法を説明します。
  • アセンブリをコピーできないときにコンパイル エラーを修正する方法
    LoadAssembly メソッドで AUT にコードを追加しようとしたときに、アセンブリ ファイルをコピーできない場合の対処方法を説明します。
親トピック: テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする


LoadAssembly メソッドを使用して AUT に挿入したコードが AUT で更新されない理由

AUT 内のコードが、LoadAssembly メソッドを使用して AUT に挿入したコードによって置き換えられない場合、アセンブリがすでに AUT にロードされている可能性があります。 アセンブリをアンロードすることはできないため、AUT を閉じてから、再開する必要があります。

親トピック: AUT へのコードの追加に関するよくある質問


メソッドを呼び出すと入力引数の型が一致しない理由

何らかのメソッドを呼び出したときに、入力引数の型が一致しないことを示すエラーが表示される場合は、呼び出すメソッドは見つかりましたが、引数が正しくありません。 スクリプトで正しいデータ型を使用していることを確認します。

スクリプトで LoadAssembly メソッドを使用してアセンブリを AUT にロードする場合にこのエラーが発生するもう 1 つの理由として、AUT が使用するバージョンとは異なるサード パーティ ライブラリのバージョンに対してアセンブリが作成されている可能性があります。 この問題を修正するには、プロジェクトで参照されているアセンブリを変更します。 AUT で使用されているサード パーティ ライブラリのバージョンが不明な場合は、Microsoft の Process Explorer ツールを使用できます。

親トピック: AUT へのコードの追加に関するよくある質問


アセンブリをコピーできないときにコンパイル エラーを修正する方法

LoadAssembly メソッドで AUT にコードを追加しようとしたときに、次のコンパイル エラーが発生することがあります。
Could not copy '<assembly_name>.dll' to '<assembly_name>.dll'. The process cannot access the file.
このコンパイル エラーは、アセンブリがすでに AUT にロードされていて、上書きできないために発生します。

このコンパイル エラーを修正するには、AUT を閉じて、再度スクリプトをコンパイルします。

親トピック: AUT へのコードの追加に関するよくある質問


Apache Flex カスタム コントロールのテスト

Silk4NET では、Apache Flex カスタム コントロールのテストがサポートされています。ただし、デフォルトでは、Silk4NET は、カスタム コントロールの個別のサブコントロールを記録および再生することはできません。

カスタム コントロールをテストする場合、以下のオプションが存在します。
  • 基本サポート

    基本サポートでは、動的呼び出しを使用して、再生中にカスタム コントロールと対話します。作業量が少なく済むこのアプローチは、テスト アプリケーションにおいて、Silk4NET が公開しないカスタム コントロールのプロパティおよびメソッドにアクセスする場合に使用します。カスタム コントロールの開発者は、コントロールのテストを容易にすることのみを目的としたメソッドおよびプロパティをカスタム コントロールに追加することもできます。ユーザーは、動的呼び出し機能を使用してこれらのメソッドやプロパティを呼び出すことができます。

    基本サポートには以下のような利点があります。
    • 動的呼び出しでは、テスト アプリケーションのコードを変更する必要がありません。
    • 動的呼び出しを使用することによって、ほとんどのテストのニーズを満たすことができます。
    基本サポートには以下のような短所があります。
    • ロケーターには、具体的なクラス名が組み込まれません (たとえば、Silk4NET では「//FlexSpinner」ではなく「//FlexBox」と記録されます)。
    • 記録のサポートが限定されます。
    • Silk4NET では、イベントを再生できません。

    例を含む動的呼び出しの詳細については、「Apache Flex メソッドの動的呼び出し」を参照してください。

  • 高度なサポート
    高度なサポートでは、カスタム コントロールに対して、特定のオートメーション サポートを作成できます。この追加のオートメーション サポートによって、記録のサポートおよびより強力な再生のサポートが提供されます。高度なサポートには以下のような利点があります。
    • イベントの記録と再生を含む、高レベルの記録および再生のサポートが提供されます。
    • Silk4NET では、カスタム コントロールが他のすべての組み込み Apache Flex コントロールと同様に処理されます。
    • Silk4NET API とシームレスに統合できます。
    • Silk4NET では、ロケーターで具体的なクラス名が使用されます (たとえば、Silk4NET では「//FlexSpinner」と記録されます)。
    高度なサポートには以下のような短所があります。
    • 実装作業が必要です。テスト アプリケーションを変更し、Open Agent を拡張する必要があります。
  • Flex メソッドの動的呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • テスト アプリケーションでのカスタム コントロールの定義
    以下の手順では、Flex のカスタム Spinner コントロールを使用して、カスタム コントロールの定義方法を示します。
  • 動的呼び出しを使用した Flex カスタム コントロールのテスト
    Silk4NET では、動的呼び出しを使用したカスタム コントロールの記録と再生のサポートが提供されており、これにより再生中にカスタム コントロールを操作できます。
  • オートメーション サポートを使用したカスタム コントロールのテスト
    カスタム コントロールをテストに対して有効化します。
親トピック: カスタム コントロール
親トピック: Apache Flex のサポート


カスタム コントロールの管理

Silk4NET が専用サポートを提供していないカスタム コントロールに対応するカスタム クラスを作成できます。 カスタム クラスを作成すると、以下の利点があります。
  • スクリプトのロケーターが効率化されます。
  • カスタム コントロールと対話するための再利用可能コードを簡単に記述できます。

例：UltraGrid Infragistics コントロールのテスト

カスタム グリッド コントロールが Silk4NET で汎用クラス Control として認識されるとします。 Silk4NET のカスタム コントロール サポートを使用すると、以下の利点があります。
カスタム コントロール クラス名をロケーターで使用できるため、オブジェクトの認識率が高まります。
複数のオブジェクトが Control として認識されることがあります。 ローケーターには、特定のオブジェクトを識別するためのインデックスが必要です。 たとえば、オブジェクトはロケーター //Control[13] を使用して識別できます。 このコントロールのカスタム クラス (クラス UltraGrid など) を作成する場合は、ロケーター //UltraGrid を使用できます。 カスタム クラスを作成することによって、テスト対象アプリケーションが変更された場合にオブジェクト識別子が変わりやすい、大きな数字のインデックスを使用する必要がなくなります。
スクリプト内のコントロールに、再利用可能な再生操作を実行できます。

カスタム クラスを使用している場合、ユーザー インターフェイスにカスタム コントロールを指定すると生成されるクラスであるカスタム クラスに以下のコードを追加することで、グリッドのコンテンツをメソッド内に取り込む動作をカプセル化できます。

通常は、以下のいずれかの方法で、メソッドをカスタム コントロール クラスに実装できます。
  • Click、TypeKeys、TextClick、および TextCapture などのメソッドを使用できます。
  • AUT のオブジェクトで動的にメソッドを呼び出せます。
  • AUT に追加したメソッドを動的に呼び出せます。 これは、この例で説明されている手法です。
以下のコードを使用して、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」の例で定義されている静的メソッドを呼び出すことができます。 メソッド GetContents が、生成されたクラス UltraGrid に追加されます。
' VB code
Partial Public Class UltraGrid

  Public Function GetContents() As IList
    Return Invoke("AUTExtensions.UltraGridUtil.GetContents", Me)
  End Function

End Class
// C# code
public partial class UltraGrid {

  public System.Collections.IList GetContents() {
    return (System.Collections.IList) Invoke("AUTExtensions.UltraGridUtil.GetContents", this);
  }

}
クラスをカスタム コントロールとして定義すると、Dialog クラスのように、すべての組み込みクラスの場合と同じ方法でそのクラスを使用できます。
' VB code
Dim ultraGrid As UltraGrid = mainWindow.UltraGrid("@automationId='my grid'")
Dim contents = ultraGrid.GetContents()
// C# code
UltraGrid ultraGrid = mainWindow.UltraGrid("@automationId='my grid'");
IList contents = ultraGrid.GetContents();
  • カスタム コントロールのサポート
    Silk4NET のカスタム コントロールをサポートする新しいカスタム クラスを作成します。
  • カスタム コントロール オプション
    カスタム コントロールをサポートするためのオプションの設定方法について説明します。
親トピック: カスタム コントロール
関連タスク
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする


カスタム コントロールのサポート

Silk4NET は、次のテクノロジ ドメインに対する UI のカスタム コントロールの管理をサポートします。
  • Win32
  • Windows Presentation Foundation (WPF)
  • Windows Forms
  • Java AWT/Swing
  • Java SWT

Silk4NET が専用サポートを提供していないカスタム コントロールに対応するカスタム クラスを作成するには、以下を実行します。

  1. Silk4NET > カスタム コントロールの管理 をクリックします。 カスタム コントロールの管理 ダイアログ ボックスが開きます。
  2. Silk4NET カスタム コントロール コードのディレクトリ フィールドで、任意の名前を入力するか、参照 をクリックして、カスタム コントロールを含めるディレクトリ を選択します。
  3. 新しいカスタム クラスを作成するテクノロジ ドメインのタブをクリックします。
  4. 追加 をクリックします。
  5. 次のいずれかをクリックします。
    • 新しいカスタム コントロールの識別 をクリックし、オブジェクトの識別 ダイアログ ボックスを使ってアプリケーション内のカスタム コントロールを直接選択します。
    • 新しいカスタム コントロールの追加 をクリックし、カスタム コントロールを手動でリストに追加します。
    新しい行がカスタム コントロールのリストに追加されます。
  6. カスタム コントロールを手動でリストに追加するように選択した場合は、以下を実行します。
    1. Silk Test 基本クラス 列で、クラスの取得元となる既存の基本クラスを選択します。 このクラスは、ご使用のカスタム コントロールのタイプに最も一致率が高くなければなりません。
    2. Silk Test クラス 列で、クラスの参照に使用する名前を入力します。 この名前は、ロケーターに表示されます。たとえば、//Control[13] でなく //UltraGrid を入力します。
      注: 有効なクラスを追加すると、そのクラスは Silk Test 基本クラス リストで使用できるようになります。追加したクラスは、基本クラスとして再使用できます。
    3. カスタム コントロール クラス名 列に、マップしているクラスの完全修飾クラス名を入力します。 たとえば、Infragistics.Win.UltraWinGrid.UltraGrid です。Win32 アプリケーションの場合、クラス名にワイルドカード ? および * を使用できます。
  7. Win32 アプリケーションの場合のみ：クラスの宣言を使用する 列で、値を False に設定して、カスタム コントロール クラスの名前を標準 Silk Test クラスの名前に単純にマップします。 カスタム コントロール クラスを標準 Silk Test クラスにマップすると、テストの際に標準 Silk Test クラスでサポートされている機能を使用できます。カスタム コントロール クラスのクラス宣言を追加して使用する場合は、この値を True にします。
  8. OK をクリックします。
  9. スクリプトの場合のみ：
    1. カスタム コントロール用のクラスにカスタム メソッドおよびプロパティーを追加します。
    2. スクリプト内で新しいクラスのカスタム メソッドおよびプロパティーを使用します。
      注: カスタム メソッドおよびプロパティは記録されません。
注: スクリプト ファイル内のカスタム クラスまたは基本クラスの名前を変更しないでください。スクリプト内に生成されたクラスを変更した場合、予期しない動作を起こすことがあります。カスタム クラスにプロパティおよびメソッドを追加する場合にのみスクリプトを使用してください。それ以外の変更をカスタム クラスに加える場合は カスタム コントロールの管理 ダイアログ ボックスを使用してください。
親トピック: カスタム コントロールの管理
関連資料
カスタム コントロール オプション


カスタム コントロール オプション

Silk4NET > カスタム コントロールの管理。

Silk4NET は、次のテクノロジ ドメインに対する UI のカスタム コントロールの管理をサポートします。
  • Win32
  • Windows Presentation Foundation (WPF)
  • Windows Forms
  • Java AWT/Swing
  • Java SWT

Silk4NET カスタム コントロール コードのディレクトリ で、新しいカスタム クラスをその中に生成するスクリプト ファイルを定義します。

カスタム コントロール クラスを標準 Silk Test クラスにマップすると、テストの際に標準 Silk Test クラスでサポートされている機能を使用できます。次の カスタム コントロール オプションが使用できます。
オプション
説明
Silk Test 基本クラス
自分のクラスの派生元として使用する既存の基本クラスを選択します。このクラスは、ご使用のカスタム コントロールのタイプに最も一致率が高くなければなりません。
Silk Test クラス
クラスの参照に使用する名前を入力します。この名前は、ロケーターに表示されます。
カスタム コントロールのクラス名
マッピングされているクラスの完全修飾クラス名を入力します。クラス名には、ワイルドカード ? および * を使用できます。
クラスの宣言を使用する
このオプションは Win32 アプリケーションの場合のみ使用できます。デフォルト値は False で、カスタム コントロール クラスの名前が標準 Silk Test クラスの名前にマップされることを意味します。カスタム コントロール クラスのクラス宣言を追加して使用する場合は、この設定を True にします。
注: 有効なクラスを追加すると、そのクラスは Silk Test 基本クラス リストで使用できるようになります。追加したクラスは、基本クラスとして再使用できます。

例：UltraGrid Infragistics コントロールのオプションの設定

UltraGrid Infragistics コントロールをサポートするには、次の値を使用します。
オプション | 値
Silk Test 基本クラス | Control
Silk Test クラス | UltraGrid
カスタム コントロールのクラス名 | Infragistics.Win.UltraWinGrid.UltraGrid
親トピック: カスタム コントロールの管理
関連概念
カスタム コントロール
カスタム コントロールのサポート


Microsoft ユーザー補助を使用したオブジェクト解決の向上

Microsoft ユーザー補助を、クラス レベルでオブジェクトを簡単に認識するために使用することができます。 Internet Explorer や Microsoft アプリケーションのいくつかのオブジェクトには、ユーザー補助を有効にすることで Silk4NET によってより良く認識されるようになるものがあります。 たとえば、ユーザー補助を有効にしないと、Silk4NET は Microsoft Word のメニュー バーや表示されるタブについて基本的な情報のみを記録します。 しかし、ユーザー補助を有効にすると、 Silk4NET はそれらのオブジェクトを完全に認識するようになります。

例

ユーザー補助を使用しないと、 Silk4NET は DirectUIHwnd コントロールを完全に認識できません。これは、このコントロールのパブリックな情報が存在しないためです。 Internet Explorer は、2 つの DirectUIHwnd コントロールを使用しています。1 つはブラウザ ウィンドウの下部に表示されるポップアップです。 このポップアップには、通常、次の情報が表示されます。
  • Internet Explorer を既定のブラウザにしたいかどうかを尋ねるダイアログ ボックス。
  • ダウンロード オプション（ 開く、 保存、 キャンセル）。

Silk4NET でプロジェクトを開始して、 DirectUIHwnd ポップアップに対してロケーターを記録すると、ユーザー補助を無効にしている場合、単一のコントロールのみが表示されます。 ユーザー補助を有効にした場合には、 DirectUIHwnd コントロールを完全に認識した情報が得られます。

  • ユーザー補助の使用
    ユーザー補助を使用する方法について説明します。
  • ユーザー補助の有効化
    ユーザー補助を有効にする方法について説明します。
親トピック: テストの拡張
関連概念
Microsoft UI オートメーション


ユーザー補助の使用

Win32 では、ジェネリック コントロールとして認識されるコントロールにユーザー補助 サポートが使用されます。 Win32 は、コントロールを特定すると、ユーザー補助オブジェクトをコントロールのすべてのユーザー補助の子とともに取得しようとします。

ユーザー補助によって返されるオブジェクトは、AccessibleControl、Button、CheckBox のいずれかのクラスになります。 Button および Checkbox は、そのクラス用に定義されたメソッドとプロパティの通常セットをサポートするので個別に扱われます。 ユーザー補助によって返されるすべてのジェネリック オブジェクトの場合、クラスは AccessibleControl です。

例

ユーザー補助が有効になる前、アプリケーションのコントロール階層が次のようになっていたとします。
  • コントロール
    • コントロール
  • ボタン
ユーザー補助を有効にすると、階層は次のように変わります。
  • コントロール
    • コントロール
      • ユーザー補助コントロール
      • ユーザー補助コントロール
        • ボタン
  • ボタン
親トピック: Microsoft ユーザー補助を使用したオブジェクト解決の向上


ユーザー補助の有効化

Win32 アプリケーションをテストしているときに、 がオブジェクトを認識できない場合は、最初にユーザー補助を有効にする必要があります。ユーザー補助は、オブジェクトの認識機能をクラス レベルで強化するためのものです。

ユーザー補助を有効にするには、以下の手順を実行します。

  1. Silk4NET > オプションの編集 をクリックします。 スクリプト オプション ダイアログ ボックスが表示されます。
  2. 詳細設定 をクリックします。
  3. Microsoft ユーザー補助を使用する オプションを選択します。 ユーザー補助が有効になります。
親トピック: Microsoft ユーザー補助を使用したオブジェクト解決の向上


Silk4NET での Unicode コンテンツのサポートの概要

Open Agent は、Unicode 対応済みです。つまり、Open Agent は、2 バイト (ワイド) 言語を認識できます。

Silk4NET を使用して、中国語、韓国語、日本語 (漢字) などの 2 バイト言語や、それらを組み合わせたコンテンツを含んだアプリケーションをテストできます。

Open Agent は、以下をサポートします。

  • Windows のローカライズ版。
  • 国際化キーボードとネイティブ言語の入力方式エディター (IME)。
  • テストケース、メソッドなどにパラメータとして国際化文字列を渡す、および文字列の比較。
  • 複数の形式でのテキスト ファイルの読み書き：ANSI、Unicode、UTF-8。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

Silk4NET を使用した 2 バイト文字のテストを行う前に

国際化されたアプリケーション、特に 2 バイト文字を含んだアプリケーションをテストするのは、英語 (1 バイト文字) のみを含んだアプリケーションをテストするよりも複雑です。国際化アプリケーションのテストにおいては、オペレーティング システムのサポートから、言語パック、フォント、IME の動作、さらに複合した言語など、さまざまな問題を理解する必要があります。

Silk4NET を使用してアプリケーションのテストを始める前に、以下を確認する必要があります。

  • 必要なローカライズ OS、地域の設定、必要な言語パックがテスト対象アプリケーション (AUT) の要求を満たしているか。
  • AUT を表示するのに必要なフォントがインストールされているか。
  • データ入力に IME が必要なアプリケーションをテストする場合、適切な IME がインストールされているか。
親トピック: テストの拡張


Microsoft UI オートメーション

Microsoft UI オートメーション (UI オートメーション) は、アプリケーションの UI 要素をプログラム上からアクセス、識別、操作できるようにするためのフレームワークです。UI オートメーション プロバイダー インターフェイスを実装する Windows ベースのアプリケーションに対してテストを実行する場合、UI オートメーションを使うと、アプリケーションのコントロールに対するオブジェクト解決を改善することができます。このようなコントロールのことを、以降では UI オートメーション コントロール と呼びます。
注: Silk4NET は、UI オートメーションを実装した Windows ベースのアプリケーションに対する Microsoft Windows 8 以降のマシン上でのテストをサポートします。
UI オートメーションは、次のテクノロジを利用したアプリケーションに対するフォールバック サポートとして利用できます。
  • Win32
  • WPF
  • WinForms
  • Oracle JavaFX
  • QT
  • PowerBuilder
  • Delphi
  • Microsoft Office

たとえば、Silk4NET がアプリケーションのオブジェクトを解決できなかったり、Silk4NET がアプリケーションのすべてのオブジェクトを Control として解決することが原因で、アプリケーションに対するテストを記録できない場合、UI オートメーション サポートを有効化してみることができます。

UI オートメーション サポートを記録時に有効にするには、記録を停止して OPT_ENABLE_UI_AUTOMATION_SUPPORT オプションを有効にしてから、記録を再開します。詳細については、「UI オートメーション オプションの設定」を参照してください。
注: UI オートメーション サポートは、標準のテクノロジ ドメイン固有のサポートをオーバーライドします。UI オートメーション サポートが必要なコントロールに対する操作を完了したら、UI オートメーション サポートをオフにして、標準コントロールに対する操作に戻すこともできます。
注: Java FX アプリケーションをテストする場合は、UI オートメーション サポートをオンにする必要はありません。 Silk4NET では、Java FX アプリケーションに対して、デフォルトでオンになります。

UI オートメーション コントロールのサポートするメソッドが、すべてのサポートするテクノロジの対応するコントロールに対して有効であることを保障するため、Silk4NET API がサポートするのは、これらのコントロールに対して利用できるメソッドやプロパティのサブセットになります。コントロールに対して Silk4NET API で利用できないその他のメソッドやプロパティの呼び出しには、動的呼び出しを使用してください。

  • UI オートメーション プロバイダー インターフェイスを実装したアプリケーションに対するテストの記録
    インタラクティブな 記録 ウィンドウを使って、UI オートメーション プロバイダー インターフェイスを実装した Windows ベースのアプリケーションに対してテストを記録できます。
  • UI オートメーション メソッドの動的呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としない UI オートメーション コントロールのメソッドを呼び出したり、プロパティを取得/設定する方法について説明します。
  • UI オートメーションを使ってコントロールを識別するためのロケーター属性
    UI オートメーション プロバイダー インターフェイスを実装した Windows ベースのアプリケーションのコントロールを識別するためにサポートされているロケーター属性について説明します
  • UI オートメーション コントロールでのスクロール
    UI オートメーション コントロールでのスクロールの処理方法を説明します。
  • UI オートメーション使用時の制限事項
    UI オートメーション使用時における既知の制限事項を一覧します。
  • UI オートメーション サポートを使ったテスト時のトラブルシューティング
    UI オートメーション サポートを使ったテスト時に発生する可能性のある問題の処理について有用な情報を提供します。
親トピック: テストの拡張
関連概念
Microsoft ユーザー補助を使用したオブジェクト解決の向上
関連タスク
UI オートメーション オプションの設定
関連資料
UI Automation クラス リファレンス


UI オートメーション プロバイダー インターフェイスを実装したアプリケーションに対するテストの記録

インタラクティブな 記録 ウィンドウを使って、UI オートメーション プロバイダー インターフェイスを実装した Windows ベースのアプリケーションに対してテストを記録できます。
注: Silk4NET は、UI オートメーションを実装した Windows ベースのアプリケーションに対する Microsoft Windows 8 以降のマシン上でのテストをサポートします。

Silk4NET テストを記録する前に、Silk4NET プロジェクトを作成する必要があります。

UI オートメーション プロバイダー インターフェイスを実装した Windows ベースのアプリケーションに対して新しいテストを記録するには：
  1. 新しいテストを追加するプロジェクトを選択します。
  2. ツールバーで、操作の記録 をクリックします。 新しい項目の追加 ダイアログ ボックスが開きます。
  3. Silk4NET テスト を選択します。
  4. はい をクリックします。
  5. 新しいテストの名前を 名前 フィールドに入力します。
  6. 追加 をクリックします。
  7. インタラクティブな 記録 ウィンドウが開き、テスト対象アプリケーションを表示します。記録したい操作を実行します。
    1. 操作したいオブジェクトをクリックします。 Silk4NET は、オブジェクトのデフォルトの操作を実行します。デフォルトの操作がない場合や、テキストを挿入したりパラメータを指定する場合は、操作の選択 ダイアログ ボックスが開きます。
    2. 省略可能：デフォルトの操作以外のオブジェクトの操作を選択するには、オブジェクトを右クリックします。 操作の選択 ダイアログ ボックスが開きます。
    3. 省略可能：操作にパラメータある場合は、パラメータ フィールドにパラメータを入力します。 Silk4NET は自動的にパラメータを検証します。
    4. OK をクリックして、操作の選択 ダイアログ ボックスを閉じます。 Silk4NET は、記録した操作にその操作を追加し、モバイル デバイスまたはエミュレータ上でそれを再生します。
    記録中、Silk4NET は記録ウィンドウの隣にマウスの位置を表示します。その表示をクリックすると、デバイス画面に絶対的な位置とアクティブ オブジェクトに相対的な位置を切り替えることができます。記録中に利用可能なアクションについての詳細は、「記録中に利用可能なアクション」を参照してください。
  8. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
  9. OK をクリックします。

テストが期待通りの動作をするか確認するためにテストを再生します。必要な場合には変更をするために、テストを編集することも可能です。

親トピック: Microsoft UI オートメーション


UI オートメーション メソッドの動的呼び出し

UI オートメーション コントロールのサポートするメソッドが、すべてのサポートするテクノロジの対応するコントロールに対して有効であることを保障するため、Silk4NET API がサポートするのは、これらのコントロールに対して利用できるメソッドやプロパティのサブセットになります。コントロールに対して Silk4NET API で利用でいないその他のメソッドやプロパティの呼び出しには、動的呼び出しを使用してください。

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk4NET 型。

    Silk4NET 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point、Rect など) が含まれます。

  • 列挙型。

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが .NET 列挙型 System.Windows.Visiblity のパラメータを必要とする場合には、Visible、Hidden、Collapsed の文字列値を使用できます。

  • .NET 構造体とオブジェクト。

    .NET 構造体とオブジェクト パラメータはリストとして渡します。リスト内の要素は、テスト アプリケーションの .NET オブジェクトで定義されているコンストラクタの 1 つと一致しなければなりません。たとえば、メソッドが .NET 型 System.Windows.Vector のパラメータを必要とする場合、2 つの整数値を持つリストを渡すことができます。これが機能するのは、System.Windows.Vector 型が 2 つの整数値を引数に取るコンストラクタを持つためです。

  • その他のコントロール。

    コントロール パラメータは TestObject として渡すことができます。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • MSDN が定義する AutomationElement クラスのすべてのパブリック メソッドとプロパティ。詳細については、http://msdn.microsoft.com/en-us/library/system.windows.automation.automationelement.aspx を参照してください。
  • MSUIA が公開するすべてのメソッドとプロパティ。利用可能なメソッドとプロパティは「パターン」で分類されます。パターンとは、MSUIA 固有の用語です。すべてのコントロールは、いくつかのパターンを実装します。一般的なパターンについての概要およびすべての利用可能なパターンについては、http://msdn.microsoft.com/en-us/library/ms752362.aspx を参照してください。カスタム コントロールの開発者は、MSUIA パターン セットを実装することによって、カスタム コントロールのテスト サポートを提供できます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
  • すべてのその他の型の場合は文字列。

    この文字列表現を取得するには、テスト対象アプリケーションの返された .NET オブジェクトに対して ToString メソッドを呼び出します。

例

この例では、動的呼び出しを使って UIADocument コントロールのスクロール メソッドを呼び出す方法を紹介します。Silk4NET の API ではこのようなスクロール メソッドを提供していません。 これは、これらのメソッドが、UI オートメーション プロバイダー インターフェイスを実装するすべてのテクノロジの UIADocument コントロールで利用可能ではないためです。

コントロールに対して利用できるメソッドとプロパティを表示するには、以下に示すようなコードを使用できます。
' VB .NET code
Dim textBox As UIADocument = mainWindow.Find("//UIADocument")
Dim propertyList = textBox.GetPropertyList()
Dim methodList = textBox.GetDynamicMethodList()

この例では、GetPropertyList メソッドが返す propertyList には、ScrollPattern.VerticalScrollPercent プロパティが含まれます。GetDynamicMethodList メソッドが返す methodList には、ScrollPattern.ScrollVertical メソッドが含まれます。

動的呼び出しを使うと、次のようなコードで ScrollPattern.ScrollVertical メソッドを呼び出すことができます。
textBox.Invoke("ScrollPattern.ScrollVertical", ScrollAmount.SmallIncrement)
または、次のようなコードで ScrollPattern.VerticalScrollPercent プロパティを呼び出すことができます。
textBox.GetProperty("ScrollPattern.VerticalScrollPercent")
親トピック: Microsoft UI オートメーション


UI オートメーションを使ってコントロールを識別するためのロケーター属性

UI オートメーション プロバイダー インターフェイスを実装した Windows ベースのアプリケーションのコントロールに対して、次のロケーター属性がサポートされています。
  • automationId
  • caption
  • className
  • name
  • すべての動的ロケーター属性
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

UI オートメーション プロバイダー インターフェイスを実装した Windows ベースのアプリケーションのコントロールを識別するには、スクリプトで automationId、caption、className、name、またはすべての動的ロケーター属性を使用できます。automationId はアプリケーション開発者が設定します。たとえば、automationId を持つロケーターは、以下のようになります： //UIAButton[@automationId="okButton"]

automationId は一般に非常に有用で安定した属性であるため、使用することを推奨します。

属性の種類 | 説明 | 例
automationId | テスト対象アプリケーションの開発者によって設定される識別子。Visual Studio デザイナは、デザイナ上で作成されたすべてのコントロールに自動的に automationId を割り当てます。アプリケーション開発者は、アプリケーションのコード上でコントロールを識別するために、この ID を使用します。 | //UIAButton[@automationId="okButton"]
caption | コントロールが表示するテキスト。複数の言語にローカライズされたアプリケーションをテストする場合、caption の代わりに automationId や name 属性を使用することを推奨します。 | //UIAButton[@caption="Ok"]
className | UI オートメーション コントロールのクラス名 (名前空間なし)。className 属性を使用すると、Silk4NET が解決する標準 UI オートメーション コントロールから派生したカスタム コントロールを識別するのに役立ちます。 | //UIAButton[@className='MyCustomButton']
name | コントロールの名前。テスト対象アプリケーションの開発者によって設定されます。 | //UIAButton[@name="okButton"]

Silk4NET は、automationId、name、caption、className 属性を、この表に示した順番に使用して UI オートメーション コントロールのロケーターを記録時に作成します。たとえば、コントロールが automationId と name を持つ場合、automationId を使って固有に識別できれば、Silk4NET によるロケーターの作成に使用されます。

ユーザーの AUT の UI オートメーション コントロールに対して使用できるその他のカスタム属性を確認するには、プロパティの検証 ダイアログ ボックスを使用できます。使用するときは、記録する UI オートメーション コントロール上にマウス カーソルを移動し、Ctrl + Alt をクリックします。これで、コントロールに対して使用できるプロパティを確認できます。たとえば、アプリケーションによっては、属性 value が有効な場合もあります。

親トピック: Microsoft UI オートメーション
親トピック: サポートする属性の種類


UI オートメーション コントロールでのスクロール

Silk4NET では、UI オートメーション コントロールに応じて、2 種類のスクロール方法とプロパティを提供します。
  • 1 つめの種類のコントロールには、それ自体でスクロール可能なコントロールが含まれ、スクロールバーは子として明示的に表示されません。たとえば、コンボ ボックス、ペイン、リスト ボックス、ツリー コントロール、データ グリッド、オート コンプリート ボックスなどがあります。
  • 2 つめの種類のコントロールには、それ自体ではスクロール不可能なコントロールが含まれ、スクロール用にスクロールバーが子として表示されます。たとえば、テキスト フィールドがあります。
Silk4NET にこのような違いがあるのは、UI オートメーション コントロールがこの 2 通りの方法でスクロールを実装するためです。

スクロールをサポートするコントロール

この場合、スクロール方法とプロパティは、スクロールバーを含むコントロールで使用できます。したがって、Silk4NET ではスクロールバー オブジェクトは表示されません。

例

以下のコマンドでは、リスト ボックスが一番下までスクロールされます。
listBox.SetVerticalScrollPercent(100)
以下のコマンドでは、リスト ボックスが 1 ユニットずつ下方へスクロールされます。
listBox.ScrollVertical(ScrollAmount.SmallIncrement)

スクロールをサポートしないコントロール

この場合、スクロールバーが表示されます。コントロール自体で可能なスクロール方法とプロパティはありません。水平スクロールバーと垂直スクロールバーの各オブジェクトを使用すると、対応する API 関数でパラメータとして増分または減分、または最終位置を指定することでコントロール内をスクロールできます。増分または減分として ScrollAmount 列挙の値を使用できます。詳細については、MSUIA のドキュメントを参照してください。最終位置は、オブジェクトの位置に関連し、アプリケーション設計者によって定義されます。

例

以下のコマンドでは、テキスト ボックス内の垂直スクロールバーが 15 の位置までスクロールされます。
 textBox.UIAVerticalScrollBar().ScrollToPosition(15)
以下のコマンドでは、テキスト ボックス内の垂直スクロールバーが一番下までスクロールされます。
 textBox.UIAVerticalScrollBar().ScrollToMaximum()
親トピック: Microsoft UI オートメーション


UI オートメーション使用時の制限事項

UI オートメーション使用時における既知の制限事項を以下に示します。

UI オートメーション サポート使用時に IME が正しく処理されない

UI オートメーション サポートを有効にすると、Silk4NET の記録/再生時に IME を伴うキーの入力が正しく処理されません。

親トピック: Microsoft UI オートメーション


UI オートメーション サポートを使ったテスト時のトラブルシューティング

Microsoft Windows 7 で記録した UI オートメーション コントロールを含むスクリプトを Microsoft Windows 8 以降で再生できない理由

Microsoft Windows 7 以前で UI オートメーション コントロールを含んだスクリプトを記録すると、Microsoft Windows 8 以降での再生に失敗する場合があります。これは、Microsoft がオートメーションの仕組みを変更し、UI オートメーションの動作が Windows のバージョン間で異なることが原因です。

たとえば、アプリケーションのある UI オートメーション コントロールでは、Microsoft Windows 7 では automationId 属性に値が設定されていますが、Microsoft Windows 10 では値が設定されていません。

このような場合、Microsoft Windows の新しいバージョンでスクリプトを記録しなおすことを Micro Focus では推奨しています。

Microsoft Office アプリケーションの最初の操作が再生されない理由

Microsoft Office アプリケーションの記録時に、Silk4NET で記録中の操作が正しくアプリケーションで再生されるためには、アプリケーション ウィンドウがアクティブである必要があります。たとえば、Microsoft Excel の記録時に、他のアプリケーションにフォーカスを移した後で、Excel のセルに対するクリックを Silk4NET で記録すると、Excel 上ではセルのクリックが再生されません。このような状況になった場合は、記録した操作を繰り返した後で、余計な操作をテストから削除する必要があります。

この問題を回避するには、操作を記録する前に Microsoft Office アプリケーションのタイトル バーを左クリックして、アプリケーションをアクティブにします。タイトル バーのクリックは Silk4NET は記録しないため、そのまま記録を続けられます。

親トピック: Microsoft UI オートメーション


テキスト解決のサポート

テキスト解決メソッドを使用して、オブジェクト解決で識別できない、高度にカスタマイズされたコントロールを含むテスト アプリケーションを便利に操作できます。座標ベースのクリックの代わりにテキスト クリックを使用し、コントロール内に指定されたテキスト文字列をクリックできます。

たとえば、次の表の 2 行目の最初のセルを選択することをシミュレートできます。

セルのテキストを指定すると、次のコードが生成されます：
'VB code
table.TextClick("Brian Miller")
// C# code
table.TextClick("Brian Miller");
テキスト解決メソッドは、次のテクノロジ ドメインでサポートされます。
  • Win32
  • WPF
  • Windows Forms
  • Java SWT と Eclipse
  • Java AWT/Swing
    注: Java アプレット、および Java バージョンが 1.6.10 より前の Swing アプリケーションの場合、テキスト解決は追加設定なしでサポートされます。Direct3D をサポートしない Java バージョン 1.6.10 以降の Swing アプリケーションの場合は、アプリケーションの起動時に次のコマンドライン要素を追加する必要があります。
    -Dsun.java2d.d3d=false
    例：
    javaw.exe -Dsun.java2d.d3d=false -jar mySwingApplication.jar
    Direct3D をサポートする Java アプレットや Swing アプリケーションでは、テキスト解決はサポートされません。
  • Internet Explorer
  • WebDriver ベースのブラウザー
注: テキスト解決は、画面に表示されていないコントロールに対しては機能しません。たとえば、スクロールして画面外にあるテキストに対しては、テキスト解決を使用できません。
注: 対象のテキストで使用されたフォントがテストが実行されるマシン上にインストールされていない場合、テキスト解決が機能しない場合があります。

WebDriver ベースのブラウザー

テキスト解決メソッドは、BrowserWindow オブジェクトと DomElement オブジェクトに対して実行できます。

注: <canvas> 要素に描画されたテキストに対しては、テキスト解決は機能しません。
注: ::before や ::after などの CSS 擬似要素によって追加されたコンテンツに対しては、テキスト解決は機能しません。

テキスト解決メソッド

Silk4NET では、AUT がスクリーン上に描画するテキストを処理してテストを実行できるように、次のメソッドを提供しています。
TextCapture
コントロール内のテキストを返します。子コントロールのテキストも返します。
TextClick
コントロール内の指定テキストをクリックします。テキストが検出されるか、同期オプションで定義できるオブジェクト解決タイムアウトに達するまで待機します。
TextRectangle
コントロール内の特定テキストの矩形、またはコントロールの領域を返します。
TextExists
コントロール内またはコントロールの領域内に特定テキストが存在するかどうかを判断します。

テキスト解決メソッドでは、部分的に一致する単語よりも完全に一致する単語が優先されます。Silk4NET では、完全に一致する単語の前に部分的に一致する単語が画面に表示されていても、部分的に一致する単語よりも完全に一致した単語の出現が先に解決されます。完全に一致する単語がない場合は、部分的に一致する単語が画面に表示される順序で使用されます。

TextClick、TextRectangle、TextExists メソッドは、その内部で TextCapture を使用してアプリケーションから表示されたテキストを取得し、テキストを処理します。TextCapture メソッドは、2 種類の方法で実装されています。Silk4NET は、テスト対象アプリケーションの種類に応じて実装を使い分けます。
  • ネイティブ Windows アプリケーション（WPF、WinForms、Java アプリケーション）、および Internet Explorer の場合は、Silk4NET は Windows API のテキスト描画関数をフックして、アプリケーションが画面に描画するテキストを取得します。
  • Google Chrome、Mozilla Firefox、Microsoft Edge、Apple Safari の場合は、Silk4NET は JavaScript ベースの方法を使って、ブラウザーが描画したテキストを取得します。
注: これら 2 種類の実装方法の違いにより、同じ Web アプリケーションでも、使用するブラウザーに応じて異なるテキストを Silk4NET が返す場合があります。

例

ユーザー インターフェイスには、テキスト「the hostname is the name of the host」が表示されているとします。次のコードでは、画面上では host の前に hostname が表示されていますが、hostname ではなく host がクリックされます。
'VB code
control.TextClick("host")
// C# code
control.TextClick("host");
次のコードでは、2 番目の出現箇所であることを指定することで、単語 hostname 中の部分文字列 host がクリックされます。
'VB code
control.TextClick("host", 2)
// C# code
control.TextClick("host", 2);
親トピック: テストの拡張
関連概念
イメージ解決のサポート


スクリプトへの結果コメントの挿入

テストに関する補足情報を提供するために、結果コメントをテスト スクリプトに追加することができます。テストの実行中、結果コメントはテストの TrueLog ファイルに追加されます。

情報、警告、エラーの種類のコメントを追加できます。各コメントの種類のサンプルとして、以下にコード例を示します。
'VB .NET code
Agent.LogInfo("This is a comment!")
Agent.LogWarning("This is a warning!")
Agent.LogError("This is an error!")
// C# code
Agent.LogInfo("This is a comment!");
Agent.LogWarning("This is a warning!");
Agent.LogError("This is an error!");
親トピック: テストの拡張
関連タスク
TrueLog の有効化


実行時間の計測

Timer クラスが提供するメソッドやプロパティを使用して、テストの実行にかかる時間を計測できます。詳細については、「Timer クラス」を参照してください。

特に、 これらのメソッドとプロパティは、Silk Performer から呼び出されるテスト実行の計測に使用できるという利点があります。Silk4NET と Silk Performer の統合についての詳細は、『Silk Performer ヘルプ』を参照してください。

親トピック: テストの拡張
関連資料
Timer クラス


テスト実行の遅延

テスト対象アプリケーションによっては、UI でのアプリケーション データの読み込みに多くの時間を必要とするため、テストの再生に必要なオブジェクトのロードが時間内に終わらない場合があります。このような AUT でテストの再生を正しく行うには、操作を実行する前にオブジェクトの存在を確認したり、操作の実行前にスリープを挿入する必要があります。

注: Micro Focus では、テストにスリープを追加することは基本的には推奨していません。 たいていの場合、オブジェクトが利用可能かどうかを Silk4NET が自動的に検出するので、スリープはテストのパフォーマンスを落とす結果になるためです。
  1. オブジェクトが AUT で利用可能かどうかを確認するには、Exists メソッドを使用します。 たとえば、INPUT ボタンが利用可能になるまで 6 秒間待機する場合は、テスト スクリプトに次の行を追加します。
    'VB .NET code
browserWindow.Exists("//INPUT", 6000)
    // C# code
browserWindow.Exists("//INPUT", 6000)
  2. コントロールの操作を実行する前にスリープを追加するには、 メソッドを使用します。 たとえば、6 秒間スリープする場合は、テスト スクリプトに次の行を追加します。
    'VB .NET code
System.Threading.Thread.Sleep(6000)
    // C# code
browserWindow.Exists("//INPUT", 6000)
親トピック: テストの拡張
関連概念
xBrowser のページ同期


単一マシンでの複数 UI セッションのアプリケーションのテスト

単一マシンで複数の UI セッションを持つアプリケーションや、単一マシンで複数のエージェントをテストするには、そのマシンで複数の Open Agent インスタンスに接続します。すべてのエージェントがそれ自身の UI セッションで実行します。UI セッションは、リモート デスクトップ プロトコル (RDP) や Citrix ベースの接続です。

  1. UI セッションを作成します。
  2. コマンドライン ウィンドウを開きます。
  3. Silk Test インストール ディレクトリの /ng/agent フォルダに移動します。 たとえば、デフォルトでは、フォルダのパスは次のようになります：C:\Program Files (x86)\Silk\SilkTest\ng\agent。
  4. 各 UI セッションで、次のコマンドを実行します： openAgent.exe -infoServicePort=<port> -infoServiceSecurePort=<securePort>。
    注: これらのポート番号は、Silk4NET スクリプトで Open Agent とエージェントが実行している UI セッションを識別するために使用されるため、一意のポート番号を使用してください。infoServicePort オプションで設定したポートは、Open Agent と Information Service 間における暗号化されない HTTP 通信を行うために使用されます。 infoServiceSecurePort オプションで設定したポートは、暗号化された HTTPS 通信を行うために使用されます。
  5. Silk4NET スクリプトを変更して、Open Agent インスタンスに接続します。 Open Agent インスタンスに接続するために、スクリプトに次の行を追加します。
    // VB .NET code
Private agent As RemoteAgent = Agent.Connect("hostname:port")
    // C# code
private RemoteAgent agent = Agent.Connect("hostname:port");
    ここで、hostname はエージェントを実行しているマシンの名前で、port は指定した一意のポート番号で、HTTP ポートまたは HTTPS ポートのいずれかになります。
結果のオブジェクトは互いに独立しており、単一スレッド、複数スレッドのどちらででも使用することができます。
注: 複数の UI セッションでアプリケーションを起動する場合には、それぞれの UI セッションに対して基本状態を実行する必要があります。
次のクラスには、複数のエージェントまたは複数のセッションでのテストを行うためのメソッドのオーバーロードがあります。
  • Agent
  • BaseState
  • BrowserBaseState
  • Clipboard
  • ConsoleWindow
  • Desktop
  • DllCall
注: リモート マシン上の複数の UI セッションでアプリケーションをテストするときに TrueLog を使用するには、生成された TrueLog ファイルをリモート マシンからローカル マシンに手動でコピーする必要があります。

例

複数の UI セッションをホストしているサーバー マシンの名前を ui-srv とします。ポート番号 22903/48563、22904/48564、22905/48565 を使用して 3 つの UI セッションを作成します。

最初のセッションのために、コマンドライン ウィンドウを開き、agent ディレクトリに移動して、次を入力します。
openAgent.exe -infoServicePort=22903 -infoServiceSecurePort=48563

他の 2 つのセッション対して、ポート番号 22904/48564 および 22905/48565 をそれぞれ使用して同じことを行います。

Open Agent インスタンスに接続するために、スクリプトに次の行を追加します。
// VB .NET code
Private agent1 As RemoteAgent = Agent.Connect("ui-srv:22903") ' or 48563 for secure HTTPS communication
Private agent2 As RemoteAgent = Agent.Connect("ui-srv:22904") ' or 48564 for secure HTTPS communication
Private agent3 As RemoteAgent = Agent.Connect("ui-srv:22905") ' or 48565 for secure HTTPS communication
// C# code
private RemoteAgent agent1 = Agent.Connect("ui-srv:22903"); // or 48563 for secure HTTPS communication
private RemoteAgent agent2 = Agent.Connect("ui-srv:22904"); // or 48564 for secure HTTPS communication
private RemoteAgent agent3 = Agent.Connect("ui-srv:22905"); // or 48565 for secure HTTPS communication
次のサンプル スクリプトでは、3 つの UI セッションそれぞれに対して単純なテキストを出力します。
// VB .NET code
<SilkTestClass()> Public Class TestMultiSession

  Private agent1 As RemoteAgent = Agent.Connect("ui-srv:22903")
  Private agent2 As RemoteAgent = Agent.Connect("ui-srv:22904")
  Private agent3 As RemoteAgent = Agent.Connect("ui-srv:22905")

  <TestMethod()> Public Sub Test()
    Dim d1 As Desktop = agent1.Desktop
    Dim d2 As Desktop = agent2.Desktop
    Dim d3 As Desktop = agent3.Desktop

    Dim baseState = New BaseState()
    agent1.ExecuteBaseState(baseState)
    agent2.ExecuteBaseState(baseState)
    agent3.ExecuteBaseState(baseState)

    d1.Window("@caption='My Application'").TypeKeys("Hello to session 1!")
    d2.Window("@caption='My Application'").TypeKeys("Hello to session 2!")
    d3.Window("@caption='My Application'").TypeKeys("Hello to session 3!")
  End Sub
End Class
// C# code
[SilkTestClass]
  public class TestMultiSession {

    private RemoteAgent agent1 = Agent.Connect("ui-srv:22903");
    private RemoteAgent agent2 = Agent.Connect("ui-srv:22904");
    private RemoteAgent agent3 = Agent.Connect("ui-srv:22905");

    [TestMethod]
    public void Test() {
      Desktop d1 = agent1.Desktop;
      Desktop d2 = agent2.Desktop;
      Desktop d3 = agent3.Desktop;

      BaseState basestate = new BaseState();
      agent1.ExecuteBaseState(basestate);
      agent2.ExecuteBaseState(basestate);
      agent3.ExecuteBaseState(basestate);

      d1.Window("@caption='My Application'").TypeKeys("Hello to session 1!");
      d2.Window("@caption='My Application'").TypeKeys("Hello to session 2!");
      d3.Window("@caption='My Application'").TypeKeys("Hello to session 3!");
    }
  }
親トピック: テストの拡張


パスワードの暗号化

セキュリティ上の問題を避けるために、テキスト形式のパスワード系文字列を暗号化します。
  1. メニューから、Silk4NET > パスワード エンコーダー を選択します。 パスワード エンコーダー ダイアログが表示されます。
  2. パスワード フィールドに、暗号化する文字列を入力します。 暗号化したパスワードは、エンコード済み文字列 フィールドに表示されます。
  3. クリップボードにコピーして閉じる をクリックして、暗号化したパスワードをクリップボードにコピーして、パスワード エンコーダー ダイアログを閉じます。
  4. テスト スクリプトの該当するコード行を変更します。
注: Desktop Encrypt メソッドを使って、コードで文字列を暗号化することもできます。暗号化した文字列は、Decrypt メソッドを使って復号できます。
注: Silk Test はデフォルトのアルゴリズムを使って暗号化します。使用するアルゴリズムは、%APPDATA%\Silk\Silk Test\conf にある encryption.properties.sample ファイルで algorithm と key をカスタマイズすることにより変更できます。カスタマイズ方法については、プロパティ ファイルのコメントを参照してください。カスタマイズしたアルゴリズムを有効にするには、Silk Test を終了し、トレイ アイコンのメニューから Open Agent をシャットダウンします。 そして、プロパティ ファイルの名前を encryption.properties.sample から encryption.properties に変更してから Silk Test を再起動します。
親トピック: テストの拡張


キーワード駆動テストのパフォーマンス テストとしての使用

Silk4NET を使用した機能テストや回帰テストの実行に加えて、キーワード駆動テストを Silk Performer にエクスポートして、パフォーマンス テストや負荷テストに使用できます。

キーワード駆動テストを Silk Performer にエクスポートする前に、Silk Performer 18.0 以降がインストールされていることを確認してください。キーワード駆動テストを含んだ Silk4NET プロジェクトを選択し、Silk4NET メニューの パフォーマンス テストとしてエクスポート をクリックします。

Silk4NET プロジェクトを Silk Performer にエクスポートした後で、Silk Performer の対応するプロジェクトを更新する場合は、次の手順を実行します。
  1. Silk Performer を起動します。
  2. 更新するプロジェクトを開きます。
  3. Silk4NET プロジェクトを開きます。
  4. パフォーマンス テストとしてエクスポート をクリックします。
  5. 現在の Silk Performer プロジェクトを更新することを確認します。

Silk Performer プロジェクトの データ ファイル ノードで、ライブラリへの参照が更新されます。

その他の情報については、Silk Performer のドキュメントを参照してください。


スクリプトのデバッグ

再生中の実行時エラーは、さまざまな要因により発生します。これらの要因には、テスト アプリケーションの変更、テスト スクリプトのコーディングの誤り、または環境の変更などがあります。スクリプトのデバッグによってこれらのエラーを迅速に診断、修正することで、スクリプトのメンテナンスの労力を最小限に抑え、より効率的なチームによるテスト作業を推進することができます。

スクリプトのデバッグを使用すると、開発環境でのスクリプトの再生を一時的に中断して、その再生の管理、検証、リセット、段階的実行、継続を行えます。

  • スクリプトの信頼性
    スクリプトの信頼性を高めるために使用できね機能の概要について説明します。
  • デバッグ モードでのスクリプトの段階的実行
    デバッグ モードでスクリプトを一度に 1 行ずつ再生するためのオプションを示します。
  • 選択したポイントからのスクリプト再生の段階的実行
    デバッグ中に、ブレークポイントによって再生が一時停止された場所から、スクリプトを実行できます。
  • スクリプト デバッグ中の行の実行の制御
    スクリプトのデバッグ中にフローを制御して、エラーを認識しやすくし、エラーの診断と修正に要する時間を短縮することができます。
  • 選択したポイントでのスクリプト再生の停止
    デバッグしやすいように再生を管理し、スクリプトが失敗する箇所を切り分けるのに役立ちます。
  • スクリプトの印刷
    確認やトラブルシューティングに役立てるために、コード ウィンドウに表示されているコードを印刷できます。


スクリプトの信頼性

アプリケーションのテストは、テスト対象アプリケーション内のエラーを明らかにします。ソフトウェア アプリケーションのテスト時に、これらのエラーが原因でスクリプトの実行を完了できない場合があります。

テストを成功させるには、スクリプトの再生を確実に完了させる必要があります。同期化の問題、あるいは予期されるまたは予期されないアプリケーション エラーによって、再生が完了する前にスクリプトが失敗することがあります。Silk4NET に組み込まれているオプション設定とスクリプト作成機能により、同期化とアプリケーションの問題を調整して、任意のテスト環境でスクリプトを確実に再生できるようになります。

スクリプトを再生しているときに、アプリケーションの応答時間の遅延に起因するエラーが発生すると、アプリケーションとそのアプリケーションをテストするスクリプトとの同期が取れなくなります。これらのエラーは、Silk4NET のオプション設定を調整してスクリプトとテスト対象アプリケーション間の同期を最適化することで処理できます。

親トピック: スクリプトのデバッグ


デバッグ モードでのスクリプトの段階的実行

デバッグ モードでは、スクリプトを一度に 1 行ずつ再生できます。ステッピングと呼ばれるこの方法により、テスト担当者は再生中にコードを段階的にトレースして、ステートメントの実行順序を確認できるため、デバッグに役立ちます。

ステッピングにより、デバッグ モードでスクリプトを段階的に実行し、その実行を詳細に検証することができます。

デバッグ モードでは、以下のコマンドを使用して再生の実行を制御します。
ステップ イン (F11)
一度に 1 ステートメントずつスクリプトを実行します。ステップ イン はコードの各行のトレースに有効であり、関数または埋め込まれているスクリプトにもステップ インします。各関数または埋め込みスクリプトも、一度に 1 行ずつ実行されます。

ステップ イン はテストの詳細分析に有効であり、変数の使用やターゲット アプリケーションとの対話に対する各ステートメントの影響を確認することができます。

注: VB .NET スクリプトのデバッグ中に反復子（Iterator）にステップ インすることはできません。反復子は実行されますが、デバッガは実行時に反復子が処理されていることを表示しません。反復子の内側にブレイクポイントを設定すると、実行はブレイクポイントで停止しますが、反復子内のパラメータやローカル変数は、ローカル変数 ウィンドウに表示されません。詳細については、「反復子」を参照してください。
ステップ オーバー (F10)
各プロシージャを 1 つのステートメントとして実行します。関数を構成する各行を実行せずに、関数に直接移動する場合には、[ステップ イン] ではなくこのコマンドを使用します。
ステップ アウト (Shift + F11)
プロシージャ内の残りすべてのコードを 1 つのステートメントのように実行し、そのプロシージャを最初に呼び出したプロシージャ内の次のステートメントに移ります。
実行ポインタ/次のステートメントの設定
現在ポインタがある場所のステートメントから、途中のステートメントを実行せずに実行を続けます。 ポインタをステートメントにドラッグし、F5 をクリックして実行します。

ステッピング コマンドには、デバッグ メニューからアクセスします。

親トピック: スクリプトのデバッグ


選択したポイントからのスクリプト再生の段階的実行

デバッグ中に、ブレークポイントによって再生が一時停止された場所から、スクリプトを実行できます。

  1. スクリプトの特定の行にブレークポイントを設定します。
  2. F5 を押して、スクリプトを再生します。 再生は、ブレークポイントまで実行されると停止し、デバッグ モードになります。
  3. F5 を押して、スクリプトを次のブレークポイントまで再生します。 コードが正常に実行されたら、再生は再びデバッグ モードになり、次に再生されるコードが黄色で強調表示されます。コードが正常に再生されなかった場合は、再生エラー ダイアログ ボックスが開きます。
  4. F5 を押して、スクリプト内の残りのコードの再生を段階的に実行します。 再生は、設定されたブレークポイントまで実行されます。スクリプトがデバッグ モードで表示され、再生を段階的に実行したり、ステップの再生を制御したり、再生をスクリプト内の特定のポイントで開始または停止したりできるようになります。
親トピック: スクリプトのデバッグ


スクリプト デバッグ中の行の実行の制御

スクリプトのデバッグ中にフローを制御して、エラーを認識しやすくし、エラーの診断と修正に要する時間を短縮することができます。

ステップ オーバー コマンドは、スクリプト内の選択した行に実行ポイントを設定します。この機能は、デバッグ中のブレークポイントでのみ使用可能です。

現在のプロシージャ内でステートメントを再実行する場合や、スクリプト内で再生したくないステートメントをスキップする場合は、ステップ オーバー コマンドを使用します。この機能を使用すると、スクリプトのデバッグ中にフローを制御してエラーを認識しやすくできるため、エラーの診断と修正に要する時間を短縮することができます。

  1. デバッグ中、または再生中のブレークポイントで、以下のいずれかのステップを実行します。
    • 黄色い矢印をクリックして次に再生するコード行へドラッグします。
    • 次に再生する行をクリックしてカーソルを配置してから、デバッグ > ステップ オーバー を選択します。
  2. F5 を押して選択した行から再生を再開します。 選択したステップが実行されると、再生が停止し、Silk4NET がデバッグ モードに戻ります。実行ポイントは次の行に移動します。
親トピック: スクリプトのデバッグ


選択したポイントでのスクリプト再生の停止

スクリプトの再生中に特定のポイントで停止して、デバッグ モードに入るようにスクリプトを構成できます。再生中にスクリプトが停止するように設定するポイントのことを、ブレークポイントと呼びます。ブレークポイントにより、デバッグしやすいように再生を管理でき、スクリプトが失敗する箇所を切り分けるのに役立ちます。ブレークポイントを使用すると、スクリプトにエラーがない場合でも、スクリプトがどのように再生されるかを分析できます。ブレークポイントを設定すると、再生はブレークポイントで停止し、デバッグ モードに入ります。

ブレークポイントの設定により、確認したい特定のポイントまでスクリプトを再生できるようになります。ブレークポイントは、再生を停止したい特定の行に設定します。再生は最初のブレークポイントまで実行され、スクリプトに続行を指示するまで中断されます。

  1. ブレークポイントを設定するスクリプトを開きます。
  2. 再生を停止する行をクリックします。
  3. デバッグ > ブレークポイントの設定/解除. 行の横の列に、ブレークポイント アイコンが表示されます。再生は、設定されたブレークポイントまで実行されます。再生がブレークポイントで停止すると、スクリプトのブレークポイント行が黄色で強調表示され、その行を指す黄色の矢印が表示されます。
デバッグでは、再生中に行の実行を制御できます。また、特定の行まで再生を実行したり、特定の行から再生を開始したりするように、スクリプトを構成することもできます。
ヒント: ブレークポイントが設定された行を選択し、F9 を押すと、選択した行からブレークポイントが削除されます。Ctrl+Shift+F9 を押すと、スクリプトからすべてのブレークポイントが削除されます。
親トピック: スクリプトのデバッグ


スクリプトの印刷

確認やトラブルシューティングに役立てるために、コード ウィンドウに表示されているコードを印刷できます。

  1. 印刷するスクリプトを開きます。
  2. ファイル > 印刷 を選択します。 印刷 ダイアログ ボックスが開きます。
  3. リストからプリンターを選択するか、プリンター検索 をクリックして他のプリンターを検索します。
  4. 省略可能： ファイルへ出力 チェック ボックスをオンにすると、PDF などのファイルへ出力されます。
  5. 省略可能： 詳細設定 をクリックすると、余白や印刷の向きなどの印刷ページ設定を変更できます。
  6. 省略可能： 印刷範囲 セクションで、ドキュメント全体を印刷するか、または選択したページのみを印刷するかを指定します。
    以下のいずれかのオプションをクリックします。
    • すべて：ドキュメント全体を印刷します。
    • 選択した部分：選択したコードを印刷します。
    • ページ指定：指定したページを印刷します。
    • 現在のページ：現在のページを印刷します。
  7. 省略可能：部数 フィールドで、印刷する部数を指定します。
  8. 省略可能：部単位で印刷する チェック ボックスをオンにすると、すべてのコピーの対応するページをまとめて印刷します。 このチェック ボックスは、複数の部数を印刷するように選択した場合にのみ有効になります。
  9. 印刷 をクリックします。
親トピック: スクリプトのデバッグ


特定の環境のテスト

Silk4NET では、複数の種類の環境でのテストがサポートされています。

  • Apache Flex のサポート
    Apache Flex アプリケーションに対して利用可能なコントロールの概要について説明します。
  • Java AWT/Swing のサポート
    Java AWT/Swing ツールキットを使用するアプリケーションまたはアプレットで使用可能なサンプル アプリケーションおよびコントロールの概要について説明します。
  • Java SWT と Eclipse RCP のサポート
    Java SWT アプリケーションに対して利用可能なコントロールの概要について説明します。
  • モバイル アプリケーションのテスト
    モバイル デバイスまたは Android エミュレータ上のモバイル アプリケーションのテスト方法について説明します。
  • .NET のサポート
    Silk Test でサポートされている .NET アプリケーションのタイプを示します。
  • Rumba のサポート
    Silk4NET で Rumba アプリケーションがどのようにサポートされるかについて説明します。
  • SAP のサポート
    SAP アプリケーションに対して利用可能なコントロールの概要について説明します。
  • ユニバーサル Windows プラットフォームのサポート
    ユニバーサル Windows プラットフォーム API を使った Microsoft Windows 10 アプリのテストのサポートについて説明します。
  • Windows API ベースのアプリケーションのサポート
    Windows API ベース アプリケーションに対して利用可能なコントロールの概要について説明します。
  • クロス ブラウザ テスト
    クロス ブラウザ テストで利用可能なサンプル アプリケーションとコントロールの概要について説明します。
  • Microsoft Windows 8 および Microsoft Windows 8.1 上のテストの制限事項
    Microsoft Windows 8 および Microsoft Windows 8.1 上でテストする際の既知の制限事項を一覧します。
  • サポートする属性の種類
    動的オブジェクト解決がサポートする属性の一覧を提供します。


Apache Flex のサポート

Silk4NET は、Internet Explorer やスタンドアロンの Flash Player を使用した Apache Flex アプリケーション、および Apache Flex 4 以降でビルドした Adobe AIR アプリケーションのテストを組み込みでサポートしています。

Silk4NET では、Apache Flex 3.x および 4.x アプリケーションにおいて複数のアプリケーション ドメインもサポートされているため、サブアプリケーションをテストできます。Silk4NET では、ロケーター階層ツリーの各サブアプリケーションが、関連するアプリケーション ドメイン コンテキストを持つアプリケーション ツリーとして認識されます。Apache Flex 4.x サブアプリケーションでは、ロケーター属性テーブルのルート レベルで SparkApplication クラスが使用されます。Apache Flex 3.x サブアプリケーションでは、FlexApplication クラスが使用されます。

サポートするコントロール

Apache Flex のテストで記録および再生できるコントロールの完全なリストについては、「Flex クラス リファレンス」を参照してください。

注: Silk Test Flex オートメーション SDK は、Apache Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Apache Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、Flex オートメーション API の typekey ステートメントでは、すべてのキーはサポートされません。テキスト入力ステートメントを使用してこの問題を解決できます。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
  • Adobe Flash Player で実行するための Flex アプリケーションの構成
    Flex アプリケーションをブラウザ ウィンドウではなく Flash Player で開きます。
  • Component Explorer の起動
    Component Explorer サンプル アプリケーションを起動します。
  • Apache Flex アプリケーションのテスト
    Apache Flex アプリケーションをテストするために実行する必要があるステップを示します。
  • Apache Flex カスタム コントロールのテスト
    カスタム コントロールのテストに使用できる基本サポートおよび高度なサポートについて説明します。
  • Apache Flex スクリプトのカスタマイズ
    手動で Flex スクリプトをカスタマイズします。たとえば、スクリプトに検証呼び出しを追加できます。
  • 同一 Web ページ上の複数の Flex アプリケーションのテスト
    単一の Web ページで複数の Flex アプリケーションが同じサイズである場合は、このタスクを使用して、Silk4NET によってアプリケーションが正しく識別されるようにします。
  • Adobe AIR のサポート
    Silk4NET における Adobe AIR のサポートの概要について説明します。
  • 名前またはインデックスを使用する Flex の Select メソッドの概要
    Flex の Select メソッドの概要について説明します。
  • FlexDataGrid コントロールでの項目の選択
    FlexDataGrid コントロールの項目は、インデックス値または内容値を使用して選択します。
  • Flex アプリケーションのテストの有効化
    テストを有効にするために Apache Flex 開発者が Flex アプリケーションに組み込む必要があるコンポーネントについて説明します。
  • Apache Flex アプリケーションのスタイル
    Apache Flex 4.x の Spark という接頭辞が付いているすべての新しい Flex コントロール（SparkButton など）では、スタイルがプロパティとして公開されません。
  • Adobe Flash Player のセキュリティ制約に対応するための Flex アプリケーションの構成
    Adobe Flash Player を使用するテストを再生する場合、特定の状況で高レベルのクリックが使用されると、予期しない結果が発生します。
  • Apache Flex アプリケーションの属性
    Apache Flex アプリケーションがサポートする属性の一覧を提供します。
  • Silk4NET が Apache Flex コントロールを認識できない理由
    Silk4NET が Apache Flex アプリケーションのコントロールを認識できないときにできることについて説明します。
親トピック: 特定の環境のテスト
関連資料
Flex クラス リファレンス


Adobe Flash Player で実行するための Flex アプリケーションの構成

Apache Flex アプリケーションを Flash Player で実行するには、以下のいずれか、または両方の条件が満たされている必要があります。
  • Flex アプリケーションを作成する開発者は、アプリケーションを EXE ファイルとしてコンパイルする必要があります。アプリケーションは、ユーザーが起動すると、Flash Player で開きます。Windows Flash Player は、http://www.adobe.com/support/flashplayer/downloads.html からインストールします。
  • ユーザーが、Windows Flash Player Projector をインストールしている必要があります。ユーザーは、Flex の .SWF ファイルを開いた場合に Flash Player で開くように構成できます。Apache Flex 開発者スイートをインストールしないと、Flash Player をインストールしても Windows Flash Projector はインストールされません。Windows Flash Projector は、http://www.adobe.com/support/flashplayer/downloads.html からインストールします。
  1. Microsoft Windows 7 および Microsoft Windows Server 2008 R2 では、管理者として実行されるように Flash Player を構成します。以下の手順を実行します。
    1. Adobe Flash Player プログラム ショートカットまたは FlashPlayer.exe ファイルを右クリックして、プロパティ をクリックします。
    2. プロパティ ダイアログ ボックスで、互換性 タブをクリックします。
    3. 管理者としてこのプログラムを実行する チェック ボックスをオンにして、OK をクリックします。
  2. コマンド プロンプト (cmd.exe) で以下のコマンドを入力して、Flash Player で .SWF ファイルを起動します。 "<Application_Install_Directory>\ApplicationName.swf" デフォルトで、<SilkTest_Install_Directory> は Program Files\Silk\Silk Test にあります。
親トピック: Apache Flex のサポート
関連タスク
Adobe Flash Player のセキュリティ制約に対応するための Flex アプリケーションの構成
Component Explorer の起動


Component Explorer の起動

Silk Test には、Component Explorer というサンプルの Apache Flex アプリケーションが含まれています。 Component Explorer は、Adobe オートメーション SDK および Silk Test 固有のオートメーション実装を使用してコンパイルされており、テスト用に事前に構成されています。

Internet Explorer で、http://demo.borland.com/flex/SilkTest20.0/index.html を開きます。 デフォルト ブラウザでアプリケーションが起動します。
親トピック: Apache Flex のサポート
関連タスク
Adobe Flash Player で実行するための Flex アプリケーションの構成


Apache Flex アプリケーションのテスト

Silk Test は、Apache Flex アプリケーションのテストを組み込みでサポートしています。Silk Test では、いくつかのサンプル Apache Flex アプリケーションを提供しています。サンプル アプリケーションには、http://demo.borland.com/flex/SilkTest20.0/index.html からアクセスできます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

独自の Apache Flex アプリケーションをテストする前に、Apache Flex 開発者は以下のステップを実行する必要があります。

  • Apache Flex アプリケーションのテストの有効化
  • テスト可能な Apache Flex アプリケーションの作成
  • Apache Flex コンテナのコーディング
  • カスタム コントロールのオートメーション サポートの実装

独自の Apache Flex アプリケーションをテストするには、以下のステップを実行します。

  • ローカルの Flash Player のセキュリティ設定の構成
  • テストの記録
  • テストの再生
  • Apache Flex スクリプトのカスタマイズ
  • カスタム Apache Flex コントロールのテスト
注: Apache Flex アプリケーションを読み込み、Flex オートメーション フレームワークを初期化するとき、テストを実行するマシンおよび Apache Flex アプリケーションの複雑度に応じて、多少の時間がかかる場合があります。アプリケーションが完全に読み込まれるように、ウィンドウのタイムアウト値を高い値に設定します。
親トピック: Apache Flex のサポート
関連概念
テスト可能な Flex アプリケーションの作成
Flex コンテナのコーディング
関連タスク
Apache Flex スクリプトのカスタマイズ
オートメーション サポートを使用したカスタム コントロールのテスト


Flex メソッドの動的呼び出し

動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティを取得/設定することができます。この機能は、カスタム コントロールを使用したり、カスタマイズせずに Silk4NET がサポートするコントロールを使用する場合に有効です。

注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk4NET がサポートするコントロールのメソッドとプロパティー。
  • Flex API で定義されているすべてのパブリック メソッド
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk4NET 型

    Silk4NET 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point など) が含まれます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
親トピック: Apache Flex カスタム コントロールのテスト
関連概念
動的呼び出し
カスタム コントロール
動的呼び出しに関するよくある質問
関連タスク
動的呼び出しを使用した Flex カスタム コントロールのテスト


テスト アプリケーションでのカスタム コントロールの定義

通常、テスト アプリケーションには、アプリケーションの開発中に追加されたカスタム コントロールがすでに含まれています。テスト アプリケーションにすでにカスタム コントロールが含まれている場合は、「動的呼び出しを使用して Flex カスタム コントロールをテストする」または「オートメーション サポートを使用してカスタム コントロールをテストする」に進んでください。

この手順では、Flex アプリケーション開発者が Flex で Spinner カスタム コントロールを作成する方法を示します。このトピックで作成する Spinner カスタム コントロールは、カスタム コントロールの実装およびテストのプロセスを説明するために、いくつかのトピックで使用されています。

Spinner カスタム コントロールは、以下のグラフィックに示すように、2 つのボタンと 1 つのテキスト フィールドを含んでいます。

Flex カスタム コントロール

ユーザーは、Down をクリックしてテキスト フィールドに表示されている値を 1 減分させ、Up をクリックしてテキスト フィールドの値を 1 増分させることができます。

カスタム コントロールには、設定および取得が可能なパブリックの Value プロパティが用意されています。

  1. テスト アプリケーションで、コントロールのレイアウトを定義します。 たとえば、Spinner コントロール タイプでは、以下のように記述します。
    <customcontrols:SpinnerClass xmlns:mx="http://www.adobe.com/2006/mxml" xmlns:controls="mx.controls.*" xmlns:customcontrols="customcontrols.*">
    <controls:Button id="downButton" label="Down" />
    <controls:TextInput id="text" enabled="false" />
    <controls:Button id="upButton" label="Up"/>
</customcontrols:SpinnerClass>
  2. カスタム コントロールの実装を定義します。 たとえば、Spinner コントロール タイプでは、以下のように記述します。
    package customcontrols
{
    import flash.events.MouseEvent;

    import mx.containers.HBox;
    import mx.controls.Button;
    import mx.controls.TextInput;
    import mx.core.UIComponent;
    import mx.events.FlexEvent;

    [Event(name="increment", 	type="customcontrols.SpinnerEvent")]
    [Event(name="decrement", 	type="customcontrols.SpinnerEvent")]

    public class SpinnerClass extends HBox
    {
        public var downButton : Button;
        public var upButton : Button;
        public var text : TextInput;
        public var ssss: SpinnerAutomationDelegate;
        private var _lowerBound : int = 0;
        private var _upperBound : int = 5;

        private var _value : int = 0;
        private var _stepSize : int = 1;

        public function SpinnerClass() {
            addEventListener(FlexEvent.CREATION_COMPLETE, creationCompleteHandler);
        }

        private function creationCompleteHandler(event:FlexEvent) : void {
            downButton.addEventListener(MouseEvent.CLICK, downButtonClickHandler);
            upButton.addEventListener(MouseEvent.CLICK, upButtonClickHandler);
            updateText();
        }

        private function downButtonClickHandler(event : MouseEvent) : void {
            if(Value - stepSize >= lowerBound) {
                Value = Value - stepSize;
            }
            else {
                Value = upperBound - stepSize + Value - lowerBound + 1;
            }

            var spinnerEvent : SpinnerEvent = new SpinnerEvent(SpinnerEvent.DECREMENT);
            spinnerEvent.steps = _stepSize;
            dispatchEvent(spinnerEvent);
        }

        private function upButtonClickHandler(event : MouseEvent) : void {
            if(cValue <= upperBound - stepSize) {
                Value = Value + stepSize;
            }
            else {
                Value = lowerBound + Value + stepSize - upperBound - 1;
            }

            var spinnerEvent : SpinnerEvent = new SpinnerEvent(SpinnerEvent.INCREMENT);
            spinnerEvent.steps = _stepSize;
            dispatchEvent(spinnerEvent);
        }

        private function updateText() : void {
            if(text != null) {
                text.text = _value.toString();
            }
        }

        public function get Value() : int {
            return _value;
        }

        public function set Value(v : int) : void {
            _value = v;
            if(v < lowerBound) {
                _value = lowerBound;
            }
            else if(v > upperBound) {
                _value = upperBound;
            }
            updateText();

        }

        public function get stepSize() : int {
            return _stepSize;
        }

        public function set stepSize(v : int) : void {
            _stepSize = v;
        }

        public function get lowerBound() : int {
            return _lowerBound;
        }

        public function set lowerBound(v : int) : void {
            _lowerBound = v;
            if(Value < lowerBound) {
                Value = lowerBound;
            }
        }

        public function get upperBound() : int {
            return _upperBound;
        }

        public function set upperBound(v : int) : void {
            _upperBound = v;
            if(Value > upperBound) {
                Value = upperBound;
            }
        }
    }
}
  3. コントロールが使用するイベントを定義します。 たとえば、Spinner コントロール タイプでは、以下のように記述します。
    package customcontrols
{
    import flash.events.Event;

    public class SpinnerEvent extends Event
    {
        public static const INCREMENT : String = "increment";
        public static const DECREMENT : String = "decrement";

        private var _steps : int;

        public function SpinnerEvent(eventName : String) {
            super(eventName);
        }

        public function set steps(value:int) : void {
            _steps = value;
        }

        public function get steps() : int {
            return _steps;
        }

    }
}

次のステップでは、テスト アプリケーションのオートメーション サポートを実装します。

親トピック: Apache Flex カスタム コントロールのテスト
関連タスク
動的呼び出しを使用した Flex カスタム コントロールのテスト
オートメーション サポートを使用したカスタム コントロールのテスト
カスタム コントロールのオートメーション サポートの実装


動的呼び出しを使用した Flex カスタム コントロールのテスト

Silk4NET では、動的呼び出しを使用したカスタム コントロールの記録と再生のサポートが提供されており、これにより再生中にカスタム コントロールを操作できます。作業量が少なく済むこのアプローチは、テスト アプリケーションにおいて、Silk4NET が公開しないカスタム コントロールのプロパティおよびメソッドにアクセスする場合に使用します。カスタム コントロールの開発者は、コントロールのテストを容易にすることのみを目的としたメソッドおよびプロパティをカスタム コントロールに追加することもできます。

  1. コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。
  2. オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。
  3. オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。
  4. コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。
  5. 動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。

例

この例では、以下の図に示すように、2 つのボタンと 1 つのテキスト フィールドを含む Spinner カスタム コントロールをテストします。

Flex カスタム コントロール

ユーザーは、Down をクリックしてテキスト フィールドに表示されている値を 1 減分させ、Up をクリックしてテキスト フィールドの値を 1 増分させることができます。

カスタム コントロールには、設定および取得が可能なパブリックの Value プロパティが用意されています。

Spinner の値を 4 に設定するには、以下のように入力します。
Dim spinner = Desktop.Find("//FlexBox[@className=customcontrols.Spinner]")
spinner.SetProperty("Value", 4)
親トピック: Apache Flex カスタム コントロールのテスト
関連概念
Flex メソッドの動的呼び出し


オートメーション サポートを使用したカスタム コントロールのテスト

カスタム コントロールに対して、特定のオートメーション サポートを作成できます。この追加のオートメーション サポートによって、記録のサポートおよびより強力な再生のサポートが提供されます。オートメーション サポートを作成するには、テスト アプリケーションを変更し、Open Agent を拡張する必要があります。

Silk4NET でカスタム コントロールをテストする前に、以下のステップを実行します。
  • テスト アプリケーションでのカスタム コントロールの定義
  • オートメーション サポートの実装

テスト アプリケーションを変更してオートメーション サポートを組み込んだあと、以下のステップを実行します。

スクリプトの場合は、スクリプトを記録して、カスタム コントロールに合わせて手動で変更を加えます。 たとえば、以下のコードでは、オートメーションの委譲に実装されている「Increment」メソッドを使用して、Spinner の値を 3 増分する方法を示しています。
_desktop.TestObject("//FlexSpinner[@caption='index:1']").Invoke("Increment", 3)
以下の例は、Spinner の値を 3 に設定する方法を示しています。
_desktop.TestObject("//FlexSpinner[@caption='index:1']").SetProperty("Value", 3)
  • カスタム コントロールのオートメーション サポートの実装
    カスタム コントロールをテストする前に、カスタム コントロールの ActionScript でオートメーション サポート（オートメーションの委譲）を実装し、テスト アプリケーションにコンパイルします。
  • Flex クラス定義ファイル
    Flex クラス定義ファイルの内容について説明します。
親トピック: Apache Flex カスタム コントロールのテスト
関連概念
テスト可能な Flex アプリケーションの作成


カスタム コントロールのオートメーション サポートの実装

カスタム コントロールをテストする前に、カスタム コントロールの ActionScript でオートメーション サポート（オートメーションの委譲）を実装し、テスト アプリケーションにコンパイルします。

以下の手順では、Flex のカスタム Spinner コントロールを使用して、カスタム コントロールのオートメーション サポートの実装方法を示します。Spinner カスタム コントロールは、以下のグラフィックに示すように、2 つのボタンと 1 つのテキスト フィールドを含んでいます。

Flex カスタム コントロール

ユーザーは、Down をクリックしてテキスト フィールドに表示されている値を 1 減分させ、Up をクリックしてテキスト フィールドの値を 1 増分させることができます。

カスタム コントロールには、設定および取得が可能なパブリックの Value プロパティが用意されています。

  1. カスタム コントロールの ActionScript でオートメーション サポート（オートメーションの委譲）を実装します。 オートメーションの委譲の実装の詳細については、Adobe Live ドキュメント（http://livedocs.adobe.com/flex/3/html/help.html?content=functest_components2_14.html）を参照してください。 この例では、オートメーションの委譲によって、「increment」および「decrement」メソッドに対してサポートが追加されます。オートメーションの委譲のコード例は以下のとおりです。
    package customcontrols
{
    import flash.display.DisplayObject;
    import mx.automation.Automation;
    import customcontrols.SpinnerEvent;
    import mx.automation.delegates.containers.BoxAutomationImpl;
    import flash.events.Event;
    import mx.automation.IAutomationObjectHelper;
    import mx.events.FlexEvent;
    import flash.events.IEventDispatcher;
    import mx.preloaders.DownloadProgressBar;
    import flash.events.MouseEvent;
    import mx.core.EventPriority;

    [Mixin]
    public class SpinnerAutomationDelegate extends BoxAutomationImpl
    {

        public static function init(root:DisplayObject) : void {
            // register delegate for the automation
            Automation.registerDelegateClass(Spinner, SpinnerAutomationDelegate);
        }

        public function SpinnerAutomationDelegate(obj:Spinner) {
            super(obj);
            // listen to the events of interest (for recording)
            obj.addEventListener(SpinnerEvent.DECREMENT, decrementHandler);
            obj.addEventListener(SpinnerEvent.INCREMENT, incrementHandler);
        }

        protected function decrementHandler(event : SpinnerEvent) : void {
            recordAutomatableEvent(event);
        }

        protected function incrementHandler(event : SpinnerEvent) : void {
            recordAutomatableEvent(event);
        }

        protected function get spinner() : Spinner {
            return uiComponent as Spinner;
        }

        //----------------------------------
        //  override functions
        //----------------------------------

        override public function get automationValue():Array {
            return [ spinner.Value.toString() ];
        }

        private function replayClicks(button : IEventDispatcher, steps : int) : Boolean {
            var helper : IAutomationObjectHelper = Automation.automationObjectHelper;
            var result : Boolean;
            for(var i:int; i < steps; i++) {
                helper.replayClick(button);
            }
            return result;
        }

        override public function replayAutomatableEvent(event:Event):Boolean {

            if(event is SpinnerEvent) {
                var spinnerEvent : SpinnerEvent = event as SpinnerEvent;
                if(event.type == SpinnerEvent.INCREMENT) {
                    return replayClicks(spinner.upButton, spinnerEvent.steps);
                }
                else if(event.type == SpinnerEvent.DECREMENT) {
                    return replayClicks(spinner.downButton, spinnerEvent.steps);
                }
                else {
                    return false;
                }

            }
            else {
                return super.replayAutomatableEvent(event);
            }
        }

        // do not expose the child controls (i.e the buttons and the textfield) as individual controls
        override public function get numAutomationChildren():int {
            return 0;
        }

    }
}
  2. Open Agent にオートメーションの委譲を導入するために、カスタム コントロールを記述する XML ファイルを作成します。 クラス定義ファイルには、インストルメント化されたすべての Flex コンポーネントについての情報が含まれています。このファイルでは、記録中にイベントを送信でき、再生中にイベントを受け取ることができるコンポーネントについての情報が提供されます。クラス定義ファイルには、サポートされているプロパティの定義も含まれています。 Spinner カスタム コントロールの XML ファイルは以下のようになります。
    <TypeInformation>
    <ClassInfo Name="FlexSpinner" Extends="FlexBox">
        <Implementation
            Class="customcontrols.Spinner" />
        <Events>
            <Event Name="Decrement">
                <Implementation
                    Class="customcontrols.SpinnerEvent"
                    Type="decrement" />
                <Property Name="steps">
                    <PropertyType Type="integer" />
                </Property>
            </Event>
            <Event Name="Increment">
                <Implementation
                    Class="customcontrols.SpinnerEvent"
                    Type="increment" />
                <Property Name="steps">
                    <PropertyType Type="integer" />
                </Property>
            </Event>
        </Events>
        <Properties>
            <Property Name="lowerBound" accessType="read">
                <PropertyType Type="integer" />
            </Property>
            <Property Name="upperBound" accessType="read">
                <PropertyType Type="integer" />
            </Property>
            <!-- expose read and write access for the Value property -->
            <Property Name="Value" accessType="both">
                <PropertyType Type="integer" />
            </Property>
            <Property Name="stepSize" accessType="read">
                <PropertyType Type="integer" />
            </Property>
        </Properties>
    </ClassInfo>
</TypeInformation>
  3. サポートされている Flex コントロールのすべてのクラス、およびそのメソッドとプロパティを記述するすべての XML ファイルが格納されるフォルダに、カスタム コントロールの XML ファイルを配置します。 Silk Test には、サポートされている Flex コントロールのすべてのクラス、およびそのメソッドとプロパティを記述するいくつかの XML ファイルが含まれています。これらの XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。 独自の XML ファイルを提供する場合は、XML ファイルをこのフォルダにコピーする必要があります。Open Agent が起動して、Apache Flex のサポートを初期化する場合、このディレクトリの内容が読み込まれます。 Flex の Spinner サンプル コントロールをテストするには、CustomControls.xml ファイルをこのフォルダにコピーする必要があります。Open Agent が現在実行されている場合は、ファイルをフォルダにコピーしたあと、Open Agent を再起動します。
親トピック: オートメーション サポートを使用したカスタム コントロールのテスト


Flex クラス定義ファイル

クラス定義ファイルには、インストルメント化されたすべての Flex コンポーネントについての情報が含まれています。このファイルでは、記録中にイベントを送信でき、再生中にイベントを受け取ることができるコンポーネントについての情報が提供されます。クラス定義ファイルには、サポートされているプロパティの定義も含まれています。

Silk Test には、Flex の共通コントロールおよび特殊化されたコントロールのすべてのクラス、イベント、およびプロパティを記述するいくつかの XML ファイルが含まれています。これらの XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。

独自の XML ファイルを提供する場合は、XML ファイルをこのフォルダにコピーする必要があります。Silk Test のエージェントが起動して Apache Flex のサポートを初期化するとき、このディレクトリの内容が読み込まれます。

XML ファイルの基本的な構造は以下のとおりです。
<TypeInformation>

<ClassInfo>

<Implementation />

<Events>

<Event />

…

</Events>

<Properties>

<Property />

…

</Properties>

</ClassInfo>

</TypeInformation>
親トピック: オートメーション サポートを使用したカスタム コントロールのテスト
親トピック: テスト可能な Flex アプリケーションの作成


Apache Flex スクリプトのカスタマイズ

手動で Flex スクリプトをカスタマイズできます。Flex オブジェクトのプロパティに対して Verify 関数を使用して、手動で検証を挿入できます。各 Flex オブジェクトには、検証可能な一連のプロパティがあります。検証に使用できるプロパティのリストについては、「Flex クラス リファレンス」を参照してください。

  1. Flex アプリケーションのテストを記録します。
  2. カスタマイズするスクリプト ファイルを開きます。
  3. 追加するコードを手動で入力します。
親トピック: Apache Flex のサポート


同一 Web ページ上の複数の Flex アプリケーションのテスト

同じ Web ページに複数の Flex アプリケーションが存在する場合、Silk4NET は、Flex アプリケーションの ID またはアプリケーションの size プロパティを使用して、テスト対象アプリケーションを特定します。同じページに複数のアプリケーションが存在し、それらのサイズが異なる場合、Silk4NET は、size プロパティを使用して操作実行対象のアプリケーションを特定します。追加の操作は必要ありません。

以下の場合、Silk4NET は、JavaScript を使用して Flex アプリケーションの ID を検索し、操作実行対象のアプリケーションを特定します。

  • 単一の Web ページ上に複数の Flex アプリケーションが存在する場合。
  • これらのアプリケーションのサイズが同じである場合。
注: この場合、ブラウザ マシンで JavaScript が有効になっていないと、スクリプト実行時にエラーが発生します。
  1. JavaScript を有効にします。
  2. Internet Explorer で、以下の手順を実行します。
    1. ツール > インターネット オプション を選択します。
    2. セキュリティ タブをクリックします。
    3. レベルのカスタマイズ をクリックします。
    4. スクリプト作成 セクションの アクティブ スクリプト で、有効にする をクリックして OK をクリックします。
  3. 「Apache Flex アプリケーションのテスト」の手順に従います。
    注: Web ページにフレームが存在し、アプリケーションが同じサイズである場合、この方法は動作しません。
親トピック: Apache Flex のサポート
関連概念
Apache Flex アプリケーションのテスト


Adobe AIR のサポート

Silk4NET がサポートする Adobe AIR でのテストは、Flex 4 コンパイラを使用してコンパイルされたアプリケーションのみです。 サポートされているバージョンの詳細については、リリース ノートで最新の情報を確認してください。

Silk Test には、サンプルの Adobe AIR アプリケーションが含まれています。 http://demo.borland.com/flex/SilkTest20.0/index.html にあるサンプル アプリケーションにアクセスして、使用する Adobe AIR アプリケーションをクリックしてください。 オートメーションあり、またはオートメーションなしのアプリケーションを選択できます。 AIR アプリケーションを実行するには、Adobe AIR ランタイムをインストールする必要があります。

親トピック: Apache Flex のサポート


名前またはインデックスを使用する Flex の Select メソッドの概要

Flex の Select メソッドは、選択するコントロールの Name または Index を使用して記録できます。デフォルトで、Silk4NET では、コントロールの名前を使用して Select メソッドが記録されます。ただし、コントロールのインデックスを使用して Select イベントを記録するように環境を変更したり、名前を使用した記録とインデックスを使用した記録を切り替えたりすることができます。

以下のコントロールでは、インデックスを使用して Select イベントを記録できます。

  • FlexList
  • FlexTree
  • FlexDataGrid
  • FlexAdvancedDataGrid
  • FlexOLAPDataGrid
  • FlexComboBox

デフォルト設定は、コントロールの名前を使用する ItemBasedSelection（Select イベント）です。インデックスを使用するには、IndexBasedSelection（SelectIndex イベント）を使用するように AutomationEnvironment を変更する必要があります。これらのクラスのいずれかの動作を変更するには、以下のコードを使用して FlexCommonControls.xml、AdvancedDataGrid.xml、または OLAPDataGrid.xml ファイルを変更する必要があります。これらの XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。対応する xml ファイルで、以下の変更を行います。

<ClassInfo Extends="FlexList" Name="FlexControlName"  EnableIndexBasedSelection=”true” >

…

</ClassInfo>
この変更では、FlexList::SelectIndex イベントの記録に IndexBasedSelection が使用されています。コードの EnableIndexBasedSelection= を false に設定するか、またはこのブール値を削除すると、記録で名前が使用される設定に戻ります（FlexList::Select イベント）。
注: これらの変更内容を有効にするには、アプリケーションを再起動する必要があります。アプリケーションを再起動すると、Silk Test Agent も自動的に再起動されます。
親トピック: Apache Flex のサポート


FlexDataGrid コントロールでの項目の選択

FlexDataGrid コントロールの項目は、インデックス値または内容値を使用して選択します。

  1. インデックス値を使用して FlexDataGrid コントロールの項目を選択するには、SelectIndex メソッドを使用します。 たとえば、FlexDataGrid.SelectIndex(1) のように入力します。
  2. 内容値を使用して FlexDataGrid コントロールの項目を選択するには、Select メソッドを使用します。 必要な形式の文字列を使用して、選択する行を識別します。 項目と項目の間は、縦線文字（|）で区切る必要があります。 少なくとも 1 つの項目を 2 つのアスタリスク（*）で囲む必要があります。 これにより、クリックが実行される項目が識別されます。 構文は FlexDataGrid.Select("*Item1* | Item2 | Item3") です。
親トピック: Apache Flex のサポート
関連タスク
同一 Web ページ上の複数の Flex アプリケーションのテスト
関連資料
Flex クラス リファレンス


Flex アプリケーションのテストの有効化

Flex アプリケーションをテストに対して有効化するには、Apache Flex 開発者は Flex アプリケーションに以下のコンポーネントを組み込む必要があります。

  • Apache Flex オートメーション パッケージ
  • Silk Test オートメーション パッケージ

Apache Flex オートメーション パッケージ

開発者は、Flex オートメーション パッケージを使用して、オートメーション API を使用する Flex アプリケーションを作成できます。Flex オートメーション パッケージは、Adobe の Web サイト（http://www.adobe.com）からダウンロードできます。パッケージには、以下の内容が含まれています。

  • オートメーション ライブラリ：automation.swc ライブラリおよび automation_agent.swc ライブラリは、Flex フレームワーク コンポーネントの委譲の実装です。automation_agent.swc ファイルおよび関連するリソース バンドルは、汎用的なエージェント メカニズムです。Silk Test Agent などのエージェントは、これらのライブラリの上に構築されます。
  • サンプル
注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、Flex オートメーション API の typekey ステートメントでは、すべてのキーはサポートされません。テキスト入力ステートメントを使用してこの問題を解決できます。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。

Silk Test オートメーション パッケージ

Silk Test の Open Agent は、Apache Flex オートメーション エージェント ライブラリを使用しています。FlexTechDomain.swc ファイルに、Silk Test 固有の実装が含まれています。

以下のいずれかの方法を使用して、アプリケーションをテストに対して有効化できます。

  • Flex アプリケーションへのオートメーション パッケージのリンク
  • 実行時の読み込み
  • Flex アプリケーションへのオートメーション パッケージのリンク
    テストする予定の Flex アプリケーションを事前にコンパイルする方法について説明します。
  • テストのための Flex アプリケーションの事前コンパイル
    テストのためにアプリケーションを事前コンパイルすることによって、アプリケーションをテストに対して有効化します。
  • 実行時の読み込み
    Silk Test Flex オートメーション ランチャを使用した、実行時の Flex オートメーション サポートの読み込みの概要について説明します。
  • コマンド ラインを使用した構成情報の追加
    コマンド ライン コンパイラを使用して、automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリの場所を指定します。
  • Flex アプリケーションにパラメータを渡す
    Flex アプリケーションにパラメータを渡す方法を示します。
  • テスト可能な Flex アプリケーションの作成
    オブジェクトに対してわかりやすい ID を指定する方法、および重複オブジェクトの回避方法について説明します。
  • Flex コンテナのコーディング
    コンテナは、ユーザー対話（ユーザーが Accordion コンテナの次のページに移動したなど）の記録、およびテスト スクリプト内でのコントロールに対する一意の場所の提供の両方の目的で使用されるため、他の種類のコントロールとは異なります。
  • Flex 自動テスト ワークフロー
    Flex アプリケーションのテストの Silk4NET ワークフローを示します。
親トピック: Apache Flex のサポート


Flex アプリケーションへのオートメーション パッケージのリンク

テストする予定の Flex アプリケーションを事前にコンパイルする必要があります。機能テスト クラスは、コンパイル時にアプリケーションに埋め込まれ、アプリケーションは実行時に自動テストに関する外部依存関係を持ちません。

コンパイル時にアプリケーションの SWF ファイルに機能テスト クラスを埋め込むと、SWF ファイルのサイズが大きくなります。SWF ファイルのサイズが重要でない場合は、機能テストと展開に同じ SWF ファイルを使用します。SWF ファイルのサイズが重要である場合は、2 つの SWF ファイルを生成します。1 つは機能テスト クラスが埋め込まれたファイル、もう 1 つは機能テスト クラスが埋め込まれていないファイルです。展開には、テスト クラスが埋め込まれていない SWF ファイルを使用します。

include-libraries コンパイラ オプションを指定してテストのために Flex アプリケーションを事前にコンパイルする場合は、以下のファイルを参照します。

  • automation.swc
  • automation_agent.swc
  • FlexTechDomain.swc
  • automation_charts.swc（アプリケーションでグラフおよび Flex 2.0 を使用する場合のみインクルード）
  • automation_dmv.swc（アプリケーションでグラフおよび Flex 3.x 以降を使用する場合にインクルード）
  • automation_flasflexkit.swc（アプリケーションで埋め込みの Flash コンテンツを使用する場合にインクルード）
  • automation_spark.swc（アプリケーションで新しい Flex 4.x コントロールを使用する場合にインクルード）
  • automation_air.swc（アプリケーションが AIR アプリケーションである場合にインクルード）
  • automation_airspark.swc（アプリケーションが AIR アプリケーションであり、新しい Flex 4.x コントロールを使用する場合にインクルード）

Flex アプリケーションの最終リリース バージョンを作成する場合は、これらの SWC ファイルへの参照なしでアプリケーションを再コンパイルします。オートメーション SWC ファイルの使用の詳細については、『Apache Flex リリース ノート』を参照してください。

アプリケーションをサーバーに展開しないで、ファイル プロトコルを使用して要求したり、Apache Flex Builder 内で実行したりする場合は、各 SWF ファイルをローカルの信頼済みサンドボックスに組み込む必要があります。このためには、追加の構成情報が必要です。コンパイラの構成ファイルを変更するか、またはコマンド ライン オプションを使用して、構成情報を追加します。

注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、オートメーション コードを使用してアプリケーションがコンパイルされ、連続的に SWF ファイルが読み込まれる場合、メモリ リークが発生して、最終的にアプリケーションでメモリが不足します。Flex Control Explorer サンプル アプリケーションは、この問題の影響を受けます。回避策として、Explorer が読み込むアプリケーションの SWF ファイルをオートメーション ライブラリを使用してコンパイルしない方法があります。たとえば、Explorer のメイン アプリケーションのみをオートメーション ライブラリを使用してコンパイルします。SWFLoader の代わりにモジュール ローダーを使用する方法もあります。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
親トピック: Flex アプリケーションのテストの有効化
関連概念
実行時の読み込み
関連タスク
テストのための Flex アプリケーションの事前コンパイル
コマンド ラインを使用した構成情報の追加


テストのための Flex アプリケーションの事前コンパイル

アプリケーションをテスト用に事前コンパイルするか、または実行時の読み込みを使用することによって、アプリケーションをテストに対して有効化できます。

  1. 以下のコードを構成ファイルに追加することによって、コンパイラの構成ファイルに automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリをインクルードします。
    <include-libraries>

...

<library>/libs/automation.swc</library>

<library>/libs/automation_agent.swc</library>

<library>pathinfo/FlexTechDomain.swc</library>

</include-libraries>
    注: アプリケーションでグラフを使用する場合は、automation_charts.swc ファイルも追加する必要があります。
  2. コマンド ライン コンパイラで include-libraries コンパイラ オプションを使用して、automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリの場所を指定します。 構成ファイルは以下の場所にあります。

    Apache Flex 2 SDK – <flex_installation_directory>/frameworks/flex-config.xml

    Apache Flex データ サービス – <flex_installation_directory>/flex/WEB-INF/flex/flex-config.xml

    以下の例では、automation.swc ファイルと automation_agent.swc ファイルがアプリケーションに追加されています。
    mxmlc -include-libraries+=../frameworks/libs/automation.swc;../frameworks/libs/
automation_agent.swc;pathinfo/FlexTechDomain.swc MyApp.mxml
    注: コマンド ラインで include-libraries オプションを明示的に設定すると、既存のライブラリに対して追加されるのではなく、既存のライブラリが上書きされます。コマンド ラインで include-libraries オプションを使用して automation.swc ファイルと automation_agent.swc ファイルを追加する場合は、+= 演算子を使用します。これにより、インクルードされる既存のライブラリが上書きされるのではなく、インクルードされる既存のライブラリに対して追加されます。
    注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、オートメーション コードを使用してアプリケーションがコンパイルされ、連続的に SWF ファイルが読み込まれる場合、メモリ リークが発生して、最終的にアプリケーションでメモリが不足します。Flex Control Explorer サンプル アプリケーションは、この問題の影響を受けます。回避策として、Explorer が読み込むアプリケーションの SWF ファイルをオートメーション ライブラリを使用してコンパイルしない方法があります。たとえば、Explorer のメイン アプリケーションのみをオートメーション ライブラリを使用してコンパイルします。SWFLoader の代わりにモジュール ローダーを使用する方法もあります。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
親トピック: Flex アプリケーションのテストの有効化
関連概念
実行時の読み込み
関連タスク
コマンド ラインを使用した構成情報の追加


実行時の読み込み

Silk Test Flex オートメーション ランチャを使用して、実行時に Flex オートメーション サポートを読み込むことができます。このアプリケーションは、オートメーション ライブラリを使用してコンパイルされており、SWFLoader クラスを使用してユーザーのアプリケーションを読み込みます。これにより、SWF ファイルにオートメーション ライブラリをコンパイルしなくても、アプリケーションが自動的にテストに対して有効化されます。Silk Test Flex オートメーション ランチャは、HTML および SWF のファイル形式で利用できます。

制限事項

  • Flex オートメーション ランチャ アプリケーションは、自動的にルート アプリケーションとなります。ユーザーのアプリケーションをルート アプリケーションにする必要がある場合は、Silk Test Flex オートメーション ランチャを使用してオートメーション サポートを読み込むことができません。
  • 外部ライブラリを読み込むアプリケーション（他の SWF ファイル ライブラリを読み込むアプリケーション）をテストするには、自動テストに特別な設定が必要です。実行時に読み込まれるライブラリ（ランタイム共有ライブラリ（RSL）を含む）は、読み込むアプリケーションの ApplicationDomain に読み込まれる必要があります。アプリケーションで使用される SWF ファイルが異なるアプリケーション ドメインに読み込まれた場合、自動テストの記録と再生が正しく動作しません。以下に、同じ ApplicationDomain に読み込まれるライブラリの例を示します。
    import flash.display.*;

import flash.net.URLRequest;

import flash.system.ApplicationDomain;

import flash.system.LoaderContext;

var ldr:Loader = new Loader();

var urlReq:URLRequest = new URLRequest("RuntimeClasses.swf");

var context:LoaderContext = new LoaderContext();

context.applicationDomain = ApplicationDomain.currentDomain;

loader.load(request, context);
  • 実行時読み込み
    Silk Test Flex Automation Launcher を使用すると、Flex オートメーション サポートを実行時に読み込むことができます。
親トピック: Flex アプリケーションのテストの有効化
関連概念
Flex アプリケーションへのオートメーション パッケージのリンク
関連タスク
テストのための Flex アプリケーションの事前コンパイル
コマンド ラインを使用した構成情報の追加


実行時読み込み

  1. Silk\Silk Test\ng\AutomationSDK\Flex\<バージョン>\FlexAutomationLauncher ディレクトリの内容を、テストする Flex アプリケーションのディレクトリにコピーします。
  2. Windows Explorer で FlexAutomationLauncher.html を開き、ファイル パスへの接尾辞として以下のパラメータを追加します。
    ?automationurl=YourApplication.swf

    YourApplication.swf は Flex アプリケーションの SWF ファイルの名前です。

  3. ファイル パスへの接頭辞として file:/// を追加します。 たとえば、ファイルの URL に ?automationurl=explorer.swf などのパラメータが含まれている場合は、以下のように入力します。を設定して、インストールするコンポーネントを指定できます。
    file:///C:/Program%20Files/Silk/Silk Test/ng/sampleapplications/Flex/3.2/FlexControlExplorer32/FlexAutomationLauncher.html?automationurl=explorer.swf
親トピック: 実行時の読み込み


コマンド ラインを使用した構成情報の追加

コマンド ライン コンパイラを使用して automation.swc、automation_agent.swc、および FlexTechDomain.swc ライブラリの場所を指定するには、include-libraries コンパイラ オプションを使用します。

次の例では、automation.swc ファイルと automation_agent.swc ファイルがアプリケーションに追加されます。

mxmlc -include-libraries+=../frameworks/libs/automation.swc;../frameworks/libs/
automation_agent.swc;pathinfo/FlexTechDomain.swc MyApp.mxml
注: アプリケーションでグラフを使用する場合は、include-libraries コンパイラ オプションに automation_charts.swc ファイルも追加する必要があります。

コマンド ラインで include-libraries オプションを明示的に設定すると、既存のライブラリに対して追加されるのではなく、既存のライブラリが上書きされます。 コマンド ラインで include-libraries オプションを使用して automation.swc ファイルと automation_agent.swc ファイルを追加する場合は、+= 演算子を使用します。 これにより、インクルードされる既存のライブラリが上書きされるのではなく、インクルードされる既存のライブラリに対して追加されます。

Flex Builder プロジェクトに自動テストサポートを追加するには、include-libraries コンパイラ オプションに automation.swc および automation_agent.swc ライブラリも追加する必要があります。

親トピック: Flex アプリケーションのテストの有効化
関連概念
Flex アプリケーションへのオートメーション パッケージのリンク
実行時の読み込み
関連タスク
テストのための Flex アプリケーションの事前コンパイル


Flex アプリケーションにパラメータを渡す

以下の手順に従って、Flex アプリケーションにパラメータを渡すことができます。

  • 実行する前に Flex アプリケーションにパラメータを渡す
    オートメーション ライブラリを使用して、実行する前に Flex アプリケーションにパラメータを渡します。
  • Flex オートメーション ランチャを使用して、実行時に Flex アプリケーションにパラメータを渡す
    Flex オートメーション ランチャを使用して、実行時に Flex アプリケーションにパラメータを渡します。
親トピック: Flex アプリケーションのテストの有効化


実行する前に Flex アプリケーションにパラメータを渡す

オートメーション ライブラリを使用して、実行する前に Flex アプリケーションにパラメータを渡すことができます。

  1. 適切なオートメーション ライブラリを使用して、アプリケーションをコンパイルします。
  2. パラメータの指定には、通常どおり標準的な Flex のメカニズムを使用します。
親トピック: Flex アプリケーションにパラメータを渡す
関連タスク
テストのための Flex アプリケーションの事前コンパイル


Flex オートメーション ランチャを使用して、実行時に Flex アプリケーションにパラメータを渡す

このタスクを開始する前に、実行時の読み込みに対応するようにアプリケーションを準備します。

  1. FlexAutomationLauncher.html ファイルを開くか、または例として FlexAutomationLauncher.html を使用してファイルを作成します。
  2. 以下のセクションに移動します。
    <script language="JavaScript" type="text/javascript">

                AC_FL_RunContent(eef

                   "src", "FlexAutomationLauncher",

                   "width", "100%",

                   "height", "100%",

                   "align", "middle",

                   "id", "FlexAutomationLauncher",

                   "quality", "high",

                   "bgcolor", "white",

                   "name", "FlexAutomationLauncher",

                   "allowScriptAccess","sameDomain",

                   "type", "application/x-shockwave-flash",

                   "pluginspage", "http://www.adobe.com/go/getflashplayer",

                   "flashvars", "yourParameter=yourParameterValue"+ "&automationurl=YourApplication.swf"

                );

        </script>
    注: 「src」、「id」、および「name」の「FlexAutomationLauncher」の値は変更しないでください。
  3. 「yourParameter=yourParameterValue」に、独自のパラメータを追加します。
  4. 「& automationurl=YourApplication.swf」の値として、テストする Flex アプリケーションの名前を渡します。
  5. ファイルを保存します。
親トピック: Flex アプリケーションにパラメータを渡す


テスト可能な Flex アプリケーションの作成

Flex 開発者は、Flex アプリケーションを可能なかぎりテストしやすくするためのテクニックを利用できます。 以下のテクニックがあります。

  • オブジェクトに対するわかりやすい ID の指定
  • オブジェクトの重複の回避

オブジェクトに対するわかりやすい ID の指定

テストしやすいアプリケーションを作成するには、 スクリプト内でオブジェクトを識別しやすくする必要があります。 テストするすべてのコントロールに対して、わかりやすい文字列を使用した ID プロパティの値を設定できます。

オブジェクトに対してわかりやすい ID を指定するには：

  • テスト可能なすべての MXML コンポーネントに対して ID を指定して、その Flex コントロールの参照時にテスト スクリプトで一意の ID が使用できるようにします。
  • これらの ID は、ユーザーがテスト スクリプト内でそのオブジェクトを容易に識別できるように、可能なかぎり人間が理解しやすい文字列にします。 たとえば、TabNavigator 内の Panel コンテナの id プロパティは、panel1 や p1 ではなく submit_panel とします。

Silk4NET を使用する場合、id や childIndex などの特定のタグに基づいて、オブジェクトに対して自動的に名前が設定されます。 id プロパティに値がない場合、Silk4NET では、childIndex プロパティなどの他のプロパティが使用されます。 id プロパティに値を割り当てると、テスト スクリプトを読みやすくすることができます。

オブジェクトの重複の回避

自動エージェントの処理は、実行中にオブジェクト インスタンスの一部のプロパティが変更されないことを前提としています。 実行時に Silk4NET によってオブジェクト名として使用されている Flex コンポーネント プロパティを変更すると、予期しない結果が発生する可能性があります。 たとえば、automationName プロパティのない Button コントロールを作成し、最初は label プロパティに値を設定しないで、その後、label プロパティに値を設定した場合、問題が発生することがあります。 この場合、Silk4NET では、automationName プロパティが設定されていない場合は Button コントロールを識別するためにコントロールの label プロパティの値が使用されます。 あとから label プロパティの値を設定したり、既存の label の値を変更すると、Silk4NET ではこのオブジェクトを新しいオブジェクトとして識別し、既存のオブジェクトを参照しなくなります。

重複オブジェクトを回避するには：

  • エージェントにおいて、オブジェクトの識別にどのプロパティが使用されているかを理解し、実行時にそれらのプロパティを変更しないようにします。
  • 記録されたスクリプトに含まれているすべてのオブジェクトに対して、人間が理解しやすい一意の id プロパティまたは automationName プロパティを設定します。
  • Apache Flex アプリケーションのカスタム属性
    Apache Flex アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Flex の AutomationName プロパティと AutomationIndex プロパティ
    Silk Test で automationName プロパティと automationIndex プロパティがどのように使用されるかについて説明します。
  • Flex クラス定義ファイル
    Flex クラス定義ファイルの内容について説明します。
  • Flex の automationName プロパティの設定
    Flex の automationName プロパティを設定することの利点について説明します。
  • 名前またはインデックスを使用するように Flex の Select メソッドを設定
    Flex の Select メソッドを、選択するコントロールの Name または Index を使用して記録します。
親トピック: Flex アプリケーションのテストの有効化
関連概念
Apache Flex アプリケーションのテスト
Flex コンテナのコーディング
Flex 自動テスト ワークフロー


Flex の AutomationName プロパティと AutomationIndex プロパティ

Flex オートメーション API には、automationName プロパティと automationIndex プロパティが用意されています。automationName を指定すると、Silk4NET では、記録されたウィンドウ宣言の名前としてこの値が使用されます。わかりやすい名前を指定すると、そのオブジェクトを Silk4NET で識別しやすくなります。ベスト プラクティスとして、アプリケーションのテストに含まれているすべてのオブジェクトの automationName プロパティに値を設定することをお勧めします。

automationIndex プロパティを使用して、オブジェクトに対して一意のインデックス値を割り当てます。たとえば、2 つのオブジェクトが同じ名前を共有している場合は、インデックス値を割り当てて、2 つのオブジェクトを識別します。
注: Silk Test Flex オートメーション SDK は、Flex のオートメーション API に基づいています。Silk Test オートメーション SDK は、Flex のオートメーション API でサポートされているものと同じコンポーネントが同様にサポートされます。たとえば、オートメーション コードを使用してアプリケーションがコンパイルされ、連続的に SWF ファイルが読み込まれる場合、メモリ リークが発生して、最終的にアプリケーションでメモリが不足します。Flex Control Explorer サンプル アプリケーションは、この問題の影響を受けます。回避策として、Explorer が読み込むアプリケーションの SWF ファイルをオートメーション ライブラリを使用してコンパイルしない方法があります。たとえば、Explorer のメイン アプリケーションのみをオートメーション ライブラリを使用してコンパイルします。SWFLoader の代わりにモジュール ローダーを使用する方法もあります。Flex オートメーション API の詳細については、『Apache Flex リリース ノート』を参照してください。
親トピック: テスト可能な Flex アプリケーションの作成
関連概念
Flex アプリケーションのテストの有効化
Flex コンテナのコーディング
Flex 自動テスト ワークフロー
関連タスク
名前またはインデックスを使用するように Flex の Select メソッドを設定


Flex の automationName プロパティの設定

automationName プロパティは、テストに表示されるコンポーネント名を定義します。このプロパティのデフォルト値は、コンポーネントの種類に応じて異なります。たとえば、Button コントロールの automationName は、Button コントロールのラベルです。automationName がコントロールの id プロパティと同じ場合もありますが、常に同じであるわけではありません。

一部のコンポーネントでは、automationName プロパティの値は、Flex によってそのコンポーネントを認識しやすい属性に設定されています。これにより、テスト担当者は、テストでコンポーネントを認識しやすくなります。通常、テスト担当者は、アプリケーションの基になるソース コードにアクセスできないため、コントロールの表示されるプロパティによってそのコントロールを認識できるようにすることは有用です。たとえば、「Process Form Now」というラベルが設定された Button は、テストで FlexButton("Process Form Now") と表示されます。

新しいコンポーネントを実装する場合や、既存のコンポーネントから派生する場合は、automationName プロパティのデフォルト値をオーバーライドできます。たとえば、UIComponent では、automationName の値は、デフォルトでコンポーネントの id プロパティに設定されます。ただし、一部のコンポーネントでは、独自の方法を使用して値が設定されます。たとえば、Flex Store サンプル アプリケーションでは、コンテナを使用して製品のサムネイルが作成されています。コンテナのデフォルトの automationName はコンテナの id プロパティと同じ値となるため、あまり役立ちません。そのため、Flex Store では、製品のサムネイルを生成するカスタム コンポーネントで明示的に automationName を製品名に設定して、アプリケーションをテストしやすくしています。

例

以下の CatalogPanel.mxml カスタム コンポーネントの例では、automationName プロパティの値をカタログに表示される項目名に設定しています。これにより、デフォルトのオートメーション名を使用するよりもサムネイルを認識しやすくなります。

thumbs[i].automationName = catalog[i].name;

例

以下の例では、ComboBox コントロールの automationName プロパティを「Credit Card List」に設定しています。このように設定すると、通常、テスト ツールでは、スクリプトにおいて id プロパティではなく「Credit Card List」を使用して ComboBox が識別されます。
<?xml version="1.0"?>
<!-- at/SimpleComboBox.mxml -->
<mx:Application xmlns:mx="http://www.adobe.com/2006/mxml">
  <mx:Script>
    <![CDATA[
      [Bindable]
      public var cards: Array = [
        {label:"Visa", data:1},
        {label:"MasterCard", data:2},
        {label:"American Express", data:3}
      ];

      [Bindable]
      public var selectedItem:Object;
      ]
   ]>
  </mx:Script>
  <mx:Panel title="ComboBox Control Example">
    <mx:ComboBox id="cb1" dataProvider="{cards}"
      width="150"
      close="selectedItem=ComboBox(event.target).selectedItem"
      automationName="Credit Card List"
    />
    <mx:VBox width="250">
      <mx:Text width="200" color="blue" text="Select a type of credit card." />
      <mx:Label text="You selected: {selectedItem.label}"/>
      <mx:Label text="Data: {selectedItem.data}"/>
    </mx:VBox>
  </mx:Panel>
</mx:Application>

automationName プロパティの値を設定すると、オブジェクト名が実行時に変更されないことが保証されます。このことは、予期しない結果の回避に役立ちます。

automationName プロパティの値を設定すると、テストでは、デフォルト値ではなく、その値が使用されます。たとえば、Silk4NET では、デフォルトで、スクリプトにおいて Button コントロールの label プロパティがボタンの名前として使用されます。この場合、ラベルが変更されると、スクリプトが動作しなくなります。automationName プロパティの値を明示的に設定することによって、このような事態を回避できます。

ラベルがなく、アイコンがあるボタンは、インデックス番号によって記録されます。この場合は、automationName プロパティをわかりやすい文字列に設定して、テスト担当者がスクリプトでボタンを認識できるようにします。automationName プロパティの値を設定したあとは、コンポーネントのライフ サイクル全体を通して値を変更しないでください。項目レンダラでは、automationName プロパティではなく automationValue プロパティを使用します。automationValue プロパティを使用するには、createAutomationIDPart() メソッドをオーバーライドして、automationName プロパティに割り当てる新しい値を返します。以下に例を示します。

<mx:List xmlns:mx="http://www.adobe.com/2006/mxml">
  <mx:Script>

      import mx.automation.IAutomationObject;
      override public function
      createAutomationIDPart(item:IAutomationObject):Object {
        var id:Object = super.createAutomationIDPart(item);
        id["automationName"] = id["automationIndex"];
        return id;
      }

  </mx:Script>
</mx:List>

このテクニックを使用して、任意のコンテナまたはリスト形式コントロールの子にインデックス値を追加します。子が自分自身のインデックスを指定する方法はありません。

親トピック: テスト可能な Flex アプリケーションの作成
関連概念
Flex アプリケーションのテストの有効化
Flex コンテナのコーディング
Flex の AutomationName プロパティと AutomationIndex プロパティ
関連タスク
名前またはインデックスを使用するように Flex の Select メソッドを設定


名前またはインデックスを使用するように Flex の Select メソッドを設定

Flex の Select メソッドは、選択するコントロールの Name または Index を使用して記録できます。デフォルトで、Silk Test では、コントロールの名前を使用して Select メソッドが記録されます。ただし、コントロールのインデックスを使用して Select イベントを記録するように環境を変更したり、名前を使用した記録とインデックスを使用した記録を切り替えたりすることができます。

  1. インデックスを使用するように変更するクラスを特定します。 以下のコントロールでは、インデックスを使用して Select イベントを記録できます。
    • FlexList
    • FlexTree
    • FlexDataGrid
    • FlexOLAPDataGrid
    • FlexComboBox
    • FlexAdvancedDataGrid
  2. 変更するクラスに関連する XML ファイルを特定します。 上記のコントロールに関連する XML ファイルには、FlexCommonControls.xml、AdvancedDataGrid.xml、または OLAPDataGrid.xml があります。
  3. 変更するクラスに関連する XML ファイルに移動します。 XML ファイルは、<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<バージョン>\config\automationEnvironment フォルダにあります。
  4. 対応する XML ファイルで、以下の変更を行います。
    <ClassInfo Extends="FlexList" Name="FlexControlName"  EnableIndexBasedSelection=”true” >

…

</ClassInfo>
    たとえば、「FlexControlName」として「FlexList」を使用し、FlexCommonControls.xml ファイルを変更できます。

    この変更では、FlexList::SelectIndex イベントの記録に IndexBasedSelection が使用されています。

    注: コードの EnableIndexBasedSelection= を false に設定するか、またはこのブール値を削除すると、記録で名前が使用される設定に戻ります（FlexList::Select イベント）。
  5. これらの変更内容を有効にするには、Flex アプリケーションおよび Open Agent を再起動します。
親トピック: テスト可能な Flex アプリケーションの作成
関連概念
Flex の AutomationName プロパティと AutomationIndex プロパティ


Flex コンテナのコーディング

コンテナは、ユーザー対話（ユーザーが Accordion コンテナの次のページに移動したなど）の記録、およびテスト スクリプト内でのコントロールに対する一意の場所の提供の両方の目的で使用されるため、他の種類のコントロールとは異なります。

  • オートメーション階層におけるコンテナの追加と削除
    どのような場合にオートメーション階層からコンテナを削除するか、および削除方法について説明します。
  • 複数ビュー コンテナ
    複数ビュー コンテナを使用する場合のベスト プラクティスについて説明します。
親トピック: Flex アプリケーションのテストの有効化
関連概念
Apache Flex アプリケーションのテスト
テスト可能な Flex アプリケーションの作成


オートメーション階層におけるコンテナの追加と削除

通常、自動テスト機能のスクリプトでは、ネストされたコンテナについての詳細情報は少なく抑えられます。テストの結果やコントロールの識別に影響がないコンテナは、スクリプトから削除されます。削除対象となるコンテナは、HBox、VBox、Canvas などの、レイアウトの目的でのみ使用されるコンテナです。ただし、ViewStack、TabNavigator、Accordion などの複数ビュー ナビゲータ コンテナで使用されている場合は削除されません。このような場合、コンテナはオートメーション階層に追加されて、ナビゲーションに使用されます。

多くの複合コンポーネントでは、Canvas や VBox などのコンテナを使用して、子が整理されます。これらのコンテナは、アプリケーション上では視覚的な効果を持ちません。この結果、これらのコンテナでは、ユーザー操作は実行されず、操作を視覚的に記録する必要もないため、通常、これらのコンテナはテストから除外されます。テストからコンテナを除外することによって、関連するテスト スクリプトが簡潔になり、読みやすくなります。

コンテナを記録から除外するには、コンテナの showInAutomationHierarchy プロパティを false に設定します（子は除外されません）。このプロパティは、UIComponent クラスによって定義されているため、UIComponent のサブクラスであるすべてのコンテナにこのプロパティが存在します。階層で表示されないコンテナの子は、階層内でそのコンテナの次に上位の親の子として表示されます。

showInAutomationHierarchy プロパティのデフォルト値は、コンテナの種類に応じて異なります。Panel、Accordion、Application、DividedBox、Form などのコンテナではデフォルト値は true であり、Canvas、HBox、VBox、FormItem などのコンテナではデフォルト値は false です。

以下の例では、VBox コンテナがテスト スクリプトの階層に組み込まれています。
<?xml version="1.0"?>
<!-- at/NestedButton.mxml -->
<mx:Application xmlns:mx="http://www.adobe.com/2006/mxml">
<mx:Panel title="ComboBox Control Example">
<mx:HBox id="hb">
<mx:VBox id="vb1" showInAutomationHierarchy="true">
<mx:Canvas id="c1">
<mx:Button id="b1" automationName="Nested Button 1" label="Click Me" />
</mx:Canvas>
</mx:VBox>
<mx:VBox id="vb2" showInAutomationHierarchy="true">
<mx:Canvas id="c2">
<mx:Button id="b2" automationName="Nested Button 2" label="Click Me 2" />
</mx:Canvas>
</mx:VBox>
</mx:HBox>
</mx:Panel>
</mx:Application>
親トピック: Flex コンテナのコーディング
関連概念
複数ビュー コンテナ
Flex アプリケーションのテストの有効化
Apache Flex アプリケーションのテスト


複数ビュー コンテナ

TabNavigator や Accordion コンテナなどの複数ビュー コンテナ内の複数のタブに同じラベルを使用しないでください。 同じラベルを使用することもできますが、このことは、通常、推奨UI 設計プラクティスとして推奨されていません。このようにすると、テスト環境においてコントロールの識別に問題が発生することがあります。

親トピック: Flex コンテナのコーディング
関連概念
オートメーション階層におけるコンテナの追加と削除


Flex 自動テスト ワークフロー

Flex アプリケーションのテストの Silk4NET ワークフローは、以下のとおりです。

  • 自動テストの初期化
  • 自動テストの記録
  • 自動テストの再生
  • Flex 自動テストの初期化
    Flex アプリケーション起動時に発生する初期化イベントを示します。
  • Flex 自動テストの記録
    ユーザーが Flex アプリケーションのテストを記録するときに発生するイベントについて説明します。
  • Flex 自動テストの再生
    ユーザーが Flex アプリケーションのテストを実行した場合に発生するイベントについて説明します。
親トピック: Flex アプリケーションのテストの有効化
関連概念
テスト可能な Flex アプリケーションの作成


Flex 自動テストの初期化

ユーザーが Flex アプリケーションを起動すると、以下の初期化イベントが発生します。
  1. オートメーション初期化コードによって、コンポーネントの委譲クラスがコンポーネントのクラスに関連付けられます。
  2. コンポーネントの委譲クラスは、IAutomationObject インターフェイスを実装します。
  3. AutomationManager のインスタンスがミックスインの init() メソッドで作成されます。（AutomationManager はミックスインです。）
  4. SystemManager によってアプリケーションが初期化されます。コンポーネント インスタンスおよび対応する委譲インスタンスが作成されます。委譲インスタンスによって、目的のイベントに対するイベント リスナーが追加されます。
  5. Silk4NET FlexTechDomain はミックスインです。FlexTechDomain の init() メソッドで、FlexTechDomain が SystemManager.APPLICATION_COMPLETE イベントに登録されます。イベントを受信すると、FlexTechDomain インスタンスが作成されます。
  6. FlexTechDomain インスタンスが、同じマシン上の記録および再生機能に登録する Silk Test Agent に TCP/IP ソケット経由で接続します。
  7. FlexTechDomain は、自動環境についての情報を要求します。この情報は XML ファイルに格納され、Silk Test Agent から FlexTechDomain に転送されます。
親トピック: Flex 自動テスト ワークフロー
関連概念
Flex 自動テストの記録
Flex 自動テストの再生


Flex 自動テストの記録

ユーザーが Silk4NET で Flex アプリケーションの新しいテストを記録すると、以下のイベントが発生します。

  1. Silk4NET によって Silk Test Agent が呼び出されて、記録が開始されます。Agent は、このコマンドを FlexTechDomain インスタンスに転送します。
  2. FlexTechDomain は、beginRecording() を呼び出すことによって、AutomationManager に対して記録の開始を通知します。AutomationManager は、SystemManager からの AutomationRecordEvent.RECORD イベントに対するリスナーを追加します。
  3. ユーザーがアプリケーションを操作します。たとえば、ユーザーが Button コントロールをクリックしたとします。
  4. ButtonDelegate.clickEventHandler() メソッドによって、プロパティとしてクリック イベントと Button のインスタンスが指定された AutomationRecordEvent イベントがディスパッチされます。
  5. AutomationManager は、XML 環境情報に基づいて、クリック イベントのどのプロパティを格納するかを決定します。値が適切な型または書式に変換されます。記録イベントがディスパッチされます。
  6. FlexTechDomain イベント ハンドラがイベントを受信します。AutomationManager.createID() メソッドが呼び出されて、ボタンの AutomationID オブジェクトが作成されます。このオブジェクトは、オブジェクト識別用の構造体を提供します。AutomationID 構造体は、AutomationIDParts の配列になっています。AutomationIDParts は、IAutomationObject を使用して作成されます。（Button コントロールの UIComponent.id、automationName、automationValue、childIndex、および label プロパティが読み込まれて、オブジェクトに格納されます。XML 情報に、label プロパティを Button の識別に使用できることが指定されているため、label プロパティが使用されます。）
  7. FlexTechDomain は、AutomationManager.getParent() メソッドを使用して、Button の論理的な親を取得します。アプリケーション レベルまでの各レベルで、親コントロールの AutomationIDParts オブジェクトが収集されます。
  8. すべての AutomationIDParts が AutomationID オブジェクトの一部として組み込まれます。
  9. FlexTechDomain は、Silk4NET への呼び出しでこの情報を送信します。
  10. ユーザーが記録を停止すると、FlexTechDomain.endRecording() メソッドが呼び出されます。
親トピック: Flex 自動テスト ワークフロー
関連概念
Flex 自動テストの初期化
Flex 自動テストの再生


Flex 自動テストの再生

ユーザーが Silk4NET で 再生 ボタンをクリックすると、以下のイベントが発生します。

  1. 各スクリプト呼び出しにおいて、Silk4NET は Silk Test Agent に接続し、実行されるスクリプト呼び出しの情報を送信します。 この情報には、完全なウィンドウ宣言、イベント名、およびパラメータが含まれています。
  2. Silk Test Agent は、その情報を FlexTechDomain に転送します。
  3. FlexTechDomain は、ウィンドウ宣言情報と共に AutomaionManager.resolveIDToSingleObject を使用します。 AutomationManager は、説明情報（automationName、automationIndex、id など）に基づいて、解決したオブジェクトを返します。
  4. Flex コントロールが解決されると、FlexTechDomain は AutomationManager.replayAutomatableEvent() を呼び出して、イベントを再生します。
  5. AutomationManager.replayAutomatableEvent() メソッドによって、委譲クラスの
IAutomationObject.replayAutomatableEvent() メソッドが呼び出されます。 委譲では、IAutomationObjectHelper.replayMouseEvent() メソッド（または
replayKeyboardEvent() などの他のいずれかの再生メソッド）を使用してイベントが再生されます。
  6. スクリプトに検証がある場合、FlexTechDomain は AutomationManager.getProperties() を呼び出して、検証する必要がある値にアクセスします。
親トピック: Flex 自動テスト ワークフロー
関連概念
Flex 自動テストの記録
Flex 自動テストの初期化


Apache Flex アプリケーションのスタイル

Apache Flex 3.x で開発されたアプリケーションについて、Silk4NET ではスタイルとプロパティを区別しません。この結果、スタイルはプロパティとして公開されます。ただし、Apache Flex 4.x の Spark という接頭辞が付いているすべての新しい Flex コントロール（SparkButton など）では、スタイルがプロパティとして公開されません。この結果、Flex 4.x コントロールの GetProperty() メソッドおよび GetPropertyList() メソッドでは color や fontSize などのスタイルが返されず、text や name などのプロパティのみが返されます。

GetStyle(string styleName) メソッドは、スタイルの値を文字列として返します。どのようなスタイルが存在するかを確認するには、次の Adobe ヘルプを参照してください： http://help.adobe.com/ja_JP/FlashPlatform/reference/actionscript/3/package-detail.html.

スタイルが設定されていない場合は、再生中に StyleNotSetException が発生します。

FlexTree などの Flex 3.x コントロールでは、GetProperty() を使用してスタイルを取得できます。GetStyle() を使用することもできます。Flex 3.x コントロールでは、GetProperty() メソッドと GetStyle() メソッドの両方が動作します。

色スタイルの計算

Flex では、色は数値として表されます。色は、以下の式を使用して計算できます。
red*65536 + green*256 + blue

例

以下のスクリプト例では、Spark アプリケーションの ButtonBar がフォント サイズ 12 を使用しているかどうかを検証しています。
 Imports SilkTest.Ntf.Flex

Public Module Main
    Dim _desktop As Desktop = Agent.Desktop

    Public Sub Main()
        Dim Application As SparkApplication
        Dim ButtonBar As SparkButtonBar
        Application = _desktop.Find( "/BrowserApplication//BrowserWindow//
            SparkApplication" )
        ButtonBar = Application.SparkButtonBar()

        Workbench.Verify(ButtonBar.GetStyle( "fontSize" ), "12" )
    End Sub
End Module
親トピック: Apache Flex のサポート


Adobe Flash Player のセキュリティ制約に対応するための Flex アプリケーションの構成

Adobe Flash Player 10 では、セキュリティ モデルが以前のバージョンから変更されています。Flash Player を使用するテストを記録する場合、記録は想定どおりに動作します。ただし、テストを再生する場合は、特定の状況で高レベルのクリックが行われると、予期しない結果が発生します。たとえば、ファイル参照 ダイアログ ボックスをプログラムから開くことができません。このシナリオの再生を試みると、セキュリティ制約が原因でテストに失敗します。

このセキュリティ制約を回避するには、ダイアログ ボックスを開くボタンに対して低レベルのクリックを実行します。低レベルのクリックを作成するには、Click メソッドにパラメータを追加します。

たとえば、SparkButton::Click() の代わりに SparkButton::Click(MouseButton.Left) を使用します。パラメータを指定しない Click() は高レベルのクリックとして再生され、パラメータを指定したクリック（ボタンなど）は低レベルのクリックとして再生されます。

  1. Flash Player を使用するテストを記録します。
  2. Click メソッドに移動して、パラメータを追加します。 たとえば、ファイルを開く ダイアログ ボックスを開くには、以下のように指定します：
    SparkButton("@caption='Open File Dialog…'").Click(MouseButton.Left)
    。 テストを再生すると、想定どおりに動作します。
親トピック: Apache Flex のサポート
関連タスク
Adobe Flash Player で実行するための Flex アプリケーションの構成


Apache Flex アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Flex アプリケーションがサポートする属性は次のとおりです。
  • automationName
  • caption（automationName と同様）
  • automationClassName（FlexButton など）
  • className（実装クラスの完全修飾名。 mx.controls.Button など）
  • automationIndex（FlexAutomation のビューでのコントロールのインデックス。 index:1 など）
  • index（automationIndex と同様。ただし、接頭辞はなし。 1 など）
  • id (コントロールの ID)
  • windowId (id と同様)
  • label（コントロールのラベル）
  • すべての動的ロケーター属性
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

親トピック: Apache Flex のサポート
親トピック: サポートする属性の種類


Silk4NET が Apache Flex コントロールを認識できない理由

Web サーバーを通してアクセスしている Apache Flex アプリケーションのコントロールを Silk4NET が認識できない場合、以下のことを行ってみてください。
  • Adobe オートメーション ライブラリと Apache Flex バージョン用に適した FlexTechDomain.swc を使用して、Apache Flex アプリケーションをコンパイルします。
  • 実行時ローディングを使用します。
  • Apache Flex アプリケーションを空の id 属性を使用して埋め込んでいると、Apache Flex コントロールは認識されません。
親トピック: Apache Flex のサポート


Java AWT/Swing のサポート

Silk4NET は、Java AWT/Swing コントロールを使用するアプリケーションまたはアプレットのテストを組み込みでサポートしています。Java AWT/Swing を使用するアプリケーションまたはアプレットを設定すると、Silk4NET は標準の AWT/Swing コントロールのテストのサポートを組み込みで提供します。
注: Java AWT/Swing アプリケーションまたはアプレットに埋め込まれた Java SWT コントロールや、Java SWT アプリケーションに埋め込まれた Java AWT/Swing コントロールもテストできます。
注: イメージ クリックの記録は、Java AWT/Swing コントロールを使用するアプリケーションまたはアプレットではサポートされません。

サンプル アプリケーション

Silk Test は、サンプルの Swing テスト アプリケーションを提供しています。サンプル アプリケーションを http://supportline.microfocus.com/websync/SilkTest.aspx からダウンロードしてインストールします。 サンプル アプリケーションをインストールしたあと、(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > Sample Applications > Java Swing > Swing Test Application、または (Microsoft Windows 10) スタート > Silk をクリックします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

Java AWT/Swing のテストで使用可能なコントロールの完全な一覧については、「Java Swing クラス リファレンス」を参照してください。

  • Java AWT/Swing アプリケーションの属性
    Java AWT/Swing アプリケーションがサポートする属性を示します。
  • Java メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • Java AWT/Swing テクノロジ ドメインでの priorLabel の判別
    Java AWT/Swing テクノロジ ドメインでの priorLabel の判別方法について説明します。
  • Oracle Forms のサポート
    Oracle Forms ベースのアプリケーションをテストするために Silk4NET が提供するサポートについて説明します。
親トピック: 特定の環境のテスト
関連資料
Java AWT および Swing クラス リファレンス


Java AWT/Swing アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Java AWT/Swing でサポートされる属性には以下のものがあります。
  • caption
  • priorlabel：隣接するラベル フィールドのテキストによってテキスト入力フィールドを識別します。 通常、フォームのすべての入力フィールドに、入力の目的を説明するラベルがあります。 caption のないコントロールの場合、自動的に属性 priorlabel がロケーターに使用されます。 コントロールの priorlabel 値 (テキスト入力フィールドなど) には、コントロールの左側または上にある最も近いラベルの caption が使用されます。
  • name
  • accessibleName
  • Swing のみ：すべてのカスタム オブジェクトの定義属性は、ウィジェットに putClientProperty("propertyName", "propertyValue") で設定されます。
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Java AWT/Swing のサポート
親トピック: サポートする属性の種類


Java メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk4NET がサポートするコントロールのメソッドとプロパティー。
  • SWT、AWT、または Swing ウィジェットのすべてのパブリック メソッド
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • プリミティブ型 (boolean、integer、long、double、string)

    プリミティブ型 (int など) とオブジェクト タイプ (java.lang.Integer など) の両方がサポートされます。プリミティブ型は必要に応じて拡大変換されます。たとえば、long が必要な場所で int を渡すことができます。

  • 列挙型

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが列挙型 java.sql.ClientInfoStatus のパラメータを必要とする場合、次の文字列値を使用できます： REASON_UNKNOWN、REASON_UNKNOWN_PROPERTY、REASON_VALUE_INVALID、REASON_VALUE_TRUNCATED

  • リスト

    リスト、配列、または可変長引数のパラメータを持つメソッドを呼び出すことができます。リストの要素がターゲットの配列型に代入可能の場合、配列型への変換は自動的に行われます。

  • その他のコントロール

    コントロール パラメーターは、TestObject として渡したり、返したりできます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
親トピック: Java AWT/Swing のサポート
親トピック: Java SWT と Eclipse RCP のサポート
関連概念
動的呼び出し
動的呼び出しに関するよくある質問


Java AWT/Swing テクノロジ ドメインでの priorLabel の判別

Java AWT/Swing テクノロジ ドメインで priorLabel を判別するには、ターゲット コントロールと同じウィンドウ内のすべてのラベルおよびグループを考慮する必要があります。 判別の基準は、次のとおりです。
  • priorLabel の候補とみなされるのは、コントロールの上または左にあるラベル、およびコントロールが属しているグループのみです。
  • コントロールの親が JViewPort または ScrollPane の場合、アルゴリズムはこのコントロールを含むウィンドウが親であるかのように機能し、外側の要素はどれも関連しないとみなされます。
  • 最も単純なケースでは、コントロールに最も近いラベルが priorLabel として使用されます。
  • 2 つのラベルがコントロールから等距離にあり、1 つがコントロールの左、もう 1 つが上にある場合は、左側のラベルが優先します。
  • 適したラベルがない場合は、最も近いグループのキャプションが使用されます。
親トピック: Java AWT/Swing のサポート


Oracle Forms のサポート

この機能がサポートされるのは、Open Agent を使用している場合のみです。

Silk4NET は、Oracle Forms ベースのアプリケーションのテストを組み込みでサポートします。

注: コントロールによっては、Silk4NET は低レベルの記録のみをサポートします。

サポート対象バージョン、既知の問題、回避策の詳細については、「リリース ノート」を参照してください。

  • Oracle Forms テストの前提条件
    Oracle Forms をテストするための前提条件を示します。
  • Oracle Forms アプリケーションの属性
    Oracle Forms ベースのアプリケーションがサポートする属性の一覧を提供します。
親トピック: Java AWT/Swing のサポート
関連資料
Java AWT および Swing クラス リファレンス


Oracle Forms テストの前提条件

Oracle Forms を使ってビルドしたアプリケーションをテストするには、次の前提条件を満たす必要があります。
  • 次世代 Java プラグインを有効化する必要があります。この設定は、デフォルトで有効になっています。Java コントロール パネル で設定を変更できます。次世代 Java プラグインの詳細については、Java のドキュメントを参照してください。
  • Java セキュリティ ダイアログをテストの実行中に表示されないようにするには、アプレットにサインする必要があります。
  • Micro Focus は、Oracle Forms 開発者が Names プロパティを有効にすることを推奨します。このプロパティを有効にすると、Oracle Forms ランタイムは内部の名前 を公開します。この名前は、コントロールの開発者が、コントロールの Name プロパティとしてコントロールに対して指定したものです。そうでない場合、Silk4NET は、コントロールのクラス名とインデックスから構成された値が、Silk4NET Name 属性として設定されます。これを使用すると、Silk4NET はコントロールに対して安定したロケーターを生成できます。
親トピック: Oracle Forms のサポート


Oracle Forms アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Oracle Forms がサポートする属性は次のとおりです。
  • priorlabel：隣接するラベル フィールドのテキストによってテキスト入力フィールドを識別します。 通常、フォームのすべての入力フィールドに、入力の目的を説明するラベルがあります。 caption のないコントロールの場合、自動的に属性 priorlabel がロケーターに使用されます。 コントロールの priorlabel 値 (テキスト入力フィールドなど) には、コントロールの左側または上にある最も近いラベルの caption が使用されます。
  • name
  • accessibleName
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Oracle Forms のサポート


Java SWT と Eclipse RCP のサポート

Silk Test は、SWT (Standard Widget Toolkit) コントロールのウィジェットを使用したアプリケーションのテストの組み込みサポートを提供します。Java SWT/RCP アプリケーションを設定すると、Silk Test は標準の Java SWT/RCP コントロールのテストのサポートを組み込みで提供します。

Silk Test では、以下をサポートしています。

  • Java AWT/Swing アプリケーションに埋め込まれた Java SWT コントロール、および Java SWT アプリケーションに埋め込まれた Java AWT/Swing コントロールのテスト。
  • Java SWT アプリケーションのテスト。
  • レンダリングに SWT ウィジェットを使用した Eclipse ベースのアプリケーション。 Silk Test は、Eclipse IDE ベース、および RCP ベースの両方のアプリケーションをサポートします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

SWT テストで使用できるウィジェットの完全なリストについては、「Java SWT クラス リファレンス」を参照してください。

  • Java SWT クラス リファレンス
    Java SWT をサポートするための Visual Basic クラスを一覧します。
  • Java SWT カスタム属性
    カスタム属性をテスト アプリケーションに追加して、テストをより安定させます。
  • Java SWT アプリケーションの属性
    Java SWT アプリケーションがサポートする属性の一覧を提供します。
  • Java メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • Java SWT と Eclipse アプリケーションのトラブルシューティング
    Silverlight アプリケーションのテスト時に発生する可能性のある問題の処理について有用な情報を提供します。
親トピック: 特定の環境のテスト


Java SWT クラス リファレンス

Java SWT アプリケーションを設定すると、Silk4NET は標準の Java SWT コントロールのテストのサポートを組み込みで提供します。

親トピック: Java SWT と Eclipse RCP のサポート
関連資料
Java SWT クラス リファレンス


Java SWT アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Java SWT がサポートする属性は次のとおりです。
  • caption
  • すべてのカスタム オブジェクト定義属性
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Java SWT と Eclipse RCP のサポート
親トピック: サポートする属性の種類


Java SWT と Eclipse アプリケーションのトラブルシューティング

一部の SWTTree メソッドが低レベル再生時に再生されない

低レベル再生を使用したとき、Expand や Collapse などの一部の SWTTree メソッドが再生されません。

この問題を解決するには、再生モードを デフォルト に設定します。詳細については、「再生オプションの設定」を参照してください。

SWTTree の非表示ノードの選択

低レベル再生を使用したとき、Silk4NET は SWTTree の非表示ノードを操作できません。

この問題を解決するには、再生モードを デフォルト に設定します。詳細については、「再生オプションの設定」を参照してください。

親トピック: Java SWT と Eclipse RCP のサポート
関連タスク
再生オプションの設定


モバイル アプリケーションのテスト

Silk4NET では、ネイティブ モバイル アプリケーション（アプリ）およびモバイル Web アプリケーションを自動的にテストすることができます。Silk4NET を使用してモバイル アプリケーションを自動的にテストすることには、次のメリットがあります。
  • モバイル アプリケーションのテスト時間を大幅に減少させることができます。
  • テストを一旦作成すれば、数多くの異なるデバイスやプラットフォーム上でモバイル アプリケーションをテストできます。
  • エンタープライズ モバイル アプリケーションに要求される信頼性とパフォーマンスを確保できます。
  • QA チームのメンバーおよびモバイル アプリケーションの開発者の効率を向上できます。
  • モバイル アプリケーションは、多くのモバイル デバイスとプラットフォームで動作することを要求されるため、アジャイルにフォーカスした開発環境にとって手動テストは十分効率的とは言えない場合があります。
注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。
注: Silk4NET は、Android および iOS デバイスの両方でのモバイル アプリのテストをサポートします。

モバイル アプリケーションのテストをサポートするオペレーティング システムとサポートするブラウザーについての情報は、『リリース ノート』を参照してください。

  • Android
    Android プラットフォーム上でモバイル アプリケーションをテストする方法について説明します。
  • iOS
    iOS プラットフォーム上でモバイル アプリケーションをテストする方法について説明します。
  • モバイル アプリケーションの記録
    モバイル デバイスまたは Android エミュレータ上のモバイル アプリケーションに対してテストを記録する方法について説明します。
  • テストを再生するモバイル デバイスの選択
    テストを再生するために使用するモバイル デバイス、Android エミュレータ、iOS シミュレータを定義する方法について説明します。
  • Silk4NET から UFT Mobile デバイスの直接使用
    UFT Mobile デバイスを使って、モバイル アプリケーションをテストできます。
  • Silk Central 経由での UFT Mobile デバイスの使用
    Silk4NET と Silk Central を統合すると、UFT Mobile デバイスをモバイル アプリケーションのテストに使用できます。
  • UFT Mobile との HTTPS 接続用証明書のインストール
    Silk4NET と UFT Mobile 間の通信に HTTPS によるセキュアな通信を使用するには、UFT Mobile 用の証明書を Open Agent が使用する Java のインストール ディレクトリにインストールする必要があります。
  • UFT Mobile パスワードの変更
    UFT Mobile パスワードが変更された場合、Silk4NET の ロケーションの編集 ダイアログを使って、新しいパスワードを適用する必要があります。
  • Sauce Labs デバイスの使用
    Silk4NET と Silk Central を統合すると、Sauce Labs デバイスをモバイル アプリケーションのテストに使用できます。
  • モバイル デバイスの接続文字列
    モバイル デバイスに接続するために接続文字列を指定する方法について説明します。
  • モバイル デバイスの操作
    記録 ウィンドウで モバイル デバイス操作の表示 を使って、モバイル デバイスを操作することができます。
  • モバイル デバイスの開放
    テストの記録または再生後にモバイル デバイスを開放しなければならない理由について説明します。
  • モバイル アプリケーションのテストにおける setLocation メソッドの使用
    モバイル アプリケーションのテスト時に、MobileDevice クラスの SetLocation メソッドを使用する方法を説明します。
  • モバイル アプリケーションのテスト時のトラブルシューティング
    モバイル アプリケーションのテスト時に発生する可能性のある問題の処理について有用な情報を提供します。
  • モバイル Web アプリケーションのテストにおける制限事項
    モバイル Web アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項を一覧します。
  • ネイティブ モバイル アプリケーションのテストにおける制限事項
    ネイティブ モバイル アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項を一覧します。
  • ネイティブ モバイル アプリに対するメソッドの動的呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • モバイル Web サイトでのオブジェクトのクリック
    テストの記録と再生時に、Silk4NET がモバイル Web サイトのオブジェクトのクリックを処理する方法について説明します。
  • 既存のモバイル Web テストの使用方法
    Silk Test 17.0 以降で既存のモバイル Web テストを使用できるように変更する方法について説明します。
親トピック: 特定の環境のテスト


Android

Silk4NET では、Android デバイスまたは Android エミュレータ上のモバイル アプリケーションをテストすることができます。

  • Android 上のモバイル アプリケーションのテストにおける前提条件
    Android 上のモバイル アプリケーションのテストにおける前提条件を示します。
  • Android 上のモバイル アプリケーションのテスト
    物理 Android デバイスや Android エミュレータ上のモバイル アプリケーションをテストするためにテスト環境を構成します。
  • Android 上のハイブリッド アプリケーションのテスト
    Silk4NET を使用して Android 上のハイブリッド アプリケーションをテストする方法について説明します。
  • USB ドライバのインストール
    モバイル アプリケーションをテストするために、最初に Android デバイスに接続する前に、ローカル マシンに適切な USB ドライバをインストールします。
  • USB デバッグの有効化
    Android Debug Bridge (adb) 上で Android デバイスと通信するために USB デバッグを有効化します。
  • Android デバイスの推奨設定
    テストを最適化するために Android デバイスで設定すべき項目を一覧します。
  • Silk4NET 用に Android エミュレータを設定する
    Silk4NET を使用してモバイル アプリケーションをテストするために Android エミュレータを設定します。
  • 並列テスト実行のテスト済みの構成
    このトピックでは、複数の Android デバイス上で並列にテストを実行するためのテスト構成の例を定義します。
親トピック: モバイル アプリケーションのテスト


Android 上のモバイル アプリケーションのテストにおける前提条件

Android デバイスや Android エミュレータ上のモバイル アプリケーションをテストする前に、次の前提条件を満たしていることを確認してください。
  • ネイティブ モバイル アプリに Web ビューを追加したハイブリッド アプリを作成した場合は、アプリを Silk4NET でテスト可能にするために、次のコードをアプリに追加してください。
    WebView.setWebContentsDebuggingEnabled(true);
webView.getSettings().setJavaScriptEnabled(true);
  • Silk4NET では、Android 4.4 のデバイス画面のライブ ビュー表示をサポートしていません。このため、Android 5 以降を使用することを Micro Focus は推奨しています。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト
関連資料
モバイル アプリケーションのテスト時のトラブルシューティング


Android 上のモバイル アプリケーションのテスト

物理 Android デバイスや Android エミュレータ上のモバイル アプリケーションをテストするには、次のタスクを実行します。

  1. Android 上のモバイル アプリケーションのテストにおける前提条件を満たすことを確認します。 詳細については、「Android 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。
  2. Android エミュレータ上のモバイル アプリケーションをテストするには、Silk4NET 用にエミュレータを設定します。 詳細については、「 Silk Test 用に Android エミュレータを設定する」を参照してください。
  3. Silk4NET をインストールしたマシンで Android エミュレータを開始するか、デバイスを接続します。
  4. 物理 Android デバイスを初めて使用するマシンでテストする場合、適切な Android USB ドライバをマシンにインストールします。 詳細については、「USB ドライバのインストール」を参照してください。
  5. 物理 Android デバイス上でモバイル アプリケーションをテストする場合は、Android デバイスの USB デバッグを有効化します。 詳細については、「USB デバッグの有効化」を参照してください。
  6. モバイル アプリケーション用の Silk4NET プロジェクトを作成します。
  7. モバイル アプリケーション用のテストを作成します。
  8. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  9. モバイル Web アプリケーションをテストするには：
    1. Web タブを選択します。
    2. 使用するモバイル ブラウザーを選択します。
    3. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。
  10. ネイティブ モバイル アプリケーションまたはハイブリッド アプリケーションをテストするには：
    注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。
    1. モバイル タブを選択します。
    2. アプリをテストするモバイル デバイスをリストから選択します。
    3. ネイティブ モバイル アプリケーションを選択します。
      • モバイル デバイスまたはエミュレータ上にアプリをインストールする場合は、参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイル テキスト フィールドにアプリ ファイルへの完全パスを入力します。このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。
      • Android デバイス上に既にインストールされているアプリを使用する場合は、パッケージ/アクティビティ リストからアプリを選択するか、パッケージ/アクティビティ フィールドにパッケージとアクティビティを指定します。
      • UFT Mobile 上で利用可能なアプリを使用する場合は、アプリ識別子 を指定します。
  11. OK をクリックします。 Android デバイスまたはエミュレータの画面が、テスト中にロックされないようにしてください。マシンに接続中にデバイスがロックされないようにするには、開発者向けオプション を開きます。スリープモードにしない または 充電中に画面をスリープにしない をチェックします。
  12. 記録 ウィンドウを使用して、モバイル アプリケーションに対するテストを記録します。 詳細については、「モバイル アプリケーションの記録」を参照してください。
  13. すべての操作の記録を終えたら、記録を停止します。
  14. テストを再生します。
  15. テスト結果を分析します。
親トピック: Android
関連概念
モバイル アプリケーションの記録
モバイル アプリケーションのテスト時のトラブルシューティング
関連タスク
USB ドライバのインストール
USB デバッグの有効化
関連資料
Android 上のモバイル アプリケーションのテストにおける前提条件
Android デバイスの推奨設定


Android 上のハイブリッド アプリケーションのテスト

ハイブリッド アプリケーション（アプリ）は、デバイス上で実行されるネイティブ アプリケーションのようなアプリですが、HTML5、CSS、JavaScript などの Web テクノロジを使用して記述されたアプリです。

Silk4NET は、ネイティブ コンテナに埋め込まれた単一の Web ビューで構成されたデバッグ ハイブリッド アプリのテストにする完全なブラウザー サポートを提供します。このようなハイブリッド アプリの一般的な例は、Apache Cordova アプリケーションです。

非デバッグ ハイブリッド アプリをテスト可能にするには、次のコードをアプリに追加してアプリをリモート デバッグできるようにします。
WebView.setWebContentsDebuggingEnabled(true);
webView.getSettings().setJavaScriptEnabled(true);
リモート デバッグを有効化しない非デバッグ ハイブリッド アプリや、複数の Web ビューを含んだハイブリッド アプリをテストするには、Silk4NET フォールバック サポートを有効化するために、オプション OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT を TRUE に設定します。詳細については、「詳細オプションの設定」を参照してください。フォールバック サポートを有効化すると、Silk4NET は Web ビューのコントロールをブラウザー コントロールではなく、ネイティブ モバイル コントロールとして解決して処理します。たとえば、以下のコードは、ブラウザー サポートを使用したときのリンクのクリックです。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False)
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False);
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click();
フォールバック サポートを有効化すると、同じリンクをクリックするコードは次のようになります。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True)
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True);
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click();
Silk4NET は、Chrome リモート デバッグをサポートする Web ビューを検出できます。 Silk4NET は、com.android.webview パッケージまたは com.google.android.webview パッケージ（多くの Android デバイス上のデフォルト パッケージ）のいずれかを使用した Web ビューを検出できます。
注: Silk4NET は、Android 4.4 以降でのハイブリッド アプリのテストをサポートします。Android でハイブリッド アプリをテストするには、Android システムの WebView バージョン 51 以降が必要です。

Android 上のハイブリッド アプリをテストする手順は、モバイル ネイティブ アプリケーションをテストする手順と同じです。詳細については、「Android 上のモバイル アプリケーションのテスト」を参照してください。

親トピック: Android
関連概念
iOS 上のハイブリッド アプリケーションのテスト
関連タスク
詳細オプションの設定
関連資料
Android 上のモバイル アプリケーションのテストにおける前提条件


USB ドライバのインストール

モバイル アプリケーションをテストするために、ローカル マシンに最初に Android デバイスに接続するには、適切な USB ドライバをインストールする必要があります。

デバイスの製造元は、そのデバイスに必要なすべてのドライバをもった実行可能ファイルを提供している可能性があります。この場合、ローカル マシンにその実行可能ファイルをインストールするだけです。製造元がこのような実行可能ファイルを提供していない場合、マシン上にデバイスに対する単一の USB ドライバをインストールできます。

Android USB ドライバをインストールするには：

  1. デバイス用の適切なドライバをダウンロードします。 たとえば、Google Nexus デバイス用の USB ドライバを検索し、インストールする場合は、http://developer.android.com/tools/extras/oem-usb.html を参照します。
  2. Android デバイスをローカル マシンの USB ポートに接続します。
  3. デスクトップ、またはWindows Explorer から、コンピュータ を右クリックし、管理 を選択します。
  4. 左側のペインで、デバイス マネージャ を選択します。
  5. 右側のペインで、その他のデバイス を探して展開します。
  6. デバイス名 (Nexus 5x など) を右クリックして、ドライバ ソフトウェアの更新 を選択します。 ハードウェアの更新ウィザード が開きます。
  7. コンピュータを参照してドライバ ソフトウェアを検索します を選択して、次へ をクリックします。
  8. 参照 をクリックし、USB ドライバをダウンロードしたフォルダに移動します。
  9. USB ドライバを選択します。
  10. 次へ をクリックしてドライバをインストールします。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト


USB デバッグの有効化

Android Debug Bridge (adb) 上で Android デバイスと通信するために USB デバッグを有効化します。
  1. Android デバイスで設定を開きます。
  2. 開発者向けオプション (Dev Settings) をタップします。 開発者向けオプションは、デフォルトでは表示されません。開発者向けオプションがデバイスの設定メニューに含まれていない場合：
    1. 画面を下にスクロールさせて、デバイスが携帯電話の場合は 端末情報 を、タブレットの場合は タブレット情報 をタップします。
    2. 再度画面を下にスクロールさせて ビルド番号 を 7 回タップします。
  3. 開発者向けオプション ウィンドウで、USB デバッグ をオンにします。
  4. デバイスの USB モードをデフォルトの設定である メディア デバイス (MTP) に設定します。 詳細については、デバイスのドキュメントを参照してください。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト


Android デバイスの推奨設定

Silk4NET を使用したテストを最適化するために、テストしたい Android デバイスで次の設定を行ってください。
  • USB デバッグを Android デバイスで有効化します。詳細については、「USB デバッグの有効化」を参照してください。
  • Android デバイスは、Open Agent を実行しているマシンに、メディア デバイスとして接続されている必要があります。Android デバイスの USB モードは、メディア デバイス (MTP) を設定します。
  • Android デバイスまたはエミュレータの画面が、テスト中にロックされないようにしてください。マシンに接続中にデバイスがロックされないようにするには、開発者向けオプション を開きます。スリープモードにしない または 充電中に画面をスリープにしない をチェックします。
  • Android の設定で、3 ボタン ナビゲーション を有効にしてください。2 ボタン ナビゲーション と ジェスチャー ナビゲーション はサポートしていません。
親トピック: Android
関連タスク
Android 上のモバイル アプリケーションのテスト
関連資料
iOS デバイスの推奨設定


Silk4NET 用に Android エミュレータを設定する

注: Android エミュレータを使用する場合、Silk4NET が使用している adb サーバー以外の adb サーバーが実行されてます。バージョンの異なる adb サーバーが実行中の場合、Open Agent とデバイスとの接続が不安定になったり、接続できない場合があります。このようなバージョンの不一致によるエラーを避けるには、環境変数 SILK_ANDROID_HOME に Android SDK ディレクトリへのパス（C:\Users\<ユーザー>\AppData\Local\Android\android-sdk など）を指定してください。Information Service が実行中の場合、Windows のサービス マネージャーを使用して、Silk Test Information Service を再起動して更新した環境変数を適用する必要があります。環境変数が設定されていない場合は、Silk4NET は Silk4NET に同梱されたバージョンの adb を使用します。
Silk4NET を使用して Android エミュレータ上でモバイル アプリケーションをテストする場合、テスト用にエミュレータを設定する必要があります。
  1. Android SDK の最新版をインストールします。 Android SDK のインストールと設定についての詳細は、「Get the Android SDK」を参照してください。
  2. Android Studio 2 以降をインストールします。
    ヒント: Android Studio のインストールをスキップして、Android SDK で提供されるエミュレータを使用することもできます。ただし、エミュレータのパフォーマンスを向上させるため、Android Studio をインストールすることを、Micro Focus では推奨しています。このトピックの以下の手順では、Android Studio がインストールされていることを前提としています。
  3. Android Studio から AVD Manager を開きます。
  4. Create Virtual Device をクリックします。
  5. 仮想デバイスを選択します。
  6. Next をクリックします。
  7. Google API を含む Android のシステム イメージをダウンロードして選択します。
  8. Next をクリックします。
  9. 要件に従って仮想デバイスを設定します。
  10. Show Advanced Settings をクリックします。
  11. エミュレータが使用する RAM サイズとヒープ領域を対象のマシンで管理可能な量に調整します。
    ヒント: 最低 1 GB の RAM と 256 MB のヒープ領域を使用することを、Micro Focus では推奨しています。
  12. Emulated Performance 領域のリストで Auto を選択します。

  13. Finish をクリックします。
親トピック: Android


並列テスト実行のテスト済みの構成

Silk4NET を使用して、複数の Android デバイス上で並列に自動テストを実行することができます。並列に実行できる Android デバイスの数は利用可能なハードウェアに依存します。 Micro Focus では、次のハードウェア構成でテストの実行を確認しています。

単一テスト マシンを使用した構成

USB により Android デバイスを直接接続した単一のテスト マシンを使用して、最大 8 台の物理 Android デバイスまでの並列テストを行いました。

テスト マシンは、次のハードウェア仕様の Lenovo ThinkPad T450 です。
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 8 GB RAM

2 台のテスト マシンを使用した構成

また、2 台のテスト マシンを使用してテストを行いました。 1 台に Silk4NET をインストールし、もう 1 台には Silk Test Information Service をインストールして最初のマシンのリモート ロケーションとして設定しました。このような構成を使用して、最大 10 台の物理 Android デバイスまでの並列テストを行いました。

テスト マシン 1 は、次のハードウェア仕様の Lenovo ThinkPad T450 です。
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 8 GB RAM
テスト マシン 2 は、次のハードウェア仕様の Dell Precision T1700 です。
  • Intel® Core™ i7 - 4770 CPU @ 3.40 GHz
  • 4 コア (8 スレッド)
  • 16 GB RAM

Windows マシンと Mac を使用した構成

さらに、2 台のテスト マシンを使用したテストで、Windows マシンに Silk4NET をインストールし、Mac には Silk Test Information Service をインストールして最初のマシンのリモート ロケーションとして設定しました。このような構成を使用して、最大 10 台の物理 Android デバイスまでの並列テストを行いました。

テスト マシン 1 は、次のハードウェア仕様の Lenovo ThinkPad T450 です。
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 8 GB RAM
テスト マシン 2 は、次のハードウェア仕様の Apple Mac Mini です。
  • Intel® Core™ i5 - 4782U CPU @ 2.60 GHz
  • 2 コア (4 スレッド)
  • 16 GB RAM
親トピック: Android


iOS

Silk4NET では、iOS デバイスまたは iOS シミュレータ上のモバイル アプリケーションをテストすることができます。

iOS の以前のバージョンと比べて、iOS 9.3 に対して大幅な変更が Apple によってなされたため、Silk Test は iOS 9.3 以降のモバイル アプリケーションのテストをサポートします。サポートされている iOS のバージョンのリストについては、『リリース ノート』を参照してください。

注: iOS 11 上のモバイル アプリケーションのテストには Xcode 9 が必要です。Mac 上で Xcode 9 を使用している場合は、この Mac に接続（または実行）されている iOS 11 より前のバージョンの iOS をインストールした物理デバイスおよびシミュレータ上でのテストはサポートされません。iOS 9.3 または iOS 10 の物理デバイスまたはシミュレータでテストする場合は、Xcode 8.3 を使用してください。
  • iOS 上のモバイル アプリケーションのテストにおける前提条件
    iOS 上のモバイル アプリケーションのテストにおける前提条件を示します。
  • 物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
    物理 iOS デバイス上のネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするためにテスト環境を構成します。
  • iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
    iOS シミュレータ上のネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするためにテスト環境を構成します。
  • 物理 iOS デバイス上のモバイル Web アプリケーションのテスト
    物理 iOS デバイス上のモバイル Web アプリケーションをテストするためにテスト環境を構成します。
  • iOS シミュレータ上のモバイル Web アプリケーションのテスト
    iOS シミュレータ上のモバイル Web アプリケーションをテストするためにテスト環境を構成します。
  • iOS 上のハイブリッド アプリケーションのテスト
    Silk4NET を使用して iOS 上のハイブリッド アプリケーションをテストする方法について説明します。
  • iOS デバイスのテストの準備
    モバイル アプリケーションをテストするために iOS デバイスを準備します。
  • iOS アプリのテストの準備
    Silk4NET でiOS アプリをテストできるように、アプリを準備する方法を説明します。
  • Silk Test Information Service を Mac にインストールする
    Information Service を Mac にインストールし、Silk4NET を使用して iOS 上の Apple Safari やモバイル アプリケーションをテストできます。
  • iOS 上でのモバイル アプリケーションのテストのための Mac の準備
    iOS 上のモバイル アプリケーションをテストするために、Mac を準備します。
  • パーソナル チーム プロファイルを使用した物理 iOS デバイス上でのテスト
    Apple Developer Program のメンバーシップに登録していない場合は、パーソナル チーム プロファイル（Personal Team）を使用して、物理 iOS デバイス上でアプリケーションをテストします。
  • Silk Test Information Service プロパティの編集
    infoservice.properties ファイルを使用して、Silk Test Information Service のポートや、HTTPS によるセキュアな接続を使用するかどうかを指定したり、Silk Test Information Service を実行しているマシン上で Silk Test がテストを実行するたびに毎回適用されるケイパビリティ（Capabilities）を指定できます。
  • Silk Test Information Service を Mac からアンインストールする
    Silk4NET を使用して iOS 上の Apple Safari やモバイル アプリケーションをテストする必要がなくなった場合、Information Service を Mac からアンインストールできます。
  • iOS デバイスの推奨設定
    テストを最適化するために iOS デバイスで設定すべき項目を一覧します。
  • XCUITest を使用した iOS 上の既存のスクリプトの実行
    iOS 9.3 で導入された変更に対応するために、スクリプトに変更を行う手順について説明します。
親トピック: モバイル アプリケーションのテスト


iOS 上のモバイル アプリケーションのテストにおける前提条件

iOS デバイスや iOS シミュレータ上のモバイル アプリケーションをテストする前に、次の前提条件を満たしていることを確認してください。
  • 現在のバージョンの Silk Test Information Service が Mac 上にインストールされている。詳細については、「Silk Test Information Service を Mac にインストールする」を参照してください。
  • 物理 iOS デバイス上でアプリケーションをテストする場合は、以下の項目を確認してください。
    • デバイスが Mac に接続されている。
    • デバイスが iOS のサポートされているバージョンである。サポートされている iOS のバージョンのリストについては、『リリース ノート』を参照してください。
  • iOS シミュレータ上でアプリケーションをテストする場合は、以下の項目を確認してください。
    • iOS シミュレータのイメージが Mac 上にインストールされている。
    • iOS シミュレータのイメージが iOS のサポートされているバージョンである。サポートされている iOS のバージョンのリストについては、『リリース ノート』を参照してください。
  • 物理 iOS デバイス上でアプリケーションをテストする場合は、デバイスと Mac の両方ともタイム ゾーンが同じである。
  • サポートするバージョンの Xcode が Mac 上にインストールされている。
  • Windows マシン上に Silk4NET がインストールされている。
  • Mac が Windows マシンと同じネットワークにあり、Windows マシンにリモート ロケーションとして追加されている。
  • iOS デバイス上でネイティブ モバイル アプリをテストする場合は、Developer Account でサインされたアプリの .ipa ファイルが作成されている。詳細については、「iOS アプリのテストの準備」を参照してください。
  • iOS シミュレータ上でネイティブ モバイル アプリをテストする場合は、ZIP 形式に圧縮したアプリが作成されている。詳細については、「iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト」を参照してください。
  • iOS デバイスと iOS シミュレータの両方でネイティブ モバイル アプリをテストする場合は、サインした .ipa ファイルと ZIP した .app ディレクトリ（ファイル拡張子以外同じ名前）の両方が同じフォルダに作成されている。
  • ネイティブ モバイル アプリをテストする場合は、iOS デバイスの ID がアプリをサインするのに使用した Developer Profile に関連付けられている。
  • iOS デバイスのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
  • テスト中に Mac の画面がオフにならないようにしてください。オフになると、再生ステータス ダイアログ ボックスに何も表示されなくなります。
  • iOS シミュレータ上でモバイル アプリケーションをテストする場合は、テスト中に Mac のディスプレイ スリープが無効化されている。
  • 物理 iOS デバイス上のネイティブ モバイル アプリをテストする場合は、デバイスで UI オートメーションが有効化されている。詳細については、「iOS デバイスのテストの準備」を参照してください。
  • 物理 iOS デバイス上で Apple Safari を使用してのモバイル Web アプリケーションをテストする場合は、Web インスペクタ が有効化されている。詳細については、「iOS デバイスのテストの準備」を参照してください。
  • Lightning コネクタを持つ iOS デバイスを使用することを Micro Focus では推奨しています。これは、Silk4NET では、Lightning ケーブルで Mac に接続していない iOS デバイスのデバイス画面のライブ ビュー表示をサポートしていないためです。
親トピック: iOS
関連タスク
Silk Test Information Service を Mac にインストールする


物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト

注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

iOS 上のモバイル アプリケーションのテストにおける前提条件については、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。ネイティブ モバイル アプリケーションをテストする際の既知の制限については、「モバイル ネイティブ アプリケーションのテストにおける制限事項」を参照してください。

物理 iOS デバイス上のネイティブ モバイル アプリケーション (アプリ) やハイブリッド アプリケーションをテストするには、次のタスクを実行します。
  1. テストする iOS デバイスを準備します。 詳細については、「iOS デバイスのテストの準備」を参照してください。
  2. テストするアプリを準備します。 詳細については、「iOS アプリのテストの準備」を参照してください。
  3. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  4. iOS デバイスが接続されている Mac を、Silk Test がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  5. モバイル アプリケーション用の Silk4NET プロジェクトを作成します。
  6. モバイル アプリケーション用のテストを作成します。
  7. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  8. モバイル タブを選択します。
  9. アプリをテストするモバイル デバイスをリストから選択します。
  10. ネイティブ モバイル アプリケーションを選択します。
    • モバイル デバイスまたはエミュレータ上にアプリをインストールする場合は、参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイル テキスト フィールドにアプリ ファイルへの完全パスを入力します。このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。
    • iOS デバイス上に既にインストールされているアプリを使用する場合は、バンドル ID を指定します。
    • UFT Mobile 上で利用可能なアプリを使用する場合は、アプリ識別子 を指定します。
  11. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > Touch ID とパスコード を選択します。
  12. すべての操作の記録を終えたら、記録を停止します。
  13. テストを再生します。
  14. テスト結果を分析します。
注: iOS デバイスと iOS シミュレータの両方でネイティブ モバイル アプリをテストする場合は、サインした .ipa ファイルと ZIP した .app ディレクトリ（ファイル拡張子以外同じ名前）の両方が同じフォルダに作成されている。
親トピック: iOS
関連概念
iOS アプリのテストの準備
関連タスク
iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
物理 iOS デバイス上のモバイル Web アプリケーションのテスト
iOS シミュレータ上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件
iOS デバイスの推奨設定


iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト

注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

iOS 上のモバイル アプリケーションのテストにおける前提条件については、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。ネイティブ モバイル アプリケーションをテストする際の既知の制限については、「モバイル ネイティブ アプリケーションのテストにおける制限事項」を参照してください。

iOS シミュレータ上のネイティブ モバイル アプリケーション (アプリ) やハイブリッド アプリケーションをテストするには、次のタスクを実行します。
  1. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  2. アプリの Xcode プロジェクトで、iOS シミュレータ用にアプリをコンパイルします。 Xcode UI からでも、コマンドラインからでもアプリをコンパイルできます。たとえば、iOS 10.0 で iOS シミュレータ用のアプリをコマンドラインでコンパイルするには、次のコマンドを実行します。
    xcodebuild -sdk iphonesimulator10.0
  3. アプリの .app ディレクトリを .zip ファイルに Zip します。 デフォルトでは、.app ディレクトリは、~/Library/Developer/Xcode/DerivedData ディレクトリにあります。Xcode で File > Project Settings をクリックすれば、ディレクトリがある場所を確認できます。
  4. iOS シミュレータがインストールされている Mac を、Silk4NET がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: Mac にインストールされている 1 つの iOS シミュレータでのみテストを実行できます。複数の Silk4NET ユーザーが、同じ Mac にインストールされている複数の iOS シミュレータ上で同時にテストを実行することはできません。
  5. モバイル アプリケーション用の Silk4NET プロジェクトを作成します。
  6. モバイル アプリケーション用のテストを作成します。
  7. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  8. モバイル タブを選択します。
  9. リストから iOS シミュレータを選択します。
  10. ネイティブ モバイル アプリケーションを選択します。
    • iOS シミュレータ上にアプリをインストールする場合は、参照 をクリックして ZIP 形式のアプリ ファイルを選択するか、アプリ ファイル テキスト フィールドに ZIP 形式のアプリ ファイルへの完全パスを入力します。このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。
    • iOS シミュレータ上に既にインストールされているアプリを使用する場合は、バンドル ID を指定します。
  11. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > Touch ID とパスコード を選択します。
  12. すべての操作の記録を終えたら、記録を停止します。
  13. テストを再生します。
  14. テスト結果を分析します。
注: iOS デバイスと iOS シミュレータの両方でネイティブ モバイル アプリをテストする場合は、サインした .ipa ファイルと ZIP した .app ディレクトリ（ファイル拡張子以外同じ名前）の両方が同じフォルダに作成されている。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
物理 iOS デバイス上のモバイル Web アプリケーションのテスト
iOS シミュレータ上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件


物理 iOS デバイス上のモバイル Web アプリケーションのテスト

iOS 上のモバイル アプリケーションのテストにおける前提条件については、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。モバイル Web アプリケーションをテストする際の既知の制限については、「モバイル Web アプリケーションのテストにおける制限事項」を参照してください。
物理 iOS デバイス上のモバイル Web アプリケーションをテストするには、次のタスクを実行します。
  1. テストする iOS デバイスを準備します。 詳細については、「iOS デバイスのテストの準備」を参照してください。
  2. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  3. iOS デバイスが接続されている Mac を、Silk Test がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  4. モバイル アプリケーション用の Silk4NET プロジェクトを作成します。
  5. モバイル アプリケーション用のテストを作成します。
  6. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  7. モバイル Web アプリケーションをテストするには：
    1. Web タブを選択します。
    2. 使用するモバイル ブラウザーを選択します。
    3. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。
  8. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > Touch ID とパスコード を選択します。
  9. すべての操作の記録を終えたら、記録を停止します。
  10. テストを再生します。
  11. テスト結果を分析します。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
iOS シミュレータ上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件


iOS シミュレータ上のモバイル Web アプリケーションのテスト

モバイル Web アプリケーションをテストする際の既知の制限については、「モバイル Web アプリケーションのテストにおける制限事項」を参照してください。

iOS シミュレータ上のモバイル Web アプリケーションをテストするには、次のタスクを実行します。

  1. テストする Mac を準備します。 詳細については、「iOS 上でのモバイル アプリケーションのテストのための Mac の準備」を参照してください。
  2. iOS シミュレータがインストールされている Mac を、Silk Test がインストールされている Windows マシンに、リモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
    注: 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  3. モバイル アプリケーション用の Silk4NET プロジェクトを作成します。
  4. モバイル アプリケーション用のテストを作成します。
  5. テストで実行する操作を記録します。 記録 ウィンドウを開始すると、アプリケーションの選択 ダイアログ ボックスが開きます。
  6. モバイル Web アプリケーションをテストするには：
    1. Web タブを選択します。
    2. 使用するモバイル ブラウザーを選択します。
    3. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。
  7. OK をクリックします。 iOS デバイスやシミュレータのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > Touch ID とパスコード を選択します。
  8. すべての操作の記録を終えたら、記録を停止します。
  9. テストを再生します。
  10. テスト結果を分析します。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト
物理 iOS デバイス上のモバイル Web アプリケーションのテスト
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件


iOS 上のハイブリッド アプリケーションのテスト

ハイブリッド アプリケーション（アプリ）は、デバイス上で実行されるネイティブ アプリケーションのようなアプリですが、HTML5、CSS、JavaScript などの Web テクノロジを使用して記述されたアプリです。

Silk4NET は、ネイティブ コンテナに埋め込まれた単一の Web ビューで構成されたデバッグ ハイブリッド アプリのテストにする完全なブラウザー サポートを提供します。このようなハイブリッド アプリの一般的な例は、Apache Cordova アプリケーションです。

リモート デバッグを有効化しない非デバッグ ハイブリッド アプリや、複数の Web ビューを含んだハイブリッド アプリをテストするには、Silk4NET フォールバック サポートを有効化するために、オプション OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT を TRUE に設定します。詳細については、「詳細オプションの設定」を参照してください。フォールバック サポートを有効化すると、Silk4NET は Web ビューのコントロールをブラウザー コントロールではなく、ネイティブ モバイル コントロールとして解決して処理します。たとえば、以下のコードは、ブラウザー サポートを使用したときのリンクのクリックです。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False)
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False);
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click();
フォールバック サポートを有効化すると、同じリンクをクリックするコードは次のようになります。
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True)
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True);
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click();

iOS 上のハイブリッド アプリをテストする手順は、モバイル ネイティブ アプリケーションをテストする手順と同じです。詳細については、「物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト」または「iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト」を参照してください。

iOS デバイス上のハイブリッド アプリをテストする前に、デバイスで Web インスペクタ が有効化されていることを確認してください。詳細については、「iOS デバイスのテストの準備」を参照してください。

親トピック: iOS
関連概念
Android 上のハイブリッド アプリケーションのテスト
関連タスク
詳細オプションの設定


iOS デバイスのテストの準備

注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

モバイル アプリケーションをテストするために iOS デバイスを準備するには：

  1. Mac 上で Xcode を起動します。
  2. iOS デバイスを Mac に接続します。
  3. iOS デバイスで、設定 > デベロッパ をクリックします。
    ヒント: デベロッパ メニューが iOS デバイスに表示されていない場合は、デバイスと Mac を再起動します。
  4. Enable UI Automation をオンにします。
  5. Apple Safari 上でモバイル Web アプリケーションをテストするには、設定 > Safari > 詳細 をクリックします。
  6. Web インスペクタ をオンにします。
  7. iOS シミュレータ上でテストを行う場合は、Rotate Device Automatically をオンにします。 この設定は、Silk Test Configuration Assistant を使うか、手動でオンにできます。Mac 上で Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。手動でオンにするには、以下の操作を実行します。
    1. Mac 上で iOS シミュレータを開始します。
    2. Xcode 9 以降を使用している場合は、Hardware メニューを開きます。 以前のバージョンの Xcode を使用している場合は、Debug メニューを開きます。
    3. Rotate Device Automatically をオンにします。
親トピック: iOS


iOS アプリのテストの準備

Silk4NET を使用して特定の デバイス上で特定の iOS アプリをテストできるようにするには、次の項目を考慮する必要があります。
  • 特定の デバイスに手動でインストールできる iOS アプリに対してのみテストを自動化できます。iOS アプリにサインできるようにするために、Apple Developer Program のメンバーシップに登録する必要があります。詳細については、「メンバーシップの選択」を参照してください。Apple Developer Program のメンバーシップに登録せずにテストを行う場合は、「パーソナル チーム プロファイルを使用した物理 iOS デバイス上でのテスト 」を参照してください。
    注: App Store で配布するように作成された アプリや、任意の iOS デバイスに手動でインストールできるアプリを自動的にテストできません。
  • 特定の デバイスで アプリをインストールして実行する前に、iOS デバイスを Apple Developer アカウントを使用して登録する必要があります。
  • デバイスに iOS アプリをインストールするには、Xcode を使用してアプリの IPA ファイルを作成する必要があります。特定の iOS デバイスでのテスト用に IPA ファイルを作成するには、Apple Developer Program のメンバーとして Xcode の Archive 機能を使用します。この機能には 2 つのオプションがあります。
    • Apple Developer Enterprise Program のメンバーの場合、Save for Ad Hoc Deployment オプションを使用できます。
    • Apple Developer Enterprise Program のメンバー以外の Apple Developer Program のメンバーの場合、Save for Development Deployment オプションを使用できます。
    詳細については、「Exporting Your App for Testing (iOS, tvOS, watchOS)」を参照してください。

シミュレータ上の特定の アプリを Silk4NET を使用してテストできるようにするには、Xcode を使用して アプリの Zip ファイルを作成してから iOS シミュレータ上にインストールします。詳細については、Xcode のドキュメントを参照してください。

親トピック: iOS
関連タスク
Silk Test Information Service を Mac にインストールする
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト


Silk Test Information Service を Mac にインストールする

注: Information Service を Mac にインストールするには、Mac の管理者権限が必要です。

Mac 上の Apple Safari や、iOS デバイスや Android デバイスを使ってテストを作成、実行するには、Mac上に Silk Test Information Service（Information Service）をインストールします。Information Service をインストールして実行すると、Windows マシン上にインストールした Silk4NET クライアントからテストを記録、再生できるようになります。

注: Mac 上で記録することはできません。Mac をテスト ロケーションとして Silk4NET に追加する場合は、Silk4NET ドキュメントの「リモート ロケーションの編集」を参照してください。

Information Service を Mac にインストールするには：

  1. Silk4NET ドキュメント「 Mac 上の Apple Safari を使用したテストにおける前提条件」を参照してください。
  2. Java JDK が Mac 上にインストールされていることを確認します。
  3. iOS デバイス上でモバイル アプリケーションをテストする場合は、Xcode が Mac 上にインストールされていることを確認します。
  4. Information Service セットアップ ファイル（SilkTestInformationService<バージョン>-<ビルド番号>.pkg にアクセスします。
    • Silk Test のインストール時に Information Service セットアップ ファイルをダウンロードした場合は、Silk Test インストール ディレクトリ（C:\Program Files (x86)\Silk\SilkTest など）の macOS フォルダを開きます。
    • Silk Test のインストール時に Information Service セットアップ ファイルをダウンロードしなかった場合は、OpenText SupportLine からセットアップ ファイルをダウンロードできます。
  5. SilkTestInformationService<バージョン>-<ビルド番号>.pkg ファイルを Mac にコピーします。
  6. SilkTestInformationService<バージョン>-<ビルド番号>.pkg を実行して、Information Service をインストールします。
  7. インストール ウィザードの指示に従います。
  8. パスワードを尋ねられた場合、現在サインインしている Mac ユーザーのパスワードを入力します。
  9. Apple Safari が開き、SafariDriver を信頼するかどうかを尋ねるメッセージ ボックスが表示されたら、信頼 をクリックします。
    注: macOS 10.12（Sierra）以前上で Apple Safari 10 以前に対してテストを実行する場合は、Mac 上に SafariDriver をインストールする必要があります。リモート接続ではなく、直接 Mac にログインしている場合には、SafariDriver だけをインストールできます。
  10. インストールを完了するために、現在の Mac ユーザーをログアウトします。Information Service が正しくインストールされていることを確認するには、Mac にログインします。
  11. macOS Mojave (10.14) 以降の Mac に Information Service をインストールした場合、Mac にログインした後で Silk Test に対するオートメーションの承認を許可する必要があります。 許可を与える必要がある場合、Silk Test は要求の承認ダイアログを自動的に表示します。
    1. OK をクリックして、許可して情報ダイアログを閉じます。
    2. その後に表示されるすべての要求の承認ダイアログに対して、OK をクリックします。
    重要: これらの Silk Test に対する承認を許可しないと、Google Chrome 上の Web アプリケーションや iOS デバイスやシミュレーター上のモバイル アプリケーションを、この Mac でテストできなくなります。いずれかの承認ダイアログで、誤って 許可しない をクリックしてしまった場合は、Mac 上でターミナルを開き、次のコマンドを実行してください。
    sudo tccutil reset AppleEvents
    その後、Mac を再起動して、再度承認ダイアログが表示されたら OK をクリックして許可します。
  12. 画面の右上にある Silk Test アイコンをクリックすると、利用可能なデバイスをブラウザーを確認できます。
    ヒント: Silk Test アイコンが表示されない場合は、Mac を再起動してください。
親トピック: iOS
親トピック: Mac 上の Apple Safari を使用したテスト
関連概念
iOS アプリのテストの準備
関連タスク
リモート ロケーションの編集
関連資料
iOS 上のモバイル アプリケーションのテストにおける前提条件
Mac 上の Apple Safari を使用したテストにおける前提条件


iOS 上でのモバイル アプリケーションのテストのための Mac の準備

注: Silk4NET を使用してネイティブ モバイル アプリケーションやハイブリッド アプリケーションをテストするには、ネイティブ モバイル ライセンスが必要です。詳細については、「ライセンス情報」を参照してください。

iOS 上でモバイル アプリケーションをテストするためには、iOS デバイスを接続した、または iOS シミュレータを実行している Mac が必要です。この Mac には Xcode がインストールされている必要があります。iOS 上のモバイル アプリケーションのテストにおける前提条件についての詳細は、「iOS 上のモバイル アプリケーションのテストにおける前提条件」を参照してください。

iOS テストを物理 iOS デバイス上で実行するには、Silk Test Configuration Assistant の指示に従って WebDriverAgentRunner Xcode プロジェクトを設定します。Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。

WebDriverAgentRunner Xcode プロジェクトを手動でビルドしたい場合には、次の手順を実行します。

  1. Mac 上で Xcode を起動します。
  2. Xcode > Preferences を選択します。

  3. Preferences ウィンドウで、アカウントを選択します。
    1. Accounts タブを選択します。
    2. Apple ID を選択します。
    3. Team を選択します。
    4. View Details をクリックします。

  4. Apple Member Center にアクセスし、開発チーム ID を取得します。
  5. ターミナルで、~/.silk/silktest/conf/ に移動します。
  6. xcconfig ファイル テンプレート silktest.xcconfig.sample を silktest.xcconfig という名前に変更します。
  7. 開発チーム ID を silktest.xcconfig ファイルに追加します。
    DEVELOPMENT_TEAM = <your development team>
  8. Mac 上のターミナルで次のコマンドを実行すると、WebDriverAgentRunner プロジェクトが正しく準備できたかどうかを確認できます。
    1. 物理 iOS デバイスの UDID（Unique Device ID）を見つけます。
      idevice_id -l
    2. WebDriverAgentRunner プロジェクトに移動します。
      cd /Application/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver/WebDriverAgent
    3. WebDriverAgent がビルドできるかどうかをテストします。
      xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner –xcconfig ~/.silk/silktest/conf/silktest.xcconfig -destination 'id=<udid>' test
      <udid> を先ほど見つけた UDID で置き換えます。
      ヒント: xcodebuild コマンドが失敗する場合には、エラー メッセージの手順に従ってください。さらに、WebDriverAgentRunner プロジェクトで Preferences ウィンドウを開き、General タブの Automatically manage signing チェック ボックスがオフになっていることを確認します。
  9. 省略可能：infoservice.properties ファイルには、Silk Test Information Service のポートや、Mac 上でのすべてのテストの実行で使用されるケイパビリティを指定することができます。 詳細については、「Silk Test Information Service プロパティの編集」を参照してください。
親トピック: iOS
関連タスク
Apple Safari のテストの準備
関連資料
Mac 上の Apple Safari を使用したテストにおける前提条件


パーソナル チーム プロファイルを使用した物理 iOS デバイス上でのテスト

Apple Developer Program のメンバーシップに登録していない場合は、パーソナル チーム プロファイルを使用して、物理 iOS デバイス上のアプリケーションをテストできます。
  1. Mac 上で、/Application/Silk/Mobile/common/Appium/node_modules/appium-xcuitestdriver/WebDriverAgent に移動します。
  2. WebDriverAgent.xcodeproj プロジェクトを Xcode で開きます。
  3. TARGETS リストから、WebDriverAgentLib ターゲットを選択します。
    1. General タブをクリックします。
    2. Automatically manage signing を選択します。
    3. 開発チームを選択します。
    Signing Certificate は自動的に選択されます。
  4. TARGETS リストから、WebDriverAgentRunner ターゲットを選択します。
    1. General タブをクリックします。
    2. Automatically manage signing を選択します。
    3. 開発チームを選択します。
    Signing Certificate は自動的に選択されます。
  5. WebDriverAgentRunner ターゲットに対するプロビジョニング プロファイルの作成に Xcode が失敗する場合は、ターゲットのバンドル ID を手動で変更します。
    1. Build Settings タブをクリックします。
    2. Product Bundle Identifier の値を Xcode が受け付ける適切な値に変更します。
      たとえば、Product Bundle Identifier が com.facebook.WebDriverAgentRunner の場合、 io.appium.WebDriverAgentRunner や io.borland.WebDriverAgentRunner などに変更します。
    3. General タブをクリックします。
    これでターゲットにプロビジョニング プロファイルが設定されました。
  6. WebDriverAgent.xcodeproj プロジェクトを保存します。
  7. すべてが期待通り動作することを確認するために、ターミナルを開いてプロジェクトをビルドします。
    xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner -destination 'id=<udid>' test IPHONEOS_DEPLOYMENT_TARGET=10.3
  8. WebDriverAgent アプリの再インストール時に問題が発生する場合は、同じプロビジョニング プロファイルを使ってデバイスに追加のアプリを永続的にインストールします。たとえば、WebDriverAgent Xcode プロジェクトの IntegrationApp をインストールします。
    1. TARGETS リストから、IntegrationApp ターゲットを選択します。
    2. General タブをクリックします。
    3. Automatically manage signing を選択します。
    4. 開発チームを選択します。
  9. IntegrationApp ターゲットに対するプロビジョニング プロファイルの作成に Xcode が失敗する場合は、上記の WebDriverAgentRunner ターゲットに対する対処と同じ手順で、ターゲットのバンドル ID を手動で変更します。
  10. IntegrationApp ターゲットの設定に成功したら、IntegrationApp を物理 iOS デバイスにインストールして実行します。
    1. ターゲットと iOS デバイスを選択します。
    2. Play をクリックします。
アプリのデバイスへのインストールが成功しても、次のようなエラー メッセージがコンソールや Appium ログ ファイルに出力される場合があります。
2017-01-24 09:02:18.358 xcodebuild[30385:339674] Error
Domain=com.apple.platform.iphoneos
Code=-12 "Unable to launch com.apple.test.WebDriverAgentRunner-Runner"
UserInfo={NSLocalizedDescription=Unable to launch com.apple.test.WebDriverAgentRunner-Runner,
NSUnderlyingError=0x7fa839cadc60 {Error Domain=DTXMessage Code=1 "(null)"
UserInfo={DTXExceptionKey=The operation couldn't be completed. Unable to launch
com.apple.test.WebDriverAgentRunner-Runner because it has an invalid code signature,
inadequate entitlements or its profile has not been explicitly trusted by the user. :
Failed to launch process with bundle identifier 'com.apple.test.WebDriverAgentRunner-Runner'}}}
2017-01-24 09:02:18.358 xcodebuild[30385:339674] Error
Domain=IDETestOperationsObserverErrorDomain Code=5 "Early unexpected exit, operation
never finished bootstrapping - no restart will be attempted"
UserInfo={NSLocalizedDescription=Early unexpected exit,
operation never finished bootstrapping - no restart will be attempted}

Testing failed:
Test target WebDriverAgentRunner encountered an error (Early unexpected exit, operation never
finished bootstrapping - no restart will be attempted)
この問題は、開発者がそのデバイスで信頼されていないため発生します。そのデバイス上でアプリを手動で実行しようとすると、信頼されていない開発元 メッセージが表示される場合があります。

デバイス上でこの問題を解決するには、設定 > 一般 > プロファイル または 設定 > 一般 > デバイス管理（デバイスの種類と iOS のバージョンによって異なります）に移動します。そして、開発元を信頼し、アプリの実行を許可します。

親トピック: iOS


Silk Test Information Service を Mac からアンインストールする

Mac 上の Apple Safari に対するテストを実行する必要がなくなった場合など、次の手順で Silk Test Information Service を Mac からアンインストールすることができます。

  1. Mac 上で、uninstallInfoService.sh のような新しいシェル ファイルを作成します。
  2. 新しいファイルに以下のコードを入力します。
    #!/bin/sh

if launchctl list | grep com.borland.infoservice ; then
  launchctl unload /Library/LaunchAgents/com.borland.infoservice.plist
  echo "unloading Launch Daemon"
fi

if [ -d "/Applications/Silk" ]
then
  sudo rm -rf /Applications/Silk
fi

if [ -f "/Library/LaunchAgents/com.borland.infoservice.plist" ]
then
  sudo rm /Library/LaunchAgents/com.borland.infoservice.plist
fi

if [ -f "/usr/local/bin/ideviceinstaller" ]
then
  sudo rm /usr/local/bin/ideviceinstaller
fi

exit 0
  3. コマンドラインで chmod +x uninstallInfoService.sh を実行し、シェル ファイルの実行可能にします。
  4. コマンドラインからシェル ファイルを実行します。
親トピック: iOS
親トピック: Mac 上の Apple Safari を使用したテスト


iOS デバイスの推奨設定

Silk4NET を使用したテストを最適化するために、テストしたい iOS デバイスで次の設定を行ってください。
  • 実際にユーザーが行った操作をテストに反映させるために、Apple Safari の自動入力とパスワードの保存を無効化します。設定 > Safari > パスワードと自動入力 をタップし、ユーザ名とパスワード 設定をオフにします。
  • iOS デバイスのテスト中に、スリープ モードに移行してはいけません。画面ロックとパスワードをオフにするには、設定 > 一般 > パスコードロック を選択します。
親トピック: iOS
関連タスク
物理 iOS デバイス上のネイティブ モバイル アプリケーションのテスト
関連資料
Android デバイスの推奨設定


XCUITest を使用した iOS 上の既存のスクリプトの実行

重要: 以前のバージョンの Silk4NET では、Instruments を使用して iOS デバイスを自動化していました。iOS 9.3 から、Instruments のサポートは XCUITest フレームワークのサポートに Apple によって置き換えられたため、Silk4NET でも Instruments をサポートできなくなりました。この変更により、既存の iOS テスト スクリプトを Silk4NET の現在のバージョンで実行できなくなる場合があります。
  • XCUITest における classname 属性の動作は Instruments での動作と異なります。ほとんどの場合、Silk4NET はこの変更に自動的に対応します。しかし、このような classname 属性が原因で既存のテスト スクリプトが動作しなくなった場合には、対応するオブジェクトの新しいロケーターを記録する必要があります。
  • オブジェクトの階層が変更されました。
親トピック: iOS
関連概念
ネイティブ モバイル アプリケーションのテストにおける制限事項
モバイル Web アプリケーションのテストにおける制限事項


モバイル アプリケーションの記録

Silk4NET とモバイル デバイスまたはエミュレータとの間の接続が一旦確立すると、デバイス上で実行する操作を記録できます。モバイル アプリケーションを記録するために、Silk4NET では次の機能を持つ 記録 ウィンドウを使用します。

  • テストするモバイル デバイスまたは Android エミュレータの画面を表示します。
  • 記録 ウィンドウで操作を実行すると、モバイル デバイス上でも同じ操作が実行されます。
  • 画面上のコントロールを操作すると、記録 ウィンドウはデフォルトの操作を事前に選択します。
    • デフォルトの操作が Click の場合、コントロール上で左クリックすると、その操作が実行されます。右クリックすると、コントロールに対して利用可能な操作のリストが表示されます。この場合は、実行する操作を選択し、OK をクリックします。
    • デフォルトの操作が Click ではない場合、コントロールに対して有効なすべての操作がリストで表示されるので、実行したい操作を選択するか、単に OK をクリックして事前に選択された操作を受け入れます。
    リストから操作を選択する場合、選択した操作のパラメータの値をパラメータ フィールドに入力することができます。Silk4NET は自動的にパラメータを検証します。
  • 記録中、Silk4NET は記録ウィンドウの隣にマウスの位置を表示します。その表示をクリックすると、デバイス画面に絶対的な位置とアクティブ オブジェクトに相対的な位置を切り替えることができます。
  • 記録を一時停止すると、画面上での操作は記録されないため、デバイスを記録を続けたい状態に変更することができます。
  • 記録を停止すると、記録した操作でスクリプトが生成されるため、続いてテストの再生を行うことができます。
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル Web アプリケーションのテストにおける制限事項
ネイティブ モバイル アプリケーションのテストにおける制限事項
関連タスク
Silk4NET テストの記録
Android 上のモバイル アプリケーションのテスト
モバイル デバイスの操作


テストを再生するモバイル デバイスの選択

テストを再生するために使用するモバイル デバイスを定義できます。
  • Silk4NET の UI からテストを実行する場合、モバイル デバイスの選択 ダイアログ ボックスが表示され、このダイアログ ボックスで選択したモバイル デバイス、Android エミュレータ、iOS シミュレータが使用され、テスト スクリプトで設定されているモバイル デバイス Silk4NET は無視します。
  • モバイル デバイスの選択 ダイアログ ボックスが無効の場合 (再び表示しない チェック ボックスをオンにした場合)、個々のテスト スクリプトのアプリケーション構成によって、テストを実行するために使用するモバイル デバイスが決定されます。
    注: モバイル デバイスの選択 ダイアログ ボックスを再び有効にするには、Silk4NET > アプリケーション構成の編集 をクリックして、記録および再生前に 'モバイル デバイスの選択' ダイアログを表示する チェックボックスをオンにします。
  • スクリプトをコマンド ラインや CI サーバーから実行する場合は、スクリプトのアプリケーション構成で接続文字列を指定します。

    アプリケーション構成で指定したモバイル デバイスを上書きするには、silktest.configurationName 環境変数を使用します。

  • Silk Central からテストを実行する場合、接続文字列を指定する代わりに、Silk Central の実行定義の 配置 タブにある モバイル デバイスの選択 領域でモバイル デバイスを指定します。詳細については、『Silk Central ヘルプ』を参照してください。
デバイス プールなどがある場合に、特定のモバイル デバイスを指定したり、利用可能なデバイス群のサブセットをフィルタするために接続文字列を使用できます。最初に一致したデバイスが再生に使用されます。特に指定がない場合には、次のルールに従って一致したモバイル デバイスが使用されます（高い優先度順）。
  • リモート ロケーションに接続されたモバイル デバイスよりも、ローカル マシンに接続されたモバイル デバイスが優先されます。
  • ブラウザーの種類が接続文字列で指定されている場合、古いバージョンのブラウザーよりも、新しいバージョンのブラウザーが優先されます。
  • 古いプラットフォームよりも、新しいプラットフォームが優先されます。
  • 物理デバイスがエミュレータやシミュレータよりも優先されます。
  • アルファベット順で後者のデバイス名のデバイスが優先されます。たとえば、"iphone 5"という名前のデバイスよりも、"iphone 6"という名前のデバイスが優先されます。

例：リモート マシンに接続されている Android デバイス上のアプリに対する接続文字列

リモート マシンに接続されている Android デバイス上で MyApp.apk アプリをテストするには、接続文字列は次のようになります。
"platformName=Android;deviceName=MotoG3;host=http://10.0.0.1;app=MyApp.apk"

例：Mac の iOS シミュレータ上のアプリに対する接続文字列

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;app=MyApp.ipa;isSimulator=true"
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル デバイスの接続文字列
テストを再生するブラウザーの選択
関連タスク
Sauce Labs デバイスの使用
Silk4NET から UFT Mobile デバイスの直接使用
Silk Central 経由での UFT Mobile デバイスの使用


Silk4NET から UFT Mobile デバイスの直接使用

Micro Focus UFT Mobile は、実デバイスとエミュレーターでのエンドツーエンドの品質ラボを提供し、モバイル アプリのテスト、監視、最適化を支援して、ユーザー エクスペリエンスの向上に貢献します。

注: Silk4NET では、UFT Mobile 3.0 以降によって管理されているデバイスに対するテストをサポートします。

UFT Mobile によって管理されているデバイスにアクセスする方法には、Silk4NET から直接アクセスする方法と、Silk Central 経由で行う方法があります。

UFT Mobile によって管理されているデバイスに Silk4NET から直接アクセスするには：

  1. UFT Mobile をリモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
  2. iOS 上でテストする場合は、次の IPA ファイルがサインされていることを確認します。
    • HP4M-Agent.ipa
    • HPMC-AgentLauncher.ipa
    • WebDriverAgentRunner-Runner.ipa
    注: Silk4NET は、UFT Mobile を介した iOS シミュレータのテストをサポートしません。

以上により、アプリケーションの選択 ダイアログに UFT Mobile デバイスが表示されます。テストするデバイスを選択してください。

注: Silk Test Mobile と UFT Mobile の両方で同時に同じデバイスをテストできません。製品を切り替えて使用する場合には、自動テストで使用していたすべてのアプリを削除し、モバイル デバイスを再起動する必要があります。
Android
Silk Test Mobile を使って Android デバイスをテストする前に、または UFT Mobile をインストールする前に、デバイスから次のアプリを削除する必要があります。
  • Appium Android Input Manager
  • Appium Settings
  • io.appium.uiautomator2.server
  • io.appium.uiautomator2.server.text
  • MC Agent
  • Silk Screencast
  • Unlock
iOS
Silk Test Mobile を使って iOS デバイスをテストする前に、または UFT Mobile をインストールする前に、デバイスから WebDriverAgent を削除する必要があります。
UFT Mobile は、これらのアプリを再インストールする可能性があります。
UFT Mobile によって管理されているデバイス上で、CI サーバーやコマンド ラインからテストを再生したい場合は、リモート接続を構成する代わりに、デバイスの接続文字列を指定できます。接続文字列は次のようになります。
"deviceName=MotoG3;platformName=Android;host=http://<UFT Mobile server>:8080;hostType=MC;userName=<UFT Mobile user name>;password=<UFT Mobile password>"
注: セキュリティ上の理由から、Silk4NET で新しいアプリケーション構成を作成すると、UFT Mobile パスワードは暗号化されて保存されます。 接続文字列では、この暗号化されたパスワードを使用することを Micro Focus は推奨します。
注: UFT Mobile 上で管理されているデバイスをテストする場合は、Silk4NET は TypeKeys メソッドや SetText メソッドを使用して Enter などのキー コードの入力をサポートしません。さらに、Silk4NET は iOS デバイス上の ホーム ボタンの押下をサポートしません。
注: Android エミュレータ上でテストする場合は、GPU HW アクセラレーションを無効にしてください。
親トピック: モバイル アプリケーションのテスト
関連概念
テストを再生するモバイル デバイスの選択
関連タスク
Silk Central 経由での UFT Mobile デバイスの使用
UFT Mobile パスワードの変更


Silk Central 経由での UFT Mobile デバイスの使用

Micro Focus UFT Mobile は、実デバイスとエミュレーターでのエンドツーエンドの品質ラボを提供し、モバイル アプリのテスト、監視、最適化を支援して、ユーザー エクスペリエンスの向上に貢献します。

注: Silk4NET では、UFT Mobile 3.0 以降によって管理されているデバイスに対するテストをサポートします。

UFT Mobile によって管理されているデバイスにアクセスする方法には、Silk4NET から直接アクセスする方法と、Silk Central 経由で行う方法があります。

UFT Mobile によって管理されているデバイスに Silk Central 経由でアクセスするには：

  1. Silk4NET と Silk Central を統合します。 詳細については、「Silk4NET と Silk Central の統合」を参照してください。
  2. UFT Mobile を使用するように Silk Central を設定します。
    注: UFT Mobile のインストール時に、適切なバージョンの Android SDK が使用されていることを確認してください。Silk4NET で同じバージョンを使用するように設定するには、環境変数 SILK_ANDROID_HOME に C:\Users\<ユーザー>\AppData\Local\Android\android-sdk などを指定します。詳細については、『Silk Central ヘルプ』を参照してください。
  3. iOS 上でテストする場合は、次の IPA ファイルがサインされていることを確認します。
    • HP4M-Agent.ipa
    • HPMC-AgentLauncher.ipa
    • WebDriverAgentRunner-Runner.ipa
    注: Silk4NET は、UFT Mobile を介した iOS シミュレータのテストをサポートしません。

以上により、アプリケーションの選択 ダイアログに UFT Mobile デバイスが表示されます。テストするデバイスを選択してください。

注: Silk Test Mobile と UFT Mobile の両方で同時に同じデバイスをテストできません。製品を切り替えて使用する場合には、自動テストで使用していたすべてのアプリを削除し、モバイル デバイスを再起動する必要があります。
Android
Silk Test Mobile を使って Android デバイスをテストする前に、または UFT Mobile をインストールする前に、デバイスから次のアプリを削除する必要があります。
  • Appium Android Input Manager
  • Appium Settings
  • io.appium.uiautomator2.server
  • io.appium.uiautomator2.server.text
  • MC Agent
  • Silk Screencast
  • Unlock
iOS
Silk Test Mobile を使って iOS デバイスをテストする前に、または UFT Mobile をインストールする前に、デバイスから WebDriverAgent を削除する必要があります。
UFT Mobile は、これらのアプリを再インストールする可能性があります。
注: UFT Mobile 上で管理されているデバイスをテストする場合は、Silk4NET は TypeKeys メソッドや SetText メソッドを使用して Enter などのキー コードの入力をサポートしません。さらに、Silk4NET は iOS デバイス上の ホーム ボタンの押下をサポートしません。
注: Android エミュレータ上でテストする場合は、GPU HW アクセラレーションを無効にしてください。
親トピック: モバイル アプリケーションのテスト
関連概念
テストを再生するモバイル デバイスの選択
関連タスク
Silk4NET から UFT Mobile デバイスの直接使用
Silk4NET と Silk Central の統合
UFT Mobile パスワードの変更


UFT Mobile との HTTPS 接続用証明書のインストール

Silk4NET と UFT Mobile 間の通信に HTTPS によるセキュアな通信を使用するには、UFT Mobile 用の証明書を Open Agent が使用する Java のインストール ディレクトリにインストールする必要があります。
  1. ブラウザーを開きます。
  2. セキュアな UFT Mobile サーバーの HTTPS URL に移動します。
  3. セキュアな UFT Mobile サーバーの証明書をエクスポートします。 証明書をエクスポートする方法については、使用しているブラウザーのドキュメントを参照してください。 たとえば、Mozilla Firefox を使用している場合は、次の操作を実行します。
    1. 安全な接続でないというメッセージを Mozilla Firefox が表示した場合、詳細 をクリックします。
    2. 例外の追加... をクリックします。
    3. セキュリティ例外の追加 ダイアログで、表示 をクリックします。
    4. 証明書ビューアー で、詳細 タブを選択します。
    5. エクスポート をクリックします。
    6. 証明書をファイルに保存 ダイアログで、証明書ファイルを保存する場所に移動します。
    7. 証明書の名前を指定します（mc.crt など）。
    8. 保存 をクリックします。
  4. 証明書ファイルを保存した場所を開きます。
  5. 証明書ファイルをダブルクリックして、ウィザードに従って証明書をインストールします。
    1. 証明書をすべて次のストアに配置する を選択してから、参照 をクリックします。
    2. 信頼されたルート証明機関 を選択して、ウィザードを完了します。
  6. セキュリティ警告が表示されたら、インストールを確認して はい をクリックします。
  7. Open Agent を再起動します。
  8. UFT Mobile サーバーまたはコネクタ マシンの URL をブラウザー上で更新し、SSL 証明書関連のエラーが表示されないことを確認します。
親トピック: モバイル アプリケーションのテスト


UFT Mobile パスワードの変更

UFT Mobile パスワードが変更された場合、Silk4NET の ロケーションの編集 ダイアログを使って、新しいパスワードを適用する必要があります。
  1. Silk4NET > リモート ロケーションの編集 をクリックします。 リモート ロケーション ダイアログ ボックスが表示されます。
  2. UFT Mobile リモート ロケーションを選択し、編集 をクリックします。 ロケーションの編集 - UFT Mobile ダイアログ ボックスが表示されます。
  3. パスワード フィールドに新しいパスワードを入力します。
  4. 省略可能：テスト をクリックして、新しいパスワードが正しく機能することを確認します。
  5. 複数の接続文字列で同じ UFT Mobile を使用している場合は、コピー をクリックして暗号化したパスワードをクリップボードにコピーします。 そして、コピーした暗号化したパスワードを接続文字列に貼り付けることができます。
  6. OK をクリックします。
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル デバイスの接続文字列
関連タスク
Silk4NET から UFT Mobile デバイスの直接使用
Silk Central 経由での UFT Mobile デバイスの使用


Sauce Labs デバイスの使用

Sauce Labs は、自動テスト プラットフォームを提供しており、さまざまなモバイル デバイスやモバイル プラットフォームのバージョン上でテストを行うことができます。 自分自身のインフラストラクチャとしてデバイスを購入、保守する必要はありません。

Sauce Labs デバイスには Silk Central を介してアクセスすることができます。 次の手順に従って設定してください。

  1. Silk4NET が Silk Central と統合されていることを確認してください。 詳細については、「Silk4NET と Silk Central の統合」を参照してください。
  2. Silk Central が Sauce Labs を使用するように設定されていることを確認してください。 詳細については、Silk Central ヘルプ を参照してください。
以上により、アプリケーションの選択 ダイアログに Sauce Labs デバイスが表示されます。テストするデバイスを選択してください。
親トピック: モバイル アプリケーションのテスト
関連概念
テストを再生するモバイル デバイスの選択
関連タスク
Silk4NET と Silk Central の統合


モバイル デバイスの接続文字列

接続文字列 は、テストに使用するモバイル デバイスを指定します。モバイル テストを実行する場合、Silk4NET は接続文字列を使用してモバイル デバイスに接続します。接続文字列は、アプリケーション構成の主要な一部です。テスト対象アプリケーションを構成するときに、接続文字列は設定されます。接続文字列を変更するには、アプリケーション構成の編集 ダイアログ ボックスを使用します。

注: Silk Central からテストを実行する場合、接続文字列を指定する代わりに、Silk Central の実行定義の 配置 タブにある モバイル デバイスの選択 領域でモバイル デバイスを指定します。詳細については、『Silk Central ヘルプ』を参照してください。
デバイス プールなどがある場合に、特定のモバイル デバイスを指定したり、利用可能なデバイス群のサブセットをフィルタするために接続文字列を使用できます。最初に一致したデバイスが再生に使用されます。特に指定がない場合には、次のルールに従って一致したモバイル デバイスが使用されます（高い優先度順）。
  • リモート ロケーションに接続されたモバイル デバイスよりも、ローカル マシンに接続されたモバイル デバイスが優先されます。
  • ブラウザーの種類が接続文字列で指定されている場合、古いバージョンのブラウザーよりも、新しいバージョンのブラウザーが優先されます。
  • 古いプラットフォームよりも、新しいプラットフォームが優先されます。
  • 物理デバイスがエミュレータやシミュレータよりも優先されます。
  • アルファベット順で後者のデバイス名のデバイスが優先されます。たとえば、"iphone 5"という名前のデバイスよりも、"iphone 6"という名前のデバイスが優先されます。

次のコンポーネントが接続文字列で使用できます。

コンポーネント | 説明
deviceName | モバイル デバイスの名前。物理モバイル デバイス上でテストをする場合、デバイス ID を代わりに使用します。ワイルドカードをサポートします。大文字と小文字は区別されません。
platformName | Android または iOS。必須。
deviceId | 省略可能：モバイル デバイスの ID。物理モバイル デバイスでテストをする場合に、デバイス名の代わりに使用します。ワイルドカードをサポートします。大文字と小文字は区別されません。
platformVersion | 省略可能：Android または iOS のバージョン。特定の Android または iOS のバージョンのモバイル デバイス上でのみテストする場合に、バージョンを指定します。ワイルドカードをサポートします。大文字と小文字は区別されません。
browserVersion | 省略可能：特定のブラウザーのバージョンでのみテストする場合に、ブラウザーの種類と共に使用します。ワイルドカードをサポートします。大文字と小文字は区別されません。
host | 省略可能：設定しない場合は、任意のリモート ロケーションがホストとして使用されます。ワイルドカードをサポートします。大文字と小文字は区別されません。
app | モバイル デバイスにまだインストールされていないアプリへのフルパス。たとえば、app=MyApp.apk です。
  • appPackage
  • appActivity
 Android デバイスにインストールされているアプリをテストする場合は、使用するアプリのパッケージとアクティビティの両方を指定します。たとえば、appPackage=silktest.insurancemobile;appActivity=.LoginActivity です。
bundleId | iOS デバイスにインストールされているアプリのバンドルの識別子。たとえば、app=MyApp.ipa または bundleId=silktest.InsuranceMobile などです。
mobileCenterAppIdentifier | UFT Mobile によって管理されているモバイル デバイスにインストールされているアプリの識別子。たとえば、mobileCenterAppIdentifier=com.microfocus.silktest.testapp です。
mobileCenterAppUploadNumber | UFT Mobile によって管理されているモバイル デバイスにインストールされているアプリのアップロード番号。複数回アップロードされたアプリケーションを一意に識別するために使用します。この番号が指定されていない場合は、Silk4NET は最新のアップロードを使用します。たとえば、mobileCenterAppUploadNumber=3 です。
noReset | 省略可能：ネイティブ モバイル アプリケーションをテストする場合に設定できます。app が指定されている場合にのみ有効です。テストの前にアプリを再インストールしない場合は True。テストの前にアプリを再インストールする場合は False を指定します。デフォルト値は、False です。
isSimulator | 省略可能：iOS シミュレータ上でのみテストを実行する場合に指定します。デバイス名を代わりに使用できます。
isPhysicalDevice | 省略可能：物理デバイス上でのみテストを実行する場合に指定します。デバイス名を代わりに使用できます。
excludedDeviceIds | 省略可能：テストで使用すべきでないデバイス ID のリスト（カンマ区切り）。

デバイス プールを使用して、テストで実際に使用されるデバイスを確認するには、MobileDevice クラスの GenerateConnectionString メソッドの戻り値を使用できます。

モバイル デバイスまたは Android エミュレータ上のモバイル Web アプリケーションのテスト

モバイル デバイスまたは Android エミュレータ上でモバイル Web アプリケーションをテストする場合、接続文字列は次の要素から構成されます。

  1. モバイル デバイス名（MotoG3 など）、またはデバイス ID（11111111 など）。
    注: デバイス ID は可読性に欠けるため、デバイス名がユニークであれば、デバイス名を接続文字列に使用することを Micro Focus では推奨します。
  2. プラットフォーム名。
  3. ブラウザーのバージョン。ブラウザーの種類の設定との組み合わせでのみ使用されます。
  4. 特定のリモート マシンの IP アドレスまたはホスト名（10.0.0.1 など）。リモート ロケーションの編集 ダイアログ ボックスで指定したリモート ロケーションの名前をホスト名として使用することもできます（MyRemoteLocation など）。リモート ロケーション名を使用する場合に、ワイルドカードを使用することもできます。ローカル マシンに接続されている Android デバイスをテストする場合は、ローカル マシンの IP アドレスまたはホスト名を指定します。

例：利用可能な任意の Android デバイスの接続文字列

"platformName=Android"

例：ローカル マシンに接続されている Android デバイス上のブラウザーに対する接続文字列

ローカル マシンに接続されている Android デバイス上でモバイル ブラウザーをテストするには、接続文字列は次のようになります。
"deviceName=MotoG3;platformName=Android;host=localhost"
または
"platformName=Android;deviceId=11111111;host=localhost"

例：リモート マシンに接続されている Android デバイス上のブラウザーに対する接続文字列

リモート Android デバイス上のモバイル ブラウザーをテストするには、接続文字列は次のようになります。
"deviceName=MotoG3;platformName=Android;host=10.0.0.1"
"deviceName=MotoG3;platformName=Android;host=MyRemoteLocation*"

例：UFT Mobile によって管理されている Android デバイスの接続文字列

UFT Mobile によって管理されているデバイス上で、CI サーバーやコマンド ラインからテストを再生したい場合は、リモート接続を構成する代わりに、デバイスの接続文字列を指定できます。接続文字列は次のようになります。
"deviceName=MotoG3;platformName=Android;host=http://<UFT Mobile server>:8080;hostType=MC;userName=<UFT Mobile user name>;password=<UFT Mobile password>"
注: セキュリティ上の理由から、Silk4NET で新しいアプリケーション構成を作成すると、UFT Mobile パスワードは暗号化されて保存されます。 接続文字列では、この暗号化されたパスワードを使用することを Micro Focus は推奨します。

例：Mac に接続されている iOS デバイス上のブラウザーに対する接続文字列

リモート iOS デバイス上のモバイル ブラウザーをテストするには、接続文字列は次のようになります。
"deviceName=myiPhone6;platformName=iOS;host=10.0.0.1"

モバイル デバイスまたは Android エミュレータ上のネイティブ モバイル アプリケーションのテスト

モバイル デバイスまたは Android エミュレータ上でネイティブ モバイル アプリケーションをテストする場合、接続文字列は次の要素から構成されます。
  1. モバイル デバイス名（MotoG3 など）、またはデバイス ID（11111111 など）。
    注: デバイス ID は可読性に欠けるため、デバイス名がユニークであれば、デバイス名を接続文字列に使用することを Micro Focus では推奨します。
  2. プラットフォーム名。
  3. 特定のリモート マシンの IP アドレスまたはホスト名（10.0.0.1 など）。リモート ロケーションの編集 ダイアログ ボックスで指定したリモート ロケーションの名前をホスト名として使用することもできます（MyRemoteLocation など）。リモート ロケーション名を使用する場合に、ワイルドカードを使用することもできます。ローカル マシンに接続されている Android デバイスをテストする場合は、ローカル マシンの IP アドレスまたはホスト名を指定します。
  4. テストするアプリのファイルの名前または、ファイルが Web サーバー上にある場合には、ファイルの URL。たとえば、C:/MyApp.apk や MyApp.ipa など。
    • Android アプリは、常に .apk ファイルを指定します。
    • 物理デバイス上の iOS アプリは、常に .ipa ファイルを指定します。
    • シミュレータ上の iOS アプリは、ZIP ファイルまたは、app という名前のディレクトリを指定します。

例：リモート マシンに接続されている Android デバイス上のアプリに対する接続文字列

リモート マシンに接続されている Android デバイス上で MyApp.apk アプリをテストするには、接続文字列は次のようになります。
"platformName=Android;deviceName=MotoG3;host=http://10.0.0.1;app=MyApp.apk"

例：Mac に接続されている iOS デバイス上のアプリに対する接続文字列

リモート マシンに接続されている iOS デバイス上で MyApp.ipa アプリをテストするには、接続文字列は次のようになります。
"platformName=iOS;deviceName=MyiPhone;host=http://10.0.0.1;app=MyApp.ipa"

iOS シミュレータ上のモバイル Web アプリケーションのテスト

iOS シミュレータ上でモバイル Web アプリケーションをテストする場合、接続文字列は次の要素から構成されます。
  1. プラットフォーム名（iOS）。
  2. プラットフォームのバージョン（10.0 など）。
  3. モバイル デバイス名（iPhone6 など）。
  4. iOS シミュレータを実行している Mac の IP アドレスまたはホスト名。

例：Mac の iOS シミュレータ上のブラウザーに対する接続文字列

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;isSimulator=true"

iOS シミュレータ上のネイティブ モバイル アプリケーションのテスト

Mac の iOS シミュレータ上でネイティブ モバイル アプリケーションをテストする場合、接続文字列は次の要素から構成されます。
  1. プラットフォーム名（iOS）。
  2. プラットフォームのバージョン（10.0 など）。
  3. モバイル デバイス名（iPhone6 など）。
  4. リモート マシンの IP アドレスまたはホスト名（10.0.0.1 など）。
  5. テストするアプリの名前（MyApp.ipa など）。

例：Mac の iOS シミュレータ上のアプリに対する接続文字列

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;app=MyApp.ipa;isSimulator=true"
親トピック: モバイル アプリケーションのテスト
関連概念
リモート デスクトップ ブラウザーの接続文字列
[アプリケーションの選択] ダイアログ ボックス
テストを再生するモバイル デバイスの選択
テストを再生するブラウザーの選択
関連タスク
UFT Mobile パスワードの変更


モバイル デバイスの操作

モバイル デバイスを操作したり、テスト対象アプリケーションでスワイプのような操作を実行するには、次の手順を実行します。
  1. 記録 ウィンドウで、モバイル デバイス操作の表示 をクリックします。 モバイル デバイスに対して実行できるすべての操作がリストされます。
  2. リストからリストから実行したい操作を選択します。
  3. Android デバイスまたはエミュレータで、スワイプを記録するには、マウスの左ボタンを押したままマウスを動かします。
  4. テストの記録を続行します。
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル アプリケーションの記録
関連タスク
Silk4NET テストの記録


モバイル デバイスの開放

モバイル デバイスに対するテストを記録または再生する場合、Open Agent インスタンスはそのデバイスの所有権を確保します。これによって、Open Agent は、他の Silk Test ユーザーがそのデバイスを使用することを防止します。デバイス上でのテストの記録や再生が終了した後に、他の Silk Test ユーザーがデバイスを使用できるようにするために、Silk Test クライアントが閉じたとき、無人のテスト プロセスが完了したとき、または Open Agent が閉じたときに、Silk Test は自動的にデバイスを開放します。また、デバイスを手動で開放することもできます。

注: モバイル デバイスを開放すると、モバイル デバイス上のテスト対象アプリケーション (AUT) は閉じられます。
  • 記録後のモバイル デバイスの開放
    他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、記録後にデバイスを開放します。
  • 再生後のモバイル デバイスの開放
    他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、再生後にデバイスを開放します。
親トピック: モバイル アプリケーションのテスト


記録後のモバイル デバイスの開放

他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、記録後にデバイスを開放します。

記録が完了した後にモバイル デバイスを開放するには、次のいずれかを実行します。
  • システム トレイから Open Agent を停止する。
  • Silk4NET を閉じる。並列テストが有効な場合には、この操作でのみデバイスが開放されます。
  • UFT Mobile によって管理されているデバイスをテストしている場合は、UFT Mobile UI を使ってデバイスを開放することも可能です。詳細については、UFT Mobile のドキュメントを参照してください。
注: モバイル デバイスを開放すると、モバイル デバイス上のテスト対象アプリケーション (AUT) は閉じられます。
親トピック: モバイル デバイスの開放


再生後のモバイル デバイスの開放

他の Silk Test ユーザーがモバイル デバイスでテストできるようにするために、再生後にデバイスを開放します。

再生が完了した後に手動でモバイル デバイスを開放するために、次のいずれかを実行することもできます。
  • モバイル Web アプリケーションのテストを再生した場合、BrowserApplication クラスの Close メソッド、または CloseSynchron メソッド を使用します。これらのメソッド の詳細については、 API ドキュメントを参照してください。
    // C# code
webBrowser.Close();
    'VB .NET code
WebBrowser.Close()
  • モバイル ネイティブ アプリケーションのテストを再生した場合、MobileDevice クラスの CloseApp メソッドを使用します。
    たとえば、次のように入力します。
    // C# code
MobileDevice mobileDevice = _desktop.MobileDevice();
mobileDevice.CloseApp();
    'VB .NET code
Dim mobileDevice = _desktop.MobileDevice()
mobileDevice.CloseApp()
  • Agent.DetachAll() ステートメントをテスト スクリプトに追加します。
次の条件を満たしている場合は、モバイル デバイスは自動的に開放されます。
  • Open Agent を閉じる。
  • 無人テスト中にテスト プロセスが停止する。並列テストが有効な場合には、この操作でのみデバイスが開放されます。
  • Silk4NET を閉じる。並列テストが有効な場合には、この操作でのみデバイスが開放されます。
注: モバイル デバイスを開放すると、モバイル デバイス上のテスト対象アプリケーション (AUT) は閉じられます。
親トピック: モバイル デバイスの開放


モバイル アプリケーションのテストにおける setLocation メソッドの使用

  • iOS 上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドはサポートされません。
  • Android 6.0 より前のバージョンの Android 上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドを使用する場合は、擬似ロケーションを許可 を有効にする必要があります。設定は、Android デバイスまたはエミュレータの設定を開き、開発者向けオプション をタップします。
  • Android 6.0 以降上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドを使用する場合は、Appium Settings をアプリとして設定する必要があります。設定は、Android デバイスまたはエミュレータの設定を開き、開発者向けオプション > 仮の現在地情報アプリを選択 をタップします。そして、Appium Settings を選択します。
    注: Appium Settings という項目は、Android デバイスまたはエミュレータ上の Appium でテストを既に実行した場合にのみ表示されます。
  • Windows マシン上の Android エミュレーターでテストするときに、SetLocation メソッドを使用するには：
    1. エミュレーターを実行している Windows マシン上で、%userprofile% フォルダーに移動します。
    2. .emulator_console_auth_token ファイルの内容を削除します。このファイルは、エミュレーターを最初に起動したときに作成されます。
    3. .emulator_console_auth_token ファイルを読み取り専用に設定します。
親トピック: モバイル アプリケーションのテスト


モバイル アプリケーションのテスト時のトラブルシューティング

[アプリケーションの選択] ダイアログにモバイル デバイスが表示されない理由

Silk4NET がモバイル デバイスやエミュレータを認識できないと、アプリケーションの選択 ダイアログの モバイル タブにはデバイスやエミュレータが表示されません。さらに、アプリケーションの選択 ダイアログの Web タブにも、そのデバイスやエミュレータ上にインストールされているモバイル ブラウザーが表示されません。

Silk4NET が、次の何れかが原因でモバイル デバイスまたはエミュレータを認識していない可能性があります。
原因 | 解決策
エミュレータが実行されていない。 | エミュレータを開始します。
Android Debug Bridge (adb) がモバイル デバイスを認識しない。 モバイル デバイスが adb によって認識されているかどうか確認するには：
  1. Android SDK をインストールしたフォルダで、Android Debug Bridge (adb) がある場所に移動します。Android SDK がインストールされていない場合、C:\Program Files (x86)\Silk\SilkTest\ng\Mobile\windows\AndroidTools\platform-tools に移動して、Silk4NET がインストールした adb を使用します。
  2. Shift を押しながら、ファイル エクスプローラ ウィンドウで右クリックします。
  3. コマンド ウィンドウをここで開く を選択します。
  4. コマンド ウィンドウで、 adb devices を入力して、アタッチしたすべてのデバイスのリストを得ます。
  5. デバイスがリストされない場合、USB デバッグがデバイスで有効化されていること、および適切な USB ドライバがインストールされていることを確認します。
  6. 「adb server is out of date」のようなエラーが発生する場合は、C:\Program Files (x86)\Silk\SilkTest\ng\Mobile\windows\AndroidTools\platform-tools の adb のバージョンがローカルの Android SDKの adb のバージョンと一致していることを確認してください。詳細については、「Open Agent とデバイスとの接続が不安定な場合の対処方法」を参照してください。
デバイスのオペレーティング システムのバージョンを Silk4NET がサポートしていない。 | サポートするモバイル オペレーティング システムのバージョンについては、リリース ノート を参照してください。
デバイスの USB ドライバがローカル マシンにインストールされていない。 | デバイスの USB ドライバをローカル マシンにインストールしてください。詳細については、「USB ドライバのインストール」を参照してください。
USB デバッグがデバイスで有効化されていない。 | USB デバッグをデバイスで有効化してください。詳細については、「USB デバッグの有効化」を参照してください。
注: どの解決策を適用しても解決できない場合は、デバイスを再起動してみてください。

URL に移動せずに Silk4NET が Chrome for Android で URL を検索する理由

アドレス バーに入力された URL を、Chrome for Android が検索として解釈する場合があります。回避策として、URL に移動するコマンドをスクリプトに手動で追加できます。

adb サーバーが正しく起動しない場合にすべきこと

Android Debug Bridge (adb) サーバーが開始するとき、ローカル TCP ポート 5037 にバインドし、adb クライアントから送信されてくるコマンドをリッスンします。すべての adb クライアントは、ポート 5037 を使用して、adb サーバーと通信します。adb サーバーは、5555 から 5585 の範囲 (エミュレータやデバイスで使用される範囲) で奇数のポートをスキャンしてエミュレータやデバイス インスタンスを探します。adb はこれらのポートの変更を許しません。adb 開始中に問題が発生した場合、これらの範囲のポートの 1 つが、他のプログラムによって既に使用されているかどうか確認します。

詳細については、http://developer.android.com/tools/help/adb.html を参照してください。

Open Agent とデバイスとの接続が不安定な場合の対処方法

Android SDK、または Android Debug Bridge (adb) を使用するその他のツールをインストールしている場合、Silk4NET が使用する adb サーバー以外のサーバーが実行中の可能性があります。バージョンの異なる adb サーバーが実行中の場合、Open Agent とデバイスとの接続が不安定になったり、接続できない場合があります。

このようなバージョンの不一致によるエラーを避けるには、環境変数 SILK_ANDROID_HOME に Android SDK ディレクトリへのパス（C:\Users\<ユーザー>\AppData\Local\Android\android-sdk など）を指定してください。Information Service が実行中の場合、Windows のサービス マネージャーを使用して、Silk Test Information Service を再起動して更新した環境変数を適用する必要があります。環境変数が設定されていない場合は、Silk4NET は Silk4NET に同梱されたバージョンの adb を使用します。

エラー「メモリの割り当てに失敗しました：8」が発生する理由

エミュレータを開始しているときに、システムが十分なメモリを割り当てることができない場合に、このエラーが表示されます。以下を行ってみてください。

  1. エミュレータのメモリ オプションの RAM サイズを下げる
  2. Intel HAXM の RAM サイズを下げるRAM サイズを下げるには、IntelHaxm.exe を再度実行して、Change を選択します。
  3. タスク マネージャ を開き、十分なフリー メモリが利用可能かどうかを確認します。不足している場合、プログラムを閉じてメモリを開放してください。

iOS デバイスのテスト時に「Silk Test は指定したアプリを開始できません」というエラーが発生する理由

このエラーが発生する原因として、以下の理由が考えられます。
原因 | 解決策
iOS デバイスがデベロッパ モードになっていない。 次の 2 種類の方法のいずれかで、デベロッパ モードを有効化できます。
  • Xcode がインストールされている Mac にデバイスを接続し、テストするアプリをデバイスで開始します。
  • プロビジョニング プロファイルをデバイスに追加します。
    1. Xcode を開きます。
    2. Window > Devices を選択します。
    3. iOS デバイスを右クリックします。
    4. Show Provisioning Profiles を選択します。
    5. プロビジョニング プロファイルを追加します。
デバイスの iOS のバージョンを最近更新した。
  1. Xcode を開きます。
  2. Window > Devices を選択します。
  3. Xcode がシンボル ファイルを処理するまで待機します。
UI オートメーションが iOS デバイスで有効化されていない。
  1. 設定 > デベロッパ を選択します。
  2. Enable UI Automation をオンにします。
Web インスペクタ が iOS デバイスで有効化されていない（モバイル Web アプリケーションのテストの場合）。
  1. 設定 > Safari > 詳細 をクリックします。
  2. Web インスペクタ をオンにします。
テストするアプリがテストしようとしている iOS デバイスの iOS バージョン用にビルドされていない。 | Xcode を使用してデバイスの iOS バージョン用にアプリをビルドします。
ソフトウェア・アップデート ダイアログ ボックスが iOS デバイス上で開いている。 ダイアログ ボックスを閉じ、ソフトウェアの自動アップデートを無効化します。
  1. 設定 > iTunes & App Store > 自動ダウンロード を選択します。
  2. アップデート をオフにします。

Android デバイスの動的ハードウェア コントロールに戻るボタンだけが表示される理由

テストの開始時に Android デバイスや Android エミュレータの画面がロックされると、デバイスやエミュレータが動的ハードウェア コントロールに 戻る ボタンだけを表示する場合があります。

この問題を解決するには、Open Agent を停止し、デバイスを再起動してから、デバイスの設定を画面のロックをしないように設定してください。

Android デバイスまたはエミュレータにキーボードが表示されなくなる理由

Unicode 文字列をサポートするために、Silk4NET は標準キーボードをカスタム キーボードに置き換えます。そして、テストの完了時に元のキーボードに戻します。テスト中にエラーが発生すると、カスタム キーボードが設定されたまま、元に戻らない場合があります。

この問題を解決するには、設定 > 言語と入力 > 現在のキーボード を開き、手動で元のキーボードに戻してください。

テスト中にデバイスが応答しなくなる理由

テストの開始時に、デバイス、エミュレータ、シミュレータの画面がロックされると、Silk4NET は画面のロックを解除できず、デバイス、エミュレータ、シミュレータが操作に応答しなくなる場合があります。

この問題を解決するには、Open Agent を停止し、デバイスの設定を画面のロックをしないように設定してください。

Information Service を Mac にインストールできない理由

システム環境設定の セキュリティとプライバシー で、一般 タブの ダウンロードしたアプリケーションの実行許可 設定が Mac App Store と確認済みの開発元からのアプリケーションを許可（デフォルト値）に設定されている場合、Information Service セットアップを開いているときに次のエラー メッセージが表示されます。
"SilkTestInformationService<バージョン>.pkg" は、開発元が未確認のため開けません。
この問題を解決するには、次のいずれかを行います。
  • セットアップ ファイルを右クリックして、開く を選択します。警告メッセージが表示されても、ファイルを開くことができます。
  • ダウンロードしたアプリケーションの実行許可 設定を すべてのアプリケーションを許可 に設定します。
  • ファイルを開いた後、システム環境設定の セキュリティとプライバシー の 一般 タブを開き、このまま開く をクリックします。

Android アプリの記録時に記録ウィンドウが真っ暗になる理由

金融取引を処理するアプリなど、高レベルなセキュリティを必要とする Android アプリでは、Silk4NET がアプリのキャプチャをできないようにするために、FLAG_SECURE フラグが設定されている可能性があります。Silk4NET は、記録時に Android デバイスのスクリーンショットやビデオを利用しますが、テストする Android アプリにこのフラグが設定されていると、記録中 ウィンドウにはデバイスの真っ黒な画面が表示されます。Silk Test でこのようなアプリをテストするには、テスト中に FLAG_SECURE フラグを設定しないよう、アプリの開発チームに依頼してください。

Android エミュレータでのテスト時に Silk4NET がビデオを表示しない理由

エミュレータがレンダリングにコンピュータのグラフィック カードを使用している場合、Silk4NET のビデオ キャプチャが機能しない場合があります。この問題を解決するには、ソフトウェアでグラフィックでエミュレートします。
  1. Android Virtual Device Manager を開きます。
  2. エミュレータの Actions 列の Edit をクリックします。
  3. Virtual Device Configuration ダイアログ Emulated Performance 領域で、リストから Software を選択します。

クラウド環境でのテスト時に Silk4NET がビデオを表示しない理由

クラウド環境でテストする場合、必要なポートがオープンになっていないことなどが原因で、テストの記録や再生時にビデオの表示が機能しない場合があります。

この問題を解決するには、infoservice.properties ファイルに WebDriver ホストの URL リストを指定します。このプロパティ ファイルについての詳細は、「Silk Test Information Service プロパティの編集」を参照してください。infoservice.disableScreencastHosts オプションをファイルに追加し、次のように入力します。
infoservice.disableScreencastHosts=<URL_1>,<URL_2>, ...
例：
infoservice.disableScreencastHosts=http://my-webdriver-server-url.com:80/wd/hub
ワイルドカードとしてアスタリスク（*）を使用して、*my-webdriver-server-url.com のような URL パターンを指定することができます。

この設定により、指定したホストでの記録と再生時に、Silk4NET はビデオの代わりに連続したスクリーンショットを表示するようになります。

Xcode のインストール バージョンを変更する方法

Xcode の最新版にアップグレードしてしまった場合など、使用している Xcode のバージョンを Silk4NET がサポートしていない場合、iOS でテストする際にエラー メッセージが表示される場合があります。

インストールした Xcode のバージョンをサポートするバージョンで置換するには、サポートするバージョンの Xcode を https://developer.apple.com/download/more/ からダウンロードし、サポートされていないバージョンをダウンロードしたバージョンで置換します。サポートする Xcode のバージョンについての情報は、『リリース ノート』を参照してください。

Mac のディスクの空き容量がなくなった場合の対処

Silk4NET は iOSデバイスの自動化に Instruments を使用します。このツールは、/Library/Caches/com.apple.dt.instruments ディレクトリに大きなログ ファイルを生成するため、Mac のディスクの空き容量を圧迫している場合があります。この問題を解決するために、手動であるいは cron ジョブを使用して、これらのログ ファイルを定期的に削除することを Micro Focus は推奨します。たとえば、毎日同じ時間にファイルを削除するには、次の手順を実行します。
  1. ターミナルで「sudo crontab -e」を入力します。crontab を root として編集できるエディタが開きます。
  2. 次の行を crontab に追加します。
    0 2 1 * * find /Library/Caches/com.apple.dt.instruments -mtime +10 -delete
  3. crontab を保存します。

この例では、10 日より前のすべてのログ ファイルが、毎日午前 2 時にディレクトリから削除されます。

エラー メッセージ「WebDriver エージェントにテスト用の署名ができません」によってテストが失敗する理由

物理 iOS デバイス上でテストを行う場合、通常このエラーは WebDriverAgent アプリのビルド プロセス中に、プロビジョニング プロファイルでサインされていないか問題があったことを意味します。

デバイスが接続されている Mac マシンで次のコマンドを実行して、実際の問題を確認できます。
cd /Applications/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver
xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner -destination 'id=<udid>' test
/Applications/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver フォルダーにある Resources フォルダーが存在し、そのフォルダーに WebDriverAgent.bundle ファイルがあることを確認します。存在しない場合は、このフォルダーを作成し、空の WebDriverAgent.bundle ファイルを作成します。たとえば、次のコマンドを実行します。
mkdir -p Resources/WebDriverAgent.bundle

Developer Tools Access による他のプロセスの制御の要求を抑える方法

iOS 上でテストの実行を開始すると、つぎのメッセージようなメッセージ ボックスが表示される場合があります。
Developer Tools Access は、デバッグを続けるためにほかのプロセスを制御する必要があります。 これを許可するには、パスワードを入力してください。パスワードを入力して許可します。
このメッセージを抑制するには、ターミナルで次のコマンドを実行します。
sudo /usr/sbin/DevToolsSecurity --enable

iPad 上のモバイル Web アプリケーションのテスト時に矩形領域がずれる理由

iPad 上のモバイル Web アプリケーションのテスト時にコントロールを囲む矩形領域がずれている場合、複数のブラウザー タブが開いており、タブ バーが表示されている場合があります。この問題を回避するには、1 つを残して、ほかのすべてのタブを閉じてください。

Silk4NET のアップデート後にデバイス上でテストの記録と再生が動作しない理由

Silk4NET の新しいバージョンにアップデートすると、Silk4NET の以前のバージョンでモバイル テスト用に使用してきた物理モバイル デバイス上の Appium アプリも自動的にアップデートされます。何らかの理由でこれらのアプリが自動的にアップデートされないと、そのデバイス上でテストの記録と再生が正常に動作しない場合があります。

Silk4NET のアップデート後に、Android デバイスでこのような問題が発生した場合は、次のアプリをデバイスから手動でアンインストールしてください。
  • Appium Android Input Manager
  • Appium Settings
  • io.appium.uiautomator2.server
  • io.appium.uiautomator2.server.test
  • Unlock

Silk4NET のアップデート後に、iOS デバイスでこのような問題が発生した場合は、WebDriverAgentRunner をデバイスから手動でアンインストールしてください。

モバイル アプリケーションを記録できない理由

Silk4NET では、Appium を使ってモバイル アプリケーションをテストします。Appium でネットワーク プロキシ設定が設定されていると、Silk4NET の記録を妨害する場合があります。モバイル デバイスまたはエミュレータのネットワーク プロキシ設定を無効にしてみてください。

Android デバイス上でテストを実行できない理由

一部の Android デバイスでは、Silk4NET などを使ったデバイス上のモバイル アプリケーションのテストができないよう、あらかじめ設定されている場合があります。たとえば、Xiaomi Mi Mix 2 の前提条件は他のデバイスと同様ですが、さらに次の設定が必要になります。Xiaomi Mi Mix 2 でテストを実行する前に、次の手順を実行してください。
  1. デバイスの開発者モードを有効にします。
  2. 設定 > その他の設定 > 開発者向けオプション に移動します。
  3. USB デバッグ を有効にします。
  4. スリープモードにしない を有効にします。
  5. USB 経由でインストールする を有効にします。
  6. USB デバッグ を有効にします。
  7. MIUI の最適化をオンにする を無効にします。

iOS13 上でのハイブリッド アプリのテスト実行が iOS 12 に比べて遅くなった理由

iOS 13 以降では UIWebView コントロールが廃止されたため、テスト結果が不安定になりました。UIWebView を WKWebView に移行してください。

  • テストの再生に Chrome for Android を使用する方法
    テストの再生に使用するブラウザとして Chrome for Android を設定する方法について説明します。
親トピック: モバイル アプリケーションのテスト
関連タスク
Android 上のモバイル アプリケーションのテスト
Silk Test Information Service プロパティの編集
関連資料
Android 上のモバイル アプリケーションのテストにおける前提条件


テストの再生に Chrome for Android を使用する方法

デフォルトでは、ブラウザーの選択 ダイアログ ボックスを使用して、再生に使用するブラウザーを選択できます。

スクリプトをコマンド ラインや CI サーバーから実行する場合は、スクリプトのアプリケーション構成で接続文字列を指定できます。アプリケーション構成で指定したブラウザーを上書きするには、silktest.configurationName 環境変数を使用します。

BrowserApplication クラスの browsertype プロパティを使用して、再生に使用するブラウザーの種類を設定することもできます。ただし、browsertype は Chrome for Androidの明示的な値を含みません。

テストを再生するブラウザーとして Chrome for Android を使用するように指定するには、browsertype に GoogleChrome を設定し、Android をプラットフォームとして指定します。Android が指定されると、デスクトップ マシン上の Google Chrome の代わりに Chrome for Android を使用して、Silk4NET はテストを実行します。

使用例

次のサンプル コードは、silktest.configurationName を使用して Nexus 7 上の Chrome for Android を使用するテストの基本状態を設定する方法を示しています。
SET silktest.configurationName="platformName=Android;deviceName=Nexus 7;host=10.0.0.1 - Chrome"
次の のサンプル コードは、browsertype を使用して Chrome for Android を使用するテストの基本状態を設定する方法を示しています。
// C# code
var baseState = New BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS/");
baseState.SetConnectionString("platformName=Android");
baseState.Execute();
'VB .NET code
Dim baseState = New BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS/")
baseState.SetConnectionString("platformName=Android")
baseState.Execute()
親トピック: モバイル アプリケーションのテスト時のトラブルシューティング


モバイル Web アプリケーションのテストにおける制限事項

モバイル ブラウザ上でのテストの再生とロケーターの記録のサポートは、サポートされている他のブラウザほど完全なものではありません。モバイル Web アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項を以下に示します。

  • 次のクラス、インターフェイス、メソッド、プロパティは、モバイル Web アプリケーションでは現時点ではサポートされません。
    • BrowserApplication クラス。
      • CloseOtherTabs メソッド
      • CloseTab メソッド
      • ExistsTab メソッド
      • GetActiveTab メソッド
      • GetSelectedTab メソッド
      • GetSelectedTabIndex メソッド
      • GetSelectedTabName メソッド
      • GetTabCount メソッド
      • ImageClick メソッド
      • OpenTab メソッド
      • SelectTab メソッド
    • DomElement クラス。
      • DomDoubleClick メソッド
      • DomMouseMove メソッド
      • GetDomAttributeList メソッド
    • IKeyable インターフェイス。
      • PressKeys メソッド
      • ReleaseKeys メソッド
  • Silk4NET は、iOS 上の Apple Safari を使用した HTML フレームおよび iframe のテストをサポートしません（HTML フレームおよび iframe 上のテキスト解決を含む）。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • 横固定モードでの記録はシステム バーに仮想ボタンを含むエミュレータに対してサポートされません。このようなエミュレータは、回転を正しく検出せずに、横固定モードのシステム バーを画面の下部ではなく画面の右側に配置します。ただし、このようなエミュレータは縦固定モードで記録することができます。
  • モバイル アプリケーションに対する XPath 式では、HTML DOM の HTML 属性だけがサポートされます。Silk4NET は、XPath 式のプロパティをサポートしません。
  • Android 上でのモバイル Web アプリケーションのテストでは、Silk4NET は、拡大縮小をサポートしません。
  • BrowserWindow クラスの以下の JavaScript 警告処理メソッドが、Original Android Stock (AOSP) ブラウザー上でのテストでは機能しません。
    • AcceptAlert メソッド
    • DismissAlert メソッド
    • GetAlertText メソッド
    • IsAlertPresent メソッド
  • 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。
  • モバイル Web アプリケーションのテストを開始する前に、ブラウザーのタブが開いていないことを確認してください。
    ヒント: iPad 上で Apple Safari のタブを無効に出来ます。設定 > Safari を選択して、タブバーを表示 をオフにすると無効になります。
  • モバイル Web アプリケーションのテスト中に、ブラウザーのタブは 1 つだけ開くことができます。
  • Silk4NET は、ネイティブ モバイル アプリケーションによって開かれたモバイル Web アプリケーションのテストをサポートしません。
  • iOS 上での Web アプリケーションおよびハイブリッド アプリケーションのテストには、iOS 11 以降のバージョンが必要です。
親トピック: モバイル アプリケーションのテスト
関連概念
ネイティブ モバイル アプリケーションのテストにおける制限事項
XCUITest を使用した iOS 上の既存のスクリプトの実行
イメージ解決のサポート


ネイティブ モバイル アプリケーションのテストにおける制限事項

ネイティブ モバイル アプリケーションに対するテストの再生とロケーターの記録の既知の制限事項は次の通りです。

  • 次のクラス、インターフェイス、メソッド、プロパティは、ネイティブ モバイル アプリケーションでは現時点ではサポートされません。
    • IKeyable インターフェイス。
      • PressKeys メソッド
      • ReleaseKeys メソッド
    • MobileDevice クラス。
      • iOS 上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドはサポートされません。
      • Android 6.0 より前のバージョンの Android 上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドを使用する場合は、擬似ロケーションを許可 を有効にする必要があります。設定は、Android デバイスまたはエミュレータの設定を開き、開発者向けオプション をタップします。
      • Android 6.0 以降上でのネイティブ モバイル アプリケーションのテスト時に、SetLocation メソッドを使用する場合は、Appium Settings をアプリとして設定する必要があります。設定は、Android デバイスまたはエミュレータの設定を開き、開発者向けオプション > 仮の現在地情報アプリを選択 をタップします。そして、Appium Settings を選択します。
        注: Appium Settings という項目は、Android デバイスまたはエミュレータ上の Appium でテストを既に実行した場合にのみ表示されます。
  • iOS 上でのテスト時に、XCUIElementTypeSwitch クラスの getValue メソッドがチェック状態に応じて、文字列 0、1 ではなく、文字列 false、true を返します。
  • 横固定モードでの記録はシステム バーに仮想ボタンを持つ Android エミュレータではサポートされません。このようなエミュレータは、回転を正しく検出せずに、横固定モードのシステム バーを画面の下部ではなく画面の右側に配置します。ただし、このようなエミュレータは縦固定モードで記録することができます。
  • モバイル アプリケーションに対する XPath 式では、HTML DOM の HTML 属性だけがサポートされます。Silk4NET は、XPath 式のプロパティをサポートしません。
  • 任意の時点で、Mac に接続されている複数の物理 iOS デバイス上でテストできますが、iOS シミュレータは Mac 上で実行している 1 つに対してのみテストできます。Silk Test 17.5 Hotfix 1 以降を使用した場合、iOS 上のモバイル アプリケーションをテストするために、Mac 上で複数のユーザー セッションを使用する必要はありません。
  • Silk4NET は、Android と iOS の両方とも、ネイティブ モバイル アプリケーションのテスト時にテキスト解決をサポートしません。
    テキスト解決は次のメソッドを含みます。
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk4NET は、複数の Web ビューを持つネイティブ モバイル アプリケーションのテストをサポートしません。
  • iOS 上でのテスト時に、isVisible プロパティの状態は、要素が非表示であったとしても常に true になります。
  • iOS 上でのテスト時に、複数のステップを持つスワイプ操作は、あるポイントへスワイプし、マウス ポインタをリリースした後、次のポイントへスワイプします。iOS の以前のバージョンでは、この操作はスワイプ間でマウス ポインタをリリースしません。
  • iOS 上でのテスト時に、Silk4NET はピンチ以外のマルチタッチ操作をサポートしません。
  • iOS 上でのテスト時に、Silk4NET は PinchIn メソッドをサポートしません。
  • iOS 上でのテスト時に、警告ダイアログ ボックスに対して承認と解除のみを行えます。キャンセル ボタンは利用できないため、Silk4NET はダイアログを解除できません。デフォルトの操作はダイアログの承認です。
  • Android 上でのテスト時に、Silk4NETは Animation クラスのコントロールに対する自動同期を行いません。
  • Android 上でのトーストのテスト時には、次の制限事項があります。
    • 記録時に、トースト用の矩形領域は、トーストの実際の位置とは関係なく、Silk4NET の 記録 ウィンドウの下部に表示されます。
    • 記録時と再生時に、トーストがすぐに表示された場合でも、Silk4NET によるトーストの検出に、常に 5 秒間かかります。

  • iOS 上でのテスト時に、Silk4NET は UIView.animate 関数または UIView.animateWithDuration 関数を呼び出すコントロールに対する自動同期を行いません。

    アプリケーション デリゲートでアニメーションの速度を速くすることで、問題が回避できる可能性があります。
    func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
  //...
  if NSProcessInfo.processInfo().environment["automationName"] == "Silk Test" {
    // Speed animations up (recommended)
    window!.layer.speed = 100;
  }
}
    このようなアニメーションを完全に無効にすることは、アプリケーションの挙動が変わってしまう可能性があるため、Micro Focus では推奨していません。しかし、アニメーションの速度を速めても同期問題が解決できない場合は、次のようにしてアプリケーション デリゲートでアニメーションを完全に無効化することもできます。
    func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
  //...
  if NSProcessInfo.processInfo().environment["automationName"] == "Silk Test" {
    UIView.setAnimationsEnabled(false)
  }
}
  • iOS 上でのテスト時には、さらに次の制限事項があります。
    • テストの記録および再生時にパフォーマンスの低下を感じる場合があります。
    • iOS の内部的な変更の影響で一部のコントロールのロケーターが変ったため、既存のテストが動作しない場合があります。
    • フォーカスを持たないテキスト フィールドが、テキスト フィールドとして解決されない場合があります。テキスト フィールドを正しく解決するために、操作する前にテキスト フィールドのクリックなどを実行して、テキスト フィールドにフォーカスを移してください。
親トピック: モバイル アプリケーションのテスト
関連概念
モバイル Web アプリケーションのテストにおける制限事項
XCUITest を使用した iOS 上の既存のスクリプトの実行
イメージ解決のサポート


ネイティブ モバイル アプリに対するメソッドの動的呼び出し

動的呼び出しを使うと、モバイル ネイティブ アプリに対して Appium WebDriver のメソッドを直接呼び出すことができます。これは、Appium WebDriver のメソッドが Silk4NET API を介して公開されていない場合に有用です。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

サポートされているメソッド

  • Android 上のネイティブ モバイル アプリのテストでは、Appium Java-client API の AndroidDriver クラスで利用可能なメソッドを Silk4NET はサポートします。
  • iOS 上のネイティブ モバイル アプリのテストでは、Appium Java-client API の IOSDriver クラスで利用可能なメソッドを Silk4NET はサポートします。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • プリミティブ型 (boolean、integer、long、double、string)

    プリミティブ型 (int など) とオブジェクト タイプ (java.lang.Integer など) の両方がサポートされます。プリミティブ型は必要に応じて拡大変換されます。たとえば、int が必要な場所で long を渡すことができます。

  • 列挙型

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが列挙型 ScreenOrientation のパラメータを必要とする場合、次の文字列値を使用できます： LANDSCAPE、PORTRAIT。

  • リスト

    リスト、配列、または可変長引数のパラメータを持つメソッドを呼び出すことができます。リストの要素がターゲットの配列型に代入可能の場合、配列型への変換は自動的に行われます。

戻り値

戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。

例

次のサンプル コードには、動的呼び出しを使用する共通の例を示します。

' VB .NET code
' Getting the page source
Dim pageSource As String = _desktop.MobileDevice("//MobileDevice").Invoke("getPageSource")

' Resetting an app
_desktop.MobileDevice("//MobileDevice").Invoke("resetApp")

' Changing the device orientation
_desktop.MobileDevice("//MobileDevice").Invoke("rotate", "LANDSCAPE")
_desktop.MobileDevice("//MobileDevice").Invoke("rotate", "PORTRAIT")

' Dynamic invoke on MobileObject (calls get redirected to the underlying web element for WebDriver)
With _desktop.MobileDevice("//MobileDevice")
  .MobileObject("CheckBox 2").Invoke("click")
End With
// C#
MobileDevice device = _desktop.MobileDevice("//MobileDevice");

// Getting the page source
var pageSource = (string) device.Invoke("getPageSource");

// Resetting an app
device.Invoke("resetApp");

// Changing the device orientation
device.Invoke("rotate", "LANDSCAPE");
device.Invoke("rotate", "PORTRAIT");

// Dynamic invoke on MobileObject (calls get redirected to the underlying web element for WebDriver)
device.MobileObject("//MobileObject[@caption='CheckBox 2']").Invoke("click");
親トピック: モバイル アプリケーションのテスト


モバイル Web サイトでのオブジェクトのクリック

自動テストの記録と再生中にオブジェクトをクリックするとき、モバイル Web サイトではデスクトップ Web サイトと比較して、次のような困難があります。
  • 拡大/縮小率やデバイス ピクセル比が異なる
  • さまざまなモバイル デバイスによって画面サイズが異なる
  • モバイル デバイス間でのフォントとグラフィックサイズが異なる (通常、デスクトップ ブラウザの Web サイトよりも小さい)。
  • さまざまなモバイルデバイスによってピクセル サイズと解像度が異なる

Silk4NET は、このような困難をものともせずに、モバイル Web サイトの適切なオブジェクトをクリックできます。

モバイル デバイスでテストを記録するときに、Silk4NET は Click の記録時に座標を記録しません。ただし、クロス ブラウザ テストの場合、再生中に座標が許されています。また、Click に座標を手動で追加することもできます。Silk4NET は、これらの座標をオブジェクトの HTML 座標として解釈します。モバイル デバイスのテストの再生時に BrowserWindow の内側の適切なオブジェクトをクリックするために、Silk4NET はオブジェクトの HTML 座標に現在の拡大/縮小率を適用します。デバイスのピクセル座標は、オブジェクトの HTML 座標に現在の拡大/縮小率をかけた座標です。

モバイル Web サイトの現在表示されている領域にオブジェクトが表示されていない場合、Silk4NET は Web サイトの適切な位置にスクロールします。

例

HTML ページで 100 x 20 ピクセルの固定サイズの DomButton をテストするコードを以下に示します。

C#
DomButton domButton = _desktop.Find<DomButton>("locator for the button");
domButton.Click(MouseButton.LEFT, new Point(50, 10));
VB
DomButton domButton = _desktop.Find(Of DomButton)("locator for the button");
domButton.Click(MouseButton.LEFT, new Point(50, 10));

異なるモバイル デバイスまたは異なる拡大/縮小率で再生すると、たとえば DomButton は、デバイス画面上では実際は 10 ピクセルの幅かもしれません。しかし、現在の拡大/縮小率の影響は受けず、上記のコードを使用したときに Silk4NET は要素の中央をクリックします。これは、Silk4NET が座標を HTML 座標として解釈し、現在の拡大/縮小率を適用するためです。

親トピック: モバイル アプリケーションのテスト


既存のモバイル Web テストの使用方法

Silk Test 17.0 以降では、モバイル Web テストの扱いが、前のバージョンの Silk Test とは異なります。この変更により、以前のモバイル Web テストが Silk Test 17.0 以降では動作しなくなる可能性があります。このトピックでは、Silk Test 17.0 で行われた変更について説明し、既存のモバイル Web テストを Silk Test 17.0 以降で使用できるように変更する方法を説明します。

Silk Test 17.0 でモバイル Web テストに対して行われた変更は、以下の通りです。

  • Silk Test の以前のバージョンでは、Windows マシンに USB で接続された iOS デバイスをテストすることができました。Silk Test 17.0 以降では、OS X マシン（Mac）に接続された iOS デバイスに対してのみテストすることができます。
  • 以前のバージョンの Silk Test を使用して Android デバイス上のモバイル Web アプリケーションをテストしていた場合、Silk Test 17.0 以降で Web アプリケーションをテストするには、Android デバイスのプロキシ設定を手動で削除する必要があります。Silk Test 17.0 以降では、プロキシは使用しません。プロキシが設定されていると、「プロキシ サーバーに接続できません」というメッセージがデバイスに表示されます。
親トピック: モバイル アプリケーションのテスト


.NET のサポート

Silk Test は、以下の .NET アプリケーションのテストを組み込みでサポートしています。

  • Windows Forms（Win Forms）アプリケーション
  • Windows Presentation Foundation (WPF) アプリケーション
  • Microsoft Silverlightアプリケーション

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

  • Windows Forms のサポート
    .NET スタンドアロン アプリケーションとノータッチ Windows Forms（Win Forms）アプリケーションをテストするための組み込みサポートについて説明します。
  • Windows Presentation Foundation（WPF）のサポート
    Windows Presentation Foundation（WPF）アプリケーションのサポートの概要について説明します。
  • Silverlight アプリケーションのサポート
    Silverlight アプリケーションをテストするための組み込みサポートについて説明します。
  • Visual COBOL のサポート
    Visual COBOL ベースのアプリケーションをテストするために Silk4NET が提供するサポートについて説明します。
親トピック: 特定の環境のテスト


Windows Forms のサポート

Silk4NET は、.NET スタンドアロン アプリケーションとノータッチ Windows Forms (Win Forms) アプリケーションのテストを組み込みでサポートしています。ただし、スタンドアロン アプリケーションでは、side-by-side 実行はサポートされていません。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

オブジェクト解決

アプリケーション中の要素に指定された name が使用可能な場合、ロケーターの automationId 属性として使用されます。この結果、多くのオブジェクトは、この属性のみを使用して一意に識別できます。

サポートするコントロール

Win Forms テストで使用可能な記録／再生コントロールの完全な一覧については、「Windows Forms クラス リファレンス」を参照してください。

  • Windows Forms クラス リファレンス
    Windows Forms をサポートするための Visual Basic クラスを一覧します。
  • Windows Forms アプリケーションの属性
    Windows Forms アプリケーションがサポートする属性の一覧を提供します。
  • Windows Forms アプリケーションのカスタム属性
    Windows Forms アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • Windows Forms メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
親トピック: .NET のサポート


Windows Forms クラス リファレンス

Windows Forms アプリケーションを設定すると、Silk4NET は標準の Windows Forms コントロールのテストのサポートを組み込みで提供します。

親トピック: Windows Forms のサポート
関連資料
Windows Forms クラス リファレンス


Windows Forms アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Windows Forms アプリケーションがサポートする属性は次のとおりです。
  • automationid
  • caption
  • windowid
  • priorlabel（caption のないコントロールの場合、自動的に priorlabel が caption として使用されます。 caption のあるコントロールの場合、caption を使う方が簡単な場合があります。）
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Windows Forms のサポート
親トピック: サポートする属性の種類


Windows Forms メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

Invoke メソッド

Windows Forms または WPF コントロールでは、Invoke メソッドを使用して、以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

Invoke メソッドの最初の例

Silk4NET の DataGrid 型のオブジェクトでは、MSDN が System.Windows.Forms.DataGrid 型に定義しているすべてのメソッドを呼び出すことができます。

System.Windows.Forms.DataGrid クラスのメソッド IsExpanded を呼び出すには、次のコードを使用します。
//VB .NET code
Dim isExpanded As Boolean = dataGrid.Invoke("IsExpanded", 3)
//C# code
bool isExpanded = (bool) dataGrid.Invoke("IsExpanded", 3);

Invoke メソッドの 2 番目の例

AUT 内の静的メソッド String.Compare(String s1, String s2) を呼び出すには、次のコードを使用します。
//VB .NET code
Dim result as Integer = (Integer) mainWindow.Invoke("System.String.Compare", "a", "b")
//C# code
int result = (int) mainWindow.Invoke("System.String.Compare", "a", "b");

Invoke メソッドの 3 番目の例

この例では、ユーザーが生成したメソッド GetContents を動的に呼び出す方法を示します。

テスト対象アプリケーション (AUT) のコントロールの操作に使用するコードを作成できます (この例では UltraGrid)。UltraGrid の内容を取得するために、複雑な動的呼び出しを作成するのではなく、新しいメソッド GetContents を生成し、この新しいメソッドを動的に呼び出すことができます。

Visual Studio で、AUT 内の次のコードによって GetContents メソッドを UltraGridUtil クラスのメソッドとして定義します。
//C# code, because this is code in the AUT
namespace UltraGridExtensions {
  public class UltraGridUtil {
    /// <summary>
    /// Retrieves the contents of an UltraGrid as nested list
    /// </summary>
    /// <param name="grid"></param>
    /// <returns></returns>
    public static List<List<string>> GetContents(Infragistics.Win.UltraWinGrid.UltraGrid grid) {
      var result = new List<List<string>>();
      foreach (var row in grid.Rows) {
        var rowContent = new List<string>();
        foreach (var cell in row.Cells) {
          rowContent.Add(cell.Text);
        }
        result.Add(rowContent);
      }
      return result;
    }
  }
}
UltraGridUtil クラスのコードを AUT に追加する必要があります。これは、次のようにして行います。
  • アプリケーション開発者は、クラスのコードを AUT にコンパイルできます。アセンブリがすでにロードされている必要があります。
  • テストの実行時に AUT にロードされる新しいアセンブリを作成できます。
アセンブリをロードするには、次のコードを使用します。
FormsWindow.LoadAssembly(String assemblyFileName)
次のようにして、フルパスで指定してアセンブリをロードします。
mainWindow.LoadAssembly("C:/temp/ultraGridExtensions.dll")
Location メソッドを使用してアセンブリの場所を見つけることもできます。
//VB.NET code
Dim assemblyLocation = GetType(UltraGridExtensions.UltraGridUtil).Assembly.Location
mainWindow.LoadAssembly(assemblyLocation)

//C# code
string assemblyLocation = typeof(UltraGridExtensions.UltraGridUtil).Assembly.Location;
mainWindow.LoadAssembly(assemblyLocation);
UltraGridUtil クラスのコードが AUT 内にある場合は、次のコードをテスト スクリプトに追加して、GetContents メソッドを呼び出すことができます。
var contents = (IList) mainWindow.Invoke("UltraGridExtensions.UltraGridUtil.GetContents", ultraGrid);

Invoke メソッドを呼び出す mainWindow オブジェクトは、AUT を特定しているだけなので、同じ AUT の他のオブジェクトに置き換えてもかまいません。

InvokeMethods メソッド

Windows Forms または WPF コントロールでは、InvokeMethods メソッドを使用して、ネストされたメソッドのシーケンスを呼び出すことができます。以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

例：カスタム データ グリッドのセルの内容のテキストでの取得

Infragistics ライブラリのカスタム データ グリッドのセルの内容をテキストで取得するには、AUT で次の C# コードを使用できます。
string cellText = dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
次の C# コードのサンプルは、最初の行の 3 番目のセルの内容をテキストで取得します。
string cellText = dataGrid.Rows[0].Cells[2];
InvokeMethods メソッドを使用して同じ例をスクリプト化すると、比較的複雑なスクリプトになります。これは、対応するパラメータを持つ 5 つのメソッドを InvokeMethods メソッドに渡さなければならないためです。
// C# code
var dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'");
// Get text contents of third cell in first row.
var rowIndex = 0;
var columnIndex = 2;

var methodNames = new List<string>();
methodNames.Add("Rows"); 			 								// Get the list of rows from the grid.
methodNames.Add("get_Item"); 								// Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells"); 											// Get the list of cells from the the row.
methodNames.Add("get_Item"); 								// Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text"); 												// Get the text of the cell.

var parameters = new List<List<object>>();
parameters.Add(new List<object>());                  // Parameters for the Rows property.
parameters.Add(new List<object>() { rowIndex });     // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Cells property.
parameters.Add(new List<object>() { columnIndex });  // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Text property.

string cellText = (string)dataGrid.InvokeMethods(methodNames, parameters);
' VB .NET code
Dim dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'")

' Get text contents of third cell in first row.
Dim rowIndex = 0
Dim column = 2

Dim methodNames = New List(Of String)()
methodNames.Add("Rows")                   ' Get the list of rows from the grid.
methodNames.Add("get_Item")               ' Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells")                  ' Get the list of cells from the the row.
methodNames.Add("get_Item")               ' Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text")                   ' Get the text of the cell.

Dim parameters = New List(Of List(Of Object))()
parameters.Add(New List(Of Object)())                  ' Parameters for the Rows property.
parameters.Add(New List(Of Object) From {rowIndex})    ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Cells property.
parameters.Add(New List(Of Object) From {columnIndex}) ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Text property.

Dim cellText As String = dataGrid.InvokeMethods(methodNames, parameters)
このような場合に、より簡単にするアプローチは、テスト対象アプリケーションにコードを追加して、InvokeMethods メソッドを使用することです。たとえば、GetCellText メソッドを AUT に追加します。
// C# code, if the AUT is implemented in C#.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
' VB code, if the AUT is implemented in VB.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
テスト スクリプトから GetCellText メソッドを動的に呼び出して、セルの内容をテキストで取得します。
// C# code
string cellText = (string) mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex);
'VB .NET code
Dim cellText As String = mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex)

詳細については、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」を参照してください。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk4NET がサポートするコントロールのメソッドとプロパティー。
  • MSDN が定義するコントロールのパブリック メソッドとプロパティー。
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk4NET 型

    Silk4NET 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point や Rect など) が含まれます。

  • 列挙型

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが .NET 列挙型 System.Windows.Visiblity のパラメータを必要とする場合、次の文字列値を使用できます： Visible、Hidden、Collapsed。

  • .NET 構造体とオブジェクト

    .NET 構造体とオブジェクト パラメータはリストとして渡す必要があります。リスト内の要素は、テスト アプリケーションの .NET オブジェクトで定義されているコンストラクタの 1 つと一致しなければなりません。たとえば、メソッドが .NET 型 System.Windows.Vector のパラメータを必要とする場合、2 つの整数値を持つリストを渡すことができます。これが機能するのは、System.Windows.Vector 型が 2 つの整数値を引数に取るコンストラクタを持つためです。

  • その他のコントロール

    コントロール パラメーターは、TestObject として渡したり、返したりできます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
親トピック: Windows Forms のサポート
関連概念
動的呼び出し
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする
カスタム コントロール
動的呼び出しに関するよくある質問


Windows Presentation Foundation（WPF）のサポート

Silk4NET は、Windows Presentation Foundation (WPF) アプリケーションのテストを組み込みでサポートしています。Silk4NET は、スタンドアロン WPF アプリケーションをサポートしており、.NET バージョン 3.5 以降に組み込まれているコントロールを記録し、再生できます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

WPF テストで使用可能なコントロールの完全な一覧については、「WPF クラス リファレンス」を参照してください。

Silk4NET WPF がサポートするすべての WPF クラスは、WPFWindow や WPFListBox のように接頭辞 WPF で始まります。

WPF コントロールでサポートされるメソッドとプロパティは、実際の実装とランタイム状態によって異なります。メソッドとプロパティは、対応するクラスに対して定義されたリストと異なる場合があります。特定の状況でサポートされるメソッドとプロパティを判別するには、以下のコードを使用します。

  • GetPropertyList()
  • GetDynamicMethodList()

WPF の詳細については、MSDN を参照してください。

  • WPF クラス リファレンス
    WPF をサポートするための Visual Basic クラスを一覧します。
  • Windows Presentation Foundation (WPF) アプリケーションの属性
    Windows Presentation Foundation (WPF) アプリケーションがサポートする属性の一覧を提供します。
  • WPF アプリケーションのカスタム属性
    WPF アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • WPFItemsControl クラスから派生したクラス
    WPFItemsControl から派生したクラスを操作する方法について説明します。
  • カスタム WPF コントロール
    Silk4NET がカスタム コントロールを認識する方法を説明します。
  • WPF メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • 記録/再生の対象とする WPF クラスの設定
    記録、再生、検索、プロパティの検証など、すべてのサポートされる操作をクラスに対して実行するには、クラスを公開します。
  • 記録/再生時の事前読み込みの設定
    ビューにスクロールされないとアクセスできない項目にアクセスするには、記録/再生時の事前読み込みをオンにします。
親トピック: .NET のサポート


WPF クラス リファレンス

WPF アプリケーションを設定すると、Silk4NET は標準の WPF コントロールのテストのサポートを組み込みで提供します。

親トピック: Windows Presentation Foundation（WPF）のサポート
関連資料
WPF クラス リファレンス


Windows Presentation Foundation (WPF) アプリケーションの属性

WPF アプリケーションがサポートする属性は次のとおりです。
  • automationId
  • caption
  • className
  • name
  • すべての動的ロケーター属性。
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

オブジェクト解決

WPF スクリプト内のコンポーネントを識別するために、automationId、caption、className、あるいは name を指定できます。 アプリケーション中の要素に指定された name が利用可能な場合、ロケーターの automationId 属性として使用されます。 この結果、多くのオブジェクトは、この属性のみを使用して一意に識別できます。 たとえば、automationId を持つロケーターは、以下のようになります：//WPFButton[@automationId='okButton']"

automationId や他の属性を定義した場合、再生中に automationId だけが使用されます。 automationId が定義されていない場合には、コンポーネントを解決するのに name が使用されます。 name も automationId もどちらも定義されていない場合には、caption 値が使用されます。 caption が定義されていない場合は、className が使用されます。 automationId は非常に役立つプロパティであるため、使用することを推奨します。

属性の種類 説明 例
automationId

テスト アプリケーションの開発者によって提供された ID

//WPFButton[@automationId='okButton']"
name コントロールの名前。 Visual Studio デザイナは、デザイナ上で作成されたすべてのコントロールに自動的に名前を割り当てます。 アプリケーション開発者は、アプリケーションのコード上でコントロールを識別するために、この名前を使用します。
//WPFButton[@name='okButton']"
caption

コントロールが表示するテキスト。 複数の言語にローカライズされたアプリケーションをテストする場合、caption の代わりに automationId や name 属性を使用することを推奨します。

//WPFButton[@automationId='Ok']"
className

WPF の .NET 単純クラス名 (名前空間なし)。 クラス名属性を使用すると、Silk4NET が解決する標準 WPF コントロールから派生したカスタム コントロールを識別するのに役立ちます。

//WPFButton[@className='MyCustomButton']"

Silk4NET は、automationId、name、caption、className 属性をこの表に示した順番に使用して WPF コントロールのロケーターを記録時に作成します。 たとえば、コントロールが automationId と name を持つ場合、Silk4NET がロケーターを作成する際には automationId が使用されます。

以下の例では、アプリケーション開発者がアプリケーションの WPF ボタンに対して name と automationId を XAML コードに定義する方法を示します。
<Button Name="okButton" AutomationProperties.AutomationId="okButton"
Click="okButton_Click">Ok</Button>
親トピック: Windows Presentation Foundation（WPF）のサポート
親トピック: サポートする属性の種類


WPFItemsControl クラスから派生したクラス

Silk4NET は、2 つの方法を使用して WPFItemsControl から派生したクラス (WPFListBox、WPFTreeView、WPFMenu など) を操作することができます。

  • コントロールでの作業

    ほとんどのコントロールには、標準的なユースケースのためのメソッドやプロパティがあります。 項目は、テキストや索引によって識別されます。

  • WPFListBoxItem、WPFTreeViewItem、WPFMenuItem などの個々の項目での作業

    高度なユースケースの場合、個々の項目を使用します。 たとえば、リスト ボックスの特定の項目のコンテキスト メニューを開いたり、項目に相対的な場所をクリックしたりする場合に個々の項目を使用します。

親トピック: Windows Presentation Foundation（WPF）のサポート


カスタム WPF コントロール

一般的に、Silk4NET では、すべての標準 WPF コントロールの記録と再生がサポートされています。

Silk4NET は、カスタム コントロールが実装された方法を基にしてカスタム コントロールを処理します。 次の方法を使用してカスタム コントロールを実装することができます。
  • UserControl から派生したクラスを定義する

    複合コントロールを作成する典型的な方法です。 Silk4NET は、これらのユーザー コントロールを WPFUserControl として認識し、含まれるコントロールを完全にサポートしています。

  • ListBox などの標準 WPF コントロールから派生したクラスを定義する

    Silk4NET は、これらのコントロールを派生元の標準 WPF コントロールのインスタンスとして扱います。 ユーザー コントロールの振る舞いがその基底クラスの実装と大きく異なる場合には、子の記録、再生、解決は機能しない可能性があります。

  • テンプレートを使用して視覚デザインを変更した標準コントロールを使用する

    低レベルの再生が機能しない可能性があります。 その場合には、「高レベル」再生モードに切り替えます。

Silk4NET は、一般的に機能テストに無関係なコントロールは除外します。 たとえば、レイアウトを目的として使用されるコントロールは含まれません。 しかし、カスタム コントロールが除外されたクラスから派生している場合、除外されたコントロールを記録/再生の対象とするためには、関連する WPF クラスの名前を指定します。

親トピック: Windows Presentation Foundation（WPF）のサポート
関連タスク
記録/再生の対象とする WPF クラスの設定
再生オプションの設定


WPF メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

Invoke メソッド

Windows Forms または WPF コントロールでは、Invoke メソッドを使用して、以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

Invoke メソッドの最初の例

Silk4NET の DataGrid 型のオブジェクトでは、MSDN が System.Windows.Forms.DataGrid 型に定義しているすべてのメソッドを呼び出すことができます。

System.Windows.Forms.DataGrid クラスのメソッド IsExpanded を呼び出すには、次のコードを使用します。
//VB .NET code
Dim isExpanded As Boolean = dataGrid.Invoke("IsExpanded", 3)
//C# code
bool isExpanded = (bool) dataGrid.Invoke("IsExpanded", 3);

Invoke メソッドの 2 番目の例

AUT 内の静的メソッド String.Compare(String s1, String s2) を呼び出すには、次のコードを使用します。
//VB .NET code
Dim result as Integer = (Integer) mainWindow.Invoke("System.String.Compare", "a", "b")
//C# code
int result = (int) mainWindow.Invoke("System.String.Compare", "a", "b");

Invoke メソッドの 3 番目の例

この例では、ユーザーが生成したメソッド GetContents を動的に呼び出す方法を示します。

テスト対象アプリケーション (AUT) のコントロールの操作に使用するコードを作成できます (この例では UltraGrid)。UltraGrid の内容を取得するために、複雑な動的呼び出しを作成するのではなく、新しいメソッド GetContents を生成し、この新しいメソッドを動的に呼び出すことができます。

Visual Studio で、AUT 内の次のコードによって GetContents メソッドを UltraGridUtil クラスのメソッドとして定義します。
//C# code, because this is code in the AUT
namespace UltraGridExtensions {
  public class UltraGridUtil {
    /// <summary>
    /// Retrieves the contents of an UltraGrid as nested list
    /// </summary>
    /// <param name="grid"></param>
    /// <returns></returns>
    public static List<List<string>> GetContents(Infragistics.Win.UltraWinGrid.UltraGrid grid) {
      var result = new List<List<string>>();
      foreach (var row in grid.Rows) {
        var rowContent = new List<string>();
        foreach (var cell in row.Cells) {
          rowContent.Add(cell.Text);
        }
        result.Add(rowContent);
      }
      return result;
    }
  }
}
UltraGridUtil クラスのコードを AUT に追加する必要があります。これは、次のようにして行います。
  • アプリケーション開発者は、クラスのコードを AUT にコンパイルできます。アセンブリがすでにロードされている必要があります。
  • テストの実行時に AUT にロードされる新しいアセンブリを作成できます。
アセンブリをロードするには、次のコードを使用します。
FormsWindow.LoadAssembly(String assemblyFileName)
次のようにして、フルパスで指定してアセンブリをロードします。
mainWindow.LoadAssembly("C:/temp/ultraGridExtensions.dll")
Location メソッドを使用してアセンブリの場所を見つけることもできます。
//VB.NET code
Dim assemblyLocation = GetType(UltraGridExtensions.UltraGridUtil).Assembly.Location
mainWindow.LoadAssembly(assemblyLocation)

//C# code
string assemblyLocation = typeof(UltraGridExtensions.UltraGridUtil).Assembly.Location;
mainWindow.LoadAssembly(assemblyLocation);
UltraGridUtil クラスのコードが AUT 内にある場合は、次のコードをテスト スクリプトに追加して、GetContents メソッドを呼び出すことができます。
var contents = (IList) mainWindow.Invoke("UltraGridExtensions.UltraGridUtil.GetContents", ultraGrid);

Invoke メソッドを呼び出す mainWindow オブジェクトは、AUT を特定しているだけなので、同じ AUT の他のオブジェクトに置き換えてもかまいません。

InvokeMethods メソッド

Windows Forms または WPF コントロールでは、InvokeMethods メソッドを使用して、ネストされたメソッドのシーケンスを呼び出すことができます。以下のメソッドを呼び出すことができます。
  • MSDN が定義するコントロールのパブリック メソッド。
  • MSDN が定義する静的パブリック メソッド。
  • ユーザーが定義する任意の型の静的パブリック メソッド。

例：カスタム データ グリッドのセルの内容のテキストでの取得

Infragistics ライブラリのカスタム データ グリッドのセルの内容をテキストで取得するには、AUT で次の C# コードを使用できます。
string cellText = dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
次の C# コードのサンプルは、最初の行の 3 番目のセルの内容をテキストで取得します。
string cellText = dataGrid.Rows[0].Cells[2];
InvokeMethods メソッドを使用して同じ例をスクリプト化すると、比較的複雑なスクリプトになります。これは、対応するパラメータを持つ 5 つのメソッドを InvokeMethods メソッドに渡さなければならないためです。
// C# code
var dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'");
// Get text contents of third cell in first row.
var rowIndex = 0;
var columnIndex = 2;

var methodNames = new List<string>();
methodNames.Add("Rows"); 			 								// Get the list of rows from the grid.
methodNames.Add("get_Item"); 								// Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells"); 											// Get the list of cells from the the row.
methodNames.Add("get_Item"); 								// Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text"); 												// Get the text of the cell.

var parameters = new List<List<object>>();
parameters.Add(new List<object>());                  // Parameters for the Rows property.
parameters.Add(new List<object>() { rowIndex });     // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Cells property.
parameters.Add(new List<object>() { columnIndex });  // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Text property.

string cellText = (string)dataGrid.InvokeMethods(methodNames, parameters);
' VB .NET code
Dim dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'")

' Get text contents of third cell in first row.
Dim rowIndex = 0
Dim column = 2

Dim methodNames = New List(Of String)()
methodNames.Add("Rows")                   ' Get the list of rows from the grid.
methodNames.Add("get_Item")               ' Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells")                  ' Get the list of cells from the the row.
methodNames.Add("get_Item")               ' Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text")                   ' Get the text of the cell.

Dim parameters = New List(Of List(Of Object))()
parameters.Add(New List(Of Object)())                  ' Parameters for the Rows property.
parameters.Add(New List(Of Object) From {rowIndex})    ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Cells property.
parameters.Add(New List(Of Object) From {columnIndex}) ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Text property.

Dim cellText As String = dataGrid.InvokeMethods(methodNames, parameters)
このような場合に、より簡単にするアプローチは、テスト対象アプリケーションにコードを追加して、InvokeMethods メソッドを使用することです。たとえば、GetCellText メソッドを AUT に追加します。
// C# code, if the AUT is implemented in C#.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
' VB code, if the AUT is implemented in VB.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
テスト スクリプトから GetCellText メソッドを動的に呼び出して、セルの内容をテキストで取得します。
// C# code
string cellText = (string) mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex);
'VB .NET code
Dim cellText As String = mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex)

詳細については、「テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする」を参照してください。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk4NET がサポートするコントロールのメソッドとプロパティー。
  • MSDN が定義するコントロールのパブリック メソッドとプロパティー。
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk4NET 型

    Silk4NET 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point や Rect など) が含まれます。

  • 列挙型

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが .NET 列挙型 System.Windows.Visiblity のパラメータを必要とする場合、次の文字列値を使用できます： Visible、Hidden、Collapsed。

  • .NET 構造体とオブジェクト

    .NET 構造体とオブジェクト パラメータはリストとして渡す必要があります。リスト内の要素は、テスト アプリケーションの .NET オブジェクトで定義されているコンストラクタの 1 つと一致しなければなりません。たとえば、メソッドが .NET 型 System.Windows.Vector のパラメータを必要とする場合、2 つの整数値を持つリストを渡すことができます。これが機能するのは、System.Windows.Vector 型が 2 つの整数値を引数に取るコンストラクタを持つためです。

  • WPF コントロール

    WPF コントロール パラメータは TestObject として渡すことができます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
  • すべてのその他の型の場合は文字列

    返された .NET オブジェクトに対して ToString を呼び出せば、文字列表現を取得できます。

例

たとえば、アプリケーション開発者が次のメソッドとプロパティを持つ Calculator カスタム コントロールを作成したとします。
public void Reset()
public int Add(int number1, int number2)
public System.Windows.Vector StrechVector(System.Windows.Vector vector, double
factor)
public String Description { get;}
テスト担当者は、テスト内からメソッドを直接呼び出すことができます。例：
customControl.Invoke("Reset")
Dim sum as Integer = customControl.Invoke("Add", 1, 2)
' the vector can be passed as list of integer
Dim vector = New List(Of Integer)
vector.Add(3)
vector.Add(4)
' returns "6;8" because this is the string representation of the .NET object
Dim strechedVector As String = customControl.Invoke("StrechVector", vector, 2.0)
Dim description As String = customControl.GetProperty("Description")
親トピック: Windows Presentation Foundation（WPF）のサポート
関連概念
動的呼び出し
テスト対象アプリケーションにコードを追加してカスタム コントロールをテストする
カスタム コントロール
動的呼び出しに関するよくある質問


記録/再生の対象とする WPF クラスの設定

Silk4NET は、一般的に機能テストに無関係なコントロールは除外します。たとえば、レイアウトを目的として使用されるコントロールは含まれません。しかし、カスタム コントロールが除外されたクラスから派生している場合、除外されたコントロールを記録/再生の対象とするためには、関連する WPF クラスの名前を指定します。

記録や再生の対象にしたい WPF クラスの名前を指定します。たとえば、MyGrid というカスタム クラスが WPF Grid クラスから継承された場合、MyGrid カスタム クラスのオブジェクトは記録や再生に使用できません。Grid クラスはレイアウト目的のためにのみ存在し、機能テストとは無関係であるため、Grid オブジェクトは記録や再生に使用できません。この結果、Grid オブジェクトはデフォルトでは公開されません。機能テストに無関係なクラスに基づいたカスタム クラスを使用するには、カスタム クラス (この場合は MyGrid) を OPT_WPF_CUSTOM_CLASSES オプションに追加します。これによって、記録、再生、検索、プロパティの検証など、すべてのサポートされる操作を指定したクラスに対して実行できるようになります。
  1. Silk4NET > オプションの編集 をクリックします。
  2. WPF タブ をクリックします。
  3. カスタム WPF クラス名 グリッドで、記録や再生中に公開するクラスの名前を入力します。 複数のクラス名を指定する場合にはカンマで区切ります。
  4. OK をクリックします。
親トピック: Windows Presentation Foundation（WPF）のサポート
関連概念
カスタム WPF コントロール


記録/再生時の事前読み込みの設定

記録および再生中に 、WPFComboBox や WPFListBox のような WPFItemsControl 内の項目を事前に入力するかどうかを定義します。WPF 自体が特定のコントロールの項目を遅延読み込みするため、項目がビューにスクロールされない場合、それらの項目は Silk4NET では使用できません。ビューにスクロールされないとアクセスできない項目にアクセスするには、事前入力をオンにします。これはデフォルトの設定です。ただし、一部のアプリケーションでは Silk4NET によってバックグランドで項目が事前入力されると問題が発生し、そのためアプリケーションがクラッシュすることがあります。この場合、事前入力をオフにします。

  1. Silk4NET > オプションの編集 をクリックします。
  2. WPF タブ をクリックします。
  3. 項目の事前読み込み 領域で、OPT_WPF_PREFILL_ITEMS チェック ボックスをオンにします。
  4. OK をクリックします。
親トピック: Windows Presentation Foundation（WPF）のサポート


Silverlight アプリケーションのサポート

Microsoft Silverlight (Silverlight) は、リッチ インターネット アプリケーションを記述し、実行するためのアプリケーション フレームワークで、Adobe Flash と同様の機能と目的を備えています。Silverlight の実行時環境は、大部分の Web ブラウザでプラグインとして使用できます。

Silk4NET は、Silverlight アプリケーションのテストを組み込みでサポートしています。Silk4NET は、ブラウザ内部と同様ブラウザ外部でも実行される Silverlight アプリケーションをサポートしており、.NET バージョン 3.5 以降でコントロールを記録し、再生できます。

Silverlight をベースとする以下のアプリケーションがサポートされます。
  • Internet Explorer で実行される Silverlight アプリケーション
  • ブラウザー外実行 Silverlight アプリケーション

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

Silk4NET は、Silverlight コントロールの記録と再生をサポートしています。

Silverlight テストで使用可能なコントロールの完全な一覧については、「Silverlight クラス リファレンス」を参照してください。

注: Silk Test 14.0 以降では、Silk4NET は、画面上で操作可能でかつ表示されている Silverlight コントロールのみを認識します。この変更は、Silk Test 14.0 より前のバージョンの Silk Test を使用して記録されたテストの動作に影響を与える可能性があります。Silk Test 14.0 以降を使用してこのようなテストを実行するには、不可視な、または利用可能でないすべての Silverlight コントロールをテストから削除してください。

前提条件

Microsoft Windows XP で Silverlight アプリケーションをテストする場合、サービス パック 3 をインストールし、Windows 7 で提供される Microsoft User Interface Automation の Windows XP 用の更新プログラムを適用する必要があります。更新プログラムは、http://www.microsoft.com/download/en/details.aspx?id=13821 からダウンロードできます。

注: Microsoft User Interface Automation は、Silverlight サポート用にインストールする必要があります。Windows オペレーティング システムを使用していて、Silverlight サポートが機能しない場合は、使用しているオペレーティング システム用の Microsoft User Interface Automation の更新プログラムを http://support.microsoft.com/kb/971513 からダウンロードしてインストールしてください。
  • Silverlight クラス リファレンス
    Silverlight をサポートするための Visual Basic クラスを一覧します。
  • Silverlight コントロールを識別するためのロケーター属性
    Silverlight コントロールを識別するためにサポートされているロケーター属性について説明します。
  • Silverlight メソッドの動的呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティを取得/設定する方法について説明します。
  • Silverlight でのスクロール
    Silverlight コントロールでのスクロールの処理方法を説明します。
  • Silverlight アプリケーションのテスト時のトラブルシューティング
    Silverlight アプリケーションのテスト時に発生する可能性のある問題の処理について有用な情報を提供します。
親トピック: .NET のサポート


Silverlight クラス リファレンス

Silverlight アプリケーションを設定すると、Silk4NET は標準の Silverlight コントロールのテストのサポートを組み込みで提供します。

親トピック: Silverlight アプリケーションのサポート
関連資料
Silverlight クラス リファレンス


Silverlight コントロールを識別するためのロケーター属性

Silverlight コントロールでサポートされているロケーター属性は次のとおりです。
  • automationId
  • caption
  • className
  • name
  • すべての動的ロケーター属性
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

Silverlight スクリプト内のコンポーネントを識別するために、automationId、caption、className、name、または任意の動的ロケーター属性を指定できます。 automationId はアプリケーション開発者が設定します。 たとえば、automationId を持つロケーターは、以下のようになります：//SLButton[@automationId="okButton"]

automationId は一般に非常に有用で安定した属性であるため、使用することを推奨します。

属性の種類 | 説明 | 例
automationId | テスト対象アプリケーションの開発者によって設定される識別子。 Visual Studio デザイナは、デザイナ上で作成されたすべてのコントロールに自動的に automationId を割り当てます。 アプリケーション開発者は、アプリケーションのコード上でコントロールを識別するために、この ID を使用します。 | //SLButton[@automationId="okButton"]
caption | コントロールが表示するテキスト。 複数の言語にローカライズされたアプリケーションをテストする場合、caption の代わりに automationId や name 属性を使用することを推奨します。 | //SLButton[@caption="Ok"]
className | Silverlight コントロールの .NET 単純クラス名 (名前空間なし)。 className 属性を使用すると、Silk4NET が解決する標準 Silverlight コントロールから派生したカスタム コントロールを識別するのに役立ちます。 | //SLButton[@className='MyCustomButton']
name | コントロールの名前。 テスト対象アプリケーションの開発者によって設定されます。 | //SLButton[@name="okButton"]
重要: XAML コードの name 属性は、ロケーター属性 name ではなく、ロケーター属性 automationId にマップされます。

Silk4NET は、automationId、name、caption、className 属性をこの表に示した順番に使用して Silverlight コントロールのロケーターを記録時に作成します。 たとえば、コントロールが automationId と name を持つ場合、automationId が固有の場合は Silk4NET がロケーターを作成する際に使用されます。

以下の表は、アプリケーション開発者がテキスト「Ok」を持つ Silverlight ボタンをアプリケーションの XAML コードに定義する方法を示しています。
オブジェクトの XAML コード | Silk Test からオブジェクトを検索するためのロケーター
<Button>Ok</Button> | //SLButton[@caption="Ok"]
<Button Name="okButton">Ok</Button> | //SLButton[@automationId="okButton"]
<Button AutomationProperties.AutomationId="okButton">Ok</Button> | //SLButton[@automationId="okButton"]
<Button AutomationProperties.Name="okButton">Ok</Button> | //SLButton[@name="okButton"]
親トピック: Silverlight アプリケーションのサポート
親トピック: サポートする属性の種類
関連概念
動的ロケーター属性


Silverlight メソッドの動的呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk4NET 型。

    Silk4NET 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point、Rect など) が含まれます。

  • 列挙型。

    列挙パラメータは文字列として渡す必要があります。文字列は、列挙値の名前と一致しなければなりません。たとえば、メソッドが .NET 列挙型 System.Windows.Visiblity のパラメータを必要とする場合には、Visible、Hidden、Collapsed の文字列値を使用できます。

  • .NET 構造体とオブジェクト。

    .NET 構造体とオブジェクト パラメータはリストとして渡します。リスト内の要素は、テスト アプリケーションの .NET オブジェクトで定義されているコンストラクタの 1 つと一致しなければなりません。たとえば、メソッドが .NET 型 System.Windows.Vector のパラメータを必要とする場合、2 つの整数値を持つリストを渡すことができます。これが機能するのは、System.Windows.Vector 型が 2 つの整数値を引数に取るコンストラクタを持つためです。

  • その他のコントロール。

    コントロール パラメータは TestObject として渡すことができます。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • MSDN が定義する AutomationElement クラスのすべてのパブリック メソッドとプロパティ。詳細については、http://msdn.microsoft.com/en-us/library/system.windows.automation.automationelement.aspx を参照してください。
  • MSUIA が公開するすべてのメソッドとプロパティ。利用可能なメソッドとプロパティは「パターン」で分類されます。パターンとは、MSUIA 固有の用語です。すべてのコントロールは、いくつかのパターンを実装します。一般的なパターンについての概要およびすべての利用可能なパターンについては、http://msdn.microsoft.com/en-us/library/ms752362.aspx を参照してください。カスタム コントロールの開発者は、MSUIA パターン セットを実装することによって、カスタム コントロールのテスト サポートを提供できます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
  • すべてのその他の型の場合は文字列。

    この文字列表現を取得するには、テスト対象アプリケーションの返された .NET オブジェクトに対して ToString メソッドを呼び出します。

例

Silverlight の TabItem。 これは TabControl の項目です。
tabItem.Invoke("SelectionItemPattern.Select")
mySilverligtObject.GetProperty("IsPassword")
親トピック: Silverlight アプリケーションのサポート
関連概念
動的呼び出し
カスタム コントロール
動的呼び出しに関するよくある質問


Silverlight でのスクロール

Silk4NET では、Silverlight コントロールに応じて、2 種類のスクロール方法とプロパティを提供します。
  • 1 つめの種類のコントロールには、それ自体でスクロール可能なコントロールが含まれ、スクロールバーは子として明示的に表示されません。 たとえば、コンボ ボックス、ペイン、リスト ボックス、ツリー コントロール、データ グリッド、オート コンプリート ボックスなどがあります。
  • 2 つめの種類のコントロールには、それ自体ではスクロール不可能なコントロールが含まれ、スクロール用にスクロールバーが子として表示されます。 たとえば、テキスト フィールドがあります。
Silk4NET にこのような違いがあるのは、Silk4NET のコントロールがこの 2 通りの方法でスクロールを実装するためです。

スクロールをサポートするコントロール

この場合、スクロール方法とプロパティは、スクロールバーを含むコントロールで使用できます。 したがって、 Silk4NET ではスクロールバー オブジェクトは表示されません。

使用例

以下のコマンドでは、リスト ボックスが一番下までスクロールされます。
listBox.SetVerticalScrollPercent(100)
以下のコマンドでは、リスト ボックスが 1 ユニットずつ下方へスクロールされます。
listBox.ScrollVertical(ScrollAmount.SmallIncrement)

スクロールをサポートしないコントロール

この場合、スクロールバーが表示されます。 コントロール自体で可能なスクロール方法とプロパティはありません。 水平スクロールバーと垂直スクロールバーの各オブジェクトを使用すると、対応する API 関数でパラメータとして増分または減分、または最終位置を指定することでコントロール内をスクロールできます。 増分または減分として ScrollAmount 列挙の値を使用できます。 詳細については、Silverlight の製品マニュアルを参照してください。 最終位置は、オブジェクトの位置に関連し、アプリケーション設計者によって定義されます。

使用例

以下のコマンドでは、テキスト ボックス内の垂直スクロールバーが 15 の位置までスクロールされます。
 textBox.SLVerticalScrollBar().ScrollToPosition(15)
以下のコマンドでは、テキスト ボックス内の垂直スクロールバーが一番下までスクロールされます。
 textBox.SLVerticalScrollBar().ScrollToMaximum()
親トピック: Silverlight アプリケーションのサポート


Silverlight アプリケーションのテスト時のトラブルシューティング

Silk4NET で Silverlight アプリケーションの内部を確認できず、記録時に緑色の矩形領域が描画されない

次の理由により、Silk4NET は Silverlight アプリケーションの内部を確認できなくなっています。
原因 | 解決策
使用している Silverlight のバージョンが 3 以前である | Silverlight 3 (Silverlight Runtime 4) または Silverlight 4 (Silverlight Runtime 4) を使用します。
使用している Silverlight アプリケーションがウィンドウレス モードで実行されている Silk4NET は、ウィンドウレス モードで実行される Silverlight アプリケーションをサポートしません。このようなアプリケーションをテストするには、Silverlight アプリケーションが実行されている Web サイトを変更する必要があります。つまり、Silverlight アプリケーションがホストされている HTML または ASPX ファイルのオブジェクト タグの windowless パラメータを false に設定する必要があります。
以下のコードは、windowless パラメータを false に設定する例を示します。
<object ...>
  <param name="windowless" value="false"/>
  ...
</object>
親トピック: Silverlight アプリケーションのサポート


Visual COBOL のサポート

Silk4NET は、Visual COBOL アプリケーションに対するテストの記録と再生をサポートします。.NET COBOL から Silk4NET API を使用して、次の Visual COBOL アプリケーションに対して自動テストのスクリプトを記述することもできます。
  • ダイアログ システム アプリケーション
  • CGI アプリケーション
  • COBOL Win32 アプリケーション
  • .NET COBOL - WPF および Windows Forms アプリケーション
  • COBOL JVM - Swing アプリケーション
  • バックエンドにある COBOL を呼び出す非 COBOL のフロントエンド アプリケーション
注: コントロールによっては、Silk4NET は低レベルの記録のみをサポートします。

サポートする Visual COBOL のバージョンについての情報は、『リリース ノート』を参照してください。

  • 例：Visual COBOL アプリケーションのテスト
    Visual COBOL アプリケーションをテストする方法について説明します。
親トピック: .NET のサポート


例：Visual COBOL アプリケーションのテスト

このトピックでは、Silk4NET を使用して Visual COBOL アプリケーションをテストする方法について説明します。ここでは、.NET COBOL のサンプル アプリケーションである WPF Book をテストします。

Visual COBOL をインストールすると、Visual COBOL のサンプル アプリケーションもインストールされます。Samples Browser を使用して、Visual Studio のサンプル アプリケーションを開くことができます。Samples Browser の詳細については、 Visual COBOL ドキュメントを参照してください。

注: 次の例は、Visual Studio 2015 と Micro Focus Visual COBOL for Visual Studio 2015 を使用して実行しました。これらのプロジェクトのほかのバージョンでは、ユーザー インターフェイスが若干異なる場合があります。
  1. Visual Studio で WPF Book を開くには、Samples Browser を開き、Windows Presentation Foundation を選択し、リストから WPF Book を選択します。そして、Open sample in Visual Studio をクリックします。
  2. Visual Studio で ソリューション エクスプローラー を開き、WPF Book ソリューションにアクセスします。
  3. ソリューションの WPFBook プロジェクトを右クリックし、ビルド をクリックしてプロジェクトをビルドします。
  4. Samples Browser を再度開き、新しくビルドした実行可能ファイルにアクセスします。
  5. WPF Book を選択し、Open sample folder をクリックします。
  6. WPFBook\Bin\Debug に移動します。
  7. WPFBook.exe をダブルクリックします。
  8. Visual Studio で新しい Silk4NET プロジェクトを作成します

  9. 新しい Silk4NET テストの記録を開始します。

  10. アプリケーションの選択 ダイアログ ボックスで、Windows タブを選択します。
  11. WPFForm Book Demo をクリックします。

  12. OK をクリックします。
  13. WPFForm Book Demo で Show List of Books をクリックします。
  14. Oliver Twist の RetailPrice 列にマウス カーソルを移動し、Ctrl+Alt をクリックして、小売価格が 10.00 であることの検証を作成します。

  15. プロパティの検証 ダイアログ ボックスで OK をクリックます。
  16. WPFListView ウィンドウで 閉じる をクリックします。

  17. Recorder ウィンドウで 停止 をクリックします。
  18. Visual Studio で記録したテスト メソッドを右クリックし、テストの実行 を選択します。

    テストの実行が終了したら、テスト結果を検討できます。

親トピック: Visual COBOL のサポート


Rumba のサポート

Rumba は、世界トップクラスの Windows デスクトップ端末エミュレーション ソリューションです。Silk Test は、Rumba の記録および再生を組み込みでサポートしています。

Rumba でのテスト時には、以下の点を考慮してください。

  • Rumba のバージョンは、Silk Test のバージョンと互換性がある必要があります。バージョン 8.1 以前の Rumba はサポートされていません。
  • Rumba のグリーン スクリーンの周囲にあるコントロールはすべて WPF の基本機能 (または Win32) を使用しています。
  • サポートされている Rumba デスクトップ タイプは、以下のとおりです。
    • メインフレーム ディスプレイ
    • AS400 ディスプレイ
    • Unix ディスプレイ

Rumba テストで使用できる記録および再生のコントロールの完全な一覧については、「Rumba クラス リファレンス」を参照してください。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

  • Rumba クラス リファレンス
    Rumba をサポートするための Visual Basic クラスを一覧します。
  • Rumba の有効化と無効化
    Rumba を有効/無効にする方法について説明します。
  • Rumba コントロールを識別するためのロケーター属性
    Rumba コントロールを識別するためにサポートされているロケーター属性について説明します。
  • Unix ディスプレイのテスト
    Rumba で Unix ディスプレイでテストを再生する方法について説明します。
親トピック: 特定の環境のテスト


Rumba クラス リファレンス

Rumba アプリケーションを設定すると、Silk4NET は標準の Rumba コントロールのテストのサポートを組み込みで提供します。

親トピック: Rumba のサポート
関連資料
Rumba クラス リファレンス


Rumba の有効化と無効化

Rumba は、世界トップクラスの Windows デスクトップ端末エミュレーション ソリューションです。 Rumba は、メインフレーム、ミッドレンジ、UNIX、Linux、および HP サーバーとの接続ソリューションを提供します。

サポートの有効化

Rumba スクリプトを記録および再生する前に、サポートを有効にする必要があります。

  1. Rumba デスクトップ クライアント ソフトウェア バージョン 8.1 以降をインストールします。
  2. (Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > Rumba プラグイン > Silk Test Rumba プラグインの有効化、または (Microsoft Windows 10) スタート > Silk > Silk Test Rumba プラグインの有効化 をクリックします。

サポートの無効化

(Microsoft Windows 7) スタート > すべてのプログラム > Silk > Silk Test > 管理 > Rumba プラグイン > Silk Test Rumba プラグインの無効化、または (Microsoft Windows 10) スタート > Silk > Silk Test Rumba プラグインの無効化 をクリックします。

親トピック: Rumba のサポート


Rumba コントロールを識別するためのロケーター属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。 サポートされている属性は次のとおりです。

caption
コントロールが表示するテキスト。
priorlabel
フォームの入力フィールドには通常入力の目的を説明するラベルがあるため、priorlabel の目的は隣接するラベル フィールド RumbaLabel のテキストによってテキスト入力フィールド RumbaTextField を識別することです。 テキスト フィールドの同じ行の直前にラベルがない場合、または右側のラベルが左側のラベルよりテキスト フィールドに近い場合、テキスト フィールドの右側にあるラベルが使用されます。
StartRow
この属性は記録されていませんが、手動でロケーターに追加することができます。 StartRow を使用して、この行で始まるテキスト入力フィールド、RumbaTextField を識別します。
StartColumn
この属性は記録されていませんが、手動でロケーターに追加することができます。 StartColumn を使用して、この列で始まるテキスト入力フィールド、RumbaTextField を識別します。
すべての動的ロケーター属性。

動的ロケーター属性の詳細については、「動的ロケーター属性」を参照してください。

注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Rumba のサポート
親トピック: サポートする属性の種類


Unix ディスプレイのテスト

Rumba の Unix ディスプレイは完全にテキスト ベースで、メインの RUMBA 画面 コントロール以外に UI コントロールはありません。Unix ディスプレイ上のテストを再生するには、SendKeys メソッドを使用して、Unix ディスプレイにキーを送信します。Silk4NET は、Unix ディスプレイ上での記録をサポートしません。

親トピック: Rumba のサポート


SAP のサポート

Silk4NET は、Windows ベースの GUI モジュールを基にした SAP クライアント／サーバー アプリケーションのテストを組み込みでサポートしています。
注: Silk4NET のプレミアム ライセンスを所有している場合にのみ、Silk4NET で SAP アプリケーションをテストできます。ライセンス モードについての詳細は、「ライセンス情報」を参照してください。
注: Internet Explorer や Firefox 上から SAP NetWeaver を使用する場合、Silk4NET は、xBrowser テクノロジ ドメインを使用してアプリケーションをテストします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

SAP のテストで利用可能な記録および再生コントロールの完全な一覧については、「SAP クラス リファレンス」を参照してください。

サポートされている属性の一覧については、「SAP アプリケーションの属性」を参照してください。

  • SAP クラス リファレンス
    SAP をサポートするための Visual Basic クラスを一覧します。
  • SAP アプリケーションの属性
    SAP アプリケーションがサポートする属性の一覧を提供します。
  • SAP メソッドの動的な呼び出し
    動的呼び出し機能を使用して Silk4NET が対象としないコントロールのメソッドを呼び出したり、プロパティーを取得/設定したりする方法を説明します。
  • SAP コントロールの動的呼び出し
    SAP コントロールのメソッドを動的に呼び出して、Silk4NET で記録できない SAP コントロールに対する操作を再生します。
  • SAP の自動セキュリティ設定の構成
    SAP アプリケーションを起動する前に、セキュリティ警告設定を構成する必要があります。 このようにしないと、テストで SAP アプリケーションが再生されるたびにセキュリティ警告が表示されます。
親トピック: 特定の環境のテスト
関連概念
ライセンス情報


SAP クラス リファレンス

SAP アプリケーションを設定すると、Silk4NET は標準の SAP コントロールのテストのサポートを組み込みで提供します。

注: Silk4NET が SAP コントロールを解決できるようにするには、サーバー上で SAP GUI Scripting を有効にします。SAP GUI Scripting の有効化についての情報は、『Introduction to SAP Gui Scripting』を参照してください。SAP GUI Scripting が有効になっていないと、Silk4NET は、すべてのコントロールを Win32 コントロール、およびカスタム コントロールとして解決します。

SAP クラス リファレンスに含まれるクラス (インクルードしたプロパティとメソッドを含む)は、Silk4NET から直接アクセス可能な SAP オートメーション モジュールの一部です。

注: インターフェイスに備わるアルゴリズムや動作を含み、インターフェイスは Silk4NET のコントロール下にはありません。
親トピック: SAP のサポート
関連資料
SAP クラス リファレンス


SAP アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

SAP がサポートする属性は次のとおりです。
  • automationId
  • caption
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: SAP のサポート
親トピック: サポートする属性の種類


SAP メソッドの動的な呼び出し

動的呼び出しを使用すると、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、メソッドの呼び出し、プロパティーの取得、またはプロパティーの設定を直接実行できます。また、このコントロールの Silk4NET API で使用できないメソッドおよびプロパティーも呼び出すことができます。動的呼び出しは、作業しているカスタム コントロールを操作するために必要な機能が、Silk4NET API を通して公開されていない場合に特に便利です。

オブジェクトの動的メソッドは Invoke メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

オブジェクトの複数の動的メソッドは InvokeMethods メソッドを使用して呼び出します。コントロールでサポートされている動的メソッドのリストを取得するには、GetDynamicMethodList メソッドを使用します。

動的プロパティの取得には GetProperty メソッドを、動的プロパティの設定には SetProperty メソッドを使用します。コントロールでサポートされている動的プロパティのリストを取得するには、GetPropertyList メソッドを使用します。

たとえば、テスト対象アプリケーション内のコントロールの実際のインスタンスに関して、タイトルを String 型の入力パラメータとして設定する必要がある SetTitle というメソッドを呼び出すには、次のように入力します：
control.Invoke("SetTitle", "my new title")
注: 通常、ほとんどのプロパティは読み取り専用で、設定できません。
注: ほとんどのテクノロジー ドメインでは、メソッドを呼び出してプロパティーを取得する場合、Reflection を使用します。

サポートされているメソッドおよびプロパティ

次のメソッドとプロパティを呼び出すことができます。
  • Silk4NET がサポートするコントロールのメソッドとプロパティー。
  • SAP オートメーション インターフェイスによって定義されているすべての public メソッド
  • コントロールが標準コントロールから派生したカスタム コントロールの場合、標準コントロールが呼び出すことのできるすべてのメソッドとプロパティー。

サポートされているパラメータ型

次のパラメータ型がサポートされます。
  • すべての組み込み Silk4NET 型

    Silk4NET 型には、プリミティブ型 (boolean、int、string など)、リスト、およびその他の型 (Point や Rect など) が含まれます。

  • UI コントロール

    UI コントロールは、TestObject として渡したり、返したりできます。

戻り値

プロパティや戻り値を持つメソッドの場合は、次の値が返されます。
  • すべての組み込み Silk4NET 型の場合は正しい値。これらの型は、「サポートされているパラメータ型」のセクションに記載されています。
  • 戻り値を持たないすべてのメソッドの場合、C# では null が、VB では Nothing が返されます。
親トピック: SAP のサポート
関連概念
動的呼び出し
カスタム コントロール
動的呼び出しに関するよくある質問


SAP コントロールの動的呼び出し

Silk4NET で SAP コントロールに対する操作を記録できない場合、SAP で利用できるレコーダーで操作を記録してから、記録されたメソッドを Silk4NET スクリプトで動的に呼び出すことができます。これによって、記録できない SAP コントロールに対する操作を再生できます。
  1. コントロールに対して実行する操作を記録するには、SAP で利用できる SAP GUI スクリプト作成 ツールを使用できます。 SAP GUI スクリプト作成 ツールの詳細については、SAP のドキュメントを参照してください。
  2. 記録された操作を SAP GUI スクリプト作成 ツールによって保存された場所から開き、記録されたメソッドを確認します。
  3. Silk4NET で、記録されたメソッドをスクリプトから動的に呼び出します。

使用例

たとえば、SAP UI で Test というラベルが付いた、ボタンとリスト ボックスの組み合わせである特別なコントロールを押し、コントロールのサブメニュー subsub2 を選択する操作を再生したい場合、SAP で利用できるレコーダーでこの操作を記録できます。結果のコードは、以下のようになります。
session.findById("wnd[0]/usr/cntlCONTAINER/shellcont/shell").pressContextButton "TEST"
session.findById("wnd[0]/usr/cntlCONTAINER/shellcont/shell").selectContextMenuItem "subsub2"
ここで、メソッド pressContextButton と selectContextMenuItem を Silk4NET のスクリプトから動的に呼び出すには、次のコードを使用できます。
.SapToolbarControl("shell ToolbarControl").Invoke("pressContextButton", "TEST")
.SapToolbarControl("shell ToolbarControl").Invoke("selectContextMenuItem", "subsub2")
このコードを再生すると、SAP UI のコントロールが押下され、サブメニューが選択されます。
親トピック: SAP のサポート


SAP の自動セキュリティ設定の構成

SAP アプリケーションを起動する前に、セキュリティ警告設定を構成する必要があります。 このようにしないと、テストで SAP アプリケーションが再生されるたびにセキュリティ警告 「スクリプトから GUI に接続しようとしています」が表示されます。

  1. Windows の コントロール パネル で SAP システム設定 を選択します。 SAP システム設定 ダイアログ ボックスが開きます。
  2. デザイン選択 タブで、スクリプトが実行中 SAP GUI に追加されるとき通知 をオフにします。
親トピック: SAP のサポート


ユニバーサル Windows プラットフォームのサポート

ユニバーサル Windows プラットフォーム API を使った Microsoft Windows 10 アプリのテストのサポートについて説明します。

UWP は Microsoft によって作成された API で、Microsoft ストアから購入、ダウンロードして利用できるアプリを開発できます。

Silk4NET では、次のオペレーティング システムにおける UWP アプリのテストを組み込みでサポートします。
  • Microsoft Windows 10
  • Microsoft Windows Server 2019
注: Silk Test は、Microsoft Windows 8 および Microsoft Windows 8.1 上でのユニバーサル Windows プラットフォーム（UWP）アプリ（Windows Store アプリ、または Metro スタイル アプリともいう）のテストをサポートしません。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

Silk4NET では、UIA コントロールをベースにしたコントロールに加え、以下のコントロールに対する記録と再生をサポートします。
  • UWPComboBoxItem
  • UWPComboBox

アプリケーション構成

UWP アプリのアプリケーション構成では、以下を設定します。
実行可能ファイル
UWP アプリの実行可能ファイルは、アプリの名前、パブリッシャー ID、およびパッケージのコンテキストでアプリを一意に識別するアプリ識別子の一部を組み合わせた文字列です。たとえば、UWP アプリの名前が Microsoft.WindowsCalculator で、パブリッシャー ID が 8wekyb3d8bbwe、アプリ識別子が App であれば、実行可能ファイルは Microsoft.WindowsCalculator_8wekyb3d8bbwe!App になります。
実行可能ファイル パターン
UWP アプリの実行可能ファイル パターンは実行可能ファイルとほとんど同じです。たとえば、UWP アプリの実行可能ファイル パターンは、Microsoft.WindowsCalculator_8wekyb3d8bbwe!App や *\Microsoft.WindowsCalculator_8wekyb3d8bbwe!App になります。

UWP アプリの個々のウィンドウが他の UWP アプリになっていることがあります。このようなウィンドウをテストするには、アプリケーション構成を追加して設定する必要があります。Silk4NET が UWP アプリのウィンドウを解決できない場合、ウィンドウを開いている状態で アプリケーションの選択 ダイアログ ボックスを開き、Windows タブに解決されないウィンドウのエントリが表示されていることを確認します。そのウィンドウに対するアプリケーション構成を追加します。

  • UWP アプリのテスト時のトラブルシューティング
    UWP アプリのテスト時に発生する可能性のある問題の処理について有用な情報を提供します。
親トピック: 特定の環境のテスト
関連資料
UI Automation クラス リファレンス


UWP アプリのテスト時のトラブルシューティング

Silk4NET が UWP アプリのウィンドウを解決できない理由

UWP アプリの個々のウィンドウが他の UWP アプリになっていることがあります。このようなウィンドウをテストするには、アプリケーション構成を追加して設定する必要があります。Silk4NET が UWP アプリのウィンドウを解決できない場合、ウィンドウを開いている状態で アプリケーションの選択 ダイアログ ボックスを開き、Windows タブに解決されないウィンドウのエントリが表示されていることを確認します。そのウィンドウに対するアプリケーション構成を追加します。

親トピック: ユニバーサル Windows プラットフォームのサポート


Windows API ベースのアプリケーションのサポート

Silk4NET は、Microsoft Windows API ベースのアプリケーションのテストを組み込みでサポートしています。アクセシビリティを有効にすると Microsoft のアプリケーションのいくつかのオブジェクトが Silk4NET によってより詳細に認識されます。たとえば、アクセシビリティを有効にしないと、Silk4NET は Microsoft Word のメニューバーおよび バージョン 7.0 より後の Internet Explorer に表示されるタブについて基本的な情報のみを記録します。ただし、アクセシビリティを有効にすると、Silk4NET によってそれらのオブジェクトがすべて認識されます。必要な場合、新しいウィンドウを定義すると、Silk4NET によるオブジェクトの認識を向上させることもできます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サポートするコントロール

Windows ベースのテストで利用可能な記録および再生コントロールの完全な一覧については、「Win32 クラス リファレンス」を参照してください。

  • Win32 クラス リファレンス
    Win32 をサポートするための Visual Basic クラスを一覧します。
  • Windows API ベースのクライアント/サーバー アプリケーションの属性
    Windows API ベースのクライアント/サーバー アプリケーションがサポートする属性の一覧を提供します。
  • Win32 テクノロジ ドメインにおける priorLabel の決定方法
    Win32 テクノロジ ドメインで priorLabel が決定される方法について説明します。
  • 埋め込み Chrome アプリケーションのテスト
    Silk4NET を使用して埋め込み Chrome アプリケーションをテストする方法について説明します。
  • MFC（Microsoft Foundation Class）のサポート
    Silk4NET の MFC（Microsoft Foundation Class）コントロールのサポートについて説明します。
親トピック: 特定の環境のテスト


Win32 クラス リファレンス

Win32 アプリケーションを設定すると、Silk4NET は標準の Windows API ベースのコントロールのテストのサポートを組み込みで提供します。

親トピック: Windows API ベースのアプリケーションのサポート
関連資料
Win32 クラス リファレンス


Windows API ベースのクライアント/サーバー アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Windows API ベースのクライアント/サーバー アプリケーションがサポートする属性は次のとおりです。
  • caption
  • windowid
  • priorlabel：隣接するラベル フィールドのテキストによってテキスト入力フィールドを識別します。 通常、フォームのすべての入力フィールドに、入力の目的を説明するラベルがあります。 caption のないコントロールの場合、自動的に属性 priorlabel がロケーターに使用されます。 コントロールの priorlabel 値 (テキスト ボックスなど) には、コントロールの左側または上にある最も近いラベルの caption が使用されます。
注: 属性名は、大文字小文字が区別されます (モバイル アプリケーションを除く。モバイル アプリケーションでは、大文字小文字は無視されます)。デフォルトで、属性値では大文字と小文字が区別されますが、他のオプションと同様にこのデフォルト設定は変更できます。ロケーター属性は、ワイルドカード ? および * をサポートしています。
親トピック: Windows API ベースのアプリケーションのサポート
親トピック: サポートする属性の種類


Win32 テクノロジ ドメインにおける priorLabel の決定方法

Win32 テクノロジ ドメインにおいて priorLabel を決定する場合、同じウィンドウ内のすべてのラベルとグループが対象のコントロールとみなされます。 以下の条件に従って、コントロールが決定されます。
  • コントロールの上または左側にあるラベル、およびコントロールを囲むグループが priorLabel の候補とみなされます。
  • 最も単純なケースでは、コントロールに最も近いラベルが priorLabel として使用されます。
  • コントロールからの距離が等しい 2 つのラベルが存在する場合、次の条件に基づいて priorLabel が決定されます。
    • 一方のラベルがコントロールの左側にあり、他方が上にある場合、左側のものが優先されます。
    • 両方のラベルがコントロールの左側にある場合、上にあるものが優先されます。
    • 両方のラベルがコントロールの上にある場合、左側のものが優先されます。
  • 最も近いコントロールがグループ コントロールである場合、まずグループ内のすべてのラベルが上記の規則に従って決定されます。 グループ内に適切なラベルが見つからない場合は、グループのキャプションが priorLabel として使用されます。
親トピック: Windows API ベースのアプリケーションのサポート


埋め込み Chrome アプリケーションのテスト

埋め込み Chrome アプリケーションは、Chromium コアをベースとした埋め込み Web ブラウザー エンジンを使用したデスクトップ アプリケーションです。このようなアプリケーションでは、デスクトップ アプリケーションに Web ブラウザーの機能を追加できます。Chromium Embedded Framework (CEF) や Electron フレームワークを使用して、このようなアプリケーションを作成できます。

Silk4NET は、 --remote-debugging-port コマンド ライン引数を指定してリモート デバッグを有効にした埋め込み Chrome アプリケーションのテストをサポートします。 Silk4NET では、Java（Java AWT や Swing アプリケーションなど）をベースにした埋め込み Chrome アプリケーションのテストをサポートしません。

Silk4NET を使用して埋め込み Chrome アプリケーションをテストするには、アプリケーションの実行可能ファイルにデバッグ ポートを設定する必要があります。コマンド ラインからアプリケーションを開始して、リモート デバッグ ポートを設定します。

  • Silk4NET は、 -remote-debugging-port 引数が埋め込み Chrome アプリケーションのコマンド ライン引数に設定されているかどうかを確認します。引数が設定されている場合、 Silk4NET は 埋め込み Chrome サポートの有効化 フィールドに適切な実行可能ファイルとデバッグ用ポートを自動的に設定します。
  • -remote-debugging-port 引数が埋め込み Chrome アプリケーションのコマンド ライン引数に設定されていない場合は、実行可能ファイルとポートを 埋め込み Chrome サポートの有効化 フィールドに次の手順で指定する必要があります。
    1. Silk4NET UI で、 オプションの編集 を選択します。
    2. オプション ダイアログで、 詳細設定 タブを選択します。
    3. 埋め込み Chrome サポートの有効化 オプションで、実行可能ファイルとポートの値ペアを、カンマ区切りで次のように指定します。
      <application name>.exe=<port number>
注: Silk4NET によるリモート デバッグを許可しない埋め込み Chrome アプリケーションをテストすることはできません。
注: Silk4NET では、Electron アプリの非ブラウザー メニューのテストをサポートしません。

例

たとえば、コマンド ラインから myApp アプリケーションを次のように実行します。
myApp.exe --remote-debugging-port=9222
この場合、 埋め込み Chrome サポートの有効化 オプションに実行可能ファイルとポートの値ペアを次のように指定します。
myApp.exe=9222
親トピック: Windows API ベースのアプリケーションのサポート


MFC（Microsoft Foundation Class）のサポート

MFC（Microsoft Foundation Class）のクラス ID は、時間がたつと変更されることがあるため、安定したロケーターを生成するために使用することはできません。不安定なロケーターの生成を避けるため、Silk4NET では次の属性をロケーターとして使用します。
  • MFC クラス名（MFC コントロールの Windows クラス名が Afx: で始まる場合）
  • Windows クラス名（MFC コントロールの Windows クラス名が Afx: で始まらない場合）
Silk4NET は MFC バージョン 140 のみをサポートします。 また、サポートする組み合わせは次の通りです。
  • Release、x86、MBCS
  • Release、x86、Unicode
  • Debug、x86、MBCS
  • Debug、x86、Unicode
  • Release、x64、MBCS
  • Release、x64、Unicode
  • Debug、x64、MBCS
  • Debug、x64、Unicode
注: Silk4NET 18.5 以前で生成した MFC コントロールのロケーターを持つ既存のテストを実行する場合は、影響するテスト スクリプトで OPT_COMPATIBILITY オプションをバージョン 18.5.0 以前に設定してください。
'VB .NET code
Agent.SetOption("OPT_COMPATIBILITY", "18.5.0")
親トピック: Windows API ベースのアプリケーションのサポート


クロス ブラウザ テスト

Silk4NET を使用すると、単一のポータブルなテスト スクリプトでさまざまなブラウザに対して非常に高度な Web アプリケーションの機能を簡単に検証できます。Silk4NET は、最新の Web テクノロジを使用した、効率的でメンテナンスしやすいクロス ブラウザ テストのトップレベルのサポートを提供します。

テスト自動化における主要な困難のひとつが、テストの作成と保守にかかるコストの効率化です。ブラウザによって動作が異なるため、Web アプリケーションの検証を生産的に実行することは困難です。Silk4NET は、クロス ブラウザ テストにおける次の 3 つの領域をうまく扱うため、ユーザーはテストの記述に集中することができます。

組み込みの同期処理
これにより、サポートするすべてのブラウザ上で実行するスクリプトを作成することができます。 AJAX や HTML5 などの高度な動的 Web アプリケーションに特有の非同期イベントを手動で同期する必要はありません。Silk4NET は、HTML や AJAX だけでなく、Apache Flex、Microsoft Silverlight、HTML5/AJAX など、すべての主要な Web 環境に対する同期モードをサポートします。詳細については、「xBrowser のページ同期」を参照してください。
統合オブジェクト モデル
Silk4NET では、さまざまなブラウザ上で幅広く実行するテストを作成、保守できます。すべてのブラウザに対応する統合オブジェクト モデルにより、ユーザーはテストの作成と保守を単一のブラウザを中心に行うことができます。Silk4NET は、すべての他のブラウザ上のオブジェクトに同じ方法でアクセスできるようにすることで、さまざまなブラウザに対する回避策を探すことなく、時間を節約してテストの作成に集中できます。
クロス ブラウザ スクリプトの記録
スクリプトを記録すると、修正することなくすべての他のブラウザで再生できます。これにより、テスト スクリプトの作成と保守にかかる時間と労力は劇的に減少します。シミュレーションではなく、テストは実際のブラウザ上で実行されます。つまり、テストは、エンド ユーザーの動作とまったく同じように動作します。
Silk4NET では、次のブラウザを使用して Web アプリケーションのテストを再生できます。
  • Internet Explorer
  • Mozilla Firefox（Microsoft Windows 上または macOS 上）
  • Google Chrome（Microsoft Windows 上または macOS 上）
  • Microsoft Edge
  • Chrome for Android（Android デバイス上）
  • Apple Safari（macOS 上または iOS デバイス上）
  • 埋め込みブラウザ コントロール
注: 次のブラウザのいずれかを使用して Web アプリケーションのテストを記録できます。
  • Internet Explorer
  • Microsoft Edge
  • Mozilla Firefox（Microsoft Windows 上または macOS 上）
  • Google Chrome（Microsoft Windows 上または macOS 上）
  • モバイル ブラウザ（モバイル デバイス上）
クロス ブラウザー テスト用にスクリプトを記録する場合、Google Chrome、Mozilla Firefox、または Microsoft Edge を使用することを Micro Focus では推奨しています。 Internet Explorer を使って Silk4NET で記録したスクリプトは、ほかのブラウザーで記録したスクリプトと若干異なる場合があります。
注: Web アプリケーションを記録または再生する前に、システムにインストールされているすべてのブラウザ アドオンを無効にします。Internet Explorer でアドオンを無効にするには、ツール > インターネット オプション をクリックし、プログラム タブをクリックし、アドオンの管理 をクリックし、アドオンを選択してから 無効にする をクリックします。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

サンプル アプリケーション

Silk Test のサンプル Web アプリケーションには、以下の URL からアクセスします。

  • http://demo.borland.com/InsuranceWebExtJS/
  • http://demo.borland.com/gmopost
  • http://demo.borland.com/gmoajax
  • テストを再生するブラウザーの選択
    テストを再生するために使用するブラウザーを定義する方法について説明します。
  • xBrowser でのテスト オブジェクト
    Silk4NET が Web アプリケーションをモデル化するために使用するクラスについて説明します。
  • xBrowser オブジェクトに対するオブジェクト解決
    Silk4NET が xBrowser オブジェクトを解決する方法について説明します。
  • xBrowser のページ同期
    ページ同期モードの概要とトラブルシューティングのヒントについて説明します。
  • xBrowser における API 再生とネイティブ再生の比較
    API 再生とネイティブ再生の違いを示します。
  • マウス移動の詳細設定
    マウスの移動操作を記録するかどうかを指定します。
  • xBrowser のブラウザ構成の設定
    xBrowser のブラウザ構成設定について説明します。
  • ロケーター生成プログラムを xBrowser 用に構成する
    ロケーター生成プログラムを xBrowser 用に構成する方法について説明します。
  • リモート デスクトップ ブラウザーの接続文字列
    リモート マシン上のデスクトップ ブラウザーに接続するために接続文字列を指定する方法について説明します。
  • リモート Windows マシン上でのブラウザーのテスト
    Microsoft Edge、Google Chrome、Mozilla Firefox. をリモート Windows マシンでテストするために、リモート Windows マシン上で標準の整合性レベルで Information Service を開始します。
  • Mac 上の Google Chrome または Mozilla Firefox のテスト
    Silk Test Information Service を Mac 上にインストールし、Mac 上で Google Chrome または Mozilla Firefox をテストできます。
  • WebDriver ベースのブラウザーのケイパビリティの設定
    基本状態にケイパビリティを設定して、WebDriver ベースのブラウザーの設定をカスタマイズします。
  • Mac 上の Apple Safari を使用したテスト
    Mac 上で Apple Safari を使用してテストする方法について説明します。
  • Google Chrome を使用したテスト
    Google Chrome を使用してテストする方法について説明します。
  • Mozilla Firefox を使用したテスト
    Mozilla Firefox を使用してテストする方法について説明します。
  • Microsoft Edge を使用したテスト
    Microsoft Edge を使用してテストする方法について説明します。
  • レスポンシブ Web デザインのテスト
    ブラウザー ウィンドウのサイズを指定して、レスポンシブ Web デザインのテストを実行する方法について説明します。
  • ビジュアル ブレークポイントの検出
    レスポンシブ Web アプリケーションのビジュアル ブレークポイントを検出して、特定のサイズのウィンドウで Web アプリケーションをテストできます。
  • iframe パフォーマンスの向上
    iframe を含む Web アプリケーションに対するテストのパフォーマンスを向上させる方法について説明します。
  • 追加のブラウザーのバージョンでのテスト
    追加のドライバーのバージョンをインストールして、WebDriver ベースのブラウザーの追加のバージョンでテストを行うことができます。
  • クロス ブラウザ テスト:よくある質問
    さまざまなブラウザ上で Web アプリケーションをテストするときに発生することがある質問のコレクションを示します。
  • スクリプトからのブラウザの起動
    再生時にテスト スクリプトからブラウザを起動するために利用できる手順について説明します。
  • 非表示入力フィールドの検索
    非表示入力フィールドを検索するかどうかを指定する方法について説明します。
  • Web アプリケーションの属性
    Web アプリケーションがサポートする属性の一覧を提供します。
  • Web アプリケーションのカスタム属性
    Web アプリケーションの安定した識別子を作成するために使用できる属性について説明します。
  • xBrowser クラス リファレンス
    xBrowser をサポートするための Visual Basic クラスを一覧します。
親トピック: 特定の環境のテスト


テストを再生するブラウザーの選択

テストを再生するために使用するブラウザーを定義できます。
  • Silk4NET の UI からテストを実行する場合、ブラウザーの選択 ダイアログ ボックスが表示され、このダイアログ ボックスで選択したブラウザーが使用され、テスト スクリプトで設定されているブラウザーを Silk4NET は無視します。
  • ブラウザーの選択 ダイアログ ボックスが無効の場合 (再び表示しない をチェックした場合)、個々のテスト スクリプトのアプリケーション構成によってテストを実行するために使用するブラウザーが決定されます。
    注: ブラウザーの選択 ダイアログ ボックスを再び有効にするには、Silk4NET > アプリケーション構成の編集 をクリックして、記録および再生前に 'ブラウザーの選択' ダイアログを表示する チェックボックスをオンにします。
  • スクリプトをコマンド ラインや CI サーバーから実行する場合は、スクリプトのアプリケーション構成で接続文字列を指定します。

    アプリケーション構成で指定したブラウザーは、silktest.configurationName 環境変数 を使用して上書き指定できます。

  • Silk Central からテストを実行する場合は、テストするブラウザーそれぞれの構成を持つ構成スイートを作成します。そして、適切な構成名を指定します。詳細については、『Silk Central ヘルプ』を参照してください。

silktest.configurationName 環境変数を使用したブラウザーの設定の例

  • ブラウザーとして Internet Explorer を使用する場合は、次のように入力します。
    SET silktest.configurationName=InternetExplorer
    注: Internet Explorer
  • ブラウザーとして Microsoft Edge を使用する場合は、次のように入力します。
    SET silktest.configurationName=Edge
  • ブラウザーとして Mozilla Firefox を使用する場合は、次のように入力します。
    SET silktest.configurationName=Firefox
  • ブラウザーとして Google Chrome を使用する場合は、次のように入力します。
    SET silktest.configurationName=GoogleChrome
  • ブラウザーとして Mac 上の Apple Safari を使用する場合は、次のように入力します。
    SET silktest.configurationName=host=10.0.0.1  - Safari
    この例では、host は Apple Safari をテストする Mac です。ホストは、リモート ロケーションとして Silk4NET がインストールされているマシンに接続されている必要があります。詳細については、「リモート ロケーションの編集」を参照してください。
  • ブラウザーとして Android デバイス上の Google Chrome を使用する場合は、次のような接続文字列を使用します。たとえば、デバイス ID が 11111111 で、デバイスが IP アドレス 10.0.0.1 のリモート マシンに接続されている場合は、次のように入力します。
    SET silktest.configurationName="platformName=Android;deviceName=MotoG3;deviceId=11111111;host=10.0.0.1 - Chrome"
  • Android デバイス上で Android AOSP Stock Browser を使用する場合は、次のような接続文字列を使用します。たとえば、デバイス ID が 11111111 で、デバイスが IP アドレス 10.0.0.1 のリモート マシンに接続されている場合は、次のように入力します。
    SET silktest.configurationName="platformName=Android;deviceName=MotoG3;deviceId=11111111;host=10.0.0.1 - AndroidBrowser"
  • ブラウザーとして iOS デバイス上の Apple Safari を使用する場合は、次のような接続文字列を使用します。たとえば、デバイス ID が 11111111 で、デバイスが IP アドレス 10.0.0.1 のリモート マシンに接続されている場合は、次のように入力します。
    SET silktest.configurationName="platformName=iOS;deviceName=iPad mini;deviceId=11111111;host=10.0.0.1"
    さらに、アプリケーション構成でブラウザーを指定する必要があります。
ヒント: すべての例で、環境変数 silktest.configurationName を設定する代わりに、Java システム プロパティ -Dsilktest.configurationName を設定して、ブラウザーを設定することもできます。たとえば、ブラウザーとして Mac 上の Apple Safari を使用する場合は、次のように入力することもできます。
-Dsilktest.configurationName=host=10.0.0.1 - Safari
ヒント: Silk4NET の UI から再生または記録を開始すると、ブラウザーの選択 ダイアログ ボックスが開き、システムで現在利用可能なブラウザーのリストが表示されます。
親トピック: クロス ブラウザ テスト
関連概念
テストの並列実行
モバイル デバイスの接続文字列
テストを再生するモバイル デバイスの選択
関連タスク
コマンド ラインからのテストの再生
リモート ロケーションの編集


xBrowser でのテスト オブジェクト

Silk4NET では、以下のクラスを使用して Web アプリケーションがモデル化されます。
クラス | 説明
BrowserApplication | Web ブラウザのメイン ウィンドウを公開し、タブ化するための方法を提供します。
BrowserObject | BrowserApplication に含まれるすべてのオブジェクトの基底クラスを表します。
BrowserWindow | タブおよび埋め込みブラウザ コントロールへのアクセスを提供し、異なるページに移動するための方法を提供します。
DomElement | Web アプリケーションの DOM ツリー (フレームを含む) を提供し、すべての DOM 属性へのアクセスを提供します。一部の DOM 要素では、特殊なクラスを使用できます。
DomButton | Web ページの最上位のコンテナを表します。DomElement を介して DOM ツリーを公開します。
DomCheckBox | <input type='checkbox'> タグを使用して指定された、すべての DOM 要素を表します。
DomForm | <form> タグを使用して指定された、すべての DOM 要素を表します。
DomLink | <a> タグを使用して指定された、すべての DOM 要素を表します。
DomListBox | <select> タグを使用して指定された、すべての DOM 要素を表します。
DomRadioButton | <input type='radio'> タグを使用して指定された、すべての DOM 要素を表します。
DomTable | <table> タグを使用して指定された、すべての DOM 要素を表します。
DomTableRow | <tr> タグを使用して指定された、すべての DOM 要素を表します。
DomTextField 次のタグのいずれかを使用して指定された、すべての DOM 要素を表します。
  • <input type='text'>
  • <input type='password'>
  • <input type='file'>
  • <textarea>
親トピック: クロス ブラウザ テスト
関連資料
xBrowser クラス リファレンス


xBrowser オブジェクトに対するオブジェクト解決

xBrowser テクノロジ ドメインは動的オブジェクト解決をサポートします。

テストケースは、オブジェクトを検索し、識別するためにロケーター文字列を使用します。一般的なロケーターには、"//LocatorName[@locatorAttribute='value']" のようにロケーター名と少なくとも 1 つのロケーター属性が含まれます。

ロケーター名
Java SWT などの他の種類のテクノロジでは、テスト オブジェクトのクラス名を使用してロケーター名が作成されます。xBrowser では、DOM 要素のタグ名もロケーター名として使用できます。以下のロケーターは、同じ要素を示しています。
  1. タグ名を使用した場合："//a[@href='http://www.microfocus.com']"
  2. クラス名を使用した場合："//DomLink[@href='http://www.microfocus.com']"

再生速度を最適化するには、クラス名ではなくタグ名を使用します。

ロケーター属性
すべての DOM 属性は、ロケーター文字列属性として使用できます。たとえば、要素 <button automationid='123'>Click Me</button> はロケーター "//button[@automationid='123']" を使用して識別できます。
ロケーターの記録
Silk4NET では、テストを記録したり、オブジェクトの識別 ダイアログ ボックス を使用したりするときに、組み込みロケーター生成プログラムが使用されます。特定のアプリケーションの結果を向上するように、ロケーター生成プログラムを構成することができます。
親トピック: クロス ブラウザ テスト


xBrowser のページ同期

同期は、すべてのメソッド呼び出しの前後に自動的に実行されます。メソッド呼び出しは、同期条件が満たされるまで開始せず、終了もしません。

注: プロパティのアクセスは同期されません。

同期モード

Silk4NET には、HTML および AJAX 用の同期モードがあります。

HTML モードを使用すると、すべての HTML ドキュメントが対話的な状態になることが保証されます。このモードでは、単純な Web ページをテストすることができます。Java Script が含まれるより複雑なシナリオが使用される場合は、以下の同期関数を使用して、手動でスクリプトを記述することが必要になることがあります。
  • WaitForObject
  • WaitForProperty
  • WaitForPropertyNotEquals
  • WaitForDisappearance
  • WaitForChildDisappearance
  • WaitForScreenshotStable

AJAX モードでは、ブラウザがアイドル状態に類似した状態になるまで待機します。このことは、AJAX アプリケーションまたは AJAX コンポーネントを含むページに対して特に効果的です。AJAX モードを使用すると、同期関数を手動で記述する必要がなくなるため、スクリプト（オブジェクトの表示または非表示を待機したり、特定のプロパティ値を待機するなど）の作成処理が大幅に簡略化されます。また、この自動同期は、スクリプトを手動で適用しないで記録と再生を正常に行うための基礎となります。

トラブルシューティング

AJAX の非同期の特性のため、ブラウザが完全にアイドル状態になることはありません。このため、Silk4NET でメソッド呼び出しの終了が認識されず、特定のタイムアウト時間が経過したあとで、タイムアウト エラーが発生することがまれにあります。この場合は、少なくとも、問題が発生する呼び出しに対して、同期モードを HTML に設定する必要があります。

注: 使用するページ同期メソッドにかかわらず、Flash オブジェクトがサーバーからデータを取得し、計算を実行してデータをレンダリングするテストでは、手動でテストに同期メソッドを追加する必要があります。メソッドを追加しないと、Silk4NET は、Flash オブジェクトが計算を完了するまで待機しません。たとえば、Thread.sleep(millisecs) を使用します。

AJAX フレームワークやブラウザによっては、サーバーから非同期にデータを取得するために、特殊な HTTP 要求を継続して出し続けるものがあります。これらの要求により、指定した同期タイムアウトの期限が切れるまで同期がハングすることがあります。この状態を回避するには、HTML 同期モードを使用するか、問題が発生する要求の URL を 同期除外リスト 設定で指定します。

監視ツールを使用して、同期の問題により再生エラーが発生するかどうかを判断します。たとえば、FindBugs（http://findbugs.sourceforge.net/）を使用して、AJAX 呼び出しが再生に影響を及ぼしているかどうかを判断できます。次に、問題が発生するサービスを 同期除外リスト に追加します。

注: URL を除外すると、指定した URL を対象とする各呼び出しに対して同期が無効になります。その URL に対して必要な同期は、手動で呼び出す必要があります。たとえば、WaitForObject をテストに手動で追加する必要がある場合があります。手動で数多くの呼び出しを追加することを避けるために、可能なかぎり、最上位の URL ではなく、具体的に対象を絞って URL を除外します。

ページ同期設定の構成

スクリプト オプション ダイアログ ボックスでは、各テストのページ同期設定を個別に構成したり、すべてのテストに適用するグローバル オプションを設定したりできます。

URL を除外フィルタに追加するには、スクリプト オプション ダイアログ ボックスの 同期除外リスト で URL を指定します。

テストの個別の設定を構成するには、テストを記録し、次にグローバル再生値を上書きするコードを挿入します。たとえば、タイム サービスを除外するには、以下のように入力します。
'VB .NET code
Agent.SetOption("OPT_XBROWSER_SYNC_EXCLUDE_URLS", Arrays.asList("timeService"))
// C# code
Agent.SetOption("OPT_XBROWSER_SYNC_EXCLUDE_URLS", Arrays.asList("timeService"));
  • OPT_XBROWSER_SYNC_MODE
  • OPT_XBROWSER_SYNC_EXCLUDE_URLS
  • OPT_SYNC_TIMEOUT
親トピック: クロス ブラウザ テスト
関連概念
Silk4NET がテストを同期する方法
関連タスク
テスト実行の遅延
関連資料
Google Chrome を使用したテストの制限事項
WaitForObject メソッド (TestObject)
WaitForProperty メソッド (TestObject)
WaitForDisappearance メソッド (TestObject)
WaitForPropertyNotEquals メソッド (TestObject)
WaitForChildDisappearance メソッド (TestObject)


xBrowser における API 再生とネイティブ再生の比較

Silk4NET では、Web アプリケーション用に API 再生とネイティブ再生がサポートされています。アプリケーションでプラグインまたは AJAX を使用している場合は、ユーザーの入力そのものを使用します。アプリケーションでプラグインまたは AJAX を使用していない場合は、API 再生を使用することをお勧めします。

ネイティブ再生には以下のような利点があります。
  • ネイティブ再生では、マウス ポインタを要素上に移動し、対応する要素を押すことによって、エージェントはユーザー入力をエミュレートします。この結果、再生はほとんどのアプリケーションで変更なしで動作します。
  • ネイティブ再生では、Flash や Java アプレットなどのプラグイン、および AJAX を使用するアプリケーションをサポートしていますが、高レベルの API 記録はサポートしていません。
API 再生には以下のような利点があります。
  • API 再生では、Web ページが onmouseover や onclick などの DOM イベントによって直接実行されます。
  • API 再生を使用するスクリプトでは、ブラウザをフォアグラウンドで実行する必要はありません。
  • API 再生を使用するスクリプトでは、要素をクリックする前に、要素が表示されるようにスクロールする必要はありません。
  • 一般的に、高レベルのユーザー入力は再生中にポップアップ ウィンドウやユーザー対話の影響を受けないため、API スクリプトの信頼性は高くなります。
  • API 再生は、ネイティブ再生よりも高速です。

API 再生とネイティブ再生の関数の違い

DomElement クラスには、API 再生とネイティブ再生に対して異なる関数が備えられています。

以下の表に、API 再生とネイティブ再生で使用する関数を示します。

 | API 再生 | ネイティブ再生
マウス操作 | DomClick DomDoubleClick DomMouseMove | Click DoubleClick MoveMouse PressMouse ReleaseMouse
キーボード操作 | 使用不可 | TypeKeys
特殊な関数 | Select SetText など | 使用不可
親トピック: クロス ブラウザ テスト
関連タスク
ブラウザの記録オプションの設定
関連資料
DomElement クラス


マウス移動の詳細設定

マウス移動イベントを使用する Web アプリケーション、Win32 アプリケーション、および Windows Forms アプリケーションでマウス移動操作を記録するかどうかを指定します。たとえば、Apache Flex や Swing など、xBrowser テクノロジ ドメインの子ドメインのマウス移動イベントを記録することはできません。

  1. Silk4NET > オプションの編集 をクリックします。
  2. オプション メニュー ツリーの 記録 の隣にあるプラス記号（+）をクリックします。
    記録 オプションが右側のパネルに表示されます。
  3. 記録 をクリックします。
  4. マウス移動操作を記録するには、OPT_RECORD_MOUSEMOVES オプションをオンにします。 Silk4NET では、スクリプトを短くするために、マウスが置かれた要素またはその親が変化するマウスの移動イベントのみが記録されます。
  5. マウスの移動操作を記録する場合、MoveMouse 操作が記録される前に、どのくらいの間マウスが不動状態になければならないかを、マウスの移動記録遅延 テキスト ボックスにミリ秒単位で指定します。 デフォルト値は、200 に設定されています。 マウスの移動操作は、この時間、マウスが静止している場合にのみ記録されます。遅延を短くすると、予期しないマウスの移動操作が増加します。遅延を長くすると、操作を記録するためにマウスを静止しておく必要があります。
  6. OK をクリックします。
親トピック: クロス ブラウザ テスト


xBrowser のブラウザ構成の設定

いくつかのブラウザ設定は、テストを継続的に安定して実行するのに役立ちます。設定を変更しなくても Silk4NET は動作しますが、ブラウザ設定を変更するにはいくつかの理由があります。

再生速度を向上させる
読み込みに時間を要する Web ページではなく、about:blank をホーム ページとして使用する
ブラウザの予期しない動作を回避する
  • ポップアップ ウィンドウや警告ダイアログ ボックスを無効にする
  • オート コンプリート機能を無効にする
  • パスワード ウィザードを無効にする
ブラウザの誤動作を防止する
不要なサードパーティ製プラグインを無効にする

以下のセクションでは、対応するブラウザにおけるこれらの設定場所について説明します。

Internet Explorer

ブラウザ設定は、ツール > インターネット オプション にあります。以下の表に、調整できるオプションの一覧を示します。

タブ | オプション | 設定 | コメント
全般 | ホーム ページ | about:blank に設定します。 | 新しいタブの起動時間を最小限に抑えます。
全般 タブ
  • 複数のタブを閉じるときの警告を無効にします。
  • 新しいタブを作成したとき、新しいタブに切り替えます。
  • 予期しないダイアログ ボックスが表示されないようにします。
  • このようにしないと、新しいタブを開くリンクが正しく再生されない場合があります。
プライバシー | ポップアップ ブロック | ポップアップ ブロックを無効にします。 | Web サイトで新しいウィンドウを開くことができることを確認します。
コンテンツ オートコンプリート 完全にオフにします。
  • 予期しないダイアログ ボックスが表示されないようにします。
  • キー入力するときに予期しない動作を回避します。
プログラム アドオンの管理 最低限必要なアドオンのみを有効にします。
  • サードパーティ製アドオンにはバグが含まれていることがあります。
  • Silk4NET と互換性がない可能性があります。
詳細設定 設定
  • Internet Explorer の更新について自動的に確認する を無効にします。
  • スクリプトのデバッグを使用しない (Internet Explorer) を有効にします。
  • スクリプトのデバッグを使用しない (その他) を有効にします。
  • 自動クラッシュ回復機能を有効にする を無効にします。
  • スクリプト エラーごとに通知を表示する を無効にします。
  • すべての ...警告する 設定を無効にします。
 予期しないダイアログ ボックスが表示されないようにします。
注: 100% 以外の拡大レベルを使用して Internet Explorer で Web アプリケーションを記録すると、期待通り機能しない可能性があります。Internet Explorer で Web アプリケーションに対する操作を記録する前に、拡大レベルを 100% に設定してください。

Mozilla Firefox

Mozilla Firefox のブラウザ設定を変更する必要はありません。 Silk4NET により、適切なコマンドライン パラメータが指定され、自動的に Mozilla Firefox が起動します。

注: Web アプリケーションのテスト時に予期しない動作を避けるため、Mozilla Firefox の自動更新を無効にします。詳細については、『Stop automatic updates』を参照してください。

Google Chrome

Google Chrome のブラウザ設定を変更する必要はありません。Silk4NET により、適切なコマンドライン パラメータが指定され、自動的に Google Chrome が起動します。

注: Web アプリケーションのテスト時に予期しない動作を避けるため、Google Chrome の自動更新を無効にします。詳細については、『Turning Off Auto Updates in Google Chrome』を参照してください。
親トピック: クロス ブラウザ テスト
関連資料
Google Chrome を使用したテスト再生の前提条件


ロケーター生成プログラムを xBrowser 用に構成する

Open Agent には、ロケーターが記録時に一意となり、メンテナンスが容易になるようにする、高度なロケーター生成メカニズムが備えられています。使用するアプリケーションやフレームワークに応じて、最適な結果を得るためにデフォルト設定を変更できます。

頻繁には変更されない属性を利用して、適切に定義されたロケーターでは、メンテナンス作業が少なく抑えられます。カスタム属性を使用すると、caption や index などの他の属性を使用するよりも高い信頼性を得ることができます。これは、caption はアプリケーションを他の言語に翻訳した場合に変更され、index は他のオブジェクトが追加されると変更される可能性があるためです。

最適な結果を得るために、テストで利用する要素にカスタム オートメーション ID を追加します。Web アプリケーションでは、操作する要素に <div myAutomationId=”my unique element name” /> などの属性を追加できます。この手法によって、ロケーターの変更に伴うメンテナンス作業を回避することができます。

  1. Silk4NET > オプションの編集 をクリックしてから、カスタム属性 タブをクリックします。
  2. カスタム オートメーション ID を使用する場合、テクノロジ ドメインを選択します リスト ボックスから xBrowser を選択し、リストに ID を追加します。 カスタム属性リストに、ロケーターとしてふさわしい属性が含まれます。カスタム属性が利用可能な場合は、ロケーター生成プログラムは、他の属性の前にそれらの属性を使用します。リストの順番は、ロケーター生成プログラムが使用する属性の優先順位を表しています。指定した属性が選択したオブジェクトに対して利用可能ではなかった場合には、Silk4NET は xBrowser のデフォルトの属性を使用します。
  3. ブラウザー タブをクリックします。
  4. ロケーター属性名除外リスト グリッドで、記録中に無視する属性名を入力します。

    たとえば、このリストを使用して、サイズ、幅、高さ、スタイルなどの頻繁に変更される属性を指定します。ワイルドカード '*' および '?' を ロケーター属性名除外リストで使用できます。

    複数の属性名を指定する場合にはカンマで区切ります。

  5. ロケーター属性値除外リスト グリッドで、記録中に無視する属性値を入力します。

    一部の AJAX フレームワークでは、ページが再読み込みされるたびに変わる属性値が生成されます。このリストを使用して、そのような値を無視します。このリストでワイルドカードを使用することもできます。

    複数の属性値を指定する場合にはカンマで区切ります。

  6. OK をクリックします。

    以上で、テスト ケースを記録、または手動で作成できるようになります。

親トピック: クロス ブラウザ テスト


リモート デスクトップ ブラウザーの接続文字列

接続文字列 は、テストに使用するリモート デスクトップ ブラウザーを指定します。リモート ブラウザーで Web アプリケーションをテストする場合、Silk4NET はリモート ロケーションに接続するために接続文字列を使用します。接続文字列は、アプリケーション構成の主要な一部です。テストする Web アプリケーションを構成するときに、接続文字列は設定されます。接続文字列を変更するには、アプリケーション構成の編集 ダイアログ ボックスを使用します。

リモート ブラウザーで Web アプリケーションをテストする場合、接続文字列にはリモート マシンの IP アドレスまたはホスト名を意味する host だけが含まれます（10.0.0.1 など）。正しいブラウザーを選択するために、Silk4NET はブラウザーの種類と共に接続文字列を使用します。ブラウザーの種類は、アプリケーション構成の編集 ダイアログ ボックスでも指定できます。

ホスト名は、大文字と小文字は区別されません。

注: リモート デスクトップ ブラウザーのテストは、リモート Microsoft Windows マシン上の Microsoft Edge およびリモート Mac 上の Apple Safari に対してのみサポートされます。

接続文字列の例

"host=10.0.0.1"
親トピック: クロス ブラウザ テスト
関連概念
モバイル デバイスの接続文字列
[アプリケーションの選択] ダイアログ ボックス
関連タスク
WebDriver ベースのブラウザーのケイパビリティの設定


リモート Windows マシン上でのブラウザーのテスト

Microsoft Edge、Google Chrome、Mozilla Firefox をリモート Windows マシン上でテストするには、リモート マシン上に Silk4NET をインストールする必要があります。Microsoft Edge は、Microsoft Windows 10 マシン上でのみ実行できます。Silk4NET は、リモート Windows マシン上の Mozilla Firefox 55 以前のテストをサポートします。
  1. ブラウザーのテストを実行するローカル マシン上で、リモート Windows マシンをリモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
  2. Silk Test Information Service がすでにリモート マシン上で管理者権限で実行されている場合は、Silk Test Information Service を無効化します。
    1. リモート マシンに管理者としてログインします。
    2. コントロール パネル (アイコン表示) を開きます。
    3. 管理ツール をクリックします。
    4. サービス をダブルクリックします。
    5. Silk Test Information Service をダブルクリックします。
    6. サービスが実行中の場合、停止 をクリックして、サービスの状態が 停止 になるまで待機します。
    7. スタートアップの種類 を 無効 に変更します。
    8. OK をクリックします。
  3. Silk Test Information Service を標準の整合性レベル（管理者権限無し）で開始します。
    1. ファイル エクスプローラーを開き、%OPEN_AGENT_HOME%/InfoService に移動します。 たとえば、C:\Program Files (x86)\Silk\SilkTest\ng\InfoService になります。
    2. infoservice_start.bat をダブルクリックします。
  4. 以上で、リモート マシン上のブラウザーを アプリケーションの選択 ダイアログ ボックスで選択できるようになります。
注: Silk Test Information Service が、サービス セッションではなくユーザー セッションで実行されていることを確認します。Silk Test Information Service は、UI 操作が有効でなければなりません。セッション 0 であるサービス セッションは、UI 操作が有効ではありません。
親トピック: クロス ブラウザ テスト
関連タスク
リモート ロケーションの編集


Mac 上の Google Chrome または Mozilla Firefox のテスト

リモート macOS マシン上の Google Chrome または Mozilla Firefox をテストするには、リモート マシン上に Silk Test Information Service をインストールする必要があります。詳細については、「Silk Test Information Service を Mac にインストールする」を参照してください。
  1. Google Chrome または Mozilla Firefox をテストするローカル マシン上で、リモート macOS マシンをリモート ロケーションとして追加します。 詳細については、「リモート ロケーションの編集」を参照してください。
  2. 以上で、リモート macOS マシン上の Google Chrome または Mozilla Firefox を アプリケーションの選択 ダイアログ ボックスで選択できるようになります。
注: Silk Test Information Service が、サービス セッションではなくユーザー セッションで実行されていることを確認します。Silk Test Information Service は、UI 操作が有効でなければなりません。セッション 0 であるサービス セッションは、UI 操作が有効ではありません。

Google Chrome 上でテストを実行する際の前提条件と制限事項についての情報は、「Google Chrome を使用したテスト」セクションにあるトピックを参照してください。Mozilla Firefox 上でテストを実行する際の前提条件と制限事項についての情報は、「Mozilla Firefox を使用したテスト」セクションにあるトピックを参照してください。

親トピック: クロス ブラウザ テスト


WebDriver ベースのブラウザーのケイパビリティの設定

WebDriver ベースのブラウザー上で Web アプリケーションをテストする場合は、ケイパビリティを設定してブラウザー セッションの設定をカスタマイズできます。

Silk4NET では、次のブラウザーの種類に対する接続文字列で WebDriver ケイパビリティを指定できます。
  • Google Chrome
  • Mozilla Firefox

Mozilla Firefox 48 以降で利用可能なオプションとケイパビリティについての詳細は、『https://github.com/mozilla/geckodriver』を参照してください。Google Chrome で利用可能なオプションとケイパビリティについての詳細は、『Capabilities & ChromeOptions』を参照してください。

Silk4NET でケイパビリティを設定するには：

  1. ケイパビリティを変更する Web アプリケーションのプロジェクトを選択します。
  2. プロジェクトの基本状態の接続文字列を編集します。 接続文字列は、次の方法で編集できます。
    • アプリケーション構成の編集 ダイアログ（カスタマイズしたブラウザーに対する操作を記録する場合など）
    • スクリプト（カスタマイズしたブラウザーに対してテスト スクリプトを実行するだけの場合）

    詳細については、「基本状態」を参照してください。

  3. スクリプトを実行して、指定したオプションとケイパビリティでブラウザーを開始します。

例

Mozilla Firefox から実行可能ファイルを自動的にダウンロードするには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code - No linebreaks, this is a single line of code.
 baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.folderList\": 2, \"browser.helperApps.neverAsk.saveToDisk\": \"application/octet-stream\"}};"
// C# code - No linebreaks, this is a single line of code.
 baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.folderList\": 2, \"browser.helperApps.neverAsk.saveToDisk\": \"application/octet-stream\"}};";
Mozilla Firefox のダウンロード フォルダーを指定するには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code
baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.dir\" : \"C:/Download\"}};"
// C# code
baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.dir\" : \"C:/Download\"}};";
Mozilla Firefox のコマンド ライン引数を設定するには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code
baseState.ConnectionString = "moz:firefoxOptions={\"args\":[\"--devtools\"]};"
// C# code
baseState.ConnectionString = "moz:firefoxOptions={\"args\":[\"--devtools\"]};";
Google Chrome から実行可能ファイルを指定したフォルダーに自動的にダウンロードするには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"prefs\": {\"profile.default_content_setting_values.automatic_downloads\":1, \"download.default_directory\":\"c:/Download\", \"download.prompt_for_download\":false}};"
// C# - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"prefs\": {\"profile.default_content_setting_values.automatic_downloads\":1, \"download.default_directory\":\"c:/Download\", \"download.prompt_for_download\":false}};";
Google Chrome のパスワード マネージャーにメッセージを表示させないようにするには、スクリプトの基本状態に次のコードを追加します。
' VB .NET code - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"args\": [\"--disable-save-password-bubble\"], \"prefs\": {\"profile.password_manager_enabled\":false, \"credentials_enable_service\":false}};"
// C# code - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"args\": [\"--disable-save-password-bubble\"], \"prefs\": {\"profile.password_manager_enabled\":false, \"credentials_enable_service\":false}};";
親トピック: クロス ブラウザ テスト
関連概念
リモート デスクトップ ブラウザーの接続文字列
基本状態


Mac 上の Apple Safari を使用したテスト

このセクションでは、Silk4NET がインストールされている Windows マシンと接続し、Mac マシン上の Apple Safari をテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

  • Mac 上の Apple Safari を使用したテストにおける前提条件
    Mac 上の Apple Safari を使用したテストにおける前提条件を示します。
  • Apple Safari のテストの準備
    Silk4NET を使用して Web アプリケーションをテストするために、Apple Safari を準備します。
  • Silk Test Information Service を Mac にインストールする
    Information Service を Mac にインストールし、Silk4NET を使用して iOS 上の Apple Safari やモバイル アプリケーションをテストできます。
  • Apple Safari を使用したテストの制限事項
    Apple Safari を使用したテストの再生とロケーターの記録の既知の制限事項を一覧します。
  • 複数の Apple Safari テストの同時実行
    複数の Apple Safari テストを同じ Mac 上で同時に実行する方法について説明します。
  • Silk Test Information Service を Mac からアンインストールする
    Silk4NET を使用して iOS 上の Apple Safari やモバイル アプリケーションをテストする必要がなくなった場合、Information Service を Mac からアンインストールできます。
親トピック: クロス ブラウザ テスト


Mac 上の Apple Safari を使用したテストにおける前提条件

Mac 上の Apple Safari を使用してテストを行う前に、次の前提条件を満たしていることを確認してください。
  • Mac がリモート ロケーションとして Silk4NET がインストールされている Windows マシンに接続されている。詳細については、「リモート ロケーションの編集」を参照してください。
  • Apple Safari 9 でテストする場合、 Apple Safari 用の WebDriver 拡張である SafariDriver が Mac 上にインストールされている（SafariDriver は従来のクライアント/サーバーの関係を逆転し、WebSocket を使用して WebDriver クライアントと通信します）。Apple Safari 10.1 を使用する場合、Safari はドライバーの実装を組み込みで備えています。
  • Java JDK が Mac 上にインストールされている。
  • Information Service が Mac 上にインストールされている。Information Service に必要なファイルを取得するには、Silk Test インストーラを使用します。詳細については、「Silk Test Information Service を Mac にインストールする」を参照してください。
  • Apple Safari 上でテストを実行するには、Information Service をインストールしたユーザーが Mac にログインしている必要があります。
    ヒント: Micro Focus では、起動時に正しいユーザーで Mac に自動的にログインするように設定することを推奨します。詳細については、「起動時に自動的にログインするように Mac を設定する」を参照してください。
  • Mac 上の Apple Safari に対して無人テストを実行する場合は、システム環境設定 の 省エネルギー ペインで、次の設定を行います。
    • ディスプレイをオフにするまでの時間 を しない に設定します。
    • ディスプレイがオフのときにコンピュータを自動でスリープさせない チェック ボックスをオンにします。
    注: これらの設定は、Silk Test Configuration Assistant を使用すると簡単に行えます。Mac 上で Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。
  • Mac 上の Apple Safari に対して無人テストを実行するには、スクリーン セーバーを無効にします。
    1. システム環境設定 > デスクトップとスクリーンセーバ を開きます。
    2. スクリーンセーバ タブをクリックします。
    3. 開始までの時間 を 開始しない に設定します。
    注: これらの設定は、Silk Test Configuration Assistant を使用すると簡単に行えます。Mac 上で Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。
  • Apple Safari 10.1 を使用してテストする場合は、Safari 開発メニューを有効にします。Safari > 環境設定 を選択して、詳細 をクリックし、メニューバーに '開発' メニューを表示 をオンにします。
  • Apple Safari 10.1 を使用してテストする場合は、リモート オートメーションを有効にします。Safari 開発メニューから、リモート オートメーションを許可 をオンにします。
  • 初めて Apple Safari 10.1 でテストを実行する際に、パスワード入力が必要になる場合があります。
親トピック: Mac 上の Apple Safari を使用したテスト
関連タスク
Silk Test Information Service を Mac にインストールする
Apple Safari のテストの準備
iOS 上でのモバイル アプリケーションのテストのための Mac の準備
リモート ロケーションの編集


Apple Safari のテストの準備

Apple Safari 10.1 以降で Web アプリケーションをテストする場合、Silk Test Configuration Assistant を使うと、簡単に Apple Safari を設定できます。Mac 上で Configuration Assistant を開くには、ステータス メニューの Silk Test アイコンをクリックして、Configuration Assistant を選択します。または、「Mac 上の Apple Safari を使用したテストにおける前提条件」に書かれている要件を満たすよう、次の手順を実行します。
  1. Apple Safari のリモート オートメーションを有効化するために、開発 メニューを開き、リモート オートメーションを許可 をオンにします。 開発 メニューは、デフォルトでは表示されません。このメニューを開くには：
    1. Safari メニューから 環境設定 を選択します。
    2. 環境設定 ウィンドウで、詳細 タブを選択します。
    3. メニュー バーに "開発" メニューを表示 チェック ボックスをオンにします。
    4. 環境設定 ウィンドウを閉じます。
  2. Apple Safari 上で最初にテストを実行すると、ブラウザー ウィンドウが自動テストによってリモート制御されていることを示すダイアログ ボックスが表示されます。セッションを続ける をクリックします。
Apple Safari と Selenium WebDriver についての詳細は、『https://webkit.org/blog/6900/webdriver-support-in-safari-10/』を参照してください。
親トピック: Mac 上の Apple Safari を使用したテスト
関連タスク
iOS 上でのモバイル アプリケーションのテストのための Mac の準備
関連資料
Mac 上の Apple Safari を使用したテストにおける前提条件


Apple Safari を使用したテストの制限事項

以下に、Mac 上の Apple Safari を使用してテストする際の既知の制限事項を一覧します。
  • 次のクラス、インターフェイス、メソッド、プロパティは、Mac 上の Apple Safari を使用した Web アプリケーションのテストでは現時点ではサポートされません：
    • BrowserApplication クラス。
      • ClearCache メソッド
      • CloseOtherTabs メソッド
      • CloseTab メソッド
      • ExistsTab メソッド
      • GetHorizontalScrollbar メソッド
      • GetNextCloseWindow メソッド
      • GetSelectedTab メソッド
      • GetSelectedTabIndex メソッド
      • GetSelectedTabName メソッド
      • GetTabCount メソッド
      • GetVerticalScrollbar メソッド
      • IsActive メソッド
      • Minimize メソッド
      • OpenContextMenu メソッド
      • OpenTab メソッド
      • Restore メソッド
      • SelectTab メソッド
      • SetActive メソッド
      • WindowState プロパティ
    • BrowserWindow クラス。
      • AcceptAlert メソッド
      • DismissAlert メソッド
      • GetAlertText メソッド
      • IsAlertPresent メソッド
      • MouseMove メソッド
      • PressKeys メソッド
      • PressMouse メソッド
      • ReleaseKeys メソッド
      • ReleaseMouse メソッド
    • IMoveable クラス。
      • GetFocus メソッド。
  • Silk4NET は、TypeKeys メソッドで CMD キーをサポートしません。
  • Silk4NET は、Apache Flex のテストをサポートしません。
  • Silk4NET は、Apple Safari 上の JavaScript ソースを使った iframe のテストをサポートしません。
  • Apple Safari 上で HTTPS を使用したセキュアな Web アプリケーションをテストするには、必要なすべてのサーバー証明書が信頼済みであることを確認ください。
  • Silk4NET は、Apple Safari のネイティブ サポートは提供しません。内部 Apple Safari 機能をテストすることはできません。たとえば、テストで、ナビゲーション バーにテキストを追加して、現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。
  • Silk4NET は、Apple Safari に対する JavaScript ダイアログ API 関数をサポートしません。回避策として、このような関数が無視されるようにパッチを当てることができます。詳細については、「https://groups.google.com/forum/#!topic/selenium-developer-activity/qsovJw93g9c」を参照してください。
  • Silk4NET は、Apple Safari のタブをサポートしません。
  • 複数ウィンドウのアプリケーションをテストするには、Apple Safari のポップアップ ブロックを解除してください。解除する場合は、Apple Safari を起動し、Safari 環境設定 > セキュリティ > ポップアップウィンドウを開かない のチェックを外します。
  • Silk4NET は、パスワードを保存するダイアログ ボックスのテストをサポートしません。このダイアログ ボックスを表示しないようにする場合は、Apple Safari を起動し、Safari 環境設定 > 自動入力 に移動して ユーザー名とパスワード チェック ボックスのチェックを外します。
  • Silk4NET は、Apple Safari では XPath 式のプロパティをサポートしません。XPath 式では、属性のみがサポートされます。
  • Silk4NET は、Content-Security-Policy HTTP ヘッダーを含んだ Web アプリケーションのテストをサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk4NET はブラウザーの前に戻る操作をサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk4NET は TypeKeys メソッドでの Ctrl キーの使用をサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk4NET は Frame および IFrame 内では DOM 操作のみをサポートします。
  • Apple Safari 10.1 を使用する場合、Silk4NET は Frame および IFrame での移動操作をサポートしません。
  • Apple Safari 10.1 を使用する場合、Silk4NET は記録時の直接スクロールをサポートしません。回避策として、executeJavaScript メソッドを使用できます。
親トピック: Mac 上の Apple Safari を使用したテスト


複数の Apple Safari テストの同時実行

Apple Safari 上でテストを実行するには、Silk Test がインストールされた Windows マシンに接続された Mac が必要です。複数の Apple Safari テストを Apple Safari 上で実行する場合、これらのテストは同じ Mac 上で同時に実行されることになります。

注: Mac 上の Apple Safari に対して実行されるテストそれぞれが、Apple Safari のインスタンスを個々に開きます。数多くの Apple Safari のインスタンスが同時に実行すると、Mac のパフォーマンスが低下する可能性があります。
親トピック: Mac 上の Apple Safari を使用したテスト


Google Chrome を使用したテスト

このセクションでは、Google Chrome を使用してテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

Silk4NET は、Google Chrome 上での操作の記録とテストの再生をサポートします。

  • Google Chrome でテストを開始するときに、Google Chrome のインスタンスが実行していない場合、Silk4NET は Google Chrome の新しいインスタンスを開始します。新しいブラウザーは、アドオン無しのキャッシュを空にした状態の一時プロファイルを使用します。
  • Google Chrome のインスタンス上でのテストを開始するときに、すでに実行中であれば、Silk4NET はそのインスタンスが最初に開始されたときに使用されたコマンド ライン引数と同じ引数で Google Chrome を再起動します。この再起動は、Silk4NET オートメーション サポートを有効化するために必要です。
  • Google Chrome でテストするとき、Google Chrome インスタンスは、Open Agent のシャットダウン時または、Google Chrome 外のほかのアプリケーションのテストを開始するときに閉じられます。
ヒント: Google Chrome を使用して既存のテスト スクリプトを実行する場合は、基本状態を使用して、URL へ移動するコマンドをテスト スクリプトに追加することを、Micro Focus はお勧めします。

例 1

Google Chrome の実行中のインスタンスが、コマンド「C:/Program Files (x86)/Google/Chrome/Application/chrome.exe www.borland.com」で最初に起動されていた場合、Google Chrome は再起動後に www.borland.com を開きます。

例 2

Google Chrome の実行中のインスタンスが、コマンド「C:/Program Files (x86)/Google/Chrome/Application/chrome.exe」で最初に起動されていた場合、Google Chrome は再起動後に about:blank を開きます。

  • Google Chrome を使用したテスト再生の前提条件
    Google Chrome 使用したテストの再生とロケーターの記録の前提条件について説明します。
  • Google Chrome 拡張のテスト
    Google Chrome 拡張をテストする方法について説明します。
  • ユーザー データ ディレクトリを使用した Google Chrome のテスト
    ユーザー データ ディレクトリを使用して Google Chrome をテストする方法について説明します。
  • Google Chrome を使用したテストの制限事項
    ローカル Windows マシン上で Google Chrome を使用した場合の、テストの再生とロケーターの記録の既知の制限事項を一覧します。
  • macOS 上の Google Chrome を使用したテストの制限事項
    macOS 上で Google Chrome を使用した場合の、テストの再生とロケーターの記録の既知の制限事項を一覧します。
親トピック: クロス ブラウザ テスト


Google Chrome を使用したテスト再生の前提条件

コマンド ライン パラメータ

Google Chrome を使用してテストの再生やロケーターの記録を行うと、次のコマンドで Google Chrome が起動されます。
%LOCALAPPDATA%\Google\Chrome\Application\chrome.exe
  --enable-logging
  --log-level=1
  --disable-web-security
  --disable-hang-monitor
  --disable-prompt-on-repost
  --dom-automation
  --full-memory-crash-report
  --no-default-browser-check
  --no-first-run
  --homepage=about:blank
  --disable-web-resources
  --disable-preconnect
  --enable-logging
  --log-level=1
  --safebrowsing-disable-auto-update
  --test-type=ui
  --noerrdialogs
  --metrics-recording-only
  --allow-file-access-from-files
  --disable-tab-closeable-state-watcher
  --allow-file-access
  --disable-sync
  --testing-channel=NamedTestingInterface:st_42

ウィザードを使用してアプリケーションに追加する場合は、これらのコマンド ライン パラメータは、基本状態に自動的に追加されます。テストを開始したときに、適切なコマンド ライン パラメータなしで Google Chrome のインスタンスがすでに実行されている場合、 は Google Chrome を終了して、コマンド ライン パラメータを使用してブラウザを再起動しようとします。ブラウザを再起動できない場合は、エラー メッセージが表示されます。

注: クロスドメインのドキュメントを記録または再生する場合は、コマンド ライン パラメータ disable-web-security が必要です。
注: ローカル ファイル システムに保存された Web アプリケーションをテストするには、Google Chrome で chrome://extensions に移動し、Silk Test Chrome Extension の ファイルの URL へのアクセスを許可する チェックボックスをオンにします。
親トピック: Google Chrome を使用したテスト
関連資料
xBrowser のブラウザ構成の設定
Google Chrome を使用したテストの制限事項


Google Chrome 拡張のテスト

Google Chrome 拡張 (アドオン) を Silk4NET を使ってテストするには、以下の 2 つの手段のいずれかを使用できます。
Google Chrome の起動時に .crx ファイルとして拡張をインストールする
.crx ファイルとしてインストールされた Google Chrome 拡張をテストするには、基本状態に次のコマンド ラインを追加します。
chrome.exe --load-extension=C:/myExtension/myExtension.crx
注: Google Chrome には単一の拡張のみを .crx ファイルとしてインストールできます。Google Chrome に複数の拡張をインストールするには、複数の .crx ファイルをカンマ区切りで指定します。例：
chrome.exe --load-extension=C:/myExtension/myExtension.crx,C:/myExtension2/myExtension2.crx

ブラウザーのコマンド ライン引数指定方法の詳細については、「基本状態の変更」を参照してください。

プロファイルに拡張を追加する
Google Chrome ユーザー データ ディレクトリに拡張を追加し、そのプロファイルをテストに使用します。詳細については、「ユーザー データ ディレクトリを使用した Google Chrome のテスト」を参照してください。
親トピック: Google Chrome を使用したテスト


ユーザー データ ディレクトリを使用した Google Chrome のテスト

ホーム ページ、使用するツールバーの設定や保存したパスワード、ブックマークなど、Google Chrome で行ったすべての変更は、ユーザー データ ディレクトリと呼ばれる特別なフォルダに格納されます。

Silk4NET を使用して、テスト対象アプリケーションの基本状態にユーザー データ ディレクトリへのパスを指定することによって、Google Chrome ユーザー データ ディレクトリをテストできます。次のコマンド ラインには、プロファイルへのパスが含まれています。
chrome.exe "--user-data-dir=C:/Users/MyUser/AppData/Local/Google/Chrome/User Data"
サンプル Web アプリケーションのプロファイル ディレクトリを設定するには、次のコードを使用できます。
' VB code
Dim baseState = New BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS")
Dim myProfileDir = "--user-data-dir=D:\\temp\\SilkTest --profile-directory=Profile1"
baseState.CommandLineArguments = myProfileDir
baseState.Execute()
// C# code
BrowserBaseState baseState = new BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS");
String myProfileDir = "--user-data-dir=D:\\temp\\SilkTest --profile-directory=Profile1";
baseState.CommandLineArguments=myProfileDir;
baseState.Execute();
注: Google Chrome が Silk4NET によって起動されるときには、空のユーザー データ ディレクトリが使用されます。これにより、クリーンな状態でテストが開始されることになります。
親トピック: Google Chrome を使用したテスト


Google Chrome を使用したテストの制限事項

以下のリストに、ローカル Windows マシン上で Google Chrome を使用した場合の、テストの再生とロケーターの記録の既知の制限事項をリストします。
  • Silk Test は、Google Chrome を使用した xBrowser ドメインの子テクノロジ ドメインのテストをサポートしていません。たとえば、Apache Flex または Microsoft Silverlight は Google Chrome ではサポートされていません。
  • Silk4NET は、HTTP 基本認証ダイアログのテストの記録をサポートしません。
  • Silk Test は、Google Chrome のネイティブ サポートは提供しません。内部 Google Chrome 機能をテストすることはできません。たとえば、テストで、Win32 でナビゲーション バーにテキストを追加して現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。Silk Test は、Alert API を使用した警告および類似のダイアログ ボックスの処理をサポートします。
  • Silk4NET は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • Silk Test は、Google Chrome メニューを使用して Google Chrome の 印刷 ダイアログ ボックスが開かれたことは認識しません。Google Chrome でダイアログ ボックスを開く動作を追加してテストするには、TypeKeys メソッドを使用して Ctrl+Shift+P を送信する必要があります。Internet Explorer はこのショートカットを認識しません。したがって、最初に Internet Explorer でテストを記録してから、手動で Ctrl+Shift+P を押す操作をテストに追加する必要があります。
  • Google Chrome の複数ウィンドウの同時テストは、最初の Google Chrome ウィンドウから AUT 自身が追加のウィンドウを開いた場合にのみサポートされます。追加の Google Chrome ウィンドウを手動で開いた場合、Silk4NET はこれらの Google Chrome ウィンドウ上の要素を解決できません。たとえば、記録中に AUT のリンクやボタンをクリックして開かれた Google Chrome ウィンドウ上の要素は Silk4NET は解決できますが、記録中に CTRL+N を押して開かれた Google Chrome ウィンドウ上の要素は Silk4NET は解決できません。
  • Internet Explorer を使用してテストを再生する場合、executeJavaScript をテストするために次のコードを使用できます。
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("function foo() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("foo();");

    Google Chrome 上でテストを再生する場合、スクリプトはクロージャで実行され、グローバル コンテキスト (window) では実行されません。すべては関数内で実行されます。上記のサンプル コードの最初の ExecuteJavaScript 呼び出しは、Google Chrome では機能しません。これは、関数 foo が ExecuteJavaScript 呼び出しが存続する間だけ有効であるためです。

    Google Chrome 上で同じテストを再生する場合は、次のような関数式を使用できます。
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo = function() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo();");

    前のサンプル コードは Silk4J では機能します。他の Silk Test クライアントに対するコードも同様です。詳細については、Silk Test クライアントのヘルプにある ExecuteJavaScript メソッドのドキュメントを参照してください。

  • Google Chrome のユーザー データ ディレクトリをグループ ポリシーを使って設定していると、Google Chrome 上での並列テストは機能しません。この問題を回避するには、レジストリー キー HKEY_LOCAL_MACHINE\Software\Policies\Google\Chrome\UserDataDir または HKEY_CURRENT_USER\Software\Policies\Google\Chrome\UserDataDir を削除するように、管理者に依頼してください。
  • Google Chrome 73 以降のバージョンでは、小さいサイズのブラウザ ウィンドウをテスト モードで開くことができなくなりました。指定可能な最小サイズは、オペレーティング システムに依存します。すべてのオペレーティング システム上で機能する、最小サイズは、550x440 ピクセルです。
親トピック: Google Chrome を使用したテスト
関連資料
macOS 上の Google Chrome を使用したテストの制限事項
Google Chrome を使用したテスト再生の前提条件
xBrowser のページ同期
Google Chrome


macOS 上の Google Chrome を使用したテストの制限事項

以下のリストに、macOS 上で Google Chrome を使用した場合の、テストの再生とロケーターの記録の既知の制限事項をリストします。
  • Silk4NET は、TypeKeys メソッドで CMD キーをサポートしません。
  • Silk Test は、Google Chrome を使用した xBrowser ドメインの子テクノロジ ドメインのテストをサポートしていません。たとえば、Apache Flex または Microsoft Silverlight は Google Chrome ではサポートされていません。
  • Silk4NET は、HTTP 基本認証ダイアログのテストの記録をサポートしません。
  • Silk Test は、Google Chrome のネイティブ サポートは提供しません。内部 Google Chrome 機能をテストすることはできません。たとえば、テストで、Win32 でナビゲーション バーにテキストを追加して現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。Silk Test は、Alert API を使用した警告および類似のダイアログ ボックスの処理をサポートします。
  • Silk4NET は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • 複数の Google Chrome ウィンドウ上での同時テストは、macOS 上ではサポートされません。
  • 既に開いている Google Chrome ウィンドウへのアタッチは、macOS 上ではサポートされません。
  • Internet Explorer を使用してテストを再生する場合、executeJavaScript をテストするために次のコードを使用できます。
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("function foo() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("foo();");

    Google Chrome 上でテストを再生する場合、スクリプトはクロージャで実行され、グローバル コンテキスト (window) では実行されません。すべては関数内で実行されます。上記のサンプル コードの最初の ExecuteJavaScript 呼び出しは、Google Chrome では機能しません。これは、関数 foo が ExecuteJavaScript 呼び出しが存続する間だけ有効であるためです。

    Google Chrome 上で同じテストを再生する場合は、次のような関数式を使用できます。
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo = function() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo();");

    前のサンプル コードは Silk4J では機能します。他の Silk Test クライアントに対するコードも同様です。詳細については、Silk Test クライアントのヘルプにある ExecuteJavaScript メソッドのドキュメントを参照してください。

親トピック: Google Chrome を使用したテスト
関連資料
Google Chrome を使用したテストの制限事項


Mozilla Firefox を使用したテスト

このセクションでは、Mozilla Firefox を使用してテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

Silk4NET は、Mozilla Firefox 上での操作の記録とテストの再生をサポートします。

  • Mozilla Firefox でテストを開始するときに、Mozilla Firefox のインスタンスが実行していない場合、Silk4NET は Mozilla Firefox の新しいインスタンスを開始します。新しいブラウザーは、アドオン無しのキャッシュを空にした状態の一時プロファイルを使用します。
  • Mozilla Firefox のインスタンス上でのテストを開始するときに、すでに実行中であれば、Silk4NET はそのインスタンスが最初に開始されたときに使用されたコマンド ライン引数と同じ引数で Mozilla Firefox を再起動します。この再起動は、Silk4NET オートメーション サポートを有効化するために必要です。
  • この Mozilla Firefox のインスタンスは、Open Agent のシャットダウン時または、Mozilla Firefox 外のほかのアプリケーションのテストを開始するときに閉じられます。
ヒント: Mozilla Firefox を使用して既存のテスト スクリプトを実行する場合は、基本状態を使用して、URL へ移動するコマンドをテスト スクリプトに追加することを、Micro Focus はお勧めします。

Mozilla Firefox で記録する場合、Mozilla Firefox は外部リンクを新しいウィンドウではなく新しいタブで開きます。外部リンクを新しいウインドウで開く場合は、ブラウザー オプションの OPT_FIREFOX_SINGLE_WINDOW_MODE オプションを無効にします。

例 1

Mozilla Firefox の実行中のインスタンスが、コマンド「C:/program files/Mozilla/firefox.exe www.borland.com」で最初に起動されていた場合、Mozilla Firefox は再起動後に www.borland.com を開きます。

例 2

Mozilla Firefox の実行中のインスタンスが、コマンド「C:/program files/Mozilla/firefox.exe」で最初に起動されていた場合、Mozilla Firefox は再起動後に about:blank を開きます。

  • プロファイルを使用した Mozilla Firefox のテスト
    プロファイルを使用して Mozilla Firefox をテストする方法について説明します。
  • Mozilla Firefox 拡張機能のテスト
    Mozilla Firefox 拡張機能をテストする方法について説明します。
  • Mozilla Firefox を使用したテストの制限事項
    Mozilla Firefox 上の Web アプリケーションをテストする際の既知の制限事項を一覧します。
  • macOS 上の Mozilla Firefox を使用したテストの制限事項
    macOS 上の Mozilla Firefox を使用して、Web アプリケーションをテストする際の既知の制限事項を一覧します。
親トピック: クロス ブラウザ テスト


プロファイルを使用した Mozilla Firefox のテスト

ホーム ページ、使用するツールバーの設定や保存したパスワード、ブックマークなど、Mozilla Firefox で行ったすべての変更は、プロファイルと呼ばれる特別なフォルダに格納されます。

Mozilla Firefox プロファイルをテストするには、プロファイルの名前、またはプロファイルへのパスのどちらかをカスタム ブラウザー コマンド ライン引数として アプリケーション構成の編集 ダイアログ ボックス で指定します。
  1. Mozilla Firefox プロファイルをテストするプロジェクトを選択します。
  2. メニューから アプリケーション構成の編集 をクリックします。アプリケーション構成の編集 ダイアログ ボックスが表示されます。
  3. 記録および再生前に 'ブラウザーの選択' ダイアログを表示する チェック ボックスをオフにします。
  4. 編集 をクリックして、既存の ブラウザー：Firefox アプリケーション構成を編集します。
  5. ブラウザーの種類から カスタム を選択します。
  6. 実行可能ファイル フィールドに、Mozilla Firefox 実行可能ファイルへのパスを入力します。たとえば、C:\Program Files (x86)\Mozilla Firefox\firefox.exe など。
  7. コマンド ライン引数 フィールドに、Firefox プロファイル名または Firefox プロファイルへのパスを入力します。たとえば、-p myProfile または -profile C:/Temp など。
プロファイルの名前の使用
次のコマンド ライン引数では、プロファイル名を指定しています。
-p myProfile
プロファイル マネージャ で名前をつけてプロファイルを設定できます。プロファイル マネージャ を起動するには、コマンド ウィンドウで firefox.exe -P を入力します。
プロファイルへのパスの使用
次のコマンド ライン引数では、プロファイルへのパスを指定しています。
-profile C:/<path to profile folder>
注: Silk4NET が Mozilla Firefox を起動する場合、空のプロファイルが使用されます。これにより、クリーンな状態でテストが開始されることになります。ユーザーが手動で Mozilla Firefox を起動した場合は、デフォルトのプロファイルが使用されます。
注: プロファイルはテス トマシンにデプロイする必要があり、メモリ消費量も大きいため、プロファイルのテスト時に問題が発生する可能性があります。いくつかのブラウザーの設定を変更するだけであれば、プロファイルの代わりにケイパビリティを使用できます。詳細については、「WebDriver ベースのブラウザーのケイパビリティの設定」を参照してください。
親トピック: Mozilla Firefox を使用したテスト
関連概念
Mozilla Firefox 拡張機能のテスト


Mozilla Firefox 拡張機能のテスト

Silk4NET を使って Mozilla Firefox 拡張機能（アドオン）をテストするには、Mozilla Firefox プロファイルに拡張機能を追加し、そのプロファイルをテストに使用します。詳細については、「プロファイルを使用した Mozilla Firefox のテスト」を参照してください。

親トピック: Mozilla Firefox を使用したテスト
関連概念
プロファイルを使用した Mozilla Firefox のテスト


Mozilla Firefox を使用したテストの制限事項

Silk4NET を使用して Mozilla Firefox 上の Web アプリケーションをテストする際の既知の制限事項を以下に示します。

  • Mozilla Firefox の複数ウィンドウの同時テストは、最初の Mozilla Firefox ウィンドウから AUT 自身が追加のウィンドウを開いた場合にのみサポートされます。追加の Mozilla Firefox ウィンドウを手動で開いた場合、Silk4NET はこれらの Mozilla Firefox ウィンドウ上の要素を解決できません。たとえば、記録中に AUT のリンクやボタンをクリックして開かれた Mozilla Firefox ウィンドウ上の要素は Silk4NET は解決できますが、記録中に CTRL+N を押して開かれた Mozilla Firefox ウィンドウ上の要素は Silk4NET は解決できません。
  • Silk4NET は window.showmodaldialog コマンドを使って表示されるウィンドウであるモーダル ブラウザー ウィンドウのテストをサポートしません。これらのモーダル ブラウザー ウィンドウは、公式に廃止されており、Google Chrome 37 以降では無効化されています。さらに、Mozilla Firefox の今後のバージョンではサポートされる計画はありません。低レベルな操作を使ってこの問題を回避できます。たとえば、オブジェクトの座標を使用したネイティブなクリックやテキスト フィールドを typeKeys を使って入力する方法が利用できます。
  • Silk4NET は、Mozilla Firefox を使用した Silverlight のテストをサポートしません。
  • Silk4NET は Mozilla Firefox の バージョン情報 ダイアログなどの一部のブラウザー ダイアログのテストをサポートしません。
  • Silk4NET は、Mozilla Firefox を使用した about:* ページのテストをサポートしません。
  • Silk4NET は、Mozilla Firefox の 印刷 ボタンのクリックの記録をサポートしません。再生時にこのボタンをクリックする場合は、座標によるデスクトップのクリックをテスト スクリプトに手動で追加することにより行えます。例：
    'VB .NET code
_desktop.Click(printButton.GetRect(true).Center)
    // C# code
_desktop.Click(printButton.GetRect(true).Center);
  • Silk Test は、Mozilla Firefox のネイティブ サポートは提供しません。内部 Mozilla Firefox 機能をテストすることはできません。たとえば、テストで、Win32 でナビゲーション バーにテキストを追加して現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。Silk Test は、Alert API を使用した警告および類似のダイアログ ボックスの処理をサポートします。
  • Silk4NET は Mozilla Firefox の JavaScript 警告ボックスのロケーターの記録をサポートしません。さらに、Mozilla Firefox を使用して JavaScript 警告ボックスを処理するために、次のメソッドを使用することはできません。
    • AcceptAlert
    • DismissAlert
    • GetAlertText
    • IsAlertPresent
  • Silk4NET は、Mozilla Firefoxでは Java アプレットをサポートしません。
  • Silk4NET は、Mozilla Firefox では XPath 式のプロパティをサポートしません。XPath 式では、属性のみがサポートされます。
  • Silk4NET は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • Silk Test は、Mozilla Firefox を使用した xBrowser ドメインの子テクノロジ ドメインのテストをサポートしていません。たとえば、Apache Flex または Microsoft Silverlight は Mozilla Firefox ではサポートされていません。
  • Mozilla Firefox では、次のメソッドはサポートされません。
    • PressKeys
    • ReleaseKeys
  • Mozilla Firefox では、次のネイティブ再生はサポートされません。
    • ダブルクリック。
    • マウス ボタンの右と中央のクリック。
  • Mozilla Firefox では、DomClick メソッドは、警告を開くコントロールではサポートされません。
親トピック: Mozilla Firefox を使用したテスト
関連概念
macOS 上の Mozilla Firefox を使用したテストの制限事項
関連タスク
Mozilla Firefox 上でのテストの記録


macOS 上の Mozilla Firefox を使用したテストの制限事項

Mozilla Firefox を使用して macOS 上の Web アプリケーションをテストする際の既知の制限事項を以下に示します。

  • Silk4NET は、macOS 上の Mozilla Firefox 54 以降を使用してテストされました。
  • Mozilla Firefox の複数ウィンドウの同時テストは、最初の Mozilla Firefox ウィンドウから AUT 自身が追加のウィンドウを開いた場合にのみサポートされます。追加の Mozilla Firefox ウィンドウを手動で開いた場合、Silk4NET はこれらの Mozilla Firefox ウィンドウ上の要素を解決できません。たとえば、記録中に AUT のリンクやボタンをクリックして開かれた Mozilla Firefox ウィンドウ上の要素は Silk4NET は解決できますが、記録中に CTRL+N を押して開かれた Mozilla Firefox ウィンドウ上の要素は Silk4NET は解決できません。
  • Silk4NET は window.showmodaldialog コマンドを使って表示されるウィンドウであるモーダル ブラウザー ウィンドウのテストをサポートしません。これらのモーダル ブラウザー ウィンドウは、公式に廃止されており、Google Chrome 37 以降では無効化されています。さらに、Mozilla Firefox の今後のバージョンではサポートされる計画はありません。低レベルな操作を使ってこの問題を回避できます。たとえば、オブジェクトの座標を使用したネイティブなクリックやテキスト フィールドを typeKeys を使って入力する方法が利用できます。
  • Silk4NET は、Mozilla Firefox を使用した Silverlight のテストをサポートしません。
  • Silk4NET は Mozilla Firefox の バージョン情報 ダイアログなどの一部のブラウザー ダイアログのテストをサポートしません。
  • Silk4NET は、Mozilla Firefox を使用した about:* ページのテストをサポートしません。
  • Silk4NET は、Mozilla Firefox の 印刷 ボタンのクリックの記録をサポートしません。再生時にこのボタンをクリックする場合は、座標によるデスクトップのクリックをテスト スクリプトに手動で追加することにより行えます。例：
    'VB .NET code
_desktop.Click(printButton.GetRect(true).Center)
    // C# code
_desktop.Click(printButton.GetRect(true).Center);
  • Silk Test は、Mozilla Firefox のネイティブ サポートは提供しません。内部 Mozilla Firefox 機能をテストすることはできません。たとえば、テストで、Win32 でナビゲーション バーにテキストを追加して現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。Silk Test は、Alert API を使用した警告および類似のダイアログ ボックスの処理をサポートします。
  • Silk4NET は Mozilla Firefox の JavaScript 警告ボックスのロケーターの記録をサポートしません。さらに、Mozilla Firefox を使用して JavaScript 警告ボックスを処理するために、次のメソッドを使用することはできません。
    • AcceptAlert
    • DismissAlert
    • GetAlertText
    • IsAlertPresent
  • Silk4NET は、macOS 上の Mozilla Firefox では Java アプレットをサポートしません。
  • Silk4NET は、Mozilla Firefox では XPath 式のプロパティをサポートしません。XPath 式では、属性のみがサポートされます。
  • Silk4NET は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • Silk Test は、Mozilla Firefox を使用した xBrowser ドメインの子テクノロジ ドメインのテストをサポートしていません。たとえば、Apache Flex または Microsoft Silverlight は Mozilla Firefox ではサポートされていません。
  • 次のメソッドはサポートされません。
    • PressKeys
    • ReleaseKeys
  • 次のネイティブ再生はサポートされません。
    • ダブルクリック。
    • マウス ボタンの右と中央のクリック。
  • DomClick メソッドは、警告を開くコントロールではサポートされません。
  • Mozilla Firefox 55 を使用する場合、ファイルのアップロードは機能しません。詳細については、『 File upload no longer works with geckodriver 0.18.0 and Firefox 55』を参照してください。
親トピック: Mozilla Firefox を使用したテスト
関連概念
Mozilla Firefox を使用したテストの制限事項


Microsoft Edge を使用したテスト

このセクションでは、Microsoft Edge を使用してテストすることによって、クロス ブラウザー テスト セットを拡張する方法について説明します。

  • Microsoft Edge を使用したテストの制限事項
    Microsoft Edge を使用したテストの再生とロケーターの記録の既知の制限事項を一覧します。
親トピック: クロス ブラウザ テスト


Microsoft Edge を使用したテストの制限事項

以下に、Microsoft Edge を使用してテストする際の既知の制限事項を一覧します。
  • 次のクラス、インターフェイス、メソッド、プロパティは、Microsoft Edge 上の Web アプリケーションのテストでは現時点ではサポートされません：
    • BrowserApplication クラス。
      • ClearCache メソッド
      • CloseOtherTabs メソッド
      • CloseTab メソッド
      • ExistsTab メソッド
      • GetHorizontalScrollbar メソッド
      • GetNextCloseWindow メソッド
      • GetSelectedTab メソッド
      • GetSelectedTabIndex メソッド
      • GetSelectedTabName メソッド
      • GetTabCount メソッド
      • GetVerticalScrollbar メソッド
      • IsActive メソッド
      • Minimize メソッド
      • OpenContextMenu メソッド
      • OpenTab メソッド
      • Restore メソッド
      • SelectTab メソッド
      • SetActive メソッド
      • WindowState メソッド
    • BrowserWindow クラスの次のメソッドは、Microsoft Edge のビルド 38.14393（Microsoft Windows 10 Anniversary Update のバージョンの Microsoft Edge）より前のバージョンではサポートされません。
      • PressKeys メソッド
      • ReleaseKeys メソッド
  • Silk4NET は、Microsoft Edge に対する操作を記録するとき、ブラウザを自動的に最前面に表示しません。
  • Microsoft Edge を使用してテストすると、BrowserApplication の矩形領域は絶対値ではありません。
  • Silk4NET は、Apache Flex のテストをサポートしません。
  • Silk4NET は、Microsoft Edge のネイティブ サポートは提供しません。内部 Microsoft Edge 機能をテストすることはできません。たとえば、テストで、ナビゲーション バーにテキストを追加して、現在表示されている Web ページを変更することはできません。回避策として、API コールを使用して Web ページ間を移動できます。
  • Silk4NET は、Microsoft Edge の警告ダイアログなどのダイアログ ボックスをサポートしません。
  • イメージ クリックは、Microsoft Edge Threshold 2 (ビルド 25.10586) 以降に対してのみサポートされます。Microsoft Edge の以前のバージョン上で Web アプリケーションをテストする場合は、イメージ検証のみ使用できます。
  • Silk4NET は、Microsoft Edge のタブをサポートしません。タブはウィンドウとして解決されます。
  • Microsoft Edge 上の Web アプリケーションをテストするとき、Silk4NET は http-equiv 属性などのメタタグを検索できません。たとえば、Silk4NET は次のメタタグを検索できません：
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
  • Microsoft Edge を使用する場合、Silk4NET は DOM 要素の currentStyle 属性の直接読み取りをサポートしません。DomElement クラスの GetCssStyle メソッドを使用して、指定したスタイル名の算出 CSS スタイルを取得できます。
  • Microsoft Edge 上の Web アプリケーションとのやり取りを開始するとき、Silk4NET は Microsoft Edge のすべての開いているインスタンスを閉じ、新しくブラウザーを開始します。新しいブラウザーは、アドオン無しのキャッシュを空にした状態の一時プロファイルを使用します。この Microsoft Edge のインスタンスは、Open Agent のシャットダウン時または、Microsoft Edge 外のほかのアプリケーションのテストを開始するときに閉じられます。
  • Microsoft Edge を使用する場合、Silk4NET は操作やロケーターの記録中に textContents 属性を認識しません。しかし、オブジェクト マップで textContents 属性を使用して、Microsoft Edge 上でテストを再生するときに使用できます。
  • Silk4NET は、Microsoft Edge では XPath 式のプロパティをサポートしません。XPath 式では、属性のみがサポートされます。
  • Silk4NET は、IMoveable クラスの GetFocus メソッドをサポートしません。
  • Silk4NET は、Content-Security-Policy HTTP ヘッダーを含んだ Web アプリケーションのテストをサポートしません。
親トピック: Microsoft Edge を使用したテスト
関連タスク
Microsoft Edge 上でのテストの記録
関連資料
Microsoft Edge


レスポンシブ Web デザインのテスト

レスポンシブ Web デザインに基づいて構築されたデスクトップ Web アプリケーションは、アプリケーションを表示する画面や Web ブラウザーのサイズに応じて、その外観が変化します。このようなテストでは、再生するウィンドウのサイズを適切に選択できないと、その安定性に多大な影響を与える可能性があります。

Silk4NET では、次のタイミングでブラウザー ウィンドウの正確なサイズを指定することができます。
  • Web アプリケーションに対して新しいプロジェクトを作成する時点
  • 新しいテストを記録する時点
  • 既存のテストに操作を記録する時点
  • Web アプリケーションに対するテストを再生する時点
次の設定を使用して、ブラウザー ウィンドウのサイズを指定することができます。
  • ブラウザー サイズ リストには、あらかじめ定義されたブラウザー ウィンドウのサイズとカスタマイズしたサイズの両方が表示され、ここからテストで使用するサイズを選択できます。
  • 向き リストでは、ブラウザー ウィンドウの向きが横向きか縦向きかを選択できます。
  • ブラウザー サイズの編集 をクリックすると、ブラウザー サイズ リストにカスタム ブラウザー サイズを追加したり、リストに表示するブラウザー サイズを選択することができます。
    • 新しいカスタム ブラウザー サイズをリストに追加するには、ブラウザー サイズの追加 をクリックします。
    • リストにサイズを表示しないようにするには、対応するチェック ボックスをオフにします。
    • 特定の Web アプリケーションのビジュアル ブレークポイントを ブラウザー サイズ リストに追加するには、ビジュアル ブレークポイントの検出 をクリックします。

コマンド ラインや Silk Central から Web アプリケーションに対するテストを再生する場合は、silktest.browserViewportSize 環境変数を設定してブラウザー ビューポートのサイズを指定できます。ブラウザー サイズ リストで定義したブラウザーの名前や特定のサイズを指定することができます。

Imports SilkTest.ntf.Mobile または using SilkTest.Ntf.XBrowser; をテスト スクリプトで定義すると、テストスクリプトで直接ブラウザーのサイズを変更できます：
' VB .NET code
With .BrowserWindow("BrowserWindow")
  .SetViewportName("Google Pixel 2")
  .SetViewportSize(800, 300)
End With
// C# code
BrowserApplication webBrowser = _desktop.BrowserApplication("demo_borland_com");
BrowserWindow browserWindow = webBrowser.BrowserWindow("BrowserWindow");
browserWindow.SetViewportName("Google Pixel 2", SilkTest.Ntf.Mobile.DisplayOrientation.Landscape);
browserWindow.SetViewportSize(800, 300);

例：自動再生するブラウザー サイズに名前を使用して指定する場合

ブラウザー サイズ リストの SVGA エントリを使用して、ブラウザー サイズを SVGA (800, 600) に設定するサンプル コードを以下に示します。
SET silktest.browserViewportSize=name=SVGA;orientation=landscape

例：自動再生するブラウザー サイズに幅と高さを使用して指定する場合

width と height パラメータをを使用して、ブラウザー サイズを SVGA (800, 600) に設定するサンプル コードを以下に示します。
SET silktest.browserViewportSize=width=800;height=600;orientation=landscape
親トピック: クロス ブラウザ テスト
関連タスク
ビジュアル ブレークポイントの検出


ビジュアル ブレークポイントの検出

レスポンシブ Web アプリケーションのビジュアル ブレークポイントを検出する前に、Mozilla Firefox 56 以降または Google Chrome 60 以降を Silk4NET を実行しているマシン上にインストールしてください。

レスポンシブ Web デザイン技術を使用して実装する多くの Web アプリケーションは、表示されるブラウザーやデバイスのサイズに応じて、そのレイアウトを変更します。レイアウトの変更が発生する特定の解像度を、ビジュアル ブレークポイント と言います。

Silk4NET では、ビジュアル ブレークポイントを検出し、それを使用して特定のサイズに記録ウィンドウのサイズを変更することで、このようなアプリケーションのテストをサポートします。

Silk4NET では、次のタイミングでブラウザー ウィンドウの正確なサイズを指定することができます。
  • Web アプリケーションに対して新しいプロジェクトを作成する時点
  • 新しいテストを記録する時点
  • 既存のテストに操作を記録する時点
  • Web アプリケーションに対するテストを再生する時点

Web アプリケーションのビジュアル ブレークポイントを検出し、対応する解像度を ブラウザー サイズ リストに表示させるには、次の手順を実行します。

  1. ブラウザー サイズの編集 をクリックします。 ブラウザー サイズの編集 ダイアログ ボックスが表示されます。
  2. ビジュアル ブレークポイントの検出 をクリックします。 Web アプリケーションの URL がアプリケーション構成や基本状態で指定されていない場合は、ビジュアル ブレークポイント検出 URL ダイアログが表示されます。
  3. Web アプリケーションの URL がアプリケーション構成や基本状態で指定されていない場合は、ビジュアル ブレークポイント検出 URL ダイアログが表示されます。URL をテキスト フィールドに入力し、OK をクリックします。 Silk4NET は Web アプリケーションのすべてのビジュアル ブレークポイントを検出し、ブラウザー サイズ リストに追加します。
  4. OK をクリックして ブラウザー サイズの編集 ダイアログを閉じます。
以上により、テストするブラウザー ウィンドウまたはモバイル デバイスのサイズに合わせて、ビジュアル ブレークポイントを選択できるようになります。
親トピック: クロス ブラウザ テスト
関連概念
レスポンシブ Web デザインのテスト


iframe パフォーマンスの向上

Internet Explorer 以外のブラウザー上で、多くの iframe を使用した Web アプリケーションに対するテストを再生すると、速度が遅くなる場合があります。このトピックでは、次のブラウザー使用時における、パフォーマンスを最適化する方法について、いくつかの方法を提案します。
  • Google Chrome
  • Mozilla Firefox
  • Microsoft Edge
  • Apple Safari
  • サポートするモバイル ブラウザー（モバイル デバイスまたはエミュレータ上）

このようなパフォーマンスの問題に直面した場合、以下に示すパフォーマンス最適化手法をテスト スクリプトに対して試すことができます。

たとえば、以下のような iframe 構造を持つ Web アプリケーションをテストしていることを想定します。
BrowserWindow
  iframe name=1
    iframe name=2
    iframe name=3
    iframe name=4
    iframe name=5
  iframe name=6
    iframe name=7
    iframe name=8
    iframe name=9
この場合、以下のようなパフォーマンス最適化手法を試すことができます。
iframe サポートの包含リスト を使って、テスト対象にする iframe のみを有効化する
たとえば、上記の iframe 構造において、name が 8 の iframe 内の要素だけを操作対象とする場合を考えます。このような要素に対するロケーターは次のようになります。
//BrowserApplication//BrowserWindow//IFRAME[@name='6']//IFRAME[@name='8']//input[@name='username']
注: Internet Explorer 以外のすべてのサポートするブラウザーに対するロケーターには、iframe が含まれます。

name が 8 の iframe の要素を操作対象とするには、すべての親 iframe も iframe サポートの包含リスト に指定する必要があります。この例の場合は、「name:6, name:8」を iframe サポートの包含リスト フィールドに指定します。

iframe サポートの除外リスト を使って、テスト対象にしない iframe を無効化する

iframe サポートの除外リスト を使って、広告を表示する iframe などを無効化して、テスト対象からはずすことができます。

たとえば、上記の iframe 構造において、name が 1 の iframe とその子 iframe の要素をテストする必要が無ければ、「name:1」を iframe サポートの除外リスト フィールドに指定します。

iframe サポートを完全に無効化する

OPT_XBROWSER_ENABLE_IFRAME_SUPPORT オプションをオフにして、iframe サポートを完全に無効化することができます。

たとえば、アプリケーションのすべての iframe が広告を表示するために使用されている場合、これらの iframe をテストする必要が無ければ、このオプションを使用できます。

iframe の検索数を低減するロケーターの構成

iframe の検索数を減らすようにロケーターを構成すると、検索操作の再生パフォーマンスを向上させることができます。このパフォーマンス最適化手法は、iframe サポートの除外リスト や iframe サポートの包含リスト と組み合わせて使用すると、より効果的です。

たとえば、上記の iframe 構造において、name が 8 の iframe 内の要素だけを操作対象とする場合を考えます。XPath ロケーターやオブジェクト マップ エントリを、iframe の検索数を減らすように構成することができます。

次のサンプル スクリプトでは、name が 8 の iframe を複数回検索します。
' VB code
With _desktop.BrowserApplication("//BrowserApplication")
  With .BrowserWindow("//BrowserWindow")
    .DomElement("//IFRAME[@name='6']//IFRAME[@name='8']//input[@name='username']").TypeKeys("my user name")
    .DomElement("//IFRAME[@name='6']//IFRAME[@name='8']//input[@name='password']").TypeKeys("top secret")
    .DomElement("//IFRAME[@name='6']//IFRAME[@name='8']//input[@name='loginButton']").Click()
  End With
End With
// C# code
browserWindow.DomElement("//IFRAME[@name='6']//IFRAME[@name='8']//input[@name='username']").TypeKeys("my user name");
browserWindow.DomElement("//IFRAME[@name='6']//IFRAME[@name='8']//input[@name='password']").TypeKeys("top secret");
browserWindow.DomElement("//IFRAME[@name='6']//IFRAME[@name='8']//input[@name='loginButton']").Click();
次のようにロケーターを構成することにより、name が 8 の iframe を一度だけ検索するように変更できます。
' VB code
With _desktop.BrowserApplication("//BrowserApplication")
  With .BrowserWindow("//BrowserWindow")
    With .DomElement("//IFRAME[@name='6']//IFRAME[@name='8']")
      .DomElement("//input[@name='username']").TypeKeys("my user name")
      .DomElement("//input[@name='password']").TypeKeys("top secret")
      .DomElement("//input[@name='loginButton']").Click()
    End With
  End With
End With
// C# code
DomElement iframe = browserWindow.DomElement("//IFRAME[@name='6']//IFRAME[@name='8']");
browserWindow.DomElement("//input[@name='username']").TypeKeys("my user name");
browserWindow.DomElement("//input[@name='password']").TypeKeys("top secret");
browserWindow.DomElement("//input[@name='loginButton']").Click();
親トピック: クロス ブラウザ テスト
関連タスク
ブラウザの記録オプションの設定


追加のブラウザーのバージョンでのテスト

このトピックでは、Silk4NET のバージョンに自動的に含まれない WebDriver ベースのブラウザーの追加のバージョンでテストを行う方法について説明します。
注: Silk4NET は、ブラウザーの最新のバージョンを自動的にサポートします。ただし、ブラウザーのベンダーが Silk4NET のアップデートを必要とする変更を行った場合、このトピックに記述した手順を行っても、新しいブラウザーのバージョンでテストを行うことができない場合もあります。
このトピックで説明されている機能は、 次のブラウザーに対してサポートされます。
  • Google Chrome
  • Microsoft Edge
  • Mozilla Firefox
  1. テストするブラウザーのバージョンに対して適切なドライバーをダウンロードします。
    • Google Chrome の場合、追加の ChromeDriver のバージョンは Downloads - ChromeDriver からダウンロードできます。
    • Mozilla Firefox の場合、追加の geckodriver のバージョンは Releases - mozilla/geckodriver からダウンロードできます。
    • Microsoft Edge の場合、追加の Microsoft WebDriver のバージョンは WebDriver - Microsoft Edge からダウンロードできます。
  2. Silk4NET インストール フォルダーの、\ng\WebDrivers\ フォルダーに移動します。
  3. 使用する新しいブラウザーのバージョンのオペレーティング システムに対応するフォルダーを開きます。
    • Microsoft Windows の場合、Windows フォルダーを開きます。
    • macOS の場合、osx64 フォルダーを開きます。
  4. ブラウザーに対して適切なフォルダーを開きます。
    • Google Chrome の場合、Chrome を開きます。
    • Mozilla Firefox の場合、Gecko を開きます。
    • Microsoft Edge の場合、Edge を開きます。
  5. 新しいドライバーのバージョン用に新しいフォルダを作成します。 たとえば、ドライバーが ChromeDriver 2.26 であれば、2.26 という新しいフォルダーを作成します。
  6. ダウンロードしたドライバーを新しいフォルダーで展開します。
  7. Silk4NET インストール フォルダーで、\ng\WebDrivers\Common\Config\ フォルダーに移動します。
  8. ブラウザーに対して適切なフォルダーを開きます。
    • Google Chrome の場合、Chrome を開きます。
    • Mozilla Firefox の場合、Gecko を開きます。
    • Microsoft Edge の場合、Edge を開きます。
  9. プロパティ ファイルをテキスト エディターで開きます。 たとえば、Google Chrome の場合、Chrome.properties を開きます。
  10. 新しいブラウザーのバージョンと新しいドライバーのバージョンを次のように追加します。
    <browser version>=<driver version>
    たとえば、Google Chrome 53 でテストする場合、ChromeDriver 2.26 が必要であるため、Chrome.properties ファイルに次の行を追加する必要があります。
    53=2.26
  11. プロパティ ファイルを保存します。
親トピック: クロス ブラウザ テスト


クロス ブラウザ テスト:よくある質問

このセクションでは、さまざまなブラウザ上で Web アプリケーションをテストするときに発生することがある質問を示します。

  • 再生中にダイアログが認識されない
    再生中にブラウザが Dialog を認識しない場合に、スクリプトを編集する方法について説明します。
  • DomClick(x, y) が Click(x, y) のように動作しない
    DomClick(x, y) が Click(x, y) のように動作しない問題を解決する方法について説明します。
  • FileInputField.DomClick() でダイアログが開かない
    FileInputField.DomClick() でダイアログを開かない場合に、ダイアログを開く方法について説明します。
  • テストの開始時にブラウザー ウィンドウを最大化する方法
    テスト スクリプトでブラウザーを最大化する方法について説明します。
  • ブラウザをスクロールさせる方法
    再生時にブラウザでスクロールを処理する方法について説明します。
  • 現在使用しているブラウザの確認方法
    現在使用しているブラウザを確かめる方法、または、どのブラウザをスクリプトで使用するのかを決める方法について説明します。
  • 要素のテキストに使用されるフォント タイプの確認方法
    テキスト要素のフォント タイプを確認する方法について説明します。
  • innerText をカスタム クラス属性として構成したが、ロケーターで使用されない
    innerText がロケーター文字列に表示されない理由について説明します。
  • xBrowser API で公開されていない機能が必要な場合の対処方法
    スクリプトに機能を追加する方法について説明します。
  • Link.Select で、Internet Explorer で新しく開いたウィンドウにフォーカスが設定されない
    新しく開いたウィンドウをアクティブ化する方法について説明します。
  • アプリケーションのログ出力に正しくないタイムスタンプが含まれる
    ログで正しくないタイムスタンプを回避する方法について説明します。
  • 新しいページに移動したあと、スクリプトがハングする
    新しいページに移動したあとで発生するスクリプトの問題を回避する方法について説明します。
  • 正しくないロケーターが記録されている
    正しくないロケーターがどのように記録されるかについて説明します。
  • Internet Explorer で要素を囲む四角形の位置が正しくない
    Internet Explorer で四角形の位置が正しくない場合の解決方法について説明します。
  • マウス移動設定がオンになっているにもかかわらず、すべての操作が記録されない理由
    MoveMouse 操作がいつ記録されるかについて説明します。
  • textContents、innerText、および innerHtml の違い
    textContents、innerText、および innerHtml の違いについて説明します。
  • クロス ブラウザー スクリプトの作成時に必要な処置
    クロス ブラウザー スクリプトを作成するときに発生する場合がある問題について説明します。
  • 安定したクロス ブラウザ テストを実現するために最適なロケーター
    クロス ブラウザ テスト用の安定したロケーターを作成する方法を説明します。
  • ロケーターでクラスとスタイルの属性が使用されない理由
    どのような場合にクラスとスタイルの属性をロケーターで使用するかについて説明します。
  • Internet Explorer 10 で Click の記録が異なる理由
    Internet Explorer 10 で記録された Click の動作が前のバージョンの Internet Explorer で記録された Click と異なる場合がある理由について説明します。
  • ハンドル無効エラーが表示される理由
    ハンドル無効エラーが表示された場合の対処法について説明します。
親トピック: クロス ブラウザ テスト


再生中にダイアログが認識されない

スクリプトを記録するときに、 Silk4NET はいくつかのウィンドウを Dialog として認識します。 スクリプトをクロス ブラウザ スクリプトとして使用する場合は、ブラウザによっては Dialog が認識されないため、 Dialog を Window に置き換える必要があります。
たとえば、スクリプトに以下の行があるとします。
/BrowserApplication//Dialog//PushButton[@caption='OK']
クロス ブラウザ テストを可能にするには、次のように行を書き換えます。
/BrowserApplication//Window//PushButton[@caption='OK']
親トピック: クロス ブラウザ テスト:よくある質問


DomClick(x, y) が Click(x, y) のように動作しない

アプリケーションで onclick イベントを使用しており、座標を必要とする場合、DomClick メソッドは動作しません。 代わりに、Click を使用します。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser における API 再生とネイティブ再生の比較


FileInputField.DomClick() でダイアログが開かない

代わりに、Click を使用します。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser における API 再生とネイティブ再生の比較


テストの開始時にブラウザー ウィンドウを最大化する方法

テストの開始時など、テスト スクリプトからブラウザーを最大化するために、BrowserApplication クラスの Maximize メソッドを使用できます。
ブラウザーを最大化するには、テスト スクリプトに次のコードを追加します。
'VB code
With _desktop.BrowserApplication("demo_borland_com")

      .Maximize()

End With
// C# code
webBrowser.Maximize();
親トピック: クロス ブラウザ テスト:よくある質問


ブラウザをスクロールさせる方法

Silk4NET では、次のようにして再生中にブラウザの表示領域にコントロールをスクロールさせることができます。
ExecuteJavaScript メソッド (DomElement)
ScrollIntoView メソッドを使用して、特定の DOM 要素をブラウザ ウィンドウの表示領域にスクロールできます。
ExecuteJavaScript メソッド (BrowserWindow)
ExecuteJavaScript メソッドを使用して、範囲を指定してページ全体を上下にスクロールさせることができます。

使用例

次のコマンドは、１ ページ下にスクロールさせます。
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, window.innerHeight)")
// C# code
browserWindow.ExecuteJavaScript("window.scrollBy(0, window.innerHeight)");
次のコマンドは、１00 ピクセル下にスクロールさせます。
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, 100)")
// C# code
browserWindow.ExecuteJavaScript("window.scrollBy(0, 100)");
次のコマンドは、１00 ピクセル上にスクロールさせます。
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, -100)")
// C# code
browserWindow.ExecuteJavaScript("window.scrollBy(0, -100)");
親トピック: クロス ブラウザ テスト:よくある質問


現在使用しているブラウザの確認方法

BrowserApplication クラスには、ブラウザの種類を返すプロパティ "browsertype" があります。このプロパティをロケーターに追加することで、どのブラウザに一致させるかを定義できます。

新しい機能、サポートするプラットフォーム、テスト済みのバージョンについての情報は、『リリース ノート』を参照してください。

使用例

ブラウザの種類を取得するには、次のコードをロケーターに入力します。
browserApplication.GetProperty("browsertype")

また、BrowserWindow には、現在のウィンドウのユーザー エージェント文字列を返すメソッド GetUserAgent があります。

親トピック: クロス ブラウザ テスト:よくある質問
関連資料
GetUserAgent メソッド (BrowserWindow)


要素のテキストに使用されるフォント タイプの確認方法

属性名を「:」で区切ると、DOM 要素の currentStyle 属性のすべての属性にアクセスできます。

Internet Explorer 8 以前
wDomElement.GetProperty("currentStyle:fontName")
Internet Explorer 9 またはそれ以降および Mozilla Firefox などの他のすべてのブラウザ
wDomElement.GetProperty("currentStyle:font-name")
親トピック: クロス ブラウザ テスト:よくある質問


innerText をカスタム クラス属性として構成したが、ロケーターで使用されない

ロケーター文字列に使用する属性には最大長があります。 InnerText は長くなりすぎる傾向があり、ロケーターで使用できない場合があります。 可能な場合は、textContents を代わりに使用してください。

親トピック: クロス ブラウザ テスト:よくある質問


xBrowser API で公開されていない機能が必要な場合の対処方法

ExecuteJavaScript() を使用して、JavaScript コードを Web アプリケーションから直接実行できます。 この方法は、ほとんどすべての問題の回避策となります。

親トピック: クロス ブラウザ テスト:よくある質問
関連資料
ExecuteJavaScript メソッド (BrowserWindow)


Link.Select で、Internet Explorer で新しく開いたウィンドウにフォーカスが設定されない

この制限は、ブラウザの構成設定を変更することで修正できます。 新しく開いたウィンドウが常にアクティブ化されるようにオプションを設定します。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser のブラウザ構成の設定


アプリケーションのログ出力に正しくないタイムスタンプが含まれる

この方法によって、同期に関して予期しない結果が発生する場合があります。この問題を回避するには、HTML 同期モードを指定します。

親トピック: クロス ブラウザ テスト:よくある質問


新しいページに移動したあと、スクリプトがハングする

この問題は、AJAX アプリケーションによりブラウザがビジー（サーバー プッシュ／ActiveX コンポーネントの接続が開いている）のままになっている場合に、発生することがあります。 HTML 同期モードを設定してください。 他のトラブルシューティングのヒントについては、「xBrowser のページ同期」のトピックを参照してください。

親トピック: クロス ブラウザ テスト:よくある質問
関連概念
xBrowser のページ同期


正しくないロケーターが記録されている

マウスを要素上に移動したときに、要素の属性が変更することがあります。 Silk4NET によってこのシナリオの追跡が試行されますが、失敗することがあります。 影響を受ける属性を特定し、それが Silk4NET で無視されるように構成してください。

親トピック: クロス ブラウザ テスト:よくある質問
関連タスク
ブラウザの記録オプションの設定


Internet Explorer で要素を囲む四角形の位置が正しくない

  • 拡大率が 100% に設定されていることを確認します。 このようにしないと、四角形が正しく配置されません。
  • ブラウザ ウィンドウの上に通知バーが表示されていないことを確認します。 Silk4NET では、通知バーを処理できません。
親トピック: クロス ブラウザ テスト:よくある質問


マウス移動設定がオンになっているにもかかわらず、すべての操作が記録されない理由

多くの無用な MoveMouse 操作がスクリプトに影響を及ぼさないように、Silk4NET では以下の操作が行われます。

  • マウスが一定時間静止している場合にのみ、MoveMouse 操作が記録されます。
  • マウスを要素上に移動したあとで操作が行われていることが確認された場合にのみ、MoveMouse 操作が記録されます。 場合によっては、スクリプトに手動操作を追加することが必要となることがあります。
  • Silk4NET は、Web アプリケーション、Win32 アプリケーション、および Windows Forms アプリケーションに対してのみ、マウス移動の記録をサポートします。 Silk4NET は、Apache Flex や Swing など、xBrowser テクノロジ ドメインの子テクノロジ ドメインのマウス移動を記録することはできません。
親トピック: クロス ブラウザ テスト:よくある質問


textContents、innerText、および innerHtml の違い

  • textContents は、書式設定のみを目的とする要素およびその子要素に含まれるすべてのテキストです。
  • innerText は、要素およびその子要素に含まれるすべてのテキストを返します。
  • innerHtml は、要素に含まれるすべてのテキスト（html タグも含む）を返します。

以下の html コードについて検討します。

<div id="mylinks">
  This is my <b>link collection</b>:
  <ul>
    <li><a href="www.borland.com">Bye bye <b>Borland</b> </a></li>
    <li><a href="www.microfocus.com">Welcome to <b>Micro Focus</b></a></li>
  </ul>
</div>

以下の表に、返されるプロパティの詳細を示します。

コード 返される値
browser.DomElement("//div[@id='mylinks']").GetProperty("textContents")
This is my link collection:
browser.DomElement("//div[@id='mylinks']").GetProperty("innerText")
This is my link collection:Bye bye Borland Welcome to Micro Focus
browser.DomElement("//div[@id='mylinks']").GetProperty("innerHtml")
This is my <b>link collection</b>:
<ul>
  <li><a href="www.borland.com">Bye bye <b>Borland</b></a></li>
  <li><a href="www.microfocus.com">Welcome to <b>Micro Focus</b></a></li>
</ul>
注: Silk Test 13.5 以降で、要素の textContents プロパティを介して取得されるテキストの空白はサポートするブラウザすべてで一貫してトリムされます。ブラウザのバージョンによっては、この空白の処理方法が Silk Test 13.5 以前の Silk Test バージョンで異なる場合があります。以前の動作を有効にしたい場合、OPT_COMPATIBILITY オプションを 13.5.0 より低いバージョンに設定してください。たとえば、オプションを Silk Test 13.0 に設定するには、スクリプトで次のように入力します：
'VB .NET code
Agent.SetOption("OPT_COMPATIBILITY", "13.0.0")
// C# code
Agent.SetOption("OPT_COMPATIBILITY", "13.0.0");
親トピック: クロス ブラウザ テスト:よくある質問


クロス ブラウザー スクリプトの作成時に必要な処置

クロス ブラウザー スクリプトを作成する場合は、以下の 1 つまたは複数の問題に遭遇する場合があります。
  • クロス ブラウザー テスト用にスクリプトを記録する場合、Google Chrome、Mozilla Firefox、または Microsoft Edge を使用することを Micro Focus では推奨しています。 Internet Explorer を使って Silk4NET で記録したスクリプトは、ほかのブラウザーで記録したスクリプトと若干異なる場合があります。
  • 属性値が異なる。たとえば、Internet Explorer の色が "# FF0000" として、Mozilla Firefox の色が "rgb(255,0,0)" として返されます。
  • 属性名が異なる。たとえば、Internet Explorer 8 以前のバージョンのフォント サイズ属性は "fontSize" でしたが、Internet Explorer 9 以降および Mozilla Firefox などの他のすべてのブラウザでは "font-size" となります。
  • 一部のフレームワークで 異なる DOM ツリーがレンダリングされることがある
親トピック: クロス ブラウザ テスト:よくある質問


安定したクロス ブラウザ テストを実現するために最適なロケーター

組み込みロケーター生成プログラムでは、安定したロケーターの作成が試みられます。ただし、情報を使用できない場合、高品質のロケーターを生成することは困難です。この場合、ロケーター生成プログラムでは、階層形式の情報およびインデックスが使用されます。その結果、直接的な記録／再生には適していても、安定した日常的な実行には適さない脆弱なロケーターが生成されます。さらに、クロス ブラウザ テストでは、いくつかの AJAX フレームワークで異なるブラウザに対して異なる DOM 階層がレンダリングされることがあります。

この問題を回避するには、アプリケーションの UI 要素にカスタム ID を使用します。

親トピック: クロス ブラウザ テスト:よくある質問
関連タスク
ブラウザの記録オプションの設定


ロケーターでクラスとスタイルの属性が使用されない理由

これらの属性は AJAX アプリケーションで頻繁に変更され、ロケーターの安定性が損なわれることがありため、無視リストに含まれています。 ただし、多くの場合、これらの属性を使用してオブジェクトを識別できるため、アプリケーションで使用することに意味がある場合があります。

親トピック: クロス ブラウザ テスト:よくある質問


Internet Explorer 10 で Click の記録が異なる理由

Internet Explorer 10 の DomElement で Click を記録し、DomElement が Click の後で破棄された場合、記録動作が予期したとおりにならないことがあります。 別の DomElement が最初の DomElement の下にある場合、Silk Test では、1 つの Click が記録されるのではなく、Click、MouseMove、および ReleaseMouse が記録されます。

予期しない記録動作を回避する方法は、テスト対象のアプリケーションによって異なります。 通常は、記録されたスクリプトから不必要な MouseMove イベントと ReleaseMouse イベントを削除すれば十分です。

親トピック: クロス ブラウザ テスト:よくある質問


ハンドル無効エラーが表示される理由

このトピックでは、Silk4NET に次のエラー メッセージが表示された場合の対処法について説明します：「このオブジェクトのハンドルは無効になりました。」

このメッセージは、たとえば Click などのメソッドを呼び出したオブジェクトが何らかの理由で消失していることを示しています。たとえば、Web アプリケーションでメソッドを呼び出しているときに、何らかの理由でブラウザーが 新しいページに移動した場合、以前のページのすべてのオブジェクトは自動的に無効になります。

Web アプリケーションのテストでは、組み込みの同期がこの問題の原因の場合があります。たとえば、テスト対象のアプリケーションにショッピング カートが含まれていて、このショッピング カートに品物を追加したとします。ユーザーは次のページが読み込まれ、ショッピング カートのステータスが 品物がある 状態に変わるまで待機しています。品物を追加するという操作からの戻り時間が短すぎた場合、最初のページのショッピング カートはステータスが変わるまで待機しますが、その間も新しいページは読み込まれています。したがって、最初のページのショッピング カートは無効になります。この動作によって、ハンドル無効エラーが発生します。

この問題を回避するには、2 番目のページでのみ有効なオブジェクトが表示されるまで待機してから、ショッピング カートのステータスを確認するようにしてください。このオブジェクトが有効になるとすぐに、ショッピング カートのステータスを確認できるようになり、2 番目のページで正しく検証されるようになります。

親トピック: クロス ブラウザ テスト:よくある質問


スクリプトからのブラウザの起動

テストの開始時に再生するブラウザを選択するのではなく、再生時にテスト スクリプトから特定のブラウザを起動することが必要になる場合があります。

BrowserBaseState クラスの使用

テスト スクリプトからブラウザを起動するために、BrowserBaseState クラスを使用すると、Executable プロパティで指定したブラウザが実行され、テストの準備ができている状態になります。さらに、基本状態としてUrl プロパティで指定した URL に移動され、ブラウザが最前面に表示されます。

次のサンプル コードは、BrowserBaseState を使用して Internet Explorer を起動します。
' VB . NET code
Dim MyBrowserBaseState As New BrowserBaseState(BrowserType.InternetExplorer, "http://www.borland.com")
MyBrowserBaseState.Execute()

ブラウザの複数インスタンスの使用

複数のブラウザ ウィンドウまたはタブが開かれている場合、Silk4NET は各ブラウザ ウィンドウまたはタブを、ユニークなロケーターを持つ個別のオブジェクトとして処理します。ロケーターは、WebBrowser、WebBrowser[1]、WebBrowser[2] のように、インデックス付きで表されます。

親トピック: クロス ブラウザ テスト


非表示入力フィールドの検索

非表示入力フィールドは、タグに type="hidden" を指定した HTML フィールドです。Find で非表示入力フィールドを検索できるようにするために、OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS オプションを使用できます。このオプションのデフォルト値は、TRUE です。
'VB .NET code
Agent.SetOption("OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS", true)
親トピック: クロス ブラウザ テスト


Web アプリケーションの属性

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。

Web アプリケーションがサポートする属性は次のとおりです。
  • caption (次のワイルドカードをサポート：? および *)
  • すべての DOM 属性 (次のワイルドカードをサポート：? および *)
注: 各ブラウザによって、空のスペースの処理に違いがあります。 この結果、「textContent」および「innerText」属性は正規化されています。 空のスペースのあとに別の空のスペースが続く場合、空のスペースはスキップされるか、または 1 文字の空白で置き換えられます。 空のスペースとは、検出されたスペース、キャリッジ リターン、改行、タブのことです。 また、このような値に一致するものも正規化されます。 例：
<a>abc
abc</a>
以下のロケーターを使用します。
//A[@innerText='abc abc']
親トピック: クロス ブラウザ テスト
親トピック: サポートする属性の種類


xBrowser クラス リファレンス

xBrowser アプリケーションを設定すると、Silk4NET は標準の xBrowser コントロールのテストのサポートを組み込みで提供します。

親トピック: クロス ブラウザ テスト
関連資料
xBrowser クラス リファレンス


Microsoft Windows 8 および Microsoft Windows 8.1 上のテストの制限事項

以下に、Microsoft Windows 8 および Microsoft Windows 8.1 上でテストする際の既知の制限事項を一覧します。
  • Silk Test は、Microsoft Windows 8 および Microsoft Windows 8.1 上でのユニバーサル Windows プラットフォーム（UWP）アプリ（Windows Store アプリ、または Metro スタイル アプリともいう）のテストをサポートしません。
親トピック: 特定の環境のテスト


サポートする属性の種類

ロケーターが作成されるとき、属性の種類はアプリケーションが使用するテクノロジ ドメインに基づいて自動的に割り当てられます。 属性の種類と値によって、ロケーターがテスト内のオブジェクトを識別する方法が決定されます。 必要に応じて、以下のいずれかの方法を使用して属性の種類を変更できます。
  • 他の属性の種類と値を手動で入力する。
  • 推奨属性リスト の値を変更して、デフォルトの属性の種類に対して別の設定を指定する。
  • Apache Flex アプリケーションの属性
    Apache Flex アプリケーションがサポートする属性の一覧を提供します。
  • Java AWT/Swing アプリケーションの属性
    Java AWT/Swing アプリケーションがサポートする属性を示します。
  • Java SWT アプリケーションの属性
    Java SWT アプリケーションがサポートする属性の一覧を提供します。
  • SAP アプリケーションの属性
    SAP アプリケーションがサポートする属性の一覧を提供します。
  • Silverlight コントロールを識別するためのロケーター属性
    Silverlight コントロールを識別するためにサポートされているロケーター属性について説明します。
  • UI オートメーションを使ってコントロールを識別するためのロケーター属性
    UI オートメーション プロバイダー インターフェイスを実装した Windows ベースのアプリケーションのコントロールを識別するためにサポートされているロケーター属性について説明します
  • Rumba コントロールを識別するためのロケーター属性
    Rumba コントロールを識別するためにサポートされているロケーター属性について説明します。
  • Web アプリケーションの属性
    Web アプリケーションがサポートする属性の一覧を提供します。
  • Windows Forms アプリケーションの属性
    Windows Forms アプリケーションがサポートする属性の一覧を提供します。
  • Windows Presentation Foundation (WPF) アプリケーションの属性
    Windows Presentation Foundation (WPF) アプリケーションがサポートする属性の一覧を提供します。
  • Windows API ベースのクライアント/サーバー アプリケーションの属性
    Windows API ベースのクライアント/サーバー アプリケーションがサポートする属性の一覧を提供します。
  • 動的ロケーター属性
    コントロールのプロパティを動的ロケーター属性として使用する方法について説明します。
親トピック: 特定の環境のテスト
関連概念
Locator Spy
ロケーターの基本概念
関連資料
ロケーターの構文


動的ロケーター属性

再生中にコントロールを識別するために、事前に定義されたロケーター属性のセット (caption や automationId など。テクノロジ ドメインに依存します) をロケーターに使用できます。 しかし、動的プロパティを含む、コントロールのすべての属性をロケーター属性として使用することもできます。 特定のコントロールで使用可能なプロパティのリストを取得するには、GetPropertyList メソッドを使用します。 返されたプロパティはすべて、ロケーターを使用してコントロールを識別するのに使用できます。

注: 特定のプロパティの実際の値を取得するには、GetProperty メソッドを使用します。 この値はロケーターで使用できます。

例

Silverlight アプリケーションのダイアログ ボックスにあるボタンを識別する場合、以下のように入力します。
browser.Find("//SLButton[@IsKeyboardFocused=true]")
または
Dim button = dialog.SLButton("@IsKeyboardFocused=true")
これが機能するのは、Silk4NET により Silverlight ボタン コントロールの IsDefault というプロパティが公開されるためです。

例

Silverlight アプリケーションのフォント サイズ 12 のボタンを識別する場合、以下のように入力します。
Dim button = browser.Find("//SLButton[@FontSize=12]")
または
Dim button = browser.SLButton("@FontSize=12")
これが機能するのは、テスト対象アプリケーションの基になるコントロール (この場合、Silverlight ボタン) が FontSize というプロパティを持つためです。
親トピック: サポートする属性の種類


キーワード駆動テスト

キーワード駆動テスト は、テスト開発からテスト設計を分離するソフトウェア テスト手法です。 このため、テスト自動化プロセスにビジネス アナリストなどの専門家を含めることができます。Silk Central と Silk Test はキーワード駆動テストをサポートしており、Silk Test のキーワードの形式での共有資産として構成されるメンテナンス可能な自動化フレームワークを自動化エンジニアが開発することによって、自動化エンジニアとビジネス アナリスト間で密接な共同作業を行うことができます。その後、これらのキーワードは、Silk Test で新しいキーワード駆動テストを作成したり、Silk Central で既存の手動テスト資産を自動テストに変換したり、新しいキーワード駆動テストを作成するために、ビジネス アナリストが使用することができます。

  • キーワード駆動テスト は、実行可能なキーワードのコレクションです。キーワード駆動テストは、他のテストと同様に再生することができます。
  • キーワード シーケンスは、他のキーワードを組み合わせたものです。キーワード シーケンスは、頻繁に使用するキーワードの組み合わせを 1 つのキーワードにまとめることにより、メンテナンスの労力を低減し、テストを理解しやすくすることができます。
  • キーワード は、テスト オブジェクトに対する複数の操作の組み合わせを定義したものです。キーワードの実装は、さまざまなツールとプログラム言語 (Java や .NET など) を使用して行えます。

キーワード駆動テストの作成には、次の 2 つのフェーズがあります。
  1. テストの設計
  2. キーワードの実装

キーワード駆動テストで利用可能な記録/再生コントロールの完全な一覧については、「キーワード駆動テスト クラス リファレンス」を参照してください。

  • キーワード駆動テストの利点
    機能テストおよび回帰テストを行うためにキーワード駆動テスト手法を使用する利点を次に示します。
  • キーワード
    キーワード、およびその使い方について説明します。
  • Silk4NET でキーワード駆動テストを作成する
    キーワードを使用してテスト対象アプリケーションの機能をテストするために、キーワード有働テストを作成します。
  • Silk4NET でのキーワード駆動テストの記録
    Recorder で操作を記録し、これらの操作をキーワードにまとめて新しいキーワード駆動テストを作成します。
  • Silk4NET でのキーワード駆動テストの基本状態の設定
    キーワード駆動テストの記録時に、AUT の基本状態を Silk4NET が作成する方法、および基本状態を手動で設定する方法について説明します。
  • Silk4NET でのキーワードの実装
    キーワード駆動テストでキーワードを再利用するために、キーワード駆動テスト エディター からキーワードを実装します。
  • Silk4NET でのキーワードの記録
    キーワード駆動テストでキーワードを使用するために、新しいキーワードに操作を記録します。
  • スクリプトのテスト メソッドをキーワードとして指定
    スクリプトの既存のテスト メソッドをキーワードとして指定して、キーワード駆動テストに追加します。
  • キーワード駆動テストの編集
    キーワード駆動テスト エディター でキーワードを開き、キーワード駆動テストを編集します。
  • Silk Central でテストのキーワードを管理する
    キーワード駆動テストのキーワードを操作のシーケンスを指定するために管理します。
  • Silk4NET のキーワード レコメンド機能
    Silk4NET がキーワード駆動テストに対するキーワードを推薦するのに使用する、基本的なレコメンド アルゴリズムについて説明します。
  • キーワードでのパラメータの使用
    キーワードおよびキーワード シーケンスのパラメータの処理方法について説明します。
  • 例：パラメータを取るキーワード
    パラメータを取るキーワードを使用する方法について説明します。
  • キーワードのキーワード シーケンスへの結合
    キーワード駆動テスト エディター でキーワードを結合してキーワード シーケンスを作成します。
  • 変数を指定したキーワード駆動テストの再生
    変数の値を設定して、変数を取るキーワード駆動テストを実行します。
  • Silk4NET と Silk Central の統合
    Silk4NET と Silk Central を統合することによって、技術者と非技術者のユーザー間で共同作業を行えます。
  • Silk4NET での Silk Central キーワードの実装
    Silk4NET で Silk Central キーワードを実装して、Silk Central で実行可能なキーワード駆動テストを作成します。
  • Silk Central へのキーワード ライブラリのアップロード
    Silk4NET から Silk Central にキーワード ライブラリをアップロードして、Silk Central で手動テストを自動化する際に、実装済みキーワードを使用できます。
  • コマンド ラインから Silk Central へのキーワード ライブラリの更新
    Java ベースのコマンド ラインから外部キーワード ライブラリを Silk Central にアップロードすることで、Silk Central とキーワード駆動テストを Jenkins などの継続的インテグレーション ビルド システムに統合することができます。
  • キーワードの検索
    キーワードウィンドウ で特定のキーワードを検索する方法について説明します。
  • キーワードのフィルタリング
    キーワード ウィンドウを使用して、現在のプロジェクトのキーワードを検索します。
  • キーワードのグループ化
    キーワードをライブラリで構造化するために、グループ化することができます。
  • キーワード駆動テストのトラブルシューティング
    キーワード駆動テストの実行時に発生する可能性のある問題の処理について有用な情報を提供します。


キーワード駆動テストの利点

キーワード駆動テスト手法を使用する利点を次に示します。
  • キーワード駆動テストを使用すると、テスト自動化とテスト ケースのデザインが分離され、うまく分業できるようになり、キーワードを実装するテスト エンジニアとテスト ケースをデザインする専門家が共同作業できます。
  • テスト対象アプリケーションにアクセスすることなく、初期の段階からテストを開発でき、後からキーワードを実装できます。
  • プログラムの知識がなくてもテストを開発できます。
  • キーワード駆動テストは、長期的に見るとメンテナンス コストを低減できます。キーワードのメンテナンスが必要で、これらのキーワードを使用するすべてのキーワード駆動テストは自動的に更新されます。
  • テストケースが簡潔です。
  • 技術者でなくてもテスト ケースが読みやすく、理解しやすくなります。
  • テスト ケースの変更が簡単です。
  • 既存のキーワードを再利用して新しいテストを再利用できます。これにより、より広範囲なテスト カバレッジを実現しやすくなります。
  • キーワード実装の内部的な複雑性を、キーワード駆動テストを作成または実行するユーザーに対して隠蔽できます。
親トピック: キーワード駆動テスト


キーワード

キーワード は、テスト オブジェクトに対する複数の操作の組み合わせを定義したものです。キーワードの実装は、さまざまなツールとプログラム言語 (Java や .NET など) を使用して行えます。 Silk4NET でのキーワードは、メソッド名の前に Keyword 属性を持つメソッドです。キーワードは、キーワード資産として保存されます。

キーワード駆動テストの作成中にキーワードやキーワード シーケンスを定義し、後でそれらをテスト メソッドとして実装できます。既存のテスト メソッドに Keyword 属性を付けて、キーワードとしてマークすることもできます。キーワードは次のように定義されます：
'VB .NET code
<Keyword("keyword_name")>
// C# code
[Keyword("keyword_name")]

キーワード シーケンスは、他のキーワードを組み合わせたものです。キーワード シーケンスは、頻繁に使用するキーワードの組み合わせを 1 つのキーワードにまとめることにより、メンテナンスの労力を低減し、テストを理解しやすくすることができます。

キーワードまたはキーワード・シーケンスは、合計20の入力および出力パラメーターを持つことができます。キーワードを実装するテスト メソッドのパラメータは、キーワードのパラメータです。 キーワードのパラメータに違う名前を指定するために、次を使用できます：
'VB .NET code
Argument("parameter_name")
// C# code
[Argument("parameter_name")]

例

キーワードとしてマークされたテスト メソッドは、次のようになります。
'VB .NET code
<Keyword("Login")>
Public Sub Login()
    ...  // method implementation
End Sub
// C# code
[Keyword("Login")]
public void Login(){
    ... // method implementation
}
または
'VB .NET code
<Keyword("Login", Description:="Logs in with the given name and password.")>
Public Sub Login(<Argument("UserName")> username As String, <Argument("Password")> password As String)
    ... // method implementation
End Sub
// C# code
[Keyword("Login", Description="Logs in with the given name and password.")]
public void Login([Argument("UserName")] string userName, [Argument("Password")] string password) {
    ... // method implementation
}
このキーワードは、指定したユーザー名とパスワードを使ってテスト対象アプリケーションにログインします。
注: ヘルプ トピックを PDF で参照している場合、このサンプル コードは、実際のスクリプトでは許されない場所で改行されてしまっている場合があります。スクリプトでこのサンプル コードを使用する場合は、これらの改行を削除してください。
  • Keyword 属性 のキーワード名パラメータは、省略可能です。メソッドの名前とは異なる名前を指定する場合に、キーワード名パラメータを使用できます。パラメータが指定されていない場合、メソッドの名前がキーワード名として使用されます。
  • Argument属性も省略可能です。メソッドをキーワードとしてマークすると、自動的にすべての引数がキーワードの引数として使用されます。例のように、userName を UserName にしたい場合など、キーワードの引数とは異なる名前を指定する場合に、Argument属性を使用できます。
親トピック: キーワード駆動テスト


Silk4NET でキーワード駆動テストを作成する

Silk4NET でキーワード駆動テストを作成する前に、プロジェクトを選択する必要があります。

キーワード駆動テスト エディター を使って、新しいキーワードと既存のキーワードを新しいキーワード駆動テストに結合できます。新しいキーワードは、後のステップで自動テストのメソッドとして実装する必要があります。

  1. 新しいテストを追加したいプロジェクトを選択します。 デフォルトでは、プロジェクトがアクティブであれば、そのアクティブなプロジェクトに新しいテストが作成されます。
    注: Silk4NET が提供する機能を最適に使用するには、同じテストで複数のアプリケーションをテストする場合を除き、テストするアプリケーションごとに個別のプロジェクトを作成します。
  2. Silk4NET > 新しいキーワード駆動テスト をクリックします。 新しい項目の追加 ダイアログ ボックスが開きます。
  3. テストの名前を 名前 フィールドに入力し、追加 をクリックします。
    Silk4NET テストの作成 ダイアログ ボックスが開きます。
    注: 「このテキスト テンプレートを実行することで、コンピューターに害を及ぼす可能性があります。」といった内容のセキュリティ警告が表示される場合、今後このメッセージを表示させないようにチェック ボックスをオンにしてから OK をクリックしてテンプレートを実行します。このテンプレートは Silk4NET で必要なものです。
  4. 空の Silk4NET テストの作成 を選択します。 新しいキーワード駆動テストを記録する場合は、「キーワード駆動テストの記録」を参照してください。
  5. OK をクリックします。
    キーワード駆動テスト エディター が開きます。
  6. 次のアクションのいずれかを実行します。
    • 新しいキーワードを追加する場合は、新しいキーワード フィールドにキーワードの名前を入力します。
    • 既存のキーワードを追加する場合は、リストを展開して追加するキーワードを選択します。
  7. Enter を押します。
  8. 実行するすべてのキーワードを追加するまで、上記の 2 つの手順を繰り返します。
  9. ファイル > 保存 をクリックします。

続いて、キーワードを実装します。すべてのキーワードが実装されている場合は、テストを実行します。

親トピック: キーワード駆動テスト


Silk4NET でのキーワード駆動テストの記録

Silk4NET でキーワード駆動テストを作成する前に、プロジェクトを選択する必要があります。

単一のキーワードを記録する場合は、「キーワードの記録」を参照してください。

キーワード駆動テストを記録するには：

  1. Silk4NET > 新しいキーワード駆動テスト をクリックします。 新しい項目の追加 ダイアログ ボックスが開きます。
  2. テストの名前を 名前 フィールドに入力し、追加 をクリックします。
    Silk4NET テストの作成 ダイアログ ボックスが開きます。
  3. Silk4NET テストの記録 を選択して、OK をクリックします。
  4. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合、テストするアプリケーションの種類に対応するタブを選択します。
    • ブラウザで実行しない標準アプリケーションをテストする場合は、Windows タブを選択します。
    • Web アプリケーションまたはモバイル Web アプリケーションをテストする場合は、Web タブを選択します。
    • ネイティブ モバイル アプリケーションをテストする場合は、モバイル タブを選択します。
  5. 標準アプリケーションをテストするには、リストからアプリケーションを選択します。
  6. Web アプリケーションまたはモバイル Web アプリケーションをテストするには、現在のプロジェクトに対してアプリケーション構成が設定されていない場合は、リストからインストール済みのブラウザまたはモバイル ブラウザのうちの 1 つを選択します。
    1. 移動する URL の入力 テキスト ボックスに、開く Web ページを指定します。選択したブラウザのインスタンスが既に実行されている場合、実行中のブラウザーの URL を使用する をクリックして、実行中のブラウザ インスタンスに現在表示されている URL の記録を行うことができます。チュートリアルの場合、Internet Explorer を選択し、移動する URL の入力 テキスト ボックスに http://demo.borland.com/InsuranceWebExtJS/ を指定します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  7. 現在のプロジェクトに対してアプリケーション構成が設定されていない場合に、ネイティブ モバイル アプリケーション (アプリ) をテストするには：
    1. アプリをテストするモバイル デバイスをリストから選択します。
    2. ネイティブ モバイル アプリケーションを選択します。
      • モバイル デバイスまたはエミュレータ上にアプリをインストールする場合は、参照 をクリックしてアプリ ファイルを選択するか、アプリ ファイル テキスト フィールドにアプリ ファイルへの完全パスを入力します。このパスでは、Silk4NET は HTTP および UNC 形式をサポートします。
      • Android デバイス上に既にインストールされているアプリを使用する場合は、パッケージ/アクティビティ リストからアプリを選択するか、パッケージ/アクティビティ フィールドにパッケージとアクティビティを指定します。
      • iOS デバイス上に既にインストールされているアプリを使用する場合は、バンドル ID を指定します。
      • UFT Mobile 上で利用可能なアプリを使用する場合は、アプリ識別子 を指定します。
  8. 現在のプロジェクトに対してアプリケーション構成が設定されており、Web アプリケーションをテストする場合、ブラウザーの選択 ダイアログ ボックスが開きます。
    1. ブラウザーを選択します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  9. 開いているダイアログに応じて、次のいずれかを実行します。
    • アプリケーションの選択 ダイアログ ボックスで、OK をクリックします。
    • ブラウザーの選択 ダイアログ ボックスで、記録 をクリックします。
  10. テスト対象アプリケーションで、最初のキーワードに含める操作を実行します。
    記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  11. キーワードの名前を指定するには、記録中 ウィンドウでキーワードの名前の上にマウス カーソルを動かして、編集 をクリックします。
    注: Silk4NET は、キーワード駆動テストの開始に アプリケーションの開始 キーワードを自動的に追加します。このキーワードで、アプリケーションの基本状態が実行され、テストを正しく再生できるようになります。基本状態についての詳細は、「基本状態」を参照してください。
  12. キーワードの名前を キーワードの名前 フィールドに入力します。
  13. OK をクリックします。
  14. 次のキーワードの操作を記録するには、新しいキーワードの名前 フィールドに新しいキーワードの名前を入力し、追加 をクリックします。 Silk4NET は、新しいキーワードに新しい操作を記録します。
  15. キーワード駆動テスト全体を記録すまで、新しいキーワードを作成し、キーワードに対する操作を記録します。
  16. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
Silk4NET は、すべての記録したキーワードを含む新しいキーワード駆動テストを作成します。
親トピック: キーワード駆動テスト
関連概念
基本状態
レスポンシブ Web デザインのテスト
関連タスク
Silk4NET テストの実行


Silk4NET でのキーワード駆動テストの基本状態の設定

Silk4NET でキーワード駆動テストを実行すると、キーワード駆動テストは基本状態のキーワードを呼び出すことにより、Silk4NET は AUT を基本状態から開始します。

キーワード駆動テストの記録時に、Silk4NET は基本状態のキーワード (IsBaseState プロパティが True に設定されているキーワード) を現在のプロジェクトから検索します。

  • 基本状態のキーワードが現在のプロジェクトに存在した場合、Silk4NET は、キーワード駆動テストの最初のキーワードとして、このキーワードを挿入します。
  • 基本状態のキーワードがプロジェクトに存在しない場合、Silk4NET は、アプリケーションの開始 という名前の新しい基本状態のキーワードを作成し、キーワード駆動テストの最初のキーワードとして挿入します。
キーワードを手動で基本状態のキーワードとしてマークするには、IsBaseState プロパティを Keyword属性に追加し、プロパティの値を True に設定します。
' VB .NET code
<Keyword("Start application", IsBaseState:=True)>
Public Sub Start_application()
  ' Base state implementation
End Sub
// C# code
[Keyword("Start application", IsBaseState=true)]
public void Start_application()
{
  // Base state implementation
}
親トピック: キーワード駆動テスト
関連概念
基本状態


Silk4NET でのキーワードの実装

キーワードを実装する前に、キーワード駆動テストの一部としてキーワードを定義します。

キーワード駆動テストで再利用するためにキーワードを実装するには：

  1. 実装するキーワードが含まれているキーワード駆動テストを開きます。
  2. キーワード駆動テスト エディター で、実装するキーワードの左側に表示される キーワードの実装 をクリックします。 キーワードの作成 ダイアログ ボックスが開きます。
  3. 次のアクションのいずれかを実行します。
    • キーワードを記録するには、キーワードの記録 をクリックします。
    • 空のキーワード メソッドを作成するには、空のキーワード メソッド スタブの作成 をクリックします。
  4. OK をクリックします。
  5. キーワード実装の保存 ダイアログ ボックスで、キーワード実装コードを保存するファイルの名前と場所を定義して、保存 をクリックします。
  6. 現在のプロジェクトに対してアプリケーション構成が設定されており、Web アプリケーションをテストする場合、ブラウザーの選択 ダイアログ ボックスが開きます。
    1. ブラウザーを選択します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  7. 記録 をクリックします。
    記録の詳細については、「キーワードの記録」を参照してください。
親トピック: キーワード駆動テスト
関連概念
レスポンシブ Web デザインのテスト


Silk4NET でのキーワードの記録

完全に新しいキーワードに対してではなく、キーワード駆動テストに既に存在するキーワードに対しては、操作の記録のみを行えます。新しいキーワード駆動テストを記録する場合は、「キーワード駆動テストの記録」を参照してください。
新しいキーワードの操作を記録するには：
  1. 記録するキーワードが含まれているキーワード駆動テストを開きます。
  2. キーワード駆動テスト エディター で、実装するキーワードの左側に表示される キーワードの実装 をクリックします。 キーワードの作成 ダイアログ ボックスが開きます。
  3. OK をクリックします。
  4. 現在のプロジェクトに対してアプリケーション構成が設定されており、Web アプリケーションをテストする場合、ブラウザーの選択 ダイアログ ボックスが開きます。
    1. ブラウザーを選択します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  5. テスト対象アプリケーションで、テストする操作を実行します。
    記録中に利用可能な操作についての詳細は、「記録中に利用可能な操作」を参照してください。
  6. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
親トピック: キーワード駆動テスト
関連概念
レスポンシブ Web デザインのテスト
関連タスク
Silk4NET テストの実行


スクリプトのテスト メソッドをキーワードとして指定

スクリプトの既存のテスト メソッドをキーワードとして指定して、キーワード駆動テストのメソッドを再利用します。

  1. キーワードとして指定するテスト メソッドを含む スクリプトを開きます。
  2. <Keyword()> または [Keyword] (VB .NET か C# スクリプトかに応じて) をテスト メソッドの直前に追加します。 デフォルトでは、キーワード名はテスト メソッドの名前です。
  3. 省略可能：<Keyword("KeywordName")> または [Keyword("KeywordName")] (VB .NET か C# スクリプトかに応じて) をテスト メソッドの直前に追加すると、キーワードに他の名前を設定できます。
これで、テスト メソッドをキーワード駆動テストでキーワードとして使用できるようになります。

使用例

テスト メソッド Login を Login という名前で新しいキーワードとして指定するには、テスト メソッドの直前に以下を入力します。
'VB .NET code
<Keyword("Login")>
// C# code
[Keyword("Login")]
2 つの入力パラメータ UserName とPassWord を持つテスト メソッド Login を Login という名前で新しいキーワードとして指定するには、以下を入力します。
// VB .NET code
<Keyword("Login", Description="Logs in with the given name and password.")>
Public Sub Login(Argument("UserName") As String, Argument("PassWord") As String)
    ...    //
End Sub
// C# code
[Keyword("Login", Description:="Logs in with the given name and password.")]
public void Login([Argument("UserName")] string UserName, [Argument("PassWord")] string PassWord)
{
    ...    // method implementation
}
注: ヘルプ トピックを PDF で参照している場合、このサンプル コードは、実際のスクリプトでは許されない場所で改行されてしまっている場合があります。スクリプトでこのサンプル コードを使用する場合は、これらの改行を削除してください。
親トピック: キーワード駆動テスト
関連資料
KeywordAttribute クラス


キーワード駆動テストの編集

注: Silk4NET では、Silk4NET にあるキーワード駆動テストの編集と実行を行うことができ、また、Silk Central に格納されているキーワード駆動テストを実行することができます。Silk Central に格納されているキーワード駆動テストを編集するには、キーワード駆動テスト エディター でキーワード駆動テストを開き、編集 をクリックします。

キーワード駆動テストを編集するには：

  1. キーワード駆動テスト エディター でキーワードを開きます。
    1. ソリューション エクスプローラー で、キーワード駆動テストが存在するプロジェクトを展開します。
    2. Keyword Driven Tests フォルダを展開します。
    3. 編集するキーワード駆動テストをダブルクリックします。
  2. 新しいキーワードをキーワード駆動テストに追加するには：
    1. 新しいキーワード フィールドをクリックします。
    2. 新しいキーワードの名前を入力します。
    3. Enter を押します。
  3. 既存のキーワードを編集するには、キーワードの左側にある キーワードを開く をクリックします。
    注: Silk Central は、Silk Central で作成したすべてのキーワードの所有権を持ちます。このことは、このようなキーワードに対して行う変更は Silk4NET でではなく、Silk Central で保存されることを意味します。
  4. キーワードをキーワード駆動テストにコピーするには：
    1. キーワードを選択します。
      ヒント: 行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
    2. Ctrl + C を押します。
    3. キーワードを挿入する上の行を選択します。
    4. Ctrl + V を押します。
  5. キーワード駆動テストのほかの場所にキーワードを移動するには、キーワードをクリックして他の場所にドラッグするか、または次の手順を実行します。
    1. キーワードを選択します。
      ヒント: 行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
    2. Ctrl + X を押します。
    3. キーワードを挿入する上の行を選択します。
    4. Ctrl + V を押します。
  6. キーワード駆動テストからキーワードを削除するには、キーワードの左側にある キーワードの削除 をクリックします。 キーワードは、キーワード ウィンドウでまだ利用可能なので、いつでもキーワード駆動テストに再度追加することができます。
  7. 変更を保存するには、ファイル > 保存 をクリックします。
親トピック: キーワード駆動テスト


Silk Central でテストのキーワードを管理する

キーワード ページでは、選択したキーワード駆動テストのキーワードを管理できます。次のアクションを実行できます。
タスク | ステップ
テストまたはキーワード シーケンスを Silk Test で開く | Silk Test で開く をクリックして、選択したテストまたはキーワード シーケンスを Silk Test で開きます。
キーワードの追加
  1. キーワード リストの一番下にある 新しいキーワード をクリックするか、キーワードを右クリックして、コンテキスト メニューから キーワードを上に挿入 を選択します。
    注: キーワードの使用状況に基づいて、Silk Test にキーワードを推薦させることができます。推薦させるかどうかを切り替えるには、コンテキスト メニューの レコメンドの有効化 または レコメンドの無効化 を使用します。詳細については、「Silk4NET が推薦するキーワード」を参照してください。
  2. 利用可能なキーワードのリストからキーワードを選択するか、新しいキーワードを作成します。
  3. 保存 をクリックします。
または、右側にある すべてのキーワード ペインから、既存のキーワードをダブル クリックするか、ドラッグ＆ドロップします。
ヒント: Ctrl + クリック を使用すると、複数のキーワードを選択できます。ドロップするとき、キーワードは選択した順番に並び替えられます。
キーワードの削除 | 削除するキーワードの アクション 列で 削除 をクリックします。保存 をクリックします。
キーワードの順序の変更 | キーワードを移動したい位置にドラッグ＆ドロップします。保存 をクリックします。
キーワード シーケンス (他のキーワードから構成されるキーワード) の作成
  1. キーワード リストから結合したいキーワードを選択します。行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
  2. 選択範囲を右クリックして、結合 をクリックします。
  3. 新しいキーワード シーケンスの 名前 と 説明 を指定します。
キーワード シーケンスからキーワードの抽出 | キーワード シーケンスを右クリックし、キーワードの抽出 を選択します。これによって、元のキーワード シーケンスがそれに含まれるキーワードによって置換されますが、ライブラリからは削除されません。保存 をクリックします。
テストまたはキーワード シーケンスへのキーワードのコピーと貼り付け
  1. キーワード リストからコピーしたいキーワードを選択します。行番号の列で Ctrl + クリック または Shift + クリック を使用すると、複数のキーワードを選択できます。
  2. Ctrl + C を押すと選択項目がコピーされます。キーワードを移動する場合には、Ctrl + X を押します。
  3. キーワードをコピーするテストまたはキーワード シーケンスを開き、キーワードを挿入する上の行を選択します。
  4. Ctrl + V を押します。
ヒント: 選択したキーワードを Excel に貼り付けて編集し、それをコピーしてテストまたはキーワード シーケンスに貼り付けることもできます。
キーワード シーケンスのパラメータの定義
  1. キーワード リスト上の パラメータ をクリックします。パラメータ ダイアログ ボックスが表示されます。
  2. パラメータの追加 をクリックします。
  3. 新しいパラメータに対して 名前 を指定します。パラメータが出力パラメータ (入力値を必要とするのではなく、値を戻します) の場合、出力 チェック ボックスをチェックします。
  4. OK をクリックします。
  5. 保存 をクリックします。
注: キーワードまたはキーワード シーケンスは、入力パラメータと出力パラメータを合わせて 20 個まで持つことができます。
ドラフト キーワードの編集
  1. 編集するドラフト キーワードのアクション 列で、 編集 をクリックします。
  2. キーワードの グループ を選択するか、新しいグループを指定します。
  3. 説明 にキーワードの説明を入力します。この情報は、キーワードを実装するエンジニアにとって有益な情報です。
  4. OK をクリックします。
  5. 省略可能：パラメータ フィールドをクリックして、キーワードのパラメータを追加します。キーワードが Silk Test で実装されると、これらのパラメータは、生成されたコード スタブに現れます。
  6. 保存 をクリックします。
キーワードの検索
キーワード ウィンドウ の検索フィールドを使用して、特定のキーワードを検索します。文字を入力するとリストが更新され、その文字に一致する既存のキーワードが動的に表示されます。検索のヒント：
  • 検索では大文字小文字は区別されません。doAction を入力すると、doaction や DOAction が表示されます。
  • 大文字のみを入力すると、いわゆる キャメルケース検索が実行されます。ECD を入力すると、Enter Car Details、Enter Contact Details、EnterContactDetails が表示されます。
  • キーワード名とグループ名が検索対象になります。test を入力すると、test を含むすべてのキーワードと、グループ名に test を含むグループのすべてのキーワードが表示されます。
  • ? は、0 または 1 文字と一致します。user?test を入力すると、userTest や usersTest が表示されます。
  • * は、0 または n 文字と一致します。my*keyword を入力すると、myKeyword や myNewKeyword や my_other_keyword が表示されます。
  • <文字列>. はグループ名のみを検索します。group. を入力すると、グループ名に group を含むグループのすべてのキーワードが表示されます。
  • .<文字列> はキーワード名のみを検索します。.keyword を入力すると、keyword を含むすべてのキーワードが表示されます。
  • <string>.<string> は特定のグループのキーワードを検索します。group.word を入力すると、myGroup グループの myKeyword が表示されます。
  • 引用符を使用して完全一致のみを検索します。'Keyword' を入力すると、Keyword やMyKeyword は表示されますが、keyword は表示されません。
親トピック: キーワード駆動テスト


Silk4NET のキーワード レコメンド機能

キーワード駆動テスト エディター でキーワード駆動テストにキーワードを追加するとき、Silk4NET は、そのテストの次のキーワードとして使用する可能性のある既存のキーワードを推薦します。推薦するキーワードはキーワード リストの上位にリストされ、Silk4NET がどの程度そのキーワードを推薦しているかが、棒グラフの塗りつぶした長さによって示されます。

Silk4NET は、次のアルゴリズムに基づいてキーワードを推薦します。

  • キーワード駆動テストまたはキーワード シーケンスに最初のキーワードを追加する場合、Silk4NET は他のキーワード駆動テストまたはキーワード シーケンスの最初のキーワードとして使用されているのと同様なキーワードを検索します。最も頻繁に使用されるキーワードがより上位に推薦されます。
  • 既に他のキーワードを含んでいるキーワード駆動テストまたはキーワード シーケンスに、さらにキーワードを追加する場合、Silk4NET は次のようにしてキーワードを推薦します。
    • 新しいキーワードを追加するキーワード駆動テストまたはキーワード シーケンスの位置の前にキーワードがある場合、Silk4NET は前のキーワード群と、すべてのほかのキーワード駆動テストとキーワード シーケンスのキーワードの組み合わせとを比較し、最も頻繁に使用されているキーワードの組み合わせに続いて現れるキーワードを推薦します。
    • キーワード駆動テストまたはキーワード シーケンスの位置の前にキーワードがないが、現在の位置の後にキーワードがある場合、Silk4NET は後のキーワード群と、すべてのほかのキーワード駆動テストとキーワード シーケンスのキーワードの組み合わせとを比較し、最も頻繁に使用されているキーワードの組み合わせの前に現れるキーワードを推薦します。
  • さらに、Silk4NET は見つかったキーワードの類似性も考慮します。たとえば、2 つのキーワードの名前とグループの両方が一致する場合、Silk4NET は名前だけが一致するキーワードよりもこれらをより上位に推薦します。
  • Silk Central との接続が確立すると、現在のプロジェクトに対応するキーワード ライブラリに属したキーワード駆動テストに含まれるキーワードも考慮されます。
親トピック: キーワード駆動テスト


キーワードでのパラメータの使用

キーワードまたはキーワード シーケンスは、入力パラメータと出力パラメータを合わせて 20 個まで持つことができます。このトピックでは、Silk4NET を使用してこれらのパラメータを処理する方法について説明します。

キーワード駆動テスト エディター で、キーワードまたはキーワード シーケンスに対して定義されたパラメータを表示し、パラメータの値を編集できます。

キーワード ウィンドウで、キーワードまたはキーワード シーケンス上にマウス カーソルを動かすと、キーワードまたはキーワード シーケンスに割り当てられているパラメータを確認できます。

単純なキーワードの入力パラメータ

他のテスト メソッドに対するものと同じ方法で、 キーワードの入力パラメータを定義して使用することができます。

次のサンプル コードでは、2 つの入力パラメータ userName と password を持つキーワード SetUserDetails を定義する方法を説明します。
// C# code
[Keyword]
public void SetUserDetails(string userName, string password) {
  ...
}
' VB .NET code
<Keyword>
public Sub SetUserDetails(userName As String, password As String)
  ...
End Sub

単純なキーワードの出力パラメータ

キーワードの戻り値または 1 つ以上の出力パラメータを定義することができます。また、戻り値と 1 つ以上の出力パラメータを組み合わせて使用することもできます。

次のサンプル コードでは、文字列を返すキーワード GetText を定義する方法を説明します。
// C# code
[Keyword]
public string GetText() {
  return "text";
}
' VB .NET code
<Keyword>
public Function GetText As String
  Return "text"
End Function
次のサンプル コードでは、2 つの出力パラメータ userName と password を持つキーワード GetUserDetails を定義する方法を説明します。
// C# code
[Keyword]
public void GetUserDetails(out string userName, out string password) {
  userName="name";
  password="password";
}
' VB .NET code
<Keyword>
public Sub GetUserDetails(ByRef userName As String, ByRef password As String)
  userName="name"
  password="password"
End Sub

キーワード シーケンスのパラメータ

キーワード シーケンスのパラメータは、パラメータ ダイアログ ボックスで定義し、編集できます。このダイアログ ボックスは、キーワード シーケンス エディター の パラメータ をクリックして開くことができます。

親トピック: キーワード駆動テスト


例：パラメータを取るキーワード

このトピックでは、パラメータを取るキーワードを使用する方法の例を紹介します。キーワードまたはキーワード シーケンスは、入力パラメータと出力パラメータを合わせて 20 個まで持つことができます。

最初の手順として、使用するキーワードを含んだキーワード駆動テストを作成します。これは、キーワード駆動テスト全体を記録するか、新しいキーワード駆動テストを作成してからキーワード駆動テスト エディターでキーワードを追加することによって行います。

この例では、キーワード駆動テストは次のキーワードを含んでいます。
アプリケーションの開始
これは、AUT を開始して基本状態を設定する標準キーワードです。
Login
これは、ユーザー名とパスワードで識別される特定のユーザーで AUT にログインするキーワードです。
GetCurrentUser
このキーワードは、AUT に現在ログインしているユーザーの名前を返します。
AssertEquals
このキーワードは、2 つの値を比較します。
Logout
これは、AUT からユーザーをログアウトするキーワードです。

次のステップでは、パラメータをキーワードに追加します。これを行うには、キーワードのテスト スクリプトを開き、メソッドにパラメータを追加します。

入力パラメータ UserName と Password をキーワード Login に追加するには、
// C# code
[Keyword]
public void Login() {
  ...
}
' VB .NET code
<Keyword>
public Sub Login()
  ...
End Sub
を、次のように変更します。
// C# code
[Keyword]
public void Login(string UserName, string Password) {
  ...
}
' VB .NET code
<Keyword>
public Sub Login(UserName As String, Password As String)
  ...
End Sub
出力パラメータ UserName をキーワード GetCurrentUser に追加するには、
// C# code
[Keyword]
public void GetCurrentUser() {
  ...
}
' VB .NET code
<Keyword>
public Sub GetCurrentUser()
  ...
End Sub
を、次のように変更します。
// C# code
[Keyword]
public void GetCurrentUser(out string CurrentUser) {
  ...
}
' VB .NET code
<Keyword>
public Sub GetCurrentUser(ByRef CurrentUser As String)
  ...
End Sub

キーワード駆動テスト エディター 上のキーワード駆動テストは、次のようになります。

これで、キーワード駆動テスト エディター 上で入力パラメータの実際の値を指定できます。キーワード GetCurrentUser の出力パラメータ UserName の値を取得するには、${current user} のように、変数を指定します。その後のキーワードで、変数を指定して格納された値を渡すことができます。

親トピック: キーワード駆動テスト


キーワードのキーワード シーケンスへの結合

キーワード駆動テスト エディター を使って、複数のキーワード駆動テストで順番に実行したいキーワードを結合してキーワード シーケンスを作成できます。
  1. 結合するキーワードが含まれているキーワード駆動テストを開きます。
  2. キーワード駆動テスト エディター で、Ctrl キーを押しながら結合したいキーワードをクリックします。
  3. 選択範囲を右クリックして、結合 をクリックします。 キーワードの結合 ダイアログ ボックスが開きます。
  4. 名前 フィールドに、新しいキーワード シーケンスの名前を入力します。
  5. 省略可能：説明 フィールドに、新しいキーワード シーケンスの説明を入力します。
  6. 結合 をクリックします。
新しいキーワード シーケンスが開き、キーワード ウィンドウにも表示されます。キーワード駆動テストでキーワード シーケンスを使用できます。
注: 他のキーワードと同じように、キーワード シーケンス自身を実行することはできませんが、キーワード駆動テストの一部として実行することができます。
親トピック: キーワード駆動テスト


変数を指定したキーワード駆動テストの再生

キーワード駆動テスト用の変数の値を設定する前に、プロジェクトを作成する必要があります。
  1. ソリューション エクスプローラー で、変数を指定して実行するキーワード駆動テストが存在するプロジェクトを展開します。
  2. プロジェクト ノードを右クリックして、追加 > 新しい項目 を選択します。 新しい項目の追加 ダイアログ ボックスが開きます。
  3. 項目ツリーから インストール済み > 共通項目 > 全般 を選択します。
  4. 項目リストから テキスト ファイル を選択します。
  5. 名前 フィールドに、globalvariables.properties を入力します。
  6. 追加 をクリックします。 新しいプロパティ ファイルが開きます。
  7. ファイルの新しい行を追加して変数を指定します。
    新しい変数のフォーマットは次のようになります。
    name=value
    たとえば、user と password という 2 つの変数を指定する場合は、次のように入力します。
    user=John
password=john5673

    プロパティ ファイルのフォーマットや、空白類などの Unicode 文字の入力方法についての情報は、『Properties File Format』を参照してください。

  8. globalvariables.properties ファイルを保存します。
  9. ソリューション エクスプローラー で、globalvariables.properties ファイルを右クリックして プロパティ を選択します。 プロパティ ビューが開きます。
  10. プロパティ ビューの ビルド アクション リストを開き、埋め込まれたリソース を選択します。
  11. 実行するキーワード駆動テストを開きます。
  12. キーワード駆動テスト エディター で、新しい変数を使用するパラメーターを編集します。 次のように記述します。
    ${variable name}
    たとえば、次のキーワード駆動テストでは、${current user} パラメーターはグローバル変数を使用します。

プロジェクトのキーワード駆動テスト が Silk4NET から実行されるときはいつでも、変数が使用されます。

親トピック: キーワード駆動テスト


Silk4NET と Silk Central の統合

Silk4NET と Silk Central を統合することによって、技術者と非技術者のユーザー間で共同作業を行えます。
Silk4NET と Silk Central が統合され、Silk Central に存在するライブラリとアクティブな Silk4NET プロジェクトが同じ名前であれば、キーワード ビュー ( Silk4NET > キーワード ウィンドウの表示 から開く) には、アクティブな Silk4NET プロジェクトで定義されたキーワードに加えて、Silk Central ライブラリのすべてのキーワードが表示されます。
注: Silk Central の接続情報は、すべての Silk4NET ユーザーに別々に保存されるため、Silk Central のキーワードおよびキーワード シーケンスで作業するすべての Silk4NET ユーザーは、Silk4NET を Silk Central と統合する必要があります。
Silk4NET と Silk Central を統合すると、次のメリットがあります。
  • テスト管理と実行を Silk Central で処理できる
  • キーワードが Silk Central データベースに格納され (ライブラリのアップロード)、Silk Central のすべてのプロジェクトで利用できる
  • 手動テストを Silk Central で直接自動化し、作成したキーワード駆動テストを Silk Central から Silk4NET で実行できる
注: Silk4NET では、Silk4NET にあるキーワード駆動テストの編集と実行を行うことができ、また、Silk Central に格納されているキーワード駆動テストを実行することができます。Silk Central に格納されているキーワード駆動テストを編集するには、キーワード駆動テスト エディター でキーワード駆動テストを開き、編集 をクリックします。
  1. メニューから、Silk4NET > Silk Central の設定 を選択します。 スクリプト オプション ダイアログ ボックスが開きます。
  2. URL フィールドに、 Silk Central サーバーの URL を入力します。 たとえば、Silk Central のサーバー名が sctm-server で、Silk Central のポート番号が 13450 の場合は、http://sctm-server:13450 と入力します。
  3. 認証用 Web サービス トークンを指定します。

    Web サービス トークンは、Silk Central の ユーザー設定 ページから生成できます。 このページは、 Silk Central のメニューに表示されているユーザー名をクリックするとアクセスできます。

    注: Silk Central ユーザー名とパスワードを使って認証を行う場合は、認証 リストから ユーザー名とパスワード を選択します。ただし、セキュリティ上の理由から、ユーザー名とパスワードをネットワーク越しに送信するのではなく、Web サービス トークンを使用することを Micro Focus では推奨しています。
  4. 検証 をクリックして、Silk4NET が指定したユーザーで Silk Central サーバーにアクセスできるかどうか確認します。
  5. OK をクリックします。
親トピック: キーワード駆動テスト
関連タスク
Sauce Labs デバイスの使用
Silk Central 経由での UFT Mobile デバイスの使用


Silk4NET での Silk Central キーワードの実装

Silk Central キーワードを実装する前に、Silk Central でキーワード駆動テストの一部としてキーワードを定義します。

Silk4NET で Silk Central キーワードを実装するには：

  1. Silk4NET のプロジェクトをキーワード駆動テストを含んだ Silk Central のキーワード ライブラリと同じ名前で作成します。
  2. Silk Central のキーワード ライブラリにタイプが割り当てられていない場合、Silk4NET > キーワード ライブラリのアップロード をクリックして、ライブラリ タイプを設定します。
  3. 省略可能：Silk Central の特定のキーワードを Silk4NET で実装するには、ライブラリの キーワード タブを Silk Central で開き、キーワードの アクション 列からSilk Test で実装 をクリックします。
  4. Silk4NET メニューで、Silk4NET > キーワード ウィンドウの表示 をクリックします。
  5. キーワード ウィンドウで、キーワード駆動テストをダブル クリックします。
    キーワード ウィンドウで Silk Central による変更を更新するには、更新 をクリックします。
  6. ツールバーで、操作の記録 をクリックします。
  7. 現在のプロジェクトに対してアプリケーション構成が設定されており、Web アプリケーションをテストする場合、ブラウザーの選択 ダイアログ ボックスが開きます。
    1. ブラウザーを選択します。
    2. 省略可能：あらかじめ定義されたブラウザー サイズを使用してデスクトップ ブラウザー上の Web アプリケーションをテストする場合は、ブラウザー サイズ リストからブラウザー サイズを選択します。
      たとえば、Apple Safari 上の Web アプリケーションを Apple iPhone 7 の画面と同じ大きさのブラウザー ウィンドウでテストするには、リストから Apple iPhone 7 を選択します。
    3. 省略可能：ブラウザー ウィンドウの 向き を選択します。
    4. 省略可能：ブラウザー サイズの編集 をクリックすると、新しいブラウザー サイズを指定したり、ブラウザー サイズ リストに表示するブラウザー サイズを選択することができます。
  8. 記録 をクリックします。
    記録の詳細については、「キーワードの記録」を参照してください。
  9. 最初の未実装のキーワードの操作を記録します。
  10. 現在のキーワードに対するすべての操作を記録し終わったら、次のキーワード をクリックします。
  11. 記録中 ウィンドウでキーワードを切り替えるには、前のキーワード と 次のキーワード をクリックします。
  12. 停止 をクリックします。 記録完了 ダイアログ ボックスが開きます。
注: Silk Central のキーワード駆動テストは、Silk4NET では読み取り専用であるため、キーワードを削除したり、キーワードの順番を変更することはできません。
親トピック: キーワード駆動テスト
関連概念
レスポンシブ Web デザインのテスト


Silk Central へのキーワード ライブラリのアップロード

Silk Central で作業するためには、有効な Silk Central の場所が設定されている必要があります。詳細については、「Silk4NET と Silk Central の統合」を参照してください。

Silk Central で自動テストを自動化するために、Silk4NET プロジェクトで実装したキーワードをキーワード ライブラリとして Silk Central にアップロードできます。そして、キーワードを使用して手動テストを自動化できます。
  1. Silk4NET で、キーワード駆動テストが存在するプロジェクトを選択します。
  2. 同じ名前のライブラリが Silk Central (テスト > ライブラリ) に存在していることを確認します。
  3. メニューで、Silk4NET > キーワード ライブラリのアップロード を選択します。
  4. 省略可能：キーワード ライブラリに対する変更の説明を指定します。
  5. 省略可能：設定 をクリックして、Silk Central への接続を設定します。
  6. 省略可能：接続した Silk Central インスタンスで利用可能なライブラリを確認するには、リンクをクリックします。
  7. アップロード をクリックします。
    注意:
    Silk Central のキーワード ライブラリが既に他の自動化ツール、つまり他の Silk Test クライアントに割り当てられている場合、キーワード ライブラリのタイプを変更するかどうか確認されます。タイプの変更を行う場合にのみ、ライブラリはアップロードされます。
Silk4NET は、プロジェクトで実装されたすべてのキーワードからキーワード ライブラリを作成します。その後、Silk4NET は library.zip という名前で、キーワード ライブラリをプロジェクトの出力フォルダに保存します。ライブラリの整合性が検証され、Silk Central の既存のテストが影響を受ける変更が キーワード ライブラリを Silk Central にアップロード ダイアログ ボックスに一覧されます。最後に、Silk4NET はライブラリを Silk Central にアップロードします。これで、Silk Centralでキーワードを使用できるようになります。キーワード ライブラリに含まれるキーワードを使用する Silk Central のキーワード駆動テストは、現在のキーワードの実装を自動的に使用します。
親トピック: キーワード駆動テスト


コマンド ラインから Silk Central へのキーワード ライブラリの更新

Java ベースのコマンド ラインから外部キーワード ライブラリを Silk Central にアップロードすることで、Silk Central とキーワード駆動テストを Jenkins などの継続的インテグレーション ビルド システムに統合することができます。
Java ベースのコマンド ラインからキーワード ライブラリを Silk Central にアップロードするには：
  1. Silk Central で、ヘルプ > ツール を選択し、Java キーワード ライブラリ ツール をダウンロードします。
  2. ダウンロードした jarファイルに含まれるコマンド ライン ツールを次の引数で呼び出します。
    • java
    • -jar com.borland.silk.keyworddriven.jar
    • -upload
    • 更新または存在しない場合は作成される Silk Central のライブラリの ライブラリ名。
    • アップロードするライブラリ パッケージ (zip アーカイブ) の パッケージ名。
    • Silk Central フロントエンド サーバーのホスト名:ポート。
    • Silk Central ユーザーの Web サービス トークン。認証に必要です。Web サービス トークンは、Silk Central の ユーザー設定 ページから生成できます。 このページは、 Silk Central のメニューに表示されているユーザー名をクリックするとアクセスできます。
      注: セキュリティ上の理由から、ユーザー名とパスワードをネットワーク越しに送信するのではなく、Web サービス トークンを使用することを Micro Focus では推奨しています。
    • Silk Central ユーザーの ユーザー名。Web サービス トークンを認証に使用する場合は必要ありません。
    • Silk Central ユーザーの パスワード。Web サービス トークンを認証に使用する場合は必要ありません。
    • ライブラリに適用された変更を説明する 更新情報 (引用符で囲む)。
    • テストまたはキーワード シーケンスで使用されているキーワードの削除を許可するための [-allowUsedKeywordDeletion] フラグ (省略可能)。デフォルトでは、使用中のキーワードを削除しようとするとエラーが発生します。
    Java 9 以降を使ってライブラリを Silk Central にアップロードするコマンド ラインは次のようになります。
    java --add-modules=java.activation,java.xml.ws -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scLogin
scPassword "Build xy: Implemented missing keywords"

使用例

認証に Web サービス トークンを使い、Java 8 以前を使ってライブラリを Silk Central にアップロードするコマンド ラインは次のようになります。
java -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scToken "Build xy: Implemented missing keywords"
認証にユーザー名とパスワードを使い、Java 8 以前を使って上記と同じライブラリをアップロードするコマンド ラインは次のようになります。
java -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scLogin
scPassword "Build xy: Implemented missing keywords"
Java 9 以降を使った場合は、それぞれ次のようになります。
java --add-modules=java.activation,java.xml.ws -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scToken "Build xy: Implemented missing keywords"
java --add-modules=java.activation,java.xml.ws -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scLogin
scPassword "Build xy: Implemented missing keywords"
注: Java 9 以降を使ってキーワード駆動ライブラリをアップロードする場合は、実行サーバー上で JAVA_HOME が定義され、対応するバージョンの JDK を指していることを確認してください。
親トピック: キーワード駆動テスト


キーワードの検索

キーワード ウィンドウ の検索フィールドを使用して、特定のキーワードを検索します。文字を入力するとリストが更新され、その文字に一致する既存のキーワードが動的に表示されます。検索のヒント：
  • 検索では大文字小文字は区別されません。doAction を入力すると、doaction や DOAction が表示されます。
  • 大文字のみを入力すると、いわゆる キャメルケース検索が実行されます。ECD を入力すると、Enter Car Details、Enter Contact Details、EnterContactDetails が表示されます。
  • キーワード名とグループ名が検索対象になります。test を入力すると、test を含むすべてのキーワードと、グループ名に test を含むグループのすべてのキーワードが表示されます。
  • ? は、0 または 1 文字と一致します。user?test を入力すると、userTest や usersTest が表示されます。
  • * は、0 または n 文字と一致します。my*keyword を入力すると、myKeyword や myNewKeyword や my_other_keyword が表示されます。
  • <文字列>. はグループ名のみを検索します。group. を入力すると、グループ名に group を含むグループのすべてのキーワードが表示されます。
  • .<文字列> はキーワード名のみを検索します。.keyword を入力すると、keyword を含むすべてのキーワードが表示されます。
  • <string>.<string> は特定のグループのキーワードを検索します。group.word を入力すると、myGroup グループの myKeyword が表示されます。
  • 引用符を使用して完全一致のみを検索します。'Keyword' を入力すると、Keyword やMyKeyword は表示されますが、keyword は表示されません。
親トピック: キーワード駆動テスト


キーワードのフィルタリング

現在のプロジェクトの特定のキーワードを検索すために、キーワード ウィンドウに表示されているキーワードをフィルタすることができます。Silk Central との統合が設定されている場合、結果には Silk Central に関連付けられたキーワードも含まれます。
  1. メニューで Silk4NET > キーワード ウィンドウの表示 をクリックします。 キーワード ウィンドウが開きます。
  2. キーワード ウィンドウで、検索フィールドに検索するキーワードの名前を入力します。 キーワード ウィンドウに、現在のプロジェクト内の指定した名前を持つすべてのキーワードが表示されます。
  3. 省略可能：キーワードを編集するには、キーワード ウィンドウでキーワード上にマウス カーソルを移動して、実装へ移動 をクリックします。
親トピック: キーワード駆動テスト


キーワードのグループ化

キーワードをライブラリで構造化するために、グループ化することができます。

このトピックでは、キーワードを特定のグループに追加する方法について説明します。 このグループ名は Silk Central でも使用され、キーワードはグループ名に従って分類されます。

キーワードを特定のグループに追加するには：

  1. キーワードの実装を開きます。
    1. キーワードを実装しているプロジェクトを開きます。
    2. キーワード ウィンドウを開きます。
    3. キーワード ウィンドウで、キーワードを選択します。
    4. 実装へ移動 をクリックします。
  2. クラスのすべてのメソッドをキーワード グループに追加するには、クラス定義の前にキーワード グループを追加します。 たとえば、キーワードを Calculator グループ追加するには、次のように入力します。
    // VB .NET code
<KeywordGroup("Calculator")>
    // C# code
[KeywordGroup("Calculator")]
キーワード ウィンドウで表示されるキーワード名にグループが含まれるようになります。たとえば、Addition キーワードが Calculator グループに属している場合は、Calculator.Addition として表示されます。
親トピック: キーワード駆動テスト
関連資料
KeywordGroupAttribute クラス


キーワード駆動テストのトラブルシューティング

Silk Central からキーワード駆動テストの再生時に「アプリケーション構成が存在しません」エラーが発生する理由

このエラーが発生した場合、キーワード駆動テストの最初のキーワードとして アプリケーションの開始 キーワードが含まれていません。Silk4NET では、キーワード駆動テストにプロジェクトのアプリケーション構成を適用するには、アプリケーションの開始 キーワードが必要です。新しいキーワード駆動テストを記録する場合には、Silk4NET は、アプリケーションの開始キーワードを最初のキーワードとして自動的にキーワード駆動テストに追加します。

Silk4NET 19.5 以降では、並列テストはデフォルトで有効化されています。Silk4NET 19.5 より前のバージョンから Silk4NET 19.5 以降のバージョンに Silk4NET をアップグレードすると、以前は実行できていたキーワード駆動テストが実行できなくなる可能性があります（各テストごとにテスト対象アプリケーションを指定する必要があるため）。

この問題を回避するには、Silk4NET を実行するマシン上で環境変数 SILKTEST_ENABLE_PARALLEL_TESTING を false に設定して、並列テストを無効化してください。

ブラウザーやモバイル アプリがテストとテストの間で閉じないようにする方法

Silk4NET 19.5 以降を使って Silk Central から複数のキーワード駆動テストを再生すると、デフォルトで並列テストが有効化されます。Silk4NET 19.5 より前のバージョンの Silk4NET から、より新しいバージョンの Silk4NET にアップグレードすると、Silk4NET はデフォルトでキーワード駆動テストの完了時にブラウザーやモバイル アプリを閉じます。

この問題は、Internet Explorer 上でブラウザー アプリケーションをテストする場合には発生しません。この問題を回避するには、Silk4NET を実行するマシン上で環境変数 SILKTEST_ENABLE_PARALLEL_TESTING を false に設定して、並列テストを無効化してください。

親トピック: キーワード駆動テスト


既知の問題

このセクションでは、Silk4NET の既知の問題とその解決策を示します。

  • 全般的な問題
    全般的な既知の問題について説明します。
  • モバイル Web アプリケーション
    モバイル Web アプリケーションのテストに関連する既知の問題について説明します。
  • Web アプリケーション
    Web アプリケーションに関連する既知の問題について説明します。
  • SAP アプリケーション
    SAP アプリケーションに関連する既知の問題について説明します。
  • Silk4NET
    Silk4NET の問題。


全般的な問題

オブジェクト マップを開くのに時間がかかる

.NET 4 を使用している場合、大規模なオブジェクト マップ資産があると読み込みに時間がかかります。.NET 4.5 をインストールすると、この問題を解決できます。

リモート デスクトップまたはリモート デスクトップ接続 (RDC) が最小化されると、Silk Test が機能しない

リモート デスクトップ プロトコル (RDP) 経由でデスクトップに接続している場合、マウスとキーボードを使ってデスクトップに接続することにより、デスクトップの所有権を獲得します。デスクトップの所有権を解放せずにデスクトップを最小化すると、マウス クリックまたはキーストロークの再生がすべて未定義になります。

回避策として、VNC ベースのリモート操作ツールを使用することができます。この場合、クライアントが最小化された場合でも再生を継続できます。

Check Point ファイアウォールがインストールされている場合に Open Agent が起動しない

システムに Check Point ファイヤウォールまたは Check Point ZoneAlarm ファイヤウォールをインストールしている場合は、ファイヤウォールが Agent と infoservice 間の通信を中断するために Open Agent を起動できません。

Open Agent を起動するには、システムから Check Point ファイヤウォールをアンインストールする必要があります。

domDoubleClick メソッドの modifiers パラメータが無視される

domDoubleClick メソッドのオーバーロードで修飾キーを指定できません。パラメータが指定されている場合でも、修飾キーはダブルクリックされません。修飾キーを指定できる domDoubleClick メソッドのオーバーロードは、非推奨です。修飾キーを指定するには、doubleClick メソッド (modifiers パラメータを取るオーバーロード メソッドをサポートするクライアントを使用している場合)、または PressKeys および ReleaseKeys メソッドを使用します。

Silk Test が Metro スタイル アプリのテストをサポートしない

Silk Test は、Microsoft Windows 8、Microsoft Windows 8.1、Microsoft Windows 10 上の Metro スタイル アプリのテストをサポートしません。Metro スタイル アプリは、Windows 8 スタイル、Modern UI スタイル、Windows ストア スタイル、ユニバーサル Windows プラットフォーム (UWP) アプリとも呼ばれます。

Microsoft Windows 8 の組み込みスペル チェックがテストの再生に干渉する

Microsoft Windows 8 の組み込みスペル チェックは、Internet Explorer 10 などのアプリケーションで有効にできます。

記録中に単語のスペルを間違え、この単語の入力を再生すると、スペル チェッカーはこの単語をマークするか、間違われやすい単語の場合は自動的に修正します。これは、実際のユーザーに対して行われる動作と同じです。スペル チェック機能が含まれていないオペレーティング システムでテストを作成した場合、Microsoft Windows 8 でテストを再生すると、予期せぬ結果が生じることがあります。スペル チェックを無効にするには、次の手順を実行します。
  1. Windows キー + C を押します。
  2. チャーム バーで 設定 をクリックします。
  3. PC 設定の変更 を選択します。
  4. 全般 を選択すると、スペル チェック セクションが表示されます（使用中の言語によってスペル チェック機能の有無は異なります）。
    注: これはシステム全体の設定で、Internet Explorer 固有の設定ではありません。
  5. スペル ミスの語句を自動修正する (Autocorrect misspelled words) をオフに設定します。
  6. スペル ミスの語句を強調表示する (Highlight misspelled words) をオフに設定します。

.NET アプリケーションを DevPartner Studio (DPS) から起動すると、Silk Test で認識されないことがある

この問題を解決するには、以下のステップを実行します。

  1. Silk Test のインストール フォルダに移動します (デフォルトではC:\Program Files\Silk\SilkTest)。
  2. Windows Forms アプリケーションの場合は、ng\agent\plugins\com.borland.fastxd.techdomain.windowsforms.agent_<バージョン番号> へ移動します。
  3. Windows Presentation Foundation (WPF) の場合は、ng\agent\plugins\com.microfocus.silktest.techdomain.wpf.agent_<バージョン番号> へ移動します。
  4. メモ帳で、plugin.xml ファイルを開いて、<loadparameters> セクションに以下の行を追加します。
    <param name="frameworkAssembly">mscoree.dll</param>
  5. コンピュータからログアウトして、再びログインします。 DevPartner Studio によって起動されたアプリケーションに対して、Silk Test が期待どおりの動作をします。

イメージ領域に対するクリックの記録時に矩形領域によってハイライトされる位置がずれる

エリア マップのような複雑なイメージの一部に対するクリックを記録する場合、イメージの適切な領域が緑色の矩形領域によってハイライトされません。ただし、再生時にクリックは正しく実行されます。

Silk Test のインストール中に Windows Defender が有効になっていると Open Agent が起動しない

Silk Test のインストール中にシステムの Windows Defender が有効になっていると、インストールが完了した後に Open Agent を起動できなくなる場合があります。Windows Defender は、ホットフィックス セットアップに必要な操作を妨げる場合があります。回避策として、Silk Test のインストール中は Windows Defender を無効にしてください。

IME エディタが特定の場所から開かれたときにポップアップする

IME エディタを開くと、テキスト フィールド内に開くのではなく、現在の画面の左上隅にポップアップして開きます。

この動作は、次の場所から IME エディタを開いたときに発生します。
  • Silk Recorder
  • キーワード駆動テスト エディター
  • キーワード ウィンドウ

検索ボックスに文字を入力すると Silk Test ヘルプがフリーズする

Microsoft Windows 8.1、Microsoft Windows RT 8.1、または Microsoft Windows Server 2012 R2 上のコンパイルされた HTML ヘルプ (.CHM) ファイルで、キーワード タブの 検索 ボックスに文字を入力すると、Silk Test ヘルプがフリーズする場合があります。この問題を解決するには、Windows Update をインストールする必要があります。このアップデートは https://support.microsoft.com/kb/3080042 から利用できます。

Num Lock キーがオンの状態で Shift + Insert を使用できない

Left Shift + Insert や Right Shift + Insert を使用して TypeKeys メソッドでクリップボードの内容を貼り付ける操作は、Num Lock キーがオンの場合に機能しません。

TypeKeys メソッドを呼び出す前にテスト スクリプトで Num Lock キーをオフにすることで、この問題を回避できます。

「Windows DLL failed to load」というエラーでインストーラが異常終了する理由

Java 8 の Java 8 update 212 以降を使用すると、Silk Test を Windows Server 2019 上にインストールするときに次のエラーで失敗します：「Windows DLL failed to load」。

update 212 より前のバージョンの Java 8 をダウンロード、インストールして、次のようなコマンドでインストーラを実行することによって、この問題を回避できます。
SilkTest<Version>.exe LAX_VM "[path to java.exe]"
例：
SilkTest200_64bit.exe LAX_VM "c:\java\bin\java.exe"
コマンド ラインから Silk Test をインストールする方法についての詳細は、『Silk Test インストール ガイド』を参照してください。
親トピック: 既知の問題


モバイル Web アプリケーション

Apple Safari のフレームを Silk4NET がサポートしない

Silk4NET は、iOS 上の Apple Safari を使用した HTML フレームおよび iframe のテストをサポートしません。

Chrome for Android 43 以降： 拡大縮小とスクロールを同時にSilk4NET がサポートしない

Chrome for Android 43 以降でモバイル Web アプリケーションを記録しているとき、モバイル Web アプリケーションが拡大されて左上隅が画面から見えなくなると、期待通り機能しない場合があります。モバイル Web アプリケーションのコントロールに対して緑の矩形領域が記録時に正しく表示されない場合、モバイル Web アプリケーションを完全に縮小し、モバイル Web アプリケーションの左上隅にスクロールして、記録 ウィンドウを更新してください。

親トピック: 既知の問題


Web アプリケーション

100% 以外の拡大レベルを使用して記録すると期待通り機能しない可能性がある

100% 以外の拡大レベルを使用して Web アプリケーションを記録すると、期待通り機能しない可能性があります。Web アプリケーションに対する操作を記録する前に、ブラウザの拡大レベルを 100% に設定してください。

  • Google Chrome
    Google Chrome の Web アプリケーションのテストに関連する既知の問題について説明します。
  • Internet Explorer
    Internet Explorer に関連する既知の問題について説明します。
  • Microsoft Edge
    Microsoft Edge に関連する既知の問題について説明します。
  • Mozilla Firefox
    Mozilla Firefox の Web アプリケーションのテストに関連する既知の問題について説明します。
親トピック: 既知の問題


Google Chrome

Windows で記録中のロケーターが Google Chrome で失敗する

Google Chrome で Web アプリケーションをテストするときに、アプリケーションを実行している Google Chrome インスタンスのアプリケーション構成中に複数のウィンドウが開いていると、Windows で記録中のロケーターが失敗します。アプリケーション構成中に他の Google Chrome ウィンドウを閉じると、エラーは発生しなくなります。

Google Chrome のバックグラウンド アプリケーションでオートメーション サポートを読み込むことができない

Google Chrome を使用して Web アプリケーションをテストしている場合に、Google Chrome を閉じた際にバックグラウンド アプリケーションの処理を続行する チェックボックスがチェックされていると、Silk Test は Google Chrome を再起動してオートメーション サポートを読み込むことができません。

Windows Aero が無効なときにモーダル ダイアログのロケーターを Silk Test が記録できない

Windows Aero が無効化されている場合、モーダル ダイアログが認識されないため、このようなダイアログのロケーターを選択できません。回避策として、モーダル ダイアログが表示されているときには、Locator Spy または オブジェクトの識別 ダイアログ ボックスを使用して、ロケーターを手動で作成および検証してください。

Silk Test が埋め込み PDFを表示しない

Google Chrome 42 以降を使用すると、Google Chrome は、埋め込み PDF を表示するために使用する NPAPI プラグインをデフォルトでブロックします。このため、Silk Test は埋め込み PDF を Google Chrome 42 以降に表示する代わりに、埋め込み PDF をダウンロードします。

  • Google Chrome 44 以前を使用している場合、アドレス バーに以下を入力することにより、Google Chrome での NSAPI プラグインのブロックを解除できます。
    chrome://flags/#enable-npapi
  • Google Chrome 45 以降を使用している場合、NPAPI プラグインは Google Chrome から完全に削除されており、再有効化するオプションも無いため、すべての PDF はダウンロードされます。

テストの実行時に Google Chrome (49 以前) との接続がタイムアウトする

低速なマシンで Google Chrome (49 以前) に対するテストを実行すると、接続タイムアウトが発生し、テストが失敗する場合があります。以下のエラー メッセージが表示されます。
'*' の実行中にエラーが発生しました。ブラウザー オートメーションとの通信がタイムアウトしました。

このような接続タイムアウトを回避するために、十分な処理速度を持つテスト マシンを使用してください。たとえば、低速の仮想マシン (VM) 上でテストしている場合には、VM に CPU コアを追加することで処理速度を向上させることができます。

Google Chrome 66 以降を使用している場合にレジストリを使って UserDataDir を設定すると Google Chrome サポートが機能しなくなる

レジストリのポリシーとして HKEY_LOCAL_MACHINE\Software\Policies\Google\Chrome\UserDataDir キーや HKEY_CURRENT_USER\Software\Policies\Google\Chrome\UserDataDir キーを使ってユーザー データ ディレクトリを設定すると、Google Chrome 66 以降上で Web アプリケーションをテストする際に、基本状態の実行が次のエラー メッセージで失敗する可能性があります：「アプリケーション 'GoogleChrome' の開始に失敗しました。 unknown error: DevToolsActivePort file doesn't exist 」。これは ChromeDriver の既知の問題です（https://bugs.chromium.org/p/chromedriver/issues/detail?id=2513）。

この問題を回避するには、以下のいずれかのステップを実行します。
  • レジストリ キーを削除します。
    注: この問題が発生した場合に、Google Chrome を使って並列テストを実行するには、この方法の適用が必須です。
  • Google Chrome のユーザー データ ディレクトリをレジストリ キーと同じディレクトリに設定します。
    1. アプリケーション構成の編集 ダイアログ ボックスを開きます。
    2. ブラウザーの種類から Google Chrome を選択します。
    3. ユーザー データ ディレクトリを 接続文字列 フィールドに設定します：goog:chromeOptions={"args":["--user-data-dir=<ユーザー データ ディレクトリ>"]}たとえば、レジストリの値が C:/temp/chromeUserData であれば、goog:chromeOptions={"args":["--user-data-dir=C:/temp/chromeUserData"]} と入力します。
    注: Google Chrome を使った並列テストでは、この回避策は機能しません。
親トピック: Web アプリケーション
関連資料
Google Chrome を使用したテストの制限事項


Internet Explorer

Google ツールバーを使用すると、Web アプリケーションの記録に支障をきたす

Internet Explorer 8 で Google ツールバーを使用すると、Web アプリケーションのロケーターの記録に支障をきたします。

Google ツールバーをオフにしてから、Web アプリケーションを記録してください。

Microsoft Silverlight アプリケーション

一部の Microsoft Silverlight アプリケーションで、Silk Test との通信の際に Internet Explorer がハングします。32 ビット プラットフォームでは、問題の防止に役立つ MS KB 2564958 (Active Accessibility の更新プログラム) を参照してください。

Silk Test 13.5 より前のバージョンの Silk Test を使用して記録したロケーターが Internet Explorer で動作しない

Silk Test 13.5 で、Internet Explorer の textContents 属性における空白文字の標準化を改良しました。この変更は、Silk Test のクロスブラウザ機能を改善するための措置で、textContents 属性を利用しているロケーターに影響を与える可能性があります。この属性は、Silk Test 13.5 以前のリリースを使用して記録されたスクリプトで使用されています。

UAC が Microsoft Windows 8 以降および Internet Explorer 11 で有効化されているとき、Open Agent に対して高い昇格を有効化できない

UAC が有効化され、Internet Explorer と Open Agent の両方を高い昇格で実行するとき、Microsoft Windows 8 以降で Internet Explorer 11 上の Web アプリケーションをテストできません。

入力方式エディター (IME) における既知の問題

  • Silk Test は、Internet Explorer 11 での日本語入力において、半角スペースを記録しません。
  • Silk Test は、Internet Explorer 11 の互換モードでの IME 入力を記録しません。
  • 日本語 IME モードで、スペース を押すと、Silk Test は現在の IME の候補を記録することがあります。この問題を避けるには、変換 を使用してください。

Java 1.7 update 71 よりも新しいバージョンを使ったアプレットのテスト時に Internet Explorer が動作を停止する場合がある

Java 1.7 update 71 (7u71) よりも新しいバージョンを使ってアプレットをテストすると、Internet Explorer が動作を停止する場合があります。

テストの実行中に Internet Explorer が応答しなくなる

Internet Explorer 10 以降でテストを実行していると、Internet Explorer のスレッドが中断され、デッドロックが発生したことが原因で、応答しなくなる場合があります。この問題は、Internet Explorer の新しいセキュリティ機能が原因です。

この問題を解決するには、セキュリティ機能を無効化します。

  1. レジストリ エディタ が開きます。
  2. OverrideMemoryProtectionSetting エントリが HKEY_CURRENT_USER\SOFTWARE\Microsoft\Internet Explorer\Main キーに存在しない場合は、エントリを作成します。
  3. レジストリ キー HKEY_CURRENT_USER\SOFTWARE\Microsoft\Internet Explorer\Main::OverrideMemoryProtectionSetting の値を 2 に設定します。

JavaScript 警告処理 API メソッドが埋め込み Internet Explorer で機能しない

BrowserWindow クラスの以下の JavaScript 警告処理メソッドが、埋め込み Internet Explorer のテスト時に機能しません。
  • AcceptAlert メソッド
  • DismissAlert メソッド
  • GetAlertText メソッド
  • IsAlertPresent メソッド
親トピック: Web アプリケーション


Microsoft Edge

Microsoft Edge から開いたウィンドウがサポートされない

タブではなく、Microsoft Edge の新しいウィンドウとして開いたウィンドウはサポートされません。Silk4NET は、このようなウィンドウを正しく閉じることができず、このようなウィンドウを閉じると、エージェントの状態が不正になります。

iframe または frame で開いた JavaScript 警告を閉じることができない

JavaScript 警告 alert()、prompt()、confirm() が、iframe または frame で開かれた場合、Microsoft Edge は閉じることができません。

ネイティブ ブラウザーのコンテキスト メニューを開けない

Microsoft Edge を右クリックして、ネイティブ ブラウザーのコンテキスト メニューを開く操作がテストに含まれていると、そのテストはハングします。Microsoft Edge によって開かれた HTML メニューでは、この問題は発生しません。

UAC を無効にした状態で Microsoft Edge に対するテストを実行できない

UAC を無効にした状態で Microsoft Edge に対してテストを実行すると、次のエラー メッセージが表示されます。
Failed to start application 'Edge'. Unable to parse remote response: Unknown error

この問題を解決するには、UAC を有効にしてください。

「Windows Feature Microsoft WebDriver がインストールされていないため、Edge を開始できません」エラーが表示される理由

Microsoft Windows 10 の Windows 10 October 2018 Update 以降のバージョンを使用している場合、オプション機能「Windows Feature Microsoft WebDriver」がシステムにインストールされていないと、Microsoft Edge 上でのテストの実行時に次のエラーが発生する場合があります。
Windows Feature Microsoft WebDriver がインストールされていないため、Edge を開始できません。ヘルプのトピック「既知の問題」>「Microsoft Edge」を参照してください。
この問題を解決するには、システムで Windows Update が正しく機能していることを確認してください。内部の Windows Update サーバーを使用している場合は、次の手順を実行する必要があります。
  1. IT 管理者に依頼して、Windows Feature Microsoft WebDriver を Windows Update サーバーに追加してもらいます。
  2. Windows Feature Microsoft WebDriver をインストールします。オプション機能のインストールについては、「Microsoft WebDriver」を参照してください。
親トピック: Web アプリケーション
関連資料
Microsoft Edge を使用したテストの制限事項


Mozilla Firefox

Adobe FlashPlayer を使用したアプリケーションの呼び出しが Mozilla Firefox を使用した場合に正しく同期されない

最近のバージョンの Adobe FlashPlayer を Mozilla Firefox で使用している場合、呼び出しが正しく同期されないことがあります。次の問題が発生する可能性があります。
  • Mozilla Firefox がスクリプトの実行がハングしたものと誤って認識し、スクリプトが正しく実行されているにも関わらず、スクリプトの実行を続けるかどうかを確認するダイアログ ボックスが表示される場合があります。
  • SetFocus が正しく機能しないため、文字の入力が機能しない場合があります。
  • UI には新しい値が表示されているにも関わらず、Adobe オートメーションが古い値を返す場合があります。

Adobe FlashPlayer を使用するアプリケーションでこのような問題に遭遇した場合は、Adobe FlashPlayer の ProtectedMode をオフにしてください。詳細については、http://forums.adobe.com/thread/1018071 を参照し、Last Resort に記述された情報をお読みください。

親トピック: Web アプリケーション


SAP アプリケーション

SAPTree クラスの HierarchyHeaderWidth および ColumnOrder プロパティが書き込み専用になっている

自動化に関するドキュメントに記載されている場合を除いて、SAPTree の HierarchyHeaderWidth および ColumnOrder プロパティは書き込み専用で、読み込むことはできません。

これらのプロパティを使用する場合、スクリプトで、読み込みではなく、書き込みが使用されていることを確認します。

SAPTree クラスの GetColumnIndexFromName() が「特定できないエラー」により失敗する

SapTree クラスの GetColumnIndexFromName() は「特定できないエラー」により失敗することがあります。これは SAP オートメーションの既知の問題です。

SAP Web サイトでこの問題が解決されているかどうか確認してください。

コンテキスト メニュー項目の SAPTree クラスの Select() メソッドの呼び出しに失敗する

コンテキスト メニュー項目の SAPTree クラスの Select() メソッドの呼び出しに失敗することがあります。

代わりに親コントロールの SelectContextMenuItem を呼び出します。これは SAP オートメーションの既知の問題です。

水平スクロールバーの Position プロパティが常に 1 を返す

水平スクロールバーの Position プロパティは常に 1 を返します。これは SAP オートメーションの既知の問題です。

SAP Web サイトでこの問題が解決されているかどうか確認してください。

SAPNetPlan クラスがサポートされていない

この問題は今後のリリースで解決される予定です。

SAP スクリプトを実行すると、再生エラーが発生する

ある状況下で、SAP テストを記録して再生すると、次のエラーが発生する場合があります：この操作を完了するのに必要なデータは、まだ利用できません。このエラーは、Silk4NET が記録した操作の実行が速すぎたことを意味しています。

この問題を解決するには、テスト スクリプトにスリープを追加したり、関数の呼び出しやプロパティの設定の後に Silk4NET が待機する時間を増やすために、再生後の遅延を増やしてください。このオプションについての詳細は、「エージェント オプション」を参照してください。また、xBrowser テクノロジ ドメインではなく、SAP オートメーションを使用して問題が発生する操作を再生するように、スクリプトを変更します。たとえば、その操作を DomLink.Select から SapHTMLViewer.SapEvent に変更します。

SAPGUI クライアント 7.30 を使用するとメソッド getCurrentRow が誤った値を返す

SAPGUI クライアント 7.30 を使用しているときに、メソッド getCurrentRow を呼び出すと、メソッドは行番号ではなく誤った値 -1 を返す場合があります。

メソッド resizeWorkingPane が SAPGUI クライアント 7.30 で正しく機能しない

SAPGUI クライアント 7.30 を使用しているときに、メソッド resizeWorkingPaneEx を呼び出すと、 メソッドは workingPane のサイズを変更せずに、getSapWindow().getWidth() の呼び出し結果は、ウィンドウの幅と異なる値を返します。

親トピック: 既知の問題
関連資料
エージェント オプション


Silk4NET

TrueLog が生成されない

テストの実行後に TrueLog 結果ファイルが得られない場合、次を確認してください。

  • Silk4NET プロジェクトが作成されたバージョンと同じバージョンの Visual Studio で実行されている。たとえば、Visual Studio 2017 で作成された Silk4NET プロジェクトは、Visual Studio 2017 環境内でのみ実行できます。この制約は、コマンドラインや Team Foundation Server からプロジェクトが実行される場合にも適用されます。
  • テスト クラスに SilkTestClass 属性が含まれている。
  • TrueLog ファイルが作成される場所への書き込みアクセス権がある。

「単体テスト アダプターが例外をスローしました...」というメッセージが Silk4NET に表示される

再生時に「単体テスト アダプターが例外をスローしました...」というメッセージを受け取った場合、Silk4NET プロジェクトが作成されたバージョンと同じバージョンの Visual Studio で実行されてるかどうか確認し得ください。たとえば、Visual Studio 2017 で作成された Silk4NET プロジェクトは、Visual Studio 2017 環境内でのみ実行できます。この制約は、コマンドラインや Team Foundation Server からプロジェクトが実行される場合にも適用されます。

前のバージョンの Visual Studio で作成した Silk4NET プロジェクトを新しいバージョンの Visual Studio に移行する方法

  • 前のバージョンの Visual Studio でソリューションを開きます。
  • Silk4NET プロジェクトの対象のフレームワークを適切な .NET Framework のバージョンに変更します。たとえば、プロジェクトを Visual Studio 2010 から Visual Studio 2017 に移行する場合は、対象のフレームワークを .NET Framework 4.5 に設定します。
  • Visual Studio の前のバージョンの UnitTestingExtension への参照を Silk4NET プロジェクトから削除します。たとえば、前のバージョンが Visual Studio 2010 の場合は、SilkTest.Ntf.VisualStudio2010.UnitTestingExtension への参照を Silk4NET プロジェクトから削除します。
  • Visual Studio の新しいバージョンへの参照を Silk4NET プロジェクトに追加します。たとえば、プロジェクトを Visual Studio 2017 に移行する場合は、SilkTest.Ntf.VisualStudio2017.UnitTestingExtension への参照を Silk4NET プロジェクトに追加します。

オブジェクト マップを使用していると、先頭がスラッシュになっていない既存のロケーターが機能しなくなる

クラス名のみを含み、スラッシュで開始していないロケーター (PushButton など) は、オブジェクト マップが存在する場合、機能しなくなります。この問題により、Silk Test 14.0 よりも前のバージョンの Silk Test で作成された既存のスクリプトが壊れる可能性があります。前の例では、スクリプトは次のエラーで失敗します：
Identifier 'PushButton' was not found in the Object Map.

クラス名以外のものも含む、より複雑なロケーター (PushButton[@caption=OK] など) の場合は、オブジェクト マップが存在する場合でも機能し続けます。

この問題を修正するには、そのようなロケーターの先頭に // を追加します。たとえば、次のコード内のロケーター PushButton が機能しなくなったとします：
PushButton button = mainWindow.find("PushButton");
その場合、コードを次のように変更してください：
PushButton button = mainWindow.find("//PushButton");

キーワード駆動テストの再生時に「64 ビット JVM を読み込めませんでした」というメッセージが表示される理由

Silk4NET 19.5 以降を使ってキーワード駆動テストを再生すると、次のメッセージが表示される場合があります。
64 ビット JVM を読み込めませんでした。テスト ランナーは 32 ビットを使用しています。詳細については、ヘルプの「既知の問題」>「Silk4NET」を参照してください。
この問題を解決するには、次のいずれかを行います。
  • プラットフォーム ターゲットを x64 に設定してテストをコンパイルします。
    1. ソリューション エクスプローラー で、プロジェクト ノードを右クリックします。
    2. プロパティ を選択します。
    3. プロパティ ウィンドウ の ビルド タブを選択します。
    4. 全般 領域の プラットフォーム ターゲット リストから x64 を選択します。
  • 規定のプロセッサ アーキテクチャを 64 ビットに設定します。Visual Studio メニューの テスト > テスト設定 > 規定のプロセッサ アーキテクチャ から X64 を選択します。
  • キーワード駆動テストを 64 ビットのプラットフォーム ターゲットでコマンド ラインから実行するには、次のように入力します。
    vstest.console.exe <project name>.dll /platform:x64
  • Silk4NET を 32 ビット JVM で実行する場合は、SILK_KEYWORD_DRIVEN_JAVA_HOME 環境変数に使用する JVM を設定します。
親トピック: 既知の問題


Silk4NET 言語リファレンス

このセクションでは、Silk4NET がサポートする各テクノロジ ドメインのクラス、メソッド、およびプロパティを示します。

Silk4NET のスクリプト言語は Visual Basic .NET および Visual C# です。

Visual Basic .NET のネイティブのクラス、メソッド、プロパティの詳細については、http://msdn.microsoft.com/ja-jp/library/2x7h1hfk を参照してください。

Visual C# のネイティブのクラス、メソッド、プロパティの詳細については、http://msdn.microsoft.com/ja-jp/library/kx37x362 を参照してください。

  • 共通クラス リファレンス
    Win32、Java SWT、および Windows Forms をサポートする共通のクラスを一覧します。
  • コア クラス リファレンス
    エージェントのクラスおよびテスト オブジェクトのサポートを示します。
  • データ型
    さまざまなデータ型を示します。
  • Flex クラス リファレンス
    Flex をサポートするクラスを一覧します。
  • Java SWT クラス リファレンス
    Java SWT をサポートするクラスを一覧します。
  • キーワード駆動テスト クラス リファレンス
    キーワード駆動テストで利用可能なクラスを一覧します。
  • Mobile クラス リファレンス
    Mobile をサポートするクラスを一覧します。
  • Rumba クラス リファレンス
    Rumba をサポートするクラスを一覧します。
  • SAP クラス リファレンス
    SAP をサポートするクラスを一覧します。
  • Silverlight クラス リファレンス
    Silverlight をサポートするクラスを一覧します。
  • Java AWT および Swing クラス リファレンス
    Java AWT および Swing をサポートするクラスを一覧します。
  • UI Automation クラス リファレンス
    UI Automation をサポートするクラスを一覧します。
  • Win32 クラス リファレンス
    Win32 をサポートするクラスを一覧します。
  • Windows Forms クラス リファレンス
    Windows Forms をサポートするクラスを一覧します。
  • WPF クラス リファレンス
    WPF をサポートするクラスを一覧します。
  • xBrowser クラス リファレンス
    xBrowser をサポートするクラスを一覧します。


共通クラス リファレンス

Win32、Java SWT、および Windows Forms コントロールのテストに利用可能なクラスを一覧します。

  • BaseGuiTestObject クラス
    コンテキスト メニューを持つことのできる GUI オブジェクトの基本クラスです。
  • CharSet 列挙
    ファイルを読み込む際に使用する文字セットを指定します。
  • CheckBox クラス
    チェック ボックス コントロールのクラスです。
  • CheckBoxToolItem クラス
    ツールバー コントロール内のチェック ボックス要素のクラスです。
  • ComboBox クラス
    ポップアップ リストとテキスト フィールドの両方を兼ね備えたコントロールのクラスです。 ユーザーがリストから項目を選択すると、テキスト フィールドにはその文字列が入力されます。 また、ユーザーがテキスト フィールドに文字列を直接入力することもできます。
  • Control クラス
    ウィンドウの任意のコントロールのクラスです。
  • Desktop クラス
    Desktop は画面全体を表すクラスです。
  • Dialog クラス
    ダイアログのクラスです。
  • DropDownToolItem クラス
    ツールバー コントロール内のドロップ ダウン要素のクラスです。
  • FileInfo クラス
    ディレクトリ エントリについての情報の構造体。
  • FileSizeUnit 列挙
    ファイル サイズを計算する際に使用する単位を定義します。
  • Group クラス
    コントロールを結合するために使用するクラスで、複数のコントロールが 1 つになっていることを視覚的にユーザーに表現します。 このため、グループ コントロールはメソッドで表すことができる他の機能を持ちません。
  • GuiTestObject クラス
    すべての GUI オブジェクトの基本クラスです。
  • HorizontalScrollBar クラス
    水平方向のスクロール バーのクラスです。
  • IClickable インターフェイス
    クリックできるオブジェクトのインターフェイスです。
  • IFocusable インターフェイス
    フォーカスを持つことのできるオブジェクトのインターフェイスです。
  • IKeyable インターフェイス
    キーストロークを使用するオブジェクトのインターフェイスです。 このインターフェイスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。
  • IMoveable インターフェイス
    ウィンドウなど、移動可能なオブジェクトのインターフェイスです。
  • INativeWindow インターフェイス
    ネイティブ ウィンドウ ハンドルを提供するオブジェクトのインターフェイスです。
  • IScrollable インターフェイス
    スクロール バーを持つことのできるオブジェクトのインターフェイスです。
  • Item クラス
    項目の基本クラス。
  • Label クラス
    静的テキスト文字列のクラスです（たとえば、ラベルのようなユーザーが変更できないテキスト）。
  • Link クラス
    ソースで参照したトピックの場所を開きます。
  • ListBox クラス
    リスト ボックスのクラスです。
  • Menu クラス
    メニューのクラスです。
  • MenuItem クラス
    メニュー項目のクラスです。
  • PushButton クラス
    ボタンのクラスです。
  • PushToolItem クラス
    ツールバー コントロール内のプッシュ ボタン要素のクラスです。
  • RadioList クラス
    テキスト エディター アプリケーションの検索ダイアログの検索方向を指定するために使用される 2 つのラジオ ボタンのような、ラジオ ボタンのグループのクラスです。 ラジオ リスト内の 1 つのボタンだけがある時点で選択状態になることができます。
  • RadioListToolItem クラス
    RadioListToolItem はツールバー コントロール上のラジオ ボタン要素のクラスです。
  • RegistryCategory 列挙
    レジストリのルート キーを指定します。
  • RegistryView 列挙
    32 ビットまたは 64 ビット レジストリのどちらを使うか定義します。
  • Scale クラス
    スケールのクラスです。
  • ScrollBar クラス
    スクロール バーのクラスです。リスト ボックス上のスクロール バーなどのコントロールの一部のスクロール バーも含みます。
  • SeparatorItem クラス
    メニュー セパレーターのクラスです。
  • TabControl クラス
    タブ付きまたは複数ページのダイアログ、およびボタン バーのクラスです。
  • Table クラス
    テーブルのクラスです。
  • TableColumn クラス
    テーブルにおける列のクラスです。
  • TableRow クラス
    テーブルにおける行のクラスです。
  • TestObject クラス
    すべての UI オブジェクトの基本クラスです。
  • TextField クラス
    ユーザーが変更可能なテキストを保持する、単一行および複数行フィールドのクラスです。 このクラスは、Windows RichEdit コントロールもサポートします。
  • ToggleButton クラス
    ボタンを選択することで変更できる状態を持つボタンのクラスです。
  • ToolBar クラス
    ツールバー コントロールのクラスです。 ツールバーはボタンや他のコントロールの集合のコンテナーです。
  • ToolItem クラス
    ツールバー コントロール内のツール項目のクラスです。
  • Tree クラス
    図式的階層に構成された項目のクラスです。
  • VerticalScrollBar クラス
    垂直方向のスクロール バーのクラスです。
  • Window クラス
    移動可能な典型的なウィンドウのクラスです。
  • ExecutionMode 列挙
    関数が実行するコマンドの完了を待機するかどうかを 定義します。
  • ExecutionResult クラス
    SystemFunctions.Execute の呼び出し結果をカプセル化します。
  • FileHandle クラス
    論理ファイル ハンドル。
  • FileOpenMode 列挙
    ファイルを開く方法を定義します。
  • FilePointerMode 列挙
    ファイルの読み書き時に使用する位置を指定します。
  • FileShareMode 列挙
    Silk Test がファイルを開いている間に、他のプログラムに与えるアクセス許可 の種類を定義します。
  • SystemFunctions クラス
    さまざまなオペレーションをクライアントから Open Agent のホスト上で 実行できます。
親トピック: Silk4NET 言語リファレンス


BaseGuiTestObject クラス

説明

コンテキスト メニューを持つことのできる GUI オブジェクトの基本クラスです。

継承階層

  • GuiTestObject
    • BaseGuiTestObject
      • AccessibleControl
      • Control
      • Window

構文

C#
public class BaseGuiTestObject : GuiTestObject, IScrollable
VB
'Declaration
Public Class BaseGuiTestObject _
Inherits GuiTestObject _
Implements IScrollable

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


CharSet 列挙

説明

ファイルを読み込む際に使用する文字セットを指定します。

継承階層

  • SystemFunctions
    • CharSet

構文

C#

public enum CharSet

VB

public enum CharSet

メンバー

名前 | 説明
Undefined | 文字セットが指定されていません。
ANSI | ANSI 文字セットが使用されています。
UTF8 | UTF8 文字セットが使用されています。
Unicode | Unicode 文字セットが使用されています。
親トピック: 共通クラス リファレンス


CheckBox クラス

説明

チェック ボックス コントロールのクラスです。

継承階層

  • Control
    • CheckBox

構文

C#
public class CheckBox : Control,
VB
'Declaration
Public Class CheckBox _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
State | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsChecked | チェック ボックスがチェックされている場合は true を、それ以外の場合は false を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | チェック ボックスを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetUndecided | チェック ボックスを未設定の状態に設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | チェック ボックスの状態を切り替えます。 チェック ボックスがチェックされている場合は、チェックを外し、そうでない場合はチェックします。 チェック ボックスが未設定の状態にある場合は、未設定のままになります。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


CheckBoxToolItem クラス

説明

ツールバー コントロール内のチェック ボックス要素のクラスです。

継承階層

  • ToolItem
    • CheckBoxToolItem

構文

C#
public class CheckBoxToolItem : ToolItem,
VB
'Declaration
Public Class CheckBoxToolItem _
Inherits ToolItem

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
State | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ComboBox クラス

説明

ポップアップ リストとテキスト フィールドの両方を兼ね備えたコントロールのクラスです。 ユーザーがリストから項目を選択すると、テキスト フィールドにはその文字列が入力されます。 また、ユーザーがテキスト フィールドに文字列を直接入力することもできます。

継承階層

  • Control
    • ComboBox

構文

C#
public class ComboBox : Control,
VB
'Declaration
Public Class ComboBox _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | コンボ ボックス リストの項目の数。
Items | コンボ ボックス リストの項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択する項目のインデックス。
SelectedItem | 選択する項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearText | コンボ ボックスからすべてのテキストを削除します。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | コンボ ボックスから項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | コンボ ボックスのテキスト フィールド内のテキストを置換します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Control クラス

説明

ウィンドウの任意のコントロールのクラスです。

継承階層

  • BaseGuiTestObject
    • Control
      • CBanner
      • CheckBox
      • ComboBox
      • CoolBar
      • CTabFolder
      • DataGrid
      • DomainUpDown
      • ElementHost
      • ExpandBar
      • FormsHost
      • Group
      • Header
      • Label
      • Link
      • ListBox
      • ListView
      • MenuStrip
      • MonthCalendar
      • Pager
      • ProgressBar
      • PushButton
      • RadioList
      • Sash
      • SashForm
      • Scale
      • ScrollableControl
      • ScrollBar
      • ScrolledComposite
      • Spinner
      • StatusBar
      • SWTBrowser
      • SWTDateTime
      • TabControl
      • Table
      • TextField
      • ToggleButton
      • ToolBar
      • Tree
      • UpDown
      • ViewForm

構文

C#
public class Control : BaseGuiTestObject,
VB
'Declaration
Public Class Control _
Inherits BaseGuiTestObject

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Desktop クラス

説明

Desktop は画面全体を表すクラスです。

継承階層

  • TestObject
    • Desktop

プロパティ

Desktop は TestObject のすべてのプロパティを継承します。

メソッド

Desktop は TestObject のすべてのメソッドを継承します。

親トピック: 共通クラス リファレンス


Dialog クラス

説明

ダイアログのクラスです。

継承階層

  • Window
    • Dialog

構文

C#
public class Dialog : Window,
VB
'Declaration
Public Class Dialog _
Inherits Window

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。 (Window から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


DropDownToolItem クラス

説明

ツールバー コントロール内のドロップ ダウン要素のクラスです。

継承階層

  • ToolItem
    • DropDownToolItem

構文

C#
public class DropDownToolItem : ToolItem,
VB
'Declaration
Public Class DropDownToolItem _
Inherits ToolItem

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Open | 項目を開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


FileInfo クラス

説明

ディレクトリ エントリについての情報の構造体。

継承階層

  • SystemFunctions
    • FileInfo

プロパティ

名前 | 説明
Attributes | ファイルの属性を取得します。
CreationDate | ファイルまたはディレクトリが作成された日時を取得します。
IsDirectory | インスタンスがディレクトリについての情報を保持しているかどうかを取得します。
ModificationTime | ファイルまたはディレクトリが最後に変更された 日時を取得します。
Name | ファイルの名前を取得します。
Size | ファイルのサイズを取得します。
親トピック: 共通クラス リファレンス


FileSizeUnit 列挙

説明

ファイル サイズを計算する際に使用する単位を定義します。

継承階層

  • SystemFunctions
    • FileSizeUnit

構文

C#

public enum FileSizeUnit

VB

public enum FileSizeUnit

メンバー

名前 | 説明
Byte | 1 バイト。
KiloByte | 2^10 バイト。
MegaByte | 2^20 バイト。
GigaByte | 2^30 バイト。
TeraByte | 2^40 バイト。
親トピック: 共通クラス リファレンス


Group クラス

説明

コントロールを結合するために使用するクラスで、複数のコントロールが 1 つになっていることを視覚的にユーザーに表現します。 このため、グループ コントロールはメソッドで表すことができる他の機能を持ちません。

継承階層

  • Control
    • Group

構文

C#
public class Group : Control,
VB
'Declaration
Public Class Group _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


GuiTestObject クラス

説明

すべての GUI オブジェクトの基本クラスです。

継承階層

  • TestObject
    • GuiTestObject
      • BaseGuiTestObject
      • Item
      • Menu

構文

C#
public class GuiTestObject : TestObject, IClickable, IFocusable, IKeyable, INativeWindow
VB
'Declaration
Public Class GuiTestObject _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable, INativeWindow

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。
Enabled | GUI オブジェクトが有効かどうか。
Font | GUI オブジェクトのフォントの種類。
Foreground | GUI オブジェクトの前景色。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


HorizontalScrollBar クラス

説明

水平方向のスクロール バーのクラスです。

継承階層

  • ScrollBar
    • HorizontalScrollBar

構文

C#
public class HorizontalScrollBar : ScrollBar,
VB
'Declaration
Public Class HorizontalScrollBar _
Inherits ScrollBar

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーの内部ページ サイズです。 (ScrollBar から継承されました)
Position | スクロール バー キャレットの実際の位置です。 (ScrollBar から継承されました)
Range | スクロール バーの範囲です。 (ScrollBar から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PageLeft | スクロール バーをページ単位に左方向にスクロールします。
PageRight | スクロール バーをページ単位に右方向にスクロールします。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール バーをスクロールします。 (ScrollBar から継承されました)
ScrollLeft | スクロール バーを左方向にスクロールします。
ScrollRight | スクロール バーを右方向にスクロールします。
ScrollToMax | スクロール バーをその最大の位置にスクロールします。 (ScrollBar から継承されました)
ScrollToMin | スクロール バーをその最小の位置にスクロールします。 (ScrollBar から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


IClickable インターフェイス

説明

クリックできるオブジェクトのインターフェイスです。

構文

C#
public class IClickable,
VB
'Declaration
Public Class IClickable

メソッド

名前 | 説明
Click | オブジェクトをクリックします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
親トピック: 共通クラス リファレンス


IFocusable インターフェイス

説明

フォーカスを持つことのできるオブジェクトのインターフェイスです。

構文

C#
public class IFocusable,
VB
'Declaration
Public Class IFocusable

メソッド

名前 | 説明
IsFocused | コントロールがフォーカスを持つかどうかを返します。
SetFocus | コントロールにフォーカスを与えます。
親トピック: 共通クラス リファレンス


IKeyable インターフェイス

説明

キーストロークを使用するオブジェクトのインターフェイスです。 このインターフェイスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。

構文

C#
public class IKeyable,
VB
'Declaration
Public Class IKeyable

メソッド

名前 | 説明
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。
親トピック: 共通クラス リファレンス


IMoveable インターフェイス

説明

ウィンドウなど、移動可能なオブジェクトのインターフェイスです。

構文

C#
public class IMoveable,
VB
'Declaration
Public Class IMoveable

プロパティ

名前 | 説明
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。

メソッド

名前 | 説明
Close | ウィンドウを閉じます。
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。
GetFocus | 入力フォーカスを持つオブジェクトを返します。
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。
Maximize | ウィンドウを最大化します。
Minimize | ウィンドウを最小化します。
Move | ウィンドウを移動します。
Restore | ウィンドウを元のサイズに戻します。
SetActive | ウィンドウをアクティブにします。
Size | ウィンドウのサイズを変更します。
親トピック: 共通クラス リファレンス


INativeWindow インターフェイス

説明

ネイティブ ウィンドウ ハンドルを提供するオブジェクトのインターフェイスです。

構文

C#
public class INativeWindow,
VB
'Declaration
Public Class INativeWindow

プロパティ

名前 | 説明
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。
親トピック: 共通クラス リファレンス


IScrollable インターフェイス

説明

スクロール バーを持つことのできるオブジェクトのインターフェイスです。

構文

C#
public class IScrollable,
VB
'Declaration
Public Class IScrollable

メソッド

名前 | 説明
GetHorizontalBar | このコントロールの水平スクロール バーを返します。
GetVerticalBar | このコントロールの垂直スクロール バーを返します。
親トピック: 共通クラス リファレンス


Item クラス

説明

項目の基本クラス。

継承階層

  • GuiTestObject
    • Item
      • CoolItem
      • CTabItem
      • DataGridColumn
      • DataGridItem
      • DataGridRow
      • ExpandItem
      • MenuItem
      • SeparatorItem
      • SWTTabItem
      • SWTTreeColumn
      • TableColumn
      • TableRow
      • ToolItem

構文

C#
public class Item : GuiTestObject,
VB
'Declaration
Public Class Item _
Inherits GuiTestObject

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Label クラス

説明

静的テキスト文字列のクラスです（たとえば、ラベルのようなユーザーが変更できないテキスト）。

継承階層

  • Control
    • Label

構文

C#
public class Label : Control,
VB
'Declaration
Public Class Label _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Link クラス

説明

ソースで参照したトピックの場所を開きます。

継承階層

  • Control
    • Link

構文

C#
public class Link : Control,
VB
'Declaration
Public Class Link _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ListBox クラス

説明

リスト ボックスのクラスです。

継承階層

  • Control
    • ListBox
      • CheckedListBox

構文

C#
public class ListBox : Control,
VB
'Declaration
Public Class ListBox _
Inherits Control

プロパティ

名前 | 説明
AllowsMultiSelect | コントロールが複数項目の選択をサポートするかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | リスト ボックスの項目の数。
Items | リスト ボックスの項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 最初の選択された項目のインデックス。
SelectedIndices | 選択した項目の索引。
SelectedItem | 最初の選択された項目の名前。
SelectedItems | 選択した項目の名前。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | リスト ボックスの項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelect | リスト ボックスの選択範囲を拡張して項目の範囲を選択します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelect | 複数または拡張選択リスト ボックスの項目を選択します。
MultiUnselect | 複数または拡張選択リスト ボックスの項目の選択を解除します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト ボックスから項目を選択します。
SelectRange | 拡張選択リスト ボックスの項目の範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Menu クラス

説明

メニューのクラスです。

継承階層

  • GuiTestObject
    • Menu

構文

C#
public class Menu : GuiTestObject,
VB
'Declaration
Public Class Menu _
Inherits GuiTestObject

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemCount | このメニューのメニュー項目の数を返します。 メニュー項目のセパレーターも含みます。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニューを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


MenuItem クラス

説明

メニュー項目のクラスです。

継承階層

  • Item
    • MenuItem

構文

C#
public class MenuItem : Item,
VB
'Declaration
Public Class MenuItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Checked | メニュー項目がチェックされているかどうか。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニューから項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


PushButton クラス

説明

ボタンのクラスです。

継承階層

  • Control
    • PushButton

構文

C#
public class PushButton : Control,
VB
'Declaration
Public Class PushButton _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Pressed | プッシュ ボタンが押されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | プッシュ ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


PushToolItem クラス

説明

ツールバー コントロール内のプッシュ ボタン要素のクラスです。

継承階層

  • ToolItem
    • PushToolItem

構文

C#
public class PushToolItem : ToolItem,
VB
'Declaration
Public Class PushToolItem _
Inherits ToolItem

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


RadioList クラス

説明

テキスト エディター アプリケーションの検索ダイアログの検索方向を指定するために使用される 2 つのラジオ ボタンのような、ラジオ ボタンのグループのクラスです。 ラジオ リスト内の 1 つのボタンだけがある時点で選択状態になることができます。

継承階層

  • Control
    • RadioList

構文

C#
public class RadioList : Control,
VB
'Declaration
Public Class RadioList _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | ラジオ リストの項目の数。
Items | ラジオ リストの項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択する項目のインデックス。
SelectedItem | 選択する項目。
State | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ラジオ リストから項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


RadioListToolItem クラス

説明

RadioListToolItem はツールバー コントロール上のラジオ ボタン要素のクラスです。

継承階層

  • ToolItem
    • RadioListToolItem

構文

C#
public class RadioListToolItem : ToolItem,
VB
'Declaration
Public Class RadioListToolItem _
Inherits ToolItem

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
State | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


RegistryCategory 列挙

説明

レジストリのルート キーを指定します。 詳細については、 「Predefined Keys」を参照してください。

継承階層

  • SystemFunctions
    • RegistryCategory

構文

C#

public enum RegistryCategory

VB

public enum RegistryCategory

メンバー

名前 | 説明
HKEY_CLASSES_ROOT | このキーの下位にあるレジストリ エントリは、 ドキュメントやプロパティの種類（またはクラス）とそれに関連するタイプを定義します。
HKEY_CURRENT_USER | このキーの下位にあるレジストリ エントリは、 現在のユーザーの設定を定義します。
HKEY_LOCAL_MACHINE | このキーの下位にあるレジストリ エントリは、 コンピュータの物理的な状態を定義します。
HKEY_USERS | このキーの下位にあるレジストリ エントリは、 ローカル コンピュータ上の新しいユーザーに対するデフォルトのユーザー設定と、 現在のユーザーに対するユーザー設定を定義します。
親トピック: 共通クラス リファレンス


RegistryView 列挙

説明

32 ビットまたは 64 ビット レジストリのどちらを使うか定義します。

継承階層

  • SystemFunctions
    • RegistryView

構文

C#

public enum RegistryView

VB

public enum RegistryView

メンバー

名前 | 説明
RegistryView_32Bit | 32 ビット レジストリを使用します。
RegistryView_64Bit | 64 ビット レジストリを使用します。
親トピック: 共通クラス リファレンス


Scale クラス

説明

スケールのクラスです。

継承階層

  • Control
    • Scale

構文

C#
public class Scale : Control,
VB
'Declaration
Public Class Scale _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | スケール キャレットの実際の位置です。
Range | スケールの範囲です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | スケールの位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetToMax | スケールをその最大の位置に設定します。
SetToMin | スケールをその最小の位置に設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ScrollBar クラス

説明

スクロール バーのクラスです。リスト ボックス上のスクロール バーなどのコントロールの一部のスクロール バーも含みます。

継承階層

  • Control
    • ScrollBar
      • HorizontalScrollBar
      • VerticalScrollBar

構文

C#
public class ScrollBar : Control,
VB
'Declaration
Public Class ScrollBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーの内部ページ サイズです。
Position | スクロール バー キャレットの実際の位置です。
Range | スクロール バーの範囲です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール バーをスクロールします。
ScrollToMax | スクロール バーをその最大の位置にスクロールします。
ScrollToMin | スクロール バーをその最小の位置にスクロールします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


SeparatorItem クラス

説明

メニュー セパレーターのクラスです。

継承階層

  • Item
    • SeparatorItem

構文

C#
public class SeparatorItem : Item,
VB
'Declaration
Public Class SeparatorItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


TabControl クラス

説明

タブ付きまたは複数ページのダイアログ、およびボタン バーのクラスです。

継承階層

  • Control
    • TabControl
      • SWTTabControl

構文

C#
public class TabControl : Control,
VB
'Declaration
Public Class TabControl _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | タブ コントロールの項目の数。
Items | タブ コントロールの項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択する項目のインデックス。
SelectedItem | 選択する項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 現在のページを指定したページに設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Table クラス

説明

テーブルのクラスです。

継承階層

  • Control
    • Table
      • SWTTable

構文

C#
public class Table : Control,
VB
'Declaration
Public Class Table _
Inherits Control

プロパティ

名前 | 説明
AllowsCheck | コントロールがチェック マークを表示できるかどうか。
AllowsMultiSelect | テーブルが複数項目の選択をサポートするかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
ColumnCount | テーブルの列の数。
ColumnItems | 列のすべての項目のリスト。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
RowCount | テーブルの行の数。
RowItems | テーブルのすべての行のリスト。
SelectedIndices | 選択した項目の索引。
SelectedItems | 選択した項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | テーブルの定義された行のチェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelectRow | 行の範囲を選択します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FocusRow | テーブルの行にフォーカスを設定します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelectRow | テーブルの行を選択行の集合に追加します。
MultiUnselectRow | 行を選択行の集合から削除します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectRow | テーブルの行を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | テーブルの定義された行のチェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


TableColumn クラス

説明

テーブルにおける列のクラスです。

継承階層

  • Item
    • TableColumn
      • SWTTableColumn

構文

C#
public class TableColumn : Item,
VB
'Declaration
Public Class TableColumn _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Width | 列の幅。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | 列のサイズを変更します。
Select | 列を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


TableRow クラス

説明

テーブルにおける行のクラスです。

継承階層

  • Item
    • TableRow
      • SWTTableRow

構文

C#
public class TableRow : Item,
VB
'Declaration
Public Class TableRow _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Checked | 行のチェックボックスがチェックされているかどうか。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | 行の項目の数。
Items | 行の項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


TestObject クラス

説明

すべての UI オブジェクトの基本クラスです。

構文

C#
public class TestObject,
VB
'Declaration
Public Class TestObject

プロパティ

名前 | 説明
Text | コントロールのテキスト。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。
Find | XPath ロケーターで指定したオブジェクトを検索します。
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。
GenerateLocator | このオブジェクトのロケーターを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。
GetProperty | 指定したプロパティの値を返します。
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。
HighlightObject | このオブジェクトをハイライトします。
ImageClick | 指定したイメージ資産をクリックします。
ImageClickFile | 指定したイメージをクリックします。
ImageExists | 指定したイメージが存在するかどうかを返します。
ImageExistsFile | 指定したイメージが存在するかどうかを返します。
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。
SetProperty | 指定したプロパティの値を設定します。
StartScreenRecording | スクリーンの記録を開始します
StopScreenRecording | スクリーンの記録を停止します
TextCapture | このオブジェクトの表示領域内のテキストを返します。
TextClick | 指定したテキストの中央をクリックします。
TextExists | 指定したテキストが存在するかどうかを返します。
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。
親トピック: 共通クラス リファレンス


TextField クラス

説明

ユーザーが変更可能なテキストを保持する、単一行および複数行フィールドのクラスです。 このクラスは、Windows RichEdit コントロールもサポートします。

継承階層

  • Control
    • TextField
      • StyledText

構文

C#
public class TextField : Control,
VB
'Declaration
Public Class TextField _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
IsPassword | コントロールがパスワード テキスト フィールドであるかどうか。
MultiLine | コントロールが複数行かどうか。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | テキスト フィールド内のキャレットの位置。
SelectedRange | テキスト フィールド内の選択範囲。
SelectedText | テキスト フィールド内の選択テキスト。 テキストが選択されていない場合は空の文字列。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearText | すべてのテキストをテキスト フィールドから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetMultiText | 複数行テキスト フィールドの指定された行のテキストを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetMultiText | 複数行テキスト フィールドの行のすべて、または一部を置換します。
SetPosition | テキスト フィールド内の挿入位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 単一行または複数行フィールドの指定した範囲を選択します。
SetText | テキスト フィールド内のテキストのすべて、または一部を新しいテキストに置換します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ToggleButton クラス

説明

ボタンを選択することで変更できる状態を持つボタンのクラスです。

継承階層

  • Control
    • ToggleButton

構文

C#
public class ToggleButton : Control,
VB
'Declaration
Public Class ToggleButton _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
State | トグル ボタンの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ToolBar クラス

説明

ツールバー コントロールのクラスです。 ツールバーはボタンや他のコントロールの集合のコンテナーです。

継承階層

  • Control
    • ToolBar

構文

C#
public class ToolBar : Control,
VB
'Declaration
Public Class ToolBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ToolItem クラス

説明

ツールバー コントロール内のツール項目のクラスです。

継承階層

  • Item
    • ToolItem
      • CheckBoxToolItem
      • DropDownToolItem
      • PushToolItem
      • RadioListToolItem

構文

C#
public class ToolItem : Item,
VB
'Declaration
Public Class ToolItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Tree クラス

説明

図式的階層に構成された項目のクラスです。

継承階層

  • Control
    • Tree
      • SWTTree

構文

C#
public class Tree : Control,
VB
'Declaration
Public Class Tree _
Inherits Control

プロパティ

名前 | 説明
AllowsCheck | コントロールがチェック マークを表示できるかどうか。
AllowsMultiSelect | コントロールが複数項目の選択をサポートするかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | ツリー上の項目数（すべての子を含む）。
ItemPaths | ツリー上の項目のリスト（すべての子を含む）。
Items | ツリー上の項目のリスト（すべての子を含む）。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 最初の選択された項目のインデックス。
SelectedIndices | 選択した項目の索引。
SelectedItem | 最初の選択された項目の名前。
SelectedItems | 選択した項目の名前。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
VisibleItemPaths | ツリー上の可視の項目のリスト（すべての子を含む）。
VisibleItems | ツリー上の可視の項目のリスト（すべての子を含む）。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | ツリービュー コントロール上で項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | ツリー ビュー コントロール上でオブジェクトを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetItemPaths | ツリーのすべての項目を項目パスのリストとして返します。
GetItemRect | TreeView コントロールに対して相対的な項目のサイズと位置を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsExpandable | 指定した項目が展開可能かどうかを検査します。
IsExpanded | 指定した項目が展開されているかどうかを検査します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ツリーから項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


VerticalScrollBar クラス

説明

垂直方向のスクロール バーのクラスです。

継承階層

  • ScrollBar
    • VerticalScrollBar

構文

C#
public class VerticalScrollBar : ScrollBar,
VB
'Declaration
Public Class VerticalScrollBar _
Inherits ScrollBar

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーの内部ページ サイズです。 (ScrollBar から継承されました)
Position | スクロール バー キャレットの実際の位置です。 (ScrollBar から継承されました)
Range | スクロール バーの範囲です。 (ScrollBar から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PageDown | スクロール バーをページ単位に下方向にスクロールします。
PageUp | スクロール バーをページ単位に上方向にスクロールします。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール バーをスクロールします。 (ScrollBar から継承されました)
ScrollDown | スクロール バーを下に移動します。
ScrollToMax | スクロール バーをその最大の位置にスクロールします。 (ScrollBar から継承されました)
ScrollToMin | スクロール バーをその最小の位置にスクロールします。 (ScrollBar から継承されました)
ScrollUp | スクロール バーを上に移動します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


Window クラス

説明

移動可能な典型的なウィンドウのクラスです。

継承階層

  • BaseGuiTestObject
    • Window
      • BrowserApplication
      • Dialog
      • FlexStandalonePlayer
      • FormsWindow
      • Shell
      • UIAWindow

構文

C#
public class Window : BaseGuiTestObject, IMoveable
VB
'Declaration
Public Class Window _
Inherits BaseGuiTestObject _
Implements IMoveable

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: 共通クラス リファレンス


ExecutionMode 列挙

説明

関数が実行するコマンドの完了を待機するかどうかを 定義します。

継承階層

  • SystemFunctions
    • executionMode

構文

C#

public enum ExecutionMode

VB

public enum ExecutionMode

メンバー

名前 | 説明
WaitUntilFinished | Execute の実行をプログラムの終了まで 待機します。
ContinueRunning | 実行可能ファイルを開始したら直ちに戻ります。 ExecutionResult.ExitCode は常に 0 で、 ExecutionResult.RawOutput には何も 出力されません。
親トピック: 共通クラス リファレンス


ExecutionResult クラス

説明

SystemFunctions.Execute の呼び出し結果をカプセル化します。

継承階層

  • SystemFunctions
    • ExecutionResult

メソッド

名前 | 説明
GetExitCode | Execute の 呼び出し結果を返します。 エラーが発生していない 場合は 0。
GetRawOutput | stdout と stderr の内容を返します。
GetOutput | stdout と stderr の内容を文字列で返します。
ToString | 終了コードを文字列で返します。
親トピック: 共通クラス リファレンス


FileHandle クラス

説明

論理ファイル ハンドル。

継承階層

  • SystemFunctions
    • FileHandle

メソッド

名前 | 説明
GetHandle | ハンドルの内部値を返します。
GetName | ハンドルに対応するファイルまたはディレクトリ の名前を返します。
親トピック: 共通クラス リファレンス


FileOpenMode 列挙

説明

ファイルを開く方法を定義します。 ファイルのモードは、FileOpen 関数 の必須パラメータです。

継承階層

  • SystemFunctions
    • FileOpenMode

構文

C#

public enum FileOpenMode

VB

public enum FileOpenMode

メンバー

名前 | 説明
Read | ファイルを読み取り用に開きます。
Write | ファイルを書き込み用に開きます。 ファイルが 存在しない場合は作成します。 ファイルが存在する場合は、内容は削除され、 0 バイトのファイルとして扱われます。
ReadWrite | ファイルを読み書き用に開きます。
Update | ファイルを書き込み用に開きますが、ファイルの内容は 削除されません。 デフォルトで、ほかのユーザーからの書き込みアクセスは禁止されます。 ファイルのポインターは、ファイルの先頭を指します。
親トピック: 共通クラス リファレンス


FilePointerMode 列挙

説明

ファイルの読み書き時に使用する位置を指定します。

継承階層

  • SystemFunctions
    • FilePointerMode

構文

C#

public enum FilePointerMode

VB

public enum FilePointerMode

メンバー

名前 | 説明
Start | ファイルの先頭にポインターを設定します。
Relative | ファイルの現在の位置にポインターを設定します。
End | ファイルの終端にポインターを設定します。
親トピック: 共通クラス リファレンス


FileShareMode 列挙

説明

Silk Test がファイルを開いている間に、他のプログラムに与えるアクセス許可 の種類を定義します。

継承階層

  • SystemFunctions
    • FileShareMode

構文

C#

public enum FileShareMode

VB

public enum FileShareMode

メンバー

名前 | 説明
DenyNone | 他のプログラムは Open Agent と同時に ファイルを読み書きできます。
DenyWrite | 他のプログラムは Open Agent と同時に ファイルを読み込めますが、書き込みはできません。
DenyAll | 他のプログラムは Open Agent と同時に ファイルにアクセスできません。
親トピック: 共通クラス リファレンス


SystemFunctions クラス

説明

さまざまなオペレーションをクライアントから Open Agent のホスト上で 実行できます。

継承階層

  • SystemFunctions
    • CharSet
    • ExecutionMode
    • ExecutionResult
    • FileHandle
    • FileInfo
    • FileOpenMode
    • FilePointerMode
    • FileShareMode
    • FileSizeUnit
    • RegistryCategory
    • RegistryView

構文

C#

public class SystemFunctions

VB

'Declaration
Public Class SystemFunctions _

プロパティ

名前 | 説明
AgentDirectory | Open Agent をホストしているディレクトリを 取得します。
AgentVersion | Open Agent のバージョンを取得します。
ClipboardText | テキストをクリップボードから取得または設定します。
CurrentDrive | 現在のドライブを取得または設定します。
CurrentRegistryView | 現在のレジストリ ビューを取得または設定します。
CurrentWorkingDirectory | Open Agent の現在の作業ディレクトリを取得または設定します。
CursorPosition | 現在のカーソル位置を取得します。
CursorType | 現在のカーソルの種類を取得します。
FreeMemory | 利用可能な空きメモリのパーセンテージを 取得します。
HostName | Open Agent をホストしているマシンの ホスト名を取得します。
Locale | Open Agent をホストしているマシンのロケールを 取得します（en-US など）。
OSName | Open Agent をホストしているマシンの OS の名前を 取得します。
OSVersionType | Open Agent をホストしているマシンの OS のバージョンの種類 （サーバーまたはクライアント）を取得します。
OSVersion | Open Agent をホストしているマシンの OS のメジャー バージョンと マイナー バージョンを取得します。

メソッド

名前 | 説明
CompareBinaryFiles | 2 つのファイルのバイナリ比較を実行します。
CompareBitmaps | 2 つのビットマップを比較します。
CompareTextFiles | 2 つのファイルを辞書的に比較します。
CopyFile | ファイルをコピーします。
CreateDirectory | 指定した名前の新しいディレクトリを作成します。
CreateRegistryKey | レジストリに新しいキーを作成します。 指定した keyPath に存在しない すべてのレジストリ キーを再帰的に作成します。
CreateRegistryValue | 新しい値を作成します。
DeleteRegistryKey | レジストリからキーを削除します。
DeleteRegistryValue | 値を削除します。
DirectoryExists | 指定したディレクトリが存在するかどうかを確認します。
Execute | Open Agent のホスト上で指定したコマンドを実行します。
ExistsRegistryKey | 指定したキーがレジストリに存在するかどうかを確認します。
ExistsRegistryValue | レジストリに値が存在するかどうかを確認します。
FileExists | 指定したファイルが存在するかどうかを確認します。
FileOpen | ファイルを開きます。 ファイルが 存在しない場合は作成します。
FileReadLine | ファイルから 1 行読み込みます。 ファイル ポインターがある現在の位置から読み込みます。
FileSetPointer | 読み書きオペレーション用にファイル内のポインター位置を設定します。
FileWriteLine | ファイル ポインターがある現在の位置に 1 行書き込みます。
GetBitmapCRC | ビットマップ ファイルの CRC 値を返します。
GetDirectoryContents | ディレクトリの内容を取得します。
GetEnvironmentVariable | 指定した環境変数の値を取得します。
GetFileInfo | 指定したファイルについての情報を取得します。
GetFreeDiskSpace | 指定したドライブで利用可能な空き容量を返します。
GetRegistryKeyNames | 指定したキー以下のすべてのレジストリ キーの名前を返します。
GetRegistryValueNames | 指定したキー以下のすべてのレジストリ キーの値を返します。
GetRegistryValue | 指定したレジストリ キーの値を返します。
MoveFile | ファイルを移動します。
RemoveDirectory | 指定したディレクトリを削除します。
RemoveFile | 指定したファイルを削除します。
SetEnvironmentVariable | 指定した環境変数の値を設定します。
SetRegistryValue | 指定したレジストリ キーの値を設定します。
親トピック: 共通クラス リファレンス


コア クラス リファレンス

アプリケーションを設定すると、Silk4NET は標準のエージェントおよびテスト オブジェクト コントロールのテストの組み込みサポートを自動的に提供します。

  • Agent クラス
    Agent は、グラフィカル ユーザー インターフェイスを操作する Silk4NET のコンポーネントである Open Agent のクラスです。
  • BaseState クラス
    BaseState クラスを使用すると、テスト対象アプリケーションが実行中でテストの準備ができていることが保証されます。また、テスト対象アプリケーションが前面に配置されます。
  • BrowserBaseState クラス
    BrowserBaseState クラスを使用すると、ブラウザが実行中でテストの準備ができていることが保証されます。
  • ConsoleWindow クラス
    コンソールのクラスです。
  • DllCall クラス
    DllCall クラスを使用すると、NTF ユーザーはエージェントまたは AUT のいずれかで、任意の DLL の公開された DLL 機能を呼び出すことができます。
  • IBaseState インターフェイス
    基本状態のインターフェイスです。
  • Timer クラス
    Timer クラスを使用すると、経過時間を正確に計測できます。
  • Silk4NET クラス
    Silk4NET は、Visual Studio に固有の機能を処理するクラスです。
親トピック: Silk4NET 言語リファレンス


Agent クラス

説明

Agent は、グラフィカル ユーザー インターフェイスを操作する Silk4NET のコンポーネントである Open Agent のクラスです。

Agent では識別子 Agent が事前に定義されています。Agent のメソッドを呼び出すには、以下の構文を使用します。

Agent.method()

継承

Agent はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class Agent
VB
'Declaration
Public Class Agent

プロパティ

名前 | 説明
Desktop | ルート GUI オブジェクトを取得します。
SystemFunctions | SystemFunctions オブジェクトを取得します。 このオブジェクトを使うと、Open Agent がインストールされたローカル マシンやリモート マシン上で、OS 固有の操作を実行できます。

メソッド

名前 | 説明
Attach | 指定したアプリケーションにアタッチします。コマンド ライン パターンおよびテクノロジ ドメインを追加で指定することができます。
CloseTrueLogSection | OpenTrueLogSection を使って最後に開いた TrueLog セクションを閉じます。
Connect | 指定したホストとポートを使用して指定したマシン上のエージェントに接続します。
Decrypt | 指定された文字列を復号化します。Encrypt メソッドで暗号化された文字列のみを復号化することができます。
DetachAll | 現在アタッチされているすべてのアプリケーションを解除します。
Encrypt | 指定された文字列を暗号化します。
ExecuteBaseState | テスト対象アプリケーションが実行中でテストの準備ができていることを保証します。
GetOption | エージェント オプションの値を取得します。
LogError | テストの実行中に書き出される TrueLog ファイルに、エラー メッセージとスクリーンショットを記録します。
LogInfo | テストの実行中に書き出される TrueLog ファイルに、情報メッセージを記録します。
LogWarning | テストの実行中に書き出される TrueLog ファイルに、警告メッセージを記録します。
OpenTrueLogSection | TrueLog ファイルに新しいセクションを作成します。
ResetOptions | エージェントのすべてのオプションをデフォルト値に戻します。
SetOption | エージェント オプションを設定します。このオプションは、すべてのテクノロジ ドメインに対して利用されます。
Shutdown | エージェントを停止します。テスト実行が完了したときにのみ呼び出されるべきです。
  • SystemFunctions プロパティ (Agent)
    SystemFunctions オブジェクトを使うと、オペレーティング システム固有の操作を実行できます。
親トピック: コア クラス リファレンス


Attach メソッド

クラス

Agent。

処理

指定したアプリケーションにアタッチします。コマンド ライン パターンおよびテクノロジ ドメインを追加で指定することができます。

構文

C#
Attach (executablePattern, commandLinePattern, techDomains)
VB
Attach (executablePattern, commandLinePattern, techDomains)
変数 | 説明
executablePattern | アプリケーションの実行可能名。パターンには、ワイルドカード '?' および '*' を使用できます (それぞれ、1 文字、または複数文字に一致)。例： myApplication.exe、myApplica?ion.exe、myApp*.exe。 String。
commandLinePattern | 省略可能：このパターンはアプリケーションのコマンド ライン引数に対して照合します。これは、アプリケーションの複数のインスタンスが実行中で、その中のいくつかだけがテスト対象である場合に有効です。Java アプリケーションの場合、特徴的な jar や main クラスの名前をコマンド ライン パターンに含めることができます。例： *org.MyMainClass。特定のテクノロジ ドメインをロードしたいときに、コマンド ライン パターンが無いことを指定する場合には、"" を使用できます。 String。
techDomains | 省略可能：アプリケーションに読み込むテクノロジ ドメイン。通常は、このパラメータはテクニカル サポートによってのみ使用されます。テクノロジ ドメインを指定しないことをお勧めします。テクノロジ ドメインを指定しない場合は、すべての利用可能なテクノロジ ドメインが読み込まれます。 TechDomain。

使用例

次の例では、メモ帳にアタッチします。

Agent.Attach("notepad.exe")

次の例では、アプリケーションの複数のインスタンスが実行されている場合に、コマンドライン パターンを使用してプロセスの特定のインスタンスにアタッチする方法を示します。

Agent.Attach("javaw.exe", “*org.MyMainClass”)
以下の例は、Internet Explorer にアタッチして Win32 テクノロジ ドメインをロードする方法を示しています。
Agent.Attach("iexplore.exe", "", {"WIN32"})


CloseCurrentTrueLogSection メソッド

クラス

Agent。

処理

OpenTrueLogSection を使って最後に開いた TrueLog セクションを閉じます。

構文

C#
CloseCurrentTrueLogSection();
VB
CloseCurrentTrueLogSection()
関連資料
OpenTrueLogSection メソッド


Connect メソッド

クラス

Agent。

処理

指定したホストとポートを使用して指定したマシン上のエージェントに接続します。

エージェントが実行されていない場合、またはエージェントがこのマシンに到達できない場合は、例外がスローされます。

指定したホストがローカル ホストの場合は、エージェントが起動します。

このエージェントとの接続を最初に確立した後に、すべてのエージェント オプションをデフォルト値にリセットするには、Agent.ResetOptions() を呼び出します。

構文

C#
Connect (host, [port])
VB
Connect (host, [port])
変数 | 説明
host | Open Agent のホスト。String。
port | 省略可能：Open Agent のポート。ポートが指定されていない場合、デフォルトのポートが使用されます。このポートは、Information Service のポートで、デフォルト値は 22901 です。たとえば、別の Information Service のポートでエージェントに接続するには、「Agent.Connect("myRemoteMachine", portnumber) 」と入力します。 リモート エージェントに接続している場合に、ローカル エージェントに接続するには、「Agent.Connect("localhost")」と入力します。Integer。
関連タスク
リモート Open Agent を使用したテスト


Decrypt メソッド

クラス

Agent。

処理

指定された文字列を復号化します。Encrypt メソッドで暗号化された文字列のみ復号化することができます。

構文

C#
Decrypt (toDecrypt)
VB
Decrypt(toDecrypt)
変数 | 説明
toDecrypt | 復号化する文字列。String。


DetachAll メソッド

クラス

Agent。

処理

現在アタッチされているすべてのアプリケーションを解除します。

構文

C#
DetachAll( )
VB
DetachAll( )


Encrypt メソッド

クラス

Agent。

処理

指定された文字列を暗号化します。

構文

C#
Encrypt (toEncrypt)
VB
Encrypt (toEncrypt)
変数 | 説明
toEncrypt | 暗号化する文字列。String。


ExecuteBaseState メソッド

クラス

Agent。

処理

テスト対象アプリケーションが実行中でテストの準備ができていることを保証します。

構文

C#
TestObject ExecuteBaseState(baseState)
VB
TestObject ExecuteBaseState(baseState)
変数 | 説明
baseState | 基本状態を実行するために必要なすべての情報を含みます。IBaseState。


GetOption メソッド

クラス

Agent。

処理

エージェント オプションの値を取得します。

構文

C#
GetOption(name)
VB
GetOption(name)
変数 | 説明
name | オプションの名前。使用できるオプションのリストは Options クラスで定義されています。String。

例

たとえば、以下のように入力します。
desktop.getOption(Options.ObjectResolveTimeout)
関連資料
SetOption メソッド


LogError メソッド (Agent)

クラス

Agent。

処理

テストの実行中に書き出される TrueLog ファイルに、エラー メッセージとスクリーンショットを記録します。

構文

C#
LogError (message, [screenshotMode]);
VB
LogError (message, [screenshotMode])
変数 | 説明
message | TrueLog ファイルに書き出すテキスト（エラー メッセージなど）。String。
screenshotMode | 省略可能： 完全なデスクトップ、アクティブなアプリケーション、アクティブなウィンドウのスクリーンショットのどれを記録するかを定義します。デフォルトでは、完全なデスクトップのスクリーンショットが記録されます。Enum

例

// C# code
LogError ("*** Error: Expected Message Box did not appear.");
'VB .NET code
LogError ("*** Error: Expected Message Box did not appear.")


LogInfo メソッド (Agent)

クラス

Agent。

処理

テストの実行中に書き出される TrueLog ファイルに、情報メッセージとスクリーンショットを記録します。

構文

C#
LogInfo (message, [screenshotMode]);
VB
LogInfo (message, [screenshotMode])
変数 | 説明
message | TrueLog ファイルに書き出すテキスト。STRING。
screenshotMode | 省略可能： 完全なデスクトップ、アクティブなアプリケーション、アクティブなウィンドウのスクリーンショットのどれを記録するかを定義します。設定されない場合、スクリーンショットは記録されません。Enum。

例

// C# code
LogInfo ("Succesfully logged in to the application.");
'VB .NET code
LogInfo ("Succesfully logged in to the application.")


LogWarning メソッド (Agent)

クラス

Agent。

処理

テストの実行中に書き出される TrueLog ファイルに、警告メッセージとスクリーンショットを記録します。

構文

C#
LogWarning (message, [screenshotMode]);
VB
LogWarning (message, [screenshotMode])
変数 | 説明
message | TrueLog ファイルに書き出すテキスト。String。
screenshotMode | 省略可能： 完全なデスクトップ、アクティブなアプリケーション、アクティブなウィンドウのスクリーンショットのどれを記録するかを定義します。設定されない場合、スクリーンショットは記録されません。Enum。

例

// C# code
LogWarning ("Baseline file is missing.");
'VB .NET code
LogWarning ("Baseline file is missing.")


OpenTrueLogSection メソッド

クラス

Agent。

処理

TrueLog ファイル:に新しいセクションを作成します。TrueLog セクションを使うと、複雑なスクリプトを、名前をつけた小さなパーツに論理的に分割して構造化できます。TrueLog セクションは入れ子状にすることができます。

構文

C#
OpenTrueLogSection(sectionName);
VB
OpenTrueLogSection(sectionName)
変数 | 説明
sectionName | TrueLog セクションの名前。名前は一意である必要はありません。String。
関連資料
CloseCurrentTrueLogSection メソッド


ResetOptions メソッド

クラス

Agent。

処理

エージェントのすべてのオプションをデフォルト値に戻します。

構文

C#
ResetOptions()
VB
ResetOptions()


SetOption メソッド

クラス

Agent。

処理

エージェント オプションを設定します。このオプションは、すべてのテクノロジ ドメインに対して利用されます。

構文

C#
SetOption(name, value)
VB
SetOption(name, value)
変数 | 説明
name | オプションの名前。使用できるオプションのリストは Options クラスで定義されています。String。
value | オプションの値。Object。

例

たとえば、以下のように入力します。
Agent.setOption(Options.ObjectResolveTimeout, true)
関連資料
GetOption メソッド


Shutdown メソッド (Agent)

クラス

Agent。

処理

夜間テスト実行後などのテスト実行後に Open Agent を停止する場合にこのメソッドを呼び出します。このメソッドは、テスト実行の最後にのみ呼び出されるべきで、テストの操作が実行される前に呼び出されるべきではありません。シャットダウン後に操作が実行されると、エージェントは再起動します。Open Agent を停止する方法として、次のコマンドをコマンド ラインから実行する方法もあります：
openAgent.exe -shutDown

構文

C#
Shutdown()
VB
Shutdown()

例：Shutdown メソッドの使用

// VB code
<AssemblyCleanup()>
Public Shared Sub ShutdownAgentAfterTestRun()
  Agent.Shutdown()
End Sub
// C# code
[AssemblyCleanup]
public static void AssemblyCleanup() {
  Agent.Shutdown();
}


Desktop プロパティ

クラス

Agent。

処理

ルート GUI オブジェクトを取得します。

構文

C#
protected Desktop Desktop { get;}
VB
'Declaration
Protected Read Property Desktop As Desktop

アクセス

読み取り専用。


SystemFunctions プロパティ (Agent)

クラス

Agent。

処理

SystemFunctions オブジェクトを取得します。 このオブジェクトを使うと、Open Agent がインストールされたローカル マシンやリモート マシン上で、OS 固有の操作を実行できます。利用可能なシステム関数についての情報は、「SystemFunctions クラス」トピックを参照してください。

構文

C#
public static SystemFunctions SystemFunctions {
  get { return CurrentAgent.SystemFunctions; }
}
VB
'Declaration
Public Read Property SystemFunctions As SystemFunctions

アクセス

読み取り専用。

例

たとえば、メモ帳をリモート マシン上で開始する場合は、次のコードをスクリプトに記述します。
// C# code
Agent.SystemFunctions.Execute("notepad.exe");
Agent.SystemFunctions.Execute("notepad.exe")
親トピック: Agent クラス


BaseState クラス

説明

BaseState クラスを使用すると、テスト対象アプリケーションが実行中でテストの準備ができていることが保証されます。また、テスト対象アプリケーションが前面に配置されます。

エージェントをアプリケーションにアタッチしようとした場合に、BaseState.Locator で指定されたテスト オブジェクトが見つかると、基本状態としてこのテスト オブジェクトを含むウィンドウが前面に配置され、見つかったテスト オブジェクトが即座に返されます。テスト オブジェクトが見つからない場合、baseStateInfo で指定したとおりにアプリケーションがコマンド ラインから起動し、エージェントがブラウザにアタッチされます。テスト オブジェクトが見つかるまで、エージェントは待機します。待機するためのタイムアウトは、オプション Options.ObjectResolveTimeout.タイムアウトのデフォルト値は、30 秒です。タイムアウトを変更するには、Desktop.SetOption (String, Object) を参照してください。スクリプト オプション ダイアログ ボックスの 再生 タブにある アプリケーション準備完了タイムアウト を編集して UI 上からタイムアウトを変更することもできます。指定したタイムアウト内にテスト オブジェクトが見つかると、このテスト オブジェクトを含むウィンドウが前面に配置され、見つかったテスト オブジェクトが返されます。テスト オブジェクトが見つからずにタイムアウトした場合は、例外がスローされます。

継承

BaseState はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class BaseState: IBaseState
VB
'Declaration
Public Class BaseState _
Implements IBaseState

プロパティ

名前 | 説明
CommandLineArguments | コマンド ライン引数を取得または設定します。
CommandLinePattern | コマンド ライン パターンを取得または設定します。
ExecutablePattern | 実行可能パターンを取得または設定します。
Executable | 実行可能ファイルの名前を取得します
Locator | 実行可能ファイルのロケーターを返します
TechDomains | テストに使用するテクノロジ ドメインのリストを取得または設定します
WorkingDirectory | 作業ディレクトリを取得または設定します。
親トピック: コア クラス リファレンス


CommandLineArguments プロパティ

クラス

BaseState。

処理

コマンド ライン引数を取得または設定します。

構文

C#
public String CommandLineArguments { get; set; }
VB
'Declaration
Public ReadWrite Property CommandLineArguments As String

アクセス

読み書き。


CommandLinePattern プロパティ

クラス

BaseState。

処理

コマンド ライン パターンを取得または設定します。

構文

C#
public String CommandLinePattern{ get; set; }
VB
'Declaration
Public ReadWrite Property CommandLinePattern As String

アクセス

読み書き。


ExecutablePattern プロパティ

クラス

BaseState。

処理

実行可能パターンを取得または設定します。

構文

C#
public String ExecutablePattern { get; set; }
VB
'Declaration
Public ReadWrite property ExecutablePattern As String

アクセス

読み書き。


Executable プロパティ

クラス

BaseState。

処理

実行可能ファイルの名前を返します。

構文

C#
public String Executable { get; }
VB
'Declaration
Public Read Property CommandLineArguments As String

アクセス

読み取り専用。


Locator プロパティ

クラス

BaseState。

処理

実行可能ファイルのロケーターを取得します

構文

C#
public String Locator { get; }
VB
'Declaration
Public Read Property Locator As String

アクセス

読み取り専用。


TechDomains プロパティ

クラス

BaseState。

処理

実行可能ファイルに必要なテクノロジ ドメインを取得します。

構文

C#
public List of TechDomain TechDomains { get; }
VB
'Declaration
Public Read Property TechDomains As List of TechDomain

アクセス

読み取り専用。


WorkingDirectory プロパティ

クラス

BaseState。

処理

作業ディレクトリを取得または設定します。Windows 環境変数を含めることができます。

構文

C#
public String WorkingDirectory { get; set; }
VB
'Declaration
Public ReadWrite Property WorkingDirectory As String

アクセス

読み書き。


BrowserBaseState クラス

説明

Executable で指定されたブラウザが適切に実行されていて、テストの準備ができていることを保証します。さらに、基本状態として Url によって指定された URL に移動し、ブラウザを前面に持ってきます。ブラウザの基本状態は、以下のように実行されます。
  • エージェントをブラウザにアタッチします。
    • Locator で適切に指定されたテスト オブジェクトが見つかると、基本状態として所定の URL に移動し、ブラウザが前面に配置され、見つかったテスト オブジェクトが返されます。
    • テスト オブジェクトが見つからない場合、browserBaseStateInfo で指定したとおりにブラウザがコマンド ラインから起動し、エージェントがブラウザにアタッチされます。
  • テスト オブジェクトが見つかるまで、エージェントは待機します。タイムアウトは、オプション Options.ObjectResolveTimeout.タイムアウトを変更するには、Desktop クラスの SetOption メソッドを参照してください。
    • 指定したタイムアウト内にテスト オブジェクトが見つかると、基本状態として所定の URL に移動し、ブラウザが前面に配置され、見つかったテスト オブジェクトが返されます。
    • テスト オブジェクトが見つからずにタイムアウトした場合は、例外がスローされます。

継承

BrowserBaseState はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class BrowserBaseState: IBaseState
VB
'Declaration
Public Class BrowserBaseState _
Implements IBaseState

プロパティ

名前 | 説明
CommandLineArguments | コマンド ライン引数を取得または設定します。(BaseState から継承)。
CommandLinePattern | コマンド ライン パターンを取得または設定します。(BaseState から継承)。
ExecutablePattern | 実行可能パターンを取得または設定します。(BaseState から継承)。
Executable | 実行可能ファイルの名前を取得します(BaseState から継承)。
Locator | 実行可能ファイルのロケーターを返します(BaseState から継承)。
TechDomains | テストに使用するテクノロジ ドメインのリストを取得または設定します(BaseState から継承)。
Url | 移動する URL を取得します。
WorkingDirectory | 作業ディレクトリを取得または設定します。(BaseState から継承)。
親トピック: コア クラス リファレンス


URL プロパティ

クラス

BrowserBaseState。

処理

移動する URL を取得します。

構文

C#
public String Url { get; }
VB
'Declaration
Public Read Property Url As String

アクセス

読み取り専用。


ConsoleWindow クラス

説明

ConsoleWindow はコンソールのクラスです。

継承

ConsoleWindow はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class ConsoleWindow
VB
'Declaration
Public Class ConsoleWindow

メソッド

名前 | 説明
Close | コンソールを閉じます。
CloseAll | すべての開いているコンソールまたは特定のキャプションを持つすべてのコンソールを閉じます。
GetContents | コンソールの内容を返します。
Open | 新しいコンソールを開きます。
TypeKeys | 一連のキーストロークをコンソールに送信します。
親トピック: コア クラス リファレンス


Close メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

コンソールを閉じます。

構文

C#
consoleWindow.Close ([sItemIdentifier])
VB
consoleWindow.Close ([sItemIdentifier])
変数 | 説明
sItemIdentifier | コンソール ウィンドウのインデックスまたはウィンドウのキャプション。このパラメータが指定されていない場合、Silk4NET は最初に見つけたコンソール ウィンドウを閉じます。 STRING。

例 1

次の例では、インデックスを使用して 2 番目のコンソール ウィンドウを閉じる方法を示します。
consoleWindow.Close(2)

例 2

次の例では、コンソール ウィンドウの完全識別子を使用してコンソール ウィンドウを閉じる方法を示します。
consoleWindow.Close("C:\\Windows\\system32\\cmd.exe[1]")


CloseAll メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

すべての開いているコンソールまたは特定のキャプションを持つすべてのコンソールを閉じます。

構文

C#
consoleWindow.CloseAll ([sCaption])
VB
consoleWindow.CloseAll ([sCaption])
変数 | 説明
sCaption | このパラメータを設定すると、このキャプションを持つコンソールだけが閉じられます。STRING

例

次の例では、キャプション MyCommandWindow を持つすべてのコンソール ウィンドウを閉じる方法を示します：
// C#
consoleWindow.CloseAll("MyCommandWindow");
// VB
consoleWindow.CloseAll("MyCommandWindow")


GetContents メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

コンソールの内容を返します。

構文

C#
lsContents = consoleWindow.GetContents ([sItemIdentifier])
VB
lsContents = consoleWindow.GetContents ([sItemIdentifier])
変数 | 説明
lsContents | コンソールの内容。LIST OF STRING。
sItemIdentifier | コンソール ウィンドウのインデックスまたはウィンドウのキャプション。このパラメータが指定されていない場合、Silk4NET は最初に見つけたコンソール ウィンドウの内容を返します。STRING。

メモ

  • 返された文字列リスト内の各文字列は、コンソール内の 1 行に対応しています。

例 1

次の例では、インデックスを使用して 2 番目のコンソール ウィンドウの内容を取得する方法を示します。
lsContents = consoleWindow.GetContents(2)

例 2

次の例では、コンソール ウィンドウの完全識別子を使用してコンソール ウィンドウの内容を取得する方法を示します。
lsContents = consoleWindow.GetContents("C:\\Windows\\system32\\cmd.exe[1]")


Open メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

新しいコンソールを開きます。

使用可能な資産

この機能がサポートされるのは、Open Agent を使用している場合のみです。

構文

C#
ConsoleWindow.Open ([caption])
VB
ConsoleWindow.Open ([caption])
変数 | 説明
caption | 新しいコンソール ウィンドウのキャプション。String。

例

次の例では、キャプション "My Console" の新しいコンソールを開く方法について示します。
// C#
ConsoleWindow.Open("My Console");
// VB
ConsoleWindow.Open("My Console")


TypeKeys メソッド (ConsoleWindow)

クラス

ConsoleWindow。

処理

一連のキーストロークをコンソールに送信します。

構文

ConsoleWindow.TypeKeys (sEvents [, nDelay, ensureFocus, sItemIdentifier])
変数 | 説明
sEvents | 入力するキーストローク。STRING。
nDelay | 省略可能：キーストローク間の遅延 (秒単位、小数可)。NUMBER。
ensureFocus | 省略可能：アプリケーションを自動的に前面に移動し、メソッドを実行したコントロールにキーボードのフォーカスを設定するかどうか。この処理は、最初のキーを入力する前に実行されるため、入力するキーを複数指定した場合、キーストロークごとに再確認されることはありません。この変数は、デフォルトで TRUE に設定されています。BOOLEAN。
sItemIdentifier | コンソール ウィンドウのインデックスまたはウィンドウのキャプション。このパラメータが指定されていない場合、Silk4NET は最初に見つけたコンソール ウィンドウにキーストロークを送信します。STRING。

メモ

  • 開いているコンソールがない場合は、TypeKeys によってコンソールが開きます。
  • Windows の場合は、入力する前に TypeKeys によってコンソールに入力フォーカスが設定されます。
  • nDelay を指定した場合、この値は、SetOption で設定された、OPT_KEYBOARD_DELAY オプションを使用した設定値よりも優先します。
  • キーストロークが認識されない場合は、使用する遅延の値を大きくすることができます。
  • キーの後に、そのキーの入力頻度を定義するカウンターを配置できます。カウンターは遅延と組み合わせることができます。
  • 遅延時間中は画面がロックされ、マウスおよびキーボードとの対話は不可能になります。
  • DOM に拡張機能を使用して記録している場合、TypeKeys("<Tab>") はキャプチャされません。入力するオブジェクトはスクリプトで直接参照されているため、この手動の Tab を記録する必要はありません。必要に応じて、スクリプトに TypeKeys("<Tab>") を手動で入力できますが、この Tab は記録されません。
  • Ctrl-Shift などのキー グループを指定した場合、プラスおよびマイナス記号はサポートされます。

例

次のサンプル コードは、コンソール ウィンドウで dir コマンドを実行し、ディレクトリのファイルとフォルダをリストします。

// VB
ConsoleWindow.TypeKeys ("dir<Enter>")
// C#
ConsoleWindow.TypeKeys ("dir<Enter>");


DllCall クラス

説明

DllCall クラスを使用すると、NTF ユーザーはエージェントまたは AUT のいずれかで、任意の DLL の公開された DLL 機能を呼び出すことができます。

継承

DllCall はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class DllCall
VB
'Declaration
Public Class Agent

メソッド

名前 | 説明
UnloadAllDllsFromAgent | エージェントからすべての DLL をアンロードします。
UnloadDllFromAgent | 指定した DLL をエージェントからアンロードします。
親トピック: コア クラス リファレンス


UnloadAllDllsFromAgent メソッド

クラス

DllCall。

処理

エージェントからすべての DLL をアンロードします。

構文

C#
Agent.UnloadAllDllsFromAgent ()
VB
Agent.UnloadAllDllsFromAgent ()


UnloadDllFromAgent メソッド

クラス

DllCall。

処理

指定した DLL をエージェントからアンロードします。

構文

C#
bSuccessful = Agent.UnloadDll (sDllName)
VB
bSuccessful = Agent.UnloadDll (sDllName)
変数 | 説明
bSuccessful | DLL が正常にアンロードされた場合は true、失敗した場合は false。BOOLEAN。
sDllName | DLL ファイルの名前。STRING。

メモ

UnloadDllFromAgent は、標準 DLL をアンロードする場合のみ使用できます。混在アセンブリをアンロードする場合は,使用できません。混在アセンブリをアンロードするには、UnloadAllDllsFromAgent を使用します。


IBaseState インターフェイス

説明

基本状態のインターフェイスです。基本状態は、アプリケーションをテスト可能な状態にします。必要に応じてアプリケーションを起動して、あるロケーターが見つかるまで待機し、アプリケーションを前面に持ってきます。

構文

C#
public interface IBaseState
VB
'Declaration
Public Interface IBaseState

メソッド

名前 | 説明
Execute | デスクトップで指定したマシン上で基本状態を実行します。
親トピック: コア クラス リファレンス


Execute メソッド

クラス

BaseState。

処理

デスクトップで指定したマシン上で基本状態を実行します。

構文

C#
TestObject = BaseState.Execute();
VB
TestObject = BaseState.Execute()
変数 | 説明
TestObject | ロケーターが待機するオブジェクト。

例：構成ファイルを使用した Web アプリケーションの基本状態の設定

構成ファイル config.silk4net に保存されている基本状態を使用して、Web アプリケーションの基本状態を設定するには：

C#
var baseState = new BrowserBaseState();
baseState.Execute();
VB
Dim baseState = New BrowserBaseState()
baseState.Execute()

さらに、基本状態を変数に格納するには：

C#
var baseState = new BrowserBaseState();
var browserApplication = (BrowserApplication) baseState.Execute();
VB
Dim baseState = New BrowserBaseState()
Dim browserApplication As BrowserApplication = baseState.Execute()

例：基本状態でのブラウザーと Web アプリケーションの URL の指定

Web アプリケーションをテストするブラウザーとして Internet Explorer を、Web アプリケーションの URL として www.borland.com を指定するには、次のコードを使用できます。

C#
var baseState = new BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com");
baseState.Execute();
VB
Dim baseState = New BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com")
baseState.Execute()

さらに、基本状態を変数に格納するには：

C#
var baseState = new BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com");
var browserApplication = (BrowserApplication) baseState.Execute();
VB
Dim baseState = New BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com")
Dim browserApplication As BrowserApplication = baseState.Execute()

モバイル デバイス上のモバイル ブラウザー (iOS デバイス上の Safari など) を指定するには、次のコードを使用できます。

C#
var baseState = new BrowserBaseState(BrowserType.Safari, "www.borland.com");
baseState.MobileDeviceName = "My iPhone";
baseState.Execute();
VB
Dim baseState = New BrowserBaseState(BrowserType.Safari, "www.borland.com")
baseState.MobileDeviceName = "My iPhone"
baseState.Execute()

例：実行可能ファイルへのパスと AUT のメイン ウィンドウのロケーターの指定

AUT の実行可能ファイルへのパスとして C:/windows/system32/notepad.exe を、AUT のメイン ウィンドウのロケーターとして //Window[@caption='*Notepad*'] を指定するには、次のコードを使用できます。

C#
var baseState = new BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']");
baseState.Execute();
VB
Dim baseState = New BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']")
baseState.Execute()

さらに、基本状態を変数に格納するには：

C#
var baseState = new BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']");
var mainWindow = (Window) baseState.Execute();
VB
Dim baseState = New BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']")
Dim mainWindow As Window = baseState.Execute()


Timer クラス

説明

Timer クラスを使用すると、経過時間を正確に計測できます。

特に、 Timer クラスのメソッドとプロパティは、Silk Performer から呼び出されるテスト実行の計測に使用できるという利点があります。Silk4NET と Silk Performer の統合についての詳細は、『Silk Performer ヘルプ』を参照してください。

継承

BaseState はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class Timer
VB
'Declaration
Public Class Timer

メソッド

名前 | 説明
Pause | タイマーの計測を一時停止します。
Resume | タイマーの計測を再開します。
Start | タイマーの計測を開始または再開します。
StartNew | 新しい Timer インスタンスを初期化し、経過時間を 0 に設定してから、経過時間の計測を開始します。
Stop | タイマーの計測を停止します。

プロパティ

名前 | 説明
Elapsed | タイマーの経過時間を取得します。
ElapsedMilliseconds | タイマーの経過時間をミリ秒で取得します。
IsRunning | タイマーが現在実行されているかどうかを取得します。
Name | Silk Performer とのやり取りに使用するタイマーの名前を取得または設定します。
親トピック: コア クラス リファレンス


Pause メソッド (Timer)

クラス

Timer。

処理

タイマーの計測を一時停止します。

構文

C#
timer.Pause ()
VB
timer.Pause ()


Resume メソッド (Timer)

クラス

Timer。

処理

タイマーの計測を再開します。

構文

C#
timer.Resume ()
VB
timer.Resume ()


Start メソッド (Timer)

クラス

Timer。

処理

タイマーが現在停止している場合、タイマーの計測を開始します。タイマーが現在一時停止している場合、タイマーの計測を再開します。

構文

C#
timer.Start ()
VB
timer.Start ()


StartNew メソッド (Timer)

クラス

Timer。

処理

新しい Timer インスタンスを初期化し、経過時間を 0 に設定してから、経過時間の計測を開始します。名前は Silk Performer とやり取りするために提供されます。

構文

C#
timer=StartNew ([timerName])
VB
timer=StartNew ([timerName])
変数 | 説明
timer | 経過時間の測定を開始した新しい Timer インスタンス。Timer。
timerName | 省略可能：新しいタイマーの名前。名前は Silk Performer とやり取りするために提供されます。String.


Stop メソッド (Timer)

クラス

Timer。

処理

タイマーの計測を停止します。

構文

C#
timer.Stop()
VB
timer.Stop()


Elapsed プロパティ (Timer)

クラス

Timer。

処理

タイマーの経過時間を取得します。

構文

C#
public TimeSpan Elapsed { get; }
VB
'Declaration
Public Read Property Elapsed As TimeSpan

アクセス

読み取り


ElapsedMilliseconds プロパティ (Timer)

クラス

Timer。

処理

タイマーの経過時間をミリ秒で取得します。

構文

C#
public long ElapsedMilliseconds { get; }
VB
'Declaration
Public Read Property ElapsedMilliseconds As Long

アクセス

読み取り


IsRunning プロパティ (Timer)

クラス

Timer。

処理

タイマーが現在実行されているかどうかを取得します。タイマーが実行している場合は True を返します。

構文

C#
public bool IsRunning { get; }
VB
'Declaration
Public Read Property IsRunning As Boolean

アクセス

読み取り


Name プロパティ (Timer)

クラス

Timer。

処理

Silk Performer とのやり取りに使用するタイマーの名前を取得または設定します。

構文

C#
public string Name { get; set;}
VB
'Declaration
Public ReadWrite Property Name As String

アクセス

読み書き。


Silk4NET クラス

説明

Silk4NET は、Visual Studio に固有の機能を処理するクラスです。 現在、このクラスは資産を検証するための機能を提供しています。

継承

Silk4NET はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

メソッド

名前 | 説明
TryVerifyAsset | 指定された検証資産を実行し、検証が合格したかどうかを返します。 Boolean
VerifyAsset | 指定された検証資産を実行します。 検証が合格しなかった場合、例外がスローされます。
親トピック: コア クラス リファレンス


TryVerifyAsset メソッド

クラス

Silk4NET。

処理

検証資産を実行し、検証に合格したかどうかを返します。 検証する UI オブジェクトが見つからない場合は、ObjectNotFoundException をスローします。

構文

C#
result = TryVerifyAsset(verificationAsset)
VB
result = TryVerifyAsset(verificationAsset)
変数 | 説明
result | 検証が合格したかどうかを返します。 検証が合格した場合は true を返し、合格しなかった場合は false を返します。 Boolean。
verificationAsset | .verification ファイルの名前。 ファイル拡張子は省略できます。 String。

例

イメージ資産 myImageAsset の検証を実行するには、次のコードを入力します。

C#
bool result = Silk4NET.TryVerifyAsset("myImageAsset");
VB
Dim result As Boolean = Silk4NET.TryVerifyAsset("myImageAsset")


VerifyAsset メソッド (Silk4NET)

クラス

Silk4NET。

処理

検証資産を実行します。 検証に合格しなかった場合、VerificationFailedException がスローされます。 検証する UI オブジェクトが見つからない場合は、ObjectNotFoundException をスローします。

構文

C#
result = VerifyAsset(verificationAsset)
VB
result = VerifyAsset(verificationAsset)
変数 | 説明
result | 検証が成功したかどうか。 BOOLEAN。
verificationAsset | .verification ファイルの名前。 ファイル拡張子は省略できます。 String。

例

イメージ資産 myImageAsset の検証を実行するには、次のコードを入力します。

C#
Silk4NET.VerifyAsset("myImageAsset");
VB
Silk4NET.VerifyAsset("myImageAsset")


データ型

このセクションでは、さまざまなデータ型を示します。

注: .NET Framework のデータ型についての情報は、MSDN を参照してください（たとえば、 Integer、 Boolean、 String など）。 ビジュアル テストで使用することのできるデータ型についての情報は、 「ビジュアル テストにおける変数」を参照してください。.
  • ClickType 列挙
    TextClick の再生中にテキストをクリックする方法を指定します。
  • Color クラス
    レッド、グリーン、ブルー、アルファ チャンネルの点から色について説明します。
  • ItemIdentifier データ型
    リスト ボックス、タブ コントロール、コンボ ボックスなどのコントロール内の項目を指定します。
  • ItemPath データ型
    ツリーの項目パスの文字列表現です。
  • ModifierKeys 列挙
    再生中に押下するキー修飾子を指定します。
  • MouseButton 列挙
    マウス デバイスのボタンを指定する値を定義します。
  • Point クラス
    画面上のポイントを指定します。
  • Range クラス
    最小値と最大値を持つ範囲を指定します。
  • Rectangle クラス
    画面上の矩形領域を指定します。
  • TextPosition クラス
    テキスト フィールド内の位置を指定します。
  • TextRange クラス
    テキスト フィールド内の範囲を指定します。
  • TreeContent クラスs
    ツリー コントロールの内容を表します。ツリー内のすべての項目が TreeNode として表現されます。
  • TreeNode クラス
    TreeContent 内のノードを表します。
親トピック: Silk4NET 言語リファレンス


ClickType 列挙

説明

TextClick の再生中にテキストをクリックする方法を指定します。

構文

C#
public enum ClickType
VB
Public Enumeration ClickType

メンバー

名前 | 説明
Left | 左マウス ボタンを1回クリックします。
Right | 右マウス ボタンを1回クリックします。
Middle | 中央マウス ボタンを1回クリックします。
LeftDouble | 左マウス ボタンをダブル クリックします。
Press | 左マウス ボタンをクリックして、その状態を保持します。
Release | 左マウス ボタンを離します。
親トピック: データ型


Color クラス

説明

レッド、グリーン、ブルー、アルファ チャンネルの点から色について説明します。

継承階層

Color はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class Color
VB
Public Class Color

フィールド

名前 | 説明
BLACK | #FF000000 の ARGB 値を持つ色を取得します。
WHITE | #FFFFFFFF の ARGB 値を持つ色を取得します。
GREEN | #FF00FF00 の ARGB 値を持つ色を取得します。
RED | #FFFF0000 の ARGB 値を持つ色を取得します。
BLUE | #FF0000FF の ARGB 値を持つ色を取得します。
YELLOW | #FFFFFF00 の ARGB 値を持つ色を取得します。
MAGENTA | #FFFF00FF の ARGB 値を持つ色を取得します。
CYAN | #FF00FFFF の ARGB 値を持つ色を取得します。

プロパティ

名前 | 説明
R | 色のレッド ARGB チャンネルの値を取得します。 Integer
G | 色のグリーン ARGB チャンネルの値を取得します。 Integer
B | 色のブルー ARGB チャンネルの値を取得します。 Integer
A | 色のアルファ ARGB チャンネルの値を取得します。 Integer
親トピック: データ型


ItemIdentifier データ型

説明

リスト ボックス、タブ コントロール、コンボ ボックスなどのコントロール内の項目を指定します。 項目は次のようにして指定することができます。
  • テキスト (String)。
  • インデックス (Integer)。
  • テキストとインデックスの組み合わせ (String)。

文字列値は項目の名前を指定します。文字列には、ワイルドカード文字を含めることができます。 また、文字列として項目のインデックスを "[n]" という形式で指定することもできます。ここで、n は項目のインデックス番号です。

例

次の例では、 ListBox 内の項目を選択する方法を示します。
listbox.select(0)  ' Selects the first item, which has the index 0.
listbox.select("[0]")  ' Also selects the first item.
listbox.select("apple")   ' Selects the first item with text "apple".
listbox.select("apple[1]")   'Selects the second item with the text "apple".
親トピック: データ型


ItemPath データ型

説明

ツリーのルートから特定の項目への階層的パスです。 常に階層全体を指定する必要があります。項目パスの階層の各部分は、名前、インデックス、または両方の組み合わせで指定できます。 複数の属性を指定することによって、階層パス内の各項目を一意に指定することができます。

ツリー内のパスは次の属性を持ちます。
  • 項目と他の項目間の階層的関係。
  • 項目のタイトルまたはキャプション。
  • 同レベルの項目に関して項目の順序を表す 0 ベースの数。

例

次の例では、パス、インデックス、またはパスとインデックスの組み合わせによって、ツリー内の項目を 一意に指定する方法を示します。
指定方法 | 項目
"/Desktop/Applications/Games" | ツリーの外部レベルにある一意な項目 "Desktop" の下の、 一意な項目 "Applications"、さらにその下の一意な項目 "Games"。
"/Desktop/[2]/[4]" | ツリーの外部レベルにある一意な項目 "Desktop" の下の、 3 番目の項目の下の 5 番目の項目。
"/Desktop/Applications[2]/Games" | ツリーの外部レベルにある一意な項目 "Desktop" の下の、 テキスト "Applications" を持つ 3 番目の項目、さらにその下の一意な項目 "Games"。
親トピック: データ型


ModifierKeys 列挙

説明

再生中に押下するキー修飾子を指定します。

構文

C#
public enum ModifierKeys
VB
Public Enumeration ModifierKeys

メンバー

名前 | 説明
None | キー修飾子はありません。
Shift | Shift 修飾子。
Alt | Alt 修飾子。
コントロール | Ctrl 修飾子。
ControlAlt | Ctrl+Alt 修飾子。
ShiftControl | Shift+Ctrl 修飾子。
ShiftAlt | Shift+Alt 修飾子。
ShiftControlAlt | Ctrl+Shift+Alt 修飾子。
親トピック: データ型


MouseButton 列挙

説明

マウス デバイスのボタンを指定する値を定義します。

構文

C#
public enum MouseButton
VB
Public Enumeration MouseButton

メンバー

名前 | 説明
Left | 左マウス ボタン。 Left = 1。
Middle | 中央マウス ボタン。 Middle = 3。
Right | 右マウス ボタン。 Right = 2。
親トピック: データ型


Point クラス

説明

画面上のポイントを指定します。

継承階層

Point はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class Point
VB
Public Class Point

プロパティ

名前 | 説明
X | X 座標を取得します。
Y | Y 座標を取得します。
親トピック: データ型


Range クラス

説明

最小値と最大値を持つ範囲を指定します。

継承階層

Range はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class Range
VB
Public Class Range

プロパティ

名前 | 説明
Minimum | 最小値を取得します。
Maximum | 最大値を取得します。
親トピック: データ型


Rectangle クラス

説明

画面上の矩形領域を指定します。

継承階層

Rectangle はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class Rectangle
VB
Public Class Rectangle

プロパティ

名前 | 説明
X | 矩形領域の X 座標を取得します。
Y | 矩形領域の Y 座標を取得します。
Width | 矩形領域の幅を取得します。
Height | 矩形領域の高さを取得します。
Center | 矩形領域の中央を取得します。
IsEmpty | 矩形が空かどうかを判定します。

メソッド

名前 | 説明
Contains(Rectangle) | 現在の Rectangle が、指定した Rectangle を含むかどうかを調べます。 Boolean
Contains(Point) | 現在の Rectangle が、指定した Point を含むかどうかを調べます。 Boolean
Contains(X,Y) | 現在の Rectangle が、指定した座標を含むかどうかを調べます。 Boolean
親トピック: データ型


TextPosition クラス

説明

テキスト フィールド内の位置を指定します。

継承階層

TextPosition はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class TextPosition
VB
Public Class TextPosition

プロパティ

名前 | 説明
Line | 行を取得します。
Column | 列を取得します。
親トピック: データ型


TextRange クラス

説明

テキスト フィールド内の範囲を指定します。

継承階層

TextRange はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class TextRange
VB
Public Class TextRange

プロパティ

名前 | 説明
StartLine | 範囲の最初の行を取得します。
StartColumn | 範囲の最初の列を取得します。
EndLine | 範囲の最後の行を取得します。
EndColumn | 範囲の最後の列を取得します。
親トピック: データ型


TreeContent クラスs

説明

ツリー コントロールの内容を表します。 ツリー内のすべての項目が TreeNode として表現されます。

継承階層

TreeContent はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class TreeContent
VB
Public Class TreeContent

プロパティ

名前 | 説明
RootNodes | 対応するツリーのルート子ノードを取得します。
親トピック: データ型


TreeNode クラス

説明

TreeContent 内のノードを表します。

継承階層

TreeNode はどのクラスからも派生しません。また、このクラスから派生するクラスはありません。

構文

C#
public class TreeNode
VB
Public Class TreeNode

プロパティ

名前 | 説明
Children | TreeNode の子ノードを取得します。
Text | TreeNode のテキストを取得します。
親トピック: データ型


Flex クラス リファレンス

Flex コントロールのテストに利用可能なクラスを一覧します。 さらに、カスタム コントロールをテストするために Silk Test をカスタマイズすることもできます。

クラスの詳細については、『Apache Flex 開発者ガイド』を参照してください。
注: Flex および Flex クラス使用時の既知の問題は、Silk Test でも再現します。 たとえば、FlexChart クラスを使用した要素のドラッグ＆ドロップは、要素のドラッグを開始する前にグラフ要素の端近くをクリックすると機能しない場合があります。 これによって、ドラッグの開始座標が無効になるため、再生に失敗します。 これは Flex のドラッグ＆ドロップの既知の問題です。 Flex の既知の問題の詳細については、『Apache Flex リリース ノート』を参照してください。
注: FlexTitleWindow クラスは、Silk Test によって FlexPanel として識別され記録されます（別のクラスとして定義されていますが）。 これは Flex の既知の問題です。 Flex の既知の問題の詳細については、『Apache Flex リリース ノート』を参照してください。
  • FlexAccordion クラス
    Accordion ナビゲーター コンテナーは子コンテナーのコレクションを持ちますが、その 1 つだけを一度に可視にすることができます。 子の間を移動するために使用するナビゲーター ボタン（アコーディオン ヘッダー）を作成および管理します。
  • FlexAdvancedDataGrid クラス
    標準の DataGrid コントロールの機能を拡張したもので、Apache Flex アプリケーションにデータ視覚化機能が追加されます。 これらの機能によって、データ表示やデータ集計、データ フォーマットについて、より高度な操作が可能になります。
  • FlexAlert クラス
    メッセージ、タイトル、ボタン（「OK」、「キャンセル」、「はい」、「いいえ」の任意の組み合わせ）およびアイコンを含むことができるポップアップ ダイアログ ボックスです。
  • FlexApplication クラス
    デフォルトのコンテナー（Application コンテナー）が定義されるため、別のコンテナーを明示的に定義することなく、アプリケーションにコンテンツを追加することができます。
  • FlexAreaChart クラス
    データ内の値をつなぐ線で囲まれた面としてデータを表します。 AreaChart コントロールを使用すると、単純面グラフ、積み上げ面グラフ、構成比面グラフ、高低面グラフなど、各種の面グラフを表すことができます。
  • FlexAreaSeries クラス
    AreaChart コントロールのデータ系列を定義します。
  • FlexAxisRenderer クラス
    グラフの水平軸および垂直軸を表すために使用します。 軸は、その長さに沿って、ラベル、目盛り、およびタイトルを表示する役割を持ちます。
  • FlexBarChart クラス
    データ内の値によって長さが決まる一連の横棒でデータを表します。 BarChart コントロールは、単純横棒グラフ、集合横棒グラフ、積み上げ横棒グラフ、構成比横棒グラフ、高低横棒グラフなど、各種の横棒グラフを表すことができます。
  • FlexBarSeries クラス
    BarChart コントロールのデータ系列を定義します。
  • FlexBox クラス
    Box コンテナーでは、子が単一の垂直列または水平行にレイアウトされます。
  • FlexBubbleChart クラス
    各データ ポイントにつき 3 つの値でデータを表します。 各データ ポイントは、水平軸に沿った位置を決定する値、垂直軸に沿った位置を決定する値、およびグラフ上の他のデータ ポイントとの比較でグラフ要素のサイズを決定する値で定義されます。
  • FlexBubbleSeries クラス
    BubbleChart コントロールのデータ系列を定義します。
  • FlexButton クラス
    Button コントロールはきわめて使用頻度の高い四角形のボタンです。 Button コントロールは押し下げ可能に見えます。 表面には、テキスト ラベル、アイコンのいずれか、または両方を表示できます。
  • FlexButtonBar クラス
    共通の外観と操作性を持つ論理的に関連するプッシュ ボタンの水平または垂直方向のグループを定義します。
  • FlexCandlestickChart クラス
    データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。
  • FlexCandlestickSeries クラス
    データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。
  • FlexCanvas クラス
    Canvas レイアウト コンテナーは、子コンテナーおよびコントロールを配置する矩形領域を定義します。 このコンテナーは、その内部における子の位置を、各子の x および y プロパティを使用して明示的に指定できる唯一のコンテナーです。
  • FlexCartesianChart クラス
    一般的なグラフ タイプの基本クラスです。 CartesianChart は、標準的な長方形の 2 次元グラフの基本的なレイアウト動作を定義します。
  • FlexChart クラス
    Flex コンポーネント アーキテクチャと DualStyleObject アーキテクチャの間のリンクです。 ChartBase クラスは Flex UIComponent の基本クラスを拡張しますが、DualStyleObject の各クラスは ChartBase クラスに含まれています。
  • FlexChartLegend クラス
    グラフに凡例を追加できます。凡例にはグラフ内の各データ系列のラベルや、データ系列のグラフ要素を示すキーが表示されます。
  • FlexChartSeries クラス
    グラフ コントロールのデータ系列を指定するクラスの基本クラスです。
  • FlexCheckBox クラス
    CheckBox コントロールは、オプションのラベルと、チェック マークの表示と非表示の状態を保持する小さなボックスから構成されます。
  • FlexColorPicker クラス
    ユーザーが色見本リストから色を選択する手段を提供します。
  • FlexColumnChart クラス
    データ内の値によって高さが決まる一連の縦棒でデータを表します。
  • FlexColumnSeries クラス
    ColumnChart コントロールのデータ系列を定義します。
  • FlexComboBase クラス
    テキストを表示するフィールドのほか、ユーザーが選択するテキストを表示するドロップダウン リストを表示するためのボタンを持つコントロールの基本クラスです。
  • FlexComboBox クラス
    ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。
  • FlexContainer クラス
    コンポーネントの抽象基本クラスであり、子コンポーネントのレイアウト特性を制御します。
  • FlexContainerMovieClip クラス
    Adobe Flash CS3 Professional で Flex 用に作成するコンテナー コンポーネントは、mx.flash.ContainerMovieClip クラスのサブクラスになります。
  • FlexDataGrid クラス
    DataGrid コントロールは、List コントロールに似ていますが、複数の列のデータを表示でき、複数のプロパティを持つオブジェクトの表示に適している点が異なります。
  • FlexDateChooser クラス
    DateChooser コントロールは、月の名前、年、および月の各日を示すグリッドを表示し、そのグリッドの列ラベルとして曜日を表示します。
  • FlexDateField クラス
    右側にカレンダ アイコンを持った日付を表示するテキスト フィールドです。
  • FlexDisplayObject クラス
    表示リストに含めることのできるすべてのオブジェクトに関する基本クラスです。 表示リストは、Flash Player または Adobe AIR に表示されるすべてのオブジェクトを管理します。
  • FlexDividedBox クラス
    Box コンテナーと同じ方法で子を水平方向または垂直方向に測定して配置しますが、子の間にはドラッグ可能な仕切りが挿入されます。 ユーザーは、任意の側の仕切りをドラッグして子のサイズを変更できます。
  • FlexForm クラス
    フォームのレイアウトを制御し、フォーム フィールドが必須かオプションであるかを明示し、エラー メッセージを処理し、フォーム データを Flex データ モデルにバインドしてデータのチェックと検証を実行することができます。 また、スタイルシートを使用してフォームの外観を設定することもできます。
  • FlexFormItem クラス
    ラベル、および水平方向または垂直方向に配置されている子を定義します。 フォームの子には、コントロールやその他のコンテナーなどがあります。 1 つの Form コンテナーで複数の FormItem コンテナーを保持できます。
  • FlexHLOCChart クラス
    HLOCChart（高値、安値、始値、終値）コントロールは、データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。
  • FlexHLOCSeries クラス
    データ系列の高値、安値、終値、および始値（オプション）などの財務データを一連の要素で示します。
  • FlexHLOCSeriesBase クラス
    データ系列の高値、安値、終値、および始値（オプション）などの財務データを一連の要素で示します。
  • FlexImage クラス
    実行時に、JPEG、PNG、GIF および SWF のファイルをインポートできます。
  • FlexLabel クラス
    編集できないテキストの単一行を表示します。
  • FlexLineChart クラス
    連続する 1 本の線でつながれた点としてデータ系列を表します。
  • FlexLineSeries クラス
    LineChart コントロールのデータ系列を定義します。
  • FlexLinkBar クラス
    一連のリンク先を指定する LinkButton コントロールの水平方向または垂直方向の行を定義します。
  • FlexList クラス
    項目のリストを水平方向、垂直方向、またはタイル状に並べて表示します。
  • FlexListBase クラス
    ListBase クラスは、項目のリストを表すコントロールの基本クラスです。項目リストでは、1 つまたは複数の項目を選択したり、項目をスクロールしたりできます。
  • FlexListLabel クラス
    コントロールのデフォルトの項目レンダラを定義します。 デフォルトでは、項目レンダラはリスト中の各項目に関連付けられたテキストとオプションでアイコンを描画します。
  • FlexLoader クラス
    指定した SWF ファイルをロードし表示します。 通常、ある Flex アプリケーションをホストする Flex アプリケーションにロードする場合に SWFLoader を使用します。
  • FlexMenu クラス
    大部分のソフトウェア アプリケーションに見られるファイル メニューや編集メニューのような、個別に選択可能な選択肢を含むポップアップ メニューを作成します。 ポップアップ メニューには、必要に応じて複数のサブメニューのレベルを設定できます。
  • FlexMenuBar クラス
    1 つ以上のメニューを含む水平な最上位メニュー バーを定義します。 最上位メニュー項目をクリックすると、Menu コントロールのインスタンスであるポップアップ サブメニューが開きます。
  • FlexNavigationBar クラス
    LinkBar コントロールや TabBar コントロールなどのナビゲーター コントロールに対するスーパークラスです。 このクラスは直接インスタンス化できません。
  • FlexNumericStepper クラス
    順序化された集合から数値を選択することができます。
  • FlexObject クラス
    対話型と非対話型の両方のすべてのビジュアル コンポーネントの基本クラスです。
  • FlexOLAPDataGrid クラス
    AdvancedDataGrid コントロールの機能を拡張したもので、OLAP クエリの結果表示のサポートが追加されています。
  • FlexPanel クラス
    タイトル バー、キャプション、境界線、および子のコンテンツ領域から構成されています。
  • FlexPieChart クラス
    標準的な円グラフでデータ系列を表します。
  • FlexPieSeries クラス
    PieChart コントロールのデータ系列を定義します。
  • FlexPlotChart クラス
    各データ ポイントにつき 2 つの値でデータを表します。 1 つの値は水平方向の軸に沿ったデータ ポイントの位置を、もう 1 つの値は垂直方向の軸に沿った位置を決定します。
  • FlexPlotSeries クラス
    PlotChart コントロールのデータ系列を定義します。
  • FlexPopUpButton クラス
    PopUpButton コントロールは、Button コントロールにポップアップ コントロールのインターフェイスを追加します。 メイン ボタンとポップアップ ボタンと呼ばれる小さなボタンを持ち、ユーザーがポップアップ ボタンをクリックすると、任意の UIComponent オブジェクトをポップアップします。
  • FlexProgressBar クラス
    ProgressBar コントロールは、時間の経過に伴うタスクの進捗状況を視覚的に表示します。 ProgressBar コントロールには、確定モードと不確定モードの 2 つの種類があります。
  • FlexRadioButton クラス
    RadioButton コントロールを使用すると、一連の相互排他的な選択肢の中から 1 つだけをユーザーに選択させることができます。
  • FlexRepeater クラス
    リピータ コントロールを識別し、そのサブコンポーネントの複数のインスタンスを作成します。
  • FlexRule クラス
    単一の水平方向または垂直方向の線を作成します。 通常、このコントロールはコンテナーの内部を分割する線を作成するために使用します。
  • FlexScrollBar クラス
    表示領域に対してデータが多すぎる場合に表示するデータの部分を制御するために使用します。
  • FlexScrollBase クラス
    ScrollControlBase クラスは、スクロール バーを持つコントロールの基本クラスです。
  • FlexSlider クラス
    スライダー トラックの両端の間でスライダー サムを移動することで値を選択できます。
  • FlexStandalonePlayer クラス
    Flex スタンドアロン プレイヤー。
  • FlexTabNavigator クラス
    子コンテナー間での移動のために TabBar コンテナーを取り込むことで、ViewStack コンテナーを拡張します。
  • FlexTextArea クラス
    複数行のテキストフィールドで、境界線とオプションのスクロールバーが含まれます。
  • FlexTitleWindow クラス
    タイトル バー、キャプション、境界線、および子のコンテンツ領域から構成されています。
  • FlexToggleButtonBar クラス
    選択状態または選択解除状態を維持しているボタンが水平方向に並んだグループまたは垂直方向に並んだグループを定義します。
  • FlexTree クラス
    Tree コントロールを使用すると、展開可能なツリー形式で階層データを表示できます。
  • FlexUIMovieClip クラス
    Adobe Flash CS3 Professional で Flex 用に作成するコンポーネントは、mx.flash.UIMovieClip クラスのサブクラスになります。
  • FlexVideoDisplay クラス
    Flex アプリケーションで FLV ファイルを再生できます。 HTTP を介したプログレッシブ ダウンロード、Flash Media Server からのストリーミング、および Camera オブジェクトからのストリーミングをサポートします。
  • FlexViewStack クラス
    ViewStack ナビゲーターのコンテナーは、積み重ねられた一連の子コンテナーから成ります。子コンテナーは一度に 1 つのみ表示されます。 別の子コンテナーが選択されると、同じ場所に表示されるため、このコンテナーによって既存のコンテナーが置き換えられたように見えます。 ただし、それまでの子コンテナーもまだ存在しており、単に見えなくなっただけです。
  • FlexWindow クラス
    Window は、AIR デスクトップ アプリケーションの追加ウィンドウに対する最上位のコンテナーです。
  • FlexWindowedApplication クラス
    WindowedApplication は、AIR アプリケーション用の Flex アプリケーションを作成するために使用するアプリケーション コンテナーを定義します。
  • SparkAirHTML クラス
    アプリケーションの HTML コンテンツを表示する HTML コントロール。
  • SparkApplication クラス
    Flex は、デフォルトのコンテナー（Application コンテナー）を定義するため、別のコンテナーを明示的に定義することなく、アプリケーションにコンテンツを追加することができます。
  • SparkBorderContainer クラス
    BorderContainer クラスは、コンテナーの境界線と背景の塗りつぶしの外観を制御する一連の CSS スタイルを定義します。
  • SparkButton クラス
    SparkButton コンポーネントはきわめて使用頻度の高い四角形のボタンです。 SparkButton コンポーネントは、押すことができるような外観をしています。
  • SparkButtonBar クラス
    ButtonBar コントロールは、共通の外観と操作性を持つ論理的に関連するボタンの水平または垂直方向のグループを定義します。
  • SparkButtonBarButton クラス
    ButtonBarButton クラスは、ButtonBar コントロールによって使用されるカスタム項目レンダラを定義します。
  • SparkButtonBase クラス
    SparkButtonBase クラス はすべての Spark ボタン コンポーネントの基本クラスです。
  • SparkCheckBox クラス
    CheckBox コンポーネントは、オプションのラベルと、チェック マークの表示と非表示の状態を保持する小さなボックスから構成されます。
  • SparkComboBox クラス
    ComboBox コントロールは、DropDownListBase コントロールの子クラスです。 DropDownListBase コントロールと同様に、ComboBox コントロールのドロップダウン リストからユーザーが項目を選択すると、コントロールのプロンプト領域にデータ項目が表示されます。
  • SparkComplexDisplay クラス
    複雑なレンダリング オブジェクトです。
  • SparkDataGrid クラス
    Spark DataGrid コントロールを識別します。
  • SparkDataGridLabel クラス
    Spark DataGridLabel コントロールを識別します。
  • SparkDataGroup クラス
    DataGroup クラスはデータ項目の基本コンテナー クラスです。
  • SparkDataRenderer クラス
    SparkDataRenderer クラス は Spark のデータ コンポーネントの基本クラスです。
  • SparkDropDownList クラス
    SparkDropDownList コントロールには、ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。
  • SparkDropDownListBase クラス
    SparkDropDownListBase コントロールには、ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。
  • SparkForm クラス
    Spark Form コントロールを識別します。
  • SparkFormItem クラス
    Spark FormItem コントロールを識別します。
  • SparkGroup クラス
    視覚的な子である、ビジュアル コンポーネントとグラフィック コンポーネントの両方を管理する場合に、このコンテナーを使用します。
  • SparkGroupBase クラス
    GroupBase クラス はビジュアル要素を表示するコンポーネントの基本クラスです。
  • SparkImage クラス
    Spark Image コントロールを識別します。
  • SparkLabel クラス
    Label は、単一行または複数行のテキストを均一のフォーマットでレンダリングできる低レベルの UIComponent です。
  • SparkList クラス
    List コントロールでは、項目を垂直方向に並べて表示します。
  • SparkListBase クラス
    ListBase クラス は選択をサポートするすべてのコンポーネントの基本クラスです。
  • SparkListLabel クラス
    単純なレンダリング オブジェクトです。
  • SparkMuteButton クラス
    MuteButton クラスは、VideoPlayer コントロールによって使用されるミュート ボタンを定義します。
  • SparkNavigatorContent クラス
    NavigatorContent クラスは、ViewStack、TabNavigator、Accordion などの MX ナビゲーター コンテナーで使用できる Spark コンテナーを定義します。
  • SparkNumericStepper クラス
    NumericStepper コントロールを使用すると、一定の間隔で増減する数値を選択できます。 NumericStepper は Spinner コンポーネントと同じ機能を提供しますが、コンポーネントの値を、コントロールの矢印ボタンを使用して変更するのではなく直接編集できるように、TextInput コントロールを追加します。
  • SparkObject クラス
    SparkObject クラス はすべての Spark コンポーネントの基本クラスを定義します。
  • SparkPanel クラス
    Panel クラスは、タイトル バー、キャプション、境界線、および子のコンテンツ領域を含むコンテナーを定義します。
  • SparkPopUpAnchor クラス
    Spark PopUpAnchor コントロールを識別します。
  • SparkRadioButton クラス
    RadioButton コンポーネントを使用すると、一連の相互排他的な選択肢の中から 1 つだけをユーザーに選択させることができます。 RadioButtonGroup は、同じ groupName プロパティを持つ複数の RadioButton コンポーネントで構成されます。
  • SparkRange クラス
    Range クラスは、値と minimum および maximum プロパティで定義された許可された範囲を保持します。
  • SparkRichEditableText クラス
    RichEditableText は、リッチ フォーマット テキストの表示、スクロール、選択および編集を行うための低レベルの UIComponent です。
  • SparkRichText クラス
    RichText は、単一行または複数行のリッチ フォーマット テキストや埋め込み画像を表示する低レベルの UIComponent です。
  • SparkScrollBar クラス
    ScrollBarBase クラスは、表示領域に対してデータが多すぎる場合に表示するデータの部分を制御するために使用します。
  • SparkSkinnableContainer クラス
    SkinnableContainer クラスは、ビジュアル コンテンツを格納するスキン可能コンテナーの基本クラスです。
  • SparkSkinnableContainerBase クラス
    Spark のコンテナー コンポーネントの基本クラスです。
  • SparkSkinnableDataContainer クラス
    SkinnableDataContainer クラスはデータ項目の基本コンテナー クラスです。
  • SparkSkinnablePopUpContainer クラス
    SparkSkinnablePopUpContainer コントロールを識別します。
  • SparkSkinnableTextBase クラス
    Spark TextInput や TextArea などのスキン可能なコンポーネントの基本クラスです。このようなコンポーネントは、リッチ テキスト表示、スクロール、選択、および編集などの機能を提供するために、スキン内に RichEditableText のインスタンスを含みます。
  • SparkSlider クラス
    スライダー トラックの両端の間でスライダー サムを移動することで値を選択できます。
  • SparkSpinner クラス
    Spinner コンポーネントは順序化された集合から値を選択します。 stepSize プロパティの現在の値に基づいて、現在の値を増減させる 2 つのボタンを使用します。
  • SparkTabBar クラス
    TabBar クラスは同じようなタブのセットを表示します。 1 回に 1 つのタブを選択でき、デフォルトでは最初のタブが選択されます。
  • SparkTextArea クラス
    TextArea は、ユーザーが複数行のリッチ フォーマット テキストを入力および編集するときに使用するテキスト入力コントロールです。 テキストをスクロールするための水平方向と垂直方向のスクロール バーを表示し、マウス ホイールによる垂直スクロールをサポートします。
  • SparkTextBase クラス
    デフォルト形式の CSS スタイルを使用してテキストを表示する Label や RichText などの Spark テキスト コントロール用の基本クラスです。
  • SparkTextInput クラス
    TextInput は、単一行のテキストを均一のフォーマットで入力および編集するときに使用するテキスト入力コントロールです。
  • SparkTileGroup クラス
    TileGroup コンテナーは、TileLayout クラスを使用する Group コンテナーのインスタンスです。
  • SparkTitleWindow クラス
    TitleWindow クラスは Panel を拡張し、閉じるボタンと移動領域をサポートします。
  • SparkToggleButton クラス
    ToggleButton コンポーネントはトグル ボタンを定義します。 このボタンをクリックすると、アップ状態とダウン状態が切り替わります。
  • SparkToggleButtonBase クラス
    ToggleButtonBase コンポーネントは、selected プロパティをサポートする Spark ボタン コンポーネントの基本クラスです。
  • SparkTrackBase クラス
    TrackBase クラスは、Slider や ScrollBar などの、トラックと 1 つ以上のサム ボタンを持つコンポーネントの基本クラスです。
  • SparkVideoDisplay クラス
    Spark VideoDisplay コントロールを識別します。
  • SparkVideoPlayer クラス
    VideoPlayer コントロールは、プログレッシブ ダウンロード、マルチビットレート ストリーミング、およびストリーミング ビデオをサポートするスキン可能ビデオ プレーヤです。
  • SparkVolumeBar クラス
    VolumeBar クラスは、VideoDisplay コントロールのボリュームを制御するドロップダウン スライダーを定義します。
  • SparkWindow クラス
    Window は、AIR デスクトップ アプリケーションの追加ウィンドウに対する最上位のコンテナーです。
  • SparkWindowedApplication クラス
    WindowedApplication は、AIR アプリケーション用の Flex アプリケーションを作成するために使用するアプリケーション コンテナーを定義します。
親トピック: Silk4NET 言語リファレンス
関連概念
Apache Flex のサポート


FlexAccordion クラス

説明

Accordion ナビゲーター コンテナーは子コンテナーのコレクションを持ちますが、その 1 つだけを一度に可視にすることができます。 子の間を移動するために使用するナビゲーター ボタン（アコーディオン ヘッダー）を作成および管理します。

子のコンテナーそれぞれに 1 つのナビゲーター ボタンが関連付けられており、それぞれのナビゲーター ボタンは、子ではなく Accordion コンテナーに属しています。 ナビゲーター ボタンをクリックすると、関連付けられた子のコンテナーが表示されます。 新しい子への切り替えは、ある子が非表示になり、別の子が表示されたことをユーザーにわかりやすくするためのアニメーションが使用されます。

Accordion コンテナーは ViewStack コンテナーを形容しませんが、selectedIndex や selectedChild などの ViewStack コンテナーのすべてのプロパティ、メソッド、スタイル、およびイベントを実装します。

継承階層

  • FlexContainer
    • FlexAccordion

構文

C#
public class FlexAccordion : FlexContainer,
VB
'Declaration
Public Class FlexAccordion _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
headerHeight | Accordion ヘッダーの高さ（ピクセル単位）。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalGap | 子同士の水平方向の間隔を示すピクセル数。 デフォルト値は 8 です。
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
paddingBottom | コンテナーの下境界線とコンテンツ領域との間にあるピクセル数。
paddingTop | コンテナーの上境界線とコンテンツ領域との間にあるピクセル数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChild | 現在表示されている子コンテナーへの参照。
selectedIndex | 現在表示されている子コンテナーの 0 を基準としたインデックス。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textSelectedColor | 選択したテキストの色。 デフォルト値は 0x2B333C です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalGap | 子同士の垂直方向の間隔を示すピクセル数。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | 選択した子コンテナーが変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexAdvancedDataGrid クラス

説明

標準の DataGrid コントロールの機能を拡張したもので、Apache Flex アプリケーションにデータ視覚化機能が追加されます。 これらの機能によって、データ表示やデータ集計、データ フォーマットについて、より高度な操作が可能になります。

AdvancedDataGrid コントロールは、List コントロールに似ていますが、複数の列のデータを表示でき、複数のプロパティを持つオブジェクトの表示に適している点が異なります。

継承階層

  • FlexListBase
    • FlexAdvancedDataGrid
      • FlexOLAPDataGrid

構文

C#
public class FlexAdvancedDataGrid : FlexListBase,
VB
'Declaration
Public Class FlexAdvancedDataGrid _
Inherits FlexListBase

プロパティ

名前 | 説明
allowDragSelection | ドラッグによる選択が有効かどうか。 通常の選択では、選択する項目上にマウスを移動させてもマウス ボタンを押すことはできませんが、ドラッグによる選択では、項目にドラッグすることによって、その項目を選択できます。
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。 (FlexListBase から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。 (FlexListBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。 (FlexListBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexListBase から継承されました)
columnWidth | コントロールの列の幅。 (FlexListBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
depthColors | AdvancedDataGrid コントロールのナビゲーション ツリーの各レベルの行で使用する色の配列（降順）。 デフォルト値は未定義です。
disabledColor | コンポーネントが無効な場合のテキストの色。
displayItemsExpanded | ナビゲーション ツリーが展開されてすべての項目が表示されているかどうか。
editable | データ プロバイダーの項目を編集できるかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexListBase から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexListBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
headerColors | ヘッダーの背景にグラデーションを描画するために使用する 2 色の配列。
headerHeight | 列のヘッダー セルの高さ（ピクセル単位）。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalGridLineColor | 水平グリッド線の色。
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。 (FlexListBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
indentation | ナビゲーション ツリーの各ノードのインデント（ピクセル単位）。 デフォルト値は 17 です。
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexListBase から継承されました)
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。 (FlexListBase から継承されました)
lockedRowCount | スクロールするコントロールの最初の行のインデックス。 (FlexListBase から継承されました)
minColumnWidth | 列の最小幅（ピクセル単位）。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexListBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexListBase から継承されました)
openDuration | ナビゲーション ツリーの開いた状態や閉じた状態への遷移にかかる時間の長さ（ミリ秒単位）。 デフォルト値は 250 です。
paddingBottom | 行の下端と行内のレンダラの下端との間のピクセル数。
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。
paddingTop | 行の上端と行内のレンダラの上端との間のピクセル数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizableColumns | 列のサイズをユーザーが変更できるかどうか。
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。 (FlexListBase から継承されました)
rowCount | 表示する行の数。 (FlexListBase から継承されました)
rowHeight | 行の高さ（ピクセル単位）。 (FlexListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。 (FlexListBase から継承されました)
selectedCells | 行インデックスおよび列インデックスとしてセル位置の配列。
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexListBase から継承されました)
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。 (FlexListBase から継承されました)
selectedItem | データ プロバイダー内で選択された項目への参照。 (FlexListBase から継承されました)
selectedItems | データ プロバイダーで選択された項目への参照の配列。 (FlexListBase から継承されました)
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。 (FlexListBase から継承されました)
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。 (FlexListBase から継承されました)
selectionMode | コントロールの選択モード。
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。 (FlexListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。 (FlexListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。 (FlexListBase から継承されました)
verticalAlign | 行のレンダラの垂直方向の配置。 (FlexListBase から継承されました)
verticalGridLineColor | 垂直グリッド線の色。 デフォルト値は 0x666666 です。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。 (FlexListBase から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | AdvancedDataGrid の分岐を閉じるまたは折りたたみます。
ColumnGroupedADGHeaderShift | ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。
ColumnStretch | ユーザーが列の幅を変更したときにディスパッチされます。これは、列に表示されるデータ量が変更されたことを意味します。
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCellData | グリッド内のセルのデータを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetGroupedItemChildrenCount | グループの最初の項目内にある子の数を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetRowData | データ プロバイダーの項目の行のデータを返します。
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexListBase から継承されました)
HeaderClick | 列の内容に基づいてグリッドの内容の並べ替えを行うために、ユーザーが列ヘッダーでマウス ボタンを離したときにディスパッチされます。
HeaderShift | ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsGroupedItem | 項目がグループのメンバーかどうかを指定する値を返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Open | AdvancedDataGrid の分岐を開くまたは展開します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。 (FlexListBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexAlert クラス

説明

メッセージ、タイトル、ボタン（「OK」、「キャンセル」、「はい」、「いいえ」の任意の組み合わせ）およびアイコンを含むことができるポップアップ ダイアログ ボックスです。

Alert コントロールはモーダルです。これは、ユーザーが閉じるまでフォーカスを保持することを意味します。

継承階層

  • FlexPanel
    • FlexAlert

構文

C#
public class FlexAlert : FlexPanel,
VB
'Declaration
Public Class FlexAlert _
Inherits FlexPanel

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
defaultButtonFlag | デフォルト ボタンを指定する Alert.OK、Alert.CANCEL、Alert.YES または Alert.NO を含むビット フラグ。 デフォルト値は Alert.OK です。
dropShadowEnabled | Panel コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。 (FlexPanel から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
footerColors | フッター（ControlBar コンテナーの領域）の背景の描画に使用される 2 色の配列。 (FlexPanel から継承されました)
headerColors | ヘッダーを描画するために使用する 2 色の配列。 (FlexPanel から継承されました)
headerHeight | ヘッダーの高さ。 デフォルト値はタイトル テキストのスタイルに基づいて計算されます。 (FlexPanel から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
status | タイトル バーのステータス領域に表示されるテキスト。 デフォルト値は "" です。 (FlexPanel から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | この警告ダイアログ ボックスに表示するテキスト。 デフォルト値は "" です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | タイトル バーに表示されるタイトルまたはキャプション。 デフォルト値は "" です。 (FlexPanel から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexApplication クラス

説明

デフォルトのコンテナー（Application コンテナー）が定義されるため、別のコンテナーを明示的に定義することなく、アプリケーションにコンテンツを追加することができます。

継承階層

  • FlexContainer
    • FlexApplication
      • FlexWindowedApplication

構文

C#
public class FlexApplication : FlexContainer,
VB
'Declaration
Public Class FlexApplication _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
url | このアプリケーションの SWF ファイルがロードされた URL。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexAreaChart クラス

説明

データ内の値をつなぐ線で囲まれた面としてデータを表します。 AreaChart コントロールを使用すると、単純面グラフ、積み上げ面グラフ、構成比面グラフ、高低面グラフなど、各種の面グラフを表すことができます。

継承階層

  • FlexCartesianChart
    • FlexAreaChart

構文

C#
public class FlexAreaChart : FlexCartesianChart,
VB
'Declaration
Public Class FlexAreaChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexAreaSeries クラス

説明

AreaChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexAreaSeries

構文

C#
public class FlexAreaSeries : FlexChartSeries,
VB
'Declaration
Public Class FlexAreaSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
form | 領域の境界のタイプ。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
minField | 領域の下部の境界を決定する dataProvider のフィールド。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
radius | データ ポイントのグラフ要素の半径（ピクセル単位）。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 水平軸上のデータ ポイントの位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | 垂直軸上のデータ ポイントの位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexAxisRenderer クラス

説明

グラフの水平軸および垂直軸を表すために使用します。 軸は、その長さに沿って、ラベル、目盛り、およびタイトルを表示する役割を持ちます。

AxisRenderer オブジェクトは、それを囲んでいるグラフ オブジェクトからビジュアル プロパティの一部を継承します。 ラベルおよびタイトルのテキスト フォーマットには、レンダラの CSS テキストのプロパティがデフォルトとして設定されます。 これとは別に、軸のタイトルのフォーマットは、AxisRenderer または囲んでいるグラフで axisTitleStyleName を指定することで制御できます。

継承階層

  • FlexObject
    • FlexAxisRenderer

構文

C#
public class FlexAxisRenderer : FlexObject,
VB
'Declaration
Public Class FlexAxisRenderer _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
canDropLabels | AxisRenderer が正しくレイアウトすることが必要な場合にラベルを落とすかどうか。
canStagger | 2 つのラベル行でラベルを交互に配置するかどうか。 この設定を使用すると、ラベルに必要な領域が最小化されます。 デフォルト値は true で、ラベルは交互に配置されます。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
heightLimit | 軸レンダラがグラフから取得するスペースの最大値（ピクセル単位）。
id | コンポーネントの ID。 (FlexObject から継承されました)
labelGap | 目盛りの末端からラベルの上端までの間隔の幅（ピクセル単位）。 デフォルト値は 3 です。
labelRotation | ラベルの回転。
lastVisibleRow | 最後の可視の子のインデックス。
length | 軸の長さ（スクリーン座標）。
minorTickLength | 軸上の小さな目盛りの長さ（ピクセル単位）。 デフォルト値は 0 です。
minorTickPlacement | 小さな目盛りを描画する場所を示す値。 有効な値は、inside、outside、cross、および none です。
minorTicks | 軸に沿った小さな目盛りの描画位置を指定する配列。 各配列要素には、0 から 1 までの値が含まれています。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
placement | グラフで axisRenderer が表示される側。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showLabels | ラベルを軸に沿って表示するかどうか。 デフォルト値は true です。
showLine | 軸を表示するかどうか。 デフォルト値は true です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
tickLength | 軸上の目盛りの長さ（ピクセル単位）。 デフォルト値は 3 です。
tickPlacement | 目盛りを描画する場所を示す値。 有効な値は、inside、outside、cross、および none です。
ticks | 軸に沿った目盛りの描画位置を指定する配列。 各配列要素には、0 から 1 までの値が含まれています。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexBarChart クラス

説明

データ内の値によって長さが決まる一連の横棒でデータを表します。 BarChart コントロールは、単純横棒グラフ、集合横棒グラフ、積み上げ横棒グラフ、構成比横棒グラフ、高低横棒グラフなど、各種の横棒グラフを表すことができます。

継承階層

  • FlexCartesianChart
    • FlexBarChart

構文

C#
public class FlexBarChart : FlexCartesianChart,
VB
'Declaration
Public Class FlexBarChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
barWidthRatio | 棒グラフを描く際のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maxBarWidth | 描画する横棒の幅（ピクセル単位）。
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexBarSeries クラス

説明

BarChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexBarSeries

構文

C#
public class FlexBarSeries : FlexChartSeries,
VB
'Declaration
Public Class FlexBarSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
barWidthRatio | カテゴリ幅に相対的な棒グラフをレンダリングするための幅。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxBarWidth | 横棒の幅（ピクセル単位）。
minField | 各横棒の下部を決定する データ プロバイダーのフィールド。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
offset | 使用可能な領域の中心から横棒の中心をずらす度合い（カテゴリの幅に対する割合）。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 各横棒の先端の x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | グラフ内の各横棒の終端の y 軸の位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexBox クラス

説明

Box コンテナーでは、子が単一の垂直列または水平行にレイアウトされます。

継承階層

  • FlexContainer
    • FlexBox
      • FlexDividedBox
      • FlexNavigationBar

構文

C#
public class FlexBox : FlexContainer,
VB
'Declaration
Public Class FlexBox _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexBubbleChart クラス

説明

各データ ポイントにつき 3 つの値でデータを表します。 各データ ポイントは、水平軸に沿った位置を決定する値、垂直軸に沿った位置を決定する値、およびグラフ上の他のデータ ポイントとの比較でグラフ要素のサイズを決定する値で定義されます。

継承階層

  • FlexCartesianChart
    • FlexBubbleChart

構文

C#
public class FlexBubbleChart : FlexCartesianChart,
VB
'Declaration
Public Class FlexBubbleChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexBubbleSeries クラス

説明

BubbleChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexBubbleSeries

構文

C#
public class FlexBubbleSeries : FlexChartSeries,
VB
'Declaration
Public Class FlexBubbleSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxRadius | この系列にレンダリングされる最大の項目の半径。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
radiusField | グラフ内の他のデータ ポイントを基準にして各シンボルの半径を決定するデータ プロバイダーのフィールド。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexButton クラス

説明

Button コントロールはきわめて使用頻度の高い四角形のボタンです。 Button コントロールは押し下げ可能に見えます。 表面には、テキスト ラベル、アイコンのいずれか、または両方を表示できます。

通常、ボタンはイベント リスナを使用して、ユーザーがコントロールを選択したときのアクションを実行します。 Button コントロール上でマウスをクリックしたときに Button コントロールが有効である場合は、click イベントと buttonDown イベントがディスパッチされます。 ボタンは、有効か無効かにかかわらず、mouseMove、mouseOver、mouseOut、rollOver、rollOut、mouseDown、mouseUp などのイベントを必ずディスパッチします。

Button コントロールは、外観のカスタマイズや、プッシュ ボタンからトグル ボタンへの機能変更などが可能です。 ボタンの各状態に対応するスキンを使用することによって、ボタンの外観を変更できます。

Button コントロールのラベルには太字の書体が使用されます。 Button コントロールのラベルに使用するフォントを埋め込む場合は、太字の書体を埋め込む必要があります。

継承階層

  • FlexObject
    • FlexButton
      • FlexCheckBox
      • FlexPopUpButton
      • FlexRadioButton

構文

C#
public class FlexButton : FlexObject,
VB
'Declaration
Public Class FlexButton _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。
fillColors | コントロールの背景を濃淡色化するのに使用する色。
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | Button コントロールに表示されるテキスト。
labelPlacement | 指定されたアイコンを基準にしたラベルの向き。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | トグルボタンがオン（true）またはオフ（false）のどちらであるか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。
textSelectedColor | ユーザーがラベルを選択したときのラベルのテキストの色。 デフォルト値は 0x000000 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toggle | Button を toggle 状態にするかどうか。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexButtonBar クラス

説明

共通の外観と操作性を持つ論理的に関連するプッシュ ボタンの水平または垂直方向のグループを定義します。

継承階層

  • FlexNavigationBar
    • FlexButtonBar
      • FlexToggleButtonBar

構文

C#
public class FlexButtonBar : FlexNavigationBar,
VB
'Declaration
Public Class FlexButtonBar _
Inherits FlexNavigationBar

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。 (FlexBox から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。 (FlexBox から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | アクティブなナビゲーション項目のインデックス。最初の項目のインデックスは 0 です。 デフォルト値は -1 です。 (FlexNavigationBar から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。 (FlexBox から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexNavigationBar から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexNavigationBar から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexCandlestickChart クラス

説明

データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。

各ローソク足の垂直線の上部と下部は、データ ポイントの高値と安値を示しています。一方、塗りつぶされたボックスの上部と下部は始値と終値を示しています。 ローソク足の塗りつぶされ方は、データ ポイントの終値が始値よりも高いかどうかによって異なります。

継承階層

  • FlexCartesianChart
    • FlexCandlestickChart

構文

C#
public class FlexCandlestickChart : FlexCartesianChart,
VB
'Declaration
Public Class FlexCandlestickChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
columnWidthRatio | ロウソク足グラフを描く際の水平軸のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maxColumnWidth | 描画するロウソク足の幅（ピクセル単位）。
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexCandlestickSeries クラス

説明

データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。

各ローソク足の垂直線の上部と下部は、データ ポイントの高値と安値を示しています。一方、塗りつぶされたボックスの上部と下部は始値と終値を示しています。 ローソク足の塗りつぶされ方は、データ ポイントの終値が始値よりも高いかどうかによって異なります。

継承階層

  • FlexHLOCSeriesBase
    • FlexCandlestickSeries

構文

C#
public class FlexCandlestickSeries : FlexHLOCSeriesBase,
VB
'Declaration
Public Class FlexCandlestickSeries _
Inherits FlexHLOCSeriesBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
columnWidthRatio | カテゴリ幅に相対的な要素の幅。 (FlexHLOCSeriesBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxColumnWidth | 要素の幅（ピクセル単位）。 (FlexHLOCSeriesBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 要素の x 軸の位置を決定するデータ プロバイダーのフィールド。 (FlexHLOCSeriesBase から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexCanvas クラス

説明

Canvas レイアウト コンテナーは、子コンテナーおよびコントロールを配置する矩形領域を定義します。 このコンテナーは、その内部における子の位置を、各子の x および y プロパティを使用して明示的に指定できる唯一のコンテナーです。

Canvas レイアウト コンテナーの子は、それぞれの推奨されている幅および高さに設定されます。 子の width プロパティを固定ピクセル値またはコンテナー サイズのパーセント値に設定することにより、その子の推奨幅の値をオーバーライドできます。 推奨高さも同様の方法で設定できます。

Canvas コンテナー内でパーセントによるサイズ指定を使用している場合、コンポーネントの一部が重なり合う場合があります。 これが期待する状況でない場合は、コンポーネントの位置とサイズを慎重に計画してください。

継承階層

  • FlexContainer
    • FlexCanvas

構文

C#
public class FlexCanvas : FlexContainer,
VB
'Declaration
Public Class FlexCanvas _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexCartesianChart クラス

説明

一般的なグラフ タイプの基本クラスです。 CartesianChart は、標準的な長方形の 2 次元グラフの基本的なレイアウト動作を定義します。

継承階層

  • FlexChart
    • FlexCartesianChart
      • FlexAreaChart
      • FlexBarChart
      • FlexBubbleChart
      • FlexCandlestickChart
      • FlexColumnChart
      • FlexHLOCChart
      • FlexLineChart
      • FlexPlotChart

構文

C#
public class FlexCartesianChart : FlexChart,
VB
'Declaration
Public Class FlexCartesianChart _
Inherits FlexChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexChart クラス

説明

Flex コンポーネント アーキテクチャと DualStyleObject アーキテクチャの間のリンクです。 ChartBase クラスは Flex UIComponent の基本クラスを拡張しますが、DualStyleObject の各クラスは ChartBase クラスに含まれています。

通常、ChartBase クラスを直接使用することはありません。 代わりに、そのサブクラス（PlotChart または BubbleChart など）の 1 つを使用します。 このクラスは、mx.charts パッケージで提供される一般的なグラフ タイプの基本クラスとして機能します。

このクラスは、フレームワークの一般的な機能に簡単にアクセスするための CSS スタイルおよび CSS プロパティの数を定義します。

グラフの最小サイズは 20 × 20 ピクセルです。 グラフの最大サイズに制限はありません。 グラフの推奨サイズは 400 × 400 ピクセルです。

継承階層

  • FlexObject
    • FlexChart
      • FlexCartesianChart
      • FlexPieChart

構文

C#
public class FlexChart : FlexObject,
VB
'Declaration
Public Class FlexChart _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。
description | グラフのデータの簡単な説明。
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。
selectionMode | ChartItem オブジェクトが選択できるかどうか。
showDataTips | グラフの DataTip コントロールが表示されるかどうか。
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexChartLegend クラス

説明

グラフに凡例を追加できます。凡例にはグラフ内の各データ系列のラベルや、データ系列のグラフ要素を示すキーが表示されます。

継承階層

  • FlexObject
    • FlexChartLegend

構文

C#
public class FlexChartLegend : FlexObject,
VB
'Declaration
Public Class FlexChartLegend _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | 凡例要素の隣に表示するテキスト。
labelPlacement | 凡例要素のラベルの配置。 有効な阿多灰、top、bottom、right、および left です。
lastVisibleRow | 最後の可視の子のインデックス。
markerAspectRatio | この凡例項目に関連付けられたマーカーのアスペクト比。
markerHeight | 凡例要素の高さ。
markerWidth | 凡例要素の幅。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalGap | 子同士の垂直方向の間隔を示すピクセル数。 デフォルト値はコンポーネントのクラスに応じて異なります。クラスでオーバーライドされない場合のデフォルト値は 6 です。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LegendItemClick | ユーザーが Legend コントロール内の LegendItem をクリックしたときにディスパッチされます。ユーザーが凡例項目の上でマウス ボタンをクリックしたことを示します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexChartSeries クラス

説明

グラフ コントロールのデータ系列を指定するクラスの基本クラスです。

Series クラスのサブクラスは、関連付けられたグラフ コントロールと共に使用します。 Series クラスを使用すると、データ系列に関連するグラフ要素の塗りつぶしパターンや線の属性を指定できます。

継承階層

  • FlexObject
    • FlexChartSeries
      • FlexAreaSeries
      • FlexBarSeries
      • FlexBubbleSeries
      • FlexColumnSeries
      • FlexHLOCSeriesBase
      • FlexLineSeries
      • FlexPieSeries
      • FlexPlotSeries

構文

C#
public class FlexChartSeries : FlexObject,
VB
'Declaration
Public Class FlexChartSeries _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。
selectedItem | 系列内で選択されたグラフ項目。
selectedItems | 系列内で選択されたグラフ項目の配列。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexCheckBox クラス

説明

CheckBox コントロールは、オプションのラベルと、チェック マークの表示と非表示の状態を保持する小さなボックスから構成されます。

オプションのテキスト ラベルは、CheckBox の左、右、上、または下に配置できます。 ユーザーが CheckBox コントロールまたは対応するテキストをクリックすると、チェック マークが表示された状態から表示されていない状態へ、またはチェック マークが表示されていない状態から表示された状態へ変化します。 CheckBox コントロールは、相互排他的でない一連のブール値（true または false）を収集します。

継承階層

  • FlexButton
    • FlexCheckBox

構文

C#
public class FlexCheckBox : FlexButton,
VB
'Declaration
Public Class FlexCheckBox _
Inherits FlexButton

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。 (FlexButton から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexButton から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexButton から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexButton から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexButton から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexButton から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexButton から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexButton から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexButton から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | Button コントロールに表示されるテキスト。 (FlexButton から継承されました)
labelPlacement | 指定されたアイコンを基準にしたラベルの向き。 (FlexButton から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | トグルボタンがオン（true）またはオフ（false）のどちらであるか。 (FlexButton から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexButton から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexButton から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexButton から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexButton から継承されました)
textSelectedColor | ユーザーがラベルを選択したときのラベルのテキストの色。 デフォルト値は 0x000000 です。 (FlexButton から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toggle | Button を toggle 状態にするかどうか。 (FlexButton から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexButton から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexColorPicker クラス

説明

ユーザーが色見本リストから色を選択する手段を提供します。

コンポーネントのデフォルトのモードでは、正方形のボタンに単一の色見本が表示されます。 ユーザーが色見本のボタンをクリックすると、色見本パネルが開き、色見本リスト全体が表示されます。

継承階層

  • FlexComboBase
    • FlexColorPicker

構文

C#
public class FlexColorPicker : FlexComboBase,
VB
'Declaration
Public Class FlexColorPicker _
Inherits FlexComboBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 (FlexComboBase から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexComboBase から継承されました)
backgroundImage | コンポーネントの背景画像。 (FlexComboBase から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexComboBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 (FlexComboBase から継承されました)
columnCount | 色見本グリッドの列の数。 デフォルト値は 20 です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合の背景色。 (FlexComboBase から継承されました)
dropShadowEnabled | ComboBase コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。 (FlexComboBase から継承されました)
editable | コントロールが編集可能であるかどうか。編集可能な場合は、dataProvider で指定されていないエントリをユーザーが直接入力できます。編集できない場合は、dataProvider 内の項目から選択する必要があります。 (FlexComboBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexComboBase から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexComboBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexComboBase から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexComboBase から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexComboBase から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexComboBase から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
highlightColor | ドロップダウン リストのハイライト色。 (FlexComboBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字、または入力できない文字のセット。 (FlexComboBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedColor | SwatchPanel オブジェクト内で現在選択されている色の値。
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexComboBase から継承されました)
showTextField | カラー ラベルまたは 16 進数のカラー値を示すテキスト ボックスを表示するかどうか。 デフォルト値は true です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | テキスト フィールドの内容。 (FlexComboBase から継承されました)
textAlign | コンテナー内のテキストの配置。 有効な値は left、right または center です。 (FlexComboBase から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexComboBase から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexComboBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として選択した色が変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | close イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。 (FlexComboBase から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | open イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
SelectText | テキスト フィールド内の選択範囲を追跡します。 (FlexComboBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexComboBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexColumnChart クラス

説明

データ内の値によって高さが決まる一連の縦棒でデータを表します。

ColumnChart を使用すると、単純縦棒グラフ、集合縦棒グラフ、積み上げ縦棒グラフ、構成比縦棒グラフ、高低縦棒グラフなど、各種の縦棒グラフを表すことができます。

継承階層

  • FlexCartesianChart
    • FlexColumnChart

構文

C#
public class FlexColumnChart : FlexCartesianChart,
VB
'Declaration
Public Class FlexColumnChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
columnWidthRatio | 縦棒グラフを描く際のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maxColumnWidth | 描画する縦棒の幅（ピクセル単位）。
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexColumnSeries クラス

説明

ColumnChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexColumnSeries

構文

C#
public class FlexColumnSeries : FlexChartSeries,
VB
'Declaration
Public Class FlexColumnSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
columnWidthRatio | カテゴリ幅に相対的な縦棒グラフの幅。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxColumnWidth | 縦棒の幅（ピクセル単位）。
minField | 縦棒下端の y 軸の位置を決定するデータ プロバイダーのフィールド。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
offset | 使用可能な領域の中心から縦棒の中心をずらす度合い（カテゴリの幅に対する割合）。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
sortOnXField | レンダリングの前に縦棒を左から右にソートするかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 縦棒の x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | 縦棒上端の y 軸の位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexComboBase クラス

説明

テキストを表示するフィールドのほか、ユーザーが選択するテキストを表示するドロップダウン リストを表示するためのボタンを持つコントロールの基本クラスです。

継承階層

  • FlexObject
    • FlexComboBase
      • FlexColorPicker
      • FlexComboBox
      • FlexDateField

構文

C#
public class FlexComboBase : FlexObject,
VB
'Declaration
Public Class FlexComboBase _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。
backgroundColor | コンポーネントの背景色。
backgroundImage | コンポーネントの背景画像。
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合の背景色。
dropShadowEnabled | ComboBase コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。
editable | コントロールが編集可能であるかどうか。編集可能な場合は、dataProvider で指定されていないエントリをユーザーが直接入力できます。編集できない場合は、dataProvider 内の項目から選択する必要があります。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。
fillColors | コントロールの背景を濃淡色化するのに使用する色。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
highlightColor | ドロップダウン リストのハイライト色。
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字、または入力できない文字のセット。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | テキスト フィールドの内容。
textAlign | コンテナー内のテキストの配置。 有効な値は left、right または center です。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | close イベントのイベント オブジェクトの type プロパティの値を定義します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | open イベントのイベント オブジェクトの type プロパティの値を定義します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。
SelectText | テキスト フィールド内の選択範囲を追跡します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexComboBox クラス

説明

ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。

ComboBox は編集可能にできます。この場合、リストに含まれないエントリを、ユーザーが ComboBox の TextInput 部分に入力できます。

継承階層

  • FlexComboBase
    • FlexComboBox

構文

C#
public class FlexComboBox : FlexComboBase,
VB
'Declaration
Public Class FlexComboBox _
Inherits FlexComboBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | ドロップダウン リストの背景色の代替パターン配列。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 (FlexComboBase から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexComboBase から継承されました)
backgroundImage | コンポーネントの背景画像。 (FlexComboBase から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexComboBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 (FlexComboBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合の背景色。 (FlexComboBase から継承されました)
dropShadowEnabled | ComboBase コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。 (FlexComboBase から継承されました)
editable | コントロールが編集可能であるかどうか。編集可能な場合は、dataProvider で指定されていないエントリをユーザーが直接入力できます。編集できない場合は、dataProvider 内の項目から選択する必要があります。 (FlexComboBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexComboBase から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexComboBase から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexComboBase から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexComboBase から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexComboBase から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexComboBase から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
highlightColor | ドロップダウン リストのハイライト色。 (FlexComboBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字、または入力できない文字のセット。 (FlexComboBase から継承されました)
rollOverColor | ドロップダウン リストの rollOverColor。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexComboBase から継承されました)
selectionColor | ドロップダウン リストの selectionColor。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | テキスト フィールドの内容。 (FlexComboBase から継承されました)
textAlign | コンテナー内のテキストの配置。 有効な値は left、right または center です。 (FlexComboBase から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexComboBase から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexComboBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | close イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。 (FlexComboBase から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | open イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。
SelectText | テキスト フィールド内の選択範囲を追跡します。 (FlexComboBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexComboBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexContainer クラス

説明

コンポーネントの抽象基本クラスであり、子コンポーネントのレイアウト特性を制御します。

アプリケーションでは、Container のインスタンスを作成しません。 代わりに、Container のいずれかのサブクラス（Canvas や HBox など）のインスタンスを作成します。

Container クラスには、スクロール、切り取り、およびダイナミックなインスタンス化のためのロジックが含まれています。 また、子コンテナーを追加および削除するためのメソッドや、コンテナーの背景と境界を描画するためのロジックも含まれています。

継承階層

  • FlexObject
    • FlexContainer
      • FlexAccordion
      • FlexApplication
      • FlexBox
      • FlexCanvas
      • FlexForm
      • FlexFormItem
      • FlexPanel
      • FlexViewStack
      • FlexWindow

構文

C#
public class FlexContainer : FlexObject,
VB
'Declaration
Public Class FlexContainer _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。
backgroundColor | コンポーネントの背景色。
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
creationIndex | このコンテナーの子をインスタンス化および描画する順番。
creationPolicy | このコンテナーの子の作成ポリシー。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexContainerMovieClip クラス

説明

Adobe Flash CS3 Professional で Flex 用に作成するコンテナー コンポーネントは、mx.flash.ContainerMovieClip クラスのサブクラスになります。

ContainerMovieClip のサブクラスは、Flex コンテナーとして使用したり、子を保持したりできます。また、このサブクラスを使用すると、Flex コンポーネントと同じ方法で、イベントに対する応答、ビューの状態や遷移の定義およびエフェクトの操作を行うことができます。

Flash コンテナーは、1 つの Flex の子のみを保持できます。 ただし、この子は、別の子を追加できる Flex コンテナーにすることができます。

継承階層

  • FlexUIMovieClip
    • FlexContainerMovieClip

構文

C#
public class FlexContainerMovieClip : FlexUIMovieClip,
VB
'Declaration
Public Class FlexContainerMovieClip _
Inherits FlexUIMovieClip

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexUIMovieClip から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexUIMovieClip から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexUIMovieClip から継承されました)
className | "Button" のようなこのインスタンスのクラスの名前。 (FlexUIMovieClip から継承されました)
currentState | このコンポーネントの現在の状態。 (FlexUIMovieClip から継承されました)
enabled | ムービー クリップが有効かどうか。 (FlexUIMovieClip から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexUIMovieClip から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexUIMovieClip から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexUIMovieClip から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexUIMovieClip から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexUIMovieClip から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。 (FlexUIMovieClip から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。 (FlexUIMovieClip から継承されました)
scaleX | 基準点から適用されるオブジェクトの水平倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。 (FlexUIMovieClip から継承されました)
scaleY | オブジェクトの基準点から適用されるオブジェクトの垂直倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。 (FlexUIMovieClip から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexUIMovieClip から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexUIMovieClip から継承されました)
useHandCursor | buttonMode プロパティが true に設定されたスプライト上にポインターが移動したときに、指差しハンド ポインター（ハンド カーソル）を表示するかどうか。 (FlexUIMovieClip から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | keyFocusChange イベント オブジェクトの type プロパティの値を定義します。 (FlexUIMovieClip から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コンポーネントがフォーカスを受け取ったときに FocusManager によって呼ばれます。 コンポーネントはその内部のコンポーネントに順々にフォーカスを設定できます。 (FlexUIMovieClip から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexDataGrid クラス

説明

DataGrid コントロールは、List コントロールに似ていますが、複数の列のデータを表示でき、複数のプロパティを持つオブジェクトの表示に適している点が異なります。

継承階層

  • FlexListBase
    • FlexDataGrid

構文

C#
public class FlexDataGrid : FlexListBase,
VB
'Declaration
Public Class FlexDataGrid _
Inherits FlexListBase

プロパティ

名前 | 説明
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。 (FlexListBase から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。 (FlexListBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。 (FlexListBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexListBase から継承されました)
columnWidth | コントロールの列の幅。 (FlexListBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
editable | データ プロバイダーの項目を編集できるかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexListBase から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexListBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
headerColors | ヘッダーの背景にグラデーションを描画するために使用する 2 色の配列。
headerStyleName | 列ヘッダーの他の外観要素を制御する CSS スタイル宣言の名前。 デフォルト値は dataGridStyles です。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalGridLineColor | 水平グリッド線の色。
horizontalGridLines | 行の間に水平グリッド線を表示するかどうか。
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。 (FlexListBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexListBase から継承されました)
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。 (FlexListBase から継承されました)
lockedRowCount | スクロールするコントロールの最初の行のインデックス。 (FlexListBase から継承されました)
minColumnWidth | 列の最小幅（ピクセル単位）。 NaN ではない場合、DataGrid コントロールではこの値がすべての列の最小幅として適用されます。 それ以外の場合は、個々の列に最小幅を指定できます。 デフォルト値は NaN です。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexListBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexListBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizableColumns | 列のサイズをユーザーが変更できるかどうか。
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。 (FlexListBase から継承されました)
rowCount | 表示する行の数。 (FlexListBase から継承されました)
rowHeight | 行の高さ（ピクセル単位）。 (FlexListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。 (FlexListBase から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexListBase から継承されました)
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。 (FlexListBase から継承されました)
selectedItem | データ プロバイダー内で選択された項目への参照。 (FlexListBase から継承されました)
selectedItems | データ プロバイダーで選択された項目への参照の配列。 (FlexListBase から継承されました)
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。 (FlexListBase から継承されました)
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。 (FlexListBase から継承されました)
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。 (FlexListBase から継承されました)
sortableColumns | ユーザーが列ヘッダー セルをクリックすることでデータ プロバイダー項目をソートできるかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。 (FlexListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。 (FlexListBase から継承されました)
verticalAlign | 行のレンダラの垂直方向の配置。 (FlexListBase から継承されました)
verticalGridLineColor | 垂直グリッド線の色。 デフォルト値は 0x666666 です。
verticalGridLines | 列の間に垂直グリッド線を表示するかどうか。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。 (FlexListBase から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ColumnStretch | ユーザーが列の幅を変更したときにディスパッチされます。これは、列に表示されるデータ量が変更されたことを意味します。
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Edit | 項目が編集可能な状態かどうかを示す itemEditBegin イベントにおけるイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexListBase から継承されました)
HeaderClick | 列の内容に基づいてグリッドの内容の並べ替えを行うために、ユーザーが列ヘッダーでマウス ボタンを離したときにディスパッチされます。
HeaderShift | ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。 (FlexListBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexDateChooser クラス

説明

DateChooser コントロールは、月の名前、年、および月の各日を示すグリッドを表示し、そのグリッドの列ラベルとして曜日を表示します。

ユーザーはある日付、日付の範囲、または複数の日付を選択できます。 このコントロールには、月と年を前後に移動するための矢印ボタンがあります。

ユーザーが複数の日付を選択できるようにしたり、特定の日付を選択できないようにしたり、表示される日付を一定の範囲に制限したりすることができます。

継承階層

  • FlexObject
    • FlexDateChooser

構文

C#
public class FlexDateChooser : FlexObject,
VB
'Declaration
Public Class FlexDateChooser _
Inherits FlexObject

プロパティ

名前 | 説明
allowDisjointSelection | DateChooser コントロールで非連続した選択が許可されているかどうか。
allowMultipleSelection | DateChooser コントロールで複数選択が許可されているかどうか。
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
disabledDays | 無効にする曜日。
disabledRanges | 無効にする 1 日または複数の日。
displayedMonth | DateChooser コントロールに表示される月。
displayedYear | DateChooser コントロールに表示される年。 デフォルト値は現在の年です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。
firstDayOfWeek | DateChooser コントロールの最初の列に表示される曜日を表す数値。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
headerColors | DateChooser コントロールの上部にある帯状の領域の色。 デフォルト値は [ 0xE6EEEE, 0xFFFFFF ] です。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maxYear | コントロール内で選択可能な最後の年。
minYear | コントロール内で選択可能な最初の年。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | DateChooser コントロール内の日付にマウス ポインターを合わせたときの日付のハイライト領域の色。 デフォルト値は 0xE3FFD6 です。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedDate | DateChooser コントロールで選択された日付。
selectedRanges | 選択された日付の範囲。
selectionColor | DateChooser コントロールで現在選択されている日付のハイライト領域の色。 デフォルト値は 0xCDFFC1 です。
showToday | DataChooser コントロールで今日の日付がハイライトされているかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | テキストがボールド体かどうか。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
todayColor | DateChooser コントロールで今日の日付のハイライトの色。 デフォルト値は 0x2B333 です。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yearNavigationEnabled | 年ナビゲーションを有効かどうか。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | 日付が選択または変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollDate | DateChooserEvent.SCROLL 定数は、scrollevent イベントのイベント オブジェクトの type プロパティの値を定義します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexDateField クラス

説明

右側にカレンダ アイコンを持った日付を表示するテキスト フィールドです。

ユーザーがこのコントロールの境界ボックス内をクリックすると、DateChooser コントロールがポップアップし、現在の日付の月に含まれる日が一覧表示されます。 日が選択されない場合、このテキスト フィールドは空になり、DateChooser コントロールには現在の日付の月が表示されます。

継承階層

  • FlexComboBase
    • FlexDateField

構文

C#
public class FlexDateField : FlexComboBase,
VB
'Declaration
Public Class FlexDateField _
Inherits FlexComboBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 (FlexComboBase から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexComboBase から継承されました)
backgroundImage | コンポーネントの背景画像。 (FlexComboBase から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexComboBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 (FlexComboBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合の背景色。 (FlexComboBase から継承されました)
disabledDays | 無効にする曜日。
disabledRanges | 無効にされた 1 日または複数の日。
displayedMonth | DateChooser コントロールに表示される月。
displayedYear | DateChooser コントロールに表示される年。
dropShadowEnabled | ComboBase コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。 (FlexComboBase から継承されました)
editable | コントロールが編集可能であるかどうか。編集可能な場合は、dataProvider で指定されていないエントリをユーザーが直接入力できます。編集できない場合は、dataProvider 内の項目から選択する必要があります。 (FlexComboBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexComboBase から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexComboBase から継承されました)
firstDayOfWeek | DateChooser コントロールの最初の列に表示する曜日（0-6、ここで 0 は dayNames 配列の最初の要素）。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexComboBase から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexComboBase から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexComboBase から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexComboBase から継承されました)
headerColors | DateChooser コントロールの上部にある帯状の領域の色。 デフォルト値は [ 0xE6EEEE, 0xFFFFFF ] です。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
highlightColor | ドロップダウン リストのハイライト色。 (FlexComboBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maxYear | コントロール内で選択可能な最後の年。
minYear | コントロール内で選択可能な最初の年。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字、または入力できない文字のセット。 (FlexComboBase から継承されました)
rollOverColor | DateChooser コントロール内の日付にマウス ポインターを合わせたときの日付のハイライト領域の色。 デフォルト値は 0xE3FFD6 です。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedDate | DateChooser コントロールで選択された日付。
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexComboBase から継承されました)
showToday | DateChooser コントロールにハイライトされる日。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | テキスト フィールドの内容。 (FlexComboBase から継承されました)
textAlign | コンテナー内のテキストの配置。 有効な値は left、right または center です。 (FlexComboBase から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexComboBase から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexComboBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
todayColor | DateChooser コントロールで今日の日付のハイライトの色。 デフォルト値は 0x2B333 です。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yearNavigationEnabled | 年のナビゲーション用上下ボタンが利用可能かどうか。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | 日付が選択または変更され、DateChooser コントロールが閉じられたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | close イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。 (FlexComboBase から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | open イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexComboBase から継承されました)
ScrollDate | DateChooserEvent.SCROLL 定数は、scrollevent イベントのイベント オブジェクトの type プロパティの値を定義します。
SelectText | テキスト フィールド内の選択範囲を追跡します。 (FlexComboBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexComboBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexDisplayObject クラス

説明

表示リストに含めることのできるすべてのオブジェクトに関する基本クラスです。 表示リストは、Flash Player または Adobe AIR に表示されるすべてのオブジェクトを管理します。

継承階層

  • TestObject
    • FlexDisplayObject
      • FlexListLabel
      • FlexObject
      • FlexUIMovieClip

構文

C#
public class FlexDisplayObject : TestObject, IClickable, IKeyable
VB
'Declaration
Public Class FlexDisplayObject _
Inherits TestObject _
Implements IClickable, IKeyable

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。
height | 表示オブジェクトの高さ（ピクセル単位）。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。
tabIndex | SWF ファイル内のオブジェクトのタブ順序。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。
width | 表示オブジェクトの幅（ピクセル単位）。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexDividedBox クラス

説明

Box コンテナーと同じ方法で子を水平方向または垂直方向に測定して配置しますが、子の間にはドラッグ可能な仕切りが挿入されます。 ユーザーは、任意の側の仕切りをドラッグして子のサイズを変更できます。

DividedBox クラスは HDividedBox および VDividedBox クラスの基本クラスです。

継承階層

  • FlexBox
    • FlexDividedBox

構文

C#
public class FlexDividedBox : FlexBox,
VB
'Declaration
Public Class FlexDividedBox _
Inherits FlexBox

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。 (FlexBox から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。 (FlexBox から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeToContent | DividedBox が自動的に子のサイズに変更されるかどうか。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。 (FlexBox から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Dragged | ユーザーが分割線をドラッグするときに複数回ディスパッチされます。 dividerDrag イベントは、dividerPress イベントの後、および dividerRelease イベントの前にディスパッチされます。
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Pressed | ユーザーがこのコンテナーの分割線を押したときにディスパッチされます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Released | ユーザーが分割線を離したときにディスパッチされます。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexForm クラス

説明

フォームのレイアウトを制御し、フォーム フィールドが必須かオプションであるかを明示し、エラー メッセージを処理し、フォーム データを Flex データ モデルにバインドしてデータのチェックと検証を実行することができます。 また、スタイルシートを使用してフォームの外観を設定することもできます。

継承階層

  • FlexContainer
    • FlexForm

構文

C#
public class FlexForm : FlexContainer,
VB
'Declaration
Public Class FlexForm _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexFormItem クラス

説明

ラベル、および水平方向または垂直方向に配置されている子を定義します。 フォームの子には、コントロールやその他のコンテナーなどがあります。 1 つの Form コンテナーで複数の FormItem コンテナーを保持できます。

継承階層

  • FlexContainer
    • FlexFormItem

構文

C#
public class FlexFormItem : FlexContainer,
VB
'Declaration
Public Class FlexFormItem _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexHLOCChart クラス

説明

HLOCChart（高値、安値、始値、終値）コントロールは、データ系列の高値、安値、始値、終値などの財務データを一連のローソク足で示します。

各要素の垂直線の上端および下端が、データ ポイントの高値および安値になります。 右向きの目盛りが終値になり、始値を指定した場合には左向きの目盛りが始値になります。

継承階層

  • FlexCartesianChart
    • FlexHLOCChart

構文

C#
public class FlexHLOCChart : FlexCartesianChart,
VB
'Declaration
Public Class FlexHLOCChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
columnWidthRatio | HLOC 線を描く際の水平軸のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maxColumnWidth | 描画する HLOC 線の幅（ピクセル単位）。
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexHLOCSeries クラス

説明

データ系列の高値、安値、終値、および始値（オプション）などの財務データを一連の要素で示します。

各要素の垂直線の上端および下端が、データ ポイントの高値および安値になります。 右向きの目盛りが終値になり、始値を指定した場合には左向きの目盛りが始値になります。

継承階層

  • FlexHLOCSeriesBase
    • FlexHLOCSeries

構文

C#
public class FlexHLOCSeries : FlexHLOCSeriesBase,
VB
'Declaration
Public Class FlexHLOCSeries _
Inherits FlexHLOCSeriesBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
columnWidthRatio | カテゴリ幅に相対的な要素の幅。 (FlexHLOCSeriesBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxColumnWidth | 要素の幅（ピクセル単位）。 (FlexHLOCSeriesBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 要素の x 軸の位置を決定するデータ プロバイダーのフィールド。 (FlexHLOCSeriesBase から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexHLOCSeriesBase クラス

説明

データ系列の高値、安値、終値、および始値（オプション）などの財務データを一連の要素で示します。

各要素の垂直線の上端および下端が、データ ポイントの高値および安値になります。 右向きの目盛りが終値になり、始値を指定した場合には左向きの目盛りが始値になります。

継承階層

  • FlexChartSeries
    • FlexHLOCSeriesBase
      • FlexCandlestickSeries
      • FlexHLOCSeries

構文

C#
public class FlexHLOCSeriesBase : FlexChartSeries,
VB
'Declaration
Public Class FlexHLOCSeriesBase _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
columnWidthRatio | カテゴリ幅に相対的な要素の幅。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxColumnWidth | 要素の幅（ピクセル単位）。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 要素の x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexImage クラス

説明

実行時に、JPEG、PNG、GIF および SWF のファイルをインポートできます。

@Embed(source='filename') を使用して、これらのファイルと SVG ファイルをコンパイル時に埋め込むこともできます。

メモ： Flex には、Flex アプリケーションをロードする SWFLoader コントロールもあります。 静止グラフィック ファイルと SWF ファイルのロードには、通常 Image コントロールを使用し、Flex アプリケーションのロードには、SWFLoader コントロールを使用します。 Image コントロールは、カスタム項目レンダラと項目エディターでも使用できるように設計されています。

継承階層

  • FlexLoader
    • FlexImage

構文

C#
public class FlexImage : FlexLoader,
VB
'Declaration
Public Class FlexImage _
Inherits FlexLoader

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
source | コンテンツとしてロードする URL、オブジェクト、クラス、または暮らすの文字列名。 (FlexLoader から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexLabel クラス

説明

編集できないテキストの単一行を表示します。

継承階層

  • FlexObject
    • FlexLabel

構文

C#
public class FlexLabel : FlexObject,
VB
'Declaration
Public Class FlexLabel _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
htmlText | Label コントロールによって表示されるテキスト（そのテキストのスタイルを表現する HTML マークアップを含む）。
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このコントロールで表示されるプレーン テキスト。 その外観は、この Label コントロールの CSS スタイルによって決定されます。
textAlign | コンテナー内のテキストの配置。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexLineChart クラス

説明

連続する 1 本の線でつながれた点としてデータ系列を表します。

アイコンやシンボルを使用して線上の各データ ポイントを表すことも、アイコンなしの単純な線を表示することもできます。

継承階層

  • FlexCartesianChart
    • FlexLineChart

構文

C#
public class FlexLineChart : FlexCartesianChart,
VB
'Declaration
Public Class FlexLineChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexLineSeries クラス

説明

LineChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexLineSeries

構文

C#
public class FlexLineSeries : FlexChartSeries,
VB
'Declaration
Public Class FlexLineSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
form | グラフの線のタイプ。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
radius | データ ポイントのグラフ要素の半径（ピクセル単位）。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
sortOnXField | レンダリングの前に線データポイントを左から右にソートするかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexLinkBar クラス

説明

一連のリンク先を指定する LinkButton コントロールの水平方向または垂直方向の行を定義します。

LinkBar コントロールは通常、ViewStack コンテナーのアクティブな子コンテナーを制御するため、またはリンクの単独のセットを作成するために使用します。

継承階層

  • FlexNavigationBar
    • FlexLinkBar

構文

C#
public class FlexLinkBar : FlexNavigationBar,
VB
'Declaration
Public Class FlexLinkBar _
Inherits FlexNavigationBar

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。 (FlexBox から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。 (FlexBox から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | アクティブなナビゲーション項目のインデックス。最初の項目のインデックスは 0 です。 デフォルト値は -1 です。 (FlexNavigationBar から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。 (FlexBox から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexNavigationBar から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexNavigationBar から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexList クラス

説明

項目のリストを水平方向、垂直方向、またはタイル状に並べて表示します。

継承階層

  • FlexListBase
    • FlexList
      • FlexTree

構文

C#
public class FlexList : FlexListBase,
VB
'Declaration
Public Class FlexList _
Inherits FlexListBase

プロパティ

名前 | 説明
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。 (FlexListBase から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。 (FlexListBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。 (FlexListBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexListBase から継承されました)
columnWidth | コントロールの列の幅。 (FlexListBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexListBase から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexListBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。 (FlexListBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexListBase から継承されました)
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。 (FlexListBase から継承されました)
lockedRowCount | スクロールするコントロールの最初の行のインデックス。 (FlexListBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexListBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexListBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。 (FlexListBase から継承されました)
rowCount | 表示する行の数。 (FlexListBase から継承されました)
rowHeight | 行の高さ（ピクセル単位）。 (FlexListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。 (FlexListBase から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexListBase から継承されました)
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。 (FlexListBase から継承されました)
selectedItem | データ プロバイダー内で選択された項目への参照。 (FlexListBase から継承されました)
selectedItems | データ プロバイダーで選択された項目への参照の配列。 (FlexListBase から継承されました)
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。 (FlexListBase から継承されました)
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。 (FlexListBase から継承されました)
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。 (FlexListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。 (FlexListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。 (FlexListBase から継承されました)
verticalAlign | 行のレンダラの垂直方向の配置。 (FlexListBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。 (FlexListBase から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Edit | 項目が編集可能な状態かどうかを示す itemEditBegin イベントにおけるイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexListBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。 (FlexListBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexListBase クラス

説明

ListBase クラスは、項目のリストを表すコントロールの基本クラスです。項目リストでは、1 つまたは複数の項目を選択したり、項目をスクロールしたりできます。

項目は、dataProvider プロパティを使用して指定され、項目レンダラによって表示されます。

モデル/ビュー アーキテクチャでは、ListBase から派生したクラスはビューを表し、dataProvider オブジェクトはモデルを表します。

継承階層

  • FlexScrollBase
    • FlexListBase
      • FlexAdvancedDataGrid
      • FlexDataGrid
      • FlexList

構文

C#
public class FlexListBase : FlexScrollBase,
VB
'Declaration
Public Class FlexListBase _
Inherits FlexScrollBase

プロパティ

名前 | 説明
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。
columnNames | データ内のすべての列の名前を含むリスト。
columnWidth | コントロールの列の幅。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。
lastVisibleRow | 最後の可視の子のインデックス。
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。
lockedRowCount | スクロールするコントロールの最初の行のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。
rowCount | 表示する行の数。
rowHeight | 行の高さ（ピクセル単位）。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。
selectedIndex | データ プロバイダー内で選択された項目のインデックス。
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。
selectedItem | データ プロバイダー内で選択された項目への参照。
selectedItems | データ プロバイダーで選択された項目への参照の配列。
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。
verticalAlign | 行のレンダラの垂直方向の配置。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexListLabel クラス

説明

コントロールのデフォルトの項目レンダラを定義します。 デフォルトでは、項目レンダラはリスト中の各項目に関連付けられたテキストとオプションでアイコンを描画します。

継承階層

  • FlexDisplayObject
    • FlexListLabel

構文

C#
public class FlexListLabel : FlexDisplayObject,
VB
'Declaration
Public Class FlexListLabel _
Inherits FlexDisplayObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。
automationName | このオブジェクトの識別子として使用することのできる名前。
automationValue | オブジェクトのレンダリング表示に対応する値。また、アプリケーションでの視覚表示と同じにするために、識別子とオブジェクトを関連付けるのに使用できます。
className | "Button" のようなこのインスタンスのクラスの名前。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexLoader クラス

説明

指定した SWF ファイルをロードし表示します。 通常、ある Flex アプリケーションをホストする Flex アプリケーションにロードする場合に SWFLoader を使用します。

継承階層

  • FlexObject
    • FlexLoader
      • FlexImage

構文

C#
public class FlexLoader : FlexObject,
VB
'Declaration
Public Class FlexLoader _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
source | コンテンツとしてロードする URL、オブジェクト、クラス、または暮らすの文字列名。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexMenu クラス

説明

大部分のソフトウェア アプリケーションに見られるファイル メニューや編集メニューのような、個別に選択可能な選択肢を含むポップアップ メニューを作成します。 ポップアップ メニューには、必要に応じて複数のサブメニューのレベルを設定できます。

継承階層

  • FlexObject
    • FlexMenu

構文

C#
public class FlexMenu : FlexObject,
VB
'Declaration
Public Class FlexMenu _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | メニューまたはサブメニューのメニュー項目に使用する背景色の代替パターン配列。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目の背景色。 デフォルト値は 0xB2E1FF です。
rowCount | 表示する行の数。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。
selectionColor | メニュー項目が選択されたときのメニュー項目の背景色。 デフォルト値は 0x7FCEFF です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目のテキスト色。 デフォルト値は 0x2B333C です。
textSelectedColor | メニュー項目が選択されたときのメニュー項目のテキスト色。 デフォルト値は 0x2B333C です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
Hide | メニューまたはサブメニューが閉じたときにディスパッチされます。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニュー項目が選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Show | メニューまたはサブメニューが開いたときにディスパッチされます。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexMenuBar クラス

説明

1 つ以上のメニューを含む水平な最上位メニュー バーを定義します。 最上位メニュー項目をクリックすると、Menu コントロールのインスタンスであるポップアップ サブメニューが開きます。

継承階層

  • FlexObject
    • FlexMenuBar

構文

C#
public class FlexMenuBar : FlexObject,
VB
'Declaration
Public Class FlexMenuBar _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundColor | コンポーネントの背景色。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このオブジェクトの子の数。
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目の背景色。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 現在開いている Menu、または現在開いている Menu がない場合は最後に開いていた Menu の MenuBar コントロールのインデックス。
selectionColor | メニュー項目が選択されたときのメニュー項目の背景色。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
Hide | メニューまたはサブメニューが閉じたときにディスパッチされます。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Show | メニューまたはサブメニューが開いたときにディスパッチされます。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexNavigationBar クラス

説明

LinkBar コントロールや TabBar コントロールなどのナビゲーター コントロールに対するスーパークラスです。 このクラスは直接インスタンス化できません。

継承階層

  • FlexBox
    • FlexNavigationBar
      • FlexButtonBar
      • FlexLinkBar

構文

C#
public class FlexNavigationBar : FlexBox,
VB
'Declaration
Public Class FlexNavigationBar _
Inherits FlexBox

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。 (FlexBox から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。 (FlexBox から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | アクティブなナビゲーション項目のインデックス。最初の項目のインデックスは 0 です。 デフォルト値は -1 です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。 (FlexBox から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexNumericStepper クラス

説明

順序化された集合から数値を選択することができます。

NumericStepper コントロールは、単一行のテキスト入力フィールドと、使用できる値を増減するための 2 つの矢印ボタンから構成されます。 上矢印キーと下矢印キーを使用して増減する値を循環させることもできます。

継承階層

  • FlexObject
    • FlexNumericStepper

構文

C#
public class FlexNumericStepper : FlexObject,
VB
'Declaration
Public Class FlexNumericStepper _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。 有効な値は、normal および bold です。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | NumericStepper の最大値。
minimum | NumericStepper の最小値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
nextValue | value プロパティの現在値の 1 つ後の値。maximum プロパティの値より大きくなることはありません。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
previousValue | value プロパティの現在値の 1 つ前の値。maximum プロパティの値より小さくなることはありません。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
stepSize | 値間の 0 でない変化単位。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 有効な値は left、right または center です。
textDecoration | テキストに下線を表示するかどうか。 有効な値は none と underline です。 デフォルト値は none です。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | NumericStepper コントロールのテキスト領域に表示される値。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキスト フィールド内の選択範囲を追跡します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexObject クラス

説明

対話型と非対話型の両方のすべてのビジュアル コンポーネントの基本クラスです。

継承階層

  • FlexDisplayObject
    • FlexObject
      • FlexAxisRenderer
      • FlexButton
      • FlexChart
      • FlexChartLegend
      • FlexChartSeries
      • FlexComboBase
      • FlexContainer
      • FlexDateChooser
      • FlexLabel
      • FlexLoader
      • FlexMenu
      • FlexMenuBar
      • FlexNumericStepper
      • FlexProgressBar
      • FlexRule
      • FlexScrollBar
      • FlexScrollBase
      • FlexSlider
      • FlexVideoDisplay
      • SparkDataGridLabel
      • SparkGroupBase
      • SparkObject
      • SparkPopUpAnchor
      • SparkTextBase
      • SparkVideoDisplay

構文

C#
public class FlexObject : FlexDisplayObject,
VB
'Declaration
Public Class FlexObject _
Inherits FlexDisplayObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。
automationName | このオブジェクトの識別子として使用することのできる名前。
className | Button のようなこのインスタンスのクラスの名前。
currentState | コンポーネントの現在の表示状態。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。
scaleX | 水平方向の倍率を指定する係数。
scaleY | 垂直方向の倍率を指定する係数。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexOLAPDataGrid クラス

説明

AdvancedDataGrid コントロールの機能を拡張したもので、OLAP クエリの結果表示のサポートが追加されています。

すべての Flex データ グリッド コントロールと同様、OLAPDataGrid はデータを行と列の 2 次元で表現するように設計されています。

継承階層

  • FlexAdvancedDataGrid
    • FlexOLAPDataGrid

構文

C#
public class FlexOLAPDataGrid : FlexAdvancedDataGrid,
VB
'Declaration
Public Class FlexOLAPDataGrid _
Inherits FlexAdvancedDataGrid

プロパティ

名前 | 説明
allowDragSelection | ドラッグによる選択が有効かどうか。 通常の選択では、選択する項目上にマウスを移動させてもマウス ボタンを押すことはできませんが、ドラッグによる選択では、項目にドラッグすることによって、その項目を選択できます。 (FlexAdvancedDataGrid から継承されました)
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。 (FlexListBase から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。 (FlexListBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。 (FlexListBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexListBase から継承されました)
columnWidth | コントロールの列の幅。 (FlexListBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
defaultCellString | IOLAPResult インスタンスから返されたセルのデータが null (Visual Basic では Nothing) または NaN の場合に、そのセルに表示される文字列。
depthColors | AdvancedDataGrid コントロールのナビゲーション ツリーの各レベルの行で使用する色の配列（降順）。 デフォルト値は未定義です。 (FlexAdvancedDataGrid から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 (FlexAdvancedDataGrid から継承されました)
displayItemsExpanded | ナビゲーション ツリーが展開されてすべての項目が表示されているかどうか。 (FlexAdvancedDataGrid から継承されました)
editable | データ プロバイダーの項目を編集できるかどうか。 (FlexAdvancedDataGrid から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexListBase から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexListBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
headerColors | ヘッダーの背景にグラデーションを描画するために使用する 2 色の配列。 (FlexAdvancedDataGrid から継承されました)
headerHeight | 列のヘッダー セルの高さ（ピクセル単位）。 (FlexAdvancedDataGrid から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalGridLineColor | 水平グリッド線の色。 (FlexAdvancedDataGrid から継承されました)
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。 (FlexListBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
indentation | ナビゲーション ツリーの各ノードのインデント（ピクセル単位）。 デフォルト値は 17 です。 (FlexAdvancedDataGrid から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexListBase から継承されました)
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。 (FlexListBase から継承されました)
lockedRowCount | スクロールするコントロールの最初の行のインデックス。 (FlexListBase から継承されました)
minColumnWidth | 列の最小幅（ピクセル単位）。 (FlexAdvancedDataGrid から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexListBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexListBase から継承されました)
openDuration | ナビゲーション ツリーの開いた状態や閉じた状態への遷移にかかる時間の長さ（ミリ秒単位）。 デフォルト値は 250 です。 (FlexAdvancedDataGrid から継承されました)
paddingBottom | 行の下端と行内のレンダラの下端との間のピクセル数。 (FlexAdvancedDataGrid から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexAdvancedDataGrid から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexAdvancedDataGrid から継承されました)
paddingTop | 行の上端と行内のレンダラの上端との間のピクセル数。 (FlexAdvancedDataGrid から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizableColumns | 列のサイズをユーザーが変更できるかどうか。 (FlexAdvancedDataGrid から継承されました)
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。 (FlexListBase から継承されました)
rowCount | 表示する行の数。 (FlexListBase から継承されました)
rowHeight | 行の高さ（ピクセル単位）。 (FlexListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。 (FlexListBase から継承されました)
selectedCells | 行インデックスおよび列インデックスとしてセル位置の配列。 (FlexAdvancedDataGrid から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexListBase から継承されました)
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。 (FlexListBase から継承されました)
selectedItem | データ プロバイダー内で選択された項目への参照。 (FlexListBase から継承されました)
selectedItems | データ プロバイダーで選択された項目への参照の配列。 (FlexListBase から継承されました)
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。 (FlexListBase から継承されました)
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。 (FlexListBase から継承されました)
selectionMode | コントロールの選択モード。 (FlexAdvancedDataGrid から継承されました)
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。 (FlexListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。 (FlexListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。 (FlexListBase から継承されました)
verticalAlign | 行のレンダラの垂直方向の配置。 (FlexListBase から継承されました)
verticalGridLineColor | 垂直グリッド線の色。 デフォルト値は 0x666666 です。 (FlexAdvancedDataGrid から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。 (FlexListBase から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | AdvancedDataGrid の分岐を閉じるまたは折りたたみます。 (FlexAdvancedDataGrid から継承されました)
ColumnGroupedADGHeaderShift | ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。 (FlexAdvancedDataGrid から継承されました)
ColumnStretch | ユーザーが列の幅を変更したときにディスパッチされます。これは、列に表示されるデータ量が変更されたことを意味します。 (FlexAdvancedDataGrid から継承されました)
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCellData | グリッド内のセルのデータを返します。 (FlexAdvancedDataGrid から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetGroupedItemChildrenCount | グループの最初の項目内にある子の数を返します。 (FlexAdvancedDataGrid から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetRowData | データ プロバイダーの項目の行のデータを返します。 (FlexAdvancedDataGrid から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexListBase から継承されました)
HeaderClick | 列の内容に基づいてグリッドの内容の並べ替えを行うために、ユーザーが列ヘッダーでマウス ボタンを離したときにディスパッチされます。 (FlexAdvancedDataGrid から継承されました)
HeaderShift | ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。 (FlexAdvancedDataGrid から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsGroupedItem | 項目がグループのメンバーかどうかを指定する値を返します。 (FlexAdvancedDataGrid から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Open | AdvancedDataGrid の分岐を開くまたは展開します。 (FlexAdvancedDataGrid から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。 (FlexListBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPanel クラス

説明

タイトル バー、キャプション、境界線、および子のコンテンツ領域から構成されています。

通常、Panel コンテナーは最上位のアプリケーション モジュールをラップするために使用します。 例えば、Panel コンテナーにショッピング カートを含めることもできます。

継承階層

  • FlexContainer
    • FlexPanel
      • FlexAlert
      • FlexTitleWindow

構文

C#
public class FlexPanel : FlexContainer,
VB
'Declaration
Public Class FlexPanel _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dropShadowEnabled | Panel コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
footerColors | フッター（ControlBar コンテナーの領域）の背景の描画に使用される 2 色の配列。
headerColors | ヘッダーを描画するために使用する 2 色の配列。
headerHeight | ヘッダーの高さ。 デフォルト値はタイトル テキストのスタイルに基づいて計算されます。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
status | タイトル バーのステータス領域に表示されるテキスト。 デフォルト値は "" です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | タイトル バーに表示されるタイトルまたはキャプション。 デフォルト値は "" です。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPieChart クラス

説明

標準的な円グラフでデータ系列を表します。

円グラフ内の各区分の大きさは、データ プロバイダーのデータにより、他の区分との関連で決定されます。 PieSeries クラスを使用すると、標準的な円グラフ、ドーナツ グラフ、および積み上げ円グラフを作成できます。

継承階層

  • FlexChart
    • FlexPieChart

構文

C#
public class FlexPieChart : FlexChart,
VB
'Declaration
Public Class FlexPieChart _
Inherits FlexChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
innerRadius | 円グラフの中心の空洞のサイズ。
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPieSeries クラス

説明

PieChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexPieSeries

構文

C#
public class FlexPieSeries : FlexChartSeries,
VB
'Declaration
Public Class FlexPieSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
calloutGap | 引き出し線をレンダリングする際に円グラフの縁とラベルの間にどの程度のスペースが挿入されるか。 デフォルト値は 10 です。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
explodeRadius | 0 から 1 までの数値。円系列の全区分をグラフの中心からどのくらい分離するかを全半径のパーセンテージで指定します。
field | PieChart コントロールの各区分のデータを決定するデータ プロバイダーのフィールド。 デフォルト値は null (Visual Basic では Nothing) です。
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontSize | テキストの高さ（ピクセル単位）。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
innerRadius | 系列の中心からレンダリング済み区分の内側エッジまでの距離を、系列に割り当てられた全半径のパーセンテージで指定する、0 ? 1 の数。
insideLabelSizeLimit | フォントサイズのしきい値（ポイント）。これ以下のサイズの内部ラベルは判読不能と見なされます。
labelPosition | 値のラベルのレンダリング方法。
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
maxLabelRadius | ラベルに割り当て可能な PieSeries の半径の最大値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
nameField | PieChart コントロールの各区分の名前を決定するデータ プロバイダーのフィールド。 デフォルト値は null (Visual Basic では Nothing) です。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
outerRadius | 領域全体のうち PieSeries が系列の内容をレンダリングする場合に使用可能な領域の割合。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
startAngle | PieChart コントロールの最初の区分の開始角度。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPlotChart クラス

説明

各データ ポイントにつき 2 つの値でデータを表します。 1 つの値は水平方向の軸に沿ったデータ ポイントの位置を、もう 1 つの値は垂直方向の軸に沿った位置を決定します。

継承階層

  • FlexCartesianChart
    • FlexPlotChart

構文

C#
public class FlexPlotChart : FlexCartesianChart,
VB
'Declaration
Public Class FlexPlotChart _
Inherits FlexCartesianChart

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipContent | Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。 (FlexChart から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChart から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipMode | グラフの DataTip コントロールの表示方法。 (FlexChart から継承されました)
description | グラフのデータの簡単な説明。 (FlexChart から継承されました)
dragEnabled | このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。 (FlexChart から継承されました)
dropEnabled | ドラッグした項目をグラフ上にドロップできるかどうか。 (FlexChart から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChart から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexChart から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。 (FlexChart から継承されました)
gutterBottom | グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterLeft | グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterRight | グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
gutterTop | グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。 (FlexCartesianChart から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAxisRatio | 水平軸の高さの制限。 (FlexCartesianChart から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChart から継承されました)
maximumDataTipCount | グラフが表示するデータ ヒントの最大数。 (FlexChart から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseSensitivity | マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。 (FlexChart から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChart から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChart から継承されました)
paddingBottom | グラフの下境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
paddingLeft | コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。 (FlexChart から継承されました)
paddingRight | コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。 (FlexChart から継承されました)
paddingTop | グラフの上境界線とコンテンツ領域との間にあるピクセル数。 (FlexChart から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChartItem | グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。 (FlexChart から継承されました)
selectedChartItems | グラフ内の選択されたすべての ChartItem オブジェクトの配列。 (FlexChart から継承されました)
selectionMode | ChartItem オブジェクトが選択できるかどうか。 (FlexChart から継承されました)
showDataTips | グラフの DataTip コントロールが表示されるかどうか。 (FlexChart から継承されました)
showDataTipTargets | showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。 (FlexChart から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexCartesianChart から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAxisRatio | 垂直軸の幅の制限。 (FlexCartesianChart から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChart から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexChart から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPlotSeries クラス

説明

PlotChart コントロールのデータ系列を定義します。

継承階層

  • FlexChartSeries
    • FlexPlotSeries

構文

C#
public class FlexPlotSeries : FlexChartSeries,
VB
'Declaration
Public Class FlexPlotSeries _
Inherits FlexChartSeries

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexChartSeries から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexChartSeries から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexChartSeries から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexChartSeries から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexChartSeries から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
radius | 半径のスタイル
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | データ プロバイダーのデータ内で選択された項目のインデックス。 (FlexChartSeries から継承されました)
selectedIndices | データ プロバイダーのデータ内で選択された項目のインデックスの配列。 (FlexChartSeries から継承されました)
selectedItem | 系列内で選択されたグラフ項目。 (FlexChartSeries から継承されました)
selectedItems | 系列内で選択されたグラフ項目の配列。 (FlexChartSeries から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
xField | 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)
yField | 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexChartSeries から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SeriesClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesDoubleClick | グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。 (FlexChartSeries から継承されました)
SeriesItemRollOver | グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。 (FlexChartSeries から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexPopUpButton クラス

説明

PopUpButton コントロールは、Button コントロールにポップアップ コントロールのインターフェイスを追加します。 メイン ボタンとポップアップ ボタンと呼ばれる小さなボタンを持ち、ユーザーがポップアップ ボタンをクリックすると、任意の UIComponent オブジェクトをポップアップします。

PopUpButton コントロールには、テキスト ラベル、アイコンのいずれか、または両方を表示できます。 PopUpButton コントロールのメイン ボタンをユーザーがクリックすると、click イベントがディスパッチされます。

PopUpButton コントロールの一般的な使用法の 1 つとして、ポップアップ ボタンで、メイン ボタンの機能やラベルを変更する List コントロールや Menu コントロールを開くことが挙げられます。

継承階層

  • FlexButton
    • FlexPopUpButton

構文

C#
public class FlexPopUpButton : FlexButton,
VB
'Declaration
Public Class FlexPopUpButton _
Inherits FlexButton

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。 (FlexButton から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexButton から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexButton から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexButton から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexButton から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexButton から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexButton から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexButton から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexButton から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | Button コントロールに表示されるテキスト。 (FlexButton から継承されました)
labelPlacement | 指定されたアイコンを基準にしたラベルの向き。 (FlexButton から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | トグルボタンがオン（true）またはオフ（false）のどちらであるか。 (FlexButton から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexButton から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexButton から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexButton から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexButton から継承されました)
textSelectedColor | ユーザーがラベルを選択したときのラベルのテキストの色。 デフォルト値は 0x000000 です。 (FlexButton から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toggle | Button を toggle 状態にするかどうか。 (FlexButton から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | 指定した UIComponent が閉じるときにディスパッチされます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | 指定した UIComponent が開くときにディスパッチされます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexButton から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexProgressBar クラス

説明

ProgressBar コントロールは、時間の経過に伴うタスクの進捗状況を視覚的に表示します。 ProgressBar コントロールには、確定モードと不確定モードの 2 つの種類があります。

確定モードの ProgressBar コントロールは、時間の経過に伴うタスクの進捗状況を直線的に表示します。 タスクの範囲がわかっている場合は、確定モードの ProgressBar を使用します。 タスクの終了までユーザーが長時間待たなければならないときに表示します。

不確定モードの ProgressBar コントロールは、範囲が不明な時間ベースのプロセスを表示します。 処理の規模が明らかな場合は、確定モードの ProgressBar コントロールを使用することをお勧めします。

継承階層

  • FlexObject
    • FlexProgressBar

構文

C#
public class FlexProgressBar : FlexObject,
VB
'Declaration
Public Class FlexProgressBar _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
barColor | ProgressBar の色。
borderColor | 3D 境界線の黒セクションまたは 2D 境界線の色セクション。 デフォルト値は 0xB7BABC です。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
conversion | 読み込んだ値の現在のバイト数と合計バイト数を変換するために使用する数値。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | タスクの完了に向かって ProgressBar が伸びていく方向。 MXML での有効な値は "right" と "left" です。
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
indeterminate | ProgressBar コントロールの外観が確定モードか不確定モードか。
label | 進捗バーの近くに表示するテキスト。
labelPlacement | ラベルの配置位置。
labelWidth | ラベルの幅（ピクセル単位）。
maximum | ProgressBar の最大進捗量を示す値。 このプロパティは手動モードでのみ使用できます。
minimum | ProgressBar の最小進捗量を示す値。 このプロパティは、開発者が手動モードでのみ設定します。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentComplete | 完了した処理のパーセンテージ。 0 から 100 の範囲の値です。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。
textDecoration | テキストに下線を表示するかどうか。
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | 最小値と最大値の間で進行した進捗量。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexRadioButton クラス

説明

RadioButton コントロールを使用すると、一連の相互排他的な選択肢の中から 1 つだけをユーザーに選択させることができます。

継承階層

  • FlexButton
    • FlexRadioButton

構文

C#
public class FlexRadioButton : FlexButton,
VB
'Declaration
Public Class FlexRadioButton _
Inherits FlexButton

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。 (FlexButton から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexButton から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コントロールの背景の塗りつぶしに使用するアルファ値。 (FlexButton から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。 (FlexButton から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexButton から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexButton から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexButton から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexButton から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexButton から継承されました)
groupName | この RadioButton コントロールが属するグループの名前。または、この RadioButton が RadioButtonGroup コントロールによって定義されたグループの一部の場合は、RadioButtonGroup コントロールの id プロパティの値を指定します。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | Button コントロールに表示されるテキスト。 (FlexButton から継承されました)
labelPlacement | 指定されたアイコンを基準にしたラベルの向き。 (FlexButton から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | トグルボタンがオン（true）またはオフ（false）のどちらであるか。 (FlexButton から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textAlign | コンテナー内のテキストの配置。 (FlexButton から継承されました)
textDecoration | テキストに下線を表示するかどうか。 (FlexButton から継承されました)
textIndent | テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。 (FlexButton から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexButton から継承されました)
textSelectedColor | ユーザーがラベルを選択したときのラベルのテキストの色。 デフォルト値は 0x000000 です。 (FlexButton から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toggle | Button を toggle 状態にするかどうか。 (FlexButton から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexButton から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexRepeater クラス

説明

リピータ コントロールを識別し、そのサブコンポーネントの複数のインスタンスを作成します。

継承階層

  • TestObject
    • FlexRepeater

構文

C#
public class FlexRepeater : TestObject, IClickable, IKeyable
VB
'Declaration
Public Class FlexRepeater _
Inherits TestObject _
Implements IClickable, IKeyable

プロパティ

名前 | 説明
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。
automationName | このオブジェクトの識別子として使用することのできる名前。
className | コントロールの開発者によって割り当てられた、要素のクラス名を含んだ文字列。
columnNames | データ内のすべての列の名前を含むリスト。
count | この Repeater が実行される回数。
firstVisibleRow | 最初の可視の子のインデックス。
id | 要素に対するオートメーション識別子（ID）を含んだ文字列。
lastVisibleRow | 最後の可視の子のインデックス。
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
recycleChildren | この Repeater が前に作成した子を再使用するのか、新しい子を作成するのかどうか。
startingIndex | この Repeater が子の作成を開始する dataProvider へのインデックス。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexRule クラス

説明

単一の水平方向または垂直方向の線を作成します。 通常、このコントロールはコンテナーの内部を分割する線を作成するために使用します。

継承階層

  • FlexObject
    • FlexRule

構文

C#
public class FlexRule : FlexObject,
VB
'Declaration
Public Class FlexRule _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | 行の色。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
strokeWidth | 罫線の太さです（ピクセル単位）。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexScrollBar クラス

説明

表示領域に対してデータが多すぎる場合に表示するデータの部分を制御するために使用します。

継承階層

  • FlexObject
    • FlexScrollBar

構文

C#
public class FlexScrollBar : FlexObject,
VB
'Declaration
Public Class FlexScrollBar _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lineScrollSize | 矢印ボタンが押されたときにスクロールする量（ピクセル単位）。 デフォルト値は 1 です。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
pageScrollSize | スクロール バーのトラックが押されたときのスクロール サムの移動量（ピクセル単位）。 デフォルト値は 0 です。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
scrollPosition | 現在のスクロール位置を表す数値。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
trackColors | トラックの色（2 色の配列として）。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollBar コントロールがユーザーによる動作やプログラムによってスクロールされた場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexScrollBase クラス

説明

ScrollControlBase クラスは、スクロール バーを持つコントロールの基本クラスです。

スクロール バーはユーザーが操作し、表示可能領域を変更するメソッドおよびプロパティには開発者がアクセスします。 ScrollControlBase が持つ子オブジェクトは 1 つのみで、そのオブジェクトを配置およびマスクするか、またはサイズ変更して、表示可能なコンテンツを表示します。 スクロールするすべての項目は、このコンテンツ　オブジェクトの子であることが必要です。

継承階層

  • FlexObject
    • FlexScrollBase
      • FlexListBase
      • FlexTextArea
      • SparkAirHTML

構文

C#
public class FlexScrollBase : FlexObject,
VB
'Declaration
Public Class FlexScrollBase _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexSlider クラス

説明

スライダー トラックの両端の間でスライダー サムを移動することで値を選択できます。

スライダーの現在の値は、スライダーの最小値と最大値に対応するスライダーの両終点の間におけるサムの相対位置によって決定されます。

継承階層

  • FlexObject
    • FlexSlider

構文

C#
public class FlexSlider : FlexObject,
VB
'Declaration
Public Class FlexSlider _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipPrecision | データ ヒント テキストで使用する小数点以下の桁数。
direction | スライダー コントロールの向き。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillColors | コントロールの背景を濃淡色化するのに使用する色。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labels | スライダーのラベルに使用する文字列の配列。
labelStyleName | スライダーのラベルに使用するスタイルの名前。 デフォルト値は未定義です。
liveDragging | スライダーのライブ ドラッグを有効にするかどうか。
maximum | スライダーに対して許可された最大値。 デフォルト値は 10 です。
minimum | スライダー コントロールに対して許可された最小値。 デフォルト値は 0 です。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showDataTip | ユーザーが操作している間、データ ヒントを表示するかどうか。
snapInterval | ユーザーがスライダー サムを移動したときの増分値。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
thumbCount | スライダー上に配置できるサムの数。
tickColor | 目盛りの色。
tickLength | 目盛りの長さ（ピクセル単位）。
tickThickness | 目盛りの太さ（ピクセル単位）。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
trackColors | トラックの色（2 色の配列として）。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | サムの位置。これは、minimum プロパティと maximum プロパティの間の値です。
values | thumbCount が 1 より大きい場合に、各サムの値を格納する配列。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | マウスまたはキーボード操作によってスライダーの値が変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexStandalonePlayer クラス

説明

Flex スタンドアロン プレイヤー。

継承階層

  • Window
    • FlexStandalonePlayer

構文

C#
public class FlexStandalonePlayer : Window,
VB
'Declaration
Public Class FlexStandalonePlayer _
Inherits Window

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。 (Window から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexTabNavigator クラス

説明

子コンテナー間での移動のために TabBar コンテナーを取り込むことで、ViewStack コンテナーを拡張します。

継承階層

  • FlexViewStack
    • FlexTabNavigator

構文

C#
public class FlexTabNavigator : FlexViewStack,
VB
'Declaration
Public Class FlexTabNavigator _
Inherits FlexViewStack

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | この TabNavigator コンテナーの上部にあるタブの水平位置。
horizontalGap | ピクセル単位で表したタブ間の間隔。 デフォルト値は -1 で、この場合、隣接するタブの境界線が重なります。
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChild | 現在表示されている子コンテナーへの参照。 (FlexViewStack から継承されました)
selectedIndex | 現在表示されている子コンテナーの 0 を基準としたインデックス。 (FlexViewStack から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabHeight | 各タブの高さ（ピクセル単位）。
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
tabWidth | 各タブの幅（ピクセル単位）。
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexViewStack から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexTextArea クラス

説明

複数行のテキストフィールドで、境界線とオプションのスクロールバーが含まれます。

TextArea コントロールは、Flash Player と AIR の HTML レンダリング機能をサポートします。

継承階層

  • FlexScrollBase
    • FlexTextArea

構文

C#
public class FlexTextArea : FlexScrollBase,
VB
'Declaration
Public Class FlexTextArea _
Inherits FlexScrollBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
color | コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
disabledColor | コンポーネントの背景色。
displayAsPassword | このコントロールがパスワード入力用であるかどうか。
editable | このコントロールでテキストを編集できるかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。
fontSize | テキストの高さ（ピクセル単位）。
fontStyle | テキストがイタリック フォントかどうか。
fontWeight | テキストがボールド体かどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPolicy | 水平スクロール バーが表示されるかどうか（常に表示： ScrollPolicy.ON、常に非表示： ScrollPolicy.OFF、必要に応じて表示： ScrollPolicy.AUTO）。
htmlText | TextInput コントロールによって表示されるテキスト（そのテキストのスタイルを表現する HTML マークアップを含む）。
id | コンポーネントの ID。 (FlexObject から継承されました)
length | TextArea に表示されるテキストの文字数。
maxChars | テキスト フィールドにユーザーが入力できる最大文字数。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがコントロールに入力できる文字のセット。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectionBeginIndex | 現在の選択範囲の最初の文字を示す 0 を基準としたインデックス値。
selectionEndIndex | 現在の選択範囲の最後の文字の直後の位置を示す 0 を基準としたインデックス。つまり、最後の文字の位置を示す 1 を基準としたインデックスと同じです。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | コントロールに表示されるプレーン テキスト。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。
SelectText | テキスト フィールド内の選択範囲を追跡します。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexTitleWindow クラス

説明

タイトル バー、キャプション、境界線、および子のコンテンツ領域から構成されています。

通常 TitleWindow コンテナーは、必要な機能をすべて備えたアプリケーション モジュールをラップするために使用します。 例えば、TitleWindow コンテナーにフォームを含めることができます。 TitleWindow コンテナーは、ユーザーがフォームへの入力を完了したら、プログラムによって閉じることも、ユーザーが閉じるボタンを押して閉じるようにすることもできます。

継承階層

  • FlexPanel
    • FlexTitleWindow

構文

C#
public class FlexTitleWindow : FlexPanel,
VB
'Declaration
Public Class FlexTitleWindow _
Inherits FlexPanel

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dropShadowEnabled | Panel コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。 (FlexPanel から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
footerColors | フッター（ControlBar コンテナーの領域）の背景の描画に使用される 2 色の配列。 (FlexPanel から継承されました)
headerColors | ヘッダーを描画するために使用する 2 色の配列。 (FlexPanel から継承されました)
headerHeight | ヘッダーの高さ。 デフォルト値はタイトル テキストのスタイルに基づいて計算されます。 (FlexPanel から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showCloseButton | TitleWindow コンテナ内に閉じるボタンを表示するかどうか。 デフォルト値は false です。
status | タイトル バーのステータス領域に表示されるテキスト。 デフォルト値は "" です。 (FlexPanel から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | タイトル バーに表示されるタイトルまたはキャプション。 デフォルト値は "" です。 (FlexPanel から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexToggleButtonBar クラス

説明

選択状態または選択解除状態を維持しているボタンが水平方向に並んだグループまたは垂直方向に並んだグループを定義します。

ToggleButtonBar コントロールで 1 つのボタンだけが選択状態になることができます。 つまり、ToggleButtonBar コントロールでいずれかのボタンを選択すると、別のボタンを選択するまでそのボタンは選択状態を維持します。

継承階層

  • FlexButtonBar
    • FlexToggleButtonBar

構文

C#
public class FlexToggleButtonBar : FlexButtonBar,
VB
'Declaration
Public Class FlexToggleButtonBar _
Inherits FlexButtonBar

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
direction | 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。 (FlexBox から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | このコンテナー内の子の水平方向の配置。 (FlexBox から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | アクティブなナビゲーション項目のインデックス。最初の項目のインデックスは 0 です。 デフォルト値は -1 です。 (FlexNavigationBar から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | このコンテナー内の子の垂直方向の配置。 (FlexBox から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexNavigationBar から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexNavigationBar から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexTree クラス

説明

Tree コントロールを使用すると、展開可能なツリー形式で階層データを表示できます。

ツリー内の各項目はリーフかブランチのいずれかになります。 リーフ項目とは、ツリー内の各末端にあるノードです。 ブランチ項目とは、リーフ項目またはブランチ項目を含んだノードです。また、空になる場合もあります。

デフォルトでは、リーフは、ファイル アイコンの横のテキスト ラベルで表されます。 ブランチは、フォルダー アイコンの横のテキスト ラベルで表されます。ブランチにはユーザーが開いて子を表示できる展開用矢印が付いています。

継承階層

  • FlexList
    • FlexTree

構文

C#
public class FlexTree : FlexList,
VB
'Declaration
Public Class FlexTree _
Inherits FlexList

プロパティ

名前 | 説明
allowMultipleSelection | 1 つ以上の項目を同時に選択することが許可されているかどうか。 (FlexListBase から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alternatingItemColors | リストの項目の背景に使用する色。 (FlexListBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。 (FlexListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnCount | TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。 (FlexListBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexListBase から継承されました)
columnWidth | コントロールの列の幅。 (FlexListBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dataTipField | データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
depthColors | Tree コントロールで使用する色の配列（降順）。 デフォルト値は未定義です。
disabledColor | リストの項目が無効な場合の色。 デフォルト値は 0xDDDDDD です。
editable | データ プロバイダーの項目を編集できるかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexListBase から継承されました)
focusAlpha | フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。 (FlexListBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
iconField | アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。 (FlexListBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
indentation | 各ツリー レベルのインデント（ピクセル単位）。 デフォルト値は 17 です。
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (FlexListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexListBase から継承されました)
lockedColumnCount | スクロールするコントロールの最初の列のインデックス。 (FlexListBase から継承されました)
lockedRowCount | スクロールするコントロールの最初の行のインデックス。 (FlexListBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexListBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexListBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rollOverColor | ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。 (FlexListBase から継承されました)
rowCount | 表示する行の数。 (FlexListBase から継承されました)
rowHeight | 行の高さ（ピクセル単位）。 (FlexListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | 選択された項目を選択状態でリストに表示するかどうか。 (FlexListBase から継承されました)
selectedIndex | データ プロバイダー内で選択された項目のインデックス。 (FlexListBase から継承されました)
selectedIndices | データ プロバイダーで選択された項目のインデックスの配列。 (FlexListBase から継承されました)
selectedItem | データ プロバイダー内で選択された項目への参照。 (FlexListBase から継承されました)
selectedItems | データ プロバイダーで選択された項目への参照の配列。 (FlexListBase から継承されました)
selectionColor | ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。 (FlexListBase から継承されました)
selectionDisabledColor | コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。 (FlexListBase から継承されました)
showDataTips | 行内のテキストに対して dataTips を表示するかどうか。 (FlexListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
textRollOverColor | マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
textSelectedColor | ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。 (FlexListBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useRollOver | 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。 (FlexListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
variableRowHeight | 個々の行が別々の高さを持つことができるかどうか。 (FlexListBase から継承されました)
verticalAlign | 行のレンダラの垂直方向の配置。 (FlexListBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
wordWrap | 行内のテキストを折り返すかどうか。 (FlexListBase から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ツリーの分岐を閉じるまたは折りたたみます。
Deselect | 以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Edit | 項目が編集可能な状態かどうかを示す itemEditBegin イベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexList から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (FlexListBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MultiSelect | 複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
Open | ツリーの分岐を開くまたは展開します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | scroll イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
ScrollToIndex | 指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。 (FlexListBase から継承されました)
Select | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SelectIndex | 単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。 (FlexListBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (FlexListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexUIMovieClip クラス

説明

Adobe Flash CS3 Professional で Flex 用に作成するコンポーネントは、mx.flash.UIMovieClip クラスのサブクラスになります。

UIMovieClip クラスは、Flash コンポーネントを通常の Flex コンポーネントのように使用するために必要なインターフェイスを実装しています。 したがって、UIMovieClip のサブクラスは、Flex コンテナーの子として使用したり、スキンとして使用したりできます。また、このサブクラスを使用すると、Flex コンポーネントと同じ方法で、イベントに対する応答、ビューの状態や遷移の定義およびエフェクトの操作を行うことができます。

継承階層

  • FlexDisplayObject
    • FlexUIMovieClip
      • FlexContainerMovieClip

構文

C#
public class FlexUIMovieClip : FlexDisplayObject,
VB
'Declaration
Public Class FlexUIMovieClip _
Inherits FlexDisplayObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。
automationName | このオブジェクトの識別子として使用することのできる名前。
className | "Button" のようなこのインスタンスのクラスの名前。
currentState | このコンポーネントの現在の状態。
enabled | ムービー クリップが有効かどうか。
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。
scaleX | 基準点から適用されるオブジェクトの水平倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。
scaleY | オブジェクトの基準点から適用されるオブジェクトの垂直倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。
useHandCursor | buttonMode プロパティが true に設定されたスプライト上にポインターが移動したときに、指差しハンド ポインター（ハンド カーソル）を表示するかどうか。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | keyFocusChange イベント オブジェクトの type プロパティの値を定義します。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コンポーネントがフォーカスを受け取ったときに FocusManager によって呼ばれます。 コンポーネントはその内部のコンポーネントに順々にフォーカスを設定できます。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexVideoDisplay クラス

説明

Flex アプリケーションで FLV ファイルを再生できます。 HTTP を介したプログレッシブ ダウンロード、Flash Media Server からのストリーミング、および Camera オブジェクトからのストリーミングをサポートします。

継承階層

  • FlexObject
    • FlexVideoDisplay

構文

C#
public class FlexVideoDisplay : FlexObject,
VB
'Declaration
Public Class FlexVideoDisplay _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
source | ストリーミングする FLV ファイルの相対パスおよびファイル名。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
totalTime | メディアの全体の長さ（秒）。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
volume | ボリューム レベル。0 から 1 の範囲の値で指定します。 デフォルト値は 0.75 です。
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexViewStack クラス

説明

ViewStack ナビゲーターのコンテナーは、積み重ねられた一連の子コンテナーから成ります。子コンテナーは一度に 1 つのみ表示されます。 別の子コンテナーが選択されると、同じ場所に表示されるため、このコンテナーによって既存のコンテナーが置き換えられたように見えます。 ただし、それまでの子コンテナーもまだ存在しており、単に見えなくなっただけです。

継承階層

  • FlexContainer
    • FlexViewStack
      • FlexTabNavigator

構文

C#
public class FlexViewStack : FlexContainer,
VB
'Declaration
Public Class FlexViewStack _
Inherits FlexContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedChild | 現在表示されている子コンテナーへの参照。
selectedIndex | 現在表示されている子コンテナーの 0 を基準としたインデックス。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexWindow クラス

説明

Window は、AIR デスクトップ アプリケーションの追加ウィンドウに対する最上位のコンテナーです。

継承階層

  • FlexContainer
    • FlexWindow

構文

C#
public class FlexWindow : FlexContainer, IMoveable
VB
'Declaration
Public Class FlexWindow _
Inherits FlexContainer _
Implements IMoveable

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alwaysInFront | 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
closed | 基になるウィンドウが閉じられているかどうかを示す値。
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isAIRWindow | このウィンドウが AIR ウィンドウかどうかを示す値。
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
maxHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。
maximizable | ウィンドウを最大化できるかどうかを示す値。
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。
minHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。
minimizable | ウィンドウを最小化できるかどうかを示す値。
minWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizable | ウィンドウをサイズ変更できるかどうかを示す値。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showStatusBar | ステータス バーが可視かどうかを示す値。
status | ステータス バーに表示される文字（表示されている場合）。
systemChrome | ウィンドウが持っているシステム クロム（存在する場合）のタイプ。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | ウィンドウのタイトル バーとタスク バーに表示されるタイトル。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
transparent | ウィンドウを透明にするかどうか。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (IMoveable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StateChange | ウィンドウの displaystatus が変更されたときにディスパッチされます。
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


FlexWindowedApplication クラス

説明

WindowedApplication は、AIR アプリケーション用の Flex アプリケーションを作成するために使用するアプリケーション コンテナーを定義します。

継承階層

  • FlexApplication
    • FlexWindowedApplication

構文

C#
public class FlexWindowedApplication : FlexApplication, IMoveable
VB
'Declaration
Public Class FlexWindowedApplication _
Inherits FlexApplication _
Implements IMoveable

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alwaysInFront | 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。
applicationID | AIR がアプリケーションを識別するために使用する識別子。
autoExit | 最後のウィンドウを閉じたときに AIR アプリケーションが終了するか、バックグランドで実行を続けるかどうかを示す値。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
backgroundAlpha | backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。 (FlexContainer から継承されました)
backgroundColor | コンポーネントの背景色。 (FlexContainer から継承されました)
backgroundDisabledColor | コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。 (FlexContainer から継承されました)
backgroundImage | コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。 (FlexContainer から継承されました)
backgroundSize | 指定した backgroundImage の画像サイズを変更する割合。 (FlexContainer から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
closed | 基になるウィンドウが閉じられているかどうかを示す値。
columnNames | データ内のすべての列の名前を含むリスト。 (FlexContainer から継承されました)
creationIndex | このコンテナーの子をインスタンス化および描画する順番。 (FlexContainer から継承されました)
creationPolicy | このコンテナーの子の作成ポリシー。 (FlexContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillAlphas | コンポーネントの背景の塗りつぶしに使用するアルファ透過値。 (FlexContainer から継承されました)
fillColors | コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。 (FlexContainer から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (FlexContainer から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
fontFamily | 使用するフォントの名前。 (FlexContainer から継承されました)
fontSize | テキストの高さ（ピクセル単位）。 (FlexContainer から継承されました)
fontStyle | テキストがイタリック フォントかどうか。 (FlexContainer から継承されました)
fontWeight | テキストがボールド体かどうか。 (FlexContainer から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。 (FlexContainer から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (FlexContainer から継承されました)
maxHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。
maximizable | ウィンドウを最大化できるかどうかを示す値。
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。
minHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。
minimizable | ウィンドウを最小化できるかどうかを示す値。
minWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numChildren | このコンテナーに含まれる子コンポーネントの数。 (FlexContainer から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (FlexContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (FlexContainer から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizable | ウィンドウをサイズ変更できるかどうかを示す値。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showStatusBar | ステータス バーが可視かどうかを示す値。
status | ステータス バーに表示される文字（表示されている場合）。
systemChrome | ウィンドウが持っているシステム クロム（存在する場合）のタイプ。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | ウィンドウのタイトル バーとタスク バーに表示されるタイトル。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
transparent | ウィンドウを透明にするかどうか。
url | このアプリケーションの SWF ファイルがロードされた URL。 (FlexApplication から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragDrop | dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
DragStart | dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。 (FlexContainer から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。 (FlexContainer から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexContainer から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (IMoveable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
Scroll | ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。 (FlexContainer から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkAirHTML クラス

説明

アプリケーションの HTML コンテンツを表示する HTML コントロール。

継承階層

  • FlexScrollBase
    • SparkAirHTML

構文

C#
public class SparkAirHTML : FlexScrollBase,
VB
'Declaration
Public Class SparkAirHTML _
Inherits FlexScrollBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。 (FlexScrollBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkApplication クラス

説明

Flex は、デフォルトのコンテナー（Application コンテナー）を定義するため、別のコンテナーを明示的に定義することなく、アプリケーションにコンテンツを追加することができます。

継承階層

  • SparkSkinnableContainer
    • SparkApplication
      • SparkWindowedApplication

構文

C#
public class SparkApplication : SparkSkinnableContainer,
VB
'Declaration
Public Class SparkApplication _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
colorCorrection | ステージの colorCorrection プロパティの値。
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
controlBarVisible | コントロール バーが可視かどうか。
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
url | このアプリケーションの SWF ファイルがロードされた URL。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
viewSourceURL | アプリケーションのソースを参照できる URL。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkBorderContainer クラス

説明

BorderContainer クラスは、コンテナーの境界線と背景の塗りつぶしの外観を制御する一連の CSS スタイルを定義します。

継承階層

  • SparkSkinnableContainer
    • SparkBorderContainer

構文

C#
public class SparkBorderContainer : SparkSkinnableContainer,
VB
'Declaration
Public Class SparkBorderContainer _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkButton クラス

説明

SparkButton コンポーネントはきわめて使用頻度の高い四角形のボタンです。 SparkButton コンポーネントは、押すことができるような外観をしています。

継承階層

  • SparkButtonBase
    • SparkButton
      • SparkMuteButton

構文

C#
public class SparkButton : SparkButtonBase,
VB
'Declaration
Public Class SparkButton _
Inherits SparkButtonBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
emphasized | フォーカス マネージャーによって要求さたとおりのデフォルト ボタンかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkButtonBar クラス

説明

ButtonBar コントロールは、共通の外観と操作性を持つ論理的に関連するボタンの水平または垂直方向のグループを定義します。

継承階層

  • SparkListBase
    • SparkButtonBar

構文

C#
public class SparkButtonBar : SparkListBase,
VB
'Declaration
Public Class SparkButtonBar _
Inherits SparkListBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkButtonBarButton クラス

説明

ButtonBarButton クラスは、ButtonBar コントロールによって使用されるカスタム項目レンダラを定義します。

継承階層

  • SparkToggleButton
    • SparkButtonBarButton

構文

C#
public class SparkButtonBarButton : SparkToggleButton,
VB
'Declaration
Public Class SparkButtonBarButton _
Inherits SparkToggleButton

プロパティ

名前 | 説明
allowDeselection | 現在選択したボタンをユーザーがクリックすると選択解除されるかどうかを示す値。
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。 (SparkToggleButtonBase から継承されました)
showsCaret | 項目レンダラがそれ自身をフォーカスありとして表示できるかどうかを示す値。
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。 (SparkToggleButton から継承されました)
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。 (SparkToggleButton から継承されました)
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。 (SparkToggleButton から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkButtonBase クラス

説明

SparkButtonBase クラス はすべての Spark ボタン コンポーネントの基本クラスです。

継承階層

  • SparkObject
    • SparkButtonBase
      • SparkButton
      • SparkToggleButtonBase

構文

C#
public class SparkButtonBase : SparkObject,
VB
'Declaration
Public Class SparkButtonBase _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkCheckBox クラス

説明

CheckBox コンポーネントは、オプションのラベルと、チェック マークの表示と非表示の状態を保持する小さなボックスから構成されます。

継承階層

  • SparkToggleButtonBase
    • SparkCheckBox

構文

C#
public class SparkCheckBox : SparkToggleButtonBase,
VB
'Declaration
Public Class SparkCheckBox _
Inherits SparkToggleButtonBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。 (SparkToggleButtonBase から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkComboBox クラス

説明

ComboBox コントロールは、DropDownListBase コントロールの子クラスです。 DropDownListBase コントロールと同様に、ComboBox コントロールのドロップダウン リストからユーザーが項目を選択すると、コントロールのプロンプト領域にデータ項目が表示されます。

継承階層

  • SparkDropDownListBase
    • SparkComboBox

構文

C#
public class SparkComboBox : SparkDropDownListBase,
VB
'Declaration
Public Class SparkComboBox _
Inherits SparkDropDownListBase

プロパティ

名前 | 説明
allowMultipleSelection | 複数選択が可能かどうか。 (SparkList から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragEnabled | このコントロールの外に項目をドラッグして他のコントロールにドロップすることができるかどうかを示すフラグ。 (SparkList から継承されました)
dragMoveEnabled | ドラッグ＆ドロップ操作としてコントロールから項目をコピーするのではなく、移動することができるかどうかを示すフラグ。 (SparkList から継承されました)
dropEnabled | ドラッグした項目をコントロール上にドロップできるかどうかを示すフラグ。 (SparkList から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isDropDownOpen | ドロップダウンが開いているかどうか。 (SparkDropDownListBase から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
maxChars | ユーザーが入力するときに、プロンプト領域に入る最大の文字数。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
restrict | ユーザーがプロンプト領域に入力できる文字のセット。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedIndices | 現在選択されている項目のインデックスを表すリスト。 (SparkList から継承されました)
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
selectedItems | 現在選択されている項目を表すオブジェクトのリスト。 (SparkList から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。 (SparkDropDownListBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。 (SparkList から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkComplexDisplay クラス

説明

複雑なレンダリング オブジェクトです。

継承階層

  • SparkListLabel
    • SparkComplexDisplay

構文

C#
public class SparkComplexDisplay : SparkListLabel,
VB
'Declaration
Public Class SparkComplexDisplay _
Inherits SparkListLabel

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
automationValue | この項目を一意に識別するのに使用できる値。 (SparkListLabel から継承されました)
blendMode | 使用するブレンド モードを指定する BlendMode クラスの値。 (SparkGroup から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragging | SparkListLabel がドラッグ モード中かどうかの値。 (SparkListLabel から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | SparkListLabel のラベル。 (SparkListLabel から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleGridBottom | スケール グリッドの下座標。 (SparkGroup から継承されました)
scaleGridLeft | スケール グリッドの左座標。 (SparkGroup から継承されました)
scaleGridRight | スケール グリッドの右座標。 (SparkGroup から継承されました)
scaleGridTop | スケール グリッドの上座標。 (SparkGroup から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | SparkListLabel が選択されているかどうか。 (SparkListLabel から継承されました)
showsCaret | キャレットが表示されるかどうか。 (SparkListLabel から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDataGrid クラス

説明

Spark DataGrid コントロールを識別します。

継承階層

  • SparkSkinnableContainerBase
    • SparkDataGrid

構文

C#
public class SparkDataGrid : SparkSkinnableContainerBase,
VB
'Declaration
Public Class SparkDataGrid _
Inherits SparkSkinnableContainerBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
columnsLength | 列の数。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
rowHeight | 行の高さ。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedCell | 選択されているセル。
selectedCells | 選択されているセル。
selectedIndex | 選択されている行のインデックス。
selectedIndices | 選択されている行のインデックス。
selectedItem | 選択されている行の項目。
selectedItems | 選択されている行の項目。
selectionLength | 選択されている行の数。
selectionMode | 選択モード (singlerow、multiplerows、singlecells、または multiplecells)。
showDataTips | データ ヒントが表示されるかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ColumnStretch | データ グリッドの指定した列のサイズを変更します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
EditNext | 次のデータ グリッド セルを編集モードに設定します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HeaderClick | 指定した列ヘッダーをクリックします。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 指定したデータ グリッド セルを選択します
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDataGridLabel クラス

説明

Spark DataGridLabel コントロールを識別します。

継承階層

  • FlexObject
    • SparkDataGridLabel

構文

C#
public class SparkDataGridLabel : FlexObject,
VB
'Declaration
Public Class SparkDataGridLabel _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
automationValue | この項目を一意に識別するのに使用できる値。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDataGroup クラス

説明

DataGroup クラスはデータ項目の基本コンテナー クラスです。

継承階層

  • SparkGroupBase
    • SparkDataGroup

構文

C#
public class SparkDataGroup : SparkGroupBase,
VB
'Declaration
Public Class SparkDataGroup _
Inherits SparkGroupBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
Select | 1 つ以上の項目がリストから選択解除されたときにディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDataRenderer クラス

説明

SparkDataRenderer クラス は Spark のデータ コンポーネントの基本クラスです。

継承階層

  • SparkGroup
    • SparkDataRenderer
      • SparkListLabel

構文

C#
public class SparkDataRenderer : SparkGroup,
VB
'Declaration
Public Class SparkDataRenderer _
Inherits SparkGroup

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
blendMode | 使用するブレンド モードを指定する BlendMode クラスの値。 (SparkGroup から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleGridBottom | スケール グリッドの下座標。 (SparkGroup から継承されました)
scaleGridLeft | スケール グリッドの左座標。 (SparkGroup から継承されました)
scaleGridRight | スケール グリッドの右座標。 (SparkGroup から継承されました)
scaleGridTop | スケール グリッドの上座標。 (SparkGroup から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDropDownList クラス

説明

SparkDropDownList コントロールには、ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。

継承階層

  • SparkDropDownListBase
    • SparkDropDownList

構文

C#
public class SparkDropDownList : SparkDropDownListBase,
VB
'Declaration
Public Class SparkDropDownList _
Inherits SparkDropDownListBase

プロパティ

名前 | 説明
allowMultipleSelection | 複数選択が可能かどうか。 (SparkList から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragEnabled | このコントロールの外に項目をドラッグして他のコントロールにドロップすることができるかどうかを示すフラグ。 (SparkList から継承されました)
dragMoveEnabled | ドラッグ＆ドロップ操作としてコントロールから項目をコピーするのではなく、移動することができるかどうかを示すフラグ。 (SparkList から継承されました)
dropEnabled | ドラッグした項目をコントロール上にドロップできるかどうかを示すフラグ。 (SparkList から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isDropDownOpen | ドロップダウンが開いているかどうか。 (SparkDropDownListBase から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
prompt | DropDownList コントロールのプロンプト。
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedIndices | 現在選択されている項目のインデックスを表すリスト。 (SparkList から継承されました)
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
selectedItems | 現在選択されている項目を表すオブジェクトのリスト。 (SparkList から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。 (SparkDropDownListBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。 (SparkList から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkDropDownListBase クラス

説明

SparkDropDownListBase コントロールには、ユーザーが 1 つの値を選択できるドロップダウン リストが含まれています。

継承階層

  • SparkList
    • SparkDropDownListBase
      • SparkComboBox
      • SparkDropDownList

構文

C#
public class SparkDropDownListBase : SparkList,
VB
'Declaration
Public Class SparkDropDownListBase _
Inherits SparkList

プロパティ

名前 | 説明
allowMultipleSelection | 複数選択が可能かどうか。 (SparkList から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragEnabled | このコントロールの外に項目をドラッグして他のコントロールにドロップすることができるかどうかを示すフラグ。 (SparkList から継承されました)
dragMoveEnabled | ドラッグ＆ドロップ操作としてコントロールから項目をコピーするのではなく、移動することができるかどうかを示すフラグ。 (SparkList から継承されました)
dropEnabled | ドラッグした項目をコントロール上にドロップできるかどうかを示すフラグ。 (SparkList から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isDropDownOpen | ドロップダウンが開いているかどうか。
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedIndices | 現在選択されている項目のインデックスを表すリスト。 (SparkList から継承されました)
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
selectedItems | 現在選択されている項目を表すオブジェクトのリスト。 (SparkList から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
Open | ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。 (SparkList から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkForm クラス

説明

Spark Form コントロールを識別します。

継承階層

  • SparkSkinnableContainer
    • SparkForm

構文

C#
public class SparkForm : SparkSkinnableContainer,
VB
'Declaration
Public Class SparkForm _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkFormItem クラス

説明

Spark FormItem コントロールを識別します。

継承階層

  • SparkSkinnableContainer
    • SparkFormItem

構文

C#
public class SparkFormItem : SparkSkinnableContainer,
VB
'Declaration
Public Class SparkFormItem _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | FormItem のテキスト ラベルです。
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
required | FormItem がフォームを送信する値を持たなければならないかどうか。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
sequenceLabel | フォーム内のフォーム項目の数です。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkGroup クラス

説明

視覚的な子である、ビジュアル コンポーネントとグラフィック コンポーネントの両方を管理する場合に、このコンテナーを使用します。

継承階層

  • SparkGroupBase
    • SparkGroup
      • SparkDataRenderer
      • SparkTileGroup

構文

C#
public class SparkGroup : SparkGroupBase,
VB
'Declaration
Public Class SparkGroup _
Inherits SparkGroupBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
blendMode | 使用するブレンド モードを指定する BlendMode クラスの値。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleGridBottom | スケール グリッドの下座標。
scaleGridLeft | スケール グリッドの左座標。
scaleGridRight | スケール グリッドの右座標。
scaleGridTop | スケール グリッドの上座標。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkGroupBase クラス

説明

GroupBase クラス はビジュアル要素を表示するコンポーネントの基本クラスです。

継承階層

  • FlexObject
    • SparkGroupBase
      • SparkDataGroup
      • SparkGroup

構文

C#
public class SparkGroupBase : FlexObject,
VB
'Declaration
Public Class SparkGroupBase _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。
columnNames | データ内のすべての列の名前を含むリスト。
contentHeight | ビューポートの内容の高さ。
contentWidth | ビューポートの内容の幅。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。
maskType | マスクの種類。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numElements | このコンテナーに含まれるビジュアル要素の数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkImage クラス

説明

Spark Image コントロールを識別します。

継承階層

  • SparkObject
    • SparkImage

構文

C#
public class SparkImage : SparkObject,
VB
'Declaration
Public Class SparkImage _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
bytesLoaded | 既にロードされたイメージのバイト数です。
bytesTotal | ロード済みまたはロード保留中のイメージ データの総バイト数です。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clearOnLoad | 新しいコンテンツをロードする前に、前のイメージ コンテンツをクリアするかどうかを示します。
contentLoaderGrouping | 関連付けられた IContentLoader インスタンスの load() メソッドに渡される、オプショナル コンテンツのグループ化識別子です。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
fillMode | 次元内でのビットマップ塗りつぶしの方法を決定します。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalAlign | 縦横比が 1 対 1 でなく、scaleMode が BitmapScaleMode.LETTERBOX に設定されているときの、コンテンツの水平方向の配置です。
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
preliminaryHeight | イメージの境界が "measured" となるようレイアウトで要求されているものの、イメージ データのロードがまだ完了していない場合に、高さに使用する予測を示します。
preliminaryWidth | イメージの境界が "measured" となるようレイアウトで要求されているものの、イメージ データのロードがまだ完了していない場合に、幅に使用する予測を示します。
scaleMode | fillMode が BitmapFillMode.SCALE. に設定されている場合にイメージを伸縮する方法を指定します。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
smooth | ビットマップ イメージにスムージング アルゴリズムを適用するかどうかを指定します。
source | コンテンツの場所です。
sourceHeight | 伸縮されていない元のイメージ データの高さを示します。
sourceWidth | 伸縮されていない元のイメージ データの幅を示します。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
trustedSource | 現在ロードされているコンテンツを、セキュリティ ポリシーでクロス ドメインのイメージ アクセスが許可されているソースからロードされたものと見なすかどうかを示すフラグです。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalAlign | 縦横比が 1 対 1 でなく、scaleMode が BitmapScaleMode.LETTERBOX に設定されているときの、コンテンツの垂直方向の配置です。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkLabel クラス

説明

Label は、単一行または複数行のテキストを均一のフォーマットでレンダリングできる低レベルの UIComponent です。

継承階層

  • SparkTextBase
    • SparkLabel

構文

C#
public class SparkLabel : SparkTextBase,
VB
'Declaration
Public Class SparkLabel _
Inherits SparkTextBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isTruncated | テキストが切り詰められたかどうか。 (SparkTextBase から継承されました)
maxDisplayedLines | テキストが切り詰められるかどうか、および切り詰められる位置を指定する整数。 (SparkTextBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このテキスト コンポーネントによって表示されるテキスト。 (SparkTextBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。 (SparkTextBase から継承されました)
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。 (SparkTextBase から継承されました)
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。 (SparkTextBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkTextBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkList クラス

説明

List コントロールでは、項目を垂直方向に並べて表示します。

継承階層

  • SparkListBase
    • SparkList
      • SparkDropDownListBase

構文

C#
public class SparkList : SparkListBase,
VB
'Declaration
Public Class SparkList _
Inherits SparkListBase

プロパティ

名前 | 説明
allowMultipleSelection | 複数選択が可能かどうか。
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragEnabled | このコントロールの外に項目をドラッグして他のコントロールにドロップすることができるかどうかを示すフラグ。
dragMoveEnabled | ドラッグ＆ドロップ操作としてコントロールから項目をコピーするのではなく、移動することができるかどうかを示すフラグ。
dropEnabled | ドラッグした項目をコントロール上にドロップできるかどうかを示すフラグ。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedIndices | 現在選択されている項目のインデックスを表すリスト。
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
selectedItems | 現在選択されている項目を表すオブジェクトのリスト。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkListBase クラス

説明

ListBase クラス は選択をサポートするすべてのコンポーネントの基本クラスです。

継承階層

  • SparkSkinnableDataContainer
    • SparkListBase
      • SparkButtonBar
      • SparkList
      • SparkTabBar

構文

C#
public class SparkListBase : SparkSkinnableDataContainer,
VB
'Declaration
Public Class SparkListBase _
Inherits SparkSkinnableDataContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。
selectedItem | 現在選択されている項目。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkListLabel クラス

説明

単純なレンダリング オブジェクトです。

継承階層

  • SparkDataRenderer
    • SparkListLabel
      • SparkComplexDisplay

構文

C#
public class SparkListLabel : SparkDataRenderer,
VB
'Declaration
Public Class SparkListLabel _
Inherits SparkDataRenderer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
automationValue | この項目を一意に識別するのに使用できる値。
blendMode | 使用するブレンド モードを指定する BlendMode クラスの値。 (SparkGroup から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
dragging | SparkListLabel がドラッグ モード中かどうかの値。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | SparkListLabel のラベル。
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleGridBottom | スケール グリッドの下座標。 (SparkGroup から継承されました)
scaleGridLeft | スケール グリッドの左座標。 (SparkGroup から継承されました)
scaleGridRight | スケール グリッドの右座標。 (SparkGroup から継承されました)
scaleGridTop | スケール グリッドの上座標。 (SparkGroup から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | SparkListLabel が選択されているかどうか。
showsCaret | キャレットが表示されるかどうか。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkMuteButton クラス

説明

MuteButton クラスは、VideoPlayer コントロールによって使用されるミュート ボタンを定義します。

継承階層

  • SparkButton
    • SparkMuteButton

構文

C#
public class SparkMuteButton : SparkButton,
VB
'Declaration
Public Class SparkMuteButton _
Inherits SparkButton

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
emphasized | フォーカス マネージャーによって要求さたとおりのデフォルト ボタンかどうか。 (SparkButton から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
muted | コントロールがミュートされているかどうか。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
volume | コントロールのボリューム。
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MuteChange | コントロールのミュートを切り替えます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkNavigatorContent クラス

説明

NavigatorContent クラスは、ViewStack、TabNavigator、Accordion などの MX ナビゲーター コンテナーで使用できる Spark コンテナーを定義します。

継承階層

  • SparkSkinnableContainer
    • SparkNavigatorContent

構文

C#
public class SparkNavigatorContent : SparkSkinnableContainer,
VB
'Declaration
Public Class SparkNavigatorContent _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkNumericStepper クラス

説明

NumericStepper コントロールを使用すると、一定の間隔で増減する数値を選択できます。 NumericStepper は Spinner コンポーネントと同じ機能を提供しますが、コンポーネントの値を、コントロールの矢印ボタンを使用して変更するのではなく直接編集できるように、TextInput コントロールを追加します。

継承階層

  • SparkSpinner
    • SparkNumericStepper

構文

C#
public class SparkNumericStepper : SparkSpinner,
VB
'Declaration
Public Class SparkNumericStepper _
Inherits SparkSpinner

プロパティ

名前 | 説明
allowValueWrap | 現在の値が最大または最小値のいずれかの場合のステップに対するコントロールの動作。 (SparkSpinner から継承されました)
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
enableIME | コンポーネントにフォーカスがあるときに IME を有効にするかどうかの値。
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
imeMode | IME (Input Method Editor) モード。
maxChars | フィールドに入力できる最大文字数。
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。 (SparkSpinner から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkSpinner から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkObject クラス

説明

SparkObject クラス はすべての Spark コンポーネントの基本クラスを定義します。

継承階層

  • FlexObject
    • SparkObject
      • SparkButtonBase
      • SparkImage
      • SparkRange
      • SparkRichEditableText
      • SparkSkinnableContainerBase
      • SparkSkinnableTextBase
      • SparkVideoPlayer

構文

C#
public class SparkObject : FlexObject,
VB
'Declaration
Public Class SparkObject _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkPanel クラス

説明

Panel クラスは、タイトル バー、キャプション、境界線、および子のコンテンツ領域を含むコンテナーを定義します。

継承階層

  • SparkSkinnableContainer
    • SparkPanel
      • SparkTitleWindow

構文

C#
public class SparkPanel : SparkSkinnableContainer,
VB
'Declaration
Public Class SparkPanel _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
controlBarVisible | コントロール バーが可視かどうか。
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | タイトル バーに表示されるタイトルまたはキャプション。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkPopUpAnchor クラス

説明

Spark PopUpAnchor コントロールを識別します。

継承階層

  • FlexObject
    • SparkPopUpAnchor

構文

C#
public class SparkPopUpAnchor : FlexObject,
VB
'Declaration
Public Class SparkPopUpAnchor _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
displayPopUp | ポップアップが表示されるかどうかを指定します。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
popUpHeightMatchesAnchorHeight | ポップアップ コントロールの高さが PopUpAnchor の高さと同じ値に設定されるかどうかを指定します。
popUpPosition | ポップアップ コントロールが開かれるときの、PopUpAnchor コンポーネントに対する相対的な位置です。
popUpWidthMatchesAnchorWidth | ポップアップ コントロールの幅が PopUpAnchor の幅と同じ値に設定されるかどうかを指定します。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkRadioButton クラス

説明

RadioButton コンポーネントを使用すると、一連の相互排他的な選択肢の中から 1 つだけをユーザーに選択させることができます。 RadioButtonGroup は、同じ groupName プロパティを持つ複数の RadioButton コンポーネントで構成されます。

継承階層

  • SparkToggleButtonBase
    • SparkRadioButton

構文

C#
public class SparkRadioButton : SparkToggleButtonBase,
VB
'Declaration
Public Class SparkRadioButton _
Inherits SparkToggleButtonBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
groupName | この RadioButton コンポーネントが属するグループの名前。または、この RadioButton が RadioButtonGroup コンポーネントによって定義されたグループの一部の場合は、RadioButtonGroup コンポーネントの id プロパティの値を指定します。
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。 (SparkToggleButtonBase から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkRange クラス

説明

Range クラスは、値と minimum および maximum プロパティで定義された許可された範囲を保持します。

継承階層

  • SparkObject
    • SparkRange
      • SparkSpinner
      • SparkTrackBase

構文

C#
public class SparkRange : SparkObject,
VB
'Declaration
Public Class SparkRange _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | 有効な最大値。
minimum | 有効な最小値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkRichEditableText クラス

説明

RichEditableText は、リッチ フォーマット テキストの表示、スクロール、選択および編集を行うための低レベルの UIComponent です。

継承階層

  • SparkObject
    • SparkRichEditableText

構文

C#
public class SparkRichEditableText : SparkObject,
VB
'Declaration
Public Class SparkRichEditableText _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。
columnNames | データ内のすべての列の名前を含むリスト。
contentHeight | テキストの高さ。
contentWidth | テキストの幅。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
displayAsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
editable | このコントロールのテキストの編集が許可されているかどうかを示すフラグ。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
enableIME | コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
heightInLines | 行数で表したコントロールのデフォルトの高さ
horizontalScrollPosition | テキストを横にスクロールするピクセル数。
id | コンポーネントの ID。 (FlexObject から継承されました)
imeMode | IME (Input Method Editor) モード。
lastVisibleRow | 最後の可視の子のインデックス。
maxChars | ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
multiline | 複数行のテキストを入力できるかどうか。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字のセット。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。
selectionActivePosition | 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。
selectionAnchorPosition | 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。
selectionHighlighting | テキスト選択がハイライトされるかどうかを示す値。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このコンポーネントによって表示されるテキスト文字列。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | テキストを縦にスクロールするピクセル数。
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
widthInChars | em 単位で測定されたコントロールのデフォルトの幅。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkRichText クラス

説明

RichText は、単一行または複数行のリッチ フォーマット テキストや埋め込み画像を表示する低レベルの UIComponent です。

継承階層

  • SparkTextBase
    • SparkRichText

構文

C#
public class SparkRichText : SparkTextBase,
VB
'Declaration
Public Class SparkRichText _
Inherits SparkTextBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isTruncated | テキストが切り詰められたかどうか。 (SparkTextBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値を計算するかどうか。
maskType | コンポーネントにマスクを適用する方法。 有効な値は、MaskType.CLIP、MaskType.ALPHA、および MaskType.LUMINOSITY です。 クリップ マスク。 クリップ モードでマスクを適用すると、クリップ マスクが 1 ビットに減らされます。
maxDisplayedLines | テキストが切り詰められるかどうか、および切り詰められる位置を指定する整数。 (SparkTextBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このテキスト コンポーネントによって表示されるテキスト。 (SparkTextBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。 (SparkTextBase から継承されました)
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。 (SparkTextBase から継承されました)
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。 (SparkTextBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkTextBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkScrollBar クラス

説明

ScrollBarBase クラスは、表示領域に対してデータが多すぎる場合に表示するデータの部分を制御するために使用します。

継承階層

  • SparkTrackBase
    • SparkScrollBar

構文

C#
public class SparkScrollBar : SparkTrackBase,
VB
'Declaration
Public Class SparkScrollBar _
Inherits SparkTrackBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
pageSize | changeValueByPage() メソッドを呼び出したときに value プロパティの値における変更。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。 (SparkTrackBase から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkTrackBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSkinnableContainer クラス

説明

SkinnableContainer クラスは、ビジュアル コンテンツを格納するスキン可能コンテナーの基本クラスです。

継承階層

  • SparkSkinnableContainerBase
    • SparkSkinnableContainer
      • SparkApplication
      • SparkBorderContainer
      • SparkForm
      • SparkFormItem
      • SparkNavigatorContent
      • SparkPanel
      • SparkSkinnablePopUpContainer
      • SparkWindow

構文

C#
public class SparkSkinnableContainer : SparkSkinnableContainerBase,
VB
'Declaration
Public Class SparkSkinnableContainer _
Inherits SparkSkinnableContainerBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSkinnableContainerBase クラス

説明

Spark のコンテナー コンポーネントの基本クラスです。

継承階層

  • SparkObject
    • SparkSkinnableContainerBase
      • SparkDataGrid
      • SparkSkinnableContainer
      • SparkSkinnableDataContainer

構文

C#
public class SparkSkinnableContainerBase : SparkObject,
VB
'Declaration
Public Class SparkSkinnableContainerBase _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSkinnableDataContainer クラス

説明

SkinnableDataContainer クラスはデータ項目の基本コンテナー クラスです。

継承階層

  • SparkSkinnableContainerBase
    • SparkSkinnableDataContainer
      • SparkListBase

構文

C#
public class SparkSkinnableDataContainer : SparkSkinnableContainerBase,
VB
'Declaration
Public Class SparkSkinnableDataContainer _
Inherits SparkSkinnableContainerBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSkinnablePopUpContainer クラス

説明

SparkSkinnablePopUpContainer コントロールを識別します。

継承階層

  • SparkSkinnableContainer
    • SparkSkinnablePopUpContainer

構文

C#
public class SparkSkinnablePopUpContainer : SparkSkinnableContainer,
VB
'Declaration
Public Class SparkSkinnablePopUpContainer _
Inherits SparkSkinnableContainer

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isOpen | コンテナーが開いているかどうか。
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSkinnableTextBase クラス

説明

Spark TextInput や TextArea などのスキン可能なコンポーネントの基本クラスです。このようなコンポーネントは、リッチ テキスト表示、スクロール、選択、および編集などの機能を提供するために、スキン内に RichEditableText のインスタンスを含みます。

継承階層

  • SparkObject
    • SparkSkinnableTextBase
      • SparkTextArea
      • SparkTextInput

構文

C#
public class SparkSkinnableTextBase : SparkObject,
VB
'Declaration
Public Class SparkSkinnableTextBase _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
displayAsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
editable | このコントロールのテキストの編集が許可されているかどうかを示すフラグ。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
enableIME | コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
imeMode | IME (Input Method Editor) モード。
lastVisibleRow | 最後の可視の子のインデックス。
maxChars | ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。
numRows | 利用可能なデータ中の行の合計数。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字のセット。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。
selectionActivePosition | 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。
selectionAnchorPosition | 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。
selectionHighlighting | テキスト選択がハイライトされるかどうかを示す値。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このコンポーネントによって表示されるテキスト文字列。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSlider クラス

説明

スライダー トラックの両端の間でスライダー サムを移動することで値を選択できます。

継承階層

  • SparkTrackBase
    • SparkSlider
      • SparkVolumeBar

構文

C#
public class SparkSlider : SparkTrackBase,
VB
'Declaration
Public Class SparkSlider _
Inherits SparkTrackBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。 (SparkTrackBase から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkTrackBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkSpinner クラス

説明

Spinner コンポーネントは順序化された集合から値を選択します。 stepSize プロパティの現在の値に基づいて、現在の値を増減させる 2 つのボタンを使用します。

継承階層

  • SparkRange
    • SparkSpinner
      • SparkNumericStepper

構文

C#
public class SparkSpinner : SparkRange,
VB
'Declaration
Public Class SparkSpinner _
Inherits SparkRange

プロパティ

名前 | 説明
allowValueWrap | 現在の値が最大または最小値のいずれかの場合のステップに対するコントロールの動作。
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTabBar クラス

説明

TabBar クラスは同じようなタブのセットを表示します。 1 回に 1 つのタブを選択でき、デフォルトでは最初のタブが選択されます。

継承階層

  • SparkListBase
    • SparkTabBar

構文

C#
public class SparkTabBar : SparkListBase,
VB
'Declaration
Public Class SparkTabBar _
Inherits SparkListBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableDataContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
caretIndex | 現在フォーカスがある項目。 (SparkListBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
labelField | ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。 (SparkListBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
requireSelection | コントロール内でデータ項目が常に選択されている必要があるかどうか。 (SparkListBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectedIndex | 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。 (SparkListBase から継承されました)
selectedItem | 現在選択されている項目。 (SparkListBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
useVirtualLayout | このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。 (SparkListBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemsCount | ComboBox の項目の数を取得します。 (SparkListBase から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト中の項目が選択された場合にディスパッチされます。 (SparkListBase から継承されました)
SelectIndex | ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkListBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTextArea クラス

説明

TextArea は、ユーザーが複数行のリッチ フォーマット テキストを入力および編集するときに使用するテキスト入力コントロールです。 テキストをスクロールするための水平方向と垂直方向のスクロール バーを表示し、マウス ホイールによる垂直スクロールをサポートします。

継承階層

  • SparkSkinnableTextBase
    • SparkTextArea

構文

C#
public class SparkTextArea : SparkSkinnableTextBase,
VB
'Declaration
Public Class SparkTextArea _
Inherits SparkSkinnableTextBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableTextBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
displayAsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。 (SparkSkinnableTextBase から継承されました)
editable | このコントロールのテキストの編集が許可されているかどうかを示すフラグ。 (SparkSkinnableTextBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
enableIME | コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。 (SparkSkinnableTextBase から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableTextBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
heightInLines | 行数で表したコントロールのデフォルトの高さ
id | コンポーネントの ID。 (FlexObject から継承されました)
imeMode | IME (Input Method Editor) モード。 (SparkSkinnableTextBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableTextBase から継承されました)
maxChars | ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。 (SparkSkinnableTextBase から継承されました)
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。 (SparkSkinnableTextBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableTextBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableTextBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字のセット。 (SparkSkinnableTextBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。 (SparkSkinnableTextBase から継承されました)
selectionActivePosition | 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。 (SparkSkinnableTextBase から継承されました)
selectionAnchorPosition | 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。 (SparkSkinnableTextBase から継承されました)
selectionHighlighting | テキスト選択がハイライトされるかどうかを示す値。 (SparkSkinnableTextBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このコンポーネントによって表示されるテキスト文字列。 (SparkSkinnableTextBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
widthInChars | em 単位で測定されたコントロールのデフォルトの幅。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableTextBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。 (SparkSkinnableTextBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTextBase クラス

説明

デフォルト形式の CSS スタイルを使用してテキストを表示する Label や RichText などの Spark テキスト コントロール用の基本クラスです。

継承階層

  • FlexObject
    • SparkTextBase
      • SparkLabel
      • SparkRichText

構文

C#
public class SparkTextBase : FlexObject,
VB
'Declaration
Public Class SparkTextBase _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isTruncated | テキストが切り詰められたかどうか。
maxDisplayedLines | テキストが切り詰められるかどうか、および切り詰められる位置を指定する整数。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このテキスト コンポーネントによって表示されるテキスト。
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTextInput クラス

説明

TextInput は、単一行のテキストを均一のフォーマットで入力および編集するときに使用するテキスト入力コントロールです。

継承階層

  • SparkSkinnableTextBase
    • SparkTextInput

構文

C#
public class SparkTextInput : SparkSkinnableTextBase,
VB
'Declaration
Public Class SparkTextInput _
Inherits SparkSkinnableTextBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableTextBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
displayAsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。 (SparkSkinnableTextBase から継承されました)
editable | このコントロールのテキストの編集が許可されているかどうかを示すフラグ。 (SparkSkinnableTextBase から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
enableIME | コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。 (SparkSkinnableTextBase から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableTextBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
imeMode | IME (Input Method Editor) モード。 (SparkSkinnableTextBase から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableTextBase から継承されました)
maxChars | ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。 (SparkSkinnableTextBase から継承されました)
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。 (SparkSkinnableTextBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableTextBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableTextBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
restrict | ユーザーがテキスト フィールドに入力できる文字のセット。 (SparkSkinnableTextBase から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selectable | コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。 (SparkSkinnableTextBase から継承されました)
selectionActivePosition | 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。 (SparkSkinnableTextBase から継承されました)
selectionAnchorPosition | 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。 (SparkSkinnableTextBase から継承されました)
selectionHighlighting | テキスト選択がハイライトされるかどうかを示す値。 (SparkSkinnableTextBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
text | このコンポーネントによって表示されるテキスト文字列。 (SparkSkinnableTextBase から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
widthInChars | em 単位で測定されたコントロールのデフォルトの幅。
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableTextBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Input | ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectText | テキストが選択された場合にディスパッチされます。 (SparkSkinnableTextBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkSkinnableTextBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTileGroup クラス

説明

TileGroup コンテナーは、TileLayout クラスを使用する Group コンテナーのインスタンスです。

継承階層

  • SparkGroup
    • SparkTileGroup

構文

C#
public class SparkTileGroup : SparkGroup,
VB
'Declaration
Public Class SparkTileGroup _
Inherits SparkGroup

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkGroupBase から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
blendMode | 使用するブレンド モードを指定する BlendMode クラスの値。 (SparkGroup から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
clipAndEnableScrolling | ビューポートの境界に子をクリップするかどうか。 (SparkGroupBase から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkGroupBase から継承されました)
contentHeight | ビューポートの内容の高さ。 (SparkGroupBase から継承されました)
contentWidth | ビューポートの内容の幅。 (SparkGroupBase から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkGroupBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
horizontalScrollPosition | コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。 (SparkGroupBase から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkGroupBase から継承されました)
luminosityClip | マスクされたコンテンツを輝度マスクがクリッピングするかどうか。 (SparkGroupBase から継承されました)
luminosityInvert | 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。 (SparkGroupBase から継承されました)
maskType | マスクの種類。 (SparkGroupBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
mouseEnabledWhereTransparent | Group の境界全体が、クリックやロール オーバーなどのマウス イベントに応答するかどうかを示す値。 (SparkGroupBase から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkGroupBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkGroupBase から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkGroupBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizeMode | このコンテナーの ResizeMode。 (SparkGroupBase から継承されました)
scaleGridBottom | スケール グリッドの下座標。 (SparkGroup から継承されました)
scaleGridLeft | スケール グリッドの左座標。 (SparkGroup から継承されました)
scaleGridRight | スケール グリッドの右座標。 (SparkGroup から継承されました)
scaleGridTop | スケール グリッドの上座標。 (SparkGroup から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
verticalScrollPosition | コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。 (SparkGroupBase から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkGroupBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkGroupBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkGroupBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MouseScroll | このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。 (SparkGroupBase から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。 (SparkGroupBase から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkGroupBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTitleWindow クラス

説明

TitleWindow クラスは Panel を拡張し、閉じるボタンと移動領域をサポートします。

継承階層

  • SparkPanel
    • SparkTitleWindow

構文

C#
public class SparkTitleWindow : SparkPanel,
VB
'Declaration
Public Class SparkTitleWindow _
Inherits SparkPanel

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
controlBarVisible | コントロール バーが可視かどうか。 (SparkPanel から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | タイトル バーに表示されるタイトルまたはキャプション。 (SparkPanel から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkPanel から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkToggleButton クラス

説明

ToggleButton コンポーネントはトグル ボタンを定義します。 このボタンをクリックすると、アップ状態とダウン状態が切り替わります。

継承階層

  • SparkToggleButtonBase
    • SparkToggleButton
      • SparkButtonBarButton

構文

C#
public class SparkToggleButton : SparkToggleButtonBase,
VB
'Declaration
Public Class SparkToggleButton _
Inherits SparkToggleButtonBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。 (SparkToggleButtonBase から継承されました)
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。
DragDrop | このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。
DragStart | このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkToggleButtonBase クラス

説明

ToggleButtonBase コンポーネントは、selected プロパティをサポートする Spark ボタン コンポーネントの基本クラスです。

継承階層

  • SparkButtonBase
    • SparkToggleButtonBase
      • SparkCheckBox
      • SparkRadioButton
      • SparkToggleButton

構文

C#
public class SparkToggleButtonBase : SparkButtonBase,
VB
'Declaration
Public Class SparkToggleButtonBase _
Inherits SparkButtonBase

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoRepeat | ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。 (SparkButtonBase から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
label | ButtonBase コントロールに表示されるテキスト。 (SparkButtonBase から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
selected | ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。
stickyHighlighting | ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。 (SparkButtonBase から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkButtonBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkTrackBase クラス

説明

TrackBase クラスは、Slider や ScrollBar などの、トラックと 1 つ以上のサム ボタンを持つコンポーネントの基本クラスです。

継承階層

  • SparkRange
    • SparkTrackBase
      • SparkScrollBar
      • SparkSlider

構文

C#
public class SparkTrackBase : SparkRange,
VB
'Declaration
Public Class SparkTrackBase _
Inherits SparkRange

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkVideoDisplay クラス

説明

Spark VideoDisplay コントロールを識別します。

継承階層

  • FlexObject
    • SparkVideoDisplay

構文

C#
public class SparkVideoDisplay : FlexObject,
VB
'Declaration
Public Class SparkVideoDisplay _
Inherits FlexObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
autoDisplayFirstFrame | source が設定されている場合、ビデオをロードするかどうかを指定します。
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
autoPlay | source プロパティが設定されている場合に、ビデオの再生をすぐに開始するかどうかを指定します。
autoRewind | 再生が停止したときに、FLV ファイルを最初のフレームまで巻き戻すかどうかを指定します。
bytesLoaded | 既にアプリケーションにダウンロードされているデータのバイト数です。
bytesTotal | アプリケーションにダウンロードされるデータの総バイト数です。
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
currentTime | ビデオの再生開始以降の再生ヘッドの現在時間（秒単位）です。
duration | ビデオの再生時間（秒単位）です。
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
loop | 再生が完了した後でメディアを再び再生する必要があるかどうかを示します。
mediaPlayerState | ビデオの現在の状態です。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
muted | ビデオをミュートするかどうかを指定します。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
pauseWhenHidden | ビデオが非表示になっても再生を続行するかどうかを制御します。
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
playing | ビデオが再生中である場合、または再生試行中であるかどうか。
scaleMode | ビデオ コンテンツの様々なサイズ変更の方法を示します。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
volume | ボリューム レベル。0 から 1 の範囲の値で指定します。
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkVideoPlayer クラス

説明

VideoPlayer コントロールは、プログレッシブ ダウンロード、マルチビットレート ストリーミング、およびストリーミング ビデオをサポートするスキン可能ビデオ プレーヤです。

継承階層

  • SparkObject
    • SparkVideoPlayer

構文

C#
public class SparkVideoPlayer : SparkObject,
VB
'Declaration
Public Class SparkVideoPlayer _
Inherits SparkObject

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
muted | コントロールがミュートされているかどうか。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
playing | ビデオが再生中である場合、または再生試行中であるかどうか。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
volume | ボリューム レベル。0 から 1 の範囲の値で指定します。
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkVolumeBar クラス

説明

VolumeBar クラスは、VideoDisplay コントロールのボリュームを制御するドロップダウン スライダーを定義します。

継承階層

  • SparkSlider
    • SparkVolumeBar

構文

C#
public class SparkVolumeBar : SparkSlider,
VB
'Declaration
Public Class SparkVolumeBar _
Inherits SparkSlider

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isDropDownOpen | VolumeBar が開いているかどうか。
maximum | 有効な最大値。 (SparkRange から継承されました)
minimum | 有効な最小値。 (SparkRange から継承されました)
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
muted | コントロールがミュートされているかどうか。
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
snapInterval | snapInterval。 (SparkRange から継承されました)
stepSize | changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。 (SparkRange から継承されました)
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
value | この範囲の現在の値。 (SparkRange から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Change | ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。 (SparkTrackBase から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (FlexObject から継承されました)
MuteChange | ユーザーによる操作の結果としてミュートの状態が変更されたときにディスパッチされます。
Open | ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkTrackBase から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkWindow クラス

説明

Window は、AIR デスクトップ アプリケーションの追加ウィンドウに対する最上位のコンテナーです。

継承階層

  • SparkSkinnableContainer
    • SparkWindow

構文

C#
public class SparkWindow : SparkSkinnableContainer, IMoveable
VB
'Declaration
Public Class SparkWindow _
Inherits SparkSkinnableContainer _
Implements IMoveable

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alwaysInFront | 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
closed | 基になるウィンドウが閉じられているかどうかを示す値。
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
isAIRWindow | このウィンドウが AIR ウィンドウかどうかを示す値。
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
maxHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。
maximizable | ウィンドウを最大化できるかどうかを示す値。
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。
minHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。
minimizable | ウィンドウを最小化できるかどうかを示す値。
minWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizable | ウィンドウをサイズ変更できるかどうかを示す値。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showStatusBar | ステータス バーが可視かどうかを示す値。
status | ステータス バーに表示される文字（表示されている場合）。
systemChrome | ウィンドウが持っているシステム クロム（存在する場合）のタイプ。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | ウィンドウのタイトル バーとタスク バーに表示されるタイトル。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
transparent | ウィンドウを透明にするかどうか。
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (IMoveable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StateChange | ウィンドウの displaystatus が変更されたときにディスパッチされます。
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


SparkWindowedApplication クラス

説明

WindowedApplication は、AIR アプリケーション用の Flex アプリケーションを作成するために使用するアプリケーション コンテナーを定義します。

継承階層

  • SparkApplication
    • SparkWindowedApplication

構文

C#
public class SparkWindowedApplication : SparkApplication, IMoveable
VB
'Declaration
Public Class SparkWindowedApplication _
Inherits SparkApplication _
Implements IMoveable

プロパティ

名前 | 説明
alpha | 指定したオブジェクトのアルファ透過値。 (FlexDisplayObject から継承されました)
alwaysInFront | 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。
applicationID | AIR がアプリケーションを識別するために使用する識別子。
autoExit | 最後のウィンドウを閉じたときに AIR アプリケーションが終了するか、バックグランドで実行を続けるかどうかを示す値。
autoLayout | 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。 (SparkSkinnableContainer から継承されました)
automationClassName | 要素に対するオートメーション クラス名を含んだ文字列。 (FlexObject から継承されました)
automationIndex | 要素に対するオートメーション インデックスを含んだ文字列。 (FlexObject から継承されました)
automationName | このオブジェクトの識別子として使用することのできる名前。 (FlexObject から継承されました)
className | Button のようなこのインスタンスのクラスの名前。 (FlexObject から継承されました)
closed | 基になるウィンドウが閉じられているかどうかを示す値。
colorCorrection | ステージの colorCorrection プロパティの値。 (SparkApplication から継承されました)
columnNames | データ内のすべての列の名前を含むリスト。 (SparkSkinnableContainerBase から継承されました)
controlBarVisible | コントロール バーが可視かどうか。 (SparkApplication から継承されました)
creationPolicy | このコンポーネントの内容の作成ポリシー。 (SparkSkinnableContainer から継承されました)
currentState | コンポーネントの現在の表示状態。 (FlexObject から継承されました)
deferredContentCreated | 遅延コンテンツが作成されたかどうか。 (SparkSkinnableContainer から継承されました)
enabled | コンポーネントがユーザー操作を受け付けることができるかどうか。 (FlexObject から継承されました)
errorColor | 検証が失敗したときにコンポーネントをハイライトする色。 (FlexObject から継承されました)
errorString | コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。 (FlexObject から継承されました)
firstVisibleRow | 最初の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
focusEnabled | コンポーネントが選択時にフォーカスを取得できるかどうか。 (FlexObject から継承されました)
height | 表示オブジェクトの高さ（ピクセル単位）。 (FlexDisplayObject から継承されました)
id | コンポーネントの ID。 (FlexObject から継承されました)
lastVisibleRow | 最後の可視の子のインデックス。 (SparkSkinnableContainerBase から継承されました)
maxHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。
maximizable | ウィンドウを最大化できるかどうかを示す値。
maxWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。
minHeight | 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。
minimizable | ウィンドウを最小化できるかどうかを示す値。
minWidth | 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。
mouseEnabled | このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。 (FlexDisplayObject から継承されました)
numAutomationChildren | このコンテナーに含まれるオートメーションの子の数。 (FlexObject から継承されました)
numColumns | 利用可能なデータ中の列の合計数。 (SparkSkinnableContainerBase から継承されました)
numElements | このコンテナーに含まれるビジュアル要素の数。 (SparkSkinnableContainer から継承されました)
numRows | 利用可能なデータ中の行の合計数。 (SparkSkinnableContainerBase から継承されました)
percentHeight | コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 (FlexObject から継承されました)
percentWidth | コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。 (FlexObject から継承されました)
resizable | ウィンドウをサイズ変更できるかどうかを示す値。
scaleX | 水平方向の倍率を指定する係数。 (FlexObject から継承されました)
scaleY | 垂直方向の倍率を指定する係数。 (FlexObject から継承されました)
showStatusBar | ステータス バーが可視かどうかを示す値。
status | ステータス バーに表示される文字（表示されている場合）。
systemChrome | ウィンドウが持っているシステム クロム（存在する場合）のタイプ。
tabChildren | オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。 (FlexDisplayObject から継承されました)
tabEnabled | このオブジェクトがタブ順序に含まれるかどうか。 (FlexDisplayObject から継承されました)
tabIndex | SWF ファイル内のオブジェクトのタブ順序。 (FlexDisplayObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
themeColor | コンポーネントのテーマ色。 (FlexObject から継承されました)
title | ウィンドウのタイトル バーとタスク バーに表示されるタイトル。
toolTip | ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。 (FlexObject から継承されました)
transparent | ウィンドウを透明にするかどうか。
url | このアプリケーションの SWF ファイルがロードされた URL。 (SparkApplication から継承されました)
useHandCursor | マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。 (FlexObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
viewSourceURL | アプリケーションのソースを参照できる URL。 (SparkApplication から継承されました)
visible | 表示オブジェクトが可視かどうか。 (FlexDisplayObject から継承されました)
width | 表示オブジェクトの幅（ピクセル単位）。 (FlexDisplayObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)
x | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。 (FlexDisplayObject から継承されました)
y | 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。 (FlexDisplayObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeFocus | 現在のフォーカスを変更します。 (FlexObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作がキャンセルされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragDrop | ドラッグした項目がドロップされた場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
DragStart | ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。 (SparkSkinnableContainerBase から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyle | 指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。 (FlexDisplayObject から継承されました)
GetValues | コンポーネントのすべての部分のオートメーション値を含む配列を返します。 (SparkSkinnableContainerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。 (IMoveable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。 (FlexObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToString | コントロールの文字列表現を返します。 (FlexDisplayObject から継承されました)
Type | ユーザーがキーを押したときにディスパッチされます。 (SparkApplication から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Flex クラス リファレンス


Java SWT クラス リファレンス

Java SWT コントロールのテストに利用可能なクラスを一覧します。

  • CBanner クラス
    このクラスは、ワークベンチにおけるツール バー領域とツール バーを切り替えるパースペクティブのレイアウトに使用します。
  • CoolBar クラス
    SWT ウィジェットを含むコンテナー クラスで、主要なツール バーです。
  • CoolItem クラス
    動的に配置することができる CoolBar の領域を表す選択可能なユーザー インターフェイス オブジェクトを含みます。
  • CTabFolder クラス
    拡張タブ フォルダーのクラスです。通常は、装飾されたタブや最小化、最大化、閉じるボタンを持ちます。
  • CTabItem クラス
    CTabFolder 内の拡張タブのクラスです。
  • ExpandBar クラス
    ヘッダーをクリックすることによって展開したり閉じたりするウィジェットのクラスです。
  • ExpandItem クラス
    ExpandBar の展開可能な項目を含むクラスです。
  • HorizontalSash クラス
    ウィンドウ ペインの周囲にある水平方向の境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。
  • Sash クラス
    ウィンドウ ペインの周囲にある境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。
  • SashForm クラス
    フォームの周囲にある境界線のクラスです。ドラッグしてフォームのサイズを調整することができます。
  • ScrollableControl クラス
    コントロールとして分類されるだけでなく、スクロール バーを含んでいるすべてのコントロールの実装クラスです。
  • ScrolledComposite クラス
    スクロール バーのクラスです。ユーザーがスクロール バーを使用するときにコンテンツをスクロールします。
  • Shell クラス
    Java SWT ウィンドウのクラスです。
  • Spinner クラス
    アップダウン コントロールの数値を入力したり変更したりするクラスです。
  • StyledText クラス
    テキストの行を表示する編集可能なユーザー インターフェイス オブジェクトのクラスです。
  • SWTBrowser クラス
    ブラウザー ウィジェットのクラスです。
  • SWTDateTime クラス
    カレンダ、日付、または時間コントロールの SWT における日付と時間要素のクラスです。
  • SWTTabControl クラス
    SWT TabFolder のクラスです。
  • SWTTabItem クラス
    SWT TabItem のクラスです。
  • SWTTable クラス
    SWT テーブルのクラスです。
  • SWTTableColumn クラス
    SWT テーブルにおける列のクラスです。
  • SWTTableRow クラス
    SWT テーブルにおける行のクラスです。
  • SWTTree クラス
    SWT ツリー ウィジェットのクラスです。
  • SWTTreeColumn クラス
    ツリー ウィジェットにおける列のクラスです。
  • VerticalSash クラス
    ウィンドウ ペインの周囲にある垂直方向の境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。
  • ViewForm クラス
    ワークベンチにおけるビューのラベル/メニュー/ツール バーのローカル バーをレイアウトするクラス。
親トピック: Silk4NET 言語リファレンス


CBanner クラス

説明

このクラスは、ワークベンチにおけるツール バー領域とツール バーを切り替えるパースペクティブのレイアウトに使用します。

継承階層

  • Control
    • CBanner

構文

C#
public class CBanner : Control,
VB
'Declaration
Public Class CBanner _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Bottom | バナーの下部にあるコントロール。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Left | バナーの左側にあるコントロール。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Right | バナーの右側にあるコントロール。
RightMinimumSize | バナーの右側にあるコントロールの最小サイズ。
RightWidth | バナーの右側にあるコントロールの幅。
Simple | バナーをシンプル、つまり従来の形状でレンダリングするかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


CoolBar クラス

説明

SWT ウィジェットを含むコンテナー クラスで、主要なツール バーです。

継承階層

  • Control
    • CoolBar

構文

C#
public class CoolBar : Control,
VB
'Declaration
Public Class CoolBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | CoolBar の項目の数。
Items | CoolBar の項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


CoolItem クラス

説明

動的に配置することができる CoolBar の領域を表す選択可能なユーザー インターフェイス オブジェクトを含みます。

継承階層

  • Item
    • CoolItem

構文

C#
public class CoolItem : Item,
VB
'Declaration
Public Class CoolItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Content | 動的に配置することができる領域のコンテンツ。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


CTabFolder クラス

説明

拡張タブ フォルダーのクラスです。通常は、装飾されたタブや最小化、最大化、閉じるボタンを持ちます。

継承階層

  • Control
    • CTabFolder

構文

C#
public class CTabFolder : Control,
VB
'Declaration
Public Class CTabFolder _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | タブ フォルダーの項目の数。
Items | タブ フォルダーの項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択する項目のインデックス。
SelectedItem | 選択したタブ項目。
SelectedItemText | 選択されている項目のテキスト。項目が選択されていない場合は空の文字列を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | 表示されているページを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | CTabFolder をそのフル サイズ（最大化）になるようにサイズを変更します。
Minimize | CTabFolder を可能な最小のサイズになるようにサイズを変更します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | CTabFolder を元のサイズに戻します。
Select | CTabFolder から項目を選択します。
SelectList | 1 つ以上の項目をタブで選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


CTabItem クラス

説明

CTabFolder 内の拡張タブのクラスです。

継承階層

  • Item
    • CTabItem

構文

C#
public class CTabItem : Item,
VB
'Declaration
Public Class CTabItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Selected | 項目が選択されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | 表示されているタブを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | タブを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


ExpandBar クラス

説明

ヘッダーをクリックすることによって展開したり閉じたりするウィジェットのクラスです。

継承階層

  • Control
    • ExpandBar

構文

C#
public class ExpandBar : Control,
VB
'Declaration
Public Class ExpandBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
ExpandedItems | 展開される項目のリスト。
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | ExpandBar の項目の数。
Items | ExpandBar の項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | ExpandBar を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | ExpandBar を展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


ExpandItem クラス

説明

ExpandBar の展開可能な項目を含むクラスです。

継承階層

  • Item
    • ExpandItem

構文

C#
public class ExpandItem : Item,
VB
'Declaration
Public Class ExpandItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Content | 項目のコンテンツ。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Expanded | 項目が展開されているかどうか。
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 展開可能な項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 展開可能な項目を展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


HorizontalSash クラス

説明

ウィンドウ ペインの周囲にある水平方向の境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。

継承階層

  • Sash
    • HorizontalSash

構文

C#
public class HorizontalSash : Sash,
VB
'Declaration
Public Class HorizontalSash _
Inherits Sash

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 画面分割の境界のウィンドウ ペインを移動します。 (Sash から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


Sash クラス

説明

ウィンドウ ペインの周囲にある境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。

継承階層

  • Control
    • Sash
      • HorizontalSash
      • VerticalSash

構文

C#
public class Sash : Control,
VB
'Declaration
Public Class Sash _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 画面分割の境界のウィンドウ ペインを移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SashForm クラス

説明

フォームの周囲にある境界線のクラスです。ドラッグしてフォームのサイズを調整することができます。

継承階層

  • Control
    • SashForm

構文

C#
public class SashForm : Control,
VB
'Declaration
Public Class SashForm _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Horizontal | 分割方向が水平かどうか。
MaximizedControl | フォーム上で最大化されている画面分割ウィンドウ。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Vertical | 分割方向が垂直かどうか。
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Weights | SashForm ウィンドウの子の相対的なサイズ。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


ScrollableControl クラス

説明

コントロールとして分類されるだけでなく、スクロール バーを含んでいるすべてのコントロールの実装クラスです。

継承階層

  • Control
    • ScrollableControl

構文

C#
public class ScrollableControl : Control,
VB
'Declaration
Public Class ScrollableControl _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


ScrolledComposite クラス

説明

スクロール バーのクラスです。ユーザーがスクロール バーを使用するときにコンテンツをスクロールします。

継承階層

  • Control
    • ScrolledComposite

構文

C#
public class ScrolledComposite : Control,
VB
'Declaration
Public Class ScrolledComposite _
Inherits Control

プロパティ

名前 | 説明
AlwaysShowScrollBars | スクロール バーが表示されるかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Content | 動的に配置することができる領域のコンテンツ。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Origin | ScrolledComposite の左上隅に現在表示されているコンテンツの位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


Shell クラス

説明

Java SWT ウィンドウのクラスです。

継承階層

  • Window
    • Shell

構文

C#
public class Shell : Window,
VB
'Declaration
Public Class Shell _
Inherits Window

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。 (Window から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


Spinner クラス

説明

アップダウン コントロールの数値を入力したり変更したりするクラスです。

継承階層

  • Control
    • Spinner

構文

C#
public class Spinner : Control,
VB
'Declaration
Public Class Spinner _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
IncrementCount | Spinner コントロールを押下することによって増加する位置の量。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | Spinner コントロールの内部ページ サイズ。
Position | アップダウン コントロールの位置。
Range | Spinner コントロールの範囲。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Decrement | Spinner コントロールが押されたときに値を減少させます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Increment | Spinner コントロールが押されたときに値を増加させます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PageDecrement | Spinner コントロールが押されたときにページ単位で値を減少させます。
PageIncrement | Spinner コントロールが押されたときにページ単位で値を増加させます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetValue | Spinner コントロールの値を設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


StyledText クラス

説明

テキストの行を表示する編集可能なユーザー インターフェイス オブジェクトのクラスです。

継承階層

  • TextField
    • StyledText

構文

C#
public class StyledText : TextField,
VB
'Declaration
Public Class StyledText _
Inherits TextField

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Editable | テキストが編集可能かどうか。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
IsPassword | コントロールがパスワード テキスト フィールドであるかどうか。 (TextField から継承されました)
MultiLine | コントロールが複数行かどうか。 (TextField から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | テキスト フィールド内のキャレットの位置。 (TextField から継承されました)
SelectedRange | テキスト フィールド内の選択範囲。 (TextField から継承されました)
SelectedText | テキスト フィールド内の選択テキスト。 テキストが選択されていない場合は空の文字列。 (TextField から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearText | すべてのテキストをテキスト フィールドから削除します (TextField から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetMultiText | 複数行テキスト フィールドの指定された行のテキストを返します。 (TextField から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetMultiText | 複数行テキスト フィールドの行のすべて、または一部を置換します。 (TextField から継承されました)
SetPosition | テキスト フィールド内の挿入位置を設定します。 (TextField から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 単一行または複数行フィールドの指定した範囲を選択します。 (TextField から継承されました)
SetText | テキスト フィールド内のテキストのすべて、または一部を新しいテキストに置換します。 (TextField から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTBrowser クラス

説明

ブラウザー ウィジェットのクラスです。

継承階層

  • Control
    • SWTBrowser

構文

C#
public class SWTBrowser : Control,
VB
'Declaration
Public Class SWTBrowser _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTDateTime クラス

説明

カレンダ、日付、または時間コントロールの SWT における日付と時間要素のクラスです。

継承階層

  • Control
    • SWTDateTime

構文

C#
public class SWTDateTime : Control,
VB
'Declaration
Public Class SWTDateTime _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
CurrentDate | 現在の日付。
Day | 日。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Hours | 時。
Minutes | 分。
Month | 月。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Seconds | 秒。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Year | 年。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 日付および時間を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTabControl クラス

説明

SWT TabFolder のクラスです。

継承階層

  • TabControl
    • SWTTabControl

構文

C#
public class SWTTabControl : TabControl,
VB
'Declaration
Public Class SWTTabControl _
Inherits TabControl

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | タブ コントロールの項目の数。 (TabControl から継承されました)
Items | タブ コントロールの項目のリスト。 (TabControl から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択する項目のインデックス。 (TabControl から継承されました)
SelectedItem | 選択する項目。 (TabControl から継承されました)
SelectedTabItem | 選択する項目の名前。
TabItems | タブ コントロールの TabItem のリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 現在のページを指定したページに設定します。 (TabControl から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTabItem クラス

説明

SWT TabItem のクラスです。

継承階層

  • Item
    • SWTTabItem

構文

C#
public class SWTTabItem : Item,
VB
'Declaration
Public Class SWTTabItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Selected | 項目が選択されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | タブを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTable クラス

説明

SWT テーブルのクラスです。

継承階層

  • Table
    • SWTTable

構文

C#
public class SWTTable : Table,
VB
'Declaration
Public Class SWTTable _
Inherits Table

プロパティ

名前 | 説明
AllowsCheck | コントロールがチェック マークを表示できるかどうか。 (Table から継承されました)
AllowsMultiSelect | テーブルが複数項目の選択をサポートするかどうか。 (Table から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
ColumnCount | テーブルの列の数。 (Table から継承されました)
ColumnItems | 列のすべての項目のリスト。 (Table から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
RowCount | テーブルの行の数。 (Table から継承されました)
RowItems | テーブルのすべての行のリスト。 (Table から継承されました)
SelectedIndices | 選択した項目の索引。 (Table から継承されました)
SelectedItems | 選択した項目。 (Table から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | テーブルの定義された行のチェック ボックスをチェックします。 (Table から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。 (Table から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelectRow | 行の範囲を選択します。 (Table から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FocusRow | テーブルの行にフォーカスを設定します。 (Table から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelectRow | テーブルの行を選択行の集合に追加します。 (Table から継承されました)
MultiUnselectRow | 行を選択行の集合から削除します。 (Table から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectRow | テーブルの行を選択します。 (Table から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | テーブルの定義された行のチェック ボックスのチェックを外します。 (Table から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTableColumn クラス

説明

SWT テーブルにおける列のクラスです。

継承階層

  • TableColumn
    • SWTTableColumn

構文

C#
public class SWTTableColumn : TableColumn,
VB
'Declaration
Public Class SWTTableColumn _
Inherits TableColumn

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Width | 列の幅。 (TableColumn から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | 列のサイズを変更します。 (TableColumn から継承されました)
Select | 列を選択します。 (TableColumn から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTableRow クラス

説明

SWT テーブルにおける行のクラスです。

継承階層

  • TableRow
    • SWTTableRow

構文

C#
public class SWTTableRow : TableRow,
VB
'Declaration
Public Class SWTTableRow _
Inherits TableRow

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Checked | 行のチェックボックスがチェックされているかどうか。 (TableRow から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | 行の項目の数。 (TableRow から継承されました)
Items | 行の項目のリスト。 (TableRow から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTree クラス

説明

SWT ツリー ウィジェットのクラスです。

継承階層

  • Tree
    • SWTTree

構文

C#
public class SWTTree : Tree,
VB
'Declaration
Public Class SWTTree _
Inherits Tree

プロパティ

名前 | 説明
AllowsCheck | コントロールがチェック マークを表示できるかどうか。 (Tree から継承されました)
AllowsMultiSelect | コントロールが複数項目の選択をサポートするかどうか。 (Tree から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
ColumnCount | ツリーの列の数。
Columns | ツリーの列のリスト。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | ツリー上の項目数（すべての子を含む）。 (Tree から継承されました)
ItemPaths | ツリー上の項目のリスト（すべての子を含む）。 (Tree から継承されました)
Items | ツリー上の項目のリスト（すべての子を含む）。 (Tree から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 最初の選択された項目のインデックス。 (Tree から継承されました)
SelectedIndices | 選択した項目の索引。 (Tree から継承されました)
SelectedItem | 最初の選択された項目の名前。 (Tree から継承されました)
SelectedItems | 選択した項目の名前。 (Tree から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
VisibleItemPaths | ツリー上の可視の項目のリスト（すべての子を含む）。 (Tree から継承されました)
VisibleItems | ツリー上の可視の項目のリスト（すべての子を含む）。 (Tree から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。 (Tree から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | ツリービュー コントロール上で項目を折りたたみます。 (Tree から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。 (Tree から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | ツリー ビュー コントロール上でオブジェクトを展開します。 (Tree から継承されました)
ExtendSelect | 選択範囲を拡張して項目の範囲を選択します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetContentsOfColumn | 指定した列のコンテンツをリストとして取得します 最初の列より後ろの列のコンテンツを取得するには、rawMode と column パラメーターを指定する必要があります。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetItemPaths | ツリーのすべての項目を項目パスのリストとして返します。 (Tree から継承されました)
GetItemRect | TreeView コントロールに対して相対的な項目のサイズと位置を返します。 (Tree から継承されました)
GetItemsOfColumn | 指定した列の項目をツリーから取得します
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetSelectedTextOfColumn | 指定した列から選択したテキストを取得します
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsExpandable | 指定した項目が展開可能かどうかを検査します。 (Tree から継承されました)
IsExpanded | 指定した項目が展開されているかどうかを検査します。 (Tree から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelect | ツリーの項目を選択項目の集合に追加します。
MultiUnselect | ツリーの項目を選択項目の集合から削除します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ツリーから項目を選択します。 (Tree から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。 (Tree から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


SWTTreeColumn クラス

説明

ツリー ウィジェットにおける列のクラスです。

継承階層

  • Item
    • SWTTreeColumn

構文

C#
public class SWTTreeColumn : Item,
VB
'Declaration
Public Class SWTTreeColumn _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Width | 列の幅。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | ツリーの列のサイズを変更します。
Select | ツリーの列を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


VerticalSash クラス

説明

ウィンドウ ペインの周囲にある垂直方向の境界線のクラスです。ドラッグしてウィンドウ サイズを調整することができます。

継承階層

  • Sash
    • VerticalSash

構文

C#
public class VerticalSash : Sash,
VB
'Declaration
Public Class VerticalSash _
Inherits Sash

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | 画面分割の境界のウィンドウ ペインを移動します。 (Sash から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


ViewForm クラス

説明

ワークベンチにおけるビューのラベル/メニュー/ツール バーのローカル バーをレイアウトするクラス。

継承階層

  • Control
    • ViewForm

構文

C#
public class ViewForm : Control,
VB
'Declaration
Public Class ViewForm _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Content | 動的に配置することができる領域のコンテンツ。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
TopCenter | ペインの中央上にあるウィンドウ。
TopLeft | ペインの左上にあるウィンドウ。
TopRight | ペインの右上にあるウィンドウ。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java SWT クラス リファレンス


キーワード駆動テスト クラス リファレンス

キーワード駆動テストで利用可能なクラスを一覧します。

  • ArgumentAttribute クラス
    キーワード駆動テストのキーワードとしてマークされるメソッドの引数の名前を明示的に指定するために使用されます。
  • KeywordAttribute クラス
    メソッドがキーワードであることを指定します。
  • KeywordGroupAttribute クラス
    トピックの目的を説明します。文フラグメントとして記述されます。含めるのは 2 文以下にします。
親トピック: Silk4NET 言語リファレンス


ArgumentAttribute クラス

説明

キーワード駆動テストのキーワードとしてマークされるメソッドの引数の名前を明示的に指定するために使用されます。

構文

C#
[AttributeUsageAttribute(AttributeTargets.Parameter)]
public class ArgumentAttribute : Attribute
VB
<AttributeUsageAttribute(AttributeTargets.Parameter>
Public Class ArgumentAttribute Inherits Attribute

プロパティ

名前 | 説明
Name プロパティ (ArgumentAttribute) | 引数の名前を取得します。

例：2 つの引数を持つキーワードの作成

引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

C#
[Keyword]
public void Login([Argument("Name of the user")] string username, [Argument("Password of the user")] string password) {
  // keyword implementation
}
VB
<Keyword()>
Public Sub Login(<Argument("Name of the user")> username As String, <Argument("Password of the user")> password As String)
  ' keyword implementation
End Sub

例：説明のない引数の使用

引数の説明を使用せずに、引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

C#
[Keyword]
public void Login(string username, string password) {
  // keyword implementation
}
[Keyword]
public void Login([Argument] string username, [Argument] string password) {
  // keyword implementation
}
VB
<Keyword()>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub
<Keyword()>
Public Sub Login(<Argument> username As String, <Argument> password As String)
  ' keyword implementation
End Sub
親トピック: キーワード駆動テスト クラス リファレンス


KeywordAttribute クラス

説明

メソッドがキーワードであることを指定します。キーワードの名前が指定されていない場合、アノテーション メソッドの名前がキーワード名として使用されます。

構文

C#
[AttributeUsageAttribute(AttributeTargets.Method)]
public class KeywordAttribute : Attribute
VB
'Declaration
<AttributeUsageAttribute(AttributeTargets.Method>
Public Class KeywordAttribute Inherits Attribute

プロパティ

名前 | 説明
Name プロパティ (KeywordAttribute) | キーワードの名前を取得します。デフォルト値は空の文字列です。
Description プロパティ (KeywordAttribute) | キーワードの説明を取得します。デフォルト値は空の文字列です。

例：2 つの引数を持つキーワードの作成

引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

C#
[Keyword]
public void Login(string username, string password) {
  // keyword implementation
}
VB
<Keyword()>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub

例：キーワードの名前の指定

新しいキーワードを作成するときにキーワードの名前を指定するには、次のサンプル コードを使用します。

C#
[Keyword("Login user")]
public void Login(string username, string password) {
  // keyword implementation
}
VB
<Keyword("Login user")>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub
親トピック: キーワード駆動テスト クラス リファレンス
関連タスク
スクリプトのテスト メソッドをキーワードとして指定


KeywordGroupAttribute クラス

説明

クラスがキーワード グループであることを指定します。キーワードとしてマークされるこのクラス内のメソッドはキーワードです。これらのメソッドの完全修飾名は、キーワード グループの名前とキーワードの名前で構成されます。キーワード グループの名前がない場合、宣言しているクラスの単純名が代わりに使用されます。

構文

C#
[AttributeUsageAttribute(AttributeTargets.Class)]
public class KeywordGroupAttribute : Attribute
VB
'Declaration
<AttributeUsageAttribute(AttributeTargets.Class>
Public Class KeywordGroupAttribute Inherits Attribute

プロパティ

名前 | 説明
Name プロパティ (KeywordGroupAttribute) | キーワード グループの名前を取得します。デフォルト値は空の文字列です。

例：キーワード グループの作成

キーワード グループ LoginPage を作成するには、次のサンプル コードを使用します。

C#
[KeywordGroup]
public class LoginPage {
  // keyword methods
}
VB
<KeywordGroup()>
Public Class LoginPage
  ' keyword methods
End Class

例：キーワード グループの名前の指定

引数の説明を使用せずに、引数 username および password を持つ Login キーワードを作成するには、次のサンプル コードを使用します。

C#
[KeywordGroup("Login Page")]
public class LoginPage {
  // keyword methods
}
VB
<KeywordGroup("Login Page")>
Public Class LoginPage
  ' keyword methods
End Class
親トピック: キーワード駆動テスト クラス リファレンス
関連タスク
キーワードのグループ化


Mobile クラス リファレンス

Mobile コントロールのテストに利用可能なクラスを一覧します。

  • IMobileClickable インターフェイス
    クリックを使用するオブジェクトのインターフェイスです。
  • IMobileGestures インターフェイス
    ロングスワイプを使用するオブジェクトのインターフェイスです。
  • IMobileKeyable インターフェイス
    キーストロークを使用するオブジェクトのインターフェイスです。
  • MobileButton クラス
    モバイル ボタンを表します。 モバイル ボタンはクリックできます。
  • MobileDevice クラス
    モバイル デバイス。
  • MobileObject クラス
    すべてのモバイル オブジェクトの基本クラスです。
  • MobileTextField クラス
    テキスト フィールドを表します。
  • MobileWindow クラス
    モバイル ウィンドウ。
親トピック: Silk4NET 言語リファレンス


IMobileClickable インターフェイス

説明

クリックを使用するオブジェクトのインターフェイスです。

構文

C#
public class IMobileClickable,
VB
'Declaration
Public Class IMobileClickable

メソッド

名前 | 説明
Click | デバイスの指定した座標をクリックします。
DoubleClick | デバイスの指定した座標をダブルクリックします。
LongClick | デバイスの指定した座標をロングクリックします。
親トピック: Mobile クラス リファレンス


IMobileGestures インターフェイス

説明

ロングスワイプを使用するオブジェクトのインターフェイスです。

構文

C#
public class IMobileGestures,
VB
'Declaration
Public Class IMobileGestures

メソッド

名前 | 説明
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。
Swipe | 2 つの指定したポイント間でスワイプを実行します。
SwipeDown | 下スワイプを実行します。
SwipeLeft | 左スワイプを実行します。
SwipeRight | 左スワイプを実行します。
SwipeUp | 上スワイプを実行します。
SwipeWithSegments | 指定したポイント間でスワイプを実行します。
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。
親トピック: Mobile クラス リファレンス


IMobileKeyable インターフェイス

説明

キーストロークを使用するオブジェクトのインターフェイスです。

構文

C#
public class IMobileKeyable,
VB
'Declaration
Public Class IMobileKeyable

メソッド

名前 | 説明
TypeKeys | 一連のキーストロークをオブジェクトに送信します。
親トピック: Mobile クラス リファレンス


MobileButton クラス

説明

モバイル ボタンを表します。 モバイル ボタンはクリックできます。

継承階層

  • MobileObject
    • MobileButton

構文

C#
public class MobileButton : MobileObject,
VB
'Declaration
Public Class MobileButton _
Inherits MobileObject

プロパティ

名前 | 説明
IsEnabled | モバイル オブジェクトが有効かどうか。 (MobileObject から継承されました)
IsFocused | モバイル オブジェクトがフォーカスを持っているかどうか。 このプロパティは iOS ではサポートされません。 (MobileObject から継承されました)
IsSelected | モバイル オブジェクトが選択またはチェックされているかどうか。 (MobileObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | デバイスの指定した座標をクリックします。 (IMobileClickable から継承されました)
DoubleClick | デバイスの指定した座標をダブルクリックします。 (IMobileClickable から継承されました)
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。 (IMobileGestures から継承されました)
DragTo | モバイル デバイスに相対的な指定したポイントにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
DragToObject | 指定したドラッグ先オブジェクトにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LongClick | デバイスの指定した座標をロングクリックします。 (IMobileClickable から継承されました)
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。 (IMobileGestures から継承されました)
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。 (IMobileGestures から継承されました)
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。 (IMobileGestures から継承されました)
ScrollIntoView | オブジェクトが表示されるまでスクロールします。 指定した方向にスクロール ビューをスワイプしてからオブジェクトを検索することを、オブジェクトが見つかるまで繰り返すことによって実現します。 繰り返し数の上限に到達すると、ObjectNotFoundException がスローされます。 (MobileObject から継承されました)
SendImeAction | IME アクションをこのオブジェクトに送信します。 (MobileObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
Swipe | 2 つの指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
SwipeDown | 下スワイプを実行します。 (IMobileGestures から継承されました)
SwipeLeft | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeRight | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeUp | 上スワイプを実行します。 (IMobileGestures から継承されました)
SwipeWithSegments | 指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。 (IMobileGestures から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IMobileKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Mobile クラス リファレンス


MobileDevice クラス

説明

モバイル デバイス。

継承階層

  • TestObject
    • MobileDevice

構文

C#
public class MobileDevice : TestObject, IMobileClickable, IMobileGestures, IMobileKeyable
VB
'Declaration
Public Class MobileDevice _
Inherits TestObject _
Implements IMobileClickable, IMobileGestures, IMobileKeyable

プロパティ

名前 | 説明
DeviceId | 現在の接続に対するデバイスの ID。
DisplayHeight | ディスプレイの高さ (ピクセル単位)。
DisplayOrientation | デバイスの現在の向き。
DisplayWidth | ディスプレイの幅 (ピクセル単位)。
IsEmulator | 接続したデバイスがエミュレーターかどうか。
Model | 接続したデバイスのデバイス名
OperatingSystem | モバイル デバイスのオペレーティング システム (Android または iOS)
OsVersion | 接続したデバイスのオペレーティング システムのバージョン。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | デバイスの指定した座標をクリックします。 (IMobileClickable から継承されました)
CloseApp | アプリを閉じてデバイスを開放し、ほかのユーザーが使用できるようにします。
DoubleClick | デバイスの指定した座標をダブルクリックします。 (IMobileClickable から継承されました)
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。 (IMobileGestures から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateConnectionString | このモバイル デバイス用の接続文字列を生成します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LongClick | デバイスの指定した座標をロングクリックします。 (IMobileClickable から継承されました)
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。 (IMobileGestures から継承されました)
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。 (IMobileGestures から継承されました)
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。 (IMobileGestures から継承されました)
PressBack | 戻るボタンを押します。 このメソッドは iOS ではサポートされません。
PressDelete | 削除ボタンを押します。
PressEnter | Enter ボタンを押します。
PressHome | ホーム ボタンを押します。
PressKeyCode | 特定の Android 固有のキー コードを押します。 このメソッドは iOS ではサポートされません。
PressRecentApps | 最近使ったアプリケーション ボタンを押します。
Rotate | デバイス画面の回転をシミュレートします。
SetLocation | デバイスの地理的なロケーションを設定します。このメソッドは、Android デバイス (物理デバイスまたはエミュレーター) および iOS シミュレーター上でのみ機能します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Sleep | スクリーンがオンの場合に電源ボタンを押します。 このメソッドは iOS ではサポートされません。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
Swipe | 2 つの指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
SwipeDown | 下スワイプを実行します。 (IMobileGestures から継承されました)
SwipeLeft | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeRight | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeUp | 上スワイプを実行します。 (IMobileGestures から継承されました)
SwipeWithSegments | 指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。 (IMobileGestures から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IMobileKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WakeUp | スクリーンがオフの場合に電源ボタンを押します。 このメソッドは iOS ではサポートされません。
親トピック: Mobile クラス リファレンス


MobileObject クラス

説明

すべてのモバイル オブジェクトの基本クラスです。

継承階層

  • TestObject
    • MobileObject
      • MobileButton
      • MobileTextField
      • MobileWindow

構文

C#
public class MobileObject : TestObject, IMobileClickable, IMobileGestures, IMobileKeyable
VB
'Declaration
Public Class MobileObject _
Inherits TestObject _
Implements IMobileClickable, IMobileGestures, IMobileKeyable

プロパティ

名前 | 説明
IsEnabled | モバイル オブジェクトが有効かどうか。
IsFocused | モバイル オブジェクトがフォーカスを持っているかどうか。 このプロパティは iOS ではサポートされません。
IsSelected | モバイル オブジェクトが選択またはチェックされているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | デバイスの指定した座標をクリックします。 (IMobileClickable から継承されました)
DoubleClick | デバイスの指定した座標をダブルクリックします。 (IMobileClickable から継承されました)
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。 (IMobileGestures から継承されました)
DragTo | モバイル デバイスに相対的な指定したポイントにこのオブジェクトをドラッグします。
DragToObject | 指定したドラッグ先オブジェクトにこのオブジェクトをドラッグします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LongClick | デバイスの指定した座標をロングクリックします。 (IMobileClickable から継承されました)
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。 (IMobileGestures から継承されました)
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。 (IMobileGestures から継承されました)
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。 (IMobileGestures から継承されました)
ScrollIntoView | オブジェクトが表示されるまでスクロールします。 指定した方向にスクロール ビューをスワイプしてからオブジェクトを検索することを、オブジェクトが見つかるまで繰り返すことによって実現します。 繰り返し数の上限に到達すると、ObjectNotFoundException がスローされます。
SendImeAction | IME アクションをこのオブジェクトに送信します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
Swipe | 2 つの指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
SwipeDown | 下スワイプを実行します。 (IMobileGestures から継承されました)
SwipeLeft | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeRight | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeUp | 上スワイプを実行します。 (IMobileGestures から継承されました)
SwipeWithSegments | 指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。 (IMobileGestures から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IMobileKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Mobile クラス リファレンス


MobileTextField クラス

説明

テキスト フィールドを表します。

継承階層

  • MobileObject
    • MobileTextField

構文

C#
public class MobileTextField : MobileObject,
VB
'Declaration
Public Class MobileTextField _
Inherits MobileObject

プロパティ

名前 | 説明
IsEnabled | モバイル オブジェクトが有効かどうか。 (MobileObject から継承されました)
IsFocused | モバイル オブジェクトがフォーカスを持っているかどうか。 このプロパティは iOS ではサポートされません。 (MobileObject から継承されました)
IsSelected | モバイル オブジェクトが選択またはチェックされているかどうか。 (MobileObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearText | テキスト フィールドのすべてのコンテンツをクリアします。
Click | デバイスの指定した座標をクリックします。 (IMobileClickable から継承されました)
DoubleClick | デバイスの指定した座標をダブルクリックします。 (IMobileClickable から継承されました)
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。 (IMobileGestures から継承されました)
DragTo | モバイル デバイスに相対的な指定したポイントにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
DragToObject | 指定したドラッグ先オブジェクトにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LongClick | デバイスの指定した座標をロングクリックします。 (IMobileClickable から継承されました)
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。 (IMobileGestures から継承されました)
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。 (IMobileGestures から継承されました)
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。 (IMobileGestures から継承されました)
ScrollIntoView | オブジェクトが表示されるまでスクロールします。 指定した方向にスクロール ビューをスワイプしてからオブジェクトを検索することを、オブジェクトが見つかるまで繰り返すことによって実現します。 繰り返し数の上限に到達すると、ObjectNotFoundException がスローされます。 (MobileObject から継承されました)
SendImeAction | IME アクションをこのオブジェクトに送信します。 (MobileObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキスト フィールド内のテキストを新しいテキストに置換します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
Swipe | 2 つの指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
SwipeDown | 下スワイプを実行します。 (IMobileGestures から継承されました)
SwipeLeft | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeRight | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeUp | 上スワイプを実行します。 (IMobileGestures から継承されました)
SwipeWithSegments | 指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。 (IMobileGestures から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IMobileKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドに入力します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Mobile クラス リファレンス


MobileWindow クラス

説明

モバイル ウィンドウ。

継承階層

  • MobileObject
    • MobileWindow

構文

C#
public class MobileWindow : MobileObject,
VB
'Declaration
Public Class MobileWindow _
Inherits MobileObject

プロパティ

名前 | 説明
IsEnabled | モバイル オブジェクトが有効かどうか。 (MobileObject から継承されました)
IsFocused | モバイル オブジェクトがフォーカスを持っているかどうか。 このプロパティは iOS ではサポートされません。 (MobileObject から継承されました)
IsSelected | モバイル オブジェクトが選択またはチェックされているかどうか。 (MobileObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | デバイスの指定した座標をクリックします。 (IMobileClickable から継承されました)
DoubleClick | デバイスの指定した座標をダブルクリックします。 (IMobileClickable から継承されました)
Drag | 2 つの指定したポイント間でドラッグ操作を実行します。 (IMobileGestures から継承されました)
DragTo | モバイル デバイスに相対的な指定したポイントにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
DragToObject | 指定したドラッグ先オブジェクトにこのオブジェクトをドラッグします。 (MobileObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
LongClick | デバイスの指定した座標をロングクリックします。 (IMobileClickable から継承されました)
MultiTouch | 指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。 (IMobileGestures から継承されました)
PinchIn | 各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。 (IMobileGestures から継承されました)
PinchOut | 各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。 (IMobileGestures から継承されました)
ScrollIntoView | オブジェクトが表示されるまでスクロールします。 指定した方向にスクロール ビューをスワイプしてからオブジェクトを検索することを、オブジェクトが見つかるまで繰り返すことによって実現します。 繰り返し数の上限に到達すると、ObjectNotFoundException がスローされます。 (MobileObject から継承されました)
SendImeAction | IME アクションをこのオブジェクトに送信します。 (MobileObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
Swipe | 2 つの指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
SwipeDown | 下スワイプを実行します。 (IMobileGestures から継承されました)
SwipeLeft | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeRight | 左スワイプを実行します。 (IMobileGestures から継承されました)
SwipeUp | 上スワイプを実行します。 (IMobileGestures から継承されました)
SwipeWithSegments | 指定したポイント間でスワイプを実行します。 (IMobileGestures から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TwoPointerMultiTouch | 2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。 (IMobileGestures から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IMobileKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Mobile クラス リファレンス


Rumba クラス リファレンス

Rumba コントロールのテストに利用可能なクラスを一覧します。

  • Rumba キー
    RumbaObject クラスの SendKeys や SynchSendKeys メソッドで使用される Rumba キーのニーモニックに対応する文字列定数です。
  • RumbaCharacterAttribute データ型
    スクリーン上の文字の文字属性を表します。
  • RumbaField クラス
    グリーン スクリーン上のフィールドを表します。
  • RumbaLabel クラス
    テキストを取得できるが設定できないスクリーン上のフィールド。
  • RumbaObject クラス
    RumbaObject。
  • RumbaScreen クラス
    グリーン スクリーン全体を表します。
  • RumbaTextField クラス
    テキストを取得および設定できるスクリーン上のフィールド。
親トピック: Silk4NET 言語リファレンス
関連資料
Rumba クラス リファレンス


Rumba キー

説明

RumbaObject クラスの SendKeys や SynchSendKeys メソッドで使用される Rumba キーのニーモニックに対応する文字列定数です。
以下の文字列定数が含まれます。
文字列定数
キー ニーモニック
At
@@
Alt
@A
AltCursor
@e@1*
Attention
@A@Q
Backspace
@B
Backtab
@B
Clear
@C
Cmd
@A@Y
CursorDown
@V
CursorLeft
@L
CursorRight
@Z
CursorSelect
@e@1*
CursorUp
@U
Delete
@D
Dup
@S@x
End
@q
Enter
@E
EraseEof
@F
EraseEol
@e@d
EraseInput
@A@F
FieldExit
@A@E
FieldMark
@S@y
FieldMinus
@A@-
FieldPlus
@A@+
Help
@H
Hexadecimal
@A@X
Home
@0
Insert
@I
InsertToggle
@A@I
LocalHelp
@e@l
LocalPrint
@P
LocalHelpCursor
@e@m*
LeftTab
@B
NewLine
@e@n*
PageUp
@u
PageDown
@v
Print
@A@t
PrintScreen
@A@T
RecordBackspace
@A@<
Reset
@R
RightTab
@T
Shift
@S
SysRequest
@A@H
Tab
@T
Test
@A@C
Usm
@e@v
AplCutOnOf
@e@2
PA1
@x
PA2
@y
PA3
@z
PA4
@+
PA5
@%
PA6
@&
PA7
@'
PA8
@(
PA9
@)
PA10
@*
PF1
@1
PF2
@2
PF3
@3
PF4
@4
PF5
@5
PF6
@6
PF7
@7
PF8
@8
PF9
@9
PF10
@a
PF11
@b
PF12
@c
PF13
@d
PF14
@e
PF15
@f
PF16
@g
PF17
@h
PF18
@i
PF19
@j
PF20
@k
PF21
@l
PF22
@m
PF23
@n
PF24
@o
Cents
@n@1
VerticalBar
@d@2
Corner
@d@3
Plus
@d@4
Minus
@d@5
Quote
@d@7
HorizontalBar
@d@8
OpenBracket
@d@9
CloseBracket
@d@10
Substitute
@d@0
Synchronous
@d@a
親トピック: Rumba クラス リファレンス


RumbaCharacterAttribute データ型

スクリーン上の文字の文字属性を表します。

次の文字属性を含めることができます。
属性
説明
backgroundColor
文字の背景色。
foregroundColor
文字の前景色。
column
スクリーン上の文字の列。
line
スクリーン上の文字の行。
autoEnter
文字がオートエンター テキストの一部かどうかを定義します。
autoSkip
文字がオートスキップ テキストの一部かどうかを定義します。
blinking
文字が点滅表示かどうかを定義します。
bold
文字が太字かどうかを定義します。
columnSeparator
文字が列セパレータかどうかを定義します。
detectable
文字が検出可能テキストの一部かどうかを定義します。
hidden
文字が非表示テキストの一部かどうかを定義します。
protect
文字が保護テキストの一部かどうかを定義します。
reverseVideo
文字が反転表示かどうかを定義します。
underlined
文字が下線付きかどうかを定義します。

詳細については、Rumba Developer Edition (RDE) ドキュメントの 『IRDEAttribute プロパティ』を参照してください。

親トピック: Rumba クラス リファレンス


RumbaField クラス

説明

グリーン スクリーン上のフィールドを表します。

継承階層

  • RumbaObject
    • RumbaField
      • RumbaLabel
      • RumbaTextField

構文

C#
public class RumbaField : RumbaObject,
VB
'Declaration
Public Class RumbaField _
Inherits RumbaObject

プロパティ

名前 | 説明
AutoEnter | フィールドが AutoEnter フィールドの場合に true を示す値。
AutoSkip | フィールドが AutoSkip フィールドの場合に true を示す値。
Detectable | フィールドが検出可能な場合に true を示す値。
Dup | フィールドが Dup フィールドの場合に true を示す値。
EndColumn | フィールドが終了する列を示す値。
EndLine | フィールドが終了する行を示す値。
EndPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの終了位置です。
Enptui | フィールドが ENPTUI フィールドの場合に true を示す値。
FieldExitRequired | フィールドがスクリーンを終了する前に必要とされる場合に true を示す値。
Hidden | フィールドが非表示かどうかを示す値。
Intense | フィールドが強調されている場合に true を示す値。
Length | フィールドの長さ。
ModifiedDataTag | フィールドが ModifiedDataTag プロパティ セットを持つ場合に true を示す値。
Protected | フィールドが保護されている場合に true を示す値 (RumbaLabel など)。
StartColumn | フィールドが始まる列を示す値。
StartLine | フィールドが始まる行を示す値。
StartPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの開始位置です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Type | このフィールドに対して許されている入力を表す値。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCharacterAttributes | このフィールドの文字の文字属性を取得します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SendKeys | キーを送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
SynchSendKeys | キーを同期して送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Rumba クラス リファレンス


RumbaLabel クラス

説明

テキストを取得できるが設定できないスクリーン上のフィールド。

継承階層

  • RumbaField
    • RumbaLabel

構文

C#
public class RumbaLabel : RumbaField,
VB
'Declaration
Public Class RumbaLabel _
Inherits RumbaField

プロパティ

名前 | 説明
AutoEnter | フィールドが AutoEnter フィールドの場合に true を示す値。 (RumbaField から継承されました)
AutoSkip | フィールドが AutoSkip フィールドの場合に true を示す値。 (RumbaField から継承されました)
Detectable | フィールドが検出可能な場合に true を示す値。 (RumbaField から継承されました)
Dup | フィールドが Dup フィールドの場合に true を示す値。 (RumbaField から継承されました)
EndColumn | フィールドが終了する列を示す値。 (RumbaField から継承されました)
EndLine | フィールドが終了する行を示す値。 (RumbaField から継承されました)
EndPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの終了位置です。 (RumbaField から継承されました)
Enptui | フィールドが ENPTUI フィールドの場合に true を示す値。 (RumbaField から継承されました)
FieldExitRequired | フィールドがスクリーンを終了する前に必要とされる場合に true を示す値。 (RumbaField から継承されました)
Hidden | フィールドが非表示かどうかを示す値。 (RumbaField から継承されました)
Intense | フィールドが強調されている場合に true を示す値。 (RumbaField から継承されました)
Length | フィールドの長さ。 (RumbaField から継承されました)
ModifiedDataTag | フィールドが ModifiedDataTag プロパティ セットを持つ場合に true を示す値。 (RumbaField から継承されました)
Protected | フィールドが保護されている場合に true を示す値 (RumbaLabel など)。 (RumbaField から継承されました)
StartColumn | フィールドが始まる列を示す値。 (RumbaField から継承されました)
StartLine | フィールドが始まる行を示す値。 (RumbaField から継承されました)
StartPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの開始位置です。 (RumbaField から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Type | このフィールドに対して許されている入力を表す値。 (RumbaField から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCharacterAttributes | このフィールドの文字の文字属性を取得します。 (RumbaField から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SendKeys | キーを送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
SynchSendKeys | キーを同期して送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Rumba クラス リファレンス


RumbaObject クラス

説明

RumbaObject。

継承階層

  • TestObject
    • RumbaObject
      • RumbaField
      • RumbaScreen

構文

C#
public class RumbaObject : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class RumbaObject _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SendKeys | キーを送信します。 RDE ニーモニックをサポートします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
SynchSendKeys | キーを同期して送信します。 RDE ニーモニックをサポートします。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Rumba クラス リファレンス


RumbaScreen クラス

説明

グリーン スクリーン全体を表します。

継承階層

  • RumbaObject
    • RumbaScreen

構文

C#
public class RumbaScreen : RumbaObject,
VB
'Declaration
Public Class RumbaScreen _
Inherits RumbaObject

プロパティ

名前 | 説明
BackgroundColor | ディスプレイ コントロールの背景色。
CharacterSetId | ディスプレイ コントロールが使用する文字セット変換テーブルを識別する値。
ColumnCount | 現在のスクリーンの列数を示す値。
CursorColumn | スクリーン上のカーソルの列の位置。
CursorLine | スクリーン上のカーソルの行の位置。
CursorPosition | スクリーン上の現在のカーソル位置。 X と Y の値は 1 から始まる値です (最初の行または列を表す)。
HostConnected | ホストが接続されているかどうかを示す値。
HostDeviceName | ホスト デバイス名。
HostIpAddress | ホスト IP アドレス。
KeyboardLocked | キーボード入力が抑制されているかどうかを示す値。
LineCount | 現在のスクリーンの行数を示す値。
ScreenId | スクリーン ID。
ScreenSize | テキストの行数と列数で表したスクリーンのサイズ。
SessionName | セッション名。
SupportsStructuredFields | ホストが構造化フィールドのデコードをサポートするかどうかを示す値。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | 「クリア (CLEAR)」キーを送信してスクリーンをクリアします。 synchSendKeys(RumbaKey.CLEAR) と等価です。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Connect | 現在の構成内のホストに接続します。
Disconnect | 現在の接続を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCharacterAttributes | 指定した位置から始まる、指定した長さの文字に対する文字属性を取得します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetContent | 指定したテキスト位置から始まる改行を含まないスクリーンを含んだ文字列を取得します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetLines | スクリーンの指定範囲を取得し、選択した行を文字列のリストとして返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Reset | 「リセット (RESET)」キーを送信してスクリーンをリセットします。 synchSendKeys(RumbaKey.RESET) と等価です。
SendKeys | キーを送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
SetCursorPosition | スクリーンの指定した位置にカーソルを移動します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
Submit | 「送信 (SUBMIT)」キーを送信して入力したデータをサーバーに送信します。 synchSendKeys(RumbaKey.SUBMIT) と等価です。
SynchSendKeys | キーを同期して送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForHostConnected | セッションが接続されるまで待機します。
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WriteText | スクリーン上にテキストを書き出します。
親トピック: Rumba クラス リファレンス


RumbaTextField クラス

説明

テキストを取得および設定できるスクリーン上のフィールド。

継承階層

  • RumbaField
    • RumbaTextField

構文

C#
public class RumbaTextField : RumbaField,
VB
'Declaration
Public Class RumbaTextField _
Inherits RumbaField

プロパティ

名前 | 説明
AutoEnter | フィールドが AutoEnter フィールドの場合に true を示す値。 (RumbaField から継承されました)
AutoSkip | フィールドが AutoSkip フィールドの場合に true を示す値。 (RumbaField から継承されました)
Detectable | フィールドが検出可能な場合に true を示す値。 (RumbaField から継承されました)
Dup | フィールドが Dup フィールドの場合に true を示す値。 (RumbaField から継承されました)
EndColumn | フィールドが終了する列を示す値。 (RumbaField から継承されました)
EndLine | フィールドが終了する行を示す値。 (RumbaField から継承されました)
EndPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの終了位置です。 (RumbaField から継承されました)
Enptui | フィールドが ENPTUI フィールドの場合に true を示す値。 (RumbaField から継承されました)
FieldExitRequired | フィールドがスクリーンを終了する前に必要とされる場合に true を示す値。 (RumbaField から継承されました)
Hidden | フィールドが非表示かどうかを示す値。 (RumbaField から継承されました)
Intense | フィールドが強調されている場合に true を示す値。 (RumbaField から継承されました)
Length | フィールドの長さ。 (RumbaField から継承されました)
ModifiedDataTag | フィールドが ModifiedDataTag プロパティ セットを持つ場合に true を示す値。 (RumbaField から継承されました)
Protected | フィールドが保護されている場合に true を示す値 (RumbaLabel など)。 (RumbaField から継承されました)
StartColumn | フィールドが始まる列を示す値。 (RumbaField から継承されました)
StartLine | フィールドが始まる行を示す値。 (RumbaField から継承されました)
StartPosition | スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの開始位置です。 (RumbaField から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Type | このフィールドに対して許されている入力を表す値。 (RumbaField から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCharacterAttributes | このフィールドの文字の文字属性を取得します。 (RumbaField から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SendKeys | キーを送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキスト フィールドのテキストを設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
SynchSendKeys | キーを同期して送信します。 RDE ニーモニックをサポートします。 (RumbaObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Rumba クラス リファレンス


SAP クラス リファレンス

SAP コントロールのテストに利用可能なクラスを一覧します。

  • ISapContextMenuable インターフェイス
    コンテキスト メニューの選択をサポートする任意のコンポーネント用のインターフェイスです。
  • SapBarChart クラス
    SAP の BarChart クラスです。
  • SapBox クラス
    SAP の SapBox クラスです。
  • SapButton クラス
    SapButton クラスはプッシュ ボタンのクラスです。
  • SapCalendar クラス
    SapCalendar クラスは SapCalendar を表します。
  • SapChart クラス
    SAP の Chart クラスです。
  • SapCheckBox クラス
    SapCheckBox クラスは、チェック ボックス コントロールのクラスです。
  • SapColorSelector クラス
    SapColorSelector クラスは SapColorSelector を表します。
  • SapComboBox クラス
    SAP の ComboBox クラスです。
  • SapComponent クラス
    SapComponent クラスは SAP の基本クラスです。
  • SapContainer クラス
    SAP の Container クラスです。
  • SapContainerShell クラス
    SAP の ConainerShell クラスです。
  • SapContextMenu クラス
    SAP コンテキスト メニューのクラスです。
  • SapCustomControl クラス
    SAP の CustomControl クラスです。
  • SapDockShell クラス
    SAP の DockShell クラスです。
  • SapGridView クラス
    SAP の GridView クラス。 Get で始まる名前のメソッドのいくつかは、タイプ文字列の入力パラメーターとして column を必要とします。 このパラメーターは個々の GridView 要素によって異なります。このパラメーターの値を取得するには、必要な項目の操作を記録し、記録したパラメーターを使用します。
  • SapHorizontalScrollBar クラス
    水平スクロール バーのクラスです。
  • SapHTMLViewer クラス
    SAP の HTMLView クラスです。
  • SapLabel クラス
    SapLabel クラスはすべての SAP ラベルのクラスです。
  • SapMenu クラス
    SAP の Menu クラスです。
  • SapMenubar クラス
    SAP の MenuBar クラスです。
  • SapNetPlan クラス
    SAP の NetChart クラスです。
  • SapOfficeIntegration クラス
    SAP の OfficeIntegration クラスです。
  • SapOkCodeField クラス
    SapOkCodeField クラスは SAP OkCodeField のクラスです。
  • SapPicture クラス
    SAP 画像のクラスです。
  • SapRadioButton クラス
    SapRadioButton クラスはラジオ ボタン コントロールのクラスです。
  • SapScrollbar クラス
    SAP の Scrollbar クラスです。
  • SapScrollContainer クラス
    SAP の UserArea クラスです。
  • SapShell クラス
    SAP の SapShell クラスです。
  • SapSimpleContainer クラス
    SAP の SimpleContainer クラスです。
  • SapSplitterContainer クラス
    SAP スプリッタ コンテナーのクラスです。
  • SapStatusbar クラス
    SAP の ステータス バー クラスです。
  • SapTab クラス
    SAP の Tab クラスです。
  • SapTable クラス
    SapTable クラスは SAP テーブルのクラスです。
  • SapTabStrip クラス
    SAP のタブ ペイン クラスです。
  • SapTextEdit クラス
    SAP の TextEdit クラスです。
  • SapTextField クラス
    SapTextfield はユーザーが変更可能なテキストを保持する、単一行および複数行フィールドのクラスです。
  • SapTitlebar クラス
    SAP の Titlebar クラスです。
  • SapToolbar クラス
    SAP の Toolbar クラスです。
  • SapToolbarControl クラス
    SAP の ToolbarControl クラスです。
  • SapTree クラス
    SapTree クラスはすべての SAP ツリーのクラスです。 Get で始まる名前のメソッドのいくつかは、タイプ文字列の入力パラメーターとして nodeKey と ItemName を必要とします。 これらのパラメーターは個々の SapTree 要素によって異なります。 これらのパラメーターの値を取得するには、必要な項目の操作を記録し、記録したパラメーターを使用します。
  • SapUserArea クラス
    SAP の UserArea クラスです。
  • SapVerticalScrollBar クラス
    垂直スクロール バーのクラスです。
  • SapWindow クラス
    SapWindow クラスはトップ レベル ウィンドウのクラスです。
親トピック: Silk4NET 言語リファレンス


ISapContextMenuable インターフェイス

説明

コンテキスト メニューの選択をサポートする任意のコンポーネント用のインターフェイスです。

構文

C#
public class ISapContextMenuable,
VB
'Declaration
Public Class ISapContextMenuable

メソッド

名前 | 説明
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。
親トピック: SAP クラス リファレンス


SapBarChart クラス

説明

SAP の BarChart クラスです。

継承階層

  • SapShell
    • SapBarChart

構文

C#
public class SapBarChart : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapBarChart _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityDescription | シェルのアクセシビリティの説明。
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
ChartCount | グラフの数。
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。

メソッド

名前 | 説明
BarCount | 指定したグラフの棒の数を返します。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetBarContent | 棒のコンテンツを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetGridLineContent | グリッド線のコンテンツを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GridCount | グラフ内のグリッドの数を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LinkCount | 指定したグラフ内のリンクの数を返します。
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SendData | サーバーにデータを送信します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapBox クラス

説明

SAP の SapBox クラスです。

継承階層

  • SapComponent
    • SapBox

構文

C#
public class SapBox : SapComponent,
VB
'Declaration
Public Class SapBox _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapButton クラス

説明

SapButton クラスはプッシュ ボタンのクラスです。

継承階層

  • SapComponent
    • SapButton

構文

C#
public class SapButton : SapComponent,
VB
'Declaration
Public Class SapButton _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharHeight | 要素の高さ（文字単位）。
CharLeft | 要素の左からの座標（文字単位）。
CharTop | 要素の上からの座標（文字単位）。
CharWidth | 要素の幅（文字単位）。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Select | このメソッドはボタンの手動による押下をエミュレートします。 ボタンの押下は、常にサーバーとの通信を発生させ、そのウィンドウ レベル以下の要素へのすべての無効な参照がレンダリングされます。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapCalendar クラス

説明

SapCalendar クラスは SapCalendar を表します。

継承階層

  • SapShell
    • SapCalendar

構文

C#
public class SapCalendar : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapCalendar _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
Day | 現在選択されている月の日。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
EndSelection | 選択範囲の終了点。
FirstVisibleDate | カレンダ コントロールの最も早い可視な日付。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
LastVisibleDate | カレンダ コントロールの最後の可視な日付。
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Month | 現在選択されている年の月。
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
SelectionInterval | 現在選択されている範囲。
StartSelection | 選択範囲の開始点。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Week | 現在選択されている年の週。
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
Year | 現在選択されている年。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ContextMenu | コンテキスト メニューを開きます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFirstVisibleDate | カレンダ コントロールの最も早い可視な日付を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetFocusDate | フォーカスを持つ日付を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionInterval | 指定した範囲を選択します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapChart クラス

説明

SAP の Chart クラスです。

継承階層

  • SapShell
    • SapChart

構文

C#
public class SapChart : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapChart _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityDescription | シェルのアクセシビリティの説明。
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ValueChange | グラフの値を変更します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapCheckBox クラス

説明

SapCheckBox クラスは、チェック ボックス コントロールのクラスです。

継承階層

  • SapComponent
    • SapCheckBox

構文

C#
public class SapCheckBox : SapComponent,
VB
'Declaration
Public Class SapCheckBox _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharHeight | 要素の高さ（文字単位）。
CharLeft | 要素の左からの座標（文字単位）。
CharTop | 要素の上からの座標（文字単位）。
CharWidth | 要素の幅（文字単位）。
Checked | チェックボックスがチェックされているかどうか。
ColorIndex | この要素のリスト色のインデックス。
ColorIntensified | この要素の画面描画に対して INTENSIFIED フラグが設定されているかどうか。
ColorInverse | この要素の画面描画に対して INVERSE 色スタイルが設定されているかどうか。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Flushing | 値の変更がラウンド トリップするかどうか。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsLeftLabel | コンポーネントが 'assign left' フラグを持つかどうか。
IsListElement | 要素が画面でなく ABAP リスト上にあるかどうか。
IsRightLabel | コンポーネントが 'assign right' フラグを持つかどうか。
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
RowText | 現在のコンポーネントを含んでいる行全体のテキスト。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapColorSelector クラス

説明

SapColorSelector クラスは SapColorSelector を表します。

継承階層

  • SapShell
    • SapColorSelector

構文

C#
public class SapColorSelector : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapColorSelector _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeSelection | 指定したインデックスの位置の色を選択します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapComboBox クラス

説明

SAP の ComboBox クラスです。

継承階層

  • SapComponent
    • SapComboBox

構文

C#
public class SapComboBox : SapComponent,
VB
'Declaration
Public Class SapComboBox _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharHeight | 要素の高さ（文字単位）。
CharLeft | 要素の左からの座標（文字単位）。
CharTop | 要素の上からの座標（文字単位）。
CharWidth | 要素の幅（文字単位）。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Flushing | 値の変更がラウンド トリップするかどうか。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsLeftLabel | コンポーネントが 'assign left' フラグを持つかどうか。
IsListBoxActive | コンボ ボックスのリスト ボックスが現在開かれているかどうか。
IsRightLabel | コンポーネントが 'assign right' フラグを持つかどうか。
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Key | 現在選択されている項目のキー。
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
Required | コンポーネントが画面に必要な値かどうか。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCurrentEntryKey | 現在のエントリのキーを取得します。
GetCurrentEntryValue | 現在のエントリの値を取得します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetEntryKeys | すべてのエントリ キーのリストを取得します。
GetEntryValues | すべてのエントリ値のリストを取得します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectItem | 指定した項目を選択します。
SelectKey | 指定したキーを持つリスト項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapComponent クラス

説明

SapComponent クラスは SAP の基本クラスです。

継承階層

  • TestObject
    • SapComponent
      • SapBox
      • SapButton
      • SapCheckBox
      • SapComboBox
      • SapContainer
      • SapContainerShell
      • SapCustomControl
      • SapDockShell
      • SapLabel
      • SapMenu
      • SapMenubar
      • SapOkCodeField
      • SapRadioButton
      • SapScrollContainer
      • SapShell
      • SapSimpleContainer
      • SapSplitterContainer
      • SapStatusbar
      • SapTab
      • SapTable
      • SapTabStrip
      • SapTextField
      • SapTitlebar
      • SapToolbar
      • SapUserArea
      • SapWindow

構文

C#
public class SapComponent : TestObject, IFocusable
VB
'Declaration
Public Class SapComponent _
Inherits TestObject _
Implements IFocusable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。
Changeable | オブジェクトが変更可能かどうか。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。
Height | 現在のコンポーネントの高さ。
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。
Left | 画面上の座標で要素の左からの位置。
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。
Name | コンポーネントの名前。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。
ScreenTop | 画面上の座標でコンポーネントの上からの位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。
Top | 画面上の座標で要素の上からの位置。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapContainer クラス

説明

SAP の Container クラスです。

継承階層

  • SapComponent
    • SapContainer

構文

C#
public class SapContainer : SapComponent,
VB
'Declaration
Public Class SapContainer _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapContainerShell クラス

説明

SAP の ConainerShell クラスです。

継承階層

  • SapComponent
    • SapContainerShell

構文

C#
public class SapContainerShell : SapComponent,
VB
'Declaration
Public Class SapContainerShell _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapContextMenu クラス

説明

SAP コンテキスト メニューのクラスです。

SAP コンテキスト メニューの項目を決定する方法については、『Determining the item names and item texts of a SapContextMenu』を参照してください。

継承階層

  • SapMenu
    • SapContextMenu

構文

C#
public class SapContextMenu : SapMenu,
VB
'Declaration
Public Class SapContextMenu _
Inherits SapMenu

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Select | メニューを選択します。 (SapMenu から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapCustomControl クラス

説明

SAP の CustomControl クラスです。

継承階層

  • SapComponent
    • SapCustomControl

構文

C#
public class SapCustomControl : SapComponent,
VB
'Declaration
Public Class SapCustomControl _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapDockShell クラス

説明

SAP の DockShell クラスです。

継承階層

  • SapComponent
    • SapDockShell

構文

C#
public class SapDockShell : SapComponent,
VB
'Declaration
Public Class SapDockShell _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapGridView クラス

説明

SAP の GridView クラス。 Get で始まる名前のメソッドのいくつかは、タイプ文字列の入力パラメーターとして column を必要とします。 このパラメーターは個々の GridView 要素によって異なります。このパラメーターの値を取得するには、必要な項目の操作を記録し、記録したパラメーターを使用します。

継承階層

  • SapShell
    • SapGridView

構文

C#
public class SapGridView : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapGridView _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
ColumnCount | 列の数。
ColumnOrder | すべての列識別子がその表示順でを含まれる文字列のリスト。
CurrentCellColumn | 現在の列。
CurrentCellRow | 現在の行。
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
FirstVisibleColumn | グリッド ビューのスクロール可能領域の最初の可視な列。固定された列は無視されます。
FirstVisibleRow | グリッドの最初の可視な行のインデックス。
FrozenColumnCount | 水平方向のスクロールから除外される列の数。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
RowCount | 行の数。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
SelectedCells | 選択したセルを含む文字列のリスト。それぞれの書式は "<行>,<列 ID>" となります。
SelectedColumns | 現在選択されている列の文字列のリスト。
SelectedRows | 行インデックス番号、またはインデックス範囲のカンマ区切りリスト（"1,4,6-8" など）。
SelectionMode | 選択モード。 有効な値は、"RowsAndColumns"、"ListboxSingle"、"ListboxMultiple"、"Free" です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | グリッド コントロールのタイトル。
ToolbarButtonCount | 区切りを含むツール バーのボタンの数。
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VisibleRowCount | グリッド ビューの可視な行の数。
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | すべての行、列、セルの選択を削除します。
Click | 指定したセルをクリックします。
ClickCurrentCell | 現在のセルをクリックします。
ContextMenu | コンテキスト メニューを要求します。
CurrentCellMoved | この関数は、他のセルが現在のセルになったことをサーバーに通知します。 現在のセルが変更された場合に関数が呼び出されます。
DeleteRows | 指定した行を削除します。
DeselectColumn | 選択した列のリストから指定した列を削除します。
DoubleClick | 指定したセルをダブルクリックします。
DoubleClickCurrentCell | 現在のセルをダブルクリックします。
DuplicateRows | 指定した範囲の行を複製します
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCellColor | セルの色の識別子を返します。
GetCellHeight | セルの高さ（ピクセル単位）を取得します。
GetCellIcon | 指定したセルのアイコン文字列を取得します。
GetCellLeft | セルの左からの位置を取得します。
GetCellMaxLength | セルの最大の長さをバイト数で取得します。
GetCellState | 指定したセルの状態を取得します。 有効な値は、Normal、Error、Warning、Info です。
GetCellTooltip | 指定したセルのツールチップを取得します。
GetCellTop | 指定したセルの上からの位置を取得します。
GetCellType | 指定したセルのセル タイプを取得します。
GetCellValue | 指定したセルの値を取得します。
GetCellWidth | 指定したセルの幅を取得します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColorInfo | セルの色の説明を返します。
GetColumnDataType | 列のデータ型を取得します。
GetColumnPosition | 指定した列の位置を取得します。
GetColumnSortType | 列のソート種別を取得します。 有効な値は、None、Ascending、Descending です。
GetColumnTitles | 指定した列のすべての列タイトルを取得します。
GetColumnTooltip | 指定した列のツールチップ テキストを取得します。
GetColumnTotalType | 列の合計種別を取得します。 有効な値は、None、Total、Subtotal です。
GetDisplayedColumnTitle | 指定した列の現在表示されているタイトルを取得します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetRowTotalLevel | 行のレベルを取得します。
GetSymbolInfo | セルの記号の説明を返します。
GetToolbarButtonIcon | 指定したツール バー ボタンのアイコン名を取得します。
GetToolbarButtonId | 指定したツール バー ボタンの ID を取得します。
GetToolbarButtonText | 指定したツール バー ボタンのテキストを取得します。
GetToolbarButtonTooltip | 指定したツール バー ボタンのツールチップを取得します
GetToolbarButtonType | 指定したツール バーのボタンの種類を取得します。 有効な値は、"Button"、"ButtonAndMenu"、"Menu"、"Separator"、"Group"、"CheckBox" です。
GetToolbarFocusButton | 現在フォーカスを持つツール バー ボタンの位置を取得します
HasCellF4Help | 指定したセルがヘルプが割り当てられた値を持つ場合に true を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
InsertRows | 行の範択を挿入します
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsCellChangeable | 指定したセルが変更可能な場合に true を返します。
IsCellCheckBoxChecked | 指定した位置にあるチェック ボックスがチェックされている場合に true を返します。
IsCellHotspot | セルがリンクである場合に true を返します。
IsCellSymbol | セルのテキストが SAP シンボル フォントで表示されている場合に true を返します。
IsCellTotalExpander | 指定したセルに合計エクスパンダ ボタンがある場合に true を返します。
IsColumnFiltered | 指定した列がフィルタリングされている場合に true を返します。
IsColumnKey | 指定した列がキー列である場合に true を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsToolbarButtonChecked | 指定したツール バー ボタンがチェックされている場合に true を返します。
IsToolbarButtonEnabled | 指定したボタンが有効な場合に true を返します。
IsTotalRowExpanded | 指定した合計行が展開されているかどうかを取得します。
ModifyCell | 指定したセルの値を変更します。
ModifyCheckBox | 指定したチェック ボックス セルの値を変更します。
MoveRows | fromRow 以上、toRow 以下のインデックスを持つ行を destRowの位置に移動させます。
PressButton | 指定したセルにあるボタンを押します。
PressButtonCurrentCell | 現在のセルにあるボタンをクリックします。
PressColumnHeader | 指定した列のヘッダーをクリックします。
PressEnter | Enter キーを押します。
PressF1 | F1 キーを押します。
PressF4 | F4 キーを押します。
PressToolbarButton | グリッド ビューのツール バーの指定したボタンをクリックします。
PressToolbarContextButton | グリッド ビューのツール バーの指定したボタンのコンテキスト メニューを開きます。
PressTotalRow | 指定した合計行の行ボタンを押します。
PressTotalRowCurrentCell | 現在のセルにある展開ボタンを押します。
SelectAll | グリッドのコンテンツ全体（たとえば、すべての行と列）を選択します。
SelectColumn | 選択した列のリストに指定した列を追加します。
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SelectionChanged | 選択範囲が変更されたことをサーバーに通知します
SelectToolbarMenuItem | グリッド ビューのツール バーのコンテキスト メニューから項目を選択します。
SetColumnOrder | 列の順序を設定します。
SetColumnWidth | 指定した列の幅を設定します。
SetCurrentCell | 指定したセルを現在のセルとして設定します。
SetCurrentCellColumn | 現在のセルの列を指定します。
SetCurrentCellRow | 現在のセルの行を設定します。
SetFirstVisibleColumn | 最初の可視な列を設定します。
SetFirstVisibleRow | 最初の可視な行を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectedRows | 指定した行を選択します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TriggerModified | セルの複数の変更をサーバーに通知します。一般医、ModifyCell への複数の呼び出しの跡に、このメソッドは呼び出されます。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapHorizontalScrollBar クラス

説明

水平スクロール バーのクラスです。

継承階層

  • SapScrollbar
    • SapHorizontalScrollBar

構文

C#
public class SapHorizontalScrollBar : SapScrollbar,
VB
'Declaration
Public Class SapHorizontalScrollBar _
Inherits SapScrollbar

プロパティ

名前 | 説明
Maximum | スクロール バーの最大値。 (SapScrollbar から継承されました)
Minimum | スクロール バーの最小値。 (SapScrollbar から継承されました)
PageSize | スクロール バーのページ サイズ。 (SapScrollbar から継承されました)
Position | スクロール バーの現在の位置。 (SapScrollbar から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
ScrollTo | 指定した位置にスクロールします。 (SapScrollbar から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapHTMLViewer クラス

説明

SAP の HTMLView クラスです。

継承階層

  • SapShell
    • SapHTMLViewer

構文

C#
public class SapHTMLViewer : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapHTMLViewer _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DocumentComplete | ドキュメントが完全かどうか。
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ContextMenu | コンテキスト メニューの要求をエミュレートします。 バックエンドによって提供されるコンテキスト メニューに対してのみ適用されます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SapEvent | この関数は HTML フォームをバックエンドに送信します。
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapLabel クラス

説明

SapLabel クラスはすべての SAP ラベルのクラスです。

継承階層

  • SapComponent
    • SapLabel

構文

C#
public class SapLabel : SapComponent,
VB
'Declaration
Public Class SapLabel _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharLeft | ラベルの左からの座標（文字単位）。
CharTop | ラベルの上からの座標（文字単位）。
CharWidth | 要素の幅（文字単位）。
ColorIndex | ラベルの色インデックス。
ColorInverse | ラベルに対して INVERSE 色スタイルが設定されているかどうか。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DisplayedText | ラベルのテキスト。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
Highlighted | ラベルに対して 'highlighted' フラグが割り当てられているかどうか。
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsHotspot | ラベルに対するマウス クリックがラウンド トリップするかどうか。
IsLeftLabel | コンポーネントに 'assign left' フラグが割り当てられているかどうか。
IsListElement | 要素が ABAP リスト上にあるかどうか。
IsRightLabel | コンポーネントに 'assign right' フラグが割り当てられているかどうか。
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Maxlength | ラベルのテキストの最大の長さ（コード単位）。
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
Numerical | ラベルに数値だけを含めることができるかどうか。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapMenu クラス

説明

SAP の Menu クラスです。

継承階層

  • SapComponent
    • SapMenu
      • SapContextMenu

構文

C#
public class SapMenu : SapComponent,
VB
'Declaration
Public Class SapMenu _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Select | メニューを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapMenubar クラス

説明

SAP の MenuBar クラスです。

継承階層

  • SapComponent
    • SapMenubar

構文

C#
public class SapMenubar : SapComponent,
VB
'Declaration
Public Class SapMenubar _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapNetPlan クラス

説明

SAP の NetChart クラスです。

継承階層

  • SapShell
    • SapNetPlan

構文

C#
public class SapNetPlan : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapNetPlan _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityDescription | シェルのアクセシビリティの説明。
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
LinkCount | ネットのリンクの数。
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
NodeCount | ネットのノードの数。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetLinkContent | リンクのコンテンツを返します。
GetNodeContent | ノードのコンテンツを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SendData | この関数は、コントロール側でトリガーされたアクションそれぞれの出力をエミュレートします。 アクションの結果はサーバーに送信されます。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapOfficeIntegration クラス

説明

SAP の OfficeIntegration クラスです。

継承階層

  • SapShell
    • SapOfficeIntegration

構文

C#
public class SapOfficeIntegration : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapOfficeIntegration _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapOkCodeField クラス

説明

SapOkCodeField クラスは SAP OkCodeField のクラスです。

継承階層

  • SapComponent
    • SapOkCodeField

構文

C#
public class SapOkCodeField : SapComponent,
VB
'Declaration
Public Class SapOkCodeField _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
Opened | GuiOkCodeField が折りたたまれているかどうか。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Close | GuiOkCodeField を折りたたみます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Open | GuiOkCodeField を展開します。
PressF1 | GuiOkCodeField にフォーカスがある間に F1 キーを押すことをエミュレートします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | コントロールのテキストを指定したテキストに設定します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapPicture クラス

説明

SAP 画像のクラスです。

継承階層

  • SapShell
    • SapPicture

構文

C#
public class SapPicture : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapPicture _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DisplayMode | 画像の表示モード（"Normal"、"Stretch"、"Fit"、"NormalCenter"、"FitCenter" など）。
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
Icon | SAPGUI アイコン コード（"@01@" など）。
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Url | 画像の URL
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | 画像をクリックします
ClickControlArea | 指定した位置をクリックします
ClickPictureArea | 画像領域の指定した位置をクリックします
ContextMenu | この関数は指定した位置にコンテキスト メニューを開きます。 座標は、画面上に表示される画像コントロールに対してピクセル単位で指定します。
DoubleClick | 画像をダブルクリックします
DoubleClickControlArea | 指定した位置をダブルクリックします
DoubleClickPictureArea | 画像領域の指定した位置をダブルクリックします
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapRadioButton クラス

説明

SapRadioButton クラスはラジオ ボタン コントロールのクラスです。

継承階層

  • SapComponent
    • SapRadioButton

構文

C#
public class SapRadioButton : SapComponent,
VB
'Declaration
Public Class SapRadioButton _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharHeight | 要素の高さ（文字単位）
CharLeft | 要素の左からの座標（文字単位）
CharTop | 要素の上からの座標（文字単位）
CharWidth | 要素の幅（文字単位）
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Flushing | 値の変更がラウンド トリップするかどうか
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsLeftLabel | コンポーネントが 'assign left' フラグを持つかどうか
IsRightLabel | コンポーネントが 'assign right' フラグを持つかどうか
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Selected | ラジオ ボタンが選択されているかどうか
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Select | ラジオ ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapScrollbar クラス

説明

SAP の Scrollbar クラスです。

継承階層

  • TestObject
    • SapScrollbar
      • SapHorizontalScrollBar
      • SapVerticalScrollBar

構文

C#
public class SapScrollbar : TestObject,
VB
'Declaration
Public Class SapScrollbar _
Inherits TestObject

プロパティ

名前 | 説明
Maximum | スクロール バーの最大値。
Minimum | スクロール バーの最小値。
PageSize | スクロール バーのページ サイズ。
Position | スクロール バーの現在の位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
ScrollTo | 指定した位置にスクロールします。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapScrollContainer クラス

説明

SAP の UserArea クラスです。

継承階層

  • SapComponent
    • SapScrollContainer

構文

C#
public class SapScrollContainer : SapComponent,
VB
'Declaration
Public Class SapScrollContainer _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapShell クラス

説明

SAP の SapShell クラスです。

継承階層

  • SapComponent
    • SapShell
      • SapBarChart
      • SapCalendar
      • SapChart
      • SapColorSelector
      • SapGridView
      • SapHTMLViewer
      • SapNetPlan
      • SapOfficeIntegration
      • SapPicture
      • SapTextEdit
      • SapToolbarControl
      • SapTree

構文

C#
public class SapShell : SapComponent,
VB
'Declaration
Public Class SapShell _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapSimpleContainer クラス

説明

SAP の SimpleContainer クラスです。

継承階層

  • SapComponent
    • SapSimpleContainer

構文

C#
public class SapSimpleContainer : SapComponent,
VB
'Declaration
Public Class SapSimpleContainer _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapSplitterContainer クラス

説明

SAP スプリッタ コンテナーのクラスです。

継承階層

  • SapComponent
    • SapSplitterContainer

構文

C#
public class SapSplitterContainer : SapComponent,
VB
'Declaration
Public Class SapSplitterContainer _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapStatusbar クラス

説明

SAP の ステータス バー クラスです。

継承階層

  • SapComponent
    • SapStatusbar

構文

C#
public class SapStatusbar : SapComponent,
VB
'Declaration
Public Class SapStatusbar _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
MessageId | ABAP メッセージ呼び出しで使用されたメッセージ クラスの名前
MessageNumber | ABAP メッセージ呼び出しで使用されたメッセージ番号
MessageType | ステータス バーに表示されたメッセージの種類（たとえば、S (Success)、W (Warning)、E (Error)、A (Abort)、 I (Information)）
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
DoubleClick | ステータス バーをダブルクリックします
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTab クラス

説明

SAP の Tab クラスです。

継承階層

  • SapComponent
    • SapTab

構文

C#
public class SapTab : SapComponent,
VB
'Declaration
Public Class SapTab _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Select | タブを選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTable クラス

説明

SapTable クラスは SAP テーブルのクラスです。

継承階層

  • SapComponent
    • SapTable

構文

C#
public class SapTable : SapComponent,
VB
'Declaration
Public Class SapTable _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CharHeight | 要素の高さ（文字単位）。
CharLeft | 要素の左からの座標（文字単位）。
CharTop | 要素の上からの座標（文字単位）。
CharWidth | 要素の幅（文字単位）。
ColumnCount | テーブルの列の数。
ColumnSelectionMode | 列の選択モード。
CurrentColumn | 現在の列のインデックス。
CurrentRow | 現在の行のインデックス。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
RowCount | テーブルの行の数（不可視の行を含む）。
RowSelectionMode | 行の選択モード。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
TableFieldName | テーブルのフィールド名。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VisibleRowCount | テーブルの可視な行の数。
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ConfigureLayout | テーブルのレイアウトを変更するために、レイアウトの設定ダイアログを開きます。
DeselectAllColumns | この関数は、1 ステップですべての列の選択を解除できるボタンを持つテーブル コントロールに対して使用することができます。
DeselectColumn | 指定した列の選択を解除します。
DeselectRow | 指定した行の選択を解除します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCell | 可視なテーブル セルを返します。
GetCellAbsolute | テーブル セルを返します。 行が表示されていない場合、スクロールして表示します。
GetCellsForRow | 指定した行のセルを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnTitle | このメソッドは指定した列のタイトルを返します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVisibleCellsForColumn | 指定した列の可視なセルを返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsColumnSelected | 指定した列が選択されている場合に true を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsRowSelected | 指定した行が選択されている場合に true を返します。
ReorderTable | このメソッドは列の順序を並べ替えます。
SelectAllColumns | この関数は、1 ステップですべての列を選択できるボタンを持つテーブル コントロールに対して使用することができます。
SelectColumn | 指定した列を選択します。
SelectRow | 指定した行を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTabStrip クラス

説明

SAP のタブ ペイン クラスです。

継承階層

  • SapComponent
    • SapTabStrip

構文

C#
public class SapTabStrip : SapComponent,
VB
'Declaration
Public Class SapTabStrip _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
SelectedTab | 現在選択されているタブ。
Tabs | タブ ペインのすべてのタブ。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTextEdit クラス

説明

SAP の TextEdit クラスです。

継承階層

  • SapShell
    • SapTextEdit

構文

C#
public class SapTextEdit : SapShell,
VB
'Declaration
Public Class SapTextEdit _
Inherits SapShell

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentColumn | 現在キャレットがある列のインデックス。
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
CurrentLine | 現在キャレットがある行のインデックス。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
FirstVisibleLine | テキスト編集コントロールの上端に表示されている最初の可視な行。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
LastVisibleLine | テキスト編集コントロールの下端に表示されている最後の可視な行。
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
LineCount | テキスト編集コントロールのすべての行の数。
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
SelectedText | 現在選択されているテキスト。
SelectionEndColumn | 選択範囲の終了点の列インデックス。
SelectionEndLine | 選択範囲の終了点の行インデックス。
SelectionIndexEnd | テキストの選択範囲全体の終了インデックス。
SelectionIndexStart | テキストの選択範囲全体の開始インデックス。
SelectionStartColumn | テキストの選択範囲の列の開始インデックス。
SelectionStartLine | 選択範囲の開始点の行インデックス。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ContextMenu | コンテキスト メニューを要求します。
DoubleClick | テキスト編集コントロールをダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetLineText | 指定した行のテキストを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsBreakpointLine | 指定した行にブレークポイントが含まれているかどうかを取得します。
IsCommentLine | 指定した行がコメント行である場合に true を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsHighlightedLine | 指定した行がハイライトされている場合に true を返します。
IsProtectedLine | 指定した行が保護されている場合に true を返します。
PressF1 | F1 キーを押します。
PressF4 | F4 キーを押します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionIndexes | 指定した範囲のテキストを選択します。
SetText | テキスト編集コントロールに指定したテキストを設定します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTextField クラス

説明

SapTextfield はユーザーが変更可能なテキストを保持する、単一行および複数行フィールドのクラスです。

継承階層

  • SapComponent
    • SapTextField

構文

C#
public class SapTextField : SapComponent,
VB
'Declaration
Public Class SapTextField _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DisplayedText | 画面上に表示されるテキスト（前後の空白を含む）。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPasswordText | 暗号化されたパスワードをオブジェクトに送信します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | コントロールのテキストを指定したテキストに設定します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTitlebar クラス

説明

SAP の Titlebar クラスです。

継承階層

  • SapComponent
    • SapTitlebar

構文

C#
public class SapTitlebar : SapComponent,
VB
'Declaration
Public Class SapTitlebar _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapToolbar クラス

説明

SAP の Toolbar クラスです。

継承階層

  • SapComponent
    • SapToolbar

構文

C#
public class SapToolbar : SapComponent,
VB
'Declaration
Public Class SapToolbar _
Inherits SapComponent

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapToolbarControl クラス

説明

SAP の ToolbarControl クラスです。

継承階層

  • SapShell
    • SapToolbarControl

構文

C#
public class SapToolbarControl : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapToolbarControl _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
ButtonCount | 区切りを含むツール バーのボタンの数。
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
FocusedButton | 現在フォーカスを持つボタンの 0 を基準としたインデックス。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetButtonIcon | 指定したツール バー ボタンのアイコン名を取得します。
GetButtonType | 指定したツール バーのボタンの種類を取得します。 有効な値は、"Button"、"ButtonAndMenu"、"Menu"、"Separator"、"Group"、"CheckBox" です
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsButtonChecked | ボタンが現在チェックされている（押されている）かどうかを取得します。
IsButtonEnabled | ボタンを押すことができるかどうかを取得します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
PressContextButton | 指定した ID を持つコンテキスト ボタンを押します。
SelectButton | 指定した ID を持つボタンの押下をエミュレートします。
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SelectMenuItem | 指定した ID を持つメニュー項目の選択をエミュレートします。
SelectMenuItemByText | メニュー項目のテキストによるメニュー項目の選択をエミュレートします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapTree クラス

説明

SapTree クラスはすべての SAP ツリーのクラスです。 Get で始まる名前のメソッドのいくつかは、タイプ文字列の入力パラメーターとして nodeKey と ItemName を必要とします。 これらのパラメーターは個々の SapTree 要素によって異なります。 これらのパラメーターの値を取得するには、必要な項目の操作を記録し、記録したパラメーターを使用します。

継承階層

  • SapShell
    • SapTree

構文

C#
public class SapTree : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapTree _
Inherits SapShell _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityDescription | シェルのアクセシビリティの説明。
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
ColumnHeaders | 列のタイトルのコレクション。
ColumnNames | 列名のコレクション。
ColumnOrder | 列順序。
ColumnTitles | 列のタイトルのコレクション。
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
DragDropSupported | シェルがドラッグ＆ドロップ操作を許可しているかどうか。 (SapShell から継承されました)
FocusedNodeKey | フォーカスを持つノードのキー。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
HierarchyHeaderWidth | 階層ヘッダーの幅（ピクセル単位）。
HierarchyTitle | 階層タイトル。
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
NodeKeys | アプリケーションに依存したルート ノードのノード キーまたはツリーのすべてのノードのオード キーのどちらかを含んでいるコレクション。
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
SelectedItemColumn | 現在選択されている項目列のキー。
SelectedItemNode | 現在選択されている項目ノードのキー。
SelectedNode | 現在選択されているノードのキー。
SelectedNodes | ツリー内のすべての選択されたノードのノード キーを含むコレクション。
SelectionMode | 選択モード。
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
TopNode | トップ ノードのキー。
TreeType | ツリーの種類（単純ツリー、リスト ツリー、列ツリー）
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ChangeCheckbox | このメソッドはチェックボックスの状態の変更をエミュレートします。
CollapseNode | この関数は nodeKey で指定したキーでノードを閉じます。
DefaultContextMenu | このメソッドは、ツリー コントロール全体に対してコンテキスト メニューを要求します。
DoubleSelectItem | この関数はテキスト項目のダブルクリックをエミュレートします。
DoubleSelectNode | この関数はノードのダブルクリックをエミュレートします。
EnsureVisibleHorizontalItem | この関数は項目が表示されるまでツリーを水平方向にスクロールさせます。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExpandNode | この関数は nodeKey で指定したキーでノードを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FindNodeKeyByPath | 指定したパス（2\1\2 など）のノード キーを返します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetAbapImage | ABAP 画像を取得します。
GetCheckBoxState | チェック ボックスの状態（チェックされている場合は true、チェックされていない場合は false）を取得します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnIndexFromName | 指定した名前の列インデックスを取得します。
GetColumnKeys | 指定した列のすべての項目のキーを取得します。
GetColumnTitleFromName | 指定した名前の列タイトルを取得します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHierarchyLevel | 指定したキーの階層レベルを取得します。
GetItemHeight | 現在の項目の高さを返します。
GetItemLeft | コンポーネントの左からの位置を取得します。
GetItemStyle | 指定した項目のスタイルを取得します。
GetItemText | 複数列のツリーの場合、この関数は、パラメーターで指定したキーと名前によって項目のテキストを返します。
GetItemTextColor | 項目のテキスト色を返します。
GetItemTooltip | 項目のツールチップ テキストを返します。
GetItemTop | コンポーネントの上からの位置を取得します。
GetItemType | 指定したノードの種類を返します。
GetItemWidth | 現在の項目の幅を返します。
GetListTreeNodeItemCount | ノード項目の数を返します。
GetNextNodeKey | 次のノードのキーを返します。
GetNodeAbapImage | 指定したノードの ABAP 画像を返します。
GetNodeChildrenCount | この関数は、指定したノードの子の数を返します。
GetNodeChildrenCountByPath | この関数は、パス パラメーター（2\1\2 など）によって指定されたノードの子の数を返します。
GetNodeHeight | 現在のノードの高さを返します。
GetNodeIndex | 指定したノードのインデックスを返します。
GetNodeItemHeaders | 指定したノードのヘッダーを返します。
GetNodeLeft | コンポーネントの左からの位置を取得します。
GetNodePathByKey | ノードのキー（2\1\2 など）を指定してパスを取得します。
GetNodeStyle | ノードのスタイルを返します。
GetNodeText | この関数は、指定したキーによるノードのテキストを返します。
GetNodeTextByPath | 指定したパスによって定義されるノードのテキストを返します。
GetNodeTextColor | ノードのテキスト色を返します。
GetNodeTooltip | ノードのツールチップ テキストを返します。
GetNodeTop | コンポーネントの上からの位置を取得します。
GetNodeWidth | 現在のノードの幅を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetParentNodeKey | 指定したキーによるノードの親ノードのキーを返します。
GetPreviousNodeKey | 指定したキーによるノードの前のノードのキーを返します。
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetStyleDescription | 指定したスタイルの説明を返します。
GetSubNodesKeys | 指定したキーのノードのすべてのサブノードのキーのコレクションを返します。
HeaderContextMenu | このメソッドは、ヘッダーに対してコンテキスト メニューを要求します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsFolder | 指定したノードがフォルダーかどうかを返します。
IsFolderExpandable | フォルダーが展開可能かどうかを返します。
IsFolderExpanded | フォルダーが展開されているかどうかを返します。
IsHighLighted | ノードがハイライトされているかどうかを返します。
ItemContextMenu | このメソッドは、項目に対してコンテキスト メニューを要求します。
NodeContextMenu | このメソッドは、ノードに対してコンテキスト メニューを要求します。
PressKey | このメソッドはキーの押下をエミュレートします。
SelectButton | このメソッドはボタンの押下をエミュレートします。
SelectColumn | この関数は列の選択範囲に列を追加します。 ノードまたは項目の選択は削除されます。
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SelectHeader | このメソッドはヘッダーのクリックをエミュレートします。
SelectItem | この関数は項目の選択をエミュレートします。 この選択によって、すべてのほかの選択は削除されます。
SelectLink | この関数は、リンクのトリガーをエミュレートします。
SelectNode | nodeKey キーを持つノードをノードの選択範囲に追加します。
SetCheckBoxState | 指定したノードのチェック ボックスの状態を変更します。
SetColumnOrder | ツリーの列の順序を設定します。
SetColumnWidth | この関数は列の幅をピクセル単位で設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHierarchyHeaderWidth | 階層ヘッダーの幅（ピクセル単位）を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectedNode | 指定したノードを選択します。
SetTopNode | 指定したキーをトップ ノードとして設定します。
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
UnselectAll | すべての選択を削除します。
UnselectColumn | この関数は列の選択範囲から列を削除します。
UnselectNode | nodeKey キーを持つノードをノードの選択範囲から削除します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapUserArea クラス

説明

SAP の UserArea クラスです。

継承階層

  • SapComponent
    • SapUserArea

構文

C#
public class SapUserArea : SapComponent, ISapContextMenuable
VB
'Declaration
Public Class SapUserArea _
Inherits SapComponent _
Implements ISapContextMenuable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
CurrentContextMenu | 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
SelectContextMenuItem | コントロールのコンテキスト メニューから項目を選択します。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByPosition | このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。 (ISapContextMenuable から継承されました)
SelectContextMenuItemByText | メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。 (ISapContextMenuable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapVerticalScrollBar クラス

説明

垂直スクロール バーのクラスです。

継承階層

  • SapScrollbar
    • SapVerticalScrollBar

構文

C#
public class SapVerticalScrollBar : SapScrollbar,
VB
'Declaration
Public Class SapVerticalScrollBar _
Inherits SapScrollbar

プロパティ

名前 | 説明
Maximum | スクロール バーの最大値。 (SapScrollbar から継承されました)
Minimum | スクロール バーの最小値。 (SapScrollbar から継承されました)
PageSize | スクロール バーのページ サイズ。 (SapScrollbar から継承されました)
Position | スクロール バーの現在の位置。 (SapScrollbar から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
ScrollTo | 指定した位置にスクロールします。 (SapScrollbar から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


SapWindow クラス

説明

SapWindow クラスはトップ レベル ウィンドウのクラスです。

継承階層

  • SapComponent
    • SapWindow

構文

C#
public class SapWindow : SapComponent, IMoveable
VB
'Declaration
Public Class SapWindow _
Inherits SapComponent _
Implements IMoveable

プロパティ

名前 | 説明
AccessibilityText | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTextOnRequest | アクセシビリティ サポートに関する追加のテキスト。 (SapComponent から継承されました)
AccessibilityTooltip | アクセシビリティ サポートに関する追加のツールチップ テキスト。 (SapComponent から継承されました)
ButtonbarVisible | アプリケーション ツール バー（SAP GUI の下のツール バー）が可視かどうか。
Changeable | オブジェクトが変更可能かどうか。 (SapComponent から継承されました)
DefaultTooltip | 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。 (SapComponent から継承されました)
GuiFocus | 現在フォーカスを持つ SAP GUI 内の要素。
Height | 現在のコンポーネントの高さ。 (SapComponent から継承されました)
IconName | オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。 (SapComponent から継承されました)
IsSymbolFont | コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。 (SapComponent から継承されました)
Left | 画面上の座標で要素の左からの位置。 (SapComponent から継承されました)
Modified | 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。 (SapComponent から継承されました)
Name | コンポーネントの名前。 (SapComponent から継承されました)
ScreenLeft | 画面上の座標でコンポーネントの左からの位置。 (SapComponent から継承されました)
ScreenTop | 画面上の座標でコンポーネントの上からの位置。 (SapComponent から継承されました)
StatusbarVisible | ステータス バーが可視かどうか。
SystemFocus | サーバー アプリケーションの視点からフォーカスを持つ SAP GUI 内の要素。
Text | コントロールのテキスト。 (TestObject から継承されました)
TitlebarVisible | タイトル バーが可視かどうか。
ToolbarVisible | ツール バーが可視かどうか。
Tooltip | ツールチップ テキスト。 (SapComponent から継承されました)
Top | 画面上の座標で要素の上からの位置。 (SapComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (SapComponent から継承されました)
WindowHandle | GuiShell に接続しているコントロールのウィンドウ ハンドル。
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)
WorkingPaneHeight | 現在の作業ペインの高さ。
WorkingPaneWidth | 現在の作業ペインの幅。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsVkeyAllowed | このメソッドは、指定した仮想キーが現在の画面上で実行できる場合に true を返します。
JumpBackward | ウィンドウに対して Ctrl+Shift+Tab キーを実行して、1 ブロック後ろに移動します。
JumpForward | ウィンドウに対して Ctrl+Tab キーを実行して、1 ブロック前に移動します。
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
ResizeWorkingPane | ResizeWorkingPane 関数は、文字単位で指定された幅と高さに利用可能な作業領域のウィンドウ サイズを変更します。
ResizeWorkingPaneEx | ResizeWorkingPaneEx 関数は、ピクセルで指定された幅と高さに利用可能な作業領域のウィンドウ サイズを変更します。
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SendVKey | システムに仮想キーを送信します。
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
ShowContextMenu | コントロールのコンテキスト メニューを表示します。 (SapComponent から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TabBackward | ウィンドウに対して Shift+Tab キーを実行して、1 要素後ろに移動します。
TabForward | ウィンドウに対して Tab キーを実行して、1 要素前に移動します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: SAP クラス リファレンス


Silverlight クラス リファレンス

Silverlight コントロールのテストに利用可能なクラスを一覧します。

  • SLApplication クラス
    Silverlight コントロールのコンテナー。
  • SLAutoCompleteBox クラス
    ユーザー入力可能なテキスト ボックスとテキスト ボックスへの入力を基にした有効な一致項目を含んだドロップ ダウンを提供するコントロールを表します。
  • SLBase クラス
    Silverlight 要素の Silverlight フレームワーク レベルのプロパティ、イベント、およびメソッドのセットを提供します。
  • SLButton クラス
    ボタン コントロールを識別します。
  • SLCalendar クラス
    カレンダー コントロールを識別します。
  • SLCalendarButton クラス
    カレンダー ボタンを識別します。
  • SLCalendarDayButton クラス
    カレンダーの日付ボタンを識別します。
  • SLCheckBox クラス
    チェック ボックス コントロールを識別します。
  • SLComboBox クラス
    コンボ ボックス コントロールを識別します。
  • SLComboBoxItem クラス
    コンボ ボックス項目コントロールを識別します。
  • SLDataGrid クラス
    データ グリッド コントロールを識別します。
  • SLDataGridCell クラス
    データ グリッド コントロールの行内のセルを識別します。
  • SLDataGridDetails クラス
    データ グリッド行の詳細を表示するコントロールを識別します。
  • SLDataGridRow クラス
    データ グリッド内の行を識別します。
  • SLDataPager クラス
    データのコレクションをページングするためのデータ ページャを識別します。
  • SLDatePicker クラス
    ユーザーが日付を選択できるコントロールを表します。
  • SLDescriptionViewer クラス
    説明ビューアー コントロールを識別します。
  • SLFrame クラス
    フレーム コントロールを識別します。
  • SLGridSplitter クラス
    グリッド スプリッタ コントロールを識別します。
  • SLGroup クラス
    他のコントロールのコンテナーとして動作するグループ コントロールを識別します。
  • SLHeader クラス
    行または列のラベルを表すビジュアル コンテナーを提供するコントロールを識別します。
  • SLHeaderItem クラス
    行または列のビジュアル ラベルを提供するコントロールを識別します。
  • SLHorizontalScrollBar クラス
    水平方向のスクロール バーを識別します。
  • SLHyperlinkButton クラス
    ハイパーリンク ボタン コントロールを識別します。
  • SLImage クラス
    イメージ コントロールを識別します。
  • SLListBox クラス
    リスト ボックス コントロールを識別します。
  • SLListItem クラス
    リスト項目コントロールを識別します。
  • SLMediaElement クラス
    オーディオとビデオまたはそのいずれかを含むコントロールを表します。
  • SLMenu クラス
    メニュー コントロールを識別します。
  • SLMenuBar クラス
    メニュー バー コントロールを識別します。
  • SLMenuItem クラス
    メニュー項目コントロールを識別します。
  • SLMultiScaleImage クラス
    ユーザーがズームやパンに対応した多重解像度イメージを開くことができるようにします。
  • SLPane クラス
    スクロール バーを持つことが可能なペインを識別します。
  • SLPasswordBox クラス
    パスワード ボックス コントロールを識別します。
  • SLPopup クラス
    ポップアップ コントロールを識別します。 コンテキスト メニューもポップアップ コントロールとして扱われます。
  • SLProgressBar クラス
    進行状況バー コントロールを識別します。
  • SLRadioButton クラス
    ユーザーがオプションのグループから単一のオプションを選択できるボタンを表します。
  • SLRepeatButton クラス
    リピート ボタン コントロールを識別します。
  • SLRichTextBox クラス
    リッチ テキスト ボックス コントロールを識別します。
  • SLSeparator クラス
    セパレータ コントロールを識別します。
  • SLSlider クラス
    進行状況バー コントロールを識別します。
  • SLSpinner クラス
    スピン コントロールを識別します。
  • SLSplitButton クラス
    分割ボタン コントロールを識別します。
  • SLStatusBar クラス
    ステータス バー コントロールを識別します。
  • SLTabControl クラス
    タブ コントロールを識別します。
  • SLTabItem クラス
    タブ項目コントロールを識別します。
  • SLTable クラス
    テーブルを識別します。
  • SLTextBlock クラス
    少量のフロー コンテンツを表示するコントロールを識別します。
  • SLTextBox クラス
    テキスト ボックス コントロールを識別します。
  • SLThumb クラス
    サム コントロールを識別します。
  • SLTitleBar クラス
    ウィンドウのタイトル バーを識別します。
  • SLToggleButton クラス
    トグル ボタン コントロールを識別します。
  • SLToolBar クラス
    ツールバー コントロールを識別します。
  • SLToolTip クラス
    ツールチップ コントロールを識別します。
  • SLTreeView クラス
    項目を展開したり折りたたんだりできるツリー構造で階層データを表示するコントロールを表します。
  • SLTreeViewItem クラス
    ツリー コントロール内の選択可能な項目を表します。
  • SLValidationSummary クラス
    検証概要コントロールを識別します。
  • SLVerticalScrollBar クラス
    垂直方向のスクロール バーを識別します。
  • SLWindow クラス
    ウィンドウ コントロールを識別します。
親トピック: Silk4NET 言語リファレンス


SLApplication クラス

説明

Silverlight コントロールのコンテナー。

継承階層

  • SLBase
    • SLApplication

構文

C#
public class SLApplication : SLBase,
VB
'Declaration
Public Class SLApplication _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLAutoCompleteBox クラス

説明

ユーザー入力可能なテキスト ボックスとテキスト ボックスへの入力を基にした有効な一致項目を含んだドロップ ダウンを提供するコントロールを表します。

継承階層

  • SLBase
    • SLAutoCompleteBox

構文

C#
public class SLAutoCompleteBox : SLBase,
VB
'Declaration
Public Class SLAutoCompleteBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
HorizontallyScrollable | コンボ ボックスを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsOpen | オート コンプリート ボックスが開いているかどうかを示す値。
Items | 現在の一致項目を含んだリスト。コントロールのテキスト ボックスに入力された項目がない場合は、空のリストを返します。
ItemTexts | 現在の一致項目のテキストを含んだリスト。 コントロールのテキスト ボックスに入力された項目がない場合は、空のリストを返します。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | コンボ ボックスを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | 一致項目を含んだドロップダウン リストが開いている場合に閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | オート コンプリート ボックスに指定したテキストを入力して、一致した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLBase クラス

説明

Silverlight 要素の Silverlight フレームワーク レベルのプロパティ、イベント、およびメソッドのセットを提供します。

継承階層

  • TestObject
    • SLBase
      • SLApplication
      • SLAutoCompleteBox
      • SLButton
      • SLCalendar
      • SLCalendarButton
      • SLCalendarDayButton
      • SLCheckBox
      • SLComboBox
      • SLComboBoxItem
      • SLDataGrid
      • SLDataGridCell
      • SLDataGridDetails
      • SLDataGridRow
      • SLDataPager
      • SLDatePicker
      • SLDescriptionViewer
      • SLFrame
      • SLGridSplitter
      • SLGroup
      • SLHeader
      • SLHeaderItem
      • SLHorizontalScrollBar
      • SLHyperlinkButton
      • SLImage
      • SLListBox
      • SLListItem
      • SLMediaElement
      • SLMenu
      • SLMenuBar
      • SLMenuItem
      • SLMultiScaleImage
      • SLPane
      • SLPasswordBox
      • SLPopup
      • SLProgressBar
      • SLRadioButton
      • SLRepeatButton
      • SLRichTextBox
      • SLSeparator
      • SLSlider
      • SLSpinner
      • SLSplitButton
      • SLStatusBar
      • SLTabControl
      • SLTabItem
      • SLTable
      • SLTextBlock
      • SLTextBox
      • SLThumb
      • SLTitleBar
      • SLToggleButton
      • SLToolBar
      • SLToolTip
      • SLTreeView
      • SLTreeViewItem
      • SLValidationSummary
      • SLVerticalScrollBar
      • SLWindow

構文

C#
public class SLBase : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class SLBase _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。
ClassName | 要素の単純クラス名。
ControlType | 要素に対するコントロールの種類を含んだ文字列。
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。
IsEnabled | 要素が有効かどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLButton クラス

説明

ボタン コントロールを識別します。

継承階層

  • SLBase
    • SLButton

構文

C#
public class SLButton : SLBase,
VB
'Declaration
Public Class SLButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ボタンをクリックします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLCalendar クラス

説明

カレンダー コントロールを識別します。

継承階層

  • SLBase
    • SLCalendar

構文

C#
public class SLCalendar : SLBase,
VB
'Declaration
Public Class SLCalendar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
CanSelectMultiple | 複数の日付を選択可能かどうか
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
DisplayMode | カレンダーで月、年、10 年のいずれを表示するかを指定する値。
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelectionRequired | 少なくとも 1 つの日付を選択しなければならないかどうか
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedDate | 現在表示されているビューで選択されている日付。
SelectedDates | 現在表示されているビューで選択されている日付のリスト。
SupportedDisplayModes | サポートされる表示モードのリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SelectDate | 指定した日付を選択します。
SelectDates | 指定した日付を選択します。
SelectRange | 日付の範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
SwitchToDecadeView | カレンダー表示モードを '10 年' に切り替えます (サポートされている場合)。
SwitchToMonthView | カレンダー表示モードを '月' に切り替えます (サポートされている場合)。
SwitchToYearView | カレンダー表示モードを '年' に切り替えます (サポートされている場合)。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLCalendarButton クラス

説明

カレンダー ボタンを識別します。

継承階層

  • SLBase
    • SLCalendarButton

構文

C#
public class SLCalendarButton : SLBase,
VB
'Declaration
Public Class SLCalendarButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | カレンダー ボタンが選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ボタンをクリックします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLCalendarDayButton クラス

説明

カレンダーの日付ボタンを識別します。

継承階層

  • SLBase
    • SLCalendarDayButton

構文

C#
public class SLCalendarDayButton : SLBase,
VB
'Declaration
Public Class SLCalendarDayButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | カレンダーの日付ボタンが選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ボタンをクリックします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLCheckBox クラス

説明

チェック ボックス コントロールを識別します。

継承階層

  • SLBase
    • SLCheckBox

構文

C#
public class SLCheckBox : SLBase,
VB
'Declaration
Public Class SLCheckBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToggleState | チェック ボックスのトグル状態
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetIndeterminate | チェック ボックスを不確定状態に設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | 次の順番でサイクリックにチェック ボックスの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLComboBox クラス

説明

コンボ ボックス コントロールを識別します。

Silverlight のコンボ ボックスでは、その項目についての情報を取得する前に一度開いておく必要があります。

継承階層

  • SLBase
    • SLComboBox

構文

C#
public class SLComboBox : SLBase,
VB
'Declaration
Public Class SLComboBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
HorizontallyScrollable | コンボ ボックスを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsOpen | コンボ ボックスが開いているかどうかを示す値。
Items | 項目の完全なリスト。
ItemTexts | 項目テキストの完全なリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedIndex | 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。
SelectedItem | 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。
SelectedItemText | 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | コンボ ボックスを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | コンボ ボックスを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Open | コンボ ボックスを開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | コンボ ボックスの項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLComboBoxItem クラス

説明

コンボ ボックス項目コントロールを識別します。

継承階層

  • SLBase
    • SLComboBoxItem

構文

C#
public class SLComboBoxItem : SLBase,
VB
'Declaration
Public Class SLComboBoxItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | コンボ ボックス項目が選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | コンボ ボックス項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDataGrid クラス

説明

データ グリッド コントロールを識別します。

データ グリッドに垂直方向のスクロール バーがある場合、データ グリッドの表示領域にない行の情報（テキスト、キャプションなど）は、操作対象になりません。 このような行に対して操作したり、情報を取得するためには、まずビューにスクロールして表示させる必要があります。

継承階層

  • SLBase
    • SLDataGrid

構文

C#
public class SLDataGrid : SLBase,
VB
'Declaration
Public Class SLDataGrid _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
CanSelectMultiple | データ グリッドが複数の行の同時選択を許可するかどうか。
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ColumnCount | データ グリッドの列数。
ColumnHeaders | すべての列に対するヘッダー項目を含んだリスト
ColumnHeaderTexts | すべての列に対するヘッダー項目のテキストを含んだリスト
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
HorizontallyScrollable | データ グリッドを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
RowCount | データ グリッドの行数。
Rows | データ グリッドの行のリスト。
RowTexts | データ グリッド中の行テキストのリスト。 すべての行のテキストが文字列として返されます。各セルのテキストは空白文字で分離されます。
SelectedCell | 現在選択されているセル。セルが選択されていない場合は null (Visual Basic では Nothing)
SelectedCellText | 現在選択されているセルのテキスト。セルが選択されていない場合は空の文字列。
SelectedRow | 現在選択されている行。行が選択されていない場合は null (Visual Basic では Nothing)
SelectedRows | 現在選択されている行のリスト。行が選択されていない場合は空のリスト
SelectedRowText | 現在選択されている行のテキスト。行が選択されていない場合は空の文字列。
SelectedRowTexts | 現在選択されている行のテキスト。行が選択されていない場合は空のリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | データ グリッドを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollIntoView | 指定した行またはセルをビューにスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | 指定した行を選択します。
SelectCell | 指定したセルを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | データ グリッド内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | データ グリッド内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDataGridCell クラス

説明

データ グリッド コントロールの行内のセルを識別します。

継承階層

  • SLBase
    • SLDataGridCell

構文

C#
public class SLDataGridCell : SLBase,
VB
'Declaration
Public Class SLDataGridCell _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | セルが選択されているかどうかを示す値
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | セルをビューにスクロールします。
Select | セルを選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDataGridDetails クラス

説明

データ グリッド行の詳細を表示するコントロールを識別します。

継承階層

  • SLBase
    • SLDataGridDetails

構文

C#
public class SLDataGridDetails : SLBase,
VB
'Declaration
Public Class SLDataGridDetails _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDataGridRow クラス

説明

データ グリッド内の行を識別します。

継承階層

  • SLBase
    • SLDataGridRow

構文

C#
public class SLDataGridRow : SLBase,
VB
'Declaration
Public Class SLDataGridRow _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
Cells | データ グリッド行のセル。
CellTexts | データ グリッド行のセルのテキスト。
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | 行が選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
RowHeader | 行のヘッダー
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | 行をビューにスクロールします。
Select | 行を選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDataPager クラス

説明

データのコレクションをページングするためのデータ ページャを識別します。

継承階層

  • SLBase
    • SLDataPager

構文

C#
public class SLDataPager : SLBase,
VB
'Declaration
Public Class SLDataPager _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
CurrentPage | 現在のページ。
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
PageCount | ページ数。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MoveToFirstPage | データ ページャの最初のページに移動します。
MoveToLastPage | データ ページャの最後のページに移動します。
MoveToNextPage | データ ページャの次のページに移動します。
MoveToPage | データ ページャの指定したページに移動します。
MoveToPreviousPage | データ ページャの前のページに移動します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDatePicker クラス

説明

ユーザーが日付を選択できるコントロールを表します。

継承階層

  • SLBase
    • SLDatePicker

構文

C#
public class SLDatePicker : SLBase,
VB
'Declaration
Public Class SLDatePicker _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsCalendarOpen | ドロップダウン カレンダーが開いているかどうか。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedDate | 選択されている日付。日付が選択されていない場合は null (Visual Basic では Nothing) を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
CloseCalendar | ドロップダウン カレンダーを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenCalendar | ドロップダウン カレンダーを開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLDescriptionViewer クラス

説明

説明ビューアー コントロールを識別します。

継承階層

  • SLBase
    • SLDescriptionViewer

構文

C#
public class SLDescriptionViewer : SLBase,
VB
'Declaration
Public Class SLDescriptionViewer _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLFrame クラス

説明

フレーム コントロールを識別します。

継承階層

  • SLBase
    • SLFrame

構文

C#
public class SLFrame : SLBase,
VB
'Declaration
Public Class SLFrame _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLGridSplitter クラス

説明

グリッド スプリッタ コントロールを識別します。

継承階層

  • SLBase
    • SLGridSplitter

構文

C#
public class SLGridSplitter : SLBase,
VB
'Declaration
Public Class SLGridSplitter _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MoveHorizontal | スプリッタを水平方向に移動します。
MoveVertical | スプリッタを垂直方向に移動します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLGroup クラス

説明

他のコントロールのコンテナーとして動作するグループ コントロールを識別します。

継承階層

  • SLBase
    • SLGroup

構文

C#
public class SLGroup : SLBase,
VB
'Declaration
Public Class SLGroup _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLHeader クラス

説明

行または列のラベルを表すビジュアル コンテナーを提供するコントロールを識別します。

継承階層

  • SLBase
    • SLHeader

構文

C#
public class SLHeader : SLBase,
VB
'Declaration
Public Class SLHeader _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HeaderItems | このヘッダー コントロールのヘッダー項目を含むリスト
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLHeaderItem クラス

説明

行または列のビジュアル ラベルを提供するコントロールを識別します。

継承階層

  • SLBase
    • SLHeaderItem

構文

C#
public class SLHeaderItem : SLBase,
VB
'Declaration
Public Class SLHeaderItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ヘッダー項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLHorizontalScrollBar クラス

説明

水平方向のスクロール バーを識別します。

継承階層

  • SLBase
    • SLHorizontalScrollBar

構文

C#
public class SLHorizontalScrollBar : SLBase,
VB
'Declaration
Public Class SLHorizontalScrollBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Maximum | 最大スクロール位置
Minimum | 最小スクロール位置
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
ScrollPosition | 現在のスクロール位置
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール バーを指定した量スクロールします
ScrollToMaximum | スクロール バーを右端にスクロールします。
ScrollToMinimum | スクロール バーを左端にスクロールします。
ScrollToPosition | スクロール バーを指定した位置にスクロールします
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLHyperlinkButton クラス

説明

ハイパーリンク ボタン コントロールを識別します。

継承階層

  • SLBase
    • SLHyperlinkButton

構文

C#
public class SLHyperlinkButton : SLBase,
VB
'Declaration
Public Class SLHyperlinkButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ハイパーリンク ボタンをクリックします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLImage クラス

説明

イメージ コントロールを識別します。

継承階層

  • SLBase
    • SLImage

構文

C#
public class SLImage : SLBase,
VB
'Declaration
Public Class SLImage _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLListBox クラス

説明

リスト ボックス コントロールを識別します。

継承階層

  • SLBase
    • SLListBox

構文

C#
public class SLListBox : SLBase,
VB
'Declaration
Public Class SLListBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
CanSelectMultiple | リスト ボックスが複数の子要素の同時選択を許可するかどうか。
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
HorizontallyScrollable | リスト ボックスを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Items | リスト ボックス項目のリスト。
ItemTexts | すべての項目テキストのリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。
SelectedIndices | 現在選択されている項目のインデックス。 項目が現在選択されていない場合は、空のリストが返されます。
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します
SelectedItems | 現在選択されている項目。 項目が現在選択されていない場合は、空のリストが返されます。
SelectedItemText | 最初の選択された項目のテキスト。
SelectedItemTexts | 現在選択されている項目のテキスト。 項目が現在選択されていない場合は、空のリストが返されます。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | リスト ボックスを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DeselectAll | すべてのリスト項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | 指定したリスト ボックス項目を選択します。
SelectAll | リスト内のすべての項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | リスト ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | リスト ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLListItem クラス

説明

リスト項目コントロールを識別します。

継承階層

  • SLBase
    • SLListItem

構文

C#
public class SLListItem : SLBase,
VB
'Declaration
Public Class SLListItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | リスト項目が選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | リスト項目をビューにスクロールします。
Select | リスト項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLMediaElement クラス

説明

オーディオとビデオまたはそのいずれかを含むコントロールを表します。

継承階層

  • SLBase
    • SLMediaElement

構文

C#
public class SLMediaElement : SLBase,
VB
'Declaration
Public Class SLMediaElement _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLMenu クラス

説明

メニュー コントロールを識別します。

継承階層

  • SLBase
    • SLMenu

構文

C#
public class SLMenu : SLBase,
VB
'Declaration
Public Class SLMenu _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLMenuBar クラス

説明

メニュー バー コントロールを識別します。

継承階層

  • SLBase
    • SLMenuBar

構文

C#
public class SLMenuBar : SLBase,
VB
'Declaration
Public Class SLMenuBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLMenuItem クラス

説明

メニュー項目コントロールを識別します。

継承階層

  • SLBase
    • SLMenuItem

構文

C#
public class SLMenuItem : SLBase,
VB
'Declaration
Public Class SLMenuItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLMultiScaleImage クラス

説明

ユーザーがズームやパンに対応した多重解像度イメージを開くことができるようにします。

継承階層

  • SLBase
    • SLMultiScaleImage

構文

C#
public class SLMultiScaleImage : SLBase,
VB
'Declaration
Public Class SLMultiScaleImage _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLPane クラス

説明

スクロール バーを持つことが可能なペインを識別します。

継承階層

  • SLBase
    • SLPane

構文

C#
public class SLPane : SLBase,
VB
'Declaration
Public Class SLPane _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
HorizontallyScrollable | ペインを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | ペインを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | ペイン内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | ペイン内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLPasswordBox クラス

説明

パスワード ボックス コントロールを識別します。

継承階層

  • SLBase
    • SLPasswordBox

構文

C#
public class SLPasswordBox : SLBase,
VB
'Declaration
Public Class SLPasswordBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsReadOnly | パスワード ボックスが読み取り専用かどうか
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをパスワード フィールドから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | パスワード フィールド内の挿入位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelection | パスワード ボックス内のテキストの範囲を選択します。
SetText | パスワード フィールド内のテキストを指定したテキストで置換します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLPopup クラス

説明

ポップアップ コントロールを識別します。 コンテキスト メニューもポップアップ コントロールとして扱われます。

継承階層

  • SLBase
    • SLPopup

構文

C#
public class SLPopup : SLBase,
VB
'Declaration
Public Class SLPopup _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLProgressBar クラス

説明

進行状況バー コントロールを識別します。

継承階層

  • SLBase
    • SLProgressBar

構文

C#
public class SLProgressBar : SLBase,
VB
'Declaration
Public Class SLProgressBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Maximum | 進行状況の最大値
Minimum | 進行状況の最小値
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLRadioButton クラス

説明

ユーザーがオプションのグループから単一のオプションを選択できるボタンを表します。

継承階層

  • SLBase
    • SLRadioButton

構文

C#
public class SLRadioButton : SLBase,
VB
'Declaration
Public Class SLRadioButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | ラジオ ボタンが選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 任意の選択された項目の選択を解除し、現在の要素を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLRepeatButton クラス

説明

リピート ボタン コントロールを識別します。

継承階層

  • SLBase
    • SLRepeatButton

構文

C#
public class SLRepeatButton : SLBase,
VB
'Declaration
Public Class SLRepeatButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ボタンをクリックします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLRichTextBox クラス

説明

リッチ テキスト ボックス コントロールを識別します。

継承階層

  • SLBase
    • SLRichTextBox

構文

C#
public class SLRichTextBox : SLBase,
VB
'Declaration
Public Class SLRichTextBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedText | 選択したテキスト
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト ボックスから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | テキスト ボックス内の挿入位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelection | テキスト ボックス内のテキストの範囲を選択します。
SetText | テキスト ボックスの内容を指定したテキストで置換します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLSeparator クラス

説明

セパレータ コントロールを識別します。

継承階層

  • SLBase
    • SLSeparator

構文

C#
public class SLSeparator : SLBase,
VB
'Declaration
Public Class SLSeparator _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLSlider クラス

説明

進行状況バー コントロールを識別します。

継承階層

  • SLBase
    • SLSlider

構文

C#
public class SLSlider : SLBase,
VB
'Declaration
Public Class SLSlider _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
LargeChange | PAGE DOWN キーが押された場合など、大きい単位での変更が行われる際に、Value プロパティに加算または減算される値。
Maximum | 進行状況の最大値
Minimum | 進行状況の最小値
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SmallChange | 矢印キーが押された場合など、小さい単位での変更が行われる際に、Value プロパティに加算または減算される値。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseLarge | Slider の値を大きい単位で減らします。
DecreaseSmall | Slider の値を小さい単位で減らします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseLarge | Slider の値を大きい単位で増やします。
IncreaseSmall | Slider の値を小さい単位で増やします。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetValue | スライダーの値を設定します。
SetValueToMaximum | Slider を最大の位置に設定します。
SetValueToMinimum | Slider を最小の位置に設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLSpinner クラス

説明

スピン コントロールを識別します。

Spinner コントロール型は一連のボタンで構成されます。ユーザーはこれらのボタンを使用して、一連の項目の中から項目を選択したり、範囲内の数値を設定したりできます。

継承階層

  • SLBase
    • SLSpinner

構文

C#
public class SLSpinner : SLBase,
VB
'Declaration
Public Class SLSpinner _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
NumericValue | スピン コントロールの現在の数値
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLSplitButton クラス

説明

分割ボタン コントロールを識別します。

継承階層

  • SLBase
    • SLSplitButton

構文

C#
public class SLSplitButton : SLBase,
VB
'Declaration
Public Class SLSplitButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLStatusBar クラス

説明

ステータス バー コントロールを識別します。

継承階層

  • SLBase
    • SLStatusBar

構文

C#
public class SLStatusBar : SLBase,
VB
'Declaration
Public Class SLStatusBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTabControl クラス

説明

タブ コントロールを識別します。

継承階層

  • SLBase
    • SLTabControl

構文

C#
public class SLTabControl : SLBase,
VB
'Declaration
Public Class SLTabControl _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Items | タブ項目の完全なリスト。
ItemTexts | タブ項目テキストの完全なリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
SelectedIndex | 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。
SelectedItem | 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。
SelectedItemText | 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | タブ コントロールの項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTabItem クラス

説明

タブ項目コントロールを識別します。

継承階層

  • SLBase
    • SLTabItem

構文

C#
public class SLTabItem : SLBase,
VB
'Declaration
Public Class SLTabItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsSelected | タブ項目が選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | タブ項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTable クラス

説明

テーブルを識別します。

継承階層

  • SLBase
    • SLTable

構文

C#
public class SLTable : SLBase,
VB
'Declaration
Public Class SLTable _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTextBlock クラス

説明

少量のフロー コンテンツを表示するコントロールを識別します。

継承階層

  • SLBase
    • SLTextBlock

構文

C#
public class SLTextBlock : SLBase,
VB
'Declaration
Public Class SLTextBlock _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTextBox クラス

説明

テキスト ボックス コントロールを識別します。

継承階層

  • SLBase
    • SLTextBox

構文

C#
public class SLTextBox : SLBase,
VB
'Declaration
Public Class SLTextBox _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsReadOnly | テキスト ボックスが読み取り専用かどうか
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト フィールドから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | テキスト フィールド内の挿入位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelection | テキスト ボックス内のテキストの範囲を選択します。
SetText | テキスト フィールド内のテキストを指定したテキストで置換します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)

例

VB

textBox.SetText("some text")
textBox.SetSelection(0, 4) ' 最初の文字から 4 文字を選択
textBox.TypeKeys("<Ctrl+C>") ' 選択したテキストをクリップボードにコピー
Dim selectedText = Clipboard.GetText() ' クリップボードからテキストを取得
親トピック: Silverlight クラス リファレンス


SLThumb クラス

説明

サム コントロールを識別します。

継承階層

  • SLBase
    • SLThumb

構文

C#
public class SLThumb : SLBase,
VB
'Declaration
Public Class SLThumb _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTitleBar クラス

説明

ウィンドウのタイトル バーを識別します。

継承階層

  • SLBase
    • SLTitleBar

構文

C#
public class SLTitleBar : SLBase,
VB
'Declaration
Public Class SLTitleBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLToggleButton クラス

説明

トグル ボタン コントロールを識別します。

継承階層

  • SLBase
    • SLToggleButton

構文

C#
public class SLToggleButton : SLBase,
VB
'Declaration
Public Class SLToggleButton _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToggleState | ボタンのトグル状態
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | 次の順番でサイクリックにボタンの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLToolBar クラス

説明

ツールバー コントロールを識別します。

継承階層

  • SLBase
    • SLToolBar

構文

C#
public class SLToolBar : SLBase,
VB
'Declaration
Public Class SLToolBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLToolTip クラス

説明

ツールチップ コントロールを識別します。

継承階層

  • SLBase
    • SLToolTip

構文

C#
public class SLToolTip : SLBase,
VB
'Declaration
Public Class SLToolTip _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTreeView クラス

説明

項目を展開したり折りたたんだりできるツリー構造で階層データを表示するコントロールを表します。

継承階層

  • SLBase
    • SLTreeView

構文

C#
public class SLTreeView : SLBase,
VB
'Declaration
Public Class SLTreeView _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
HorizontallyScrollable | ツリー ビューを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
RootItems | すべてのルート ツリー項目の完全なリスト。
RootItemTexts | すべてのルート ツリー項目のテキストの完全なリスト。
SelectedItem | 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。
SelectedItemPath | 選択された項目パスを取得します。選択されていない場合は空の項目パス。
SelectedItemText | 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | ツリー ビューを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
VisibleItemPaths | ツリーに表示される項目の項目パス。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 指定した項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 指定した項目を展開します。
ExpandAll | ツリー内のすべての項目を展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | 指定した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLTreeViewItem クラス

説明

ツリー コントロール内の選択可能な項目を表します。

継承階層

  • SLBase
    • SLTreeViewItem

構文

C#
public class SLTreeViewItem : SLBase,
VB
'Declaration
Public Class SLTreeViewItem _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
IsExpanded | ツリー項目内の入れ子になった項目が展開されているか、折りたたまれているか。
IsLeaf | ツリー ビュー項目がリーフ項目かどうかを示す値。
IsSelected | ツリー項目が選択されているかどうかを示す値。
Items | 項目の完全なリスト。
ItemTexts | 項目テキストの完全なリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 項目を展開します。
ExpandSubTree | このツリー項目の下のサブツリーを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ツリー項目をビューにスクロールします
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLValidationSummary クラス

説明

検証概要コントロールを識別します。

継承階層

  • SLBase
    • SLValidationSummary

構文

C#
public class SLValidationSummary : SLBase,
VB
'Declaration
Public Class SLValidationSummary _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLVerticalScrollBar クラス

説明

垂直方向のスクロール バーを識別します。

継承階層

  • SLBase
    • SLVerticalScrollBar

構文

C#
public class SLVerticalScrollBar : SLBase,
VB
'Declaration
Public Class SLVerticalScrollBar _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Maximum | 最大スクロール位置
Minimum | 最小スクロール位置
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
ScrollPosition | 現在のスクロール位置
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | スクロール バーを指定した量スクロールします
ScrollToMaximum | スクロール バーを最下部にスクロールします。
ScrollToMinimum | スクロール バーを先頭にスクロールします。
ScrollToPosition | スクロール バーを指定した位置にスクロールします
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


SLWindow クラス

説明

ウィンドウ コントロールを識別します。

継承階層

  • SLBase
    • SLWindow

構文

C#
public class SLWindow : SLBase,
VB
'Declaration
Public Class SLWindow _
Inherits SLBase

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (SLBase から継承されました)
ClassName | 要素の単純クラス名。 (SLBase から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (SLBase から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (SLBase から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (SLBase から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (SLBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (SLBase から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Silverlight クラス リファレンス


Java AWT および Swing クラス リファレンス

Java AWT および Swing コントロールのテストに利用可能なクラスを一覧します。

  • AbstractButton クラス
    ボタンやメニュー項目に共通の動作を定義します。
  • Applet クラス
    ブラウザーの Java アプレットを表します。
  • AppletContainer クラス
    ブラウザーのアプレットのルート要素です。
  • AWTButton クラス
    プッシュ ボタンを表します。
  • AWTCanvas クラス
    アプリケーションが描画したりユーザーからのイベントを補足できる画面上の空の矩形領域を表します。
  • AWTCheckbox クラス
    チェック ボックスを表します。
  • AWTCheckboxMenuItem クラス
    メニュー項目に挿入できるチェック ボックス コントロールを表します。
  • AWTChoice クラス
    コンボ ボックスを表します。
  • AWTComponent クラス
    AWTComponent は Java AWT の基本クラスです。
  • AWTContainer クラス
    他の AWT コンポーネントを含めることができるコンポーネントを表します。
  • AWTDialog クラス
    ダイアログ ボックスを表します。
  • AWTFrame クラス
    タイトルと境界線を持つトップ レベル ウィンドウを表します。
  • AWTHorizontalScrollbar クラス
    水平方向のスクロール バーを表します。
  • AWTLabel クラス
    コンテナー内に配置されるテキストのクラスを表します。
  • AWTList クラス
    リスト ボックスを表します。
  • AWTMenu クラス
    メニュー バーからアクセスされるメニュー コンポーネントを表します。
  • AWTMenuComponent クラス
    すべてのメニュー関連コントロールの基本クラスを表します。
  • AWTMenuItem クラス
    メニュー項目を表します。
  • AWTRadioButton クラス
    ラジオ ボタンを表します。
  • AWTScrollbar クラス
    スクロール バーを表します。 このクラスはリスト ボックス上のスクロール バーのような、コントロールの部品であるスクロール バーを含みます。
  • AWTScrollPane クラス
    単一の子コンポーネントに対する水平方向または垂直方向の自動スクロールを実装するクラスを表します。
  • AWTTextArea クラス
    テキスト領域を表します。
  • AWTTextComponent クラス
    AWTTextField クラス、および AWTTextArea クラスの基本クラスを表します。
  • AWTTextField クラス
    ユーザーが変更可能なテキストを保持する、単一行および複数行のテキスト フィールド コントロールを表します。
  • AWTVerticalScrollbar クラス
    垂直方向のスクロール バーを表します。
  • AWTWindow クラス
    境界線やメニュー バーを持たないトップ レベル ウィンドウを表します。
  • BasicArrowButton クラス
    基本方向のうちの 1 つの矢印を持ったプッシュ ボタンを表します。
  • IAWTScrollable インターフェイス
    2 つのスクロール バーを持つことができる AWT オブジェクトのインターフェイスを表します。
  • IAWTScroller インターフェイス
    スクロール可能な AWT オブジェクトのインターフェイスを表します。
  • IBaseScrollable インターフェイス
    重複を避けるために他のスクロール可能なコントロールのインターフェイスを表します。
  • IOracleFormsMenuBase インターフェイス
    ユーザーが選択する選択肢を定義するコントロールを表します。
  • IOracleFormsScrollable インターフェイス
    スクロール可能な Oracle Forms オブジェクトのインターフェイスを表します。
  • IOracleFormsScroller インターフェイス
    スクロール可能な Oracle Forms オブジェクトのインターフェイスを表します。
  • JButton クラス
    プッシュ ボタンを表します。
  • JCheckBox クラス
    チェック ボックスを表します。
  • JCheckBoxMenuItem クラス
    メニュー項目に含めることができるチェック ボックス コントロールを表します。
  • JColorChooser クラス
    色の選択を表します。
  • JComboBox クラス
    コンボ ボックスを表します。
  • JComponent クラス
    トップ レベル コンテナーを除くすべてのコンポーネントのクラスを表します。
  • JDesktopPane クラス
    デスクトップ ペインを表します。
  • JDialog クラス
    ダイアログ ボックスを表します。
  • JEditorPane クラス
    さまざまな種類のコンテンツを編集できるテキスト コンポーネントを表します。
  • JFrame クラス
    Java Swing のサポートを追加する AWTFrame を拡張したバージョンのクラスを表します。
  • JHorizontalScrollBar クラス
    水平方向のスクロール バーを表します。
  • JLabel クラス
    簡単なテキスト、画像、または両方を表示する表示領域を表します。
  • JLayeredPane クラス
    階層ペインを表します。
  • JList クラス
    リスト ボックスを表します。
  • JMenu クラス
    メニューを表します。 メニューとは子項目を持つメニュー項目です。
  • JMenuBar クラス
    メニュー バーを表します。
  • JMenuItem クラス
    メニュー項目を表します。
  • JPanel クラス
    軽量コンポーネントのコンテナー クラスを表します。
  • JPasswordField クラス
    元の文字を表示しない単一行フィールドを表します。
  • JPopupMenu クラス
    コンテキスト メニューを表します。
  • JProgressBar クラス
    操作の進行状況を表示します。
  • JRadioButton クラス
    ラジオ ボタンを表します。
  • JRadioButtonMenuItem クラス
    ラジオ ボタン メニュー項目を表します。
  • JRootPane クラス
    ルート ペインを表します。
  • JScrollBar クラス
    スクロール バーを表します。
  • JScrollPane クラス
    ペイン自身よりも大きくなるコンテンツをスクロールすることができるスクロール ペインを表します。
  • JSlider クラス
    範囲内の値を選択できるスライダ コントロールを表します。
  • JSpinner クラス
    シーケンスの値を反復処理できるスピナー コントロールを表します。
  • JSplitPane クラス
    水平方向または垂直方向に 2 つのコンポーネントに分割するスプリット ペイン コントロールを表します。
  • JTabbedPane クラス
    タブ付きペインを表します。
  • JTable クラス
    行と列を持つテーブル コントロールを表します。
  • JTableHeader クラス
    テーブル コンポーネントのテーブル ヘッダー クラスを表します。
  • JTextArea クラス
    書式なしテキストを表示する複数行テキスト領域コントロールを表します。
  • JTextComponent クラス
    グラフィカルに表現される属性でマークすることができるテキスト コントロールを表します。
  • JTextField クラス
    ユーザーが変更可能なテキストを保持する、単一行のテキスト フィールド コントロールを表します。
  • JTextPane クラス
    グラフィカルに表現される属性でマークすることができるテキスト ペイン コントロールを表します。
  • JToggleButton クラス
    2 つの状態を持つボタンを表します。
  • JToolBar クラス
    ツールバーを表します。
  • JTree クラス
    ツリーを表します。
  • JVerticalScrollBar クラス
    垂直方向のスクロール バーを表します。
  • JViewport クラス
    Swing ビューポートを表します。
  • JWindow クラス
    ユーザーのデスクトップ上のどこにでも表示できるコンテナーを表します。
  • OracleFormsApplication クラス
    Oracle Forms アプリケーションを表します。
  • OracleFormsButton クラス
    プッシュ ボタンを表します。
  • OracleFormsCheckbox クラス
    チェック ボックスを表します。
  • OracleFormsChoice クラス
    選択肢を表します。
  • OracleFormsComboBox クラス
    コンボ ボックスを表します。
  • OracleFormsContainer クラス
    他の Oracle Forms コンポーネントを含めることができるコンポーネントを表します。
  • OracleFormsHorizontalScrollbar クラス
    水平方向のスクロール バーを表します。
  • OracleFormsLabel クラス
    コンテナー内に配置されるテキストのクラスを表します。
  • OracleFormsListBox クラス
    ListBox を表します。
  • OracleFormsListView クラス
    リストビューを表します。
  • OracleFormsMenu クラス
    トップ レベル メニューを表します。
  • OracleFormsMenuItem クラス
    Menu 内の選択可能な項目を表します。
  • OracleFormsPopList クラス
    PopList を表します。
  • OracleFormsPopupMenu クラス
    コンテキスト メニューを表します。
  • OracleFormsRadioButton クラス
    ラジオ ボタンを表します。
  • OracleFormsScrollbar クラス
    スクロール バーを表します。
  • OracleFormsStatusArea クラス
    ステータス情報を含む領域を表します。
  • OracleFormsStatusBar クラス
    ステータス バーを表します。
  • OracleFormsStatusBarItem クラス
    ステータス バー内の項目を表します。
  • OracleFormsStatusIndicator クラス
    ステータス インジケータを表します。
  • OracleFormsTabBar クラス
    タブ バーを表します。
  • OracleFormsTabBarItem クラス
    タブ バー項目を表します。
  • OracleFormsTabPanel クラス
    コンポーネントのコンテナー クラスを表します。
  • OracleFormsTextField クラス
    Oracle Forms テキスト フィールドを表します。
  • OracleFormsTitleBar クラス
    タイトル バーを表します。
  • OracleFormsToolBar クラス
    ツールバーを表します。
  • OracleFormsToolBarItem クラス
    ツール バーの要素を表します。
  • OracleFormsTree クラス
    ツリーを表します。
  • OracleFormsVerticalScrollbar クラス
    垂直方向のスクロール バーを表します。
  • SplitPaneDivider クラス
    スプリット ペインの分割線を表します。
親トピック: Silk4NET 言語リファレンス


AbstractButton クラス

説明

ボタンやメニュー項目に共通の動作を定義します。

継承階層

  • JComponent
    • AbstractButton
      • JButton
      • JMenuItem
      • JToggleButton

構文

C#
public class AbstractButton : JComponent,
VB
'Declaration
Public Class AbstractButton _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


Applet クラス

説明

ブラウザーの Java アプレットを表します。

継承階層

  • AWTContainer
    • Applet

構文

C#
public class Applet : AWTContainer,
VB
'Declaration
Public Class Applet _
Inherits AWTContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AppletContainer クラス

説明

ブラウザーのアプレットのルート要素です。

継承階層

  • AWTContainer
    • AppletContainer

構文

C#
public class AppletContainer : AWTContainer,
VB
'Declaration
Public Class AppletContainer _
Inherits AWTContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTButton クラス

説明

プッシュ ボタンを表します。

継承階層

  • AWTComponent
    • AWTButton

構文

C#
public class AWTButton : AWTComponent,
VB
'Declaration
Public Class AWTButton _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTCanvas クラス

説明

アプリケーションが描画したりユーザーからのイベントを補足できる画面上の空の矩形領域を表します。

継承階層

  • AWTComponent
    • AWTCanvas

構文

C#
public class AWTCanvas : AWTComponent,
VB
'Declaration
Public Class AWTCanvas _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTCheckbox クラス

説明

チェック ボックスを表します。

継承階層

  • AWTComponent
    • AWTCheckbox

構文

C#
public class AWTCheckbox : AWTComponent,
VB
'Declaration
Public Class AWTCheckbox _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | チェック ボックスがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | チェック ボックスの状態を切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTCheckboxMenuItem クラス

説明

メニュー項目に挿入できるチェック ボックス コントロールを表します。

継承階層

  • AWTMenuItem
    • AWTCheckboxMenuItem

構文

C#
public class AWTCheckboxMenuItem : AWTMenuItem,
VB
'Declaration
Public Class AWTCheckboxMenuItem _
Inherits AWTMenuItem

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTMenuItem から継承されました)
Checked | メニュー項目のチェック ボックスがチェックされているかどうか。
Enabled | メニュー項目が有効かどうか。 (AWTMenuItem から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目のチェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニュー項目を選択します。 (AWTMenuItem から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | メニュー項目のチェック ボックスの状態を切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェック ボックスをチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTChoice クラス

説明

コンボ ボックスを表します。

継承階層

  • AWTComponent
    • AWTChoice

構文

C#
public class AWTChoice : AWTComponent,
VB
'Declaration
Public Class AWTChoice _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | コンボ ボックスの項目の数。
Items | コンボ ボックス項目のリスト。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。
SelectedItem | 選択されている項目。 項目が現在選択されていない場合には、NULL が返されます。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItem | 指定したインデックスの項目を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | コンボ ボックスで指定した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTComponent クラス

説明

AWTComponent は Java AWT の基本クラスです。

継承階層

  • TestObject
    • AWTComponent
      • AWTButton
      • AWTCanvas
      • AWTCheckbox
      • AWTChoice
      • AWTContainer
      • AWTLabel
      • AWTList
      • AWTRadioButton
      • AWTScrollbar
      • AWTTextComponent

構文

C#
public class AWTComponent : TestObject, IClickable, IFocusable, IKeyable, INativeWindow
VB
'Declaration
Public Class AWTComponent _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable, INativeWindow

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。
AccessibleRole | コンポーネントのアクセス可能なロール。
Background | コンポーネントの背景色。
Cursor | コンポーネントに設定されているカーソルの名前。
Enabled | コンポーネントが有効かどうか。
Focusable | コンポーネントをフォーカスすることができるかどうか。
Font | コンポーネントのフォント。
Foreground | コンポーネントの前景色。
Height | 現在のコンポーネントの高さ。
Name | コンポーネントの名前。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTContainer クラス

説明

他の AWT コンポーネントを含めることができるコンポーネントを表します。

継承階層

  • AWTComponent
    • AWTContainer
      • Applet
      • AppletContainer
      • AWTScrollPane
      • AWTWindow
      • JComponent
      • OracleFormsContainer
      • SplitPaneDivider

構文

C#
public class AWTContainer : AWTComponent,
VB
'Declaration
Public Class AWTContainer _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTDialog クラス

説明

ダイアログ ボックスを表します。

継承階層

  • AWTWindow
    • AWTDialog
      • JDialog

構文

C#
public class AWTDialog : AWTWindow,
VB
'Declaration
Public Class AWTDialog _
Inherits AWTWindow

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Modal | ダイアログがモーダルかどうか。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Resizable | ユーザーがダイアログのサイズを変更できるかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | ダイアログのタイトル。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTFrame クラス

説明

タイトルと境界線を持つトップ レベル ウィンドウを表します。

継承階層

  • AWTWindow
    • AWTFrame
      • JFrame

構文

C#
public class AWTFrame : AWTWindow,
VB
'Declaration
Public Class AWTFrame _
Inherits AWTWindow

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Resizable | ユーザーがフレームのサイズを変更できるかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | フレームのタイトル。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTHorizontalScrollbar クラス

説明

水平方向のスクロール バーを表します。

継承階層

  • AWTScrollbar
    • AWTHorizontalScrollbar

構文

C#
public class AWTHorizontalScrollbar : AWTScrollbar,
VB
'Declaration
Public Class AWTHorizontalScrollbar _
Inherits AWTScrollbar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTLabel クラス

説明

コンテナー内に配置されるテキストのクラスを表します。

継承階層

  • AWTComponent
    • AWTLabel

構文

C#
public class AWTLabel : AWTComponent,
VB
'Declaration
Public Class AWTLabel _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Alignment | ラベルの配置。
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTList クラス

説明

リスト ボックスを表します。

継承階層

  • AWTComponent
    • AWTList

構文

C#
public class AWTList : AWTComponent,
VB
'Declaration
Public Class AWTList _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | リスト項目の数。
Items | リスト項目のリスト。
MultipleMode | リストが複数選択を許可するかどうか。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 現在選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。
SelectedIndices | 現在選択されている項目のインデックス。 項目が現在選択されていない場合は、空のリストが返されます。
SelectedItem | 現在選択されているリスト項目。 項目が現在選択されていない場合には、NULL が返されます。
SelectedItems | 現在選択されているリスト項目（複数）。 項目が現在選択されていない場合は、空のリストが返されます。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 指定したリスト項目の選択を解除します。
DeselectAll | すべてのリスト項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickItem | リスト項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItem | 指定したインデックスのリスト項目を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 指定した項目を選択します。
SelectAll | リスト内のすべての項目を選択します。
SelectRange | 指定した範囲のすべての項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTMenu クラス

説明

メニュー バーからアクセスされるメニュー コンポーネントを表します。

継承階層

  • AWTMenuItem
    • AWTMenu

構文

C#
public class AWTMenu : AWTMenuItem,
VB
'Declaration
Public Class AWTMenu _
Inherits AWTMenuItem

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTMenuItem から継承されました)
Enabled | メニュー項目が有効かどうか。 (AWTMenuItem から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニュー項目を選択します。 (AWTMenuItem から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTMenuComponent クラス

説明

すべてのメニュー関連コントロールの基本クラスを表します。

継承階層

  • TestObject
    • AWTMenuComponent
      • AWTMenuItem

構文

C#
public class AWTMenuComponent : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class AWTMenuComponent _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTMenuItem クラス

説明

メニュー項目を表します。

継承階層

  • AWTMenuComponent
    • AWTMenuItem
      • AWTCheckboxMenuItem
      • AWTMenu

構文

C#
public class AWTMenuItem : AWTMenuComponent,
VB
'Declaration
Public Class AWTMenuItem _
Inherits AWTMenuComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。
Enabled | メニュー項目が有効かどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | メニュー項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTRadioButton クラス

説明

ラジオ ボタンを表します。

継承階層

  • AWTComponent
    • AWTRadioButton

構文

C#
public class AWTRadioButton : AWTComponent,
VB
'Declaration
Public Class AWTRadioButton _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | ラジオ ボタンがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ラジオ ボタンをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTScrollbar クラス

説明

スクロール バーを表します。 このクラスはリスト ボックス上のスクロール バーのような、コントロールの部品であるスクロール バーを含みます。

継承階層

  • AWTComponent
    • AWTScrollbar
      • AWTHorizontalScrollbar
      • AWTVerticalScrollbar

構文

C#
public class AWTScrollbar : AWTComponent, IAWTScroller
VB
'Declaration
Public Class AWTScrollbar _
Inherits AWTComponent _
Implements IAWTScroller

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTScrollPane クラス

説明

単一の子コンポーネントに対する水平方向または垂直方向の自動スクロールを実装するクラスを表します。

継承階層

  • AWTContainer
    • AWTScrollPane

構文

C#
public class AWTScrollPane : AWTContainer, IAWTScrollable
VB
'Declaration
Public Class AWTScrollPane _
Inherits AWTContainer _
Implements IAWTScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | スクロール可能コンポーネントの現在のスクロール位置。 (IAWTScrollable から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | 水平方向のスクロール バーを取得します。 (IAWTScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | 垂直方向のスクロール バーを取得します。 (IAWTScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTTextArea クラス

説明

テキスト領域を表します。

継承階層

  • AWTTextComponent
    • AWTTextArea

構文

C#
public class AWTTextArea : AWTTextComponent, IAWTScrollable
VB
'Declaration
Public Class AWTTextArea _
Inherits AWTTextComponent _
Implements IAWTScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (AWTTextComponent から継承されました)
Columns | テキスト領域の列の数。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (AWTTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | スクロール可能コンポーネントの現在のスクロール位置。 (IAWTScrollable から継承されました)
Rows | テキスト領域の行の数。
SelectedText | 現在選択されているテキスト。 (AWTTextComponent から継承されました)
SelectionEnd | 選択されたテキストの終了位置。 (AWTTextComponent から継承されました)
SelectionStart | 選択されたテキストの開始位置。 (AWTTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (AWTTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | 水平方向のスクロール バーを取得します。 (IAWTScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | 垂直方向のスクロール バーを取得します。 (IAWTScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Insert | 指定したテキストを指定した位置に挿入します。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReplaceRange | 指定した開始位置と終了位置の間にあるテキストを、指定した置換テキストで置き換えます。
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScrollable から継承されました)
SelectAll | テキスト コンポーネント内のすべてのテキストを選択します。 (AWTTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (AWTTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (AWTTextComponent から継承されました)
SetText | テキスト コンポーネントのテキストを指定したテキストに設定します。 (AWTTextComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTTextComponent クラス

説明

AWTTextField クラス、および AWTTextArea クラスの基本クラスを表します。

継承階層

  • AWTComponent
    • AWTTextComponent
      • AWTTextArea
      • AWTTextField

構文

C#
public class AWTTextComponent : AWTComponent,
VB
'Declaration
Public Class AWTTextComponent _
Inherits AWTComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedText | 現在選択されているテキスト。
SelectionEnd | 選択されたテキストの終了位置。
SelectionStart | 選択されたテキストの開始位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのテキストを選択します。
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。
SetText | テキスト コンポーネントのテキストを指定したテキストに設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTTextField クラス

説明

ユーザーが変更可能なテキストを保持する、単一行および複数行のテキスト フィールド コントロールを表します。

継承階層

  • AWTTextComponent
    • AWTTextField

構文

C#
public class AWTTextField : AWTTextComponent,
VB
'Declaration
Public Class AWTTextField _
Inherits AWTTextComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (AWTTextComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
EchoChar | 実際に入力される文字の代わりに表示される文字。
EchoCharSet | EchoChar が 0 以外の値に設定されているかどうか
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (AWTTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
IsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedText | 現在選択されているテキスト。 (AWTTextComponent から継承されました)
SelectionEnd | 選択されたテキストの終了位置。 (AWTTextComponent から継承されました)
SelectionStart | 選択されたテキストの開始位置。 (AWTTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (AWTTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのテキストを選択します。 (AWTTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (AWTTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (AWTTextComponent から継承されました)
SetText | テキスト コンポーネントのテキストを指定したテキストに設定します。 (AWTTextComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTVerticalScrollbar クラス

説明

垂直方向のスクロール バーを表します。

継承階層

  • AWTScrollbar
    • AWTVerticalScrollbar

構文

C#
public class AWTVerticalScrollbar : AWTScrollbar,
VB
'Declaration
Public Class AWTVerticalScrollbar _
Inherits AWTScrollbar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


AWTWindow クラス

説明

境界線やメニュー バーを持たないトップ レベル ウィンドウを表します。

継承階層

  • AWTContainer
    • AWTWindow
      • AWTDialog
      • AWTFrame
      • JWindow

構文

C#
public class AWTWindow : AWTContainer, IMoveable
VB
'Declaration
Public Class AWTWindow _
Inherits AWTContainer _
Implements IMoveable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


BasicArrowButton クラス

説明

基本方向のうちの 1 つの矢印を持ったプッシュ ボタンを表します。

継承階層

  • JButton
    • BasicArrowButton

構文

C#
public class BasicArrowButton : JButton,
VB
'Declaration
Public Class BasicArrowButton _
Inherits JButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Direction | 矢印が向いている方向。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


IAWTScrollable インターフェイス

説明

2 つのスクロール バーを持つことができる AWT オブジェクトのインターフェイスを表します。

継承階層

  • IBaseScrollable
    • IAWTScrollable

構文

C#
public class IAWTScrollable : IBaseScrollable,
VB
'Declaration
Public Class IAWTScrollable _
Inherits IBaseScrollable

プロパティ

名前 | 説明
Position | スクロール可能コンポーネントの現在のスクロール位置。 (IBaseScrollable から継承されました)

メソッド

名前 | 説明
GetHorizontalBar | 水平方向のスクロール バーを取得します。
GetVerticalBar | 垂直方向のスクロール バーを取得します。
ScrollTo | 指定した位置にスクロールします。 (IBaseScrollable から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


IAWTScroller インターフェイス

説明

スクロール可能な AWT オブジェクトのインターフェイスを表します。

構文

C#
public class IAWTScroller,
VB
'Declaration
Public Class IAWTScroller

プロパティ

名前 | 説明
PageSize | スクロール バーのブロック増分値。
Position | スクロール バーの現在の位置。
Range | スクロール バーの範囲値。
StepSize | スクロール バーの単位増分値。

メソッド

名前 | 説明
Page | 指定したページ数を現在のスクロール位置に加算します。
ScrollTo | 指定した位置にスクロールします。
Step | 指定したステップ数を現在のスクロール位置に加算します。
親トピック: Java AWT および Swing クラス リファレンス


IBaseScrollable インターフェイス

説明

重複を避けるために他のスクロール可能なコントロールのインターフェイスを表します。

構文

C#
public class IBaseScrollable,
VB
'Declaration
Public Class IBaseScrollable

プロパティ

名前 | 説明
Position | スクロール可能コンポーネントの現在のスクロール位置。

メソッド

名前 | 説明
ScrollTo | 指定した位置にスクロールします。
親トピック: Java AWT および Swing クラス リファレンス


IOracleFormsMenuBase インターフェイス

説明

ユーザーが選択する選択肢を定義するコントロールを表します。

構文

C#
public class IOracleFormsMenuBase,
VB
'Declaration
Public Class IOracleFormsMenuBase

プロパティ

名前 | 説明
Checked | メニュー項目がチェックされているかどうか。
親トピック: Java AWT および Swing クラス リファレンス


IOracleFormsScrollable インターフェイス

説明

スクロール可能な Oracle Forms オブジェクトのインターフェイスを表します。

構文

C#
public class IOracleFormsScrollable,
VB
'Declaration
Public Class IOracleFormsScrollable

プロパティ

名前 | 説明
HorizontalScrollbarPageSize | スクロール バーのブロック増分値。
HorizontalScrollbarPosition | スクロール バーの現在の位置。
HorizontalScrollbarRange | スクロール バーの範囲値。
HorizontalScrollbarStepSize | スクロール バーの単位増分値。
VerticalScrollbarPageSize | スクロール バーのブロック増分値。
VerticalScrollbarPosition | スクロール バーの現在の位置。
VerticalScrollbarRange | スクロール バーの範囲値。
VerticalScrollbarStepSize | スクロール バーの単位増分値。

メソッド

名前 | 説明
GetHorizontalScrollbar | 水平方向のスクロール バーを取得します。
GetVerticalScrollbar | 垂直方向のスクロール バーを取得します。
HorizontalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。
HorizontalScrollbarScrollTo | 指定した位置にスクロールします。
HorizontalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。
HorizontalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。
HorizontalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。
VerticalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。
VerticalScrollbarScrollTo | 指定した位置にスクロールします。
VerticalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。
VerticalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。
VerticalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。
親トピック: Java AWT および Swing クラス リファレンス


IOracleFormsScroller インターフェイス

説明

スクロール可能な Oracle Forms オブジェクトのインターフェイスを表します。

継承階層

  • IAWTScroller
    • IOracleFormsScroller

構文

C#
public class IOracleFormsScroller : IAWTScroller,
VB
'Declaration
Public Class IOracleFormsScroller _
Inherits IAWTScroller

プロパティ

名前 | 説明
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)

メソッド

名前 | 説明
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
ScrollToMax | スクロール バーの最大の位置にスクロールします。
ScrollToMin | スクロール バーの最小の位置にスクロールします。
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JButton クラス

説明

プッシュ ボタンを表します。

継承階層

  • AbstractButton
    • JButton
      • BasicArrowButton

構文

C#
public class JButton : AbstractButton,
VB
'Declaration
Public Class JButton _
Inherits AbstractButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JCheckBox クラス

説明

チェック ボックスを表します。

継承階層

  • JToggleButton
    • JCheckBox

構文

C#
public class JCheckBox : JToggleButton,
VB
'Declaration
Public Class JCheckBox _
Inherits JToggleButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Selected | トグル ボタンが選択されているかどうか。 (JToggleButton から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | ボタンの状態を切り替えます。 (JToggleButton から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JCheckBoxMenuItem クラス

説明

メニュー項目に含めることができるチェック ボックス コントロールを表します。

継承階層

  • JMenuItem
    • JCheckBoxMenuItem

構文

C#
public class JCheckBoxMenuItem : JMenuItem,
VB
'Declaration
Public Class JCheckBoxMenuItem _
Inherits JMenuItem

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | メニュー項目のチェック ボックスがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JColorChooser クラス

説明

色の選択を表します。

継承階層

  • JComponent
    • JColorChooser

構文

C#
public class JColorChooser : JComponent,
VB
'Declaration
Public Class JColorChooser _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Color | カラーチューザから現在の色の値。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetColor | カラーチューザの現在の色を指定した色に設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JComboBox クラス

説明

コンボ ボックスを表します。

継承階層

  • JComponent
    • JComboBox

構文

C#
public class JComboBox : JComponent,
VB
'Declaration
Public Class JComboBox _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | コンボ ボックスが編集可能かどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | リスト項目の数。
Items | すべての含まれる項目のリスト。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 現在選択されている項目のインデックス。
SelectedItem | 現在選択されている項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItem | 指定したインデックスの項目を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 指定した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JComponent クラス

説明

トップ レベル コンテナーを除くすべてのコンポーネントのクラスを表します。

継承階層

  • AWTContainer
    • JComponent
      • AbstractButton
      • JColorChooser
      • JComboBox
      • JLabel
      • JLayeredPane
      • JList
      • JMenuBar
      • JPanel
      • JPopupMenu
      • JProgressBar
      • JRootPane
      • JScrollBar
      • JScrollPane
      • JSlider
      • JSpinner
      • JSplitPane
      • JTabbedPane
      • JTable
      • JTableHeader
      • JTextComponent
      • JToolBar
      • JTree
      • JViewport

構文

C#
public class JComponent : AWTContainer,
VB
'Declaration
Public Class JComponent _
Inherits AWTContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JDesktopPane クラス

説明

デスクトップ ペインを表します。

継承階層

  • JLayeredPane
    • JDesktopPane

構文

C#
public class JDesktopPane : JLayeredPane,
VB
'Declaration
Public Class JDesktopPane _
Inherits JLayeredPane

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JDialog クラス

説明

ダイアログ ボックスを表します。

継承階層

  • AWTDialog
    • JDialog

構文

C#
public class JDialog : AWTDialog,
VB
'Declaration
Public Class JDialog _
Inherits AWTDialog

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Modal | ダイアログがモーダルかどうか。 (AWTDialog から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Resizable | ユーザーがダイアログのサイズを変更できるかどうか。 (AWTDialog から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | ダイアログのタイトル。 (AWTDialog から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JEditorPane クラス

説明

さまざまな種類のコンテンツを編集できるテキスト コンポーネントを表します。

継承階層

  • JTextComponent
    • JEditorPane
      • JTextPane

構文

C#
public class JEditorPane : JTextComponent,
VB
'Declaration
Public Class JEditorPane _
Inherits JTextComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (JTextComponent から継承されました)
ContentType | このエディターが現在処理するように設定されているコンテンツ タイプ。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (JTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
FormattedText | エディター ペインのテキスト。
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Page | 表示されている現在の URL。
SelectedText | 現在選択されているテキスト。 (JTextComponent から継承されました)
SelectionEnd | 選択範囲の終了位置。 (JTextComponent から継承されました)
SelectionStart | 選択範囲の開始位置。 (JTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (JTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。 (JTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (JTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (JTextComponent から継承されました)
SetText | テキスト コンテンツを指定したテキストに設定します。 (JTextComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JFrame クラス

説明

Java Swing のサポートを追加する AWTFrame を拡張したバージョンのクラスを表します。

継承階層

  • AWTFrame
    • JFrame

構文

C#
public class JFrame : AWTFrame,
VB
'Declaration
Public Class JFrame _
Inherits AWTFrame

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Resizable | ユーザーがフレームのサイズを変更できるかどうか。 (AWTFrame から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | フレームのタイトル。 (AWTFrame から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JHorizontalScrollBar クラス

説明

水平方向のスクロール バーを表します。

継承階層

  • JScrollBar
    • JHorizontalScrollBar

構文

C#
public class JHorizontalScrollBar : JScrollBar,
VB
'Declaration
Public Class JHorizontalScrollBar _
Inherits JScrollBar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JLabel クラス

説明

簡単なテキスト、画像、または両方を表示する表示領域を表します。

継承階層

  • JComponent
    • JLabel

構文

C#
public class JLabel : JComponent,
VB
'Declaration
Public Class JLabel _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Alignment | ラベルの配置。
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JLayeredPane クラス

説明

階層ペインを表します。

継承階層

  • JComponent
    • JLayeredPane
      • JDesktopPane

構文

C#
public class JLayeredPane : JComponent,
VB
'Declaration
Public Class JLayeredPane _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JList クラス

説明

リスト ボックスを表します。

継承階層

  • JComponent
    • JList

構文

C#
public class JList : JComponent,
VB
'Declaration
Public Class JList _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | リスト項目の数。
Items | すべての含まれるリスト項目のリスト。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されたリスト項目のインデックス。
SelectedIndices | 選択されたリスト項目のインデックスのリスト。
SelectedItem | 選択したリスト項目の名前またはインデックス。
SelectedItems | 選択されたリスト項目の名前またはインデックスのリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickItem | 指定したリスト項目をクリックします。
Deselect | 指定したリスト項目の選択を解除します。
DeselectAll | すべてのリスト項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickItem | リスト項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FindItem | リスト内の項目のインデックスを返します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItem | 指定したインデックスの項目を返します。
GetItemRect | リストに対して相対的な項目のサイズと位置を返します。
GetItemValue | リスト項目の値オブジェクトを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollItemIntoView | 項目をビューにスクロールします。
Select | リスト項目を選択します。
SelectAll | すべてのリスト要素を選択します。
SelectRange | リスト要素の指定した範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JMenu クラス

説明

メニューを表します。 メニューとは子項目を持つメニュー項目です。

継承階層

  • JMenuItem
    • JMenu

構文

C#
public class JMenu : JMenuItem,
VB
'Declaration
Public Class JMenu _
Inherits JMenuItem

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JMenuBar クラス

説明

メニュー バーを表します。

継承階層

  • JComponent
    • JMenuBar

構文

C#
public class JMenuBar : JComponent,
VB
'Declaration
Public Class JMenuBar _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JMenuItem クラス

説明

メニュー項目を表します。

継承階層

  • AbstractButton
    • JMenuItem
      • JCheckBoxMenuItem
      • JMenu
      • JRadioButtonMenuItem

構文

C#
public class JMenuItem : AbstractButton,
VB
'Declaration
Public Class JMenuItem _
Inherits AbstractButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JPanel クラス

説明

軽量コンポーネントのコンテナー クラスを表します。

継承階層

  • JComponent
    • JPanel

構文

C#
public class JPanel : JComponent,
VB
'Declaration
Public Class JPanel _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JPasswordField クラス

説明

元の文字を表示しない単一行フィールドを表します。

継承階層

  • JTextField
    • JPasswordField

構文

C#
public class JPasswordField : JTextField,
VB
'Declaration
Public Class JPasswordField _
Inherits JTextField

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Alignment | テキスト フィールドの配置。 (JTextField から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (JTextComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
EchoChar | 実際に入力される文字の代わりに表示される文字。
EchoCharSet | EchoChar が 0 以外の値に設定されているかどうか
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (JTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedText | 現在選択されているテキスト。 (JTextComponent から継承されました)
SelectionEnd | 選択範囲の終了位置。 (JTextComponent から継承されました)
SelectionStart | 選択範囲の開始位置。 (JTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (JTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。 (JTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (JTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (JTextComponent から継承されました)
SetText | テキスト コンテンツを指定したテキストに設定します。 (JTextComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JPopupMenu クラス

説明

コンテキスト メニューを表します。

継承階層

  • JComponent
    • JPopupMenu

構文

C#
public class JPopupMenu : JComponent,
VB
'Declaration
Public Class JPopupMenu _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JProgressBar クラス

説明

操作の進行状況を表示します。

継承階層

  • JComponent
    • JProgressBar

構文

C#
public class JProgressBar : JComponent,
VB
'Declaration
Public Class JProgressBar _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Indeterminate | 進行状況バーが不確定モードかどうか。
Maximum | 進行状況バーの最大値。
Minimum | 進行状況バーの最小値。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
ProgressString | 現在の進行状況の文字列表現。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JRadioButton クラス

説明

ラジオ ボタンを表します。

継承階層

  • JToggleButton
    • JRadioButton

構文

C#
public class JRadioButton : JToggleButton,
VB
'Declaration
Public Class JRadioButton _
Inherits JToggleButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Selected | トグル ボタンが選択されているかどうか。 (JToggleButton から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ラジオ ボタンをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | ボタンの状態を切り替えます。 (JToggleButton から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JRadioButtonMenuItem クラス

説明

ラジオ ボタン メニュー項目を表します。

継承階層

  • JMenuItem
    • JRadioButtonMenuItem

構文

C#
public class JRadioButtonMenuItem : JMenuItem,
VB
'Declaration
Public Class JRadioButtonMenuItem _
Inherits JMenuItem

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | メニュー項目のラジオ ボタンがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JRootPane クラス

説明

ルート ペインを表します。

継承階層

  • JComponent
    • JRootPane

構文

C#
public class JRootPane : JComponent,
VB
'Declaration
Public Class JRootPane _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JScrollBar クラス

説明

スクロール バーを表します。

継承階層

  • JComponent
    • JScrollBar
      • JHorizontalScrollBar
      • JVerticalScrollBar

構文

C#
public class JScrollBar : JComponent, IAWTScroller
VB
'Declaration
Public Class JScrollBar _
Inherits JComponent _
Implements IAWTScroller

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JScrollPane クラス

説明

ペイン自身よりも大きくなるコンテンツをスクロールすることができるスクロール ペインを表します。

継承階層

  • JComponent
    • JScrollPane

構文

C#
public class JScrollPane : JComponent, IBaseScrollable
VB
'Declaration
Public Class JScrollPane _
Inherits JComponent _
Implements IBaseScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | スクロール可能コンポーネントの現在のスクロール位置。 (IBaseScrollable から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | 水平方向のスクロール バーを取得します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | 垂直方向のスクロール バーを取得します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IBaseScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JSlider クラス

説明

範囲内の値を選択できるスライダ コントロールを表します。

継承階層

  • JComponent
    • JSlider

構文

C#
public class JSlider : JComponent,
VB
'Declaration
Public Class JSlider _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Inverted | スライダに表示される値の範囲が反転している場合、値は true になります。
Maximum | スライダーによってサポートされる最大値。
Minimum | スライダーによってサポートされる最小値。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | スライダーの位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | スライダーの現在の位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JSpinner クラス

説明

シーケンスの値を反復処理できるスピナー コントロールを表します。

継承階層

  • JComponent
    • JSpinner

構文

C#
public class JSpinner : JComponent,
VB
'Declaration
Public Class JSpinner _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Next | Value プロパティによって返されるオブジェクトの次にくるシーケンス内のオブジェクトにスピナーを設定します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Previous | Value プロパティによって返されるオブジェクトの前にあるシーケンス内のオブジェクトにスピナーを設定します。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JSplitPane クラス

説明

水平方向または垂直方向に 2 つのコンポーネントに分割するスプリット ペイン コントロールを表します。

継承階層

  • JComponent
    • JSplitPane

構文

C#
public class JSplitPane : JComponent,
VB
'Declaration
Public Class JSplitPane _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
DividerLocation | 現在の分割線の位置。
DividerSize | 分割線のサイズ。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
MaximumDividerLocation | 分割線の最大位置。
MinimumDividerLocation | 分割線の最小位置。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | 分割線の位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTabbedPane クラス

説明

タブ付きペインを表します。

継承階層

  • JComponent
    • JTabbedPane

構文

C#
public class JTabbedPane : JComponent,
VB
'Declaration
Public Class JTabbedPane _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedTab | 現在選択されているタブ。
SelectedTabIndex | 現在選択されているタブのインデックス。タブが選択されていない場合は -1（4Test の場合は 0）。
TabCount | タブの数。
TabRunCount | タブを表示するために現在使用されているタブの並びの数。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetTabIndex | タブ インデックスを返します。
GetTabTitle | タブ タイトルを返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsTabEnabled | タブが現在有効かどうかを返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 指定したタブを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTable クラス

説明

行と列を持つテーブル コントロールを表します。

継承階層

  • JComponent
    • JTable

構文

C#
public class JTable : JComponent,
VB
'Declaration
Public Class JTable _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
AllCellTexts | テーブルのすべてのセルのテキスト値。 セルは行でグループ化され、各行にはそのセルのテキストが含まれます。
AllCellValues | テーブルのすべてのセルの値。 セルは行でグループ化され、各行にはそのセルの値が含まれます。
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
ColumnCount | テーブルの列の数。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
EditingColumn | 現在編集中のセルを含む列の名前またはインデックス。
EditingRow | 現在編集中のセルを含む行のインデックス。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
RowCount | テーブルに表示することのできる行の数。
SelectedColumn | 選択した列のインデックスまたは名前。 列が選択されていない場合には -1（4Test の場合は 0）が返されます。
SelectedColumns | すべての選択されている列のインデックスのリスト。
SelectedRow | 選択した行のインデックス。行が選択されていない場合は -1（4Test の場合は 0）が返されます。
SelectedRows | すべての選択されている行のインデックスのリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | すべての選択した列と行の選択を解除します。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickCell | テーブル内の指定したセルをクリックします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickCell | テーブル内の指定したセルをダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FindCell | 指定したテキストを含むセルを返します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCellText | セル テキストを返します。
GetCellValue | セルの値を返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnName | 指定したインデックスの列の名前を返します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsCellEditable | 指定したセルが編集可能な場合に true を返します。
IsCellSelected | 指定したセルが選択されている場合に true、それ以外は false を返します。
IsColumnSelected | 指定した列が選択されている場合に true を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsRowSelected | 指定した行が選択されている場合に true を返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MoveColumn | ターゲット列の位置に列を移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ResizeColumn | 指定した列のサイズを変更します。
ScrollCellIntoView | 指定したセルをビューにスクロールします。
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テーブル内のすべての行、列、およびセルを選択します。
SelectColumn | 指定した列を選択します。
SelectRow | 指定した行を選択します。
SetCellValue | テーブル内の指定したセルに指定した値を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTableHeader クラス

説明

テーブル コンポーネントのテーブル ヘッダー クラスを表します。

継承階層

  • JComponent
    • JTableHeader

構文

C#
public class JTableHeader : JComponent,
VB
'Declaration
Public Class JTableHeader _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickColumnHeader | テーブルの列ヘッダーをクリックします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTextArea クラス

説明

書式なしテキストを表示する複数行テキスト領域コントロールを表します。

継承階層

  • JTextComponent
    • JTextArea

構文

C#
public class JTextArea : JTextComponent,
VB
'Declaration
Public Class JTextArea _
Inherits JTextComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (JTextComponent から継承されました)
Columns | テキスト領域の列の数。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (JTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Rows | テキスト領域の行の数。
SelectedText | 現在選択されているテキスト。 (JTextComponent から継承されました)
SelectionEnd | 選択範囲の終了位置。 (JTextComponent から継承されました)
SelectionStart | 選択範囲の開始位置。 (JTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (JTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Insert | 指定したテキストを指定した位置に挿入します。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReplaceRange | 指定した範囲内のテキストを指定した新しいテキストで置き換えます。
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。 (JTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (JTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (JTextComponent から継承されました)
SetText | テキスト コンテンツを指定したテキストに設定します。 (JTextComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTextComponent クラス

説明

グラフィカルに表現される属性でマークすることができるテキスト コントロールを表します。

継承階層

  • JComponent
    • JTextComponent
      • JEditorPane
      • JTextArea
      • JTextField

構文

C#
public class JTextComponent : JComponent,
VB
'Declaration
Public Class JTextComponent _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedText | 現在選択されているテキスト。
SelectionEnd | 選択範囲の終了位置。
SelectionStart | 選択範囲の開始位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。
SetText | テキスト コンテンツを指定したテキストに設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTextField クラス

説明

ユーザーが変更可能なテキストを保持する、単一行のテキスト フィールド コントロールを表します。

継承階層

  • JTextComponent
    • JTextField
      • JPasswordField

構文

C#
public class JTextField : JTextComponent,
VB
'Declaration
Public Class JTextField _
Inherits JTextComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Alignment | テキスト フィールドの配置。
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (JTextComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (JTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedText | 現在選択されているテキスト。 (JTextComponent から継承されました)
SelectionEnd | 選択範囲の終了位置。 (JTextComponent から継承されました)
SelectionStart | 選択範囲の開始位置。 (JTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (JTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。 (JTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (JTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (JTextComponent から継承されました)
SetText | テキスト コンテンツを指定したテキストに設定します。 (JTextComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTextPane クラス

説明

グラフィカルに表現される属性でマークすることができるテキスト ペイン コントロールを表します。

継承階層

  • JEditorPane
    • JTextPane

構文

C#
public class JTextPane : JEditorPane,
VB
'Declaration
Public Class JTextPane _
Inherits JEditorPane

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置。 (JTextComponent から継承されました)
CharacterAttributes | キャレットの位置で有効になっている文字属性。
ContentType | このエディターが現在処理するように設定されているコンテンツ タイプ。 (JEditorPane から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト コンポーネントのテキストをユーザーが変更できるかどうか。 (JTextComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
FormattedText | エディター ペインのテキスト。 (JEditorPane から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
LogicalStyle | キャレットの位置で有効になっている現在の段落に割り当てられている論理書式。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Page | 表示されている現在の URL。 (JEditorPane から継承されました)
ParagraphAttributes | キャレットの位置で有効になっている現在の段落の属性。
SelectedText | 現在選択されているテキスト。 (JTextComponent から継承されました)
SelectionEnd | 選択範囲の終了位置。 (JTextComponent から継承されました)
SelectionStart | 選択範囲の開始位置。 (JTextComponent から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト コンポーネントから削除します (JTextComponent から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト コンポーネント内のすべてのコンテンツを選択します。 (JTextComponent から継承されました)
SetCaretPosition | テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。 (JTextComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。 (JTextComponent から継承されました)
SetText | テキスト コンテンツを指定したテキストに設定します。 (JTextComponent から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JToggleButton クラス

説明

2 つの状態を持つボタンを表します。

継承階層

  • AbstractButton
    • JToggleButton
      • JCheckBox
      • JRadioButton

構文

C#
public class JToggleButton : AbstractButton,
VB
'Declaration
Public Class JToggleButton _
Inherits AbstractButton

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Selected | トグル ボタンが選択されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。 (AbstractButton から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | ボタンの状態を切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JToolBar クラス

説明

ツールバーを表します。

継承階層

  • JComponent
    • JToolBar

構文

C#
public class JToolBar : JComponent,
VB
'Declaration
Public Class JToolBar _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JTree クラス

説明

ツリーを表します。

継承階層

  • JComponent
    • JTree

構文

C#
public class JTree : JComponent,
VB
'Declaration
Public Class JTree _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
IsEditable | ツリーが編集可能かどうか。
IsEditing | ツリーが編集中かどうか。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedItemPath | 選択された項目パス。
SelectedItemPaths | 選択された項目パスのリスト。
SelectedItemText | 選択された項目のテキスト。
SelectionCount | 選択されたツリー ノードの数。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VisibleItemPaths | ツリーに表示される項目の項目パス。
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CancelEditing | 現在編集中のセッションをキャンセルします。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | 選択範囲をクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickNode | 項目パスによって指定されたツリー ノードをクリックします。
Collapse | 指定した項目パスによって識別されるツリー ノードを折りたたみます。
CollapseAll | すべてのツリー ノードを折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickNode | 項目パスによって指定されたツリー ノードをダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 指定した項目パスによって識別されるツリー ノードを展開します。
ExpandAll | すべてのツリー ノードを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemRect | ツリーに対して相対的な項目のサイズと位置を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsExpanded | 指定した項目パスが展開されている場合に 'true' を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsPathEditable | 項目パスが編集可能かどうかを取得します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollPathIntoView | 指定した項目パスを表示できる位置にスクロールします。
Select | 指定した項目パスによって識別されるツリー ノードを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartEditing | 指定した項目パスまたは現在の選択項目の編集を開始します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopEditing | 現在編集中のセッションを停止します。
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JVerticalScrollBar クラス

説明

垂直方向のスクロール バーを表します。

継承階層

  • JScrollBar
    • JVerticalScrollBar

構文

C#
public class JVerticalScrollBar : JScrollBar,
VB
'Declaration
Public Class JVerticalScrollBar _
Inherits JScrollBar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IAWTScroller から継承されました)
Position | スクロール バーの現在の位置。 (IAWTScroller から継承されました)
Range | スクロール バーの範囲値。 (IAWTScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IAWTScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IAWTScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IAWTScroller から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JViewport クラス

説明

Swing ビューポートを表します。

継承階層

  • JComponent
    • JViewport

構文

C#
public class JViewport : JComponent,
VB
'Declaration
Public Class JViewport _
Inherits JComponent

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTipText | Swing コンポーネントのツールチップ テキスト。 (JComponent から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
ViewRectangle | ビューの可視部分をビューの座標。
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


JWindow クラス

説明

ユーザーのデスクトップ上のどこにでも表示できるコンテナーを表します。

継承階層

  • AWTWindow
    • JWindow

構文

C#
public class JWindow : AWTWindow,
VB
'Declaration
Public Class JWindow _
Inherits AWTWindow

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsApplication クラス

説明

Oracle Forms アプリケーションを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsApplication

構文

C#
public class OracleFormsApplication : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsApplication _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SplashScreenRunning | アプリケーションが現在スプラッシュ スクリーンを表示するかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsButton クラス

説明

プッシュ ボタンを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsButton

構文

C#
public class OracleFormsButton : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsButton _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Default | ボタンがデフォルト ボタンかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsCheckbox クラス

説明

チェック ボックスを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsCheckbox

構文

C#
public class OracleFormsCheckbox : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsCheckbox _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | チェック ボックスがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsChoice クラス

説明

選択肢を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsChoice
      • OracleFormsComboBox
      • OracleFormsListBox
      • OracleFormsPopList

構文

C#
public class OracleFormsChoice : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsChoice _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | 選択肢の項目の数。
Items | 選択肢項目のリスト。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。
SelectedItem | 選択されている項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemText | 指定したインデックスの項目を返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 選択肢で指定した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsComboBox クラス

説明

コンボ ボックスを表します。

継承階層

  • OracleFormsChoice
    • OracleFormsComboBox

構文

C#
public class OracleFormsComboBox : OracleFormsChoice,
VB
'Declaration
Public Class OracleFormsComboBox _
Inherits OracleFormsChoice

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
DropDownOpen | ドロップダウンが現在開いているかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | 選択肢の項目の数。 (OracleFormsChoice から継承されました)
Items | 選択肢項目のリスト。 (OracleFormsChoice から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 (OracleFormsChoice から継承されました)
SelectedItem | 選択されている項目。 (OracleFormsChoice から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemText | 指定したインデックスの項目を返します。 (OracleFormsChoice から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 選択肢で指定した項目を選択します。 (OracleFormsChoice から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | コンボ ボックスのテキストを指定したテキストに設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsContainer クラス

説明

他の Oracle Forms コンポーネントを含めることができるコンポーネントを表します。

継承階層

  • AWTContainer
    • OracleFormsContainer
      • OracleFormsApplication
      • OracleFormsButton
      • OracleFormsCheckbox
      • OracleFormsChoice
      • OracleFormsLabel
      • OracleFormsListView
      • OracleFormsMenu
      • OracleFormsMenuItem
      • OracleFormsRadioButton
      • OracleFormsScrollbar
      • OracleFormsStatusArea
      • OracleFormsStatusBar
      • OracleFormsStatusBarItem
      • OracleFormsStatusIndicator
      • OracleFormsTabBar
      • OracleFormsTabBarItem
      • OracleFormsTabPanel
      • OracleFormsTextField
      • OracleFormsTitleBar
      • OracleFormsToolBar
      • OracleFormsToolBarItem
      • OracleFormsTree

構文

C#
public class OracleFormsContainer : AWTContainer,
VB
'Declaration
Public Class OracleFormsContainer _
Inherits AWTContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsHorizontalScrollbar クラス

説明

水平方向のスクロール バーを表します。

継承階層

  • OracleFormsScrollbar
    • OracleFormsHorizontalScrollbar

構文

C#
public class OracleFormsHorizontalScrollbar : OracleFormsScrollbar,
VB
'Declaration
Public Class OracleFormsHorizontalScrollbar _
Inherits OracleFormsScrollbar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IOracleFormsScroller から継承されました)
Position | スクロール バーの現在の位置。 (IOracleFormsScroller から継承されました)
Range | スクロール バーの範囲値。 (IOracleFormsScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IOracleFormsScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsLabel クラス

説明

コンテナー内に配置されるテキストのクラスを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsLabel

構文

C#
public class OracleFormsLabel : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsLabel _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsListBox クラス

説明

ListBox を表します。

継承階層

  • OracleFormsChoice
    • OracleFormsListBox

構文

C#
public class OracleFormsListBox : OracleFormsChoice, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsListBox _
Inherits OracleFormsChoice _
Implements IOracleFormsScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
HorizontalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
ItemCount | 選択肢の項目の数。 (OracleFormsChoice から継承されました)
Items | 選択肢項目のリスト。 (OracleFormsChoice から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 (OracleFormsChoice から継承されました)
SelectedItem | 選択されている項目。 (OracleFormsChoice から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickItem | 指定したリスト項目をクリックします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickItem | リスト項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalScrollbar | 水平方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
GetItemText | 指定したインデックスの項目を返します。 (OracleFormsChoice から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalScrollbar | 垂直方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
HorizontalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 選択肢で指定した項目を選択します。 (OracleFormsChoice から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
VerticalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsListView クラス

説明

リストビューを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsListView

構文

C#
public class OracleFormsListView : OracleFormsContainer, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsListView _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
AllCellTexts | リストビューのすべてのセルのテキスト値。 セルは行でグループ化され、各行にはそのセルのテキストが含まれます。
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
ColumnCount | リストビューの列の数。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
FocusedRow | フォーカスした行のインデックス。行がフォーカスされていない場合は -1（4Test の場合は 0）が返されます。
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
HorizontalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
RowCount | リストビューの行の数。
SelectedRow | 選択した行のインデックス。行が選択されていない場合は -1（4Test の場合は 0）が返されます。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | 選択範囲をクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCellText | セル テキストを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnName | 指定したインデックスの列の名前を返します。
GetColumnWidth | 指定した列の幅を返します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalScrollbar | 水平方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalScrollbar | 垂直方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
HorizontalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsRowVisible | 指定した行が表示されているかどうかを返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollToRow | 指定した行にスクロールします。
SelectRow | 指定した行を選択します。
SetColumnWidth | 指定した列の幅を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
VerticalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsMenu クラス

説明

トップ レベル メニューを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsMenu
      • OracleFormsPopupMenu

構文

C#
public class OracleFormsMenu : OracleFormsContainer, IOracleFormsMenuBase
VB
'Declaration
Public Class OracleFormsMenu _
Inherits OracleFormsContainer _
Implements IOracleFormsMenuBase

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | メニュー項目がチェックされているかどうか。 (IOracleFormsMenuBase から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsChecked | メニュー項目がチェックされているかどうかを示す値。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | メニュー項目を選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsMenuItem クラス

説明

Menu 内の選択可能な項目を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsMenuItem

構文

C#
public class OracleFormsMenuItem : OracleFormsContainer, IOracleFormsMenuBase
VB
'Declaration
Public Class OracleFormsMenuItem _
Inherits OracleFormsContainer _
Implements IOracleFormsMenuBase

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | メニュー項目がチェックされているかどうか。 (IOracleFormsMenuBase から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | メニュー項目を選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsPopList クラス

説明

PopList を表します。

継承階層

  • OracleFormsChoice
    • OracleFormsPopList

構文

C#
public class OracleFormsPopList : OracleFormsChoice,
VB
'Declaration
Public Class OracleFormsPopList _
Inherits OracleFormsChoice

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
DropDownOpen | ドロップダウンが現在開いているかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
ItemCount | 選択肢の項目の数。 (OracleFormsChoice から継承されました)
Items | 選択肢項目のリスト。 (OracleFormsChoice から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 (OracleFormsChoice から継承されました)
SelectedItem | 選択されている項目。 (OracleFormsChoice から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetItemText | 指定したインデックスの項目を返します。 (OracleFormsChoice から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 選択肢で指定した項目を選択します。 (OracleFormsChoice から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsPopupMenu クラス

説明

コンテキスト メニューを表します。

継承階層

  • OracleFormsMenu
    • OracleFormsPopupMenu

構文

C#
public class OracleFormsPopupMenu : OracleFormsMenu,
VB
'Declaration
Public Class OracleFormsPopupMenu _
Inherits OracleFormsMenu

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | メニュー項目がチェックされているかどうか。 (IOracleFormsMenuBase から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします (OracleFormsMenu から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsChecked | メニュー項目がチェックされているかどうかを示す値。 (OracleFormsMenu から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | メニュー項目を選択します (OracleFormsMenu から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します (OracleFormsMenu から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsRadioButton クラス

説明

ラジオ ボタンを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsRadioButton

構文

C#
public class OracleFormsRadioButton : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsRadioButton _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Checked | ラジオ ボタンがチェックされているかどうか。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ラジオ ボタンをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsScrollbar クラス

説明

スクロール バーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsScrollbar
      • OracleFormsHorizontalScrollbar
      • OracleFormsVerticalScrollbar

構文

C#
public class OracleFormsScrollbar : OracleFormsContainer, IOracleFormsScroller
VB
'Declaration
Public Class OracleFormsScrollbar _
Inherits OracleFormsContainer _
Implements IOracleFormsScroller

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IOracleFormsScroller から継承されました)
Position | スクロール バーの現在の位置。 (IOracleFormsScroller から継承されました)
Range | スクロール バーの範囲値。 (IOracleFormsScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IOracleFormsScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsStatusArea クラス

説明

ステータス情報を含む領域を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsStatusArea

構文

C#
public class OracleFormsStatusArea : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsStatusArea _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsStatusBar クラス

説明

ステータス バーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsStatusBar

構文

C#
public class OracleFormsStatusBar : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsStatusBar _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsStatusBarItem クラス

説明

ステータス バー内の項目を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsStatusBarItem

構文

C#
public class OracleFormsStatusBarItem : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsStatusBarItem _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsStatusIndicator クラス

説明

ステータス インジケータを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsStatusIndicator

構文

C#
public class OracleFormsStatusIndicator : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsStatusIndicator _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTabBar クラス

説明

タブ バーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTabBar

構文

C#
public class OracleFormsTabBar : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsTabBar _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedTab | 現在選択されているタブ。
TabCount | タブの数。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetTabIndex | タブ インデックスを返します。
GetTabTitle | タブ タイトルを返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsTabEnabled | タブが現在有効かどうかを返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 指定したタブを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTabBarItem クラス

説明

タブ バー項目を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTabBarItem

構文

C#
public class OracleFormsTabBarItem : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsTabBarItem _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | タブを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTabPanel クラス

説明

コンポーネントのコンテナー クラスを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTabPanel

構文

C#
public class OracleFormsTabPanel : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsTabPanel _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTextField クラス

説明

Oracle Forms テキスト フィールドを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTextField

構文

C#
public class OracleFormsTextField : OracleFormsContainer, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsTextField _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
CaretPosition | テキスト フィールドのテキスト挿入キャレットの位置。
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Editable | テキスト フィールドのテキストをユーザーが変更できるかどうか。
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
HorizontalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
IsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PasswordChar | テキスト フィールドがパスワード テキスト フィールドの場合に、実際に入力された文字の代わりに表示する文字。
SelectedText | 現在選択されているテキスト。
SelectionEnd | 選択されたテキストの終了位置。
SelectionStart | 選択されたテキストの開始位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト フィールドから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalScrollbar | 水平方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalScrollbar | 垂直方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
HorizontalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SelectAll | テキスト フィールド内のすべてのテキストを選択します。
SetCaretPosition | テキスト フィールドのテキスト挿入キャレットの位置を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelectionRange | 指定した範囲のテキストを選択します。
SetText | テキスト フィールドのテキストを指定したテキストに設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
VerticalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTitleBar クラス

説明

タイトル バーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTitleBar

構文

C#
public class OracleFormsTitleBar : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsTitleBar _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsToolBar クラス

説明

ツールバーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsToolBar

構文

C#
public class OracleFormsToolBar : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsToolBar _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsToolBarItem クラス

説明

ツール バーの要素を表します。

継承階層

  • OracleFormsContainer
    • OracleFormsToolBarItem

構文

C#
public class OracleFormsToolBarItem : OracleFormsContainer,
VB
'Declaration
Public Class OracleFormsToolBarItem _
Inherits OracleFormsContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
Select | 要素を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsTree クラス

説明

ツリーを表します。

継承階層

  • OracleFormsContainer
    • OracleFormsTree

構文

C#
public class OracleFormsTree : OracleFormsContainer, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsTree _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
HorizontalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedItemPath | 選択された項目パスのリスト。
SelectedItemText | 選択された項目のテキスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollbarPageSize | スクロール バーのブロック増分値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarPosition | スクロール バーの現在の位置。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarRange | スクロール バーの範囲値。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStepSize | スクロール バーの単位増分値。 (IOracleFormsScrollable から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
ClickItem | 項目パスによって指定されたツリー ノードをクリックします。
Collapse | 指定した項目パスによって識別されるツリー ノードを折りたたみます。
CollapseAll | すべてのツリー ノードを折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleClickItem | 項目パスによって指定されたツリー ノードをダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 指定した項目パスによって識別されるツリー ノードを展開します。
ExpandAll | すべてのツリー ノードを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalScrollbar | 水平方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalScrollbar | 垂直方向のスクロール バーを取得します。 (IOracleFormsScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
HorizontalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
HorizontalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsExpanded | 指定した項目パスが展開されている場合に 'true' を返します。
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
IsVisible | 指定した項目パスが表示されている場合に 'true' を返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollItemIntoView | 指定した項目パスを表示できる位置にスクロールします。
Select | 指定した項目パスによって識別されるツリー ノードを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
VerticalScrollbarPage | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollTo | 指定した位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScrollable から継承されました)
VerticalScrollbarStep | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScrollable から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


OracleFormsVerticalScrollbar クラス

説明

垂直方向のスクロール バーを表します。

継承階層

  • OracleFormsScrollbar
    • OracleFormsVerticalScrollbar

構文

C#
public class OracleFormsVerticalScrollbar : OracleFormsScrollbar,
VB
'Declaration
Public Class OracleFormsVerticalScrollbar _
Inherits OracleFormsScrollbar

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
PageSize | スクロール バーのブロック増分値。 (IOracleFormsScroller から継承されました)
Position | スクロール バーの現在の位置。 (IOracleFormsScroller から継承されました)
Range | スクロール バーの範囲値。 (IOracleFormsScroller から継承されました)
StepSize | スクロール バーの単位増分値。 (IOracleFormsScroller から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
Page | 指定したページ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
ScrollTo | 指定した位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMax | スクロール バーの最大の位置にスクロールします。 (IOracleFormsScroller から継承されました)
ScrollToMin | スクロール バーの最小の位置にスクロールします。 (IOracleFormsScroller から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
Step | 指定したステップ数を現在のスクロール位置に加算します。 (IOracleFormsScroller から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


SplitPaneDivider クラス

説明

スプリット ペインの分割線を表します。

継承階層

  • AWTContainer
    • SplitPaneDivider

構文

C#
public class SplitPaneDivider : AWTContainer,
VB
'Declaration
Public Class SplitPaneDivider _
Inherits AWTContainer

プロパティ

名前 | 説明
AccessibleName | コンポーネントのアクセス可能な名前。 (AWTComponent から継承されました)
AccessibleRole | コンポーネントのアクセス可能なロール。 (AWTComponent から継承されました)
Background | コンポーネントの背景色。 (AWTComponent から継承されました)
Cursor | コンポーネントに設定されているカーソルの名前。 (AWTComponent から継承されました)
Enabled | コンポーネントが有効かどうか。 (AWTComponent から継承されました)
Focusable | コンポーネントをフォーカスすることができるかどうか。 (AWTComponent から継承されました)
Font | コンポーネントのフォント。 (AWTComponent から継承されました)
Foreground | コンポーネントの前景色。 (AWTComponent から継承されました)
Height | 現在のコンポーネントの高さ。 (AWTComponent から継承されました)
Name | コンポーネントの名前。 (AWTComponent から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Width | 現在のコンポーネントの幅。 (AWTComponent から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (AWTComponent から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。 (AWTComponent から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Java AWT および Swing クラス リファレンス


UI Automation クラス リファレンス

UI Automation コントロールのテストに利用可能なクラスを一覧します。

  • UIAButton クラス
    ボタン コントロールを識別します。
  • UIACalendar クラス
    カレンダー コントロールを識別します。
  • UIACheckBox クラス
    チェック ボックス コントロールを識別します。
  • UIAComboBox クラス
    コンボ ボックス コントロールを識別します。
  • UIADataGrid クラス
    データ グリッド コントロールを識別します。
  • UIADataItem クラス
    データ項目コントロールを識別します。
  • UIAGroup クラス
    他のコントロールのコンテナとして動作するグループ コントロールを識別します。
  • UIAHeader クラス
    行または列のラベルを表すビジュアル コンテナを提供するコントロールを識別します。
  • UIAHeaderItem クラス
    行または列のビジュアル ラベルを提供するコントロールを識別します。
  • UIAHorizontalScrollBar クラス
    水平方向のスクロール バーを識別します。
  • UIAHyperlinkButton クラス
    ハイパーリンク ボタン コントロールを識別します。
  • UIAImage クラス
    イメージ コントロールを識別します。
  • UIAListBox クラス
    リスト ボックス コントロールを識別します。
  • UIAListItem クラス
    リスト項目コントロールを識別します。
  • UIAMenu クラス
    メニュー コントロールを識別します。
  • UIAMenuBar クラス
    メニュー バー コントロールを識別します。
  • UIAMenuItem クラス
    メニュー項目コントロールを識別します。
  • UIAObject クラス
    UI オートメーション要素の UI オートメーション フレームワーク レベルのプロパティ、イベント、およびメソッドのセットを提供します。
  • UIAPane クラス
    スクロール バーを持つことが可能なペインを識別します。
  • UIAProgressBar クラス
    進行状況バー コントロールを識別します。
  • UIARadioButton クラス
    ユーザーがオプションのグループから単一のオプションを選択できるボタンを表します。
  • UIASeparator クラス
    セパレータ コントロールを識別します。
  • UIASlider クラス
    進行状況バー コントロールを識別します。
  • UIASpinner クラス
    スピン コントロールを識別します。
  • UIASplitButton クラス
    分割ボタン コントロールを識別します。
  • UIAStatusBar クラス
    ステータス バー コントロールを識別します。
  • UIATabControl クラス
    タブ コントロールを識別します。
  • UIATabItem クラス
    タブ項目コントロールを識別します。
  • UIATable クラス
    テーブルを識別します。
  • UIATextBlock クラス
    少量のフロー コンテンツを表示するコントロールを識別します。
  • UIATextBox クラス
    テキスト ボックス コントロールを識別します。
  • UIAThumb クラス
    サム コントロールを識別します。
  • UIATitleBar クラス
    ウィンドウのタイトル バーを識別します。
  • UIAToggleButton クラス
    トグル ボタン コントロールを識別します。
  • UIAToolBar クラス
    ツールバー コントロールを識別します。
  • UIAToolTip クラス
    ツールチップ コントロールを識別します。
  • UIATreeView クラス
    項目を展開したり折りたたんだりできるツリー構造で階層データを表示するコントロールを表します。
  • UIATreeViewItem クラス
    ツリー コントロール内の選択可能な項目を表します。
  • UIAVerticalScrollBar クラス
    垂直方向のスクロール バーを識別します。
  • UIAWindow クラス
    ウィンドウ コントロールを識別します。
  • UWPComboBox クラス
    コンボ ボックス コントロールを識別します。
  • UWPComboBoxItem クラス
    コンボ ボックス項目コントロールを識別します。
親トピック: Silk4NET 言語リファレンス


UIAButton クラス

説明

ボタン コントロールを識別します。

継承階層

  • UIAObject
    • UIAButton

構文

C#
public class UIAButton : UIAObject,
VB
'Declaration
Public Class UIAButton _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIACalendar クラス

説明

カレンダー コントロールを識別します。

継承階層

  • UIAObject
    • UIACalendar

構文

C#
public class UIACalendar : UIAObject,
VB
'Declaration
Public Class UIACalendar _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIACheckBox クラス

説明

チェック ボックス コントロールを識別します。

継承階層

  • UIAObject
    • UIACheckBox

構文

C#
public class UIACheckBox : UIAObject,
VB
'Declaration
Public Class UIACheckBox _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToggleState | チェック ボックスのトグル状態
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetIndeterminate | チェック ボックスを不確定状態に設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | 次の順番でサイクリックにチェック ボックスの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAComboBox クラス

説明

コンボ ボックス コントロールを識別します。

コンボ ボックスでは、その項目についての情報を取得する前に一度開いておく必要があります。

継承階層

  • UIAObject
    • UIAComboBox
      • UWPComboBox

構文

C#
public class UIAComboBox : UIAObject,
VB
'Declaration
Public Class UIAComboBox _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
IsOpen | コンボ ボックスが開いているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | コンボ ボックスを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Open | コンボ ボックスを開きます。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIADataGrid クラス

説明

データ グリッド コントロールを識別します。

継承階層

  • UIAObject
    • UIADataGrid

構文

C#
public class UIADataGrid : UIAObject,
VB
'Declaration
Public Class UIADataGrid _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIADataItem クラス

説明

データ項目コントロールを識別します。

継承階層

  • UIAObject
    • UIADataItem

構文

C#
public class UIADataItem : UIAObject,
VB
'Declaration
Public Class UIADataItem _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAGroup クラス

説明

他のコントロールのコンテナとして動作するグループ コントロールを識別します。

継承階層

  • UIAObject
    • UIAGroup

構文

C#
public class UIAGroup : UIAObject,
VB
'Declaration
Public Class UIAGroup _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAHeader クラス

説明

行または列のラベルを表すビジュアル コンテナを提供するコントロールを識別します。

継承階層

  • UIAObject
    • UIAHeader

構文

C#
public class UIAHeader : UIAObject,
VB
'Declaration
Public Class UIAHeader _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HeaderItems | このヘッダー コントロールのヘッダー項目を含むリスト
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAHeaderItem クラス

説明

行または列のビジュアル ラベルを提供するコントロールを識別します。

継承階層

  • UIAObject
    • UIAHeaderItem

構文

C#
public class UIAHeaderItem : UIAObject,
VB
'Declaration
Public Class UIAHeaderItem _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ヘッダー項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAHorizontalScrollBar クラス

説明

水平方向のスクロール バーを識別します。

継承階層

  • UIAObject
    • UIAHorizontalScrollBar

構文

C#
public class UIAHorizontalScrollBar : UIAObject,
VB
'Declaration
Public Class UIAHorizontalScrollBar _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAHyperlinkButton クラス

説明

ハイパーリンク ボタン コントロールを識別します。

継承階層

  • UIAObject
    • UIAHyperlinkButton

構文

C#
public class UIAHyperlinkButton : UIAObject,
VB
'Declaration
Public Class UIAHyperlinkButton _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | ハイパーリンク ボタンをクリックします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAImage クラス

説明

イメージ コントロールを識別します。

継承階層

  • UIAObject
    • UIAImage

構文

C#
public class UIAImage : UIAObject,
VB
'Declaration
Public Class UIAImage _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAListBox クラス

説明

リスト ボックス コントロールを識別します。

継承階層

  • UIAObject
    • UIAListBox

構文

C#
public class UIAListBox : UIAObject,
VB
'Declaration
Public Class UIAListBox _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
CanSelectMultiple | リスト ボックスが複数の子要素の同時選択を許可するかどうか。
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
HorizontallyScrollable | リスト ボックスを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Items | リスト ボックス項目のリスト。
ItemTexts | すべての項目テキストのリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。
SelectedIndices | 現在選択されている項目のインデックス。 項目が現在選択されていない場合は、空のリストが返されます。
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します
SelectedItems | 現在選択されている項目。 項目が現在選択されていない場合は、空のリストが返されます。
SelectedItemText | 最初の選択された項目のテキスト。
SelectedItemTexts | 現在選択されている項目のテキスト。 項目が現在選択されていない場合は、空のリストが返されます。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | リスト ボックスを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DeselectAll | すべてのリスト項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | 指定したリスト ボックス項目を選択します。
SelectAll | リスト内のすべての項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | リスト ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | リスト ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAListItem クラス

説明

リスト項目コントロールを識別します。

継承階層

  • UIAObject
    • UIAListItem

構文

C#
public class UIAListItem : UIAObject,
VB
'Declaration
Public Class UIAListItem _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
IsSelected | リスト項目が選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | リスト項目をビューにスクロールします。
Select | リスト項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAMenu クラス

説明

メニュー コントロールを識別します。

継承階層

  • UIAObject
    • UIAMenu

構文

C#
public class UIAMenu : UIAObject,
VB
'Declaration
Public Class UIAMenu _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAMenuBar クラス

説明

メニュー バー コントロールを識別します。

継承階層

  • UIAObject
    • UIAMenuBar

構文

C#
public class UIAMenuBar : UIAObject,
VB
'Declaration
Public Class UIAMenuBar _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAMenuItem クラス

説明

メニュー項目コントロールを識別します。

継承階層

  • UIAObject
    • UIAMenuItem

構文

C#
public class UIAMenuItem : UIAObject,
VB
'Declaration
Public Class UIAMenuItem _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAObject クラス

説明

UI オートメーション要素の UI オートメーション フレームワーク レベルのプロパティ、イベント、およびメソッドのセットを提供します。

継承階層

  • TestObject
    • UIAObject
      • UIAButton
      • UIACalendar
      • UIACheckBox
      • UIAComboBox
      • UIADataGrid
      • UIADataItem
      • UIAGroup
      • UIAHeader
      • UIAHeaderItem
      • UIAHorizontalScrollBar
      • UIAHyperlinkButton
      • UIAImage
      • UIAListBox
      • UIAListItem
      • UIAMenu
      • UIAMenuBar
      • UIAMenuItem
      • UIAPane
      • UIAProgressBar
      • UIARadioButton
      • UIASeparator
      • UIASlider
      • UIASpinner
      • UIASplitButton
      • UIAStatusBar
      • UIATabControl
      • UIATabItem
      • UIATable
      • UIATextBlock
      • UIATextBox
      • UIAThumb
      • UIATitleBar
      • UIAToggleButton
      • UIAToolBar
      • UIAToolTip
      • UIATreeView
      • UIATreeViewItem
      • UIAVerticalScrollBar
      • UWPComboBoxItem

構文

C#
public class UIAObject : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class UIAObject _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。
ClassName | 要素の単純クラス名。
ControlType | 要素に対するコントロールの種類を含んだ文字列。
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。
IsEnabled | 要素が有効かどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAPane クラス

説明

スクロール バーを持つことが可能なペインを識別します。

継承階層

  • UIAObject
    • UIAPane

構文

C#
public class UIAPane : UIAObject,
VB
'Declaration
Public Class UIAPane _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
HorizontallyScrollable | ペインを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | ペインを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | ペイン内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | ペイン内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAProgressBar クラス

説明

進行状況バー コントロールを識別します。

継承階層

  • UIAObject
    • UIAProgressBar

構文

C#
public class UIAProgressBar : UIAObject,
VB
'Declaration
Public Class UIAProgressBar _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Maximum | 進行状況の最大値
Minimum | 進行状況の最小値
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIARadioButton クラス

説明

ユーザーがオプションのグループから単一のオプションを選択できるボタンを表します。

継承階層

  • UIAObject
    • UIARadioButton

構文

C#
public class UIARadioButton : UIAObject,
VB
'Declaration
Public Class UIARadioButton _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
IsSelected | ラジオ ボタンが選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 任意の選択された項目の選択を解除し、現在の要素を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIASeparator クラス

説明

セパレータ コントロールを識別します。

継承階層

  • UIAObject
    • UIASeparator

構文

C#
public class UIASeparator : UIAObject,
VB
'Declaration
Public Class UIASeparator _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIASlider クラス

説明

進行状況バー コントロールを識別します。

継承階層

  • UIAObject
    • UIASlider

構文

C#
public class UIASlider : UIAObject,
VB
'Declaration
Public Class UIASlider _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
LargeChange | PAGE DOWN キーが押された場合など、大きい単位での変更が行われる際に、Value プロパティに加算または減算される値。
Maximum | 進行状況の最大値
Minimum | 進行状況の最小値
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
SmallChange | 矢印キーが押された場合など、小さい単位での変更が行われる際に、Value プロパティに加算または減算される値。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseLarge | Slider の値を大きい単位で減らします。
DecreaseSmall | Slider の値を小さい単位で減らします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseLarge | Slider の値を大きい単位で増やします。
IncreaseSmall | Slider の値を小さい単位で増やします。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetValue | スライダーの値を設定します。
SetValueToMaximum | Slider を最大の位置に設定します。
SetValueToMinimum | Slider を最小の位置に設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIASpinner クラス

説明

スピン コントロールを識別します。

Spinner コントロール型は一連のボタンで構成されます。ユーザーはこれらのボタンを使用して、一連の項目の中から項目を選択したり、範囲内の数値を設定したりできます。

継承階層

  • UIAObject
    • UIASpinner

構文

C#
public class UIASpinner : UIAObject,
VB
'Declaration
Public Class UIASpinner _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
NumericValue | スピン コントロールの現在の数値
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIASplitButton クラス

説明

分割ボタン コントロールを識別します。

継承階層

  • UIAObject
    • UIASplitButton

構文

C#
public class UIASplitButton : UIAObject,
VB
'Declaration
Public Class UIASplitButton _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAStatusBar クラス

説明

ステータス バー コントロールを識別します。

継承階層

  • UIAObject
    • UIAStatusBar

構文

C#
public class UIAStatusBar : UIAObject,
VB
'Declaration
Public Class UIAStatusBar _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIATabControl クラス

説明

タブ コントロールを識別します。

継承階層

  • UIAObject
    • UIATabControl

構文

C#
public class UIATabControl : UIAObject,
VB
'Declaration
Public Class UIATabControl _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Items | タブ項目の完全なリスト。
ItemTexts | タブ項目テキストの完全なリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
SelectedIndex | 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。
SelectedItem | 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。
SelectedItemText | 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | タブ コントロールの項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIATabItem クラス

説明

タブ項目コントロールを識別します。

継承階層

  • UIAObject
    • UIATabItem

構文

C#
public class UIATabItem : UIAObject,
VB
'Declaration
Public Class UIATabItem _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
IsSelected | タブ項目が選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | タブ項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIATable クラス

説明

テーブルを識別します。

継承階層

  • UIAObject
    • UIATable

構文

C#
public class UIATable : UIAObject,
VB
'Declaration
Public Class UIATable _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIATextBlock クラス

説明

少量のフロー コンテンツを表示するコントロールを識別します。

継承階層

  • UIAObject
    • UIATextBlock

構文

C#
public class UIATextBlock : UIAObject,
VB
'Declaration
Public Class UIATextBlock _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIATextBox クラス

説明

テキスト ボックス コントロールを識別します。

継承階層

  • UIAObject
    • UIATextBox

構文

C#
public class UIATextBox : UIAObject,
VB
'Declaration
Public Class UIATextBox _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
IsReadOnly | テキスト ボックスが読み取り専用かどうか
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | すべてのテキストをテキスト フィールドから削除します
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetPosition | テキスト フィールド内の挿入位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetSelection | テキスト ボックス内のテキストの範囲を選択します。
SetText | テキスト フィールド内のテキストを指定したテキストで置換します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAThumb クラス

説明

サム コントロールを識別します。

継承階層

  • UIAObject
    • UIAThumb

構文

C#
public class UIAThumb : UIAObject,
VB
'Declaration
Public Class UIAThumb _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIATitleBar クラス

説明

ウィンドウのタイトル バーを識別します。

継承階層

  • UIAObject
    • UIATitleBar

構文

C#
public class UIATitleBar : UIAObject,
VB
'Declaration
Public Class UIATitleBar _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAToggleButton クラス

説明

トグル ボタン コントロールを識別します。

継承階層

  • UIAObject
    • UIAToggleButton

構文

C#
public class UIAToggleButton : UIAObject,
VB
'Declaration
Public Class UIAToggleButton _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToggleState | ボタンのトグル状態
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | 次の順番でサイクリックにボタンの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAToolBar クラス

説明

ツールバー コントロールを識別します。

継承階層

  • UIAObject
    • UIAToolBar

構文

C#
public class UIAToolBar : UIAObject,
VB
'Declaration
Public Class UIAToolBar _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAToolTip クラス

説明

ツールチップ コントロールを識別します。

継承階層

  • UIAObject
    • UIAToolTip

構文

C#
public class UIAToolTip : UIAObject,
VB
'Declaration
Public Class UIAToolTip _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIATreeView クラス

説明

項目を展開したり折りたたんだりできるツリー構造で階層データを表示するコントロールを表します。

継承階層

  • UIAObject
    • UIATreeView

構文

C#
public class UIATreeView : UIAObject,
VB
'Declaration
Public Class UIATreeView _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
HorizontallyScrollable | ツリー ビューを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
RootItems | すべてのルート ツリー項目の完全なリスト。
RootItemTexts | すべてのルート ツリー項目のテキストの完全なリスト。
SelectedItem | 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。
SelectedItemPath | 選択された項目パスを取得します。選択されていない場合は空の項目パス。
SelectedItemText | 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | ツリー ビューを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
VisibleItemPaths | ツリーに表示される項目の項目パス。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 指定した項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 指定した項目を展開します。
ExpandAll | ツリー内のすべての項目を展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | 指定した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIATreeViewItem クラス

説明

ツリー コントロール内の選択可能な項目を表します。

継承階層

  • UIAObject
    • UIATreeViewItem

構文

C#
public class UIATreeViewItem : UIAObject,
VB
'Declaration
Public Class UIATreeViewItem _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
IsExpanded | ツリー項目内の入れ子になった項目が展開されているか、折りたたまれているか。
IsLeaf | ツリー ビュー項目がリーフ項目かどうかを示す値。
IsSelected | ツリー項目が選択されているかどうかを示す値。
Items | 項目の完全なリスト。
ItemTexts | 項目テキストの完全なリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 項目を展開します。
ExpandSubTree | このツリー項目の下のサブツリーを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ツリー項目をビューにスクロールします
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAVerticalScrollBar クラス

説明

垂直方向のスクロール バーを識別します。

継承階層

  • UIAObject
    • UIAVerticalScrollBar

構文

C#
public class UIAVerticalScrollBar : UIAObject,
VB
'Declaration
Public Class UIAVerticalScrollBar _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UIAWindow クラス

説明

ウィンドウ コントロールを識別します。

継承階層

  • Window
    • UIAWindow

構文

C#
public class UIAWindow : Window,
VB
'Declaration
Public Class UIAWindow _
Inherits Window

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。 (Window から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UWPComboBox クラス

説明

コンボ ボックス コントロールを識別します。

コンボ ボックスでは、その項目についての情報を取得する前に一度開いておく必要があります。

継承階層

  • UIAComboBox
    • UWPComboBox

構文

C#
public class UWPComboBox : UIAComboBox,
VB
'Declaration
Public Class UWPComboBox _
Inherits UIAComboBox

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
HorizontallyScrollable | コンボ ボックスを水平方向にスクロールできるかどうかを示す値。
HorizontalScrollPercent | 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
IsOpen | コンボ ボックスが開いているかどうかを示す値。 (UIAComboBox から継承されました)
Items | 項目の完全なリスト。
ItemTexts | 項目テキストの完全なリスト。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
SelectedIndex | 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。
SelectedItem | 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。
SelectedItemText | 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticallyScrollable | コンボ ボックスを垂直方向にスクロールできるかどうかを示す値。
VerticalScrollPercent | 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | コンボ ボックスを閉じます。 (UIAComboBox から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Open | コンボ ボックスを開きます。 (UIAComboBox から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollHorizontal | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。
ScrollVertical | 指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。
Select | コンボ ボックスの項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetHorizontalScrollPercent | コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetVerticalScrollPercent | コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


UWPComboBoxItem クラス

説明

コンボ ボックス項目コントロールを識別します。

継承階層

  • UIAObject
    • UWPComboBoxItem

構文

C#
public class UWPComboBoxItem : UIAObject,
VB
'Declaration
Public Class UWPComboBoxItem _
Inherits UIAObject

プロパティ

名前 | 説明
AutomationId | 要素に対する UI オートメーション識別子（ID）を含んだ文字列。 (UIAObject から継承されました)
ClassName | 要素の単純クラス名。 (UIAObject から継承されました)
ControlType | 要素に対するコントロールの種類を含んだ文字列。 (UIAObject から継承されました)
HelpText | 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。 (UIAObject から継承されました)
IsEnabled | 要素が有効かどうかを示す値。 (UIAObject から継承されました)
IsSelected | コンボ ボックス項目が選択されているかどうかを示す値。
Name | 要素に対する UI オートメーション名を含んだ文字列。 (UIAObject から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRawChildren | この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。 (UIAObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (UIAObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | コンボ ボックス項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: UI Automation クラス リファレンス


Win32 クラス リファレンス

Windows API ベースのコントロールのテストに利用可能なクラスを一覧します。

  • AccessibleControl クラス
    ユーザー補助拡張機能によって識別されるコントロール クラス。
  • Header クラス
    リスト ヘッダー コントロールのクラスです。 Header は ListViewW32 クラスのコントロールで最も一般に使用されます。
  • ListView クラス
    非階層的データのリストを表示するさまざまな方法をサポートする複雑なリスト コントロールのクラスです。 これらのビューには、再配置可能な大きいアイコンや小さいアイコン、および詳細（またはレポート）ビューが含まれます。
  • MonthCalendar クラス
    カレンダの日付と時間を選択するクラスです。
  • Pager クラス
    タブ付きまたは複数ページのダイアログ、およびボタン バーのクラスです。 Windows では、このクラスは TabControl コントロールに対応します。 Windows では、メジャー タブのみがサポート対象になります。 「サブページ」や「子ページ」などのマイナー タブはサポート対象外です。
  • ProgressBar クラス
    進行状況バー コントロールのクラスです。 進行状況バーは進行状況を表示します。
  • StatusBar クラス
    ステータス バー コントロールのクラスです。 ステータス バーは動的に変更するテキスト ラベルの集合のコンテナーです。
  • UpDown クラス
    アップダウン コントロールのクラスです。
親トピック: Silk4NET 言語リファレンス
関連資料
Win32 クラス リファレンス


AccessibleControl クラス

説明

ユーザー補助拡張機能によって識別されるコントロール クラス。

継承階層

  • BaseGuiTestObject
    • AccessibleControl

構文

C#
public class AccessibleControl : BaseGuiTestObject,
VB
'Declaration
Public Class AccessibleControl _
Inherits BaseGuiTestObject

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Description | ユーザー補助オブジェクトの説明文。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Role | このユーザー補助オブジェクトの役割。
State | このユーザー補助オブジェクトのさまざまな状態を説明する状態文字列。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoDefaultAction | 基になったユーザー補助コントロールのサポートするデフォルトの操作を実行します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


Header クラス

説明

リスト ヘッダー コントロールのクラスです。 Header は ListViewW32 クラスのコントロールで最も一般に使用されます。

継承階層

  • Control
    • Header

構文

C#
public class Header : Control,
VB
'Declaration
Public Class Header _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
ColumnCount | ヘッダーの列の数。
ColumnOrder | ヘッダー項目のインデックス（ヘッダーの項目が現在並んでいる順番）。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DividerDoubleSelect | 指定した項目の右側にある分割線をダブルクリックします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnTitle | 指定したヘッダー項目のタイトルを返します。
GetColumnWidth | 指定した列の幅を返します。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | ヘッダーの項目のサイズを変更します。
Select | 項目またはボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


ListView クラス

説明

非階層的データのリストを表示するさまざまな方法をサポートする複雑なリスト コントロールのクラスです。 これらのビューには、再配置可能な大きいアイコンや小さいアイコン、および詳細（またはレポート）ビューが含まれます。

継承階層

  • Control
    • ListView

構文

C#
public class ListView : Control,
VB
'Declaration
Public Class ListView _
Inherits Control

プロパティ

名前 | 説明
AllowsCheck | リスト ビューがチェックをサポートするかどうか。
AllowsMultiSelect | リスト ビューが複数項目の選択をサポートするかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
CheckedIndices | チェックされた項目のインデックスを含むリスト。
CheckedItems | チェックされた項目を含むリスト。
ColumnCount | 項目ごとの列の数。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | リスト ビューに含まれる項目の数。
Items | リスト ビューのすべての項目を含むリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndices | 選択された項目のインデックスを含むリスト。
SelectedItems | 選択された項目を含むリスト。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | 項目をチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | 項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelect | 拡張選択リスト ビューの選択範囲を拡張して項目の範囲を選択します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetContents | ListView コントロールの内容を返します。 返される項目はセミコロンで区切られます。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetItemImageIndex | アイコンを含むリスト ビューのイメージ リストのインデックスを返します。 これにより、正しいイメージが項目に対して使用されていることを検証することができます。
GetItemIndex | リスト ビュー項目 ' ' のインデックスを返します (見つからなかった場合は -1)。
GetItemRect | 項目の矩形領域を返します。 getIconRect が設定されていると、項目のアイコンの矩形領域が返されます。設定されていない場合は、項目テキストの矩形領域が返されます。 columnIndex が指定されていると、指定した列の矩形領域が返されます。
GetItemText | 項目のテキストを返します。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelect | 現在の選択項目の集合にリスト内の項目を追加します。
MultiUnselect | リスト内の項目を選択項目の集合から削除します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetItemFocus | リスト内の項目にフォーカスを与えます。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | 項目のチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


MonthCalendar クラス

説明

カレンダの日付と時間を選択するクラスです。

継承階層

  • Control
    • MonthCalendar

構文

C#
public class MonthCalendar : Control,
VB
'Declaration
Public Class MonthCalendar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelect | 日付と時間の範囲を選択します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
OpenMonthMenu | 月を指定するためにカレンダ メニューを開きます。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 日付および時間を選択します。
SelectNextMonth | 次の月を選択します。
SelectPreviousMonth | 前の月を選択します。
SelectToday | 今日の日付を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


Pager クラス

説明

タブ付きまたは複数ページのダイアログ、およびボタン バーのクラスです。 Windows では、このクラスは TabControl コントロールに対応します。 Windows では、メジャー タブのみがサポート対象になります。 「サブページ」や「子ページ」などのマイナー タブはサポート対象外です。

継承階層

  • Control
    • Pager

構文

C#
public class Pager : Control,
VB
'Declaration
Public Class Pager _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Horizontal | アップダウン コントロールが水平方向に配置されているかどうか。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollDown | スクロール バーを下に移動します。
ScrollUp | スクロール バーを上に移動します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


ProgressBar クラス

説明

進行状況バー コントロールのクラスです。 進行状況バーは進行状況を表示します。

継承階層

  • Control
    • ProgressBar

構文

C#
public class ProgressBar : Control,
VB
'Declaration
Public Class ProgressBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | 現在の位置。
Range | 進行状況バー コントロールの範囲。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


StatusBar クラス

説明

ステータス バー コントロールのクラスです。 ステータス バーは動的に変更するテキスト ラベルの集合のコンテナーです。

継承階層

  • Control
    • StatusBar

構文

C#
public class StatusBar : Control,
VB
'Declaration
Public Class StatusBar _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


UpDown クラス

説明

アップダウン コントロールのクラスです。

継承階層

  • Control
    • UpDown
      • NumericUpDown

構文

C#
public class UpDown : Control,
VB
'Declaration
Public Class UpDown _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Horizontal | アップダウン コントロールが水平方向に配置されているかどうか。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | アップダウン コントロールの位置。
Range | アップダウン コントロールの範囲。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WrapAround | 値が最小値より小さく、最大値より大きい場合にラップ アラウンドするかどうか。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Decrement | アップダウン コントロールの位置の値を減らします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Increment | アップダウン コントロールの位置の値を増やします。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Win32 クラス リファレンス


Windows Forms クラス リファレンス

Windows Forms コントロールのテストに利用可能なクラスを一覧します。

  • CheckedListBox クラス
    CheckedListBox は、チェック ボックスを含むリスト ボックスを表します。
  • DataGrid クラス
    データ グリッドとデータ グリッド ビューのクラスです。
  • DataGridColumn クラス
    テーブルにおける列のクラスです。
  • DataGridItem クラス
    データ グリッドとデータ グリッド ビュー行のクラスです。
  • DataGridRow クラス
    テーブルにおける行のクラスです。
  • DomainUpDown クラス
    アップダウン コントロールのクラスです。
  • ElementHost クラス
    WPF（Windows Presentation Foundation）要素をホストするのに使用することができる Windows Forms コントロールです。
  • FormsHost クラス
    WPF ページ上に Windows Forms コントロールをホストできるようにする要素です。
  • FormsWindow クラス
    FormsWindow は、Windows Forms アプリケーションのトップ レベル ウィンドウを表すクラスです。
  • MenuStrip クラス
    MenuStrip は、Windows Forms アプリケーションの新しいメニュー ストリップを作成するクラスです。
  • NumericUpDown クラス
    数値アップダウン コントロールのクラスです。
親トピック: Silk4NET 言語リファレンス
関連資料
Windows Forms クラス リファレンス


CheckedListBox クラス

説明

CheckedListBox は、チェック ボックスを含むリスト ボックスを表します。

継承階層

  • ListBox
    • CheckedListBox

構文

C#
public class CheckedListBox : ListBox,
VB
'Declaration
Public Class CheckedListBox _
Inherits ListBox

プロパティ

名前 | 説明
AllowsMultiSelect | コントロールが複数項目の選択をサポートするかどうか。 (ListBox から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
CheckedIndices | チェックした項目のインデックス（複数）。
CheckedItems | チェックした項目の名前（複数）。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | リスト ボックスの項目の数。 (ListBox から継承されました)
Items | リスト ボックスの項目のリスト。 (ListBox から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | 最初の選択された項目のインデックス。 (ListBox から継承されました)
SelectedIndices | 選択した項目の索引。 (ListBox から継承されました)
SelectedItem | 最初の選択された項目の名前。 (ListBox から継承されました)
SelectedItems | 選択した項目の名前。 (ListBox から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックス付きリスト ボックスから項目を選択します。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelect | リスト ボックスの項目をダブルクリックします。 (ListBox から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelect | リスト ボックスの選択範囲を拡張して項目の範囲を選択します。 (ListBox から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelect | 複数または拡張選択リスト ボックスの項目を選択します。 (ListBox から継承されました)
MultiUnselect | 複数または拡張選択リスト ボックスの項目の選択を解除します。 (ListBox から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | リスト ボックスから項目を選択します。 (ListBox から継承されました)
SelectRange | 拡張選択リスト ボックスの項目の範囲を選択します。 (ListBox から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックス付きリスト ボックスから項目を選択します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


DataGrid クラス

説明

データ グリッドとデータ グリッド ビューのクラスです。

継承階層

  • Control
    • DataGrid

構文

C#
public class DataGrid : Control,
VB
'Declaration
Public Class DataGrid _
Inherits Control

プロパティ

名前 | 説明
AllowsMultiSelect | テーブルが複数項目の選択をサポートするかどうか。
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
ColumnCount | DataGrid の列の数。
ColumnItems | 列のすべての項目のリスト。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Items | 列のすべての項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
RowCount | DataGrid の行の数。
RowItems | 行のすべての項目のリスト。
SelectedItems | 選択した項目。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DoubleSelectItem | 項目をダブルクリックします。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExtendSelectItem | 指定した項目に選択範囲を拡張します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelectItem | テーブルの行を選択行の集合に追加します。
MultiUnselectItem | 項目を選択項目の集合から削除します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | データ グリッドの左上隅に項目を移動しようとします。
SelectAllItems | データ グリッド内のすべての項目を選択します。
SelectItem | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


DataGridColumn クラス

説明

テーブルにおける列のクラスです。

継承階層

  • Item
    • DataGridColumn

構文

C#
public class DataGridColumn : Item,
VB
'Declaration
Public Class DataGridColumn _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
Width | 列の幅。

メソッド

名前 | 説明
AutoResize | 分割線をダブルクリックして列のサイズを自動的に変更します。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | 列のサイズを変更します。
ScrollIntoView | データ グリッドをスクロールさせて左側に列を移動しようとします。
Select | 列を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


DataGridItem クラス

説明

データ グリッドとデータ グリッド ビュー行のクラスです。

継承階層

  • Item
    • DataGridItem

構文

C#
public class DataGridItem : Item,
VB
'Declaration
Public Class DataGridItem _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Column | データ グリッドの項目の列。
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Row | データ グリッドの項目の行。
Selected | 項目が選択されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | データ グリッドの左上隅に項目を移動しようとします。
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


DataGridRow クラス

説明

テーブルにおける行のクラスです。

継承階層

  • Item
    • DataGridRow

構文

C#
public class DataGridRow : Item,
VB
'Declaration
Public Class DataGridRow _
Inherits Item

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Height | 列の幅。
ItemCount | 行の項目の数。
Items | 行の項目のリスト。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | 列のサイズを変更します。
ScrollIntoView | データ グリッドをスクロールさせて上側に行を移動しようとします。
Select | 列を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


DomainUpDown クラス

説明

アップダウン コントロールのクラスです。

継承階層

  • Control
    • DomainUpDown

構文

C#
public class DomainUpDown : Control,
VB
'Declaration
Public Class DomainUpDown _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
ItemCount | リスト ビューに含まれる項目の数。
Items | ドメイン アップダウン コントロールの項目。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
SelectedIndex | アップダウン コントロールの位置。
SelectedItem | アップダウン コントロールの位置。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WrapAround | 値が最小値より小さく、最大値より大きい場合にラップ アラウンドするかどうか。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Decrement | アップダウン コントロールの位置の値を減らします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Increment | アップダウン コントロールの位置の値を増やします。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


ElementHost クラス

説明

WPF（Windows Presentation Foundation）要素をホストするのに使用することができる Windows Forms コントロールです。

継承階層

  • Control
    • ElementHost

構文

C#
public class ElementHost : Control,
VB
'Declaration
Public Class ElementHost _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


FormsHost クラス

説明

WPF ページ上に Windows Forms コントロールをホストできるようにする要素です。

継承階層

  • Control
    • FormsHost

構文

C#
public class FormsHost : Control,
VB
'Declaration
Public Class FormsHost _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


FormsWindow クラス

説明

FormsWindow は、Windows Forms アプリケーションのトップ レベル ウィンドウを表すクラスです。

継承階層

  • Window
    • FormsWindow

構文

C#
public class FormsWindow : Window,
VB
'Declaration
Public Class FormsWindow _
Inherits Window

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。 (Window から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LoadAssembly | Windows Forms アプリケーションで指定したパスのアセンブリをロードします。
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


MenuStrip クラス

説明

MenuStrip は、Windows Forms アプリケーションの新しいメニュー ストリップを作成するクラスです。

継承階層

  • Control
    • MenuStrip

構文

C#
public class MenuStrip : Control,
VB
'Declaration
Public Class MenuStrip _
Inherits Control

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


NumericUpDown クラス

説明

数値アップダウン コントロールのクラスです。

継承階層

  • UpDown
    • NumericUpDown

構文

C#
public class NumericUpDown : UpDown,
VB
'Declaration
Public Class NumericUpDown _
Inherits UpDown

プロパティ

名前 | 説明
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
Horizontal | アップダウン コントロールが水平方向に配置されているかどうか。 (UpDown から継承されました)
Maximum | アップダウン コントロールの最大値。
Minimum | アップダウン コントロールの最小値。
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Position | アップダウン コントロールの位置。 (UpDown から継承されました)
PositionDecimal | アップダウン コントロールの位置。
Range | アップダウン コントロールの範囲。 (UpDown から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WrapAround | 値が最小値より小さく、最大値より大きい場合にラップ アラウンドするかどうか。 (UpDown から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Decrement | アップダウン コントロールの位置の値を減らします。 (UpDown から継承されました)
DecrementDecimal | アップダウン コントロールの位置の値を減らします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Increment | アップダウン コントロールの位置の値を増やします。 (UpDown から継承されました)
IncrementDecimal | アップダウン コントロールの位置の値を増やします。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: Windows Forms クラス リファレンス


WPF クラス リファレンス

WPF コントロールのテストに利用可能なクラスを一覧します。

  • IWPFScrollable インターフェイス
    すべての FrameworkElement のスクロールを実装するインターフェイスです。
  • WPFBase クラス
    Windows Presentation Foundation (WPF) 要素の WPF フレームワーク レベルのプロパティ、イベント、およびメソッドのセットを提供します。
  • WPFButton クラス
    ButtonBase.Click イベントに反応する Windows ボタン コントロールを表します。
  • WPFButtonBase クラス
    すべての Button コントロールの基本クラスを表します。
  • WPFCalendar クラス
    ユーザーがビジュアルな予定表を使用して日付を選択できるコントロールを表します。
  • WPFCheckBox クラス
    チェック ボックスを表します。
  • WPFColumnHeader クラス
    ListView コントロールのヘッダー列を表します。
  • WPFComboBox クラス
    コントロールの矢印をクリックすることにより表示/非表示の切り替えが可能なドロップダウン リスト ボックスを持つ選択コントロールを表します。
  • WPFComboBoxItem クラス
    ComboBox 内の選択可能な項目を表します。
  • WPFContentControl クラス
    単一のコンテンツを含むコントロールを表します。
  • WPFContextMenu クラス
    コンテキスト メニューです。
  • WPFControl クラス
    ControlTemplate を使用して外観を定義するユーザー インターフェイス (UI) 要素の基本クラスを表します。
  • WPFDataGrid クラス
    カスタマイズできるグリッドにデータを表示するコントロールを表します。
  • WPFDataGridCell クラス
    データ グリッド コントロールのセルを表します。
  • WPFDataGridColumnHeader クラス
    個々のデータ グリッド列ヘッダーを表します。
  • WPFDataGridRow クラス
    データ グリッド行を表します。
  • WPFDataGridRowHeader クラス
    個々のデータ グリッド行ヘッダーを表します。
  • WPFDatePicker クラス
    ユーザーが日付を選択できるコントロールを表します。
  • WPFDocumentViewer クラス
    XpsDocument など、改ページ位置が自動修正された FixedDocument のコンテンツをホストできるドキュメント表示コントロールを表します。
  • WPFDocumentViewerBase クラス
    固定コンテンツまたはフロー コンテンツ (それぞれ FixedDocument または FlowDocument で表される) を表示するためのビューアーの基本クラスを提供します。
  • WPFDrawingVisual クラス
    DrawingVisual は、画面にベクター グラフィックスをレンダリングするために使用できるビジュアル オブジェクトです。 コンテンツはシステムによって永続化されます。
  • WPFExpander クラス
    コンテンツを表示するための折りたたみ可能なウィンドウを持ったヘッダーを表示するコントロールを表します。
  • WPFFlowDocumentPageViewer クラス
    コンテンツを一度に 1 ページずつ表示する固定の表示モードでフロー コンテンツを表示するためのコントロールを表します。
  • WPFFlowDocumentReader クラス
    連続したスクロール モードでフロー コンテンツを表示するためのコントロールを提供します。
  • WPFFlowDocumentScrollViewer クラス
    連続したスクロール モードでフロー コンテンツを表示するためのコントロールを提供します。
  • WPFFrame クラス
    すべての Frame コントロールの基本クラスを表します。
  • WPFFrameworkContentElement クラス
    すべての FrameworkContentElement 派生クラスの基本クラスです。 このクラスはプロパティやメソッドを追加しません。
  • WPFFrameworkElement クラス
    FrameworkElement 派生クラスのプロパティおよびメソッドのセットを提供します。
  • WPFGridSplitter クラス
    Grid コントロールの行間または列間の領域を再配分するコントロールを表します。
  • WPFGroupBox クラス
    ユーザー インターフェイス (UI) コンテンツ用に境界線やヘッダーを含むコンテナーを作成するコントロールを表します。
  • WPFHeaderedContentControl クラス
    単一のコンテンツを含みヘッダーを持つすべてのコントロールの基本実装を提供します。
  • WPFHeaderedItemsControl クラス
    ControlTemplate を使用して外観を定義するユーザー インターフェイス (UI) 要素の基本クラスを表します。
  • WPFHyperlink クラス
    子コントロールまたは内部テキストとして埋め込むことができるハイパーリンクを表します。
  • WPFImage クラス
    画像を表示するコントロールを表します。
  • WPFItemsControl クラス
    項目のコレクションを提示するために使用できるコントロールを表します。
  • WPFLabel クラス
    コントロールのテキスト ラベルを表します。
  • WPFListBox クラス
    選択可能な項目の一覧が表示されます。
  • WPFListBoxItem クラス
    ListBox 内の選択可能な項目を表します。
  • WPFListView クラス
    データ項目のリストを表示するコントロールを表します。 ListView は表のようなスタイルを持つことができます。
  • WPFListViewItem クラス
    ListView コントロールの項目を表します。
  • WPFMediaElement クラス
    オーディオとビデオまたはそのいずれかを含むコントロールを表します。
  • WPFMenu クラス
    コマンドおよびイベント ハンドラーに関連付けられている要素を階層的に編成できるようにするための Windows メニュー コントロールを表します。
  • WPFMenuBase クラス
    ユーザーが選択する選択肢を定義するコントロールを表します。
  • WPFMenuItem クラス
    Menu 内の選択可能な項目を表します。
  • WPFMultiSelector クラス
    複数の項目を選択できるコントロールの抽象クラスを提供します。
  • WPFNavigationWindow クラス
    コンテンツ ナビゲーションをサポートするウィンドウを表します。
  • WPFPage クラス
    Windows Internet Explorer、NavigationWindow、および Frame でナビゲーションおよびホストを行うことができるコンテンツのページをカプセル化します。
  • WPFPasswordBox クラス
    PasswordBox コントロールを表します。
  • WPFPopup クラス
    コンテンツがあるポップアップ ウィンドウを表します。
  • WPFProgressBar クラス
    ProgressBar コントロールを表します。
  • WPFRadioButton クラス
    ラジオ ボタンを表します。
  • WPFRangeBase クラス
    特定の範囲内の値を持つ要素を表します。
  • WPFRepeatButton クラス
    コントロールが押されてから離されるまで、その選択イベントを繰り返し発生させるコントロールを表します。
  • WPFRichTextBox クラス
    RichTextBox コントロールを表します。
  • WPFScrollBar クラス
    その位置が値に対応するスライディング Thumb の付いた、スクロール バーを提供するコントロールを表します。
  • WPFScrollViewer クラス
    表示される他の要素を格納できるスクロール可能な領域を表します。
  • WPFSelector クラス
    ユーザーが子要素から項目を選択できるようにするコントロールを表します。
  • WPFSlider クラス
    ユーザーが Track に沿って Thumb コントロールを移動することにより一定範囲から値を選択できるコントロールを表します。
  • WPFStatusBar クラス
    アプリケーション ウィンドウの水平バーに項目および情報を表示するコントロールを表します。
  • WPFStatusBarItem クラス
    StatusBar コントロールの項目を表します。
  • WPFStickyNoteControl クラス
    入力したテキストまたは手書きの注釈をユーザーがドキュメントに結び付けることができるコントロールを表します。
  • WPFTabControl クラス
    画面上の同じスペースを共有する複数の項目で構成されるコントロールを表します。
  • WPFTabItem クラス
    TabControl 内の選択可能な項目を表します。
  • WPFTextBlock クラス
    単一のコンテンツを含むコントロールを表します。
  • WPFTextBox クラス
    書式なしテキストの表示や編集に使用できるコントロールを表します。
  • WPFTextBoxBase クラス
    単一のコンテンツを含むコントロールを表します。
  • WPFThumb クラス
    ユーザーがドラッグできるコントロールを表します。
  • WPFTickBar クラス
    Slider コントロールの目盛りを描画するコントロールを表します。
  • WPFToggleButton クラス
    状態を切り替えることができるボタンを表します。
  • WPFToolBar クラス
    コマンドまたはコントロールのグループのコンテナーを提供します。
  • WPFToolBarTray クラス
    ToolBar のレイアウトを処理するコンテナーを表します。
  • WPFToolkitCalendar クラス
    ユーザーがビジュアルな予定表を使用して日付を選択できるコントロールを表します。
  • WPFToolkitDataGrid クラス
    カスタマイズできるグリッドにデータを表示するコントロールを表します。
  • WPFToolkitDataGridCell クラス
    データ グリッド コントロールのセルを表します。
  • WPFToolkitDataGridColumnHeader クラス
    個々のデータ グリッド列ヘッダーを表します。
  • WPFToolkitDataGridRow クラス
    データ グリッド行を表します。
  • WPFToolkitDataGridRowHeader クラス
    個々のデータ グリッド行ヘッダーを表します。
  • WPFToolkitDatePicker クラス
    ユーザーが日付を選択できるコントロールを表します。
  • WPFToolTip クラス
    ツールチップを表します。
  • WPFTrack クラス
    Value を設定するために使用される 1 つの Thumb コントロールと 2 つの RepeatButton コントロールの位置とサイズを処理するコントロール プリミティブを表します。
  • WPFTreeView クラス
    項目を展開したり折りたたんだりできるツリー構造で階層データを表示するコントロールを表します。
  • WPFTreeViewItem クラス
    TreeView コントロール内の選択可能な項目を表します。
  • WPFUserControl クラス
    コントロールを作成するための簡単な方法を提供します。 ユーザー コントロールとのやり取りに難する詳細な情報については、『カスタム コントロール』を参照してください。
  • WPFViewport3D クラス
    3D ビジュアル コンテンツの描画サーフェイスを提供します。
  • WPFVisual3D クラス
    ヒット テスト、座標変換、境界ボックス計算など、ビジュアル 3-D オブジェクトに共通のサービスとプロパティを提供します。
  • WPFWindow クラス
    ウィンドウおよびダイアログ ボックスの作成、構成、表示、および有効期間の管理を可能にします。
親トピック: Silk4NET 言語リファレンス
関連資料
WPF クラス リファレンス


IWPFScrollable インターフェイス

説明

すべての FrameworkElement のスクロールを実装するインターフェイスです。

構文

C#
public class IWPFScrollable,
VB
'Declaration
Public Class IWPFScrollable

メソッド

名前 | 説明
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。
GetScrollPosition | ScrollViewer の位置を返します。
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。
ScrollToPosition | ScrollViewer の位置を設定します。
親トピック: WPF クラス リファレンス


WPFBase クラス

説明

Windows Presentation Foundation (WPF) 要素の WPF フレームワーク レベルのプロパティ、イベント、およびメソッドのセットを提供します。

継承階層

  • TestObject
    • WPFBase
      • WPFDrawingVisual
      • WPFFrameworkContentElement
      • WPFFrameworkElement
      • WPFVisual3D

構文

C#
public class WPFBase : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class WPFBase _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

プロパティ

名前 | 説明
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFButton クラス

説明

ButtonBase.Click イベントに反応する Windows ボタン コントロールを表します。

継承階層

  • WPFButtonBase
    • WPFButton

構文

C#
public class WPFButton : WPFButtonBase,
VB
'Declaration
Public Class WPFButton _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsCancel | ボタンが [キャンセル] ボタンかどうかを示す値。 ユーザーが Esc キーを押すことによって、[キャンセル] ボタンをアクティブ化できます。 これは依存関係プロパティです。
IsDefault | ボタンがデフォルト ボタンかどうかを示す値。 ユーザーが Enter キーを押すことによって、デフォルト ボタンが呼び出されます。 これは依存関係プロパティです。
IsDefaulted | ボタンが、ユーザーが Enter を押すとアクティブ化されるボタンかどうかを示す値。 これは依存関係プロパティです。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFButtonBase クラス

説明

すべての Button コントロールの基本クラスを表します。

継承階層

  • WPFContentControl
    • WPFButtonBase
      • WPFButton
      • WPFColumnHeader
      • WPFDataGridColumnHeader
      • WPFDataGridRowHeader
      • WPFRepeatButton
      • WPFToggleButton
      • WPFToolkitDataGridColumnHeader
      • WPFToolkitDataGridRowHeader

構文

C#
public class WPFButtonBase : WPFContentControl,
VB
'Declaration
Public Class WPFButtonBase _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFCalendar クラス

説明

ユーザーがビジュアルな予定表を使用して日付を選択できるコントロールを表します。

継承階層

  • WPFControl
    • WPFCalendar

構文

C#
public class WPFCalendar : WPFControl,
VB
'Declaration
Public Class WPFCalendar _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
BlackoutDates | 選択不可としてマークされている日付のリスト。
DisplayDate | 表示する日付。
DisplayDateEnd | カレンダーで利用可能な日付の範囲における最後の日付。
DisplayDateStart | カレンダーで利用可能な最初の日付。
DisplayMode | カレンダーで月、年、10 年のいずれを表示するかを指定する値。
FirstDayOfWeek | 週の初めと考えられる曜日。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTodayHighlighted | 現在の日付がハイライトされるかどうかを示す値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedDate | 現在選択されている日付。
SelectedDates | 選択された日付のリスト。
SelectionMode | 許可されている選択の種類を示す値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectDate | 指定した日付を選択して、現在の選択をクリアします。
SelectDates | 指定した日付を選択して、現在の選択をクリアします。
SelectRange | 日付の範囲を選択します。
SetDisplayDate | 表示する日付を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFCheckBox クラス

説明

チェック ボックスを表します。

継承階層

  • WPFToggleButton
    • WPFCheckBox

構文

C#
public class WPFCheckBox : WPFToggleButton,
VB
'Declaration
Public Class WPFCheckBox _
Inherits WPFToggleButton

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsChecked | ボタンがチェックされているかどうか。 (WPFToggleButton から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsThreeState | コントロールが 2 つの状態をサポートするのか 3 つの状態をサポートするのか。 (WPFToggleButton から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
State | ボタンの状態。 (WPFToggleButton から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ボタンをチェックします。 (WPFToggleButton から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetIndeterminate | ボタンを不確定状態に設定します。 (WPFToggleButton から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | ボタンのチェックを外します。 (WPFToggleButton から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFColumnHeader クラス

説明

ListView コントロールのヘッダー列を表します。

継承階層

  • WPFButtonBase
    • WPFColumnHeader

構文

C#
public class WPFColumnHeader : WPFButtonBase,
VB
'Declaration
Public Class WPFColumnHeader _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Resize | 列ヘッダーのサイズを変更します。
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFComboBox クラス

説明

コントロールの矢印をクリックすることにより表示/非表示の切り替えが可能なドロップダウン リスト ボックスを持つ選択コントロールを表します。

あるコンボ ボックス (たとえば、項目のソースを内部的に利用するものなど) では、コンボ ボックスを一旦開かないと、項目をテスト対象アプリケーションで利用できるようにならない場合があります。

継承階層

  • WPFSelector
    • WPFComboBox

構文

C#
public class WPFComboBox : WPFSelector,
VB
'Declaration
Public Class WPFComboBox _
Inherits WPFSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsDropDownOpen | コンボ ボックスのドロップダウンが現在開いているかどうかを示す値。
IsEditable | コンボ ボックスのテキスト ボックス内のテキストの編集を有効または無効にする値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | コンボ ボックスが選択専用モードかどうかを返します。選択専用モードでは、コンボ ボックスの内容は選択可能ですが、編集することはできません。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
MaxDropDownHeight | コンボ ボックス ドロップダウンの最大の高さ。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。 (WPFSelector から継承されました)
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
StaysOpenOnEdit | 開いている ComboBox にドロップダウン コントロールが表示されている場合、ユーザーが TextBox をクリックしたときに、このコンボ ボックスが開いたままになるかどうか。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | コンボボックスを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Open | コンボボックスを開きます。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFComboBoxItem クラス

説明

ComboBox 内の選択可能な項目を表します。

あるコンボ ボックス (たとえば、項目のソースを内部的に利用するものなど) では、コンボ ボックスを一旦開かないと、項目をテスト対象アプリケーションで利用できるようにならない場合があります。

継承階層

  • WPFListBoxItem
    • WPFComboBoxItem

構文

C#
public class WPFComboBoxItem : WPFListBoxItem,
VB
'Declaration
Public Class WPFComboBoxItem _
Inherits WPFListBoxItem

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | リスト ボックス項目が選択されているかどうかを示す値。 (WPFListBoxItem から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | リスト ボックス項目の選択を解除します。 (WPFListBoxItem から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 項目をビューにスクロールします。 (WPFListBoxItem から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | リスト ボックス項目を選択します。 (WPFListBoxItem から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFContentControl クラス

説明

単一のコンテンツを含むコントロールを表します。

継承階層

  • WPFControl
    • WPFContentControl
      • WPFButtonBase
      • WPFFrame
      • WPFHeaderedContentControl
      • WPFLabel
      • WPFListBoxItem
      • WPFScrollViewer
      • WPFStatusBarItem
      • WPFToolTip
      • WPFUserControl
      • WPFWindow

構文

C#
public class WPFContentControl : WPFControl,
VB
'Declaration
Public Class WPFContentControl _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFContextMenu クラス

説明

コンテキスト メニューです。

継承階層

  • WPFMenuBase
    • WPFContextMenu

構文

C#
public class WPFContextMenu : WPFMenuBase,
VB
'Declaration
Public Class WPFContextMenu _
Inherits WPFMenuBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
HorizontalOffset | 対象の左開始位置からポップアップの配置ポイントまでの横方向の距離。 これは依存関係プロパティです。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsOpen | コンテキスト メニューが開いているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Placement | ContextMenu の Placement プロパティ。 これは依存関係プロパティです。
PlacementRectangle | コンテキスト メニューが開くときに配置の基準となる領域。 これは依存関係プロパティです。
StaysOpen | コンテキスト メニューが自動的に閉じるかどうかを示す値。 これは依存関係プロパティです。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalOffset | 対象の左開始位置からポップアップの配置ポイントまでの縦方向の距離。 これは依存関係プロパティです。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします (WPFMenuBase から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | コンテキスト メニューを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | メニュー項目を選択します (WPFMenuBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します (WPFMenuBase から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFControl クラス

説明

ControlTemplate を使用して外観を定義するユーザー インターフェイス (UI) 要素の基本クラスを表します。

継承階層

  • WPFFrameworkElement
    • WPFControl
      • WPFCalendar
      • WPFContentControl
      • WPFDataGridCell
      • WPFDataGridRow
      • WPFDatePicker
      • WPFDocumentViewerBase
      • WPFFlowDocumentReader
      • WPFFlowDocumentScrollViewer
      • WPFItemsControl
      • WPFPasswordBox
      • WPFRangeBase
      • WPFStickyNoteControl
      • WPFTextBoxBase
      • WPFThumb
      • WPFToolkitCalendar
      • WPFToolkitDataGridCell
      • WPFToolkitDataGridRow
      • WPFToolkitDatePicker

構文

C#
public class WPFControl : WPFFrameworkElement,
VB
'Declaration
Public Class WPFControl _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。
FontSize | TextBlock のトップレベルのフォント サイズ。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDataGrid クラス

説明

カスタマイズできるグリッドにデータを表示するコントロールを表します。

継承階層

  • WPFMultiSelector
    • WPFDataGrid

構文

C#
public class WPFDataGrid : WPFMultiSelector,
VB
'Declaration
Public Class WPFDataGrid _
Inherits WPFMultiSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Columns | データ グリッドのすべての列を含むコレクション。
CurrentCell | フォーカスがあるセル。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | データ グリッド内の値をユーザーが編集できるかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedCell | データ グリッドで選択されたセル。
SelectedCells | 現在選択されているセルのリスト。
SelectedCellText | データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空の文字列。
SelectedCellTexts | データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空のリスト。
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。 (WPFSelector から継承されました)
SelectedItems | 選択された MultiSelector の項目。 (WPFMultiSelector から継承されました)
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
SelectedItemTexts | 選択された MultiSelector の項目のテキスト。 (WPFMultiSelector から継承されました)
SelectionMode | データ グリッド内の行やセルの選択方法を示す値。
SelectionUnit | データ グリッドで選択できるのが行、セル、または両方かどうかを示す値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BeginEdit | 指定したセルの編集を開始します。
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CancelEdit | 編集したセルをキャンセルします。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
CommitEdit | 編集したセルをコミットします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 指定したセルをビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SelectCell | 指定したセルを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDataGridCell クラス

説明

データ グリッド コントロールのセルを表します。

継承階層

  • WPFControl
    • WPFDataGridCell

構文

C#
public class WPFDataGridCell : WPFControl,
VB
'Declaration
Public Class WPFDataGridCell _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEditing | セルが編集モードであるかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | セルを編集モードにすることができるかどうかを示す値。
IsSelected | セルが選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | セルの選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | セルをビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | セルを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDataGridColumnHeader クラス

説明

個々のデータ グリッド列ヘッダーを表します。

継承階層

  • WPFButtonBase
    • WPFDataGridColumnHeader

構文

C#
public class WPFDataGridColumnHeader : WPFButtonBase,
VB
'Declaration
Public Class WPFDataGridColumnHeader _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDataGridRow クラス

説明

データ グリッド行を表します。

継承階層

  • WPFControl
    • WPFDataGridRow

構文

C#
public class WPFDataGridRow : WPFControl,
VB
'Declaration
Public Class WPFDataGridRow _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Cells | データ グリッド行のセル。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | 行が選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 行の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 行をビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | 行を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDataGridRowHeader クラス

説明

個々のデータ グリッド行ヘッダーを表します。

継承階層

  • WPFButtonBase
    • WPFDataGridRowHeader

構文

C#
public class WPFDataGridRowHeader : WPFButtonBase,
VB
'Declaration
Public Class WPFDataGridRowHeader _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDatePicker クラス

説明

ユーザーが日付を選択できるコントロールを表します。

継承階層

  • WPFControl
    • WPFDatePicker

構文

C#
public class WPFDatePicker : WPFControl,
VB
'Declaration
Public Class WPFDatePicker _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedDate | 現在選択されている日付。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | 選択範囲をクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectDate | 指定した日付を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDocumentViewer クラス

説明

XpsDocument など、改ページ位置が自動修正された FixedDocument のコンテンツをホストできるドキュメント表示コントロールを表します。

継承階層

  • WPFDocumentViewerBase
    • WPFDocumentViewer

構文

C#
public class WPFDocumentViewer : WPFDocumentViewerBase,
VB
'Declaration
Public Class WPFDocumentViewer _
Inherits WPFDocumentViewerBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanDecreaseZoom | DocumentViewer をさらに縮小表示できるかどうかを示す値。
CanGoToNextPage | ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。 (WPFDocumentViewerBase から継承されました)
CanGoToPreviousPage | ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。 (WPFDocumentViewerBase から継承されました)
CanIncreaseZoom | DocumentViewer をさらに拡大表示できるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HorizontalOffset | 水平方向のスクロール位置。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MasterPageNumber | 現在のマスター ページのページ番号。 (WPFDocumentViewerBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
PageCount | 現在のドキュメントの合計ページ数。 (WPFDocumentViewerBase から継承されました)
Selection | DocumentViewer の選択されたコンテンツ。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalOffset | 垂直方向のスクロール位置。
Zoom | ドキュメントのズーム倍率。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CanGoToPage | ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。 (WPFDocumentViewerBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseZoom | ドキュメントのコンテンツを 1 ズーム ステップ分縮小表示します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FirstPage | 最初のページに移動します。 (WPFDocumentViewerBase から継承されました)
FitToHeight | 単一のページを現在のビューポートの高さに収めます。
FitToWidth | 単一のページを現在のビューポートの幅に収めます。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoToPage | 指定したページに移動します。 (WPFDocumentViewerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseZoom | ドキュメントのコンテンツを 1 ズーム ステップ分拡大表示します。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LastPage | 最後のページに移動します。 (WPFDocumentViewerBase から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MoveDown | ドキュメントのコンテンツを 16 デバイス非依存ピクセル下にスクロールします。
MoveLeft | ドキュメントのコンテンツを 16 デバイス非依存ピクセル左にスクロールします。
MoveRight | ドキュメントのコンテンツを 16 デバイス非依存ピクセル右にスクロールします。
MoveUp | ドキュメントのコンテンツを 16 デバイス非依存ピクセル上にスクロールします。
NextPage | 次のページに移動します。 (WPFDocumentViewerBase から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PreviousPage | 前のページに移動します。 (WPFDocumentViewerBase から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollPageDown | 1 ビューポート下にスクロールします。
ScrollPageLeft | 1 ビューポート左にスクロールします。
ScrollPageRight | 1 ビューポート右にスクロールします。
ScrollPageUp | 1 ビューポート上にスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキストの範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
ZoomToActualSize | ズームを 100% に設定します。
親トピック: WPF クラス リファレンス


WPFDocumentViewerBase クラス

説明

固定コンテンツまたはフロー コンテンツ (それぞれ FixedDocument または FlowDocument で表される) を表示するためのビューアーの基本クラスを提供します。

継承階層

  • WPFControl
    • WPFDocumentViewerBase
      • WPFDocumentViewer
      • WPFFlowDocumentPageViewer

構文

C#
public class WPFDocumentViewerBase : WPFControl,
VB
'Declaration
Public Class WPFDocumentViewerBase _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanGoToNextPage | ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。
CanGoToPreviousPage | ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MasterPageNumber | 現在のマスター ページのページ番号。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
PageCount | 現在のドキュメントの合計ページ数。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CanGoToPage | ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FirstPage | 最初のページに移動します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoToPage | 指定したページに移動します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LastPage | 最後のページに移動します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
NextPage | 次のページに移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PreviousPage | 前のページに移動します。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFDrawingVisual クラス

説明

DrawingVisual は、画面にベクター グラフィックスをレンダリングするために使用できるビジュアル オブジェクトです。 コンテンツはシステムによって永続化されます。

継承階層

  • WPFBase
    • WPFDrawingVisual

構文

C#
public class WPFDrawingVisual : WPFBase,
VB
'Declaration
Public Class WPFDrawingVisual _
Inherits WPFBase

プロパティ

名前 | 説明
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFExpander クラス

説明

コンテンツを表示するための折りたたみ可能なウィンドウを持ったヘッダーを表示するコントロールを表します。

継承階層

  • WPFHeaderedContentControl
    • WPFExpander

構文

C#
public class WPFExpander : WPFHeaderedContentControl,
VB
'Declaration
Public Class WPFExpander _
Inherits WPFHeaderedContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
ExpandDirection | Expander コンテンツ ウィンドウの表示方向。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsExpanded | Expander コンテンツ ウィンドウが表示されているかどうか。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | Expander コントロールを折りたたみます。 ヘッダーのみが表示されます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | Expander コントロールを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFlowDocumentPageViewer クラス

説明

コンテンツを一度に 1 ページずつ表示する固定の表示モードでフロー コンテンツを表示するためのコントロールを表します。

継承階層

  • WPFDocumentViewerBase
    • WPFFlowDocumentPageViewer

構文

C#
public class WPFFlowDocumentPageViewer : WPFDocumentViewerBase,
VB
'Declaration
Public Class WPFFlowDocumentPageViewer _
Inherits WPFDocumentViewerBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanDecreaseZoom | 拡大レベルを下げることができるかどうかを示す値。
CanGoToNextPage | ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。 (WPFDocumentViewerBase から継承されました)
CanGoToPreviousPage | ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。 (WPFDocumentViewerBase から継承されました)
CanIncreaseZoom | 拡大レベルを上げることができるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MasterPageNumber | 現在のマスター ページのページ番号。 (WPFDocumentViewerBase から継承されました)
MaxZoom | FlowDocumentPageViewer に使用できる最大の拡大レベル。
MinZoom | FlowDocumentPageViewer に使用できる最小の拡大レベル。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
PageCount | 現在のドキュメントの合計ページ数。 (WPFDocumentViewerBase から継承されました)
Selection | FlowDocumentPageViewer の選択されたコンテンツ。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Zoom | FlowDocumentPageViewer の現在のズーム レベル。
ZoomIncrement | ズーム インクリメント。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CanGoToPage | ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。 (WPFDocumentViewerBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseZoom | ズームを縮小させます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FirstPage | 最初のページに移動します。 (WPFDocumentViewerBase から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoToPage | 指定したページに移動します。 (WPFDocumentViewerBase から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseZoom | ズームを拡大させます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LastPage | 最後のページに移動します。 (WPFDocumentViewerBase から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
NextPage | 次のページに移動します。 (WPFDocumentViewerBase から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PreviousPage | 前のページに移動します。 (WPFDocumentViewerBase から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキストの範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToggleFindDialog | 検索ダイアログを切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFlowDocumentReader クラス

説明

連続したスクロール モードでフロー コンテンツを表示するためのコントロールを提供します。

継承階層

  • WPFControl
    • WPFFlowDocumentReader

構文

C#
public class WPFFlowDocumentReader : WPFControl,
VB
'Declaration
Public Class WPFFlowDocumentReader _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanDecreaseZoom | 拡大レベルを下げることができるかどうかを示す値。
CanGoToNextPage | ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。
CanGoToPreviousPage | ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。
CanIncreaseZoom | 拡大レベルを上げることができるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MaxZoom | FlowDocumentReader に使用できる最大の拡大レベル。
MinZoom | FlowDocumentReader に使用できる最小の拡大レベル。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
PageCount | 現在のドキュメントの合計ページ数。
PageNumber | 現在のマスター ページのページ番号。
Selection | FlowDocumentReader の選択されたコンテンツ。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
ViewingMode | FlowDocumentReader の表示モード。
Zoom | FlowDocumentReader の現在のズーム レベル。
ZoomIncrement | ズーム インクリメント。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CanGoToPage | ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseZoom | ズームを縮小させます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
FirstPage | 最初のページに移動します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoToPage | 指定したページに移動します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseZoom | ズームを拡大させます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LastPage | 最後のページに移動します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
NextPage | 次のページに移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PreviousPage | 前のページに移動します。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキストの範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
SwitchViewingMode | 表示モードを切り替えます。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToggleFindDialog | 検索ダイアログを切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFlowDocumentScrollViewer クラス

説明

連続したスクロール モードでフロー コンテンツを表示するためのコントロールを提供します。

継承階層

  • WPFControl
    • WPFFlowDocumentScrollViewer

構文

C#
public class WPFFlowDocumentScrollViewer : WPFControl,
VB
'Declaration
Public Class WPFFlowDocumentScrollViewer _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanDecreaseZoom | 拡大レベルを下げることができるかどうかを示す値。
CanIncreaseZoom | 拡大レベルを上げることができるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MaxZoom | FlowDocumentScrollViewer に使用できる最大の拡大レベル。
MinZoom | FlowDocumentScrollViewer に使用できる最小の拡大レベル。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Selection | FlowDocumentScrollViewer の選択されたコンテンツ。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Zoom | FlowDocumentScrollViewer の現在のズーム レベル。
ZoomIncrement | ズーム インクリメント。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseZoom | ズームを縮小させます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseZoom | ズームを拡大させます。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキストの範囲を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ToggleFindDialog | 検索ダイアログを切り替えます。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFrame クラス

説明

すべての Frame コントロールの基本クラスを表します。

継承階層

  • WPFContentControl
    • WPFFrame

構文

C#
public class WPFFrame : WPFContentControl,
VB
'Declaration
Public Class WPFFrame _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanGoBack | "戻る" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。
CanGoForward | "進む" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Source | 現在のコンテンツの URI（Uniform Resource Identifier）。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoBack | "戻る" ナビゲーション履歴の最新の項目に移動します。
GoForward | "進む" ナビゲーション履歴の最新の項目に移動します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Navigate | 指定したソース コンテンツに非同期に移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Refresh | 現在のコンテンツを再読み込みします。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopLoading | 現在のナビゲーション要求に対応するコンテンツのダウンロードを中止します。
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFrameworkContentElement クラス

説明

すべての FrameworkContentElement 派生クラスの基本クラスです。 このクラスはプロパティやメソッドを追加しません。

継承階層

  • WPFBase
    • WPFFrameworkContentElement
      • WPFHyperlink

構文

C#
public class WPFFrameworkContentElement : WPFBase,
VB
'Declaration
Public Class WPFFrameworkContentElement _
Inherits WPFBase

プロパティ

名前 | 説明
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFFrameworkElement クラス

説明

FrameworkElement 派生クラスのプロパティおよびメソッドのセットを提供します。

継承階層

  • WPFBase
    • WPFFrameworkElement
      • WPFControl
      • WPFImage
      • WPFMediaElement
      • WPFPage
      • WPFPopup
      • WPFTextBlock
      • WPFTickBar
      • WPFToolBarTray
      • WPFTrack
      • WPFViewport3D

構文

C#
public class WPFFrameworkElement : WPFBase, IWPFScrollable
VB
'Declaration
Public Class WPFFrameworkElement _
Inherits WPFBase _
Implements IWPFScrollable

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。
ActualWidth | この要素の描画する幅。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFGridSplitter クラス

説明

Grid コントロールの行間または列間の領域を再配分するコントロールを表します。

継承階層

  • WPFThumb
    • WPFGridSplitter

構文

C#
public class WPFGridSplitter : WPFThumb,
VB
'Declaration
Public Class WPFGridSplitter _
Inherits WPFThumb

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作をキャンセルします。 (WPFThumb から継承されました)
DragComplete | ドラッグ操作を完了します。 (WPFThumb から継承されました)
DragDelta | 現在のドラッグ操作の変化量です。 (WPFThumb から継承されました)
DragStart | ドラッグ操作を開始します。 (WPFThumb から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFGroupBox クラス

説明

ユーザー インターフェイス (UI) コンテンツ用に境界線やヘッダーを含むコンテナーを作成するコントロールを表します。

継承階層

  • WPFHeaderedContentControl
    • WPFGroupBox

構文

C#
public class WPFGroupBox : WPFHeaderedContentControl,
VB
'Declaration
Public Class WPFGroupBox _
Inherits WPFHeaderedContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFHeaderedContentControl クラス

説明

単一のコンテンツを含みヘッダーを持つすべてのコントロールの基本実装を提供します。

継承階層

  • WPFContentControl
    • WPFHeaderedContentControl
      • WPFExpander
      • WPFGroupBox
      • WPFTabItem

構文

C#
public class WPFHeaderedContentControl : WPFContentControl,
VB
'Declaration
Public Class WPFHeaderedContentControl _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFHeaderedItemsControl クラス

説明

ControlTemplate を使用して外観を定義するユーザー インターフェイス (UI) 要素の基本クラスを表します。

継承階層

  • WPFItemsControl
    • WPFHeaderedItemsControl
      • WPFMenuItem
      • WPFToolBar
      • WPFTreeViewItem

構文

C#
public class WPFHeaderedItemsControl : WPFItemsControl,
VB
'Declaration
Public Class WPFHeaderedItemsControl _
Inherits WPFItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFHyperlink クラス

説明

子コントロールまたは内部テキストとして埋め込むことができるハイパーリンクを表します。

継承階層

  • WPFFrameworkContentElement
    • WPFHyperlink

構文

C#
public class WPFHyperlink : WPFFrameworkContentElement,
VB
'Declaration
Public Class WPFHyperlink _
Inherits WPFFrameworkContentElement

プロパティ

名前 | 説明
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
NavigateUri | Hyperlink がアクティブになったときの移動先の URI。
TargetName | Hyperlink の対象となるウィンドウまたはフレームの名前。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Navigate | ハイパーリンクのクリックを実行します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFImage クラス

説明

画像を表示するコントロールを表します。

継承階層

  • WPFFrameworkElement
    • WPFImage

構文

C#
public class WPFImage : WPFFrameworkElement,
VB
'Declaration
Public Class WPFImage _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFItemsControl クラス

説明

項目のコレクションを提示するために使用できるコントロールを表します。

継承階層

  • WPFControl
    • WPFItemsControl
      • WPFHeaderedItemsControl
      • WPFMenuBase
      • WPFSelector
      • WPFStatusBar
      • WPFTreeView

構文

C#
public class WPFItemsControl : WPFControl,
VB
'Declaration
Public Class WPFItemsControl _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。
Items | 項目の完全なリスト。
ItemTexts | 項目テキストの完全なリスト。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFLabel クラス

説明

コントロールのテキスト ラベルを表します。

継承階層

  • WPFContentControl
    • WPFLabel

構文

C#
public class WPFLabel : WPFContentControl,
VB
'Declaration
Public Class WPFLabel _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFListBox クラス

説明

選択可能な項目の一覧が表示されます。

継承階層

  • WPFSelector
    • WPFListBox
      • WPFListView

構文

C#
public class WPFListBox : WPFSelector,
VB
'Declaration
Public Class WPFListBox _
Inherits WPFSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。 (WPFSelector から継承されました)
SelectedItems | 現在選択されている項目。 完全な項目のリストは "Items" プロパティを使って取得できます。
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
SelectedItemTexts | 現在選択されているすべての項目のテキストを含んだ文字列のリスト。
SelectionMode | ListBox の選択動作。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DeselectAll | 複数選択リスト ボックスの選択をクリアします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 項目をビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SelectAll | リスト ボックス内のすべての項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFListBoxItem クラス

説明

ListBox 内の選択可能な項目を表します。

継承階層

  • WPFContentControl
    • WPFListBoxItem
      • WPFComboBoxItem
      • WPFListViewItem

構文

C#
public class WPFListBoxItem : WPFContentControl,
VB
'Declaration
Public Class WPFListBoxItem _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | リスト ボックス項目が選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | リスト ボックス項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 項目をビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | リスト ボックス項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFListView クラス

説明

データ項目のリストを表示するコントロールを表します。 ListView は表のようなスタイルを持つことができます。

継承階層

  • WPFListBox
    • WPFListView

構文

C#
public class WPFListView : WPFListBox,
VB
'Declaration
Public Class WPFListView _
Inherits WPFListBox

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ColumnHeaders | ヘッダー列。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。 (WPFSelector から継承されました)
SelectedItems | 現在選択されている項目。 完全な項目のリストは "Items" プロパティを使って取得できます。 (WPFListBox から継承されました)
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
SelectedItemTexts | 現在選択されているすべての項目のテキストを含んだ文字列のリスト。 (WPFListBox から継承されました)
SelectionMode | ListBox の選択動作。 (WPFListBox から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DeselectAll | 複数選択リスト ボックスの選択をクリアします。 (WPFListBox から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 項目をビューにスクロールします。 (WPFListBox から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SelectAll | リスト ボックス内のすべての項目を選択します。 (WPFListBox から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFListViewItem クラス

説明

ListView コントロールの項目を表します。

継承階層

  • WPFListBoxItem
    • WPFListViewItem

構文

C#
public class WPFListViewItem : WPFListBoxItem,
VB
'Declaration
Public Class WPFListViewItem _
Inherits WPFListBoxItem

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | リスト ボックス項目が選択されているかどうかを示す値。 (WPFListBoxItem から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | リスト ボックス項目の選択を解除します。 (WPFListBoxItem から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 項目をビューにスクロールします。 (WPFListBoxItem から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | リスト ボックス項目を選択します。 (WPFListBoxItem から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFMediaElement クラス

説明

オーディオとビデオまたはそのいずれかを含むコントロールを表します。

継承階層

  • WPFFrameworkElement
    • WPFMediaElement

構文

C#
public class WPFMediaElement : WPFFrameworkElement,
VB
'Declaration
Public Class WPFMediaElement _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Balance | スピーカ全体に対するボリュームの比率。
CanPause | メディアを一時停止できるかどうかを示す値。
HasAudio | メディアにオーディオが含まれているかどうかを示す値。
HasVideo | メディアにビデオが含まれているかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsMediaLoaded | コンテンツが読み込まれたことを示す値。
IsMuted | オーディオがミュートされているかどうかを示す値。
Length | メディアの自然な実行時間（秒）。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Position | メディアの再生の経過時間を示す現在の位置。
SpeedRatio | メディアの速度比率。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Volume | メディアのボリューム。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
Pause | メディアを現在の位置で一時停止します。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。
Play | メディアを現在の位置から再生します。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
Stop | メディアを停止し、最初から再生できるようにリセットします。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFMenu クラス

説明

コマンドおよびイベント ハンドラーに関連付けられている要素を階層的に編成できるようにするための Windows メニュー コントロールを表します。

継承階層

  • WPFMenuBase
    • WPFMenu

構文

C#
public class WPFMenu : WPFMenuBase,
VB
'Declaration
Public Class WPFMenu _
Inherits WPFMenuBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsMainMenu | この Menu がメイン メニューのアクティブ化の通知を受け取るかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします (WPFMenuBase から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | メニュー項目を選択します (WPFMenuBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します (WPFMenuBase から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFMenuBase クラス

説明

ユーザーが選択する選択肢を定義するコントロールを表します。

継承階層

  • WPFItemsControl
    • WPFMenuBase
      • WPFContextMenu
      • WPFMenu

構文

C#
public class WPFMenuBase : WPFItemsControl,
VB
'Declaration
Public Class WPFMenuBase _
Inherits WPFItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | メニュー項目を選択します
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFMenuItem クラス

説明

Menu 内の選択可能な項目を表します。

継承階層

  • WPFHeaderedItemsControl
    • WPFMenuItem

構文

C#
public class WPFMenuItem : WPFHeaderedItemsControl,
VB
'Declaration
Public Class WPFMenuItem _
Inherits WPFHeaderedItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
HasSubmenu | メニュー項目にサブメニューがあるかどうか。
IsChecked | メニュー項目がチェックされているかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsPressed | メニュー項目が押されているかどうかを示す値。
IsSubmenuOpen | メニュー項目のサブメニューが開いているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Role | メニュー項目のロールを示す値。
StaysOpenOnClick | この MenuItem が配置されているサブメニューは、この項目がクリックされても閉じないことを示す値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | メニュー項目をチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
CloseSubmenu | サブメニューが利用可能な場合に閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
OpenSubmenu | サブメニューが利用可能な場合に開きます。
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | メニュー項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | メニュー項目のチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFMultiSelector クラス

説明

複数の項目を選択できるコントロールの抽象クラスを提供します。

継承階層

  • WPFSelector
    • WPFMultiSelector
      • WPFDataGrid
      • WPFToolkitDataGrid

構文

C#
public class WPFMultiSelector : WPFSelector,
VB
'Declaration
Public Class WPFMultiSelector _
Inherits WPFSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。 (WPFSelector から継承されました)
SelectedItems | 選択された MultiSelector の項目。
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
SelectedItemTexts | 選択された MultiSelector の項目のテキスト。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFNavigationWindow クラス

説明

コンテンツ ナビゲーションをサポートするウィンドウを表します。

継承階層

  • WPFWindow
    • WPFNavigationWindow

構文

C#
public class WPFNavigationWindow : WPFWindow,
VB
'Declaration
Public Class WPFNavigationWindow _
Inherits WPFWindow

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
CanGoBack | "戻る" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。
CanGoForward | "進む" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Source | 現在のコンテンツの URI（Uniform Resource Identifier）。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | ウィンドウのタイトル。 (WPFWindow から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
Activate | ウィンドウを前面に表示して、アクティブ化を試みます。 (WPFWindow から継承されました)
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
GoBack | "戻る" ナビゲーション履歴の最新の項目に移動します。
GoForward | "進む" ナビゲーション履歴の最新の項目に移動します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LoadAssembly | WPF アプリケーションで指定したパスのアセンブリをロードします。 (WPFWindow から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
Navigate | 指定したソース コンテンツに非同期に移動します。
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Refresh | 現在のコンテンツを再読み込みします。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopLoading | 現在のナビゲーション要求に対応するコンテンツのダウンロードを中止します。
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFPage クラス

説明

Windows Internet Explorer、NavigationWindow、および Frame でナビゲーションおよびホストを行うことができるコンテンツのページをカプセル化します。

継承階層

  • WPFFrameworkElement
    • WPFPage

構文

C#
public class WPFPage : WPFFrameworkElement,
VB
'Declaration
Public Class WPFPage _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | ページのタイトル。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFPasswordBox クラス

説明

PasswordBox コントロールを表します。

継承階層

  • WPFControl
    • WPFPasswordBox

構文

C#
public class WPFPasswordBox : WPFControl,
VB
'Declaration
Public Class WPFPasswordBox _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
MaxLength | この PasswordBox によって処理されるパスワードの最大長。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
PasswordChar | PasswordBox のマスク文字。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | Password プロパティの値をクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
Paste | テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectAll | PasswordBox のすべての内容を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキストを設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFPopup クラス

説明

コンテンツがあるポップアップ ウィンドウを表します。

継承階層

  • WPFFrameworkElement
    • WPFPopup

構文

C#
public class WPFPopup : WPFFrameworkElement,
VB
'Declaration
Public Class WPFPopup _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
StaysOpen | Popup コントロールにフォーカスがない場合に、このコントロールが閉じるかどうかを示す値。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ポップアップ ウィンドウを閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFProgressBar クラス

説明

ProgressBar コントロールを表します。

継承階層

  • WPFRangeBase
    • WPFProgressBar

構文

C#
public class WPFProgressBar : WPFRangeBase,
VB
'Declaration
Public Class WPFProgressBar _
Inherits WPFRangeBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
LargeChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
Maximum | 範囲要素に指定できる最大の値。 (WPFRangeBase から継承されました)
Minimum | 範囲要素に指定できる最小の値。 (WPFRangeBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SmallChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFRadioButton クラス

説明

ラジオ ボタンを表します。

継承階層

  • WPFToggleButton
    • WPFRadioButton

構文

C#
public class WPFRadioButton : WPFToggleButton,
VB
'Declaration
Public Class WPFRadioButton _
Inherits WPFToggleButton

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
GroupName | このラジオ ボタンのグループ名。
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsChecked | ボタンがチェックされているかどうか。 (WPFToggleButton から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsThreeState | コントロールが 2 つの状態をサポートするのか 3 つの状態をサポートするのか。 (WPFToggleButton から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
State | ボタンの状態。 (WPFToggleButton から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ボタンをチェックします。 (WPFToggleButton から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetIndeterminate | ボタンを不確定状態に設定します。 (WPFToggleButton から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | ボタンのチェックを外します。 (WPFToggleButton から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFRangeBase クラス

説明

特定の範囲内の値を持つ要素を表します。

継承階層

  • WPFControl
    • WPFRangeBase
      • WPFProgressBar
      • WPFScrollBar
      • WPFSlider

構文

C#
public class WPFRangeBase : WPFControl,
VB
'Declaration
Public Class WPFRangeBase _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
LargeChange | RangeBase コントロールの値に対して加算または減算する値。
Maximum | 範囲要素に指定できる最大の値。
Minimum | 範囲要素に指定できる最小の値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SmallChange | RangeBase コントロールの値に対して加算または減算する値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFRepeatButton クラス

説明

コントロールが押されてから離されるまで、その選択イベントを繰り返し発生させるコントロールを表します。

継承階層

  • WPFButtonBase
    • WPFRepeatButton

構文

C#
public class WPFRepeatButton : WPFButtonBase,
VB
'Declaration
Public Class WPFRepeatButton _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
Delay | RepeatButton が押されている間に、繰り返しが開始されるまで待機する時間 (ミリ秒単位) 。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
Interval | 繰り返しが開始された後の繰り返し間隔 (ミリ秒単位) 。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFRichTextBox クラス

説明

RichTextBox コントロールを表します。

継承階層

  • WPFTextBoxBase
    • WPFRichTextBox

構文

C#
public class WPFRichTextBox : WPFTextBoxBase,
VB
'Declaration
Public Class WPFRichTextBox _
Inherits WPFTextBoxBase

プロパティ

名前 | 説明
AcceptsReturn | ユーザーが Enter キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。 (WPFTextBoxBase から継承されました)
AcceptsTab | ユーザーが Tab キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。 (WPFTextBoxBase から継承されました)
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
AutoWordSelection | マウスのドラッグによって単語の一部が選択された場合に、単語の残りの部分を選択するかどうかを指定する値。 (WPFTextBoxBase から継承されました)
CanRedo | 最新の取り消し操作をやり直すことができるかどうかを示す値。 (WPFTextBoxBase から継承されました)
CanUndo | 最新の操作を元に戻すことができるかどうかを示す値。 (WPFTextBoxBase から継承されました)
CaretIndex | キャレットの挿入位置インデックス。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HorizontalScrollBarVisibility | 水平スクロール バーが表示されるかどうかを示す値。 (WPFTextBoxBase から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | コントロールに対してユーザーが操作するテキスト編集コントロールが読み取り専用かどうかを示す値。 (WPFTextBoxBase から継承されました)
IsSpellCheckEnabled | スペル チェックが有効かどうか。 (WPFTextBoxBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsUndoEnabled | テキスト編集コントロールの取り消しのサポートが有効かどうかを示す値。 (WPFTextBoxBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedText | テキスト ボックス内の現在の選択の内容。 このプロパティを取得すると現在の文字列のコピーが返されます。 このプロパティを設定すると現在の選択範囲が指定された文字列で置換されます。
SelectionLength | テキスト ボックス内の現在の選択範囲の文字数。
SelectionStart | 現在の選択範囲の開始位置の文字インデックス。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollBarVisibility | 垂直スクロール バーが表示されるかどうかを示す値。 (WPFTextBoxBase から継承されました)

メソッド

名前 | 説明
AppendText | テキスト コントロールのコンテンツに文字列を追加します。 (WPFTextBoxBase から継承されました)
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | RichTextBox のすべてのコンテンツをクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Copy | テキスト編集コントロールの現在の選択範囲をクリップボードにコピーします。 (WPFTextBoxBase から継承されました)
Cut | テキスト編集コントロールの現在の選択範囲を削除してクリップボードにコピーします。 (WPFTextBoxBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
Paste | テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。 (WPFTextBoxBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Redo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位をやり直します。 (WPFTextBoxBase から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキスト ボックス内のテキストの範囲を選択します。
SelectAll | テキスト編集コントロールのすべての内容を選択します。 (WPFTextBoxBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキストを設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Undo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位を取り消します。 (WPFTextBoxBase から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFScrollBar クラス

説明

その位置が値に対応するスライディング Thumb の付いた、スクロール バーを提供するコントロールを表します。

継承階層

  • WPFRangeBase
    • WPFScrollBar

構文

C#
public class WPFScrollBar : WPFRangeBase,
VB
'Declaration
Public Class WPFScrollBar _
Inherits WPFRangeBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
LargeChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
Maximum | 範囲要素に指定できる最大の値。 (WPFRangeBase から継承されました)
Minimum | 範囲要素に指定できる最小の値。 (WPFRangeBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Orientation | ScrollBar を水平または垂直のどちらで表示するか。
SmallChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
ViewportSize | 現在表示されるスクロール可能なコンテンツの量。 これは依存関係プロパティです。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetValue | ScrollBar の値を設定します。
SetValueToMaximum | ScrollBar を最大値に設定します。
SetValueToMinimum | ScrollBar を最小値に設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFScrollViewer クラス

説明

表示される他の要素を格納できるスクロール可能な領域を表します。

継承階層

  • WPFContentControl
    • WPFScrollViewer

構文

C#
public class WPFScrollViewer : WPFContentControl,
VB
'Declaration
Public Class WPFScrollViewer _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFSelector クラス

説明

ユーザーが子要素から項目を選択できるようにするコントロールを表します。

継承階層

  • WPFItemsControl
    • WPFSelector
      • WPFComboBox
      • WPFListBox
      • WPFMultiSelector
      • WPFTabControl

構文

C#
public class WPFSelector : WPFItemsControl,
VB
'Declaration
Public Class WPFSelector _
Inherits WPFItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFSlider クラス

説明

ユーザーが Track に沿って Thumb コントロールを移動することにより一定範囲から値を選択できるコントロールを表します。

継承階層

  • WPFRangeBase
    • WPFSlider

構文

C#
public class WPFSlider : WPFRangeBase,
VB
'Declaration
Public Class WPFSlider _
Inherits WPFRangeBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Delay | RepeatButton が押されている間に、Thumb を移動するコマンドが実行されるまで待機する時間 (ミリ秒単位) 。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsDirectionReversed | 値を増加させる方向。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsMoveToPointEnabled | マウス ポインターが Slider トラック上にある間にマウス クリックが生じた場合、その位置に Slider の Thumb を直ちに移動させるかどうかを示す値。
IsSelectionRangeEnabled | Slider で、Slider に沿って選択範囲を表示するかどうかを示す値。
IsSnapToTickEnabled | Slider で、最も近い目盛りに Thumb を自動的に移動するかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
LargeChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
Maximum | 範囲要素に指定できる最大の値。 (WPFRangeBase から継承されました)
Minimum | 範囲要素に指定できる最小の値。 (WPFRangeBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Orientation | Slider を水平または垂直のどちらで表示するか。
SelectionEnd | Slider で指定された選択範囲の最大値。
SelectionStart | Slider で指定された選択範囲の最小値。
SmallChange | RangeBase コントロールの値に対して加算または減算する値。 (WPFRangeBase から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
TickFrequency | 目盛りの間隔。
TickPlacement | Slider の目盛りを配置する場合の Track に対する位置。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DecreaseLarge | Slider の値を大きい単位で減らします。
DecreaseSmall | Slider の値を小さい単位で減らします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
IncreaseLarge | Slider の値を大きい単位で増やします。
IncreaseSmall | Slider の値を小さい単位で増やします。
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetValue | Slider の値を設定します。
SetValueToMaximum | Slider を最大の位置に設定します。
SetValueToMinimum | Slider を最小の位置に設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFStatusBar クラス

説明

アプリケーション ウィンドウの水平バーに項目および情報を表示するコントロールを表します。

継承階層

  • WPFItemsControl
    • WPFStatusBar

構文

C#
public class WPFStatusBar : WPFItemsControl,
VB
'Declaration
Public Class WPFStatusBar _
Inherits WPFItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFStatusBarItem クラス

説明

StatusBar コントロールの項目を表します。

継承階層

  • WPFContentControl
    • WPFStatusBarItem

構文

C#
public class WPFStatusBarItem : WPFContentControl,
VB
'Declaration
Public Class WPFStatusBarItem _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFStickyNoteControl クラス

説明

入力したテキストまたは手書きの注釈をユーザーがドキュメントに結び付けることができるコントロールを表します。

継承階層

  • WPFControl
    • WPFStickyNoteControl

構文

C#
public class WPFStickyNoteControl : WPFControl,
VB
'Declaration
Public Class WPFStickyNoteControl _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Author | 付箋を作成した作成者の名前。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsExpanded | StickyNoteControl が展開されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 付箋を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 付箋を展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTabControl クラス

説明

画面上の同じスペースを共有する複数の項目で構成されるコントロールを表します。

継承階層

  • WPFSelector
    • WPFTabControl

構文

C#
public class WPFTabControl : WPFSelector,
VB
'Declaration
Public Class WPFTabControl _
Inherits WPFSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。 (WPFSelector から継承されました)
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTabItem クラス

説明

TabControl 内の選択可能な項目を表します。

継承階層

  • WPFHeaderedContentControl
    • WPFTabItem

構文

C#
public class WPFTabItem : WPFHeaderedContentControl,
VB
'Declaration
Public Class WPFTabItem _
Inherits WPFHeaderedContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | タブ項目が選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 項目の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTextBlock クラス

説明

単一のコンテンツを含むコントロールを表します。

継承階層

  • WPFFrameworkElement
    • WPFTextBlock

構文

C#
public class WPFTextBlock : WPFFrameworkElement,
VB
'Declaration
Public Class WPFTextBlock _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。
FontSize | TextBlock のトップレベルのフォント サイズ。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
TextAlignment | テキスト コンテンツの水平方向の配置を示す値。
TextTrimming | コンテンツ領域がいっぱいになったときに使用するテキストのトリミング動作。
TextWrapping | TextBlock のテキスト折り返し方法を示す値。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTextBox クラス

説明

書式なしテキストの表示や編集に使用できるコントロールを表します。

継承階層

  • WPFTextBoxBase
    • WPFTextBox

構文

C#
public class WPFTextBox : WPFTextBoxBase,
VB
'Declaration
Public Class WPFTextBox _
Inherits WPFTextBoxBase

プロパティ

名前 | 説明
AcceptsReturn | ユーザーが Enter キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。 (WPFTextBoxBase から継承されました)
AcceptsTab | ユーザーが Tab キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。 (WPFTextBoxBase から継承されました)
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
AutoWordSelection | マウスのドラッグによって単語の一部が選択された場合に、単語の残りの部分を選択するかどうかを指定する値。 (WPFTextBoxBase から継承されました)
CanRedo | 最新の取り消し操作をやり直すことができるかどうかを示す値。 (WPFTextBoxBase から継承されました)
CanUndo | 最新の操作を元に戻すことができるかどうかを示す値。 (WPFTextBoxBase から継承されました)
CaretIndex | キャレットの挿入位置インデックス。
CharacterCasing | テキスト ボックスに手動で文字を入力した場合に大文字で入力されるか小文字で入力されるか。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HorizontalScrollBarVisibility | 水平スクロール バーが表示されるかどうかを示す値。 (WPFTextBoxBase から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | コントロールに対してユーザーが操作するテキスト編集コントロールが読み取り専用かどうかを示す値。 (WPFTextBoxBase から継承されました)
IsSpellCheckEnabled | スペル チェックが有効かどうか。 (WPFTextBoxBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsUndoEnabled | テキスト編集コントロールの取り消しのサポートが有効かどうかを示す値。 (WPFTextBoxBase から継承されました)
LineCount | テキスト ボックス内の行の合計数。
MaxLength | テキスト ボックスに手動で入力できる最大文字数。
MaxLines | 表示行の最大数。
MinLines | 表示行の最小数。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedText | テキスト ボックス内の現在の選択の内容。 このプロパティを取得すると現在のテキストの文字列のコピーが返されます。 このプロパティを設定すると現在の選択範囲が指定された文字列で置換されます。
SelectionLength | テキスト ボックス内の現在の選択範囲の文字数。
SelectionStart | 現在の選択範囲の開始位置の文字インデックス。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
TextAlignment | テキスト ボックスのコンテンツの水平方向の配置を示す値。
TextWrapping | テキスト ボックスのテキスト折り返し方法を示す値。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollBarVisibility | 垂直スクロール バーが表示されるかどうかを示す値。 (WPFTextBoxBase から継承されました)

メソッド

名前 | 説明
AppendText | テキスト コントロールのコンテンツに文字列を追加します。 (WPFTextBoxBase から継承されました)
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Clear | テキスト ボックスのすべてのコンテンツをクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Copy | テキスト編集コントロールの現在の選択範囲をクリップボードにコピーします。 (WPFTextBoxBase から継承されました)
Cut | テキスト編集コントロールの現在の選択範囲を削除してクリップボードにコピーします。 (WPFTextBoxBase から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCharacterIndexFromLineIndex | 指定した行の最初の文字を示す 0 を基準としたインデックス値を返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFirstVisibleLineIndex | 現在テキスト ボックスに表示されている最初の行に対応する行インデックスを返します。
GetLastVisibleLineIndex | 現在テキスト ボックスに表示されている最後の行に対応する行インデックスを返します。
GetLineIndexFromCharacterIndex | 指定された文字インデックスが含まれている行に対応する、0 を基準とした行インデックスを返します。
GetLineLength | 指定した行の文字の数を返します。
GetLineText | 指定した行に現在表示されているテキストを返します。
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
Paste | テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。 (WPFTextBoxBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Redo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位をやり直します。 (WPFTextBoxBase から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToLine | 指定された行インデックス位置の行が表示されるまでスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | テキスト ボックス内のテキストの範囲を選択します。
SelectAll | テキスト編集コントロールのすべての内容を選択します。 (WPFTextBoxBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキストを設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Undo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位を取り消します。 (WPFTextBoxBase から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTextBoxBase クラス

説明

単一のコンテンツを含むコントロールを表します。

継承階層

  • WPFControl
    • WPFTextBoxBase
      • WPFRichTextBox
      • WPFTextBox

構文

C#
public class WPFTextBoxBase : WPFControl,
VB
'Declaration
Public Class WPFTextBoxBase _
Inherits WPFControl

プロパティ

名前 | 説明
AcceptsReturn | ユーザーが Enter キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。
AcceptsTab | ユーザーが Tab キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
AutoWordSelection | マウスのドラッグによって単語の一部が選択された場合に、単語の残りの部分を選択するかどうかを指定する値。
CanRedo | 最新の取り消し操作をやり直すことができるかどうかを示す値。
CanUndo | 最新の操作を元に戻すことができるかどうかを示す値。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HorizontalScrollBarVisibility | 水平スクロール バーが表示されるかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | コントロールに対してユーザーが操作するテキスト編集コントロールが読み取り専用かどうかを示す値。
IsSpellCheckEnabled | スペル チェックが有効かどうか。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsUndoEnabled | テキスト編集コントロールの取り消しのサポートが有効かどうかを示す値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VerticalScrollBarVisibility | 垂直スクロール バーが表示されるかどうかを示す値。

メソッド

名前 | 説明
AppendText | テキスト コントロールのコンテンツに文字列を追加します。
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Copy | テキスト編集コントロールの現在の選択範囲をクリップボードにコピーします。
Cut | テキスト編集コントロールの現在の選択範囲を削除してクリップボードにコピーします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
Paste | テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Redo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位をやり直します。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectAll | テキスト編集コントロールのすべての内容を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Undo | 最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位を取り消します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFThumb クラス

説明

ユーザーがドラッグできるコントロールを表します。

継承階層

  • WPFControl
    • WPFThumb
      • WPFGridSplitter

構文

C#
public class WPFThumb : WPFControl,
VB
'Declaration
Public Class WPFThumb _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
DragCancel | ドラッグ操作をキャンセルします。
DragComplete | ドラッグ操作を完了します。
DragDelta | 現在のドラッグ操作の変化量です。
DragStart | ドラッグ操作を開始します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTickBar クラス

説明

Slider コントロールの目盛りを描画するコントロールを表します。

継承階層

  • WPFFrameworkElement
    • WPFTickBar

構文

C#
public class WPFTickBar : WPFFrameworkElement,
VB
'Declaration
Public Class WPFTickBar _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToggleButton クラス

説明

状態を切り替えることができるボタンを表します。

継承階層

  • WPFButtonBase
    • WPFToggleButton
      • WPFCheckBox
      • WPFRadioButton

構文

C#
public class WPFToggleButton : WPFButtonBase,
VB
'Declaration
Public Class WPFToggleButton _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsChecked | ボタンがチェックされているかどうか。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsThreeState | コントロールが 2 つの状態をサポートするのか 3 つの状態をサポートするのか。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
State | ボタンの状態。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | ボタンをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetIndeterminate | ボタンを不確定状態に設定します。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | ボタンのチェックを外します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolBar クラス

説明

コマンドまたはコントロールのグループのコンテナーを提供します。

継承階層

  • WPFHeaderedItemsControl
    • WPFToolBar

構文

C#
public class WPFToolBar : WPFHeaderedItemsControl,
VB
'Declaration
Public Class WPFToolBar _
Inherits WPFHeaderedItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
HasOverflowItems | ツールバーに表示されない項目が含まれているかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsOverflowOpen | ツールー バー オーバーフロー領域が現在表示されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Orientation | ToolBar の向き。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
CloseOverflowItems | オーバーフロー ツールバー項目の領域を閉じます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
OpenOverflowItems | オーバーフロー ツールバー項目の領域を開きます。
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolBarTray クラス

説明

ToolBar のレイアウトを処理するコンテナーを表します。

継承階層

  • WPFFrameworkElement
    • WPFToolBarTray

構文

C#
public class WPFToolBarTray : WPFFrameworkElement,
VB
'Declaration
Public Class WPFToolBarTray _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsLocked | ToolBar を ToolBarTray 内に移動できるかどうかを示す値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Orientation | ToolBarTray の向き。
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolBars | ToolBarTray 内の ToolBar 要素のコレクション。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitCalendar クラス

説明

ユーザーがビジュアルな予定表を使用して日付を選択できるコントロールを表します。

継承階層

  • WPFControl
    • WPFToolkitCalendar

構文

C#
public class WPFToolkitCalendar : WPFControl,
VB
'Declaration
Public Class WPFToolkitCalendar _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
BlackoutDates | 選択不可としてマークされている日付のリスト。
DisplayDate | 表示する日付。
DisplayDateEnd | カレンダーで利用可能な日付の範囲における最後の日付。
DisplayDateStart | カレンダーで利用可能な最初の日付。
DisplayMode | カレンダーで月、年、10 年のいずれを表示するかを指定する値。
FirstDayOfWeek | 週の初めと考えられる曜日。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTodayHighlighted | 現在の日付がハイライトされるかどうかを示す値。
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedDate | 現在選択されている日付。
SelectedDates | 選択された日付のリスト。
SelectionMode | 許可されている選択の種類を示す値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectDate | 指定した日付を選択して、現在の選択をクリアします。
SelectDates | 指定した日付を選択して、現在の選択をクリアします。
SelectRange | 日付の範囲を選択します。
SetDisplayDate | 表示する日付を設定します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDataGrid クラス

説明

カスタマイズできるグリッドにデータを表示するコントロールを表します。

継承階層

  • WPFMultiSelector
    • WPFToolkitDataGrid

構文

C#
public class WPFToolkitDataGrid : WPFMultiSelector,
VB
'Declaration
Public Class WPFToolkitDataGrid _
Inherits WPFMultiSelector

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Columns | データ グリッドのすべての列を含むコレクション。
CurrentCell | フォーカスがあるセル。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | データ グリッド内の値をユーザーが編集できるかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedCell | データ グリッドで選択されたセル。
SelectedCells | 現在選択されているセルのリスト。
SelectedCellText | データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空の文字列。
SelectedCellTexts | データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空のリスト。
SelectedIndex | 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 (WPFSelector から継承されました)
SelectedItem | 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。 (WPFSelector から継承されました)
SelectedItems | 選択された MultiSelector の項目。 (WPFMultiSelector から継承されました)
SelectedItemText | 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。 (WPFSelector から継承されました)
SelectedItemTexts | 選択された MultiSelector の項目のテキスト。 (WPFMultiSelector から継承されました)
SelectionMode | データ グリッド内の行やセルの選択方法を示す値。
SelectionUnit | データ グリッドで選択できるのが行、セル、または両方かどうかを示す値。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BeginEdit | 指定したセルの編集を開始します。
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CancelEdit | 編集したセルをキャンセルします。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
CommitEdit | 編集したセルをコミットします。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 指定したセルをビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。 (WPFSelector から継承されました)
SelectCell | 指定したセルを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDataGridCell クラス

説明

データ グリッド コントロールのセルを表します。

継承階層

  • WPFControl
    • WPFToolkitDataGridCell

構文

C#
public class WPFToolkitDataGridCell : WPFControl,
VB
'Declaration
Public Class WPFToolkitDataGridCell _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEditing | セルが編集モードであるかどうかを示す値。
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsReadOnly | セルを編集モードにすることができるかどうかを示す値。
IsSelected | セルが選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | セルの選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | セルをビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | セルを選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDataGridColumnHeader クラス

説明

個々のデータ グリッド列ヘッダーを表します。

継承階層

  • WPFButtonBase
    • WPFToolkitDataGridColumnHeader

構文

C#
public class WPFToolkitDataGridColumnHeader : WPFButtonBase,
VB
'Declaration
Public Class WPFToolkitDataGridColumnHeader _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDataGridRow クラス

説明

データ グリッド行を表します。

継承階層

  • WPFControl
    • WPFToolkitDataGridRow

構文

C#
public class WPFToolkitDataGridRow : WPFControl,
VB
'Declaration
Public Class WPFToolkitDataGridRow _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Cells | データ グリッドのセル。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsSelected | 行が選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Deselect | 行の選択を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollIntoView | 行をビューにスクロールします。
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | 行を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDataGridRowHeader クラス

説明

個々のデータ グリッド行ヘッダーを表します。

継承階層

  • WPFButtonBase
    • WPFToolkitDataGridRowHeader

構文

C#
public class WPFToolkitDataGridRowHeader : WPFButtonBase,
VB
'Declaration
Public Class WPFToolkitDataGridRowHeader _
Inherits WPFButtonBase

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ClickMode | ボタンをクリックできるかどうかを指定する値。 (WPFButtonBase から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | ボタンを選択します。 (WPFButtonBase から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolkitDatePicker クラス

説明

ユーザーが日付を選択できるコントロールを表します。

継承階層

  • WPFControl
    • WPFToolkitDatePicker

構文

C#
public class WPFToolkitDatePicker : WPFControl,
VB
'Declaration
Public Class WPFToolkitDatePicker _
Inherits WPFControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedDate | 現在選択されている日付。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearSelection | 選択範囲をクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SelectDate | 指定した日付を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFToolTip クラス

説明

ツールチップを表します。

継承階層

  • WPFContentControl
    • WPFToolTip

構文

C#
public class WPFToolTip : WPFContentControl,
VB
'Declaration
Public Class WPFToolTip _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTrack クラス

説明

Value を設定するために使用される 1 つの Thumb コントロールと 2 つの RepeatButton コントロールの位置とサイズを処理するコントロール プリミティブを表します。

継承階層

  • WPFFrameworkElement
    • WPFTrack

構文

C#
public class WPFTrack : WPFFrameworkElement,
VB
'Declaration
Public Class WPFTrack _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTreeView クラス

説明

項目を展開したり折りたたんだりできるツリー構造で階層データを表示するコントロールを表します。

継承階層

  • WPFItemsControl
    • WPFTreeView

構文

C#
public class WPFTreeView : WPFItemsControl,
VB
'Declaration
Public Class WPFTreeView _
Inherits WPFItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
ColumnHeaders | ヘッダー列。
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
SelectedItem | 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。
SelectedItemPath | 選択された項目パスを取得します。選択されていない場合は空の項目パス。
SelectedItemText | 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
VisibleItemPaths | ツリーに表示される項目の項目パス。

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 指定した項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 指定した項目を展開します。
ExpandAll | ツリー内のすべての項目を展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | 指定した項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFTreeViewItem クラス

説明

TreeView コントロール内の選択可能な項目を表します。

継承階層

  • WPFHeaderedItemsControl
    • WPFTreeViewItem

構文

C#
public class WPFTreeViewItem : WPFHeaderedItemsControl,
VB
'Declaration
Public Class WPFTreeViewItem _
Inherits WPFHeaderedItemsControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasItems | ItemsControl に項目が含まれているかどうかを示す値。 (WPFItemsControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsExpanded | TreeViewItem 内の入れ子になった項目が展開されているか、折りたたまれているか。
IsSelected | ツリー ビュー項目が選択されているかどうかを示す値。
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
IsTextSearchEnabled | ItemsControl インスタンスで TextSearch が有効かどうかを示す値。 (WPFItemsControl から継承されました)
Items | 項目の完全なリスト。 (WPFItemsControl から継承されました)
ItemTexts | 項目テキストの完全なリスト。 (WPFItemsControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Collapse | 項目を折りたたみます。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Expand | 項目を展開します。
ExpandSubTree | このツリー項目の下のサブツリーを展開します。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
Select | 項目を選択します。
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFUserControl クラス

説明

コントロールを作成するための簡単な方法を提供します。 ユーザー コントロールとのやり取りに難する詳細な情報については、『カスタム コントロール』を参照してください。

継承階層

  • WPFContentControl
    • WPFUserControl

構文

C#
public class WPFUserControl : WPFContentControl,
VB
'Declaration
Public Class WPFUserControl _
Inherits WPFContentControl

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFViewport3D クラス

説明

3D ビジュアル コンテンツの描画サーフェイスを提供します。

継承階層

  • WPFFrameworkElement
    • WPFViewport3D

構文

C#
public class WPFViewport3D : WPFFrameworkElement,
VB
'Declaration
Public Class WPFViewport3D _
Inherits WPFFrameworkElement

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFVisual3D クラス

説明

ヒット テスト、座標変換、境界ボックス計算など、ビジュアル 3-D オブジェクトに共通のサービスとプロパティを提供します。

継承階層

  • WPFBase
    • WPFVisual3D

構文

C#
public class WPFVisual3D : WPFBase,
VB
'Declaration
Public Class WPFVisual3D _
Inherits WPFBase

プロパティ

名前 | 説明
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)

メソッド

名前 | 説明
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


WPFWindow クラス

説明

ウィンドウおよびダイアログ ボックスの作成、構成、表示、および有効期間の管理を可能にします。

継承階層

  • WPFContentControl
    • WPFWindow
      • WPFNavigationWindow

構文

C#
public class WPFWindow : WPFContentControl, IMoveable
VB
'Declaration
Public Class WPFWindow _
Inherits WPFContentControl _
Implements IMoveable

プロパティ

名前 | 説明
ActualHeight | この要素の描画する高さ。 (WPFFrameworkElement から継承されました)
ActualWidth | この要素の描画する幅。 (WPFFrameworkElement から継承されました)
Content | コントロールのコンテンツ。 (WPFContentControl から継承されました)
FontFamily | TextBlock のトップレベルの優先フォント ファミリー。 (WPFControl から継承されました)
FontSize | TextBlock のトップレベルのフォント サイズ。 (WPFControl から継承されました)
HasContent | ContentControl にコンテンツが含まれているかどうかを示す値。 (WPFContentControl から継承されました)
IsEnabled | この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。 (WPFBase から継承されました)
IsTabStop | コントロールがタブ ナビゲーションに含まれるかどうかを示す値。 (WPFControl から継承されました)
Name | 要素の識別名。 (WPFFrameworkElement から継承されました)
TabIndex | ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。 (WPFControl から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Title | ウィンドウのタイトル。
ToolTip | ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。 (WPFBase から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
Activate | ウィンドウを前面に表示して、アクティブ化を試みます。
BringIntoView | この要素をビューに表示することを試みます。 (WPFBase から継承されました)
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetMaximumScrollPosition | ScrollViewer の最大位置を取得します。 (IWPFScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetScrollPosition | ScrollViewer の位置を返します。 (IWPFScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
LoadAssembly | WPF アプリケーションで指定したパスのアセンブリをロードします。
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (WPFBase から継承されました)
OpenContextMenuSelect | コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します (WPFBase から継承されました)
PointFromScreen | 画面座標における Point を、Visual の現在の座標系を表す Point に変換します。 (WPFFrameworkElement から継承されました)
PointToScreen | Visual の現在の座標系を表す Point を、画面座標における Point に変換します。 (WPFFrameworkElement から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
Scroll | ScrollViewer の値を指定した scrolldestination に設定します。 (IWPFScrollable から継承されました)
ScrollToPosition | ScrollViewer の位置を設定します。 (IWPFScrollable から継承されました)
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: WPF クラス リファレンス


xBrowser クラス リファレンス

xBrowser コントロールのテストに利用可能なクラスを一覧します。

  • BrowserApplication クラス
    ブラウザー アプリケーションのトップ レベル ウィンドウを表します。
  • BrowserObject クラス
    BrowserApplication 内に含まれているすべてのオブジェクトの基本クラスです。
  • BrowserWindow クラス
    ブラウザー ウィンドウは Web ページのトップ レベル コンテナーです。 DomElement を使って DOM ツリーにアクセスできます。 たとえば、IE7 ではタブ、SWT では埋め込みブラウザー コントロールになります。
  • DomButton クラス
    DomButton は次のタグのいずれかを使用して指定されるすべての DOM 要素を表します： <input type='submit'>、<input type='reset'>、<input type='button'>、または <button>。
  • DomCheckBox クラス
    DomCheckBox は <input type='checkbox'> タグを使用して指定されるすべての DOM 要素を表します。
  • DomDataList クラス
    DomDataList は、<datalist> 要素であらかじめ定義された値を持つ入力要素を表します。
  • DomElement クラス
    DomElement は DOM ツリーの任意の要素を表します。
  • DomEmbeddedElement クラス
    <embed> タグ、または <object> タグで指定された DOM 要素。
  • DomForm クラス
    DomForm は <form> タグを使用して指定されるすべての DOM 要素を表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。
  • DomLink クラス
    DomLink は <a> タグを使用して指定されるすべての DOM 要素を表します。
  • DomListBox クラス
    DomListBox は <select> タグを使用して指定されるすべての DOM 要素を表します。
  • DomRadioButton クラス
    DomRadioButton は <input type='radio'> タグを使用して指定されるすべての DOM 要素を表します。
  • DomTable クラス
    DomTable は <table> タグを表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。
  • DomTableRow クラス
    DomTableRow は <tr> タグを表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。
  • DomTextField クラス
    DomTextField は次のタグのいずれかを使用して指定されるすべての DOM 要素を表します： <input type='text'>、<input type='password'>、<input type='file'>、または <textarea>。
  • IItemSelectable インターフェイス
    ItemSelectable は、選択可能な項目のリストを提供します。
親トピック: Silk4NET 言語リファレンス
関連概念
xBrowser でのテスト オブジェクト
関連資料
xBrowser クラス リファレンス


BrowserApplication クラス

説明

ブラウザー アプリケーションのトップ レベル ウィンドウを表します。

メモ: BrowserApplication は BaseGuiTestObject から派生されており、2 つのスクロール バー メソッド GetHorizontalBar と GetVerticalBar を継承しています。 ただし、これら 2 つのメソッドは、BrowserApplication では機能しません。

継承階層

  • Window
    • BrowserApplication

構文

C#
public class BrowserApplication : Window,
VB
'Declaration
Public Class BrowserApplication _
Inherits Window

プロパティ

名前 | 説明
Application | このウィンドウが属するアプリケーションの名前。 (Window から継承されました)
Background | GUI オブジェクトの背景色。 (GuiTestObject から継承されました)
Enabled | GUI オブジェクトが有効かどうか。 (GuiTestObject から継承されました)
Font | GUI オブジェクトのフォントの種類。 (GuiTestObject から継承されました)
Foreground | GUI オブジェクトの前景色。 (GuiTestObject から継承されました)
NativeHandle | オブジェクトのネイティブ ウィンドウ ハンドル。 (INativeWindow から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (GuiTestObject から継承されました)
WindowState | ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。 (IMoveable から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearCache | ブラウザーのキャッシュをクリアします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | ウィンドウを閉じます。 (IMoveable から継承されました)
CloseOtherTabs | アクティブなタブ以外のすべてのタブを閉じます。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 このメソッドは選択されているタブ以外のすべてのタブを現在表示されていないタブも含めて閉じます。 このメソッドはモバイル Web アプリケーションではサポートされていません。
CloseSynchron | ウィンドウを閉じ、ウィンドウが実際に閉じられるまで待ちます。 (IMoveable から継承されました)
CloseTab | 指定したタブを閉じます。 タブが指定されていない場合、アクティブなタブが閉じられます。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、現在表示されているタブだけが、インデックスの影響を受けるこの方式と機能します。 たとえば、現在表示されているタブだけを閉じることができます。 インデックス 0 は最初の表示されているタブを識別します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
ExistsTab | タブが存在する場合に true、それ以外は false を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetActiveTab | アクティブなタブを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCloseWindows | アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。 (IMoveable から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetFocus | 入力フォーカスを持つオブジェクトを返します。 (IMoveable から継承されました)
GetHorizontalBar | このコントロールの水平スクロール バーを返します。 (IScrollable から継承されました)
GetNextCloseWindow | アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。 (IMoveable から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetSelectedTab | 現在選択されているタブを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetSelectedTabIndex | アクティブなタブのインデックスを返します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、このメソッドは現在表示されているタブに相対的なインデックスのみを返します。 インデックス 0 は最初の表示されているタブを識別します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetSelectedTabName | アクティブなタブの名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetTabCount | 開いているタブの数を返します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、このメソッドは現在表示されているタブの数のみを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetVerticalBar | このコントロールの垂直スクロール バーを返します。 (IScrollable から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsActive | ウィンドウがアクティブに設定されているかどうかを返します。 (IMoveable から継承されました)
IsFocused | コントロールがフォーカスを持つかどうかを返します。 (IFocusable から継承されました)
Maximize | ウィンドウを最大化します。 (IMoveable から継承されました)
Minimize | ウィンドウを最小化します。 (IMoveable から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Move | ウィンドウを移動します。 (IMoveable から継承されました)
Navigate | 現在アクティブなタブ/ウィンドウで指定した URL に移動します
OpenContextMenu | 指定した位置でコンテキスト メニューを開きます。 (BaseGuiTestObject から継承されました)
OpenTab | 新しいタブを開き、指定した URL に移動します。 URL が指定されていない場合には、タブは about:blank に移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Restore | ウィンドウを元のサイズに戻します。 (IMoveable から継承されました)
SelectTab | 指定したタブを選択します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、現在表示されているタブだけが、インデックスの影響を受けるこの方式と機能します。 たとえば、現在表示されているタブだけが選択することができます。 インデックス 0 は最初の表示されているタブを選択します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
SetActive | ウィンドウをアクティブにします。 (IMoveable から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (IFocusable から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
Size | ウィンドウのサイズを変更します。 (IMoveable から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


BrowserObject クラス

説明

BrowserApplication 内に含まれているすべてのオブジェクトの基本クラスです。

継承階層

  • TestObject
    • BrowserObject
      • BrowserWindow
      • DomElement

構文

C#
public class BrowserObject : TestObject, IClickable, IKeyable
VB
'Declaration
Public Class BrowserObject _
Inherits TestObject _
Implements IClickable, IKeyable

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
SetFocus | コントロールにフォーカスを与えます。
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


BrowserWindow クラス

説明

ブラウザー ウィンドウは Web ページのトップ レベル コンテナーです。 DomElement を使って DOM ツリーにアクセスできます。 たとえば、IE7 ではタブ、SWT では埋め込みブラウザー コントロールになります。

継承階層

  • BrowserObject
    • BrowserWindow

構文

C#
public class BrowserWindow : BrowserObject,
VB
'Declaration
Public Class BrowserWindow _
Inherits BrowserObject

プロパティ

名前 | 説明
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
ViewportHeight | ブラウザー ビューポートの高さ
ViewportName | ブラウザー ウィンドウの innerWidth と innerHeight に一致するビューポートの名前
ViewportOrientation | ブラウザー ビューポートの向き。 横向きか縦向きを指定できます。
ViewportWidth | ブラウザー ビューポートの幅
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
AcceptAlert | OK を押して JavaScript 警告を承認します。
Back | 履歴の "戻る" エントリに移動します。
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
CaptureFullPageBitmap | Web ページ全体のスクリーンショットをキャプチャして、指定したパスにファイルを保存します。 ファイル名の拡張子でファイルの種類を指定できます。 有効な拡張子は、.jpg、.jpeg、.png、.bmp です。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
Close | モーダル ブラウザー ダイアログ、ブラウザーのタブ、または最後のタブの場合は (または IE6 の場合) ブラウザー自身を閉じます。
DismissAlert | JavaScript 警告を解除します。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | トップ レベル ドキュメントのコンテキストで JavaScript コードを評価します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
Forward | 履歴の "進む" エントリに移動します。
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetAlertText | JavaScript 警告のメッセージ テキストを取得します。
GetBrowserMajorVersion | ブラウザーのメジャー バージョン番号を返します
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow の矩形領域を HTML ピクセルで取得します。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。
GetPageSource | Web サイトのページのソースを返します
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetUrl | メイン ドキュメントの URL を返します。
GetUserAgent | ブラウザーのユーザー エージェント文字列を返します。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsAlertPresent | JavaScript 警告が開いている場合に true を返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Navigate | メイン ドキュメントを URL に移動します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
Reload | ブラウザーの再読み込みボタンの動作と同様に、メイン ドキュメントを再読み込みします。
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetViewportName | ブラウザー ウィンドウのサイズをブラウザー サイズ リストで指定したサイズに設定します。
SetViewportSize | ブラウザー ウィンドウのサイズを指定した幅と高さに設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomButton クラス

説明

DomButton は次のタグのいずれかを使用して指定されるすべての DOM 要素を表します： <input type='submit'>、<input type='reset'>、<input type='button'>、または <button>。

継承階層

  • DomElement
    • DomButton

構文

C#
public class DomButton : DomElement,
VB
'Declaration
Public Class DomButton _
Inherits DomElement

プロパティ

名前 | 説明
IsFocused | DOM 要素がフォーカスを持っているかどうか。 (DomElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
Select | ボタンをクリックします。
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomCheckBox クラス

説明

DomCheckBox は <input type='checkbox'> タグを使用して指定されるすべての DOM 要素を表します。

継承階層

  • DomElement
    • DomCheckBox

構文

C#
public class DomCheckBox : DomElement,
VB
'Declaration
Public Class DomCheckBox _
Inherits DomElement

プロパティ

名前 | 説明
IsFocused | DOM 要素がフォーカスを持っているかどうか。 (DomElement から継承されました)
State | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Check | チェック ボックスをチェックします。
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
IsChecked | チェック ボックスがチェックされている場合は true を、それ以外の場合は false を返します。
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
Select | チェック ボックスを選択します
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetUndecided | チェック ボックスを未設定の状態に設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Toggle | チェック ボックスの状態を切り替えます。 チェック ボックスがチェックされている場合は、チェックを外し、そうでない場合はチェックします。 チェック ボックスが未設定の状態にある場合は、未設定のままになります。
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Uncheck | チェック ボックスのチェックを外します。
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomDataList クラス

説明

DomDataList は、<datalist> 要素であらかじめ定義された値を持つ入力要素を表します。

継承階層

  • DomTextField
    • DomDataList

構文

C#
public class DomDataList : DomTextField, IItemSelectable
VB
'Declaration
Public Class DomDataList _
Inherits DomTextField _
Implements IItemSelectable

プロパティ

名前 | 説明
IsFocused | DOM 要素がフォーカスを持っているかどうか。 (DomElement から継承されました)
IsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。 (DomTextField から継承されました)
ItemCount | リスト ボックスの項目の数。 (IItemSelectable から継承されました)
Items | リスト ボックスの項目のリスト。 (IItemSelectable から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearText | テキスト フィールドのテキストをクリアします (DomTextField から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
Select | 項目を選択します。 (IItemSelectable から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキストを設定します。 (DomTextField から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomElement クラス

説明

DomElement は DOM ツリーの任意の要素を表します。

継承階層

  • BrowserObject
    • DomElement
      • DomButton
      • DomCheckBox
      • DomEmbeddedElement
      • DomForm
      • DomLink
      • DomListBox
      • DomRadioButton
      • DomTable
      • DomTableRow
      • DomTextField

構文

C#
public class DomElement : BrowserObject,
VB
'Declaration
Public Class DomElement _
Inherits BrowserObject

プロパティ

名前 | 説明
IsFocused | DOM 要素がフォーカスを持っているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。
Highlight | DOM 要素をハイライトします。
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomEmbeddedElement クラス

説明

<embed> タグ、または <object> タグで指定された DOM 要素。

継承階層

  • DomElement
    • DomEmbeddedElement

構文

C#
public class DomEmbeddedElement : DomElement,
VB
'Declaration
Public Class DomEmbeddedElement _
Inherits DomElement

プロパティ

名前 | 説明
IsFocused | DOM 要素がフォーカスを持っているかどうか。 (DomElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomForm クラス

説明

DomForm は <form> タグを使用して指定されるすべての DOM 要素を表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。

継承階層

  • DomElement
    • DomForm

構文

C#
public class DomForm : DomElement,
VB
'Declaration
Public Class DomForm _
Inherits DomElement

プロパティ

名前 | 説明
IsFocused | DOM 要素がフォーカスを持っているかどうか。 (DomElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
Submit | フォームを送信します。
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomLink クラス

説明

DomLink は <a> タグを使用して指定されるすべての DOM 要素を表します。

継承階層

  • DomElement
    • DomLink

構文

C#
public class DomLink : DomElement,
VB
'Declaration
Public Class DomLink _
Inherits DomElement

プロパティ

名前 | 説明
IsFocused | DOM 要素がフォーカスを持っているかどうか。 (DomElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
Select | リンクをクリックします。
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomListBox クラス

説明

DomListBox は <select> タグを使用して指定されるすべての DOM 要素を表します。

継承階層

  • DomElement
    • DomListBox

構文

C#
public class DomListBox : DomElement, IItemSelectable
VB
'Declaration
Public Class DomListBox _
Inherits DomElement _
Implements IItemSelectable

プロパティ

名前 | 説明
AllowsMultiSelect | コントロールが複数選択可能かどうか。
IsFocused | DOM 要素がフォーカスを持っているかどうか。 (DomElement から継承されました)
ItemCount | リスト ボックスの項目の数。 (IItemSelectable から継承されました)
Items | リスト ボックスの項目のリスト。 (IItemSelectable から継承されました)
SelectedIndices | 選択した項目の索引。
SelectedItems | 選択した項目の名前。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
MultiSelect | 項目のリストを選択します。
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
Select | 項目を選択します。 (IItemSelectable から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Unselect | 項目の選択を解除します。
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomRadioButton クラス

説明

DomRadioButton は <input type='radio'> タグを使用して指定されるすべての DOM 要素を表します。

継承階層

  • DomElement
    • DomRadioButton

構文

C#
public class DomRadioButton : DomElement,
VB
'Declaration
Public Class DomRadioButton _
Inherits DomElement

プロパティ

名前 | 説明
IsFocused | DOM 要素がフォーカスを持っているかどうか。 (DomElement から継承されました)
RadioListItemCount | ラジオ リストの項目の数。 このプロパティはモバイル Web アプリケーションではサポートされていません。
RadioListItems | ラジオ リストの項目のリスト。
RadioListSelectedIndex | 選択する項目のインデックス。 このプロパティはモバイル Web アプリケーションではサポートされていません。
RadioListSelectedItem | ラジオ リストで選択されている項目。 このプロパティはモバイル Web アプリケーションではサポートされていません。
Selected | ラジオ ボタンが選択されているかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
RadioListSelect | ラジオ リストの項目を選択します。
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
Select | ラジオ ボタンを選択します。
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomTable クラス

説明

DomTable は <table> タグを表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。

継承階層

  • DomElement
    • DomTable

構文

C#
public class DomTable : DomElement,
VB
'Declaration
Public Class DomTable _
Inherits DomElement

プロパティ

名前 | 説明
IsFocused | DOM 要素がフォーカスを持っているかどうか。 (DomElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCell | 指定したセルを返します。
GetCellText | セル要素のコンテンツを返します。
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetColumnCount | テーブルの列の数を返します。
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetRow | 指定した行の DOM 要素を返します。
GetRowCount | 行の数を返します
GetRows | 行 (DomTableRow) のリストを返します。
GetRowText | 指定した行のすべてのセル要素のコンテンツを返します。
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomTableRow クラス

説明

DomTableRow は <tr> タグを表します。 このクラスのすべてのメソッドとプロパティはモバイル Web アプリケーションではサポートされていません。

継承階層

  • DomElement
    • DomTableRow

構文

C#
public class DomTableRow : DomElement,
VB
'Declaration
Public Class DomTableRow _
Inherits DomElement

プロパティ

名前 | 説明
IsFocused | DOM 要素がフォーカスを持っているかどうか。 (DomElement から継承されました)
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetCell | 指定したセルの DOM 要素を返します。
GetCellCount | このテーブル行のセルの数を返します
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


DomTextField クラス

説明

DomTextField は次のタグのいずれかを使用して指定されるすべての DOM 要素を表します： <input type='text'>、<input type='password'>、<input type='file'>、または <textarea>。

継承階層

  • DomElement
    • DomTextField
      • DomDataList

構文

C#
public class DomTextField : DomElement,
VB
'Declaration
Public Class DomTextField _
Inherits DomElement

プロパティ

名前 | 説明
IsFocused | DOM 要素がフォーカスを持っているかどうか。 (DomElement から継承されました)
IsPassword | テキスト フィールドがパスワード テキスト フィールドであるかどうか。
Text | コントロールのテキスト。 (TestObject から継承されました)
Value | コントロールの値（たとえば、テキスト コントロールのテキスト）。 (TestObject から継承されました)
Visible | オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。 (BrowserObject から継承されました)

メソッド

名前 | 説明
CaptureBitmap | このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。 (TestObject から継承されました)
ClearText | テキスト フィールドのテキストをクリアします
Click | オブジェクトをクリックします。 (IClickable から継承されました)
DomClick | DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。 (DomElement から継承されました)
DomDoubleClick | DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DomMouseMove | DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
DoubleClick | マウス ボタンをオブジェクト上でダブルクリックします。 (IClickable から継承されました)
ExecuteJavaScript | 親ドキュメントのコンテキストで指定した JavaScript コードを評価します。 (DomElement から継承されました)
Exists | ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。 (TestObject から継承されました)
Exists | オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。 (TestObject から継承されました)
Find | XPath ロケーターで指定したオブジェクトを検索します。 (TestObject から継承されました)
FindAll | XPath ロケーターで指定したすべてのオブジェクトを検索します。 (TestObject から継承されました)
GenerateLocator | このオブジェクトのロケーターを返します。 (TestObject から継承されました)
GetChildren | このオブジェクトの子オブジェクトを返します。 (TestObject から継承されました)
GetCssStyle | 指定したスタイル名の算出 CSS スタイルを取得します。 (DomElement から継承されました)
GetDomAttribute | オブジェクトに指定された DOM 属性の値を取得します。 (DomElement から継承されました)
GetDomAttributeList | この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (DomElement から継承されました)
GetDynamicMethodList | この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。 (TestObject から継承されました)
GetHtmlRect | BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。 (DomElement から継承されました)
GetParent | テスト アプリケーション内でこのオブジェクトの親を検索します。 (TestObject から継承されました)
GetProperty | 指定したプロパティの値を返します。 (TestObject から継承されました)
GetPropertyList | 指定したオブジェクトに対して取得できるプロパティ名のリストを返します。 (TestObject から継承されました)
GetRect | このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。 (TestObject から継承されました)
GetText | DOM 要素の表示されるテキストを取得します。 (DomElement から継承されました)
Highlight | DOM 要素をハイライトします。 (DomElement から継承されました)
HighlightObject | このオブジェクトをハイライトします。 (TestObject から継承されました)
ImageClick | 指定したイメージ資産をクリックします。 (TestObject から継承されました)
ImageClickFile | 指定したイメージをクリックします。 (TestObject から継承されました)
ImageExists | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageExistsFile | 指定したイメージが存在するかどうかを返します。 (TestObject から継承されました)
ImageRectangle | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
ImageRectangleFile | 指定したイメージのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
Invoke | テスト オブジェクトのメソッドを動的に呼び出します。 (TestObject から継承されました)
InvokeMethods | この TestObject から始まる一連のメソッドを動的に呼び出します。 (TestObject から継承されました)
MouseMove | オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
PressKeys | 一連のキーまたはマウス ボタンを押します（離しません）。 (IKeyable から継承されました)
PressMouse | オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ReleaseKeys | 一連のキーまたはマウス ボタンを離します。 (IKeyable から継承されました)
ReleaseMouse | マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。 (IClickable から継承されました)
ScrollIntoView | ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。 (DomElement から継承されました)
SetDomAttribute | オブジェクトに指定された DOM 属性の値を設定します。 (DomElement から継承されました)
SetFocus | コントロールにフォーカスを与えます。 (BrowserObject から継承されました)
SetProperty | 指定したプロパティの値を設定します。 (TestObject から継承されました)
SetText | テキストを設定します。
StartScreenRecording | スクリーンの記録を開始します (TestObject から継承されました)
StopScreenRecording | スクリーンの記録を停止します (TestObject から継承されました)
TextCapture | このオブジェクトの表示領域内のテキストを返します。 (TestObject から継承されました)
TextClick | 指定したテキストの中央をクリックします。 (TestObject から継承されました)
TextExists | 指定したテキストが存在するかどうかを返します。 (TestObject から継承されました)
TextRectangle | 指定したテキストのオブジェクトに相対的な矩形領域を返します。 (TestObject から継承されました)
TypeKeys | 一連のキーストロークをオブジェクトに送信します。 (IKeyable から継承されました)
TypePasswordKeys | 暗号化されたパスワードをテキスト フィールドなどのオブジェクトに入力します。 (IKeyable から継承されました)
Unhighlight | 元の前景色と背景色に戻します。 (DomElement から継承されました)
Verify | この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 (TestObject から継承されました)
WaitForChildDisappearance | 指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForDisappearance | オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForObject | 指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。 (TestObject から継承されました)
WaitForProperty | 指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForPropertyNotEquals | 指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
WaitForScreenshotStable | 指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。 (TestObject から継承されました)
親トピック: xBrowser クラス リファレンス


IItemSelectable インターフェイス

説明

ItemSelectable は、選択可能な項目のリストを提供します。

構文

C#
public class IItemSelectable,
VB
'Declaration
Public Class IItemSelectable

プロパティ

名前 | 説明
ItemCount | リスト ボックスの項目の数。
Items | リスト ボックスの項目のリスト。

メソッド

名前 | 説明
Select | 項目を選択します。
親トピック: xBrowser クラス リファレンス


Name プロパティ (KeywordGroupAttribute)

クラス

KeywordGroupAttribute。

処理

キーワード グループの名前を取得します。デフォルト値は空の文字列です。

構文

C#
public String Name { get; }
VB
'Declaration
Public Read Property Name As String

アクセス

読み取り専用。


Name プロパティ (ArgumentAttribute)

クラス

ArgumentAttribute。

処理

引数の名前を取得します。

構文

C#
public String Name { get; }
VB
'Declaration
Public Read Property Name As String

アクセス

読み取り専用。


Description プロパティ (KeywordAttribute)

クラス

KeywordAttribute。

処理

キーワードの説明を取得します。デフォルト値は空の文字列です。

構文

C#
public String Description { get; }
VB
'Declaration
Public Read Property Description As String

アクセス

読み取り専用。


Name プロパティ (KeywordAttribute)

クラス

KeywordAttribute。

処理

キーワードの名前を取得します。デフォルト値は空の文字列です。

構文

C#
public String Name { get; }
VB
'Declaration
Public Read Property Name As String

アクセス

読み取り専用。


AllowsCheck プロパティ (Table)

クラス

Table.

処理

[読み取り専用] コントロールがチェック マークを表示できるかどうか。

構文

C#
protected Boolean AllowsCheck { get; }
VB
'Declaration
Protected Read Property AllowsCheck As Boolean

アクセス

読み取り専用。


AllowsCheck プロパティ (Tree)

クラス

Tree.

処理

[読み取り専用] コントロールがチェック マークを表示できるかどうか。

構文

C#
protected Boolean AllowsCheck { get; }
VB
'Declaration
Protected Read Property AllowsCheck As Boolean

アクセス

読み取り専用。


AllowsMultiSelect プロパティ (ListBox)

クラス

ListBox.

処理

[読み取り専用] コントロールが複数項目の選択をサポートするかどうか。

構文

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

アクセス

読み取り専用。


AllowsMultiSelect プロパティ (Table)

クラス

Table.

処理

[読み取り専用] テーブルが複数項目の選択をサポートするかどうか。

構文

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

アクセス

読み取り専用。


AllowsMultiSelect プロパティ (Tree)

クラス

Tree.

処理

[読み取り専用] コントロールが複数項目の選択をサポートするかどうか。

構文

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

アクセス

読み取り専用。


Application プロパティ (Window)

クラス

Window.

処理

[読み取り専用] このウィンドウが属するアプリケーションの名前。

構文

C#
protected String Application { get; }
VB
'Declaration
Protected Read Property Application As String

アクセス

読み取り専用。


Background プロパティ (GuiTestObject)

クラス

GuiTestObject.

処理

[読み書き可能] GUI オブジェクトの背景色。

構文

C#
protected Color Background { get; set; }
VB
'Declaration
Protected ReadWrite Property Background As Color

アクセス

読み書き。


CaptureBitmap メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトのビットマップ イメージをファイルに保存します。 絶対ファイル名で指定しない場合、エージェントを実行しているマシンのデフォルトのビットマップ保存場所にビットマップが保存されます (%LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps)。 キャプチャされたビットマップのピクセルは 32 ビット RGB 順で保存されます。それぞれのピクセルの 4 バイト目 (アルファ チャネル) はパディングのためで、イメージの解析時には無視されます。 .NET では、定数 System.Drawing.Imaging.PixelFormat.Format32bppRgb が、このために使用できます。

最初にオブジェクトをキャプチャしたあと、エージェントは OPT_BITMAP_MATCH_INTERVAL オプションで指定した時間、待機します。その後、オブジェクトを再度キャプチャして、最初のキャプチャと結果を比較し、画像が安定していることを確認します。

OPT_BITMAP_MATCH_COUNT オプションを指定して、連続して一致しなければならないビットマップの数を設定できます。 OPT_BITMAP_MATCH_TIMEOUT オプションで指定した時間が経過した後で、画像が安定していない場合には、BitmapNotStableException がスローされます。

構文

C#
result = testObject.CaptureBitmap(fileName, [region])
VB
result = testObject.CaptureBitmap(fileName, [region])
変数 | 説明
result | キャプチャしたビットマップの絶対ファイル名。 String。
fileName | ビットマップを保存する絶対または相対ファイル名。 ビットマップを PNG として保存する場合は、ファイル名に .png を付けます。 String。
region | 省略可能: このオブジェクトに相対的なキャプチャ領域の座標。 Rectangle。


Checked プロパティ (MenuItem)

クラス

MenuItem.

処理

[読み書き可能] メニュー項目がチェックされているかどうか。

構文

C#
protected Boolean Checked { get; set; }
VB
'Declaration
Protected ReadWrite Property Checked As Boolean

アクセス

読み書き。


Checked プロパティ (TableRow)

クラス

TableRow.

処理

[読み書き可能] 行のチェックボックスがチェックされているかどうか。

構文

C#
protected Boolean Checked { get; set; }
VB
'Declaration
Protected ReadWrite Property Checked As Boolean

アクセス

読み書き。


Check メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスをチェックします。

構文

C#
checkBox.Check()
VB
checkBox.Check()


Check メソッド (Table)

クラス

Table.

処理

テーブルの定義された行のチェック ボックスをチェックします。

構文

C#
table.Check(item)
VB
table.Check(item)
変数 | 説明
item | チェック ボックスをチェックする行。 ItemIdentifier。


Check メソッド (Tree)

クラス

Tree.

処理

チェック ボックスをチェックします。

構文

C#
tree.Check(itemPath)
VB
tree.Check(itemPath)
変数 | 説明
itemPath | チェックする項目のパス。 ItemPath。


ClearText メソッド (ComboBox)

クラス

ComboBox.

処理

コンボ ボックスからすべてのテキストを削除します。

構文

C#
comboBox.ClearText()
VB
comboBox.ClearText()


ClearText メソッド (TextField)

クラス

TextField.

処理

すべてのテキストをテキスト フィールドから削除します。

構文

C#
textField.ClearText()
VB
textField.ClearText()


Click メソッド (IClickable)

クラス

IClickable.

処理

オブジェクトをクリックします。

構文

C#
iClickable.Click([button, pos, modifiers])
VB
iClickable.Click([button, pos, modifiers])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央 になります。 MouseButton。
pos | 省略可能: クリックする座標（オブジェクトに相対）。 Point。
modifiers | 省略可能: 修飾キー。 ModifierKeys。

例

C#

たとえば、コントロール内のある位置をクリックするには、次のように入力します:
control.Click(MouseButton.Left, new Point(244, 16));
次の例は、コントロールの中央で左マウス ボタンをクリックします:
control.Click();

VB

たとえば、コントロール内のある位置をクリックする場合は、次のように入力します。
control.Click(MouseButton.Left, New Point(244, 16))
次の例では、コントロールの中央でマウスの左ボタンがクリックされます。
control.Click()


Close メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウを閉じます。

構文

C#
iMoveable.Close()
VB
iMoveable.Close()


Collapse メソッド (Tree)

クラス

Tree.

処理

ツリービュー コントロール上で項目を折りたたみます。

構文

C#
tree.Collapse(itemPath)
VB
tree.Collapse(itemPath)
変数 | 説明
itemPath | 折りたたむ項目のパス。 ItemPath。


ColumnCount プロパティ (Table)

クラス

Table.

処理

[読み取り専用] テーブルの列の数。

構文

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnItems プロパティ (Table)

クラス

Table.

処理

[読み取り専用] 列のすべての項目のリスト。

構文

C#
protected List(Of TableColumn) ColumnItems { get; }
VB
'Declaration
Protected Read Property ColumnItems As List(Of TableColumn)

アクセス

読み取り専用。


DoubleClick メソッド (IClickable)

クラス

IClickable.

処理

マウス ボタンをオブジェクト上でダブルクリックします。

構文

C#
iClickable.DoubleClick([button, pos, modifiers])
VB
iClickable.DoubleClick([button, pos, modifiers])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央 になります。 MouseButton。
pos | 省略可能: クリックする座標（オブジェクトに相対）。 Point。
modifiers | 省略可能: 修飾キー。 ModifierKeys。


DoubleSelect メソッド (ListBox)

クラス

ListBox.

処理

リスト ボックスの項目をダブルクリックします。

構文

C#
listBox.DoubleSelect(item, [modifiers])
VB
listBox.DoubleSelect(item, [modifiers])
変数 | 説明
item | 選択する項目。 ItemIdentifier。
modifiers | 省略可能: クリック時に使用する修飾キー。 ModifierKeys。


DoubleSelect メソッド (Table)

クラス

Table.

処理

項目をダブルクリックします。

構文

C#
table.DoubleSelect(row, [column, modifiers])
VB
table.DoubleSelect(row, [column, modifiers])
変数 | 説明
row | ダブルクリックする行。 ItemIdentifier。
column | 省略可能: ダブルクリックする列。 ItemIdentifier。
modifiers | 省略可能: ダブルクリック時に使用する修飾キー。 ModifierKeys。


DoubleSelect メソッド (Tree)

クラス

Tree.

処理

項目をダブルクリックします。

構文

C#
tree.DoubleSelect(itemPath, [modifiers])
VB
tree.DoubleSelect(itemPath, [modifiers])
変数 | 説明
itemPath | 選択する項目。 ItemPath。
modifiers | 省略可能: ダブルクリック時に使用する修飾キー。 ModifierKeys。


Enabled プロパティ (GuiTestObject)

クラス

GuiTestObject.

処理

[読み書き可能] GUI オブジェクトが有効かどうか。

構文

C#
protected Boolean Enabled { get; set; }
VB
'Declaration
Protected ReadWrite Property Enabled As Boolean

アクセス

読み書き。


Exists メソッド (TestObject)

クラス

TestObject.

処理

ロケーターに一致する子オブジェクトがテスト対象アプリケーションのオブジェクトに対して存在するかどうか検査します。 timeout パラメーターが指定された場合は、エージェントは指定されたタイムアウト値を経過するまで繰り返し検索します。 タイムアウト値が指定されていない場合は、最初の検索でオブジェクトが見つからないとすぐに false が返されます。

構文

C#
result = testObject.Exists(locator, [timeout])
VB
result = testObject.Exists(locator, [timeout])
変数 | 説明
result | 指定したロケーターを持つ子オブジェクトが見つかった場合は true、それ以外の場合は false。 Boolean。
locator | 子オブジェクトの XPath ロケーター。 例： "//PushButton[@caption='ok']" 。 String。
timeout | 省略可能: タイムアウト（ミリ秒）。 最初の検索で何も一致しなかった場合は、エージェントは指定されたタイムアウト値が経過するまでテスト オブジェクトの検索を繰り返します。 Integer。


Expand メソッド (Tree)

クラス

Tree.

処理

ツリー ビュー コントロール上でオブジェクトを展開します。

構文

C#
tree.Expand(itemPath)
VB
tree.Expand(itemPath)
変数 | 説明
itemPath | 展開する項目のパス。 ItemPath。


ExtendSelect メソッド (ListBox)

クラス

ListBox.

処理

リスト ボックスの選択範囲を拡張して項目の範囲を選択します。

構文

C#
listBox.ExtendSelect(item)
VB
listBox.ExtendSelect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


ExtendSelectRow メソッド (Table)

クラス

Table.

処理

行の範囲を選択します。

構文

C#
table.ExtendSelectRow(row, [column])
VB
table.ExtendSelectRow(row, [column])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 省略可能: 選択する列。 ItemIdentifier。


FocusRow メソッド (Table)

クラス

Table.

処理

テーブルの行にフォーカスを設定します。

構文

C#
table.FocusRow(row)
VB
table.FocusRow(row)
変数 | 説明
row | 選択する行。 ItemIdentifier。


Font プロパティ (GuiTestObject)

クラス

GuiTestObject.

処理

[読み書き可能] GUI オブジェクトのフォントの種類。

構文

C#
protected String Font { get; set; }
VB
'Declaration
Protected ReadWrite Property Font As String

アクセス

読み書き。


Foreground プロパティ (GuiTestObject)

クラス

GuiTestObject.

処理

[読み書き可能] GUI オブジェクトの前景色。

構文

C#
protected Color Foreground { get; set; }
VB
'Declaration
Protected ReadWrite Property Foreground As Color

アクセス

読み書き。


GenerateLocator メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトのロケーターを返します。

ロケーターは、記録中に作成されるのと同じ方法で作成されます。

構文

C#
result = testObject.GenerateLocator()
VB
result = testObject.GenerateLocator()
変数 | 説明
result | String。


GetChildren メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトの子オブジェクトを返します。

構文

C#
children = testObject.GetChildren()
VB
children = testObject.GetChildren()
変数 | 説明
children | List(Of TestObject)。


GetCloseWindows メソッド (IMoveable)

クラス

IMoveable.

処理

アプリケーションのメイン ウィンドウだけが開いている状態にするために、閉じる必要のあるウィンドウを返します。

構文

C#
closeWindows = iMoveable.GetCloseWindows()
VB
closeWindows = iMoveable.GetCloseWindows()
変数 | 説明
closeWindows | List(Of Moveable)。


GetDynamicMethodList メソッド (TestObject)

クラス

TestObject.

処理

この TestObject に対して動的に呼び出すことのできるメソッド（シグネチャを含む）のリストを返します。

構文

C#
dynamicMethodList = testObject.GetDynamicMethodList()
VB
dynamicMethodList = testObject.GetDynamicMethodList()
変数 | 説明
dynamicMethodList | この TestObject のすべての動的メソッド。 List(Of String)。


GetFocus メソッド (IMoveable)

クラス

IMoveable.

処理

入力フォーカスを持つオブジェクトを返します。

構文

C#
focus = iMoveable.GetFocus()
VB
focus = iMoveable.GetFocus()
変数 | 説明
focus | TestObject。


GetHorizontalBar メソッド (IScrollable)

クラス

IScrollable.

処理

このコントロールの水平スクロール バーを返します。

メモ: BrowserApplication は BaseGuiTestObject から派生されており、2 つの スクロール バー メソッド GetHorizontalBar と GetVerticalBar を継承しています。 ただし、これら 2 つのメソッドは、BrowserApplication では機能しません。

構文

C#
horizontalBar = iScrollable.GetHorizontalBar()
VB
horizontalBar = iScrollable.GetHorizontalBar()
変数 | 説明
horizontalBar | HorizontalScrollBar。


GetItemCount メソッド (Menu)

クラス

Menu.

処理

このメニューのメニュー項目の数を返します。 メニュー項目のセパレーターも含みます。

構文

C#
itemCount = menu.GetItemCount()
VB
itemCount = menu.GetItemCount()
変数 | 説明
itemCount | Integer。


GetItemPaths メソッド (Tree)

クラス

Tree.

処理

GetItemPaths メソッドは推奨されません。 ツリーのすべての項目を取得する場合は、代わりに ItemPaths プロパティを使用してください。

ツリーのすべての項目を項目パスのリストとして返します。

構文

C#
itemPaths = tree.GetItemPaths()
VB
itemPaths = tree.GetItemPaths()
変数 | 説明
itemPaths | List(Of ItemPath )。


GetMultiText メソッド (TextField)

クラス

TextField.

処理

複数行テキスト フィールドの指定された行のテキストを返します。

構文

C#
multiText = textField.GetMultiText([StartLine, numberOfLines])
VB
multiText = textField.GetMultiText([StartLine, numberOfLines])
変数 | 説明
multiText | List(Of String)。
StartLine | 省略可能: 取得したい最初の行番号。 The value is zero-based.。 Integer。
numberOfLines | 省略可能: 返す行数。 Integer。


GetNextCloseWindow メソッド (IMoveable)

クラス

IMoveable.

処理

アプリケーションのメイン ウィンドウ以外のすべてのウィンドウを閉じるために、閉じる必要のある次のウィンドウを返します。

構文

C#
nextCloseWindow = iMoveable.GetNextCloseWindow()
VB
nextCloseWindow = iMoveable.GetNextCloseWindow()
変数 | 説明
nextCloseWindow | Moveable。


GetParent メソッド (TestObject)

クラス

TestObject.

処理

テスト アプリケーション内でこのオブジェクトの親を検索します。

構文

C#
parent = testObject.GetParent()
VB
parent = testObject.GetParent()
変数 | 説明
parent | 親、またはこのオブジェクトが親を持たない場合には、デスクトップ。 TestObject。


GetRect メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトの大きさと位置を返します。 デフォルトでは、返される座標は、このオブジェクトを含む親ウィンドウに対する相対値となります。

構文

C#
rect = testObject.GetRect([absoluteCoordinates])
VB
rect = testObject.GetRect([absoluteCoordinates])
変数 | 説明
rect | Rectangle。
absoluteCoordinates | 省略可能: true を指定すると、グローバル座標（全画面に相対）が返されます。それ以外の場合は、このオブジェクトを含む親のウィンドウに相対の座標が返されます。 Boolean。


GetVerticalBar メソッド (IScrollable)

クラス

IScrollable.

処理

このコントロールの垂直スクロール バーを返します。

メモ: BrowserApplication は BaseGuiTestObject から派生されており、2 つの スクロール バー メソッド GetHorizontalBar と GetVerticalBar を継承しています。 ただし、これら 2 つのメソッドは、BrowserApplication では機能しません。

構文

C#
verticalBar = iScrollable.GetVerticalBar()
VB
verticalBar = iScrollable.GetVerticalBar()
変数 | 説明
verticalBar | VerticalScrollBar。


HighlightObject メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトをハイライトします。

構文

C#
testObject.HighlightObject([timeout, color])
VB
testObject.HighlightObject([timeout, color])
変数 | 説明
timeout | 省略可能: オブジェクトをハイライトするタイムアウト値（ミリ秒）を指定します。 タイムアウト値が指定されていない場合は、他のオブジェクトがハイライトされるまで、そのオブジェクトはハイライトされたままになります。 Integer。
color | 省略可能: このオブジェクトのハイライトに使用する色を指定します。 色が指定されていない場合、デフォルトの色が使用されます。 Color。


InvokeMethods メソッド (TestObject)

クラス

TestObject.

処理

この TestObject から始まる一連のメソッドを動的に呼び出します。

最後の呼び出しを除いて、各メソッド呼び出しはオブジェクトを返さなければなりません。 返されたオブジェクトそれぞれがメソッド呼び出しの次のターゲットになり、メソッド名のリストの次のメソッドがパラメーターのリストの次の引数のリストで呼び出され、最後のメソッド呼び出しまで繰り返されます。 メソッド名、引数リスト、または返されたオブジェクトが一致しない場合、実行時エラーが生成されます。

このメソッドは、WPF、Windows Forms、Silverlight、Java SWT、および Java Swing に対して実装されています。

構文

C#
result = testObject.InvokeMethods(names, parameters)
VB
result = testObject.InvokeMethods(names, parameters)
変数 | 説明
result | 呼び出された最後のメソッドの結果。 Object。
names | 呼び出される順番に並んだメソッド名のリスト。 List(Of String)。
parameters | すべてのメソッドに対する引数のリストを含むリスト。 最後の空の引数リストは省略できます。 List(Of List(Of Object))。


IsActive メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウがアクティブに設定されているかどうかを返します。

構文

C#
active = iMoveable.IsActive()
VB
active = iMoveable.IsActive()
変数 | 説明
active | Boolean。


IsChecked メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスがチェックされている場合は true を、それ以外の場合は false を返します。

構文

C#
checked = checkBox.IsChecked()
VB
checked = checkBox.IsChecked()
変数 | 説明
checked | Boolean。


IsExpandable メソッド (Tree)

クラス

Tree.

処理

指定した項目が展開可能かどうかを検査します。

構文

C#
expandable = tree.IsExpandable(itemPath)
VB
expandable = tree.IsExpandable(itemPath)
変数 | 説明
expandable | 項目が展開可能かどうか。 Boolean。
itemPath | 展開可能かどうかを検査する項目のパス。 ItemPath。


IsExpanded メソッド (Tree)

クラス

Tree.

処理

指定した項目が展開されているかどうかを検査します。

構文

C#
expanded = tree.IsExpanded(itemPath)
VB
expanded = tree.IsExpanded(itemPath)
変数 | 説明
expanded | 項目が展開されているかどうか。 Boolean。
itemPath | 展開されているかどうかを検査する項目のパス。 ItemPath。


IsFocused メソッド (IFocusable)

クラス

IFocusable.

処理

コントロールがフォーカスを持つかどうかを返します。

構文

C#
focused = iFocusable.IsFocused()
VB
focused = iFocusable.IsFocused()
変数 | 説明
focused | このオブジェクトがフォーカスを持つ場合は true。 Boolean。


IsPassword プロパティ (TextField)

クラス

TextField.

処理

[読み取り専用] コントロールがパスワード テキスト フィールドであるかどうか。

構文

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

アクセス

読み取り専用。


ItemCount プロパティ (ComboBox)

クラス

ComboBox.

処理

[読み取り専用] コンボ ボックス リストの項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (ListBox)

クラス

ListBox.

処理

[読み取り専用] リスト ボックスの項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (RadioList)

クラス

RadioList.

処理

[読み取り専用] ラジオ リストの項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (TabControl)

クラス

TabControl.

処理

[読み取り専用] タブ コントロールの項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (TableRow)

クラス

TableRow.

処理

[読み取り専用] 行の項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (Tree)

クラス

Tree.

処理

[読み取り専用] ツリー上の項目数（すべての子を含む）。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemPaths プロパティ (Tree)

クラス

Tree.

処理

[読み取り専用] ツリー上の項目のリスト（すべての子を含む）。

構文

C#
protected List(Of ItemPath) ItemPaths { get; }
VB
'Declaration
Protected Read Property ItemPaths As List(Of ItemPath)

アクセス

読み取り専用。


Items プロパティ (ComboBox)

クラス

ComboBox.

処理

[読み取り専用] コンボ ボックス リストの項目のリスト。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


Items プロパティ (ListBox)

クラス

ListBox.

処理

[読み取り専用] リスト ボックスの項目のリスト。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


Items プロパティ (RadioList)

クラス

RadioList.

処理

[読み取り専用] ラジオ リストの項目のリスト。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


Items プロパティ (TabControl)

クラス

TabControl.

処理

[読み取り専用] タブ コントロールの項目のリスト。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


Items プロパティ (TableRow)

クラス

TableRow.

処理

[読み書き可能] 行の項目のリスト。

構文

C#
protected List(Of String) Items { get; set; }
VB
'Declaration
Protected ReadWrite Property Items As List(Of String)

アクセス

読み書き。


Items プロパティ (Tree)

クラス

Tree.

処理

Items プロパティは推奨されません。 ツリーのすべての項目を取得する場合は、代わりに ItemPaths プロパティを使用してください。

[読み取り専用] ツリー上の項目のリスト（すべての子を含む）。

構文

C#
protected TreeContent Items { get; }
VB
'Declaration
Protected Read Property Items As TreeContent

アクセス

読み取り専用。


Maximize メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウを最大化します。

構文

C#
iMoveable.Maximize()
VB
iMoveable.Maximize()


Minimize メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウを最小化します。

構文

C#
iMoveable.Minimize()
VB
iMoveable.Minimize()


MouseMove メソッド (IClickable)

クラス

IClickable.

処理

オブジェクト上の指定した場所にポインターを移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
iClickable.MouseMove([pos])
VB
iClickable.MouseMove([pos])
変数 | 説明
pos | 省略可能: 新しいロケーションの座標（ウィンドウに相対）。 Point。


Move メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウを移動します。

構文

C#
iMoveable.Move(pos)
VB
iMoveable.Move(pos)
変数 | 説明
pos | ウィンドウの座標。 Point。


MultiLine プロパティ (TextField)

クラス

TextField.

処理

[読み取り専用] コントロールが複数行かどうか。

構文

C#
protected Boolean MultiLine { get; }
VB
'Declaration
Protected Read Property MultiLine As Boolean

アクセス

読み取り専用。


MultiSelect メソッド (ListBox)

クラス

ListBox.

処理

複数または拡張選択リスト ボックスの項目を選択します。

構文

C#
listBox.MultiSelect(item)
VB
listBox.MultiSelect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


MultiSelectRow メソッド (Table)

クラス

Table.

処理

テーブルの行を選択行の集合に追加します。

構文

C#
table.MultiSelectRow(row, [column])
VB
table.MultiSelectRow(row, [column])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 省略可能: 選択する列。 ItemIdentifier。


MultiUnselect メソッド (ListBox)

クラス

ListBox.

処理

複数または拡張選択リスト ボックスの項目の選択を解除します。

構文

C#
listBox.MultiUnselect(item)
VB
listBox.MultiUnselect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


MultiUnselectRow メソッド (Table)

クラス

Table.

処理

行を選択行の集合から削除します。

構文

C#
table.MultiUnselectRow(row, [column])
VB
table.MultiUnselectRow(row, [column])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 省略可能: 選択する列。 ItemIdentifier。


NativeHandle プロパティ (INativeWindow)

クラス

INativeWindow.

処理

[読み取り専用] オブジェクトのネイティブ ウィンドウ ハンドル。

構文

C#
protected Integer NativeHandle { get; }
VB
'Declaration
Protected Read Property NativeHandle As Integer

アクセス

読み取り専用。


OpenContextMenu メソッド (BaseGuiTestObject)

クラス

BaseGuiTestObject.

処理

指定した位置でコンテキスト メニューを開きます。

構文

C#
baseGuiTestObject.OpenContextMenu([pos])
VB
baseGuiTestObject.OpenContextMenu([pos])
変数 | 説明
pos | 省略可能: コンテキスト メニューを開くために、関数を呼び出すコントロールに相対の座標。 Point。


Open メソッド (DropDownToolItem)

クラス

DropDownToolItem.

処理

項目を開きます。

構文

C#
dropDownToolItem.Open()
VB
dropDownToolItem.Open()


PageDown メソッド (VerticalScrollBar)

クラス

VerticalScrollBar.

処理

スクロール バーをページ単位に下方向にスクロールします。

構文

C#
verticalScrollBar.PageDown([amount])
VB
verticalScrollBar.PageDown([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


PageLeft メソッド (HorizontalScrollBar)

クラス

HorizontalScrollBar.

処理

スクロール バーをページ単位に左方向にスクロールします。

構文

C#
horizontalScrollBar.PageLeft([amount])
VB
horizontalScrollBar.PageLeft([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


PageRight メソッド (HorizontalScrollBar)

クラス

HorizontalScrollBar.

処理

スクロール バーをページ単位に右方向にスクロールします。

構文

C#
horizontalScrollBar.PageRight([amount])
VB
horizontalScrollBar.PageRight([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


PageSize プロパティ (ScrollBar)

クラス

ScrollBar.

処理

[読み書き可能] スクロール バーの内部ページ サイズです。

構文

C#
protected Integer PageSize { get; set; }
VB
'Declaration
Protected ReadWrite Property PageSize As Integer

アクセス

読み書き。


PageUp メソッド (VerticalScrollBar)

クラス

VerticalScrollBar.

処理

スクロール バーをページ単位に上方向にスクロールします。

構文

C#
verticalScrollBar.PageUp([amount])
VB
verticalScrollBar.PageUp([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


Position プロパティ (Scale)

クラス

Scale.

処理

[読み書き可能] スケール キャレットの実際の位置です。

構文

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

アクセス

読み書き。


Position プロパティ (ScrollBar)

クラス

ScrollBar.

処理

[読み書き可能] スクロール バー キャレットの実際の位置です。

構文

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

アクセス

読み書き。


Position プロパティ (TextField)

クラス

TextField.

処理

[読み書き可能] テキスト フィールド内のキャレットの位置。

構文

C#
protected TextPosition Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As TextPosition

アクセス

読み書き。


Pressed プロパティ (PushButton)

クラス

PushButton.

処理

[読み取り専用] プッシュ ボタンが押されているかどうか。

構文

C#
protected Boolean Pressed { get; }
VB
'Declaration
Protected Read Property Pressed As Boolean

アクセス

読み取り専用。


PressKeys メソッド (IKeyable)

クラス

IKeyable.

処理

一連のキーまたはマウス ボタンを押します（離しません）。

メモ： pressKeys はネイティブ モバイル アプリケーションではサポートされません。

Internet Explorer 以外のすべてのブラウザーで有効なキーストロークは次のとおりです。
  • <Alt> (左側の Alt キー)
  • <Ctrl> (左側の Ctrl キー)
  • <Shift> (左側の Shift キー)
Internet Explorer およびその他のアプリケーションで有効なキーストロークは次のとおりです。
  • <#0>-<#9> (NumLock がオンの状態でテンキーの数字 0-9)
  • <#Add> (テンキーの '+')
  • <#Clear> (NumLock がオフの状態でテンキーの 5)
  • <#Decimal> (多くのキーボードのテンキーの小数点記号用のキー)
  • <#Delete> (NumLock がオフの状態でテンキーの '.' )
  • <#Divide> (テンキーの '/')
  • <#Down> (NumLock がオフの状態でテンキーの 2)
  • <#End> (NumLock がオフの状態でテンキーの 1)
  • <#Enter> (テンキーの Enter)
  • <#Equal> (テンキーの等号記号)
  • <#Home> (NumLock がオフの状態でテンキーの 7)
  • <#Insert> (NumLock がオフの状態でテンキーの 0)
  • <#Left> (NumLock がオフの状態でテンキーの 4)
  • <#PgDn> (NumLock がオフの状態でテンキーの 3)
  • <#PgUp> (NumLock がオフの状態でテンキーの 9)
  • <#Right> (NumLock がオフの状態でテンキーの 6)
  • <#Separator> (テンキーの Separator キー)
  • <#Space> (テンキーの Space キー)
  • <#Subtract> (テンキーの '-')
  • <#Tab> (テンキーの Tab キー)
  • <#Times> (テンキーの '*')
  • <#Up> (NumLock がオフの状態でテンキーの 8)
  • <Alt> (左側の Alt キー)
  • <Application> (最後のアクティブ コントロールのコンテキスト メニューを開く)
  • <Backspace> (Backspace キー)
  • <Break> (Ctrl-Break)
  • <Cancel> (Break)
  • <CapsLock> (オンとオフを切り替える)
  • <Clear> (Clear キー)
  • <Cmd> (Mac OS コマンド キー)
  • <Ctrl> (左側の Ctrl キー)
  • <Delete> (Delete キー)
  • <Down> (下矢印)
  • <End> (End キー)
  • <Enter> (Enter キー)
  • <Esc> (Escape)
  • <Execute> (Execute キー)
  • <F1> - <F12> (F1 から F12 のファンクション キー)
  • <F13> - <F35> (F13 から F35 のファンクション キー)
  • <GreaterThan> ('>' キー。これを使用しないと、エージェントは右山括弧として解釈します)
  • <Help> (Help キー)
  • <Home> (Home キー)
  • <Insert> (Insert キー)
  • <Left> (左矢印)
  • <Left Alt> (Alt キー)
  • <Left Ctrl> (Ctrl キー)
  • <Left Shift> (Shift キー)
  • <LeftWin> (Windows スタート メニュー キー)
  • <LessThan> ('<' キー。(これを使用しないと、エージェントは左山括弧として解釈します)
  • <Menu> (Menu キー)
  • <Mode> (Mode キー)
  • <Pause> (Pause)
  • <PgDn> (PgDn または Page Down)
  • <PgUp> (PgUp または Page Up)
  • <PrtScr> (Print Scrn)
  • <Redo> (Redo キー)
  • <Right> (右矢印)
  • <Right Alt> (Alt キー)
  • <Right Ctrl> (Ctrl キー)
  • <RightOption> (Option キー)
  • <Right Shift> (Shift キー)
  • <RightWin> (Windows スタート メニュー キー)
  • <ScrollLock> (オンとオフを切り替える)
  • <Shift> (左側の Shift キー)
  • <Space> (スペース キー)
  • <Tab> (Tab)
  • <Undo> (Undo キー)
  • <Up> (上矢印)

メモ： '<' または '>' は '<LessThan>' または '<GreaterThan>' と記述する必要があります。

構文

C#
iKeyable.PressKeys(keys, [ensureFocus])
VB
iKeyable.PressKeys(keys, [ensureFocus])
変数 | 説明
keys | 入力するキー、または押下するマウス ボタン。 String。
ensureFocus | 省略可能: コントロールが実際にキーボード フォーカスを持つことを保証するかどうかを決定します。 デフォルトは true です。 Boolean。

例

VB

例： '<F4>'、'<Left Shift>'、'<Right Alt>'、'<Left Ctrl>'、 '<Delete>'、'<Backspace>'。


PressMouse メソッド (IClickable)

クラス

IClickable.

処理

オブジェクト上でマウス ボタンを押します（離しません）。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
iClickable.PressMouse([button, pos, modifiers])
VB
iClickable.PressMouse([button, pos, modifiers])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央 になります。 MouseButton。
pos | 省略可能: マウスを押下する座標（オブジェクトに相対）。 Point。
modifiers | 省略可能: 修飾キー。 ModifierKeys。


Range プロパティ (Scale)

クラス

Scale.

処理

[読み書き可能] スケールの範囲です。

構文

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

アクセス

読み書き。


Range プロパティ (ScrollBar)

クラス

ScrollBar.

処理

[読み書き可能] スクロール バーの範囲です。

構文

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

アクセス

読み書き。


ReleaseMouse メソッド (IClickable)

クラス

IClickable.

処理

マウス ボタンを離します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
iClickable.ReleaseMouse([button, pos, modifiers])
VB
iClickable.ReleaseMouse([button, pos, modifiers])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央 になります。 MouseButton。
pos | 省略可能: マウスを離す座標（オブジェクトに相対）。 Point。
modifiers | 省略可能: 修飾キー。 ModifierKeys。


Resize メソッド (TableColumn)

クラス

TableColumn.

処理

列のサイズを変更します。

構文

C#
tableColumn.Resize(width)
VB
tableColumn.Resize(width)
変数 | 説明
width | 行の新しい幅（ピクセル）。 Integer。


Restore メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウを元のサイズに戻します。

構文

C#
iMoveable.Restore()
VB
iMoveable.Restore()


RowCount プロパティ (Table)

クラス

Table.

処理

[読み取り専用] テーブルの行の数。

構文

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


RowItems プロパティ (Table)

クラス

Table.

処理

[読み取り専用] テーブルのすべての行のリスト。

構文

C#
protected List(Of TableRow) RowItems { get; }
VB
'Declaration
Protected Read Property RowItems As List(Of TableRow)

アクセス

読み取り専用。


ScrollDown メソッド (VerticalScrollBar)

クラス

VerticalScrollBar.

処理

スクロール バーを下に移動します。

構文

C#
verticalScrollBar.ScrollDown([amount])
VB
verticalScrollBar.ScrollDown([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


ScrollLeft メソッド (HorizontalScrollBar)

クラス

HorizontalScrollBar.

処理

スクロール バーを左方向にスクロールします。

構文

C#
horizontalScrollBar.ScrollLeft([amount])
VB
horizontalScrollBar.ScrollLeft([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


Scroll メソッド (ScrollBar)

クラス

ScrollBar.

処理

スクロール バーをスクロールします。

構文

C#
scrollBar.Scroll(position)
VB
scrollBar.Scroll(position)
変数 | 説明
position | スクロールするビューの座標。 Integer。


ScrollRight メソッド (HorizontalScrollBar)

クラス

HorizontalScrollBar.

処理

スクロール バーを右方向にスクロールします。

構文

C#
horizontalScrollBar.ScrollRight([amount])
VB
horizontalScrollBar.ScrollRight([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


ScrollToMax メソッド (ScrollBar)

クラス

ScrollBar.

処理

スクロール バーをその最大の位置にスクロールします。

構文

C#
scrollBar.ScrollToMax()
VB
scrollBar.ScrollToMax()


ScrollToMin メソッド (ScrollBar)

クラス

ScrollBar.

処理

スクロール バーをその最小の位置にスクロールします。

構文

C#
scrollBar.ScrollToMin()
VB
scrollBar.ScrollToMin()


ScrollUp メソッド (VerticalScrollBar)

クラス

VerticalScrollBar.

処理

スクロール バーを上に移動します。

構文

C#
verticalScrollBar.ScrollUp([amount])
VB
verticalScrollBar.ScrollUp([amount])
変数 | 説明
amount | 省略可能: スクロールする単位数。 Integer。


SelectedIndex プロパティ (ComboBox)

クラス

ComboBox.

処理

[読み書き可能] 選択する項目のインデックス。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedIndex プロパティ (ListBox)

クラス

ListBox.

処理

[読み書き可能] 最初の選択された項目のインデックス。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedIndex プロパティ (RadioList)

クラス

RadioList.

処理

[読み書き可能] 選択する項目のインデックス。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedIndex プロパティ (TabControl)

クラス

TabControl.

処理

[読み書き可能] 選択する項目のインデックス。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedIndex プロパティ (Tree)

クラス

Tree.

処理

[読み書き可能] 最初の選択された項目のインデックス。

構文

C#
protected ItemPath SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As ItemPath

アクセス

読み書き。


SelectedIndices プロパティ (ListBox)

クラス

ListBox.

処理

[読み書き可能] 選択した項目の索引。

構文

C#
protected List(Of Integer) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

アクセス

読み書き。


SelectedIndices プロパティ (Table)

クラス

Table.

処理

[読み書き可能] 選択した項目の索引。

構文

C#
protected List(Of Integer) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

アクセス

読み書き。


SelectedIndices プロパティ (Tree)

クラス

Tree.

処理

[読み書き可能] 選択した項目の索引。

構文

C#
protected List(Of ItemPath) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of ItemPath)

アクセス

読み書き。


SelectedItem プロパティ (ComboBox)

クラス

ComboBox.

処理

[読み書き可能] 選択する項目。

構文

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

アクセス

読み書き。


SelectedItem プロパティ (ListBox)

クラス

ListBox.

処理

[読み書き可能] 最初の選択された項目の名前。

構文

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

アクセス

読み書き。


SelectedItem プロパティ (RadioList)

クラス

RadioList.

処理

[読み書き可能] 選択する項目。

構文

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

アクセス

読み書き。


SelectedItem プロパティ (TabControl)

クラス

TabControl.

処理

[読み書き可能] 選択する項目。

構文

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

アクセス

読み書き。


SelectedItem プロパティ (Tree)

クラス

Tree.

処理

[読み書き可能] 最初の選択された項目の名前。

構文

C#
protected ItemPath SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemPath

アクセス

読み書き。


SelectedItems プロパティ (ListBox)

クラス

ListBox.

処理

[読み書き可能] 選択した項目の名前。

構文

C#
protected List(Of ItemIdentifier) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemIdentifier)

アクセス

読み書き。


SelectedItems プロパティ (Table)

クラス

Table.

処理

[読み書き可能] 選択した項目。

構文

C#
protected List(Of TableRow) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of TableRow)

アクセス

読み書き。


SelectedItems プロパティ (Tree)

クラス

Tree.

処理

[読み書き可能] 選択した項目の名前。

構文

C#
protected List(Of ItemPath) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemPath)

アクセス

読み書き。


SelectedRange プロパティ (TextField)

クラス

TextField.

処理

[読み書き可能] テキスト フィールド内の選択範囲。

構文

C#
protected TextRange SelectedRange { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedRange As TextRange

アクセス

読み書き。


SelectedText プロパティ (TextField)

クラス

TextField.

処理

[読み取り専用] テキスト フィールド内の選択テキスト。 テキストが選択されていない場合は空の文字列。

構文

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


Select メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスを選択します。

構文

C#
checkBox.Select(state)
VB
checkBox.Select(state)
変数 | 説明
state | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。 Integer。


Select メソッド (CheckBoxToolItem)

クラス

CheckBoxToolItem.

処理

項目を選択します。

構文

C#
checkBoxToolItem.Select(state)
VB
checkBoxToolItem.Select(state)
変数 | 説明
state | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。 Integer。


Select メソッド (ComboBox)

クラス

ComboBox.

処理

コンボ ボックスから項目を選択します。

構文

C#
comboBox.Select(item)
VB
comboBox.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (DropDownToolItem)

クラス

DropDownToolItem.

処理

項目を選択します。

構文

C#
dropDownToolItem.Select()
VB
dropDownToolItem.Select()


Select メソッド (Link)

クラス

Link.

処理

項目を選択します。

構文

C#
link.Select([item])
VB
link.Select([item])
変数 | 説明
item | 省略可能: 選択する項目。 このパラメーターは複数選択が可能なリンクに対してのみ有効です。 リンクの指定した項目を選択します。 ItemIdentifier。


Select メソッド (ListBox)

クラス

ListBox.

処理

リスト ボックスから項目を選択します。

構文

C#
listBox.Select(item)
VB
listBox.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (Menu)

クラス

Menu.

処理

メニューを選択します。

構文

C#
menu.Select()
VB
menu.Select()


Select メソッド (MenuItem)

クラス

MenuItem.

処理

メニューから項目を選択します。

構文

C#
menuItem.Select()
VB
menuItem.Select()


Select メソッド (PushButton)

クラス

PushButton.

処理

プッシュ ボタンを選択します。

構文

C#
pushButton.Select()
VB
pushButton.Select()


Select メソッド (PushToolItem)

クラス

PushToolItem.

処理

項目を選択します。

構文

C#
pushToolItem.Select()
VB
pushToolItem.Select()


Select メソッド (RadioList)

クラス

RadioList.

処理

ラジオ リストから項目を選択します。

構文

C#
radioList.Select([item])
VB
radioList.Select([item])
変数 | 説明
item | 省略可能: 選択する項目。 ItemIdentifier。


Select メソッド (RadioListToolItem)

クラス

RadioListToolItem.

処理

項目を選択します。

構文

C#
radioListToolItem.Select([item])
VB
radioListToolItem.Select([item])
変数 | 説明
item | 省略可能: 選択する項目。 ItemIdentifier。


Select メソッド (TabControl)

クラス

TabControl.

処理

現在のページを指定したページに設定します。

構文

C#
tabControl.Select(item)
VB
tabControl.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (TableColumn)

クラス

TableColumn.

処理

列を選択します。

構文

C#
tableColumn.Select()
VB
tableColumn.Select()


Select メソッド (ToggleButton)

クラス

ToggleButton.

処理

項目を選択します。

構文

C#
toggleButton.Select(state)
VB
toggleButton.Select(state)
変数 | 説明
state | 指定したい状態を表します。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。 Integer。


Select メソッド (Tree)

クラス

Tree.

処理

ツリーから項目を選択します。

構文

C#
tree.Select(itemPath)
VB
tree.Select(itemPath)
変数 | 説明
itemPath | 選択する項目のパス。 ItemPath。


SelectRange メソッド (ListBox)

クラス

ListBox.

処理

拡張選択リスト ボックスの項目の範囲を選択します。

構文

C#
listBox.SelectRange(selectRangeBegin, selectRangeEnd)
VB
listBox.SelectRange(selectRangeBegin, selectRangeEnd)
変数 | 説明
selectRangeBegin | 選択する最初の項目。 ItemIdentifier。
selectRangeEnd | 選択する最後の項目。 ItemIdentifier。


SelectRow メソッド (Table)

クラス

Table.

処理

テーブルの行を選択します。

構文

C#
table.SelectRow(row, [column])
VB
table.SelectRow(row, [column])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 省略可能: 選択する列。 ItemIdentifier。


SetActive メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウをアクティブにします。

構文

C#
iMoveable.SetActive()
VB
iMoveable.SetActive()


SetFocus メソッド (IFocusable)

クラス

IFocusable.

処理

コントロールにフォーカスを与えます。

構文

C#
iFocusable.SetFocus()
VB
iFocusable.SetFocus()


SetMultiText メソッド (TextField)

クラス

TextField.

処理

複数行テキスト フィールドの行のすべて、または一部を置換します。

構文

C#
textField.SetMultiText(Text, [StartLine, numberOfLines])
VB
textField.SetMultiText(Text, [StartLine, numberOfLines])
変数 | 説明
Text | 置換するテキスト。 List(Of String)。
StartLine | 省略可能: 置換を開始するテキスト フィールドの行（0 から開始）。 The value is zero-based.。 Integer。
numberOfLines | 省略可能: 置換する行数。 Integer。


SetPosition メソッド (Scale)

クラス

Scale.

処理

スケールの位置を設定します。

構文

C#
scale.SetPosition(position)
VB
scale.SetPosition(position)
変数 | 説明
position | 移動する位置の内部数値。 Integer。


SetPosition メソッド (TextField)

クラス

TextField.

処理

テキスト フィールド内の挿入位置を設定します。

構文

C#
textField.SetPosition(position)
VB
textField.SetPosition(position)
変数 | 説明
position | テキスト フィールド内のキャレットの位置。 TextPosition。


SetSelectionRange メソッド (TextField)

クラス

TextField.

処理

単一行または複数行フィールドの指定した範囲を選択します。

構文

C#
textField.SetSelectionRange(selectionRange)
VB
textField.SetSelectionRange(selectionRange)
変数 | 説明
selectionRange | テキスト フィールド内の選択範囲。 TextRange。


SetText メソッド (ComboBox)

クラス

ComboBox.

処理

コンボ ボックスのテキスト フィールド内のテキストを置換します。

構文

C#
comboBox.SetText(text)
VB
comboBox.SetText(text)
変数 | 説明
text | テキスト フィールドの内容を置換するテキスト。 String。


SetText メソッド (TextField)

クラス

TextField.

処理

テキスト フィールド内のテキストのすべて、または一部を新しいテキストに置換します。

構文

C#
textField.SetText(text)
VB
textField.SetText(text)
変数 | 説明
text | 置換するテキスト。 String。


SetToMax メソッド (Scale)

クラス

Scale.

処理

スケールをその最大の位置に設定します。

構文

C#
scale.SetToMax()
VB
scale.SetToMax()


SetToMin メソッド (Scale)

クラス

Scale.

処理

スケールをその最小の位置に設定します。

構文

C#
scale.SetToMin()
VB
scale.SetToMin()


SetUndecided メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスを未設定の状態に設定します。

構文

C#
checkBox.SetUndecided()
VB
checkBox.SetUndecided()


Size メソッド (IMoveable)

クラス

IMoveable.

処理

ウィンドウのサイズを変更します。

構文

C#
iMoveable.Size(width, height)
VB
iMoveable.Size(width, height)
変数 | 説明
width | ウィンドウの新しい幅（ピクセル）。 Integer。
height | ウィンドウの新しい高さ（ピクセル）。 Integer。


StartScreenRecording メソッド (TestObject)

クラス

TestObject.

処理

スクリーンの記録を開始します。

TestObject に応じてローカル デスクトップ、リモート ブラウザー アプリケーション、モバイル デバイスの画面のいずれかが記録されます。

構文

C#
result = testObject.StartScreenRecording([useCompression, outputPath])
VB
result = testObject.StartScreenRecording([useCompression, outputPath])
変数 | 説明
result | 記録の保存場所。 String。
useCompression | 省略可能: true の場合、タイムラプス モードでシーンが記録されます。 そうでない場合は、全シーンが記録されます。 Boolean。
outputPath | 省略可能: 記録したビデオの保存先。 String。


State プロパティ (CheckBox)

クラス

CheckBox.

処理

[読み書き可能] チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


State プロパティ (CheckBoxToolItem)

クラス

CheckBoxToolItem.

処理

[読み書き可能] チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


State プロパティ (RadioList)

クラス

RadioList.

処理

[読み書き可能] チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


State プロパティ (RadioListToolItem)

クラス

RadioListToolItem.

処理

[読み書き可能] チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


State プロパティ (ToggleButton)

クラス

ToggleButton.

処理

[読み書き可能] トグル ボタンの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


StopScreenRecording メソッド (TestObject)

クラス

TestObject.

処理

スクリーンの記録を停止します。

構文

C#
testObject.StopScreenRecording()
VB
testObject.StopScreenRecording()


TextCapture メソッド (TestObject)

クラス

TestObject.

処理

このオブジェクトの表示領域内のテキストを返します。

コンボ ボックス内のテキストをキャプチャする場合、テキスト文字 "6" が追加される場合があります。 これは、コンボ ボックスのドロップ ダウン矢印が Marlett フォントのドロップ ダウン矢印のテキスト記号で、他のフォントでは数字の "6" のコードにあたるためです。

構文

C#
result = testObject.TextCapture([captureRectangle])
VB
result = testObject.TextCapture([captureRectangle])
変数 | 説明
result | このオブジェクトの表示領域内のテキスト。 String。
captureRectangle | 省略可能: テキストをキャプチャする定義された矩形領域。ウィンドウの座標に相対的な値です。 Rectangle。

例

VB

Dim partialText As String
partialText = testApplication.TextCapture(new Rectangle(1, 1, 200, 30))
Dim fullText As String
fullText = testApplication.TextCapture()


TextClick メソッド (TestObject)

クラス

TestObject.

処理

指定したテキストの中央をクリックします。

構文

C#
testObject.TextClick(text, [occurrence, clickType, modifiers, position, exactMatch])
VB
testObject.TextClick(text, [occurrence, clickType, modifiers, position, exactMatch])
変数 | 説明
text | クリックするテキスト。 String。
occurrence | 省略可能: 複数の結果が存在する場合、クリックされるテキストの出現番号。 最初の出現番号は 1 です。 Integer。
clickType | 省略可能: 指定するマウスの操作。 デフォルトは左クリックです。 ClickType。
modifiers | 省略可能: クリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。
position | 省略可能: クリックする座標。 座標はテキストの左上隅からの相対値です。 座標が指定されていない場合は、テキストの中央がクリックされます。 Point。
exactMatch | 省略可能: true の場合、テキストは完全に一致する必要があります。それ以外の場合は部分一致が許されます。 Boolean。


TextExists メソッド (TestObject)

クラス

TestObject.

処理

指定したテキストが存在するかどうかを返します。

構文

C#
result = testObject.TextExists(text, [occurrence, searchRectangle, timeout, exactMatch])
VB
result = testObject.TextExists(text, [occurrence, searchRectangle, timeout, exactMatch])
変数 | 説明
result | 指定したテキストが存在するかどうか。 Boolean。
text | 検索するテキスト。 String。
occurrence | 省略可能: 複数の結果が存在する場合、存在するかどうか検査されるテキストの出現番号。 最初の出現番号は 1 です。 Integer。
searchRectangle | 省略可能: テキストの検索範囲を指定するオブジェクトに相対的な矩形領域。 Rectangle。
timeout | 省略可能: 検索するテキストの長さを指定します。 タイムアウトが指定されなかった場合は、テキストは一度だけ検索されます。 Integer。
exactMatch | 省略可能: true の場合、テキストは完全に一致する必要があります。それ以外の場合は部分一致が許されます。 Boolean。


Text プロパティ (TestObject)

クラス

TestObject.

処理

[読み取り専用] コントロールのテキスト。

構文

C#
protected String Text { get; }
VB
'Declaration
Protected Read Property Text As String

アクセス

読み取り専用。


TextRectangle メソッド (TestObject)

クラス

TestObject.

処理

指定したテキストのオブジェクトに相対的な矩形領域を返します。

構文

C#
result = testObject.TextRectangle(text, [occurrence, searchRectangle, timeout, exactMatch])
VB
result = testObject.TextRectangle(text, [occurrence, searchRectangle, timeout, exactMatch])
変数 | 説明
result | 指定したテキストの矩形領域、または指定したテキストが存在しない場合は空の矩形領域。 Rectangle。
text | 検索するテキスト。 String。
occurrence | 省略可能: 複数の結果が存在する場合、返される矩形領域に対応するテキストの出現番号。 最初の出現番号は 1 です。 Integer。
searchRectangle | 省略可能: テキストの検索範囲を指定するオブジェクトに相対的な矩形領域。 Rectangle。
timeout | 省略可能: 検索するテキストの長さを指定します。 タイムアウトが指定されなかった場合は、テキストは一度だけ検索されます。 Integer。
exactMatch | 省略可能: true の場合、テキストは完全に一致する必要があります。それ以外の場合は部分一致が許されます。 Boolean。


Toggle メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスの状態を切り替えます。 チェック ボックスがチェックされている場合は、チェックを外し、そうでない場合はチェックします。 チェック ボックスが未設定の状態にある場合は、未設定のままになります。

構文

C#
checkBox.Toggle()
VB
checkBox.Toggle()


TypeKeys メソッド (IKeyable)

クラス

IKeyable.

処理

一連のキーストロークをオブジェクトに送信します。

メモ: 一部のキーストロークはモバイル デバイス上ではサポートされません。

その他のアプリケーションでの有効なキーストロークは次のとおりです。
  • <#0>-<#9> (NumLock がオンの状態でテンキーの数字 0-9)
  • <#Add> (テンキーの '+')
  • <#Clear> (NumLock がオフの状態でテンキーの 5)
  • <#Decimal> (多くのキーボードのテンキーの小数点記号用のキー)
  • <#Delete> (NumLock がオフの状態でテンキーの '.' )
  • <#Divide> (テンキーの '/')
  • <#Down> (NumLock がオフの状態でテンキーの 2)
  • <#End> (NumLock がオフの状態でテンキーの 1)
  • <#Enter> (テンキーの Enter)
  • <#Equal> (テンキーの等号記号)
  • <#Home> (NumLock がオフの状態でテンキーの 7)
  • <#Insert> (NumLock がオフの状態でテンキーの 0)
  • <#Left> (NumLock がオフの状態でテンキーの 4)
  • <#PgDn> (NumLock がオフの状態でテンキーの 3)
  • <#PgUp> (NumLock がオフの状態でテンキーの 9)
  • <#Right> (NumLock がオフの状態でテンキーの 6)
  • <#Separator> (テンキーの Separator キー)
  • <#Space> (テンキーの Space キー)
  • <#Subtract> (テンキーの '-')
  • <#Tab> (テンキーの Tab キー)
  • <#Times> (テンキーの '*')
  • <#Up> (NumLock がオフの状態でテンキーの 8)
  • <Alt> (左側の Alt キー)
  • <Application> (最後のアクティブ コントロールのコンテキスト メニューを開く)
  • <Backspace> (Backspace キー)
  • <Break> (Ctrl-Break)
  • <Cancel> (Break)
  • <CapsLock> (オンとオフを切り替える)
  • <Clear> (Clear キー)
  • <Cmd> (Mac OS コマンド キー)
  • <Ctrl> (左側の Ctrl キー)
  • <Delete> (Delete キー)
  • <Down> (下矢印)
  • <End> (End キー)
  • <Enter> (Enter キー)
  • <Esc> (Escape)
  • <Execute> (Execute キー)
  • <F1> - <F12> (F1 から F12 のファンクション キー)
  • <F13> - <F35> (F13 から F35 のファンクション キー)
  • <GreaterThan> ('>' キー。これを使用しないと、エージェントは右山括弧として解釈します)
  • <Help> (Help キー)
  • <Home> (Home キー)
  • <Insert> (Insert キー)
  • <Left> (左矢印)
  • <Left Alt> (Alt キー)
  • <Left Ctrl> (Ctrl キー)
  • <Left Shift> (Shift キー)
  • <LeftWin> (Windows スタート メニュー キー)
  • <LessThan> ('<' キー。(これを使用しないと、エージェントは左山括弧として解釈します)
  • <Menu> (Menu キー)
  • <Mode> (Mode キー)
  • <Pause> (Pause)
  • <PgDn> (PgDn または Page Down)
  • <PgUp> (PgUp または Page Up)
  • <PrtScr> (Print Scrn)
  • <Redo> (Redo キー)
  • <Right> (右矢印)
  • <Right Alt> (Alt キー)
  • <Right Ctrl> (Ctrl キー)
  • <RightOption> (Option キー)
  • <Right Shift> (Shift キー)
  • <RightWin> (Windows スタート メニュー キー)
  • <ScrollLock> (オンとオフを切り替える)
  • <Shift> (左側の Shift キー)
  • <Space> (スペース キー)
  • <Tab> (Tab)
  • <Undo> (Undo キー)
  • <Up> (上矢印)

メモ： '<' または '>' は '<LessThan>' または '<GreaterThan>' と記述する必要があります。

構文

C#
iKeyable.TypeKeys(keys, [delay, ensureFocus])
VB
iKeyable.TypeKeys(keys, [delay, ensureFocus])
変数 | 説明
keys | 入力するキーストローク。 String。
delay | 省略可能: キーストローク間の遅延（ミリ秒）。 Integer。
ensureFocus | 省略可能: コントロールが実際にキーボード フォーカスを持つことを保証するかどうかを決定します。 デフォルトは true です。 Boolean。

例

VB

例：: 'a'、'ab'、'a<Enter>'、'<F4>'、'<Left Shift>'、'<Right Alt>'、'<Left Ctrl>'、'<Delete>'、'<Backspace>'。 次のコードは、Ctrl+C を押して現在選択中のテキストをクリップボードにコピーします。
    window.TypeKeys("<Left Ctrl+C>")


Uncheck メソッド (CheckBox)

クラス

CheckBox.

処理

チェック ボックスのチェックを外します。

構文

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


Uncheck メソッド (Table)

クラス

Table.

処理

テーブルの定義された行のチェック ボックスのチェックを外します。

構文

C#
table.Uncheck(item)
VB
table.Uncheck(item)
変数 | 説明
item | チェック ボックスのチェックを外す行。 ItemIdentifier。


Uncheck メソッド (Tree)

クラス

Tree.

処理

チェック ボックスのチェックを外します。

構文

C#
tree.Uncheck(itemPath)
VB
tree.Uncheck(itemPath)
変数 | 説明
itemPath | チェックを外す項目のパス。 ItemPath。


Value プロパティ (TestObject)

クラス

TestObject.

処理

[読み取り専用] コントロールの値（たとえば、テキスト コントロールのテキスト）。

構文

C#
protected Object Value { get; }
VB
'Declaration
Protected Read Property Value As Object

アクセス

読み取り専用。


VisibleItemPaths プロパティ (Tree)

クラス

Tree.

処理

[読み取り専用] ツリー上の可視の項目のリスト（すべての子を含む）。

構文

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

アクセス

読み取り専用。


VisibleItems プロパティ (Tree)

クラス

Tree.

処理

VisibleItems プロパティは推奨されません。 ツリーのすべての表示項目を取得する場合は、代わりに VisibleItemPaths プロパティを使用してください。

[読み取り専用] ツリー上の可視の項目のリスト（すべての子を含む）。

構文

C#
protected TreeContent VisibleItems { get; }
VB
'Declaration
Protected Read Property VisibleItems As TreeContent

アクセス

読み取り専用。


Visible プロパティ (GuiTestObject)

クラス

GuiTestObject.

処理

[読み書き可能] オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。

構文

C#
protected Boolean Visible { get; set; }
VB
'Declaration
Protected ReadWrite Property Visible As Boolean

アクセス

読み書き。


WaitForChildDisappearance メソッド (TestObject)

クラス

TestObject.

処理

指定した子オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。

構文

C#
testObject.WaitForChildDisappearance(locator, [timeout])
VB
testObject.WaitForChildDisappearance(locator, [timeout])
変数 | 説明
locator | 表示されなくなることを期待するオブジェクトを識別する、このメソッドを呼び出したオブジェクトに相対な XPath ロケーター。 String。
timeout | 省略可能: 待機する最大時間 (ミリ秒)。 Integer。


WaitForDisappearance メソッド (TestObject)

クラス

TestObject.

処理

オブジェクトが存在しなくなるか、タイムアウト値に到達するまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。

検索操作の直後に WaitForDisappearance を使用したときに、オブジェクトが既に表示されていないと、「オブジェクトが見つかりません」というエラーが発生します。このエラーを回避するには、親 (メイン ウィンドウやデスクトップなど) に対して、WaitForChildDisappearance メソッドを使用できます。

構文

C#
testObject.WaitForDisappearance([timeout])
VB
testObject.WaitForDisappearance([timeout])
変数 | 説明
timeout | 省略可能: 待機する最大時間 (ミリ秒)。 Integer。


WaitForObject メソッド (TestObject)

クラス

TestObject.

処理

指定したロケーターに一致するオブジェクトを待機します。 タイムアウト内に一致するオブジェクトが見つからない場合は、ObjectNotFoundException がスローされます。 デフォルトのタイムアウトは 5 秒で、オプション OPT_WAIT_RESOLVE_OBJDEF の値を設定してタイムアウト値を変更できます。 結果を表示する前にトランザクションが処理される場合など、AUT が特定のオブジェクトを表示するのに長時間かかる場合は、WaitForObject を使用してください。 デフォルトでは組み込みの同期が機能するため、UI の操作に対して WaitForObject は必要ありません。 通常のスクリプト実行中に不規則にタイムアウト エラーが発生する場合、WaitForObject ステートメントをスクリプトに追加するのではなく、デフォルトのタイムアウト値を増やすことを検討してください。

構文

C#
testObject.WaitForObject(locator, [timeout])
VB
testObject.WaitForObject(locator, [timeout])
変数 | 説明
locator | XPath ロケーター。 オブジェクトを見つける場所を定義します。 例： "//PushButton[@caption='ok']" 。 String。
timeout | 省略可能: タイムアウト（ミリ秒）。 最初の検索で何も一致しなかった場合は、エージェントは指定されたタイムアウト値が経過するまでテスト オブジェクトの検索を繰り返します。 Integer。

例

C#

次の例では、ウィンドウをアクティブに設定して、オブジェクトを見つけるために PushButton メソッドで使用されるタイムアウト (デフォルトでは 5 秒) のほかに、30 秒間ボタンを待機し、最後にボタンをクリックします。
window.SetActive()
window.WaitForObject("//PushButton[@automationId='MySampleButton']", 30000);
window.PushButton("@automationId='MySampleButton'").Click();

VB

次の例では、ウィンドウをアクティブに設定して、オブジェクトを見つけるために PushButton メソッドで使用されるタイムアウト (デフォルトでは 5 秒) のほかに、30 秒間ボタンを待機し、最後にボタンをクリックします。
window.SetActive()
window.WaitForObject("//PushButton[@automationId='MySampleButton']", 30000)
window.PushButton("@automationId='MySampleButton'").Click()


WaitForProperty メソッド (TestObject)

クラス

TestObject.

処理

指定したプロパティが指定した値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。

構文

C#
testObject.WaitForProperty(propertyName, expectedValue, [timeout])
VB
testObject.WaitForProperty(propertyName, expectedValue, [timeout])
変数 | 説明
propertyName | プロパティの名前。 String。
expectedValue | 待機するプロパティの値。 Object。
timeout | 省略可能: 待機する最大時間 (ミリ秒)。 Integer。

例

C#

ボタンが有効になるまで待機する例は、次のようになります。
button.WaitForProperty("Enabled", true, 10000);
次の例は、操作の完了を示すダイアログのキャプションが利用可能になるまで待機します。
dialog.WaitForProperty("caption", "Operation Complete");

メモ: コントロールの利用可能なプロパティのリスト全体を取得するには、GetPropertyList メソッドを使用します。

VB

ボタンが有効になるまで待機する例は、次のようになります。
button.WaitForProperty("Enabled", true, 10000)
次の例は、操作の完了を示すダイアログのキャプションが利用可能になるまで待機します。
dialog.WaitForProperty("caption", "Operation Complete")

メモ: コントロールの利用可能なプロパティのリスト全体を取得するには、GetPropertyList メソッドを使用します。


WaitForPropertyNotEquals メソッド (TestObject)

クラス

TestObject.

処理

指定したプロパティが指定した値と異なる値になるまで、またはタイムアウトに到達するまで待機します。オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_RESOLVE_OBJDEF によって指定されたタイムアウト値が使用されます。 タイムアウト値に到達すると例外がスローされます。

構文

C#
testObject.WaitForPropertyNotEquals(propertyName, propertyValue, [timeout])
VB
testObject.WaitForPropertyNotEquals(propertyName, propertyValue, [timeout])
変数 | 説明
propertyName | プロパティの名前。 String。
propertyValue | 確認するプロパティの値。 Object。
timeout | 省略可能: 待機する最大時間 (ミリ秒)。 Integer。

例

C#

次の例は、支払い処理が完了するまで待機します。 「Processing payment...」を表示する UI コントロールが表示されなくなったときに、処理が完了したものとします。
control.WaitForPropertyNotEquals("Text", "Processing payment...", 10000);

メモ: コントロールの利用可能なプロパティのリスト全体を取得するには、GetPropertyList メソッドを使用します。

VB

次の例は、支払い処理が完了するまで待機します。 「Processing payment...」を表示する UI コントロールが表示されなくなったときに、処理が完了したものとします。
control.WaitForPropertyNotEquals("Text", "Processing payment...", 10000)

メモ: コントロールの利用可能なプロパティのリスト全体を取得するには、GetPropertyList メソッドを使用します。


WaitForScreenshotStable メソッド (TestObject)

クラス

TestObject.

処理

指定した間隔で撮影したスクリーンショットを比較することによって、コントロールの表示が安定し、その位置が変更されなくなるまで待機します。 オプションの 'timeout' パラメーターを使用してタイムアウト値を明示的に指定しない場合は、オプション OPT_WAIT_SCREENSHOT_STABLE によって指定されたタイムアウト値が使用されます。 デフォルトの間隔は 200 ミリ秒です。 タイムアウト値に到達すると例外がスローされます。

構文

C#
testObject.WaitForScreenshotStable([timeout, interval])
VB
testObject.WaitForScreenshotStable([timeout, interval])
変数 | 説明
timeout | 省略可能: 待機する最大時間 (ミリ秒)。 Integer。
interval | 省略可能: スクリーンショットと位置を確認する間隔 (ミリ秒)。 Integer。


Width プロパティ (TableColumn)

クラス

TableColumn.

処理

[読み書き可能] 列の幅。

構文

C#
protected Integer Width { get; set; }
VB
'Declaration
Protected ReadWrite Property Width As Integer

アクセス

読み書き。


WindowState プロパティ (IMoveable)

クラス

IMoveable.

処理

[読み取り専用] ウィンドウの状態。 有効な値は、1=最小化、2=最大化、3=元のサイズに戻すです。

構文

C#
protected Integer WindowState { get; }
VB
'Declaration
Protected Read Property WindowState As Integer

アクセス

読み取り専用。


AgentDirectory プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent を実行しているディレクトリを取得します。

構文

C#

public String AgentDirectory { get; }

VB

Public Read Property AgentDirectory As String

アクセス

読み取り専用。


AgentVersion プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent のバージョンを取得します。

構文

C#
public String AgentVersion { get; }
VB
Public Read Property AgentVersion As String

アクセス

読み取り専用。


Attributes プロパティ (FileInfo)

クラス

FileInfo。

アクション

ファイルの属性を取得します。 詳細については、 「File Attribute Constants」を参照してください。

構文

C#
public Integer Attributes { get; }
VB
Public Read Property Attributes As Integer

アクセス

読み取り専用。


ClipboardText プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

テキストをクリップボードから取得または設定します。

構文

C#

public String ClipboardText { get; set; }

VB

Public ReadWrite Property ClipboardText As String

アクセス

読み書き。


CompareBinaryFiles メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

2 つのファイルのバイナリ比較を実行します。

構文

C#

bCompare = CompareBinaryFiles (lhs, rhs);

VB

bCompare = CompareBinaryFiles (lhs, rhs)
変数 | 説明
bCompare | ファイルの内容が等しい場合は true、 それ以外の場合は false。 Boolean。
lhs | ファイル 1 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
rhs | ファイル 2 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


CompareBitmaps メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

2 つのビットマップを比較します。 ビットマップの色の深度が 24 ビット未満の場合は、 24 ビットの色の深度に変換されます。 マスク ファイルが 指定されている場合は、マスク ファイルの白ピクセル部分だけが 比較対象になります。 一致しないピクセル数が pixelTolerance で指定した値より小さい場合、比較は成功します。 指定したビットマップの サイズが異なる場合は、false が返ります。

構文

C#

bCompare = CompareBitmaps (lhs, rhs [, maskFileName, pixelTolerance]);

VB

bCompare = CompareBitmaps (lhs, rhs [, maskFileName, pixelTolerance])
変数 | 説明
bCompare | ビットマップが等しい場合は true、それ以外の場合は false。 Boolean。
lhs | ファイル 1 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
rhs | ファイル 2 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
maskFileName | 省略可能： マスクファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
pixelTolerance | 省略可能： 許容値。 Integer。


CompareTextFiles メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

2 つのファイルを辞書的に比較します。

構文

C#

bCompare = CompareTextFiles (lhs, rhs);

VB

bCompare = CompareTextFiles (lhs, rhs)
bCompare = CompareTextFiles (lhs, rhs)
変数 | 説明
bCompare | ビットマップが等しい場合は true、それ以外の場合は false。 Boolean。
lhs | ファイル 1 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
rhs | ファイル 2 へのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


CopyFile メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ファイルをコピーします。

構文

C#

CopyFile (sSrc, sDest);

VB

CopyFile (sSrc, sDest)
変数 | 説明
sSrc | sSrc ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
sDest | sDest ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


CreateRegistryKey メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

レジストリに新しいキーを作成します。 指定した keyPath に存在しない すべてのレジストリ キーを再帰的に作成します。

構文

bSuccess = CreateRegistryKey (rcCategory, sKeypath, sKeyname, sDefaultValue)
変数 | 説明
bSuccess | キーの作成に成功した場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sKeyname | レジストリ キーの名前。 String。
sDefaultValue | レジストリ キーのデフォルト値。 String。


CreateRegistryValue メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

新しい値を作成します。

構文

bSuccess = CreateRegistryValue (rcCategory, sKeypath, sValueName, sValue)
変数 | 説明
bSuccess | 値の作成に成功した場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sValueName | 値の名前。 String。
sValue | 新しい値。 String。


CreationDate プロパティ (FileInfo)

クラス

FileInfo。

アクション

ファイルまたはディレクトリが作成された日時を取得します。

構文

C#

public DateTime CreationDate { get; }

VB

Public Read Property CreationDate As DateTime

アクセス

読み取り専用。


CurrentDrive プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent をホストしているマシンの現在のドライブを 取得または設定します。

構文

C#

public String CurrentDrive { get; set; }

VB

Public ReadWrite Property CurrentDrive As String

アクセス

読み書き。


CurrentRegistryView プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

現在のレジストリ ビューを取得または設定します。

構文

C#

public RegistryView CurrentRegistryView { get; set; }

VB

Public ReadWrite Property CurrentRegistryView As RegistryView

アクセス

読み書き。


CursorPosition プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent を実行しているマシンの現在のカーソルの位置を 取得します。

構文

C#

public Point CursorPosition { get; }

VB

Public Read Property CursorPosition As Point

アクセス

読み取り専用。


CursorType プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent を実行しているマシンの現在のカーソルの種類を 取得します。

構文

C#

public String CursorType { get; }

VB

Public Read Property CursorType As String

アクセス

読み取り専用。


DeleteRegistryKey メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

レジストリからキーを削除します。 キーにサブキーを含めることはできません。 含めるとメソッドの実行は失敗します。

構文

bSuccess = DeleteRegistryKey (rcCategory, sKeypath, sKeyname)
変数 | 説明
bSuccess | キーの削除に成功した場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sKeyname | レジストリ キーの名前。 String。


DeleteRegistryValue メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

値を削除します。

構文

bSuccess = DeleteRegistryValue (rcCategory, sKeypath, sValueName)
変数 | 説明
bSuccess | 値の削除に成功した場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sValueName | 値。 String。


DirectoryExists メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したディレクトリが存在するかどうかを確認します。

構文

C#

DirectoryExists (sDirectoryPath);

VB

DirectoryExists (sDirectoryPath)
変数 | 説明
sDirectoryPath | ディレクトリへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


Execute メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent のホスト上で指定したコマンドを実行します。

構文

C#

eReturn = Execute (commandLine [, executionMode]);

VB

eReturn = Execute (commandLine [, executionMode])
変数 | 説明
eReturn | コマンドの戻り値。 ExecutionResult。
commandLine | 実行するコマンド。 String。
executionMode | 省略可能： ExecutionMode 列挙データ型 で定義された定数を使用して指定するオプション。 指定されない場合、デフォルト値は WAIT_UNTIL_FINISHED。 ExecutionMode。


Exists メソッド (TestObject)

クラス

TestObject。

アクション

オブジェクトがテスト対象アプリケーション内に存在するかどうかを確認します。

構文

C#
TestObject.Exists()
VB
TestObject.Exists()

C# の例

myObject という名前のオブジェクトを操作したい場合を考えます。テスト対象アプリケーションでオブジェクトが存在するかどうか を確認するには、次のコードを使用することができます。
myObject.Exists();

Visual Basic の例

myObject という名前のオブジェクトを操作したい場合を考えます。 テスト対象アプリケーションでオブジェクトが存在するかどうか を確認するには、次のコードを使用することができます。
myObject.Exists()


ExistsRegistryKey メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

レジストリにキーが存在するかどうかを確認します。

構文

bExists = ExistsRegistryKey (rcCategory, sKeypath, sKeyname)
変数 | 説明
bExists | キーが存在する場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sKeyname | レジストリ キーの名前。 String。


ExistsRegistryValue メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

レジストリに値が存在するかどうかを確認します。

構文

bExists = ExistsRegistryValue (rcCategory, sKeypath, sValueName)
変数 | 説明
bExists | 値が存在する場合は true、それ以外の場合は false。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sValueName | レジストリ値の名前。 String。


FileClose メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent のホスト上で開いたファイルを閉じます。

構文

C#

FileClose (hFile);

VB

FileClose (hFile)
変数 | 説明
hFile | 閉じるファイルのハンドル。 FileHandle。


FileExists メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したファイルが存在するかどうかを確認します。

構文

C#

bExists = FileExists (sFilePath);

VB

bExists = FileExists (sFilePath)
変数 | 説明
bExists | ファイルが存在するかどうか。 ファイルが存在する 場合は true、存在しない場合は false を返します。 Boolean。
sFilePath | ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


FileOpen メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ファイルを開きます。 ファイルが存在しない場合は作成します。 エージェントから 切断されたり、テストの実行が完了すると、開いたファイルは閉じられ、 保存されますが、FileClose メソッドを使用して ファイルを閉じることを Micro Focus は推奨しています。

構文

hFile = FileOpen (sFilePath, fmMode [, fsShare, csCharSet])
変数 | 説明
hFile | ファイルのハンドル。 FileHandle。
sFilePath | ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
fmMode | ファイルを開くモード。 FileOpenMode
fsShare | 開いたファイルを他のプロセスがアクセスできるかどうかを定義します。 FileShareMode
csCharSet | 新しいファイルのエンコード。 既存のファイルに対しては、 BOM が指定されていない場合のエンコードを指定します。 CharSet。


FileReadLine メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ファイルから 1 行読み込みます。 ファイル ポインターがある現在の位置から読み込みます。

構文

C#

sLine = FileReadLine (hFile);

VB

sLine = FileReadLine (hFile)
変数 | 説明
sLine | ファイルの 1 行。EOF に到達した場合は null。 String
hFile | ファイルのハンドル。 FileHandle。


FileSetPointer メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

読み書きオペレーション用にファイル内のポインター位置を設定します。

構文

C#

nPosition = FileSetPointer (hFile, nNewValue [, SetMode]);

VB

nPosition = FileSetPointer (hFile, nNewValue [, SetMode])
変数 | 説明
nPosition | ファイル ポインターの現在の位置までの文字数。 Integer。
hFile | ファイルのハンドル。 FileHandle。
nNewValue | 新しい位置を指定する値。 SetMode の値に依存します。 Integer。
SetMode | 使用するモード。 FilePointerMode。


FileWriteLine メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ファイル ポインターがある現在の位置に 1 行書き込みます。

構文

C#

FileWriteLine (hFileHandle, sLine);

VB

FileWriteLine (hFileHandle, sLine)
変数 | 説明
hFileHandle | FileOpen で返された ファイルハンドル。 FileHandle。
sLine | 書き込む行。 String。


FindAll メソッド (TestObject)

クラス

TestObject。

アクション

XPath ロケーターで指定したすべてのオブジェクトを検索します。 ロケーターに一致する すべてのオブジェクトを返します。 ロケーターに一致するオブジェクトが見つからない場合、エージェントはデフォルトのタイムアウト (オプション Options.ObjectResolveTimeout で指定) を経過するまでオブジェクトを探し続けます。

構文

C#
TestObjectList=FindAll(locator
VB
TestObjectList=FindAll(locator
変数 | 説明
locator | XPath ロケーター。 検索するオブジェクトを定義します。 String。


Find メソッド (TestObject)

クラス

TestObject。

アクション

XPath ロケーターで指定したオブジェクトを検索します。 ロケーターに一致する 最初のオブジェクトを返します。 ロケーターに一致するオブジェクトが見つからない場合、エージェントはデフォルトのタイムアウト (オプション Options.ObjectResolveTimeout で指定) を経過するまでオブジェクトを探し続けます。 オブジェクトが見つからない場合は、 ObjectNotFoundException がスローされます。 スクリプト オプション ダイアログ ボックスの 同期 タブにある Options.ObjectResolveTimeout オプションで設定できます。 このオプションは、UI では OPT_WAIT_RESOLVE_OBJDEF で、タブの オブジェクト解決タイムアウト セクションにあります。 デフォルトのタイムアウト値は 5 秒です。

Find メソッドの代わりに PushButton メソッドや Window メソッドを使用できます。 たとえば、以下のように入力できます。
myWindow.Find(Of PushButton)("//PushButton[@caption='ok']").Select()
または
myWindow.PushButton("@caption='ok'").Select()

構文

C#
TestObject.Find(locator, [options])
VB
TestObject.Find(locator, [options])
変数 | 説明
locator | XPath ロケーター。 検索するオブジェクトを定義します。 String。
options | 省略可能: 検索操作に対するオプションを指定します。 デフォルト タイムアウトを上書きしたり、オブジェクトが見つからない場合に例外をスローする代わりに null を返す ように指定したりするためにしようできます。


FreeMemory プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent をホストしているマシンの 空きメモリーの割合を取得します。

構文

C#

public Integer FreeMemory { get; }

VB

Public Read Property FreeMemory As Integer

アクセス

読み取り専用。


GetBitmapCRC メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ビットマップ ファイルの CRC 値を返します。 maskName パラメータが指定されている場合は（null 以外）、 マスクしたピクセルが CRC の計算に使用されます。 マスクは、ビットマップと同じサイズの白黒のビットマップで なければなりません。 CRC の計算の際には、黒ピクセルはビットマップの同じ位置にある ピクセルを隠されます。

構文

C#

lValue = GetBitmapCRC (sFileName, sMaskName);

VB

lValue = GetBitmapCRC (sFileName, sMaskName)
変数 | 説明
lValue | CRC32 値。 Long。
sFileName | ビットマップ ファイルへのパス。 絶対パス、または、 現在の作業ディレクトリからの相対パスを指定できます。
sMaskName | マスク ファイルへのパス。 絶対パス、または、 現在の作業ディレクトリからの相対パスを指定できます。


GetDirectoryContents メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ディレクトリの内容を取得します。

構文

C#

ilFileInfo = GetDirectoryContents (sName [, fsuFileSizeUnit]);

VB

ilFileInfo = GetDirectoryContents (sName [, fsuFileSizeUnit])
変数 | 説明
ilFileInfo | ディレクトリの内容を FileInfo オブジェクトのリストで返します。 ディレクトリが存在しない場合は null。 IList<FileInfo>。
sName | ディレクトリへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
fsuFileSizeUnit | 省略可能： ファイル サイズを測定する単位。 デフォルトは FileSizeUnit.Byte。 FileSizeUnit。


GetEnvironmentVariable メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定した環境変数の値を取得します。

構文

C#

sValue = GetEnvironmentVariable (sName);

VB

sValue = GetEnvironmentVariable (sName)
変数 | 説明
sValue | 指定した環境変数の値。 String。
sName | 環境変数の名前。 String。


GetExitCode メソッド (ExecutionResult)

クラス

ExecutionResult。

アクション

Execute の 呼び出し結果を返します。 エラーが発生していない 場合は 0。

構文

C#

iExitCode = GetExitCode ();

VB

iExitCode = GetExitCode ()
変数 | 説明
iExitCode | Execute の 呼び出し結果。 エラーが発生していない 場合は 0。 Integer。


GetFileInfo メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したファイルについての情報を取得します。 ファイルが 存在しない場合は null を返します。

構文

C#

fiFileInfo = GetFileInfo (sName [, fsuFileSizeUnit]);

VB

fiFileInfo = GetFileInfo (sName [, fsuFileSizeUnit])
変数 | 説明
fiFileInfo | ファイルについての情報。 ファイルが 存在しない場合は null。 FileInfo。
sName | ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。
fsuFileSizeUnit | 省略可能： ファイル サイズを測定する単位。 デフォルトは FileSizeUnit.Byte。 FileSizeUnit。


GetFreeDiskSpace メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したドライブで利用可能な空き容量を返します。

構文

C#

dFreeDiskSpace = GetFreeDiskSpace (sDrive [, fsuFileSizeUnit]);

VB

dFreeDiskSpace = GetFreeDiskSpace (sDrive [, fsuFileSizeUnit])
変数 | 説明
dFreeDiskSpace | 指定したドライブで利用可能な空き容量。 Double。
sDrive | ドライブ。 String。
fsuFileSizeUnit | 省略可能： ファイル サイズを測定する単位。 デフォルトはバイトです。 FileSizeUnit。


GetHandle メソッド (FileHandle)

クラス

FileHandle。

アクション

ハンドルの内部値を返します。

構文

C#

nHandle = GetHandle ();

VB

nHandle = GetHandle ()
変数 | 説明
nHandle | ハンドルの内部値。 Integer。


GetName メソッド (FileHandle)

クラス

FileHandle。

アクション

ハンドルに対応するファイルまたはディレクトリ の名前を返します。

構文

C#

sName = GetName ();

VB

sName = GetName ()
変数 | 説明
sName | ハンドルに対応するファイルまたは ディレクトリの名前。 String。


GetOutput メソッド (ExecutionResult)

クラス

ExecutionResult。

アクション

stdout と stderr の両方の内容を文字列で返します。

構文

C#

sOutput = GetOutput ();

VB

sOutput = GetOutput ()
変数 | 説明
sOutput | stdout と stderr の両方の内容。 String。


GetProperty メソッド (TestObject)

クラス

TestObject。

アクション

指定したプロパティの値を返します。

構文

C#
GetProperty(propertyName)
VB
GetProperty(propertyName)
変数 | 説明
propertyName | プロパティの名前。 String。


GetRawOutput メソッド (ExecutionResult)

クラス

ExecutionResult。

アクション

stdout と stderr の両方の内容を返します。

構文

C#

lsRawOutput = GetRawOutput ();

VB

lsRawOutput = GetRawOutput ()
変数 | 説明
lsRawOutput | stdout と stderr の両方の内容。 LIST OF STRING。


GetRegistryKeyNames メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したキー以下のすべてのレジストリ キーの名前を返します。

構文

C#

lsKeyNames = GetRegistryKeyNames (rcCategory, sKeyPath);

VB

lsKeyNames = GetRegistryKeyNames (rcCategory, sKeyPath)
変数 | 説明
lsKeyNames | 指定したキー以下のすべてのレジストリ キーの名前。 IList<String>。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。


GetRegistryValue メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したレジストリ キーの値を返します。

構文

C#

oKeyValue = GetRegistryValue (rcCategory, sKeyPath, sValueName, bConvertToInt);

VB

oKeyValue = GetRegistryValue (rcCategory, sKeyPath, sValueName, bConvertToInt)
変数 | 説明
oKeyValue | 指定したキーの値。キーが 存在しない場合は null。 Object。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sValueName | 値の名前。 String。
bConvertToInt | 値を整数に変換するかどうかを指定します。 Boolean。


GetRegistryValueNames メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したキー以下のすべてのレジストリ キーの値を返します。

構文

C#

lsKeyValues = GetRegistryValueNames (rcCategory, sKeyPath);

VB

lsKeyValues = GetRegistryValueNames (rcCategory, sKeyPath)
変数 | 説明
lsKeyValues | 指定したキー以下のすべてのレジストリ キーの値。 IList<String>。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。


HostName プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent を実行しているマシンのホスト名を 取得します。

構文

C#

public String HostName { get; }

VB

Public Read Property HostName As String

アクセス

読み取り専用。


ImageClickFile メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージをクリックします。

構文

C#
testObject.ImageClickFile(imageFile, [position, occurrence, clickType, modifiers, timeout]);
VB
testObject.ImageClickFile(imageFile, [position, occurrence, clickType, modifiers, timeout])
変数 | 説明
imageFile 以下の種類のイメージ ファイルへの絶対パス。
  • .bmp
  • .png
注: 絶対パスか再生中の作業ディレクトリからの相対パスのいずれかを指定することができます。
STRING。
position | 省略可能: クリックする座標。 座標はイメージの左上隅からの相対値です。 イメージの中央をクリックするには、 ClickPosition.Center を使用します。 デフォルト値は、 イメージの中央です。 Point。
occurrence | 省略可能: イメージが複数出現する場合に、クリックするイメージの 出現番号。 最初の出現番号は、1 です。 デフォルト値は、1 です。 Integer。
clickType | 省略可能: マウス操作。 デフォルト値は、 左クリックです。 ClickType。
modifiers | 省略可能: 修飾キー。 Alt、 Shift、 Ctrl をクリック時に押す場合に 指定します。 デフォルトでは、修飾キーは使用されません。 ModifierKeys。
timeout | 省略可能: イメージが表示されるまでの最大待機時間 (ミリ秒)。 timeout が指定されていない場合、 ImageClick メソッドは、 オブジェクト解決タイムアウト を経過するまでイメージを待機します。 Integer。

C# の例

myImage.png という名前のイメージがディレクトリ C:\temp にあると仮定します。

  • テスト対象アプリケーションでイメージを検索し、 見つかったイメージの中央をクリックするには、 次のコードを使用できます。
     control.ImageClickFile("C:\temp\myImage.png");
  • イメージの中央の代わりに、イメージ内の特定の 場所をクリックするには、次のコードを使用できます。
     control.ImageClickFile("C:\temp\myImage.png", new Point(10, 20));
  • テスト対象アプリケーションの出現番号 2 番のイメージの中央を 右クリックするには、次のコードを使用できます。
    control.ImageClickFile("C:\temp\myImage.png", ClickPosition.Center, 2, ClickType.Right);
  • イメージが表示されるのを 2 秒待機し、見つかったイメージの中央をクリックするには、 次のコードを使用できます。
    control.ImageClickFile("C:\temp\myImage.png", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000);

Visual Basic の例

myImage.png という名前のイメージがディレクトリ C:\temp にあると仮定します。

  • テスト対象アプリケーションでイメージを検索し、 見つかったイメージの中央をクリックするには、 次のコードを使用できます。
     control.ImageClick("C:\temp\myImage.png")
  • イメージの中央の代わりに、イメージ内の特定の 場所をクリックするには、次のコードを使用できます。
     control.ImageClick("C:\temp\myImage.png", New Point(10, 20))
  • テスト対象アプリケーションの出現番号 2 番のイメージの中央を 右クリックするには、次のコードを使用できます。
    control.ImageClick("C:\temp\myImage.png", ClickPosition.Center, 2, ClickType.Right)
  • イメージが表示されるのを 2 秒待機し、見つかったイメージの中央をクリックするには、 次のコードを使用できます。
    control.ImageClickFile("C:\temp\myImage.png", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000)


ImageClick メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージ資産をクリックします。 イメージが見つかるまで、 指定した timeout が経過、または、 同期オプションで定義した オブジェクト解決タイムアウト が経過するまで 待機します。

構文

C#
TestObject.ImageClick(imageAsset,[position, occurrence, clickType, modifiers, timeout])
VB
TestObject.ImageClick(imageAsset,[position, occurrence, clickType, modifiers, timeout])
変数 | 説明
imageAsset | .imageasset ファイル。このファイルはテスト アセンブリに埋め込まれたリソースでなければなりません。 String。
position | 省略可能: クリックする座標。 座標はイメージの左上隅からの相対値です。 イメージの中央をクリックするには、 ClickPosition.Center を使用します。 デフォルト値は、 イメージの中央です。 Point。
occurrence | 省略可能: イメージが複数出現する場合に、クリックするイメージの 出現番号。 最初の出現番号は、1 です。 デフォルト値は、1 です。 Integer。
clickType | 省略可能: マウス操作。 デフォルト値は、 左クリックです。 ClickType。
modifiers | 省略可能: 修飾キー。 Alt、 Shift、 Ctrl をクリック時に押す場合に 指定します。 デフォルトでは、修飾キーは使用されません。 ModifierKeys。
timeout | 省略可能: イメージが表示されるまでの最大待機時間 (ミリ秒)。 timeout が指定されていない場合、 ImageClick メソッドは、 オブジェクト解決タイムアウト を経過するまでイメージを待機します。 Integer。

C# の例

myImage という名前のイメージ資産を作成してあると仮定します。 イメージ資産のイメージは、操作したい UI オブジェクトを表します。

  • テスト対象アプリケーションでイメージを検索し、 見つかったイメージの中央をクリックするには、 次のコードを使用できます。
     control.ImageClick("myImage");
  • イメージの中央の代わりに、イメージ内の特定の 場所をクリックするには、次のコードを使用できます。
     control.ImageClick("myImage", new Point(10, 20));
  • テスト対象アプリケーションの出現番号 2 番のイメージの中央を 右クリックするには、次のコードを使用できます。
    control.ImageClick("myImage", ClickPosition.Center, 2, ClickType.Right);
  • イメージが表示されるのを 2 秒待機し、見つかったイメージの中央をクリックするには、 次のコードを使用できます。
    control.ImageClick("myImage", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000);

Visual Basic の例

myImage という名前のイメージ資産を作成してあると仮定します。 イメージ資産のイメージは、操作したい UI オブジェクトを表します。

  • テスト対象アプリケーションでイメージを検索し、 見つかったイメージの中央をクリックするには、 次のコードを使用できます。
     control.ImageClick("myImage")
  • イメージの中央の代わりに、イメージ内の特定の 場所をクリックするには、次のコードを使用できます。
     control.ImageClick("myImage", New Point(10, 20))
  • テスト対象アプリケーションの出現番号 2 番のイメージの中央を 右クリックするには、次のコードを使用できます。
    control.ImageClick("myImage", ClickPosition.Center, 2, ClickType.Right)
  • イメージが表示されるのを 2 秒待機し、見つかったイメージの中央をクリックするには、 次のコードを使用できます。
    control.ImageClick("myImage", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000)


ImageExistsFile メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージが存在するかどうかを返します。

構文

C#
return = TestObject.ImageExistsFile(imageFile, [occurrence, searchRectangle])
VB
return = TestObject.ImageExistsFile(imageFile, [occurrence, searchRectangle])
変数 | 説明
return | イメージが存在する場合は True、そうでない場合は False。 Boolean。
imageFile
  • 次の種類の いずれか 1 つのファイルへのパス。
    • .imageasset
    • .bmp
    • .png
String。
occurrence | 省略可能: イメージが複数出現する場合に、存在を確認するイメージの 出現番号。 最初の出現番号は、 1 です。 デフォルト値は、1 です。 Integer。
searchRectangle | 省略可能: イメージを検索するオブジェクトに相対的な矩形領域。 Rect。

C# の例

myImage という名前の PNG イメージが c:/temp フォルダにあると仮定します。 テスト対象アプリケーションでイメージが存在するかどうか を確認するには、次のコードを使用することができます。

bImageExists = control.ImageExistsFile("c://temp/myImage.png");

Visual Basic の例

myImage という名前の PNG イメージが c:/temp フォルダにあると仮定します。 テスト対象アプリケーションでイメージが存在するかどうか を確認するには、次のコードを使用することができます。

bImageExists = control.ImageExistsFile("c://temp/myImage.png")


ImageExists メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージが存在するかどうかを返します。

構文

C#
TestObject.ImageExists(imageAsset, [occurrence, searchRectangle])
VB
TestObject.ImageExists(imageAsset, [occurrence, searchRectangle])
変数 | 説明
imageAsset 次の種類のいずれか 1 つのファイル。
  • .imageasset
  • .bmp
  • .png
このファイルはテスト アセンブリに埋め込まれたリソースでなければなりません。 String。
occurrence | 省略可能: イメージが複数出現する場合に、クリックするイメージの 出現番号。 最初の出現番号は、1 です。 デフォルト値は、1 です。 Integer。
searchRectangle | 省略可能: イメージを検索するオブジェクトに相対的な矩形領域。 Rect。

C# の例

myImage という名前のイメージ資産を作成してあると仮定します。 イメージ資産のイメージは、操作したい UI オブジェクトを表します。 テスト対象アプリケーションでイメージが存在するかどうか を確認するには、次のコードを使用することができます。
 control.ImageExists("myImage");

Visual Basic の例

myImage という名前のイメージ資産を作成してあると仮定します。 イメージ資産のイメージは、操作したい UI オブジェクトを表します。 テスト対象アプリケーションでイメージが存在するかどうか を確認するには、次のコードを使用することができます。
 control.ImageExists("myImage")


ImageRectangleFile メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージのオブジェクトに相対的な矩形領域を返します。

構文

C#
returnRectangle = TestObject.ImageRectangleFile(imageFilePath, [occurence, searchRectangle])
VB
returnRectangle = TestObject.ImageRectangleFile(imageFilePath, [occurrence, searchRectangle])
変数 | 説明
returnRectangle | 指定したイメージの矩形領域、またはイメージが見つからない場合は空の矩形領域。 Rect。
imageFile
  • 次の種類の いずれか 1 つのファイルへのパス。
    • .imageasset
    • .bmp
    • .png
String。
occurrence | 省略可能: イメージが複数出現する場合に、 矩形領域を返すイメージの出現番号。 最初の出現番号は、 1 です。 デフォルト値は、1 です。 Integer。
searchRectangle | 省略可能: イメージを検索するオブジェクトに相対的な矩形領域。 Rect。

C# の例

myImage という名前の PNG イメージが c:/temp フォルダにあると仮定します。 イメージのオブジェクトに相対的な矩形領域 を得るには、次のコードを使用することができます。

imageRectangle = control.ImageRectangleFile("c://temp/myImage.png");

Visual Basic の例

myImage という名前の PNG イメージが c:/temp フォルダにあると仮定します。 イメージのオブジェクトに相対的な矩形領域 を得るには、次のコードを使用することができます。

imageRectangle = control.ImageRectangleFile("c://temp/myImage.png")


ImageRectangle メソッド (TestObject)

クラス

TestObject。

アクション

指定したイメージのオブジェクトに相対的な矩形領域を返します。

構文

C#
returnRectangle = TestObject.ImageRectangleFile(imageAsset, [occurence, searchRectangle])
VB
returnRectangle = TestObject.ImageRectangleFile(imageAsset, [occurrence, searchRectangle])
変数 | 説明
returnRectangle | 指定したイメージの矩形領域、またはイメージが見つからない場合は空の矩形領域。 Rect。
imageAsset 次の種類のいずれか 1 つのファイル。
  • .imageasset
  • .bmp
  • .png
このファイルはテスト アセンブリに埋め込まれたリソースでなければなりません。String。
occurrence | 省略可能: イメージが複数出現する場合に、 矩形領域を返すイメージの出現番号。 最初の出現番号は、 1 です。 デフォルト値は、1 です。 Integer。
searchRectangle | 省略可能: イメージを検索するオブジェクトに相対的な矩形領域。 Rect。

C# の例

myImage という名前の PNG イメージが c:/temp フォルダにあると仮定します。 イメージのオブジェクトに相対的な矩形領域 を得るには、次のコードを使用することができます。

imageRectangle = control.ImageRectangleFile("myImage.png");

Visual Basic の例

myImage という名前の PNG イメージが c:/temp フォルダにあると仮定します。 イメージのオブジェクトに相対的な矩形領域 を得るには、次のコードを使用することができます。

imageRectangle = control.ImageRectangleFile("myImage.png")


Invoke メソッド (TestObject)

クラス

TestObject。

アクション

テスト オブジェクトのメソッドを動的に呼び出します。 戻り値型が void の メソッドに対しては、null を返します。

Invoke は、MSDN がテスト オブジェクトに対して定義するすべてのパブリック メソッドを動的に呼び出すことができます。 Windows Forms アプリケーションまたは WPF アプリケーションのテスト オブジェクトの場合は、さらに、 Invoke は MSDN が定義するすべてのパブリックな静的メソッドと任意の型のすべてのユーザー定義のパブリックな静的メソッドを呼び出すことができます。

構文

C#
TestObject.Invoke(methodName, [parameters])
VB
TestObject.Invoke(methodName, [parameters])
変数 | 説明
methodName | Select などの メソッド名。 String。
parameters | メソッド パラメータ。 関数がパラメータを取らない場合は、空のリストを渡します。

例1

型 DataGrid のオブジェクトの場合、MSDN が型 System.Windows.Forms.DataGrid に対して定義するすべてのメソッドを呼び出すことができます。

例2

静的な .NET メソッド String.Compare(String s1, String s2) をテスト対象アプリケーションから呼び出すには、次のコードを使用します。
//VB .NET code
Dim result as Integer = mainWindow.Invoke("System.String.Compare", "a", "b")
//C# code
int result = (int) mainWindow.Invoke("System.String.Compare", "a", "b");

オブジェクト mainWindow は、メソッドが呼び出されるアプリケーション内部のみを識別し、 アプリケーションの他のオブジェクトで置き換えることができます。


IsDirectory プロパティ (FileInfo)

クラス

FileInfo。

アクション

インスタンスがディレクトリについての情報を保持しているかどうかを取得します。

構文

C#

public Boolean IsDirectory { get; }

VB

Public Read Property IsDirectory As Boolean

アクセス

読み取り専用。


Locale プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent を実行しているマシンのロケールを 取得します（en-US など）。

構文

C#

public String Locale { get; }

VB

Public Read Property Locale As String

アクセス

読み取り専用。


ModificationTime プロパティ (FileInfo)

クラス

FileInfo。

アクション

ファイルまたはディレクトリが最後に変更された 日時を取得します。

構文

C#

public DateTime ModificationTime { get; }

VB

Public Read Property ModificationTime As DateTime

アクセス

読み取り専用。


MoveFile メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

ファイルを移動します。

構文

C#

MoveFile (sSrc, sDest);

VB

MoveFile (sSrc, sDest)
変数 | 説明
sSrc | sSrc ファイルへのパス。 絶対パス、または、 現在の作業ディレクトリからの相対パスを指定できます。 String。
sDest | sDest ファイルへのパス。 絶対パス、または、 現在の作業ディレクトリからの相対パスを指定できます。 String。


Name プロパティ (FileInfo)

クラス

FileInfo。

アクション

ファイルの名前を取得します。

構文

C#

public String Name { get; }

VB

Public Read Property Name As String

アクセス

読み取り専用。


OSName プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent をホストしているマシンの OS の名前を 取得します。

構文

C#

public String OSName { get; }

VB

Public Read Property OSName As String

アクセス

読み取り専用。


OSVersion プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent をホストしているマシンの OS のメジャー バージョンと マイナー バージョンを取得します。

構文

C#

public String OSVersion { get; }

VB

Public Read Property OSVersion As String

アクセス

読み取り専用。


OSVersionType プロパティ (SystemFunctions)

クラス

SystemFunctions。

アクション

Open Agent をホストしているマシンの OS のバージョンの種類 （サーバーまたはクライアント）を取得します。

構文

C#

public String OSVersionType { get; }

VB

Public Read Property OSVersionType As String

アクセス

読み取り専用。


RemoveDirectory メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したディレクトリを削除します。 ディレクトリは空でなければなりません。

構文

C#

RemoveDirectory (sDirectoryName);

VB

RemoveDirectory (sDirectoryName)
変数 | 説明
sDirectoryName | ディレクトリへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


RemoveFile メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したファイルを削除します。

構文

C#

RemoveFile (sFileName);

VB

RemoveFile (sFileName)
変数 | 説明
sFileName | ファイルへのパス。 絶対パス、または、現在の 作業ディレクトリからの相対パスを指定できます。 String。


SetEnvironmentVariable メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定した環境変数の値を設定します。

構文

C#

SetEnvironmentVariable (sName, sValue);

VB

SetEnvironmentVariable (sName, sValue)
変数 | 説明
sName | 環境変数の名前。 String。
sValue | 指定した環境変数の値。 String。


SetProperty メソッド (TestObject)

クラス

TestObject。

アクション

指定したプロパティの値を設定します。

構文

C#
SetProperty(propertyName, value)
VB
SetProperty(propertyName, value)
変数 | 説明
propertyName | プロパティの名前。 String。
value | プロパティの新しい値。 Object。


SetRegistryValue メソッド (SystemFunctions)

クラス

SystemFunctions。

アクション

指定したレジストリ キーの値を設定します。

構文

C#

bSuccess = SetRegistryValue (rcCategory, sKeyPath, sValueName, sNewValue);

VB

bSuccess = SetRegistryValue (rcCategory, sKeyPath, sValueName, sNewValue)
変数 | 説明
bSuccess | レジストリ キーに設定できた場合は true、 できなかった場合は false を返します。 Boolean。
rcCategory | レジストリのルート キー。 RegistryCategory。
sKeyPath | レジストリ キーへのパス。 String。
sValueName | 値の名前。 String。
sNewValue | 新しい値。 String。


Size プロパティ (FileInfo)

クラス

FileInfo。

アクション

ファイルのサイズを取得します。 ディレクトリの場合は、0.0 を返します。 ファイル サイズの単位は、 GetFileInfo および GetDirectoryContents メソッド の使用時に決定されます。

構文

C#

public Double Size { get; }

VB

Public Read Property Size As Double

アクセス

読み取り専用。


ToString メソッド (ExecutionResult)

クラス

ExecutionResult。

アクション

終了コードを文字列で返します。

構文

C#

sExitCode = ToString ();

VB

sExitCode = ToString ()
変数 | 説明
sExitCode | 終了コード。 String。


Verify メソッド (TestObject)

クラス

TestObject。

アクション

この UI オブジェクトのコンテキストで、指定した資産に対する検証を実行します。 検証が成功したかどうかを返します。

構文

C#
result = TestObject.Verify(testObject, verificationAsset)
VB
result = TestObject.Verify(testObject, verificationAsset)
変数 | 説明
結果 | 検証が成功したかどうか。 Boolean。
testObject | 検証するオブジェクトを定義します。 TestObject。
verificationAsset | 検証を実行する資産の名前。 String。


A プロパティ

クラス

Color。

アクション

色のアルファ RGB チャンネルの値を取得します。

構文

C#
public readonly int A
VB
Public Readonly Property A As Integer

アクセス

読み取り専用。

例

シアンのアルファ RGB チャンネルの値を取得するには、次のように入力します。
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim alphaValue As Integer
  alphaValue = myColor.A()
End Sub


BLACK フィールド

クラス

Color。

アクション

#FF000000 の ARGB 値を持つ色を取得します。

構文

C#
public static readonly Color BLACK
VB
Public Shared ReadOnly BLACK As Color

アクセス

読み取り専用。


BLUE フィールド

クラス

Color。

アクション

#FF0000FF の ARGB 値を持つ色を取得します。

構文

C#
public static readonly Color BLUE
VB
Public Shared ReadOnly BLUE As Color

アクセス

読み取り専用。


B プロパティ

クラス

Color。

アクション

色のブルー RGB チャンネルの値を取得します。

構文

C#
public readonly int B
VB
Public Readonly Property B As Integer

アクセス

読み取り専用。

例

シアンのブルー RGB チャンネルの値を取得するには、次のように入力します。
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim blueValue As Integer
  blueValue = myColor.B()
End Sub


Center プロパティ

クラス

Rectangle。

アクション

Rectangle の中央を取得します。

構文

C#
public readonly Point Center
VB
Public Readonly Property Center As Point

アクセス

読み取り専用。


Children プロパティ

クラス

TreeNode。

アクション

TreeNode の子ノードを取得します。

構文

C#
public readonly IList<TreeNode> RootNodes
VB
Public ReadOnly Property RootNodes As IList<TreeNode>

アクセス

読み取り専用。


Column プロパティ

クラス

TextPosition。

アクション

列を取得します。

構文

C#
public readonly int Column
VB
Public Readonly Property Column As Integer

アクセス

読み取り専用。


Contains(Point) メソッド

クラス

Rectangle。

アクション

現在の Rectangle が、指定した Point を含む場合は true を返します。 それ以外の場合は、false を返します。

構文

C#
public bool Contains (Point point)
VB
Public Function Contains (point As Point) As Boolean


Contains(Rectangle) メソッド

クラス

Rectangle。

アクション

現在の Rectangle が、指定した Rectangle を含む場合は true を返します。 それ以外の場合は、false を返します。

構文

C#
public bool Contains (Rectangle rect)
VB
Public Function Contains (rect As Rectangle) As Boolean


Contains(X,Y) メソッド

クラス

Rectangle。

アクション

現在の Rectangle が、指定した座標を含む場合は true を返します。 それ以外の場合は、false を返します。

構文

C#
public bool Contains (int x, int y)
VB
Public Function Contains (x As Integer, y As Integer) As Boolean


CYAN フィールド

クラス

Color。

アクション

#FF00FFFF の ARGB 値を持つ色を取得します。

構文

C#
public static readonly Color CYAN
VB
Public Shared ReadOnly CYAN As Color

アクセス

読み取り専用。


EndColumn プロパティ

クラス

TextRange。

アクション

範囲の最後の列を取得します。

構文

C#
public readonly int EndColumn
VB
Public Readonly Property EndColumn As Integer

アクセス

読み取り専用。


EndLine プロパティ

クラス

TextRange。

アクション

範囲の最後の行を取得します。

構文

C#
public readonly int EndLine
VB
Public Readonly Property EndLine As Integer

アクセス

読み取り専用。


G プロパティ

クラス

Color。

アクション

色のグリーン RGB チャンネルの値を取得します。

構文

C#
public readonly int G
VB
Public Readonly Property G As Integer

アクセス

読み取り専用。

例

シアンのグリーン RGB チャンネルの値を取得するには、次のように入力します。
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim greenValue As Integer
  greenValue = myColor.G()
End Sub


Green フィールド

クラス

Color。

アクション

#FF00FF00 の ARGB 値を持つ色を取得します。

構文

C#
public static readonly Color GREEN
VB
Public Shared ReadOnly GREEN As Color

アクセス

読み取り専用。


Height プロパティ

クラス

Rectangle。

アクション

Rectangle の高さを取得します。

構文

C#
public readonly int Height
VB
Public Readonly Property Height As Integer

アクセス

読み取り専用。


IsEmpty プロパティ

クラス

Rectangle。

アクション

矩形が空かどうかを判定します。

構文

C#
public readonly bool IsEmpty
VB
Public Readonly Property IsEmpty As Boolean

アクセス

読み取り専用。


Line プロパティ

クラス

TextPosition。

アクション

行を取得します。

構文

C#
public readonly int Line
VB
Public Readonly Property Line As Integer

アクセス

読み取り専用。


MAGENTA フィールド

クラス

Color。

アクション

#FFFF00FF の ARGB 値を持つ色を取得します。

構文

C#
public static readonly Color MAGENTA
VB
Public Shared ReadOnly MAGENTA As Color

アクセス

読み取り専用。


Maximumプロパティ

クラス

Range。

アクション

Range の最大値を取得します。

構文

C#
public readonly int Maximum
VB
Public Readonly Property Maximum As Integer

アクセス

読み取り専用。


Minimumプロパティ

クラス

Range。

アクション

Range の最小値を取得します。

構文

C#
public readonly int Minimum
VB
Public Readonly Property Minimum As Integer

アクセス

読み取り専用。


RED フィールド

クラス

Color。

アクション

#FFFF0000 の ARGB 値を持つ色を取得します。

構文

C#
public static readonly Color RED
VB
Public Shared ReadOnly RED As Color

アクセス

読み取り専用。


RootNodes プロパティ

クラス

TreeContent。

アクション

対応するツリーのルート子ノードを取得します。

構文

C#
public readonly IList<TreeNode> RootNodes
VB
Public ReadOnly Property RootNodes As IList<TreeNode>

アクセス

読み取り専用。


R プロパティ

クラス

Color。

アクション

色のレッド RGB チャンネルの値を取得します。

構文

C#
public readonly int R
VB
Public Readonly Property R As Integer

アクセス

読み取り専用。

例

シアンのレッド RGB チャンネルの値を取得するには、次のように入力します。
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim redValue As Integer
  redValue = myColor.R()
End Sub


StartColumn プロパティ

クラス

TextRange。

アクション

範囲の最初の列を取得します。

構文

C#
public readonly int StartColumn
VB
Public Readonly Property StartColumn As Integer

アクセス

読み取り専用。


StartLine プロパティ

クラス

TextRange。

アクション

範囲の最初の行を取得します。

構文

C#
public readonly int StartLine
VB
Public Readonly Property StartLine As Integer

アクセス

読み取り専用。


Text プロパティ (TreeNode)

クラス

TreeNode。

アクション

TreeNode のテキストを取得します。

構文

C#
public readonly String Text
VB
Public ReadOnly Property Text As String

アクセス

読み取り専用。


WHITE フィールド

クラス

Color。

アクション

#FFFFFFFF の ARGB 値を持つ色を取得します。

構文

C#
public static readonly Color WHITE
VB
Public Shared ReadOnly WHITE As Color

アクセス

読み取り専用。


Width プロパティ

クラス

Rectangle。

アクション

Rectangle の幅を取得します。

構文

C#
public readonly int Width
VB
Public Readonly Property Width As Integer

アクセス

読み取り専用。


Xプロパティ

クラス

Point および Rectangle。

アクション

X 座標を取得します。

構文

C#
public readonly int X
VB
Public Readonly Property X As Integer

アクセス

読み取り専用。


YELLOW フィールド

クラス

Color。

アクション

#FFFFFF00 の ARGB 値を持つ色を取得します。

構文

C#
public static readonly Color YELLOW
VB
Public Shared ReadOnly YELLOW As Color

アクセス

読み取り専用。


Yプロパティ

クラス

Point および Rectangle。

アクション

Y 座標を取得します。

構文

C#
public readonly int Y
VB
Public Readonly Property Y As Integer

アクセス

読み取り専用。


AllowDeselection プロパティ (SparkButtonBarButton)

クラス

SparkButtonBarButton.

処理

[読み取り専用] 現在選択したボタンをユーザーがクリックすると選択解除されるかどうかを示す値。

構文

C#
protected Boolean allowDeselection { get; }
VB
'Declaration
Protected Read Property allowDeselection As Boolean

アクセス

読み取り専用。


AllowDisjointSelection プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールで非連続した選択が許可されているかどうか。

true の場合、DateChooser コントロールで非連続した選択を許可します。 このプロパティは、allowMultipleSelection プロパティが true の場合にのみ有効です。 このプロパティを設定すると、DateChooser コントロールの表示が変わります。

デフォルト値は true です。

構文

C#
protected Boolean allowDisjointSelection { get; }
VB
'Declaration
Protected Read Property allowDisjointSelection As Boolean

アクセス

読み取り専用。


AllowDragSelection プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] ドラッグによる選択が有効かどうか。 通常の選択では、選択する項目上にマウスを移動させてもマウス ボタンを押すことはできませんが、ドラッグによる選択では、項目にドラッグすることによって、その項目を選択できます。

この機能は、ComboBox のドロップダウンで使用され、マウスをドロップダウン ボタン上に移動し、マウスをドロップダウンにドラッグして項目を選択するときのマウス ボタンの押下をサポートします。

デフォルト値は false です。

構文

C#
protected Boolean allowDragSelection { get; }
VB
'Declaration
Protected Read Property allowDragSelection As Boolean

アクセス

読み取り専用。


AllowMultipleSelection プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールで複数選択が許可されているかどうか。

true の場合、DateChooser コントロールで複数選択を許可します。

デフォルト値は false です。

構文

C#
protected Boolean allowMultipleSelection { get; }
VB
'Declaration
Protected Read Property allowMultipleSelection As Boolean

アクセス

読み取り専用。


AllowMultipleSelection プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 1 つ以上の項目を同時に選択することが許可されているかどうか。

true の場合、ユーザーは複数項目を選択できます。 非連続項目を許可しないオプションはありません。 標準的な複合選択オプションは常に有効です（Shift クリックや Ctrl クリック）。

デフォルト値は false です。

構文

C#
protected Boolean allowMultipleSelection { get; }
VB
'Declaration
Protected Read Property allowMultipleSelection As Boolean

アクセス

読み取り専用。


AllowMultipleSelection プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] 複数選択が可能かどうか。

構文

C#
protected Boolean allowMultipleSelection { get; }
VB
'Declaration
Protected Read Property allowMultipleSelection As Boolean

アクセス

読み取り専用。


AllowValueWrap プロパティ (SparkSpinner)

クラス

SparkSpinner.

処理

[読み取り専用] 現在の値が最大または最小値のいずれかの場合のステップに対するコントロールの動作。

構文

C#
protected Boolean allowValueWrap { get; }
VB
'Declaration
Protected Read Property allowValueWrap As Boolean

アクセス

読み取り専用。


Alpha プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 指定したオブジェクトのアルファ透過値。

有効な値は 0（完全透過）から 1（完全不透過）です。 デフォルト値は 1 です。 アルファ値が 0 に設定されているオブジェクトは、非表示に設定されていたとしても表示されます。

構文

C#
protected Double alpha { get; }
VB
'Declaration
Protected Read Property alpha As Double

アクセス

読み取り専用。


AlternatingItemColors プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] ドロップダウン リストの背景色の代替パターン配列。

値は 2 つ以上の色の配列になります。 定義されていない場合、ドロップダウン リストの背景色スタイルが行に使用されます。 デフォルト値は未定義です。

構文

C#
protected List(Of Color) alternatingItemColors { get; }
VB
'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

アクセス

読み取り専用。


AlternatingItemColors プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] リストの項目の背景に使用する色。

値は 2 つ以上の色の配列になります。 リストの項目の背景を配列内の色で置き換えます。 backgroundColor プロパティが指定されていない場合にのみ使用されます。 デフォルト値は未定義です。

構文

C#
protected List(Of Color) alternatingItemColors { get; }
VB
'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

アクセス

読み取り専用。


AlternatingItemColors プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] メニューまたはサブメニューのメニュー項目に使用する背景色の代替パターン配列。

値は 2 つ以上の色の配列になります。 このスタイルは、backgroundColor が指定されていない場合にのみ使用されます。 デフォルト値は undefined です。

構文

C#
protected List(Of Color) alternatingItemColors { get; }
VB
'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

アクセス

読み取り専用。


AlwaysInFront プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。

構文

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

アクセス

読み取り専用。


AlwaysInFront プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。

構文

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

アクセス

読み取り専用。


AlwaysInFront プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。

構文

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

アクセス

読み取り専用。


AlwaysInFront プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 基になる NativeWindow が常に他のウインドウの手前に表示されるかどうかを示す値。

構文

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

アクセス

読み取り専用。


ApplicationID プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] AIR がアプリケーションを識別するために使用する識別子。

構文

C#
protected String applicationID { get; }
VB
'Declaration
Protected Read Property applicationID As String

アクセス

読み取り専用。


ApplicationID プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] AIR がアプリケーションを識別するために使用する識別子。

構文

C#
protected String applicationID { get; }
VB
'Declaration
Protected Read Property applicationID As String

アクセス

読み取り専用。


AutoDisplayFirstFrame プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] source が設定されている場合、ビデオをロードするかどうかを指定します。

構文

C#
protected Boolean autoDisplayFirstFrame { get; }
VB
'Declaration
Protected Read Property autoDisplayFirstFrame As Boolean

アクセス

読み取り専用。


AutoExit プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 最後のウィンドウを閉じたときに AIR アプリケーションが終了するか、バックグランドで実行を続けるかどうかを示す値。

構文

C#
protected Boolean autoExit { get; }
VB
'Declaration
Protected Read Property autoExit As Boolean

アクセス

読み取り専用。


AutoExit プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 最後のウィンドウを閉じたときに AIR アプリケーションが終了するか、バックグランドで実行を続けるかどうかを示す値。

構文

C#
protected Boolean autoExit { get; }
VB
'Declaration
Protected Read Property autoExit As Boolean

アクセス

読み取り専用。


AutoLayout プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。

構文

C#
protected Boolean autoLayout { get; }
VB
'Declaration
Protected Read Property autoLayout As Boolean

アクセス

読み取り専用。


AutoLayout プロパティ (SparkSkinnableContainer)

クラス

SparkSkinnableContainer.

処理

[読み取り専用] 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。

構文

C#
protected Boolean autoLayout { get; }
VB
'Declaration
Protected Read Property autoLayout As Boolean

アクセス

読み取り専用。


AutoLayout プロパティ (SparkSkinnableDataContainer)

クラス

SparkSkinnableDataContainer.

処理

[読み取り専用] 子の位置やサイズが変更されたときに、大きさやレイアウトの調整が行われるかどうかを示す値。

構文

C#
protected Boolean autoLayout { get; }
VB
'Declaration
Protected Read Property autoLayout As Boolean

アクセス

読み取り専用。


AutomationClassName プロパティ (FlexListLabel)

クラス

FlexListLabel.

処理

[読み取り専用] 要素に対するオートメーション クラス名を含んだ文字列。

構文

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

アクセス

読み取り専用。


AutomationClassName プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] 要素に対するオートメーション クラス名を含んだ文字列。

構文

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

アクセス

読み取り専用。


AutomationClassName プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 要素に対するオートメーション クラス名を含んだ文字列。

構文

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

アクセス

読み取り専用。


AutomationClassName プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] 要素に対するオートメーション クラス名を含んだ文字列。

構文

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

アクセス

読み取り専用。


AutomationIndex プロパティ (FlexListLabel)

クラス

FlexListLabel.

処理

[読み取り専用] 要素に対するオートメーション インデックスを含んだ文字列。

構文

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

アクセス

読み取り専用。


AutomationIndex プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] 要素に対するオートメーション インデックスを含んだ文字列。

構文

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

アクセス

読み取り専用。


AutomationIndex プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 要素に対するオートメーション インデックスを含んだ文字列。

構文

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

アクセス

読み取り専用。


AutomationIndex プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] 要素に対するオートメーション インデックスを含んだ文字列。

構文

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

アクセス

読み取り専用。


AutomationName プロパティ (FlexListLabel)

クラス

FlexListLabel.

処理

[読み取り専用] このオブジェクトの識別子として使用することのできる名前。

構文

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

アクセス

読み取り専用。


AutomationName プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] このオブジェクトの識別子として使用することのできる名前。

構文

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

アクセス

読み取り専用。


AutomationName プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] このオブジェクトの識別子として使用することのできる名前。

構文

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

アクセス

読み取り専用。


AutomationName プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] このオブジェクトの識別子として使用することのできる名前。

構文

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

アクセス

読み取り専用。


AutomationValue プロパティ (FlexListLabel)

クラス

FlexListLabel.

処理

[読み取り専用] オブジェクトのレンダリング表示に対応する値。また、アプリケーションでの視覚表示と同じにするために、識別子とオブジェクトを関連付けるのに使用できます。

構文

C#
protected String automationValue { get; }
VB
'Declaration
Protected Read Property automationValue As String

アクセス

読み取り専用。


AutomationValue プロパティ (SparkDataGridLabel)

クラス

SparkDataGridLabel.

処理

[読み取り専用] この項目を一意に識別するのに使用できる値。

構文

C#
protected String automationValue { get; }
VB
'Declaration
Protected Read Property automationValue As String

アクセス

読み取り専用。


AutomationValue プロパティ (SparkListLabel)

クラス

SparkListLabel.

処理

[読み取り専用] この項目を一意に識別するのに使用できる値。

構文

C#
protected String automationValue { get; }
VB
'Declaration
Protected Read Property automationValue As String

アクセス

読み取り専用。


AutoPlay プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] source プロパティが設定されている場合に、ビデオの再生をすぐに開始するかどうかを指定します。

構文

C#
protected Boolean autoPlay { get; }
VB
'Declaration
Protected Read Property autoPlay As Boolean

アクセス

読み取り専用。


AutoRepeat プロパティ (SparkButtonBase)

クラス

SparkButtonBase.

処理

[読み取り専用] ユーザーがマウス ボタンを押し続けた場合に buttonDown イベントを繰り返しディスパッチするかどうか。

構文

C#
protected Boolean autoRepeat { get; }
VB
'Declaration
Protected Read Property autoRepeat As Boolean

アクセス

読み取り専用。


AutoRewind プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] 再生が停止したときに、FLV ファイルを最初のフレームまで巻き戻すかどうかを指定します。

構文

C#
protected Boolean autoRewind { get; }
VB
'Declaration
Protected Read Property autoRewind As Boolean

アクセス

読み取り専用。


BackgroundAlpha プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。

有効な値は 0.0 から 1.0 の範囲です。

ほとんどのコントロールのデフォルト値は 1.0 ですが、ToolTip コントロールのデフォルト値は 0.95、Alert コントロールのデフォルト値は 0.9 です。 デフォルト値は 1.0 です。

構文

C#
protected Double backgroundAlpha { get; }
VB
'Declaration
Protected Read Property backgroundAlpha As Double

アクセス

読み取り専用。


BackgroundAlpha プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] backgroundImage スタイルによって定義された画像や SWF ファイルの backgroundColor プロパティによって定義される色のアルファ レベル。 有効な値は 0.0 から 1.0 の範囲です。

ほとんどのコントロールのデフォルト値は 1.0 ですが、ToolTip コントロールのデフォルト値は 0.95、Alert コントロールのデフォルト値は 0.9 です。 デフォルト値は 1.0 です。

構文

C#
protected Double backgroundAlpha { get; }
VB
'Declaration
Protected Read Property backgroundAlpha As Double

アクセス

読み取り専用。


BackgroundColor プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コンポーネントの背景色。

backgroundColor と backgroundImage の両方を設定できます。 背景を持たないコンポーネントもあります。 DataGrid コントロールはこのスタイルを無視します。 デフォルト値は未定義で、設定されていないことを意味します。 このスタイルと backgroundImage スタイルの両方が未定義の場合、コンポーネントの背景は透明になります。

アプリケーション コンテナーでは、このスタイルはアプリケーション読み込み中の背景色、および実行中の背景グラデーションを指定します。 Flex は指定した色に対して段階的に暗くなる色と、明るくなる色のグラデーション パターンを計算します。

ほとんどの Flex コントロールのデフォルト スキンは部分的に透明です。 結果として、コンテナーの背景色はそのコンテナー内にあるコントロールを通して部分的に表示されます。 コントロールの fillAlphas プロパティのアルファ値を 1 に設定することによって、これを避けることができます。

構文

C#
protected Color backgroundColor { get; }
VB
'Declaration
Protected Read Property backgroundColor As Color

アクセス

読み取り専用。


BackgroundColor プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] コンポーネントの背景色。

backgroundColor と backgroundImage の両方を設定できます。 背景を持たないコンポーネントもあります。 DataGrid コントロールはこのスタイルを無視します。 デフォルト値は未定義で、設定されていないことを意味します。 このスタイルと backgroundImage スタイルの両方が未定義の場合、コンポーネントの背景は透明になります。

アプリケーション コンテナーでは、このスタイルはアプリケーション読み込み中の背景色、および実行中の背景グラデーションを指定します。 Flex は指定した色に対して段階的に暗くなる色と、明るくなる色のグラデーション パターンを計算します。

ほとんどの Flex コントロールのデフォルト スキンは部分的に透明です。 結果として、コンテナーの背景色はそのコンテナー内にあるコントロールを通して部分的に表示されます。 コントロールの fillAlphas プロパティのアルファ値を 1 に設定することによって、これを避けることができます。

構文

C#
protected Color backgroundColor { get; }
VB
'Declaration
Protected Read Property backgroundColor As Color

アクセス

読み取り専用。


BackgroundColor プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] コンポーネントの背景色。

デフォルト値は未定義で、設定されておらずコンポーネントの背景が透明であることを意味します。

ほとんどの Flex コントロールのデフォルト スキンは部分的に透明です。 結果として、コンテナーの背景色はそのコンテナー内にあるコントロールを通して部分的に表示されます。 コントロールの fillAlphas プロパティのアルファ値を 1 に設定することによって、これを避けることができます。

構文

C#
protected Color backgroundColor { get; }
VB
'Declaration
Protected Read Property backgroundColor As Color

アクセス

読み取り専用。


BackgroundDisabledColor プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] コンポーネントが無効な場合の背景色。 グローバルのデフォルト値は未定義です。

List コントロールのデフォルト値は 0xDDDDDD（ライト グレイ）です。 コンテナーが無効な場合には、背景は淡色で表示されます。淡色度合は disabledOverlayAlpha スタイルで制御します。

構文

C#
protected Color backgroundDisabledColor { get; }
VB
'Declaration
Protected Read Property backgroundDisabledColor As Color

アクセス

読み取り専用。


BackgroundDisabledColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

C#
protected Color backgroundDisabledColor { get; }
VB
'Declaration
Protected Read Property backgroundDisabledColor As Color

アクセス

読み取り専用。


BackgroundImage プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コンポーネントの背景画像。

絶対/相対 URL やクラスを指定できます。

backgroundColor と backgroundImage の両方を同時に設定できます。 背景画像は背景色の上に表示されます。 デフォルト値は未定義で、"設定されていない"ことを意味します。 このスタイルと backgroundColor スタイルの両方が未定義の場合、コンポーネントの背景は透明になります。

ほとんどの Flex コントロールのデフォルト スキンは部分的に透明です。 結果として、コンテナーの背景画像はそのコンテナー内にあるコントロールを通して部分的に表示されます。 コントロールの fillAlphas プロパティのアルファ値を 1 に設定することによって、これを避けることができます。

構文

C#
protected String backgroundImage { get; }
VB
'Declaration
Protected Read Property backgroundImage As String

アクセス

読み取り専用。


BackgroundImage プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] コンポーネントの背景画像。 絶対/相対 URL やクラスを指定できます。

backgroundColor と backgroundImage の両方を同時に設定できます。 背景画像は背景色の上に表示されます。 デフォルト値は未定義で、"設定されていない"ことを意味します。 このスタイルと backgroundColor スタイルの両方が未定義の場合、コンポーネントの背景は透明になります。

ほとんどの Flex コントロールのデフォルト スキンは部分的に透明です。 結果として、コンテナーの背景画像はそのコンテナー内にあるコントロールを通して部分的に表示されます。 コントロールの fillAlphas プロパティのアルファ値を 1 に設定することによって、これを避けることができます。

構文

C#
protected String backgroundImage { get; }
VB
'Declaration
Protected Read Property backgroundImage As String

アクセス

読み取り専用。


BackgroundSize プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] 指定した backgroundImage の画像サイズを変更する割合。

100% 値は、その画像をコンポーネント全体に合わせて広げることを意味します。 値を割合で指定する場合には、パーセント記号 (%) を指定する必要があります。 アプリケーション コンテナーのデフォルト値は 100% です。 すべてのほかのコンテナーのデフォルト値は auto で、画像の元のサイズを保持することを意味します。

構文

C#
protected String backgroundSize { get; }
VB
'Declaration
Protected Read Property backgroundSize As String

アクセス

読み取り専用。


BackgroundSize プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 指定した backgroundImage の画像サイズを変更する割合。

100% 値は、その画像をコンポーネント全体に合わせて広げることを意味します。 値を割合で指定する場合には、パーセント記号 (%) を指定する必要があります。 アプリケーション コンテナーのデフォルト値は 100% です。 すべてのほかのコンテナーのデフォルト値は auto で、画像の元のサイズを保持することを意味します。

構文

C#
protected String backgroundSize { get; }
VB
'Declaration
Protected Read Property backgroundSize As String

アクセス

読み取り専用。


BarColor プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ProgressBar の色。

ProgressBar はこの色と、この色から計算された明るい色を使って垂直方向にグラデーション表示されます。 このスタイルは他のコンポーネントに影響しませんが、コンテナーに設定して、その内部にあるすべての進捗バーの表示を制御することができます。 デフォルト値は未定義で、設定されていないことを意味します。 この場合、themeColor スタイル プロパティが使用されます。

構文

C#
protected Color barColor { get; }
VB
'Declaration
Protected Read Property barColor As Color

アクセス

読み取り専用。


BarWidthRatio プロパティ (FlexBarChart)

クラス

FlexBarChart.

処理

[読み取り専用] 棒グラフを描く際のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。

値が 1 の場合は領域全体を、0.6 の場合は棒グラフの使用可能な領域の 60% を使用します。 実際の棒グラフの幅は、barWidthRatio プロパティと maxbarWidth プロパティのうちの小さいほうが使用されます。クラスタ化された棒グラフは、クラスタごとの棒グラフ間で均等に領域が分割されます。 デフォルト値は 0.65 です。

構文

C#
protected Double barWidthRatio { get; }
VB
'Declaration
Protected Read Property barWidthRatio As Double

アクセス

読み取り専用。


BarWidthRatio プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] カテゴリ幅に相対的な棒グラフをレンダリングするための幅。

値が 1 の場合は領域全体を、.6 の場合は棒グラフの使用可能な領域の 60% を使用します。 通常はこのプロパティを直接設定することはありません。 実際の棒グラフの幅は、barWidthRatio プロパティと maxbarWidth プロパティのうちの小さいほうが使用されます。

デフォルト値は .65 です。

構文

C#
protected Double barWidthRatio { get; }
VB
'Declaration
Protected Read Property barWidthRatio As Double

アクセス

読み取り専用。


BlendMode プロパティ (SparkGroup)

クラス

SparkGroup.

処理

[読み取り専用] 使用するブレンド モードを指定する BlendMode クラスの値。

構文

C#
protected String blendMode { get; }
VB
'Declaration
Protected Read Property blendMode As String

アクセス

読み取り専用。


BorderColor プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 3D 境界線の黒セクションまたは 2D 境界線の色セクション。 デフォルト値は 0xB7BABC です。

構文

C#
protected Color borderColor { get; }
VB
'Declaration
Protected Read Property borderColor As Color

アクセス

読み取り専用。


BytesLoaded プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 既にロードされたイメージのバイト数です。

構文

C#
protected Double bytesLoaded { get; }
VB
'Declaration
Protected Read Property bytesLoaded As Double

アクセス

読み取り専用。


BytesLoaded プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] 既にアプリケーションにダウンロードされているデータのバイト数です。

構文

C#
protected Double bytesLoaded { get; }
VB
'Declaration
Protected Read Property bytesLoaded As Double

アクセス

読み取り専用。


BytesTotal プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] ロード済みまたはロード保留中のイメージ データの総バイト数です。

構文

C#
protected Double bytesTotal { get; }
VB
'Declaration
Protected Read Property bytesTotal As Double

アクセス

読み取り専用。


BytesTotal プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] アプリケーションにダウンロードされるデータの総バイト数です。

構文

C#
protected Double bytesTotal { get; }
VB
'Declaration
Protected Read Property bytesTotal As Double

アクセス

読み取り専用。


CalloutGap プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] 引き出し線をレンダリングする際に円グラフの縁とラベルの間にどの程度のスペースが挿入されるか。 デフォルト値は 10 です。

構文

C#
protected Double calloutGap { get; }
VB
'Declaration
Protected Read Property calloutGap As Double

アクセス

読み取り専用。


CanDropLabels プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] AxisRenderer が正しくレイアウトすることが必要な場合にラベルを落とすかどうか。

AxisRenderer のレンダリング時に重なったラベルを落とす場合には true を設定します。ラベルは常に一定の間隔でレンダリングされます。 必要に応じて、AxisRenderer はすべてのほかのラベルまたはすべての 3 番目のラベルをレンダリングしますが、2 つ以上の連続してラベルを落とすことはありません。

AxisRenderer のラベルのレイアウトに他のスキーム（回転や拡大/縮小）を使用する場合には false を設定します。

このスタイルを明示的に設定しない場合には、AxisRenderer はレンダリングする軸の種類に応じて適切なデフォルト値を使用します。

構文

C#
protected Boolean canDropLabels { get; }
VB
'Declaration
Protected Read Property canDropLabels As Boolean

アクセス

読み取り専用。


CanStagger プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 2 つのラベル行でラベルを交互に配置するかどうか。 この設定を使用すると、ラベルに必要な領域が最小化されます。 デフォルト値は true で、ラベルは交互に配置されます。

構文

C#
protected Boolean canStagger { get; }
VB
'Declaration
Protected Read Property canStagger As Boolean

アクセス

読み取り専用。


CaretIndex プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] 現在フォーカスがある項目。

構文

C#
protected Double caretIndex { get; }
VB
'Declaration
Protected Read Property caretIndex As Double

アクセス

読み取り専用。


ChangeFocus メソッド (FlexObject)

クラス

FlexObject.

処理

現在のフォーカスを変更します。

構文

C#
object.ChangeFocus([shiftKey, keyCode])
VB
object.ChangeFocus([shiftKey, keyCode])
変数 | 説明
shiftKey | 省略可能: Shift キー修飾を有効にする場合には true。 Boolean。
keyCode | 省略可能: 押したり離したりするキーのキー コード値。 String。


ChangeFocus メソッド (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

keyFocusChange イベント オブジェクトの type プロパティの値を定義します。

構文

C#
uIMovieClip.ChangeFocus([shiftKey, keyCode])
VB
uIMovieClip.ChangeFocus([shiftKey, keyCode])
変数 | 説明
shiftKey | 省略可能: Shift キー修飾を有効にする場合は true を、そうでない場合は false。 Boolean。
keyCode | 省略可能: keyFocusChange イベントをトリガーするための押されるキーのキー コード値。 String。


Change メソッド (FlexAccordion)

クラス

FlexAccordion.

処理

選択した子コンテナーが変更されたときにディスパッチされます。

IndexChangedEvent.CHANGE 定数は、変更イベントのイベント オブジェクトの type プロパティの値を定義します。変更イベントは、Accordion コントロールの表示パネルが変更されたり、ViewStack のビューが変更されたときのようなインデックスが変更されたことを示します。

構文

C#
accordion.Change([relatedObject])
VB
accordion.Change([relatedObject])
変数 | 説明
relatedObject | 省略可能: 新しいインデックスに対応する子オブジェクトへの参照を保持。 String。


Change メソッド (FlexColorPicker)

クラス

FlexColorPicker.

処理

ユーザーによる操作の結果として選択した色が変更されたときにディスパッチされます。

構文

C#
colorPicker.Change(color)
VB
colorPicker.Change(color)
変数 | 説明
color | 選択された RGB 色。 Color。


Change メソッド (FlexDateChooser)

クラス

FlexDateChooser.

処理

日付が選択または変更されたときにディスパッチされます。

構文

C#
dateChooser.Change(newDate)
VB
dateChooser.Change(newDate)
変数 | 説明
newDate | コントロールで選択された日付。 DateTime?。


Change メソッド (FlexDateField)

クラス

FlexDateField.

処理

日付が選択または変更され、DateChooser コントロールが閉じられたときにディスパッチされます。

構文

C#
dateField.Change(newDate)
VB
dateField.Change(newDate)
変数 | 説明
newDate | コントロールで選択された日付。 DateTime?。


Change メソッド (FlexNavigationBar)

クラス

FlexNavigationBar.

処理

itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
navigationBar.Change(relatedObject)
VB
navigationBar.Change(relatedObject)
変数 | 説明
relatedObject | 生成されたイベントの子オブジェクト。 String。


Change メソッド (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。

構文

C#
numericStepper.Change(value)
VB
numericStepper.Change(value)
変数 | 説明
value | イベントがディスパッチされたときの NumericStepper コントロールの値。 Double。


Change メソッド (FlexSlider)

クラス

FlexSlider.

処理

マウスまたはキーボード操作によってスライダーの値が変更されたときにディスパッチされます。

構文

C#
slider.Change(value, [thumbIndex, clickTarget, triggerEvent, keyCode])
VB
slider.Change(value, [thumbIndex, clickTarget, triggerEvent, keyCode])
変数 | 説明
value | スライダーの新しい値。 Double。
thumbIndex | 省略可能: 位置が変更されたスライダーの 0 を基準としたインデックス。 Integer。
clickTarget | 省略可能: スライダーのトラック部分またはサム部分が押されたかどうか。 String。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyCode | 省略可能: 押したり離したりするキーのキー コード値。 String。


Change メソッド (FlexTabNavigator)

クラス

FlexTabNavigator.

処理

itemClick イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
tabNavigator.Change(relatedObject)
VB
tabNavigator.Change(relatedObject)
変数 | 説明
relatedObject | 生成されたイベントの子オブジェクト。 String。


Change メソッド (SparkSpinner)

クラス

SparkSpinner.

処理

ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。

構文

C#
spinner.Change(value)
VB
spinner.Change(value)
変数 | 説明
value | 変更が発生したときの NumericStepper コントロールの値。 Double。


Change メソッド (SparkTrackBase)

クラス

SparkTrackBase.

処理

ユーザーによる操作の結果として NumericStepper コントロールの値が変更されたときにディスパッチされます。

構文

C#
trackBase.Change(value)
VB
trackBase.Change(value)
変数 | 説明
value | 変更が発生したときの NumericStepper コントロールの値。 Double。


ClassName プロパティ (FlexListLabel)

クラス

FlexListLabel.

処理

[読み取り専用] "Button" のようなこのインスタンスのクラスの名前。

構文

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

アクセス

読み取り専用。


ClassName プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] Button のようなこのインスタンスのクラスの名前。

構文

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

アクセス

読み取り専用。


ClassName プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] コントロールの開発者によって割り当てられた、要素のクラス名を含んだ文字列。

構文

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

アクセス

読み取り専用。


ClassName プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] "Button" のようなこのインスタンスのクラスの名前。

構文

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

アクセス

読み取り専用。


ClearOnLoad プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 新しいコンテンツをロードする前に、前のイメージ コンテンツをクリアするかどうかを示します。

構文

C#
protected Boolean clearOnLoad { get; }
VB
'Declaration
Protected Read Property clearOnLoad As Boolean

アクセス

読み取り専用。


ClipAndEnableScrolling プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] ビューポートの境界に子をクリップするかどうか。

構文

C#
protected Boolean clipAndEnableScrolling { get; }
VB
'Declaration
Protected Read Property clipAndEnableScrolling As Boolean

アクセス

読み取り専用。


ClipAndEnableScrolling プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] ビューポートの境界に子をクリップするかどうか。

構文

C#
protected Boolean clipAndEnableScrolling { get; }
VB
'Declaration
Protected Read Property clipAndEnableScrolling As Boolean

アクセス

読み取り専用。


ClipContent プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] Flex が軸によって境界付けられた領域でグラフをクリップするかどうか。 グラフをクリップする場合には false を設定します。 true に設定すると、データがレンダリングされるときにクリップされません。

構文

C#
protected Boolean clipContent { get; }
VB
'Declaration
Protected Read Property clipContent As Boolean

アクセス

読み取り専用。


Closed プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 基になるウィンドウが閉じられているかどうかを示す値。

構文

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

アクセス

読み取り専用。


Closed プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 基になるウィンドウが閉じられているかどうかを示す値。

構文

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

アクセス

読み取り専用。


Closed プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 基になるウィンドウが閉じられているかどうかを示す値。

構文

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

アクセス

読み取り専用。


Closed プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 基になるウィンドウが閉じられているかどうかを示す値。

構文

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

アクセス

読み取り専用。


Close メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

AdvancedDataGrid の分岐を閉じるまたは折りたたみます。

構文

C#
advancedDataGrid.Close(itemRenderer, [triggerEvent])
VB
advancedDataGrid.Close(itemRenderer, [triggerEvent])
変数 | 説明
itemRenderer | 閉じるノードの ListItemRenderer。 String。
triggerEvent | 省略可能: ノードがユーザーとの対話によって閉じられた場合、キーボードによるものかマウスによるものかを識別します。 FlexTriggerEvent。


Close メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

close イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
comboBase.Close([triggerEvent])
VB
comboBase.Close([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがトリガーされた入力アクションの種類を示す値。 FlexTriggerEvent。


Close メソッド (FlexPopUpButton)

クラス

FlexPopUpButton.

処理

指定した UIComponent が閉じるときにディスパッチされます。

DropdownEvent.CLOSE 定数は、close イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
popUpButton.Close([triggerEvent])
VB
popUpButton.Close([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがトリガーされた入力アクションの種類を示す値。 FlexTriggerEvent。


Close メソッド (FlexTree)

クラス

FlexTree.

処理

ツリーの分岐を閉じるまたは折りたたみます。

構文

C#
tree.Close(itemRenderer, [triggerEvent])
VB
tree.Close(itemRenderer, [triggerEvent])
変数 | 説明
itemRenderer | 閉じるノードの ListItemRenderer。 String。
triggerEvent | 省略可能: ノードがユーザーとの対話によって閉じられた場合、キーボードによるものかマウスによるものかを識別します。 FlexTriggerEvent。


ColorCorrection プロパティ (SparkApplication)

クラス

SparkApplication.

処理

[読み取り専用] ステージの colorCorrection プロパティの値。

構文

C#
protected String colorCorrection { get; }
VB
'Declaration
Protected Read Property colorCorrection As String

アクセス

読み取り専用。


Color プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。

構文

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexRule)

クラス

FlexRule.

処理

[読み取り専用] 行の色。

構文

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


Color プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] コンポーネント ラベルを含むコンポーネントのテキストの色。 デフォルト値は 0x0B333C です。

構文

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

アクセス

読み取り専用。


ColumnCount プロパティ (FlexColorPicker)

クラス

FlexColorPicker.

処理

[読み取り専用] 色見本グリッドの列の数。 デフォルト値は 20 です。

非推奨 3.0： swatchPanelStyleName を推奨

構文

C#
protected Integer columnCount { get; }
VB
'Declaration
Protected Read Property columnCount As Integer

アクセス

読み取り専用。


ColumnCount プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] TileList コントロールまたは HorizontalList コントロールの項目に表示される列の数。

DataGrid の場合は、可視な列の数になります。 メモ： DataGrid コントロールは、コントロールの幅と個々の列の幅に基づいて列の数が決まるため、このプロパティの設定は DataGrid コントロールに対する効果はありません。

デフォルト値は 4 です。

構文

C#
protected Integer columnCount { get; }
VB
'Declaration
Protected Read Property columnCount As Integer

アクセス

読み取り専用。


ColumnGroupedADGHeaderShift メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。

構文

C#
advancedDataGrid.ColumnGroupedADGHeaderShift(movingColumnIndex, newColumnIndex, oldColumnIndex, [triggerEvent])
VB
advancedDataGrid.ColumnGroupedADGHeaderShift(movingColumnIndex, newColumnIndex, oldColumnIndex, [triggerEvent])
変数 | 説明
movingColumnIndex | 選択される項目のデータ プロバイダー インデックス。 Integer。
newColumnIndex | 変更後の 0 を基準としたインデックス。 Integer。
oldColumnIndex | 変更前の 0 を基準としたインデックス。 Integer。
triggerEvent | 省略可能: 選択アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。


ColumnNames プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] データ内のすべての列の名前を含むリスト。

構文

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

アクセス

読み取り専用。


ColumnsLength プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 列の数。

構文

C#
protected Integer columnsLength { get; }
VB
'Declaration
Protected Read Property columnsLength As Integer

アクセス

読み取り専用。


ColumnStretch メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

ユーザーが列の幅を変更したときにディスパッチされます。これは、列に表示されるデータ量が変更されたことを意味します。

構文

C#
advancedDataGrid.ColumnStretch(columnIndex, localX)
VB
advancedDataGrid.ColumnStretch(columnIndex, localX)
変数 | 説明
columnIndex | DataGrid オブジェクトの columns 配列内における項目の列の 0 を基準としたインデックス。 Integer。
localX | マウスの位置 x。 Double。


ColumnStretch メソッド (FlexDataGrid)

クラス

FlexDataGrid.

処理

ユーザーが列の幅を変更したときにディスパッチされます。これは、列に表示されるデータ量が変更されたことを意味します。

horizontalScrollPolicy が "off" の場合、他の列のサイズも変更に応じて調整するために縮小または拡大されるため、それらの列に対してもこのイベントがディスパッチされます。

構文

C#
dataGrid.ColumnStretch(columnIndex, localX)
VB
dataGrid.ColumnStretch(columnIndex, localX)
変数 | 説明
columnIndex | DataGrid オブジェクトの columns 配列内における項目の列の 0 を基準としたインデックス。 Integer。
localX | マウスの位置 x。 Double。


ColumnStretch メソッド (SparkDataGrid)

クラス

SparkDataGrid.

処理

データ グリッドの指定した列のサイズを変更します。

構文

C#
dataGrid.ColumnStretch(columnIndex, localX)
VB
dataGrid.ColumnStretch(columnIndex, localX)
変数 | 説明
columnIndex | DataGrid オブジェクトの columns 配列内における選択した列の 0 を基準としたインデックス。 Integer。
localX | データ グリッドに相対的な列のサイズ。 Double。


ColumnWidth プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] コントロールの列の幅。

このプロパティは TileList および HorizontalList コントロールによって使用されます。 DataGrid コントロールでは、個々の DataGridColumn で幅を設定するため、DataGrid コントロールに対する効果はありません。

デフォルト値は 50 です。

構文

C#
protected Double columnWidth { get; }
VB
'Declaration
Protected Read Property columnWidth As Double

アクセス

読み取り専用。


ColumnWidthRatio プロパティ (FlexCandlestickChart)

クラス

FlexCandlestickChart.

処理

[読み取り専用] ロウソク足グラフを描く際の水平軸のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。

値が 1 の場合は領域全体を、0.6 の場合はロウソク足グラフの使用可能な領域の 60% を使用します。 実際のロウソク足グラフの幅は、columnWidthRatio プロパティと maxColumnWidth プロパティのうちの小さいほうが使用されます。 複数のロウソク足の系列では均等にこの領域が分割されます。 デフォルト値は 0.65 です。

構文

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

アクセス

読み取り専用。


ColumnWidthRatio プロパティ (FlexColumnChart)

クラス

FlexColumnChart.

処理

[読み取り専用] 縦棒グラフを描く際のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。

値が 1 の場合は領域全体を、0.6 の場合は縦棒グラフの使用可能な領域の 60% を使用します。 実際の縦棒グラフの幅は、columnWidthRatio プロパティと maxColumnWidth プロパティのうちの小さいほうが使用されます。 クラスタ化された縦棒グラフは、クラスタごとの縦棒グラフ間で均等に領域が分割されます。 デフォルト値は 0.65 です。

構文

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

アクセス

読み取り専用。


ColumnWidthRatio プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] カテゴリ幅に相対的な縦棒グラフの幅。

値が 1 の場合は領域全体を、.6 の場合は縦棒グラフの使用可能な領域の 60% を使用します。 通常はこのプロパティを直接設定することはありません。 実際の縦棒グラフの幅は、columnWidthRatio プロパティと maxColumnWidth プロパティのうちの小さいほうが使用されます。 デフォルト値は 0.65 です。

構文

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

アクセス

読み取り専用。


ColumnWidthRatio プロパティ (FlexHLOCChart)

クラス

FlexHLOCChart.

処理

[読み取り専用] HLOC 線を描く際の水平軸のカテゴリ幅に相対の広さ（0 から 1 の範囲の割合）。

値が 1 の場合は領域全体を、0.6 の場合はカテゴリの使用可能な領域の 60% を使用します。 実際の要素の幅は、columnWidthRatio プロパティと maxColumnWidth プロパティのうちの小さいほうが使用されます。 複数の要素の系列では均等にこの領域が分割されます。 デフォルト値は 0.65 です。

構文

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

アクセス

読み取り専用。


ColumnWidthRatio プロパティ (FlexHLOCSeriesBase)

クラス

FlexHLOCSeriesBase.

処理

[読み取り専用] カテゴリ幅に相対的な要素の幅。

値が 1 の場合は領域全体を、0.6 の場合は要素の使用可能な領域の 60% を使用します。 通常はこのプロパティを直接設定することはありません。 実際の要素の幅は、columnWidthRatio プロパティと maxColumnWidth プロパティのうちの小さいほうが使用されます。

デフォルト値は 0.65 です。

構文

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

アクセス

読み取り専用。


ContentHeight プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] ビューポートの内容の高さ。

構文

C#
protected Double contentHeight { get; }
VB
'Declaration
Protected Read Property contentHeight As Double

アクセス

読み取り専用。


ContentHeight プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキストの高さ。

構文

C#
protected Double contentHeight { get; }
VB
'Declaration
Protected Read Property contentHeight As Double

アクセス

読み取り専用。


ContentLoaderGrouping プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 関連付けられた IContentLoader インスタンスの load() メソッドに渡される、オプショナル コンテンツのグループ化識別子です。

構文

C#
protected String contentLoaderGrouping { get; }
VB
'Declaration
Protected Read Property contentLoaderGrouping As String

アクセス

読み取り専用。


ContentWidth プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] ビューポートの内容の幅。

構文

C#
protected Double contentWidth { get; }
VB
'Declaration
Protected Read Property contentWidth As Double

アクセス

読み取り専用。


ContentWidth プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキストの幅。

構文

C#
protected Double contentWidth { get; }
VB
'Declaration
Protected Read Property contentWidth As Double

アクセス

読み取り専用。


ControlBarVisible プロパティ (SparkApplication)

クラス

SparkApplication.

処理

[読み取り専用] コントロール バーが可視かどうか。

構文

C#
protected Boolean controlBarVisible { get; }
VB
'Declaration
Protected Read Property controlBarVisible As Boolean

アクセス

読み取り専用。


ControlBarVisible プロパティ (SparkPanel)

クラス

SparkPanel.

処理

[読み取り専用] コントロール バーが可視かどうか。

構文

C#
protected Boolean controlBarVisible { get; }
VB
'Declaration
Protected Read Property controlBarVisible As Boolean

アクセス

読み取り専用。


Conversion プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 読み込んだ値の現在のバイト数と合計バイト数を変換するために使用する数値。

Flex は現在の値と合計の値をこのプロパティの値で割り算し、それぞれの値以下に最も近い整数値がラベル文字列として使用されます。 値 1 は変更されません。

デフォルト値は 1 です。

構文

C#
protected Double conversion { get; }
VB
'Declaration
Protected Read Property conversion As Double

アクセス

読み取り専用。


Count プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] この Repeater が実行される回数。

構文

C#
protected Integer count { get; }
VB
'Declaration
Protected Read Property count As Integer

アクセス

読み取り専用。


CreationIndex プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] このコンテナーの子をインスタンス化および描画する順番。

このプロパティは creationPolicy プロパティに対して ContainerCreationPolicy.QUEUED が設定されている場合にのみ使用されます。 そうでなければ、無視されます。

デフォルト値は -1 です。

構文

C#
protected Integer creationIndex { get; }
VB
'Declaration
Protected Read Property creationIndex As Integer

アクセス

読み取り専用。


CreationPolicy プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] このコンテナーの子の作成ポリシー。

ActionScript の値は ContainerCreationPolicy.AUTO、ContainerCreationPolicy.ALL、ContainerCreationPolicy.NONE、または ContainerCreationPolicy.QUEUED になります。 MXML の値は、auto、all、none、または queued になります。

作成ポリシーがコンテナーに対して指定されていない場合には、親の作成ポリシーが継承されます。 作成ポリシーがアプリケーションに対して指定されていない場合のデフォルト値は ContainerCreationPolicy.AUTO です。

ContainerCreationPolicy.AUTO 作成ポリシーでは、コンテナーはすべてあるいは一部の子の作成を必要になるまで遅延します。この処理は遅延インスタンス化と呼ばれます。 このポリシーは、初期化時に作成される UIComponent が少なくなるため、起動時間が最適化されます。 しかし、ユーザーがアプリケーションのほかの部分に初めて移動するときに遅延が生じます。 Accordion、TabNavigator、および ViewStack のような Navigator コンテナーでは、ContainerCreationPolicy.AUTO ポリシーが実装され、すべての子が直ちに作成され、より深いレベルにある子は、それが Navigator コンテナーの選択した子になるまで作成が待機されます。

ContainerCreationPolicy.ALL 作成ポリシーでは、Navigator コンテナーはそれぞれの子のより深いレベルにある子を、子が選択されるまで待つのではなく直ちに作成します。 VBox コンテナーのような単一ビューのコンテナーの場合、ContainerCreationPolicy.AUTO と ContainerCreationPolicy.ALL ポリシーの間の違いはありません。

ContainerCreationPolicy.QUEUED 作成ポリシーでは、コンテナーは直ちにインスタンス化および描画を行う代わりに作成キューに追加されます。アプリケーションがキューに入れられたコンテナーを処理するときに、コンテナーの子が作成されます。子が作成されるまで、作成キューにある次のコンテナーは待機されます。

ContainerCreationPolicy.NONE 作成ポリシーでは、コンテナーはその子をまったく作成しません。 この場合、MXML 作成者の責任のもと、createComponentsFromDescriptors メソッドを呼び出して子を作成します。

構文

C#
protected String creationPolicy { get; }
VB
'Declaration
Protected Read Property creationPolicy As String

アクセス

読み取り専用。


CreationPolicy プロパティ (SparkSkinnableContainer)

クラス

SparkSkinnableContainer.

処理

[読み取り専用] このコンポーネントの内容の作成ポリシー。

構文

C#
protected String creationPolicy { get; }
VB
'Declaration
Protected Read Property creationPolicy As String

アクセス

読み取り専用。


CurrentState プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントの現在の表示状態。

"" または null (Visual Basic では Nothing) に設定すると、コンポーネントは基本状態にリセットされます。

構文

C#
protected String currentState { get; }
VB
'Declaration
Protected Read Property currentState As String

アクセス

読み取り専用。


CurrentState プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] このコンポーネントの現在の状態。

UIMovieClip の場合、currentState プロパティの値は現在のフレーム ラベルです。

構文

C#
protected String currentState { get; }
VB
'Declaration
Protected Read Property currentState As String

アクセス

読み取り専用。


CurrentTime プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオの再生開始以降の再生ヘッドの現在時間（秒単位）です。

構文

C#
protected Double currentTime { get; }
VB
'Declaration
Protected Read Property currentTime As Double

アクセス

読み取り専用。


DataTipField プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ ヒントとして表示するデータ プロバイダー項目内のフィールドの名前。

デフォルトでは、各項目の label という名前のプロパティが検索され、リストに表示されます。 ただし、データ オブジェクトに label プロパティが含まれていない場合は、データ オブジェクト内の別のプロパティを使用するように dataTipField プロパティを設定できます。

デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String dataTipField { get; }
VB
'Declaration
Protected Read Property dataTipField As String

アクセス

読み取り専用。


DataTipMode プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフの DataTip コントロールの表示方法。

DataTip コントロールは ToolTip コントロールに似ていますが、マウス ポインターから最も近いグラフのデータ ポイントを表す適切な値が表示されるという点で異なります。

有効な値は、single および multiple です。single を使用すると、マウスカーソルに最も近いデータ ポイントに表示されます。multiple を使用すると、マウス カーソルの範囲内にデータ ヒントが表示されます。

構文

C#
protected String dataTipMode { get; }
VB
'Declaration
Protected Read Property dataTipMode As String

アクセス

読み取り専用。


DataTipPrecision プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] データ ヒント テキストで使用する小数点以下の桁数。

0 の場合、すべての値が整数に四捨五入されます。 デフォルト値は 2 です。

構文

C#
protected Double dataTipPrecision { get; }
VB
'Declaration
Protected Read Property dataTipPrecision As Double

アクセス

読み取り専用。


DefaultButtonFlag プロパティ (FlexAlert)

クラス

FlexAlert.

処理

[読み取り専用] デフォルト ボタンを指定する Alert.OK、Alert.CANCEL、Alert.YES または Alert.NO を含むビット フラグ。 デフォルト値は Alert.OK です。

構文

C#
protected Double defaultButtonFlag { get; }
VB
'Declaration
Protected Read Property defaultButtonFlag As Double

アクセス

読み取り専用。


DefaultCellString プロパティ (FlexOLAPDataGrid)

クラス

FlexOLAPDataGrid.

処理

[読み取り専用] IOLAPResult インスタンスから返されたセルのデータが null (Visual Basic では Nothing) または NaN の場合に、そのセルに表示される文字列。

デフォルト値は NaN です。

構文

C#
protected String defaultCellString { get; }
VB
'Declaration
Protected Read Property defaultCellString As String

アクセス

読み取り専用。


DeferredContentCreated プロパティ (SparkSkinnableContainer)

クラス

SparkSkinnableContainer.

処理

[読み取り専用] 遅延コンテンツが作成されたかどうか。

構文

C#
protected Boolean deferredContentCreated { get; }
VB
'Declaration
Protected Read Property deferredContentCreated As Boolean

アクセス

読み取り専用。


DepthColors プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] AdvancedDataGrid コントロールのナビゲーション ツリーの各レベルの行で使用する色の配列（降順）。 デフォルト値は未定義です。

構文

C#
protected List(Of Color) depthColors { get; }
VB
'Declaration
Protected Read Property depthColors As List(Of Color)

アクセス

読み取り専用。


DepthColors プロパティ (FlexTree)

クラス

FlexTree.

処理

[読み取り専用] Tree コントロールで使用する色の配列（降順）。 デフォルト値は未定義です。

構文

C#
protected List(Of Color) depthColors { get; }
VB
'Declaration
Protected Read Property depthColors As List(Of Color)

アクセス

読み取り専用。


Description プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフのデータの簡単な説明。

アクセシビリティが有効になっている場合、スクリーン リーダはこのプロパティを使用してグラフを説明します。 この文字列のデフォルトは空の文字列です。

構文

C#
protected String description { get; }
VB
'Declaration
Protected Read Property description As String

アクセス

読み取り専用。


Deselect メソッド (FlexListBase)

クラス

FlexListBase.

処理

以前に選択した項目の選択を解除するときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。

構文

C#
listBase.Deselect(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.Deselect(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 項目の項目レンダラ オブジェクト。 String。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: コントロールのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Direction プロパティ (FlexBox)

クラス

FlexBox.

処理

[読み取り専用] 垂直レイアウト（デフォルト）、水平レイアウトのどちらを使用するか。

構文

C#
protected String direction { get; }
VB
'Declaration
Protected Read Property direction As String

アクセス

読み取り専用。


Direction プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] タスクの完了に向かって ProgressBar が伸びていく方向。 MXML での有効な値は "right" と "left" です。

ActionScript では、定数 ProgressBarDirection.RIGHT および ProgressBarDirection.LEFT を使用してこのプロパティを設定します。

デフォルト値は ProgressBarDirection.RIGHT です。

構文

C#
protected String direction { get; }
VB
'Declaration
Protected Read Property direction As String

アクセス

読み取り専用。


Direction プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダー コントロールの向き。

構文

C#
protected String direction { get; }
VB
'Declaration
Protected Read Property direction As String

アクセス

読み取り専用。


DisabledColor プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。

構文

C#
protected List(Of Color) disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As List(Of Color)

アクセス

読み取り専用。


DisabledColor プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コンポーネントが無効な場合の背景色。

グローバルのデフォルト値は未定義です。 List コントロールのデフォルト値は 0xDDDDDD（ライト グレイ）です。 コンテナーが無効な場合には、背景は淡色で表示されます。淡色度合は disabledOverlayAlpha スタイルで制御します。

構文

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] コンポーネントが無効な場合のテキストの色。 デフォルト値は 0xAAB3B3 です。

構文

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] コンポーネントの背景色。

backgroundColor と backgroundImage の両方を設定できます。 背景を持たないコンポーネントもあります。 DataGrid コントロールはこのスタイルを無視します。 デフォルト値は未定義で、設定されていないことを意味します。 このスタイルと backgroundImage スタイルの両方が未定義の場合、コンポーネントの背景は透明になります。

構文

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledColor プロパティ (FlexTree)

クラス

FlexTree.

処理

[読み取り専用] リストの項目が無効な場合の色。 デフォルト値は 0xDDDDDD です。

構文

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

アクセス

読み取り専用。


DisabledDays プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] 無効にする曜日。

指定した曜日に該当するその月のすべての日付が無効になります。 このプロパティによって、DateChooser コントロールの表示が変わります。 この配列の要素は 0（日曜日）から 6（土曜日）の範囲の値です。

構文

C#
protected List(Of String) disabledDays { get; }
VB
'Declaration
Protected Read Property disabledDays As List(Of String)

アクセス

読み取り専用。


DisabledDays プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] 無効にする曜日。

構文

C#
protected List(Of String) disabledDays { get; }
VB
'Declaration
Protected Read Property disabledDays As List(Of String)

アクセス

読み取り専用。


DisabledRanges プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] 無効にする 1 日または複数の日。

構文

C#
protected List(Of String) disabledRanges { get; }
VB
'Declaration
Protected Read Property disabledRanges As List(Of String)

アクセス

読み取り専用。


DisabledRanges プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] 無効にされた 1 日または複数の日。

構文

C#
protected List(Of String) disabledRanges { get; }
VB
'Declaration
Protected Read Property disabledRanges As List(Of String)

アクセス

読み取り専用。


DisplayAsPassword プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] このコントロールがパスワード入力用であるかどうか。

true の場合、このフィールドは入力されたテキストは表示されず、コントロールに入力されたテキストの文字それぞれが * 文字で置換されて表示されます。 デフォルト値は false です。

構文

C#
protected Boolean displayAsPassword { get; }
VB
'Declaration
Protected Read Property displayAsPassword As Boolean

アクセス

読み取り専用。


DisplayAsPassword プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

C#
protected Boolean displayAsPassword { get; }
VB
'Declaration
Protected Read Property displayAsPassword As Boolean

アクセス

読み取り専用。


DisplayAsPassword プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

C#
protected Boolean displayAsPassword { get; }
VB
'Declaration
Protected Read Property displayAsPassword As Boolean

アクセス

読み取り専用。


DisplayedMonth プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールに表示される月。

月を表す数字は 0 から始まるので、1 月は 0 で、12 月は 11 です。 このプロパティを設定すると、DateChooser コントロールの表示が変わります。

デフォルト値は現在の月です。

構文

C#
protected Integer displayedMonth { get; }
VB
'Declaration
Protected Read Property displayedMonth As Integer

アクセス

読み取り専用。


DisplayedMonth プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールに表示される月。

構文

C#
protected Integer displayedMonth { get; }
VB
'Declaration
Protected Read Property displayedMonth As Integer

アクセス

読み取り専用。


DisplayedYear プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールに表示される年。 デフォルト値は現在の年です。

構文

C#
protected Integer displayedYear { get; }
VB
'Declaration
Protected Read Property displayedYear As Integer

アクセス

読み取り専用。


DisplayedYear プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールに表示される年。

構文

C#
protected Integer displayedYear { get; }
VB
'Declaration
Protected Read Property displayedYear As Integer

アクセス

読み取り専用。


DisplayItemsExpanded プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] ナビゲーション ツリーが展開されてすべての項目が表示されているかどうか。

true の場合は、ナビゲーション ツリーを展開してすべての項目を表示します。 新しい分岐が追加された場合は、展開した状態で表示されます。 デフォルト値は false です。

構文

C#
protected Boolean displayItemsExpanded { get; }
VB
'Declaration
Protected Read Property displayItemsExpanded As Boolean

アクセス

読み取り専用。


DisplayPopUp プロパティ (SparkPopUpAnchor)

クラス

SparkPopUpAnchor.

処理

[読み取り専用] ポップアップが表示されるかどうかを指定します。

構文

C#
protected Boolean displayPopUp { get; }
VB
'Declaration
Protected Read Property displayPopUp As Boolean

アクセス

読み取り専用。


DoubleSelect メソッド (FlexListBase)

クラス

FlexListBase.

処理

コントロールの可視項目上でマウスがダブルクリックされたことを示す itemDoubleClick イベントにおける ListEvent オブジェクトの type プロパティの値を定義します。

itemDoubleClick イベントを受信するには、コンポーネントの doubleClickEnabled プロパティを true に設定する必要があります。

構文

C#
listBase.DoubleSelect(itemRenderer)
VB
listBase.DoubleSelect(itemRenderer)
変数 | 説明
itemRenderer | ダブルクリックされた項目レンダラ。 String。


DragCancel メソッド (FlexChart)

クラス

FlexChart.

処理

dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
chart.DragCancel([keyModifier])
VB
chart.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragCancel メソッド (FlexContainer)

クラス

FlexContainer.

処理

dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
container.DragCancel([keyModifier])
VB
container.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: ドロップの完了時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragCancel メソッド (FlexListBase)

クラス

FlexListBase.

処理

dragComplete イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
listBase.DragCancel([keyModifier])
VB
listBase.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: ドロップの完了時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragCancel メソッド (SparkCheckBox)

クラス

SparkCheckBox.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

C#
checkBox.DragCancel([keyModifier])
VB
checkBox.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

ドラッグ操作がキャンセルされた場合にディスパッチされます。

構文

C#
groupBase.DragCancel([keyModifier])
VB
groupBase.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkRadioButton)

クラス

SparkRadioButton.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

C#
radioButton.DragCancel([keyModifier])
VB
radioButton.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

C#
richEditableText.DragCancel([keyModifier])
VB
richEditableText.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

ドラッグ操作がキャンセルされた場合にディスパッチされます。

構文

C#
skinnableContainerBase.DragCancel([keyModifier])
VB
skinnableContainerBase.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkTextArea)

クラス

SparkTextArea.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

C#
textArea.DragCancel([keyModifier])
VB
textArea.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkTextBase)

クラス

SparkTextBase.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

C#
textBase.DragCancel([keyModifier])
VB
textBase.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkTextInput)

クラス

SparkTextInput.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

C#
textInput.DragCancel([keyModifier])
VB
textInput.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragCancel メソッド (SparkToggleButton)

クラス

SparkToggleButton.

処理

このイベントは、ドラッグ操作がキャンセルされた場合にトリガーされます。

構文

C#
toggleButton.DragCancel([keyModifier])
VB
toggleButton.DragCancel([keyModifier])
変数 | 説明
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (FlexChart)

クラス

FlexChart.

処理

dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
chart.DragDrop(draggedItem, [localX, localY, keyModifier])
VB
chart.DragDrop(draggedItem, [localX, localY, keyModifier])
変数 | 説明
draggedItem | ドラッグする項目。 String。
localX | 省略可能: 含んでいるスプライトに相対的な、イベントが発生した水平方向座標。 Double。
localY | 省略可能: 含んでいるスプライトに相対的な、イベントが発生した垂直方向座標。 Double。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragDrop メソッド (FlexContainer)

クラス

FlexContainer.

処理

dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
container.DragDrop([draggedItem, keyModifier])
VB
container.DragDrop([draggedItem, keyModifier])
変数 | 説明
draggedItem | 省略可能: ドラッグする項目。 String。
keyModifier | 省略可能: オブジェクトのドロップ時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragDrop メソッド (FlexContainerMovieClip)

クラス

FlexContainerMovieClip.

処理

dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
containerMovieClip.DragDrop(action, [draggedItem, keyModifier])
VB
containerMovieClip.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | イベントを発生させたアクション。 String。
draggedItem | 省略可能: ドラッグする項目。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragDrop メソッド (FlexListBase)

クラス

FlexListBase.

処理

dragDrop イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
listBase.DragDrop(action, [draggedItem, keyModifier])
VB
listBase.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | イベントを発生させたアクション（DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE）。 String。
draggedItem | 省略可能: ドラッグする項目。 String。
keyModifier | 省略可能: コントロールのドロップ時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragDrop メソッド (SparkCheckBox)

クラス

SparkCheckBox.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

C#
checkBox.DragDrop(action, [draggedItem, keyModifier])
VB
checkBox.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

ドラッグした項目がドロップされた場合にディスパッチされます。

構文

C#
groupBase.DragDrop(action, [draggedItem, keyModifier])
VB
groupBase.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするオブジェクト。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkRadioButton)

クラス

SparkRadioButton.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

C#
radioButton.DragDrop(action, [draggedItem, keyModifier])
VB
radioButton.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

C#
richEditableText.DragDrop(action, [draggedItem, keyModifier])
VB
richEditableText.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

ドラッグした項目がドロップされた場合にディスパッチされます。

構文

C#
skinnableContainerBase.DragDrop(action, [draggedItem, keyModifier])
VB
skinnableContainerBase.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするオブジェクト。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkTextArea)

クラス

SparkTextArea.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

C#
textArea.DragDrop(action, [draggedItem, keyModifier])
VB
textArea.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkTextBase)

クラス

SparkTextBase.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

C#
textBase.DragDrop(action, [draggedItem, keyModifier])
VB
textBase.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkTextInput)

クラス

SparkTextInput.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

C#
textInput.DragDrop(action, [draggedItem, keyModifier])
VB
textInput.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragDrop メソッド (SparkToggleButton)

クラス

SparkToggleButton.

処理

このイベントは、ドラッグした項目がドロップされた場合にトリガーされます。

構文

C#
toggleButton.DragDrop(action, [draggedItem, keyModifier])
VB
toggleButton.DragDrop(action, [draggedItem, keyModifier])
変数 | 説明
action | 要求されたアクション。 DragManager.COPY、DragManager.LINK、DragManager.MOVE、または DragManager.NONE のいずれかひとつ。 String。
draggedItem | 省略可能: ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragEnabled プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] このグラフの外に項目をドラッグして他のコントロールにドロップすることができるかどうか。

true の場合、チャートのドラッグが有効になります。 dropEnabled プロパティが true の場合にも、グラフ内で項目をドラッグ＆ドロップして項目の順序を変えることができます。 デフォルト値は false です。

構文

C#
protected Boolean dragEnabled { get; }
VB
'Declaration
Protected Read Property dragEnabled As Boolean

アクセス

読み取り専用。


DragEnabled プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] このコントロールの外に項目をドラッグして他のコントロールにドロップすることができるかどうかを示すフラグ。

構文

C#
protected Boolean dragEnabled { get; }
VB
'Declaration
Protected Read Property dragEnabled As Boolean

アクセス

読み取り専用。


Dragged メソッド (FlexDividedBox)

クラス

FlexDividedBox.

処理

ユーザーが分割線をドラッグするときに複数回ディスパッチされます。 dividerDrag イベントは、dividerPress イベントの後、および dividerRelease イベントの前にディスパッチされます。

構文

C#
dividedBox.Dragged(dividerIndex, delta)
VB
dividedBox.Dragged(dividerIndex, delta)
変数 | 説明
dividerIndex | ドラッグされる分割線の 0 を基準としたインデックス。 左端、または上端の分割線の dividerIndex が 0 になります。 Integer。
delta | 分割線がドラッグされたピクセル数。 正の数は右または下方向にドラッグされたことを意味し、負の数は左または上方向にドラッグされたことを意味します。 Double。


Dragging プロパティ (SparkListLabel)

クラス

SparkListLabel.

処理

[読み取り専用] SparkListLabel がドラッグ モード中かどうかの値。

構文

C#
protected Boolean dragging { get; }
VB
'Declaration
Protected Read Property dragging As Boolean

アクセス

読み取り専用。


DragMoveEnabled プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] ドラッグ＆ドロップ操作としてコントロールから項目をコピーするのではなく、移動することができるかどうかを示すフラグ。

構文

C#
protected Boolean dragMoveEnabled { get; }
VB
'Declaration
Protected Read Property dragMoveEnabled As Boolean

アクセス

読み取り専用。


DragStart メソッド (FlexChart)

クラス

FlexChart.

処理

dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
chart.DragStart(draggedItem, [localX, localY])
VB
chart.DragStart(draggedItem, [localX, localY])
変数 | 説明
draggedItem | ドラッグする項目。 String。
localX | 省略可能: 含んでいるスプライトに相対的な、イベントが発生した水平方向座標。 Double。
localY | 省略可能: 含んでいるスプライトに相対的な、イベントが発生した垂直方向座標。 Double。


DragStart メソッド (FlexContainer)

クラス

FlexContainer.

処理

dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
container.DragStart(draggedItem, [keyModifier])
VB
container.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグする項目。 String。
keyModifier | 省略可能: オブジェクトのドラッグ時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragStart メソッド (FlexListBase)

クラス

FlexListBase.

処理

dragStart イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
listBase.DragStart(draggedItem, [keyModifier])
VB
listBase.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグする項目。 String。
keyModifier | 省略可能: コントロールのドラッグ時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


DragStart メソッド (SparkCheckBox)

クラス

SparkCheckBox.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

C#
checkBox.DragStart(draggedItem, [keyModifier])
VB
checkBox.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。

構文

C#
groupBase.DragStart(draggedItem, [keyModifier])
VB
groupBase.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするオブジェクト。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkRadioButton)

クラス

SparkRadioButton.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

C#
radioButton.DragStart(draggedItem, [keyModifier])
VB
radioButton.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

C#
richEditableText.DragStart(draggedItem, [keyModifier])
VB
richEditableText.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

ドラッグ＆ドロップ操作が始まった場合にディスパッチされます。

構文

C#
skinnableContainerBase.DragStart(draggedItem, [keyModifier])
VB
skinnableContainerBase.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするオブジェクト。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkTextArea)

クラス

SparkTextArea.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

C#
textArea.DragStart(draggedItem, [keyModifier])
VB
textArea.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkTextBase)

クラス

SparkTextBase.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

C#
textBase.DragStart(draggedItem, [keyModifier])
VB
textBase.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkTextInput)

クラス

SparkTextInput.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

C#
textInput.DragStart(draggedItem, [keyModifier])
VB
textInput.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DragStart メソッド (SparkToggleButton)

クラス

SparkToggleButton.

処理

このイベントは、ドラッグ＆ドロップ操作が始まった場合にトリガーされます。

構文

C#
toggleButton.DragStart(draggedItem, [keyModifier])
VB
toggleButton.DragStart(draggedItem, [keyModifier])
変数 | 説明
draggedItem | ドラッグするリスト項目。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


DropEnabled プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] ドラッグした項目をグラフ上にドロップできるかどうか。

このプロパティを true に設定した場合、グラフはすべてのデータ形式を受け入れ、ドラッグ対象のデータがデータ プロバイダー内のデータ形式と一致することを想定します。 ドラッグ対象のデータのデータ形式を明示的にチェックする場合は、1 つまたは複数のドラッグ イベント（dragOver など）を処理し、リスト クラスがドロップされたデータを受け入れる方法をカスタマイズするために、DragEvent の preventDefault() メソッドを呼び出す必要があります。 dropEnabled を true に設定すると、showDropFeedback() メソッドと hideDropFeedback() メソッドが自動的に呼び出されてドロップ インジケータが表示されます。 デフォルト値は false です。

構文

C#
protected Boolean dropEnabled { get; }
VB
'Declaration
Protected Read Property dropEnabled As Boolean

アクセス

読み取り専用。


DropEnabled プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] ドラッグした項目をコントロール上にドロップできるかどうかを示すフラグ。

構文

C#
protected Boolean dropEnabled { get; }
VB
'Declaration
Protected Read Property dropEnabled As Boolean

アクセス

読み取り専用。


DropShadowEnabled プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] ComboBase コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。

構文

C#
protected Boolean dropShadowEnabled { get; }
VB
'Declaration
Protected Read Property dropShadowEnabled As Boolean

アクセス

読み取り専用。


DropShadowEnabled プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] Panel コンテナーのドロップ シャドウが可視かどうか。 デフォルト値は true です。

構文

C#
protected Boolean dropShadowEnabled { get; }
VB
'Declaration
Protected Read Property dropShadowEnabled As Boolean

アクセス

読み取り専用。


Duration プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオの再生時間（秒単位）です。

構文

C#
protected Double duration { get; }
VB
'Declaration
Protected Read Property duration As Double

アクセス

読み取り専用。


Editable プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] データ プロバイダーの項目を編集できるかどうか。

true の場合、コントロールの項目レンダラは編集可能です。 ユーザーは項目レンダラをクリックしてエディターを開くことができます。

DataGridColumn.editable プロパティを使用したり、itemEditBeginning および itemEditBegin イベントを処理して DataGrid コントロールの個々の列の編集をオフにすることができます。

デフォルト値は false です。

構文

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コントロールが編集可能であるかどうか。編集可能な場合は、dataProvider で指定されていないエントリをユーザーが直接入力できます。編集できない場合は、dataProvider 内の項目から選択する必要があります。

true の場合、キーボードからの入力が、編集可能なテキスト フィールドに入力されます。true ではない場合は、キーボード入力は dataProvider の項目を選択するためのショートカットとして使用されます。

デフォルト値は false です。 このプロパティは、DataField コントロールでは無視されます。

構文

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] データ プロバイダーの項目を編集できるかどうか。

true の場合、コントロールの項目レンダラは編集可能です。 ユーザーは項目レンダラをクリックしてエディターを開くことができます。

DataGridColumn.editable プロパティを使用したり、itemEditBeginning および itemEditBegin イベントを処理して DataGrid コントロールの個々の列の編集をオフにすることができます。

デフォルト値は false です。

構文

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] このコントロールでテキストを編集できるかどうか。

true の場合、テキストを編集できます。 デフォルト値は true です。

構文

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (FlexTree)

クラス

FlexTree.

処理

[読み取り専用] データ プロバイダーの項目を編集できるかどうか。

構文

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] このコントロールのテキストの編集が許可されているかどうかを示すフラグ。

構文

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Editable プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] このコントロールのテキストの編集が許可されているかどうかを示すフラグ。

構文

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

アクセス

読み取り専用。


Edit メソッド (FlexDataGrid)

クラス

FlexDataGrid.

処理

項目が編集可能な状態かどうかを示す itemEditBegin イベントにおけるイベント オブジェクトの type プロパティの値を定義します。

構文

C#
dataGrid.Edit(itemRenderer, rowIndex, columnIndex)
VB
dataGrid.Edit(itemRenderer, rowIndex, columnIndex)
変数 | 説明
itemRenderer | 編集される項目の項目レンダラ。 String。
rowIndex | データ プロバイダーの項目の 0 を基準としたインデックス。 Integer。
columnIndex | DataGrid オブジェクトの columns 配列内における項目の列の 0 を基準としたインデックス。 Integer。


Edit メソッド (FlexList)

クラス

FlexList.

処理

項目が編集可能な状態かどうかを示す itemEditBegin イベントにおけるイベント オブジェクトの type プロパティの値を定義します。

構文

C#
list.Edit(itemRenderer, rowIndex, columnIndex)
VB
list.Edit(itemRenderer, rowIndex, columnIndex)
変数 | 説明
itemRenderer | 編集される項目の項目レンダラ。 String。
rowIndex | イベントに関連付けられた項目の 0 を基準としたインデックス。 Integer。
columnIndex | イベントに関連付けられた列の 0 を基準としたインデックス。 Integer。


EditNext メソッド (SparkDataGrid)

クラス

SparkDataGrid.

処理

次のデータ グリッド セルを編集モードに設定します。

構文

C#
dataGrid.EditNext()
VB
dataGrid.EditNext()


Emphasized プロパティ (SparkButton)

クラス

SparkButton.

処理

[読み取り専用] フォーカス マネージャーによって要求さたとおりのデフォルト ボタンかどうか。

構文

C#
protected Boolean emphasized { get; }
VB
'Declaration
Protected Read Property emphasized As Boolean

アクセス

読み取り専用。


Enabled プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントがユーザー操作を受け付けることができるかどうか。

enabled プロパティを false に設定しても、mouseOver などのマウス操作に応答するコンポーネントがあります。 結果として、UIComponent を完全に無効化するには、mouseEnabled プロパティの値も false に設定する必要があります。 コンテナーの enabled プロパティを false に設定すると、コンテナーとそのすべての子の色が薄暗くなり、コンテナーとそのすべての子に対するユーザー入力がブロックされます。

構文

C#
protected Boolean enabled { get; }
VB
'Declaration
Protected Read Property enabled As Boolean

アクセス

読み取り専用。


Enabled プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] ムービー クリップが有効かどうか。

デフォルト値は true です。 enabled が false に設定されている場合、ムービー クリップの [オーバー]、[ダウン]、[アップ] の各フレームは無効になります。 ムービー クリップは、イベント (mouseDown、mouseUp、keyDown、keyUp など) を引き続き受け取ります。

構文

C#
protected Boolean enabled { get; }
VB
'Declaration
Protected Read Property enabled As Boolean

アクセス

読み取り専用。


EnableIME プロパティ (SparkNumericStepper)

クラス

SparkNumericStepper.

処理

[読み取り専用] コンポーネントにフォーカスがあるときに IME を有効にするかどうかの値。

構文

C#
protected Boolean enableIME { get; }
VB
'Declaration
Protected Read Property enableIME As Boolean

アクセス

読み取り専用。


EnableIME プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。

構文

C#
protected Boolean enableIME { get; }
VB
'Declaration
Protected Read Property enableIME As Boolean

アクセス

読み取り専用。


EnableIME プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] コンポーネントにフォーカスがあるときに IME を有効にするかどうかを示すフラグ。

構文

C#
protected Boolean enableIME { get; }
VB
'Declaration
Protected Read Property enableIME As Boolean

アクセス

読み取り専用。


ErrorColor プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] 検証が失敗したときにコンポーネントをハイライトする色。

検証失敗時にコンポーネントの borderColor スタイルもこの errorColor に設定されます。 デフォルト値は 0xFF0000 です。

構文

C#
protected Color errorColor { get; }
VB
'Declaration
Protected Read Property errorColor As Color

アクセス

読み取り専用。


ErrorColor プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] 検証が失敗したときにコンポーネントをハイライトする色。

構文

C#
protected Color errorColor { get; }
VB
'Declaration
Protected Read Property errorColor As Color

アクセス

読み取り専用。


ErrorString プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。

構文

C#
protected String errorString { get; }
VB
'Declaration
Protected Read Property errorString As String

アクセス

読み取り専用。


ErrorString プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントが監視され、検証に失敗した場合に、コンポーネントのエラー ヒントとして表示されるテキスト。

構文

C#
protected String errorString { get; }
VB
'Declaration
Protected Read Property errorString As String

アクセス

読み取り専用。


ExplodeRadius プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] 0 から 1 までの数値。円系列の全区分をグラフの中心からどのくらい分離するかを全半径のパーセンテージで指定します。

この値は、円系列の全区分を均一に分離する値です。

構文

C#
protected Double explodeRadius { get; }
VB
'Declaration
Protected Read Property explodeRadius As Double

アクセス

読み取り専用。


Field プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] PieChart コントロールの各区分のデータを決定するデータ プロバイダーのフィールド。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String field { get; }
VB
'Declaration
Protected Read Property field As String

アクセス

読み取り専用。


FillAlphas プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] コントロールの背景の塗りつぶしに使用するアルファ値。

コントロールの背景を不透明にするには [1, 1] を使用します。 デフォルト値は [ 0.6, 0.4 ] です。

構文

C#
protected List(Of Double) fillAlphas { get; }
VB
'Declaration
Protected Read Property fillAlphas As List(Of Double)

アクセス

読み取り専用。


FillAlphas プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コントロールの背景の塗りつぶしに使用するアルファ値。

コントロールの背景を不透明にするには [1, 1] を使用します。 デフォルト値は [ 0.6, 0.4 ] です。

構文

C#
protected List(Of Double) fillAlphas { get; }
VB
'Declaration
Protected Read Property fillAlphas As List(Of Double)

アクセス

読み取り専用。


FillAlphas プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] コンポーネントの背景の塗りつぶしに使用するアルファ透過値。

2 つまたは 4 つの要素を持つ配列を設定します。 0 番目と 1 番目の要素には、アルファ値の傾きの開始値と終了値を指定します。 2 番目と 3 番目の要素が存在する場合、コントロールがマウスオーバー状態にあるときに、それらは要素 0 と 1 の代わりに使用されます。 グローバルのデフォルト値は [ 0.60, 0.40, 0.75, 0.65 ] です。 ApplicationControlBar コンテナーなどのコンポーネントのデフォルト値は異なります。 ApplicationControlBar コンテナーの場合のデフォルト値は [ 0.0, 0.0 ] です。

非推奨 3.0： headerStyleName を推奨

構文

C#
protected List(Of Double) fillAlphas { get; }
VB
'Declaration
Protected Read Property fillAlphas As List(Of Double)

アクセス

読み取り専用。


FillColors プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。

RGB 色を指定する 2 つまたは 4 つの uint 値要素を持つ配列を設定します。 0 番目と 1 番目の要素には、色の傾きの開始値と終了値を指定します。 2 番目と 3 番目の要素が存在する場合、コントロールがマウスオーバー状態にあるときに、それらは要素 0 と 1 の代わりに使用されます。 平面的なコントロールの場合、要素 0 と 1、および要素 2 と 3 に同じ色を設定します。デフォルト値は [ 0xFFFFFF, 0xCCCCCC, 0xFFFFFF, 0xEEEEEE ] です。

ApplicationControlBar コンテナーなどのコンポーネントのデフォルト値は異なります。 ApplicationControlBar コンテナーの場合のデフォルト値は [ 0xFFFFFF, 0xFFFFFF ] です。

非推奨 3.0： headerStyleName を推奨

構文

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

非推奨 3.0： nextMonthStyleFilters、prevMonthStyleFilters を推奨

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。 平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] コンポーネントの背景塗りつぶしを濃淡色化するのに使用する色。

RGB 色を指定する 2 つまたは 4 つの uint 値要素を持つ配列を設定します。 0 番目と 1 番目の要素には、色の傾きの開始値と終了値を指定します。 2 番目と 3 番目の要素が存在する場合、コントロールがマウスオーバー状態にあるときに、それらは要素 0 と 1 の代わりに使用されます。 平面的なコントロールの場合、要素 0 と 1、および要素 2 と 3 に同じ色を設定します。デフォルト値は [ 0xFFFFFF, 0xCCCCCC, 0xFFFFFF, 0xEEEEEE ] です。

ApplicationControlBar コンテナーなどのコンポーネントのデフォルト値は異なります。 ApplicationControlBar コンテナーの場合のデフォルト値は [ 0xFFFFFF, 0xFFFFFF ] です。

非推奨 3.0： headerStyleName を推奨

構文

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexScrollBar)

クラス

FlexScrollBar.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillColors プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] コントロールの背景を濃淡色化するのに使用する色。

平面的なコントロールには同じ色を両方の値として渡します。 デフォルト値は [ 0xFFFFFF, 0xCCCCCC ] です。

構文

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

アクセス

読み取り専用。


FillMode プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 次元内でのビットマップ塗りつぶしの方法を決定します。

構文

C#
protected String fillMode { get; }
VB
'Declaration
Protected Read Property fillMode As String

アクセス

読み取り専用。


FirstDayOfWeek プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールの最初の列に表示される曜日を表す数値。

値は 0 ? 6 の範囲内である必要があり、dayNames 配列の最初の要素である 0 が日曜日に該当します。

このプロパティを設定すると、曜日列の順番が変わります。 たとえば、1 に設定すると月曜日がコントロールの最初の列になります。

デフォルト値は 0 (日曜日) です。

構文

C#
protected Integer firstDayOfWeek { get; }
VB
'Declaration
Protected Read Property firstDayOfWeek As Integer

アクセス

読み取り専用。


FirstDayOfWeek プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールの最初の列に表示する曜日（0-6、ここで 0 は dayNames 配列の最初の要素）。

構文

C#
protected Integer firstDayOfWeek { get; }
VB
'Declaration
Protected Read Property firstDayOfWeek As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 最初の可視の子のインデックス。

構文

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

アクセス

読み取り専用。


FocusAlpha プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。

構文

C#
protected Double focusAlpha { get; }
VB
'Declaration
Protected Read Property focusAlpha As Double

アクセス

読み取り専用。


FocusAlpha プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] フォーカス スキンのアルファ透過値。 デフォルト値は 0.4 です。

構文

C#
protected Double focusAlpha { get; }
VB
'Declaration
Protected Read Property focusAlpha As Double

アクセス

読み取り専用。


FocusEnabled プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントが選択時にフォーカスを取得できるかどうか。

UIComponent が別のコンポーネントのサブコンポーネントとして使用される場合、focusEnabled を false に設定して、外側のコンポーネントをフォーカスを持つことができるようにできます。 このプロパティが false の場合、focusEnabled が true に設定されている最初の親にフォーカスが渡されます。

構文

C#
protected Boolean focusEnabled { get; }
VB
'Declaration
Protected Read Property focusEnabled As Boolean

アクセス

読み取り専用。


FocusEnabled プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントが選択時にフォーカスを取得できるかどうか。

構文

C#
protected Boolean focusEnabled { get; }
VB
'Declaration
Protected Read Property focusEnabled As Boolean

アクセス

読み取り専用。


FontFamily プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] 使用するフォントの名前。

完全な CSS 実装と異なり、カンマ区切りリストはサポートされません。 任意のフォント ファミリ名を使用できます。 汎用フォント名を指定した場合、適切なデバイス フォントに置換されます。 デフォルト値は Verdana です。

構文

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

アクセス

読み取り専用。


FontSize プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。 ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

C#
protected Integer fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Integer

アクセス

読み取り専用。


FontSize プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

C#
protected Integer fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Integer

アクセス

読み取り専用。


FontSize プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] テキストの高さ（ピクセル単位）。

ColorPicker コントロール以外のすべてのコントロールのデフォルト値は 10 です。 ColorPicker コントロールのデフォルト値は 11 です。

構文

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

アクセス

読み取り専用。


FontStyle プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontStyle プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] テキストがイタリック フォントかどうか。

有効な値は normal と italic です。 デフォルト値は normal です。

構文

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] テキストがボールド体かどうか。 有効な値は、normal および bold です。

Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FontWeight プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

アクセス

読み取り専用。


FooterColors プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] フッター（ControlBar コンテナーの領域）の背景の描画に使用される 2 色の配列。

1 つ目の色は上の色です。 2 つ目の色は下の色です。 デフォルト値は null (Visual Basic では Nothing) であり、コントロール バーの背景はパネルの背景と同じになります。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected List(Of Color) footerColors { get; }
VB
'Declaration
Protected Read Property footerColors As List(Of Color)

アクセス

読み取り専用。


Form プロパティ (FlexAreaSeries)

クラス

FlexAreaSeries.

処理

[読み取り専用] 領域の境界のタイプ。

有効な値は次のとおりです。
  • curve - 各データ ポイント間の境界に曲線を描画します。
  • horizontal - 最初のポイントの x 座標から、2 番目のポイントの y 座標がある位置の x 座標までの境界線だけを描画します。 これを各データ ポイントについて繰り返します。
  • reverseStep - 領域の境界を水平のセグメントとして描画します。最初のデータ ポイントでは水平の境界線を描画し、次に 2 番目のデータ ポイントまで垂直の境界線を描画して、以降各データ ポイントについてこれを繰り返します。
  • segment - 系列の各データ ポイントで連結するよう角度を付けて、連結されたセグメントとして領域の境界を描画します。
  • step - 領域の境界を水平のセグメントとして描画します。 最初のデータ ポイントでは水平の境界線を描画し、次に 2 番目のデータ ポイントまで垂直の境界線を描画して、以降各データ ポイントについてこれを繰り返します。
  • vertical - 最初のポイントの y 座標から、2 番目のポイントの x 座標がある位置の y 座標までの境界線だけを描画します。 これを各データ ポイントについて繰り返します。

デフォルト値は segment です。

構文

C#
protected String form { get; }
VB
'Declaration
Protected Read Property form As String

アクセス

読み取り専用。


Form プロパティ (FlexLineSeries)

クラス

FlexLineSeries.

処理

[読み取り専用] グラフの線のタイプ。

有効な値は次のとおりです。
  • curve - 各データ ポイント間に曲線を描画します。
  • horizontal - 最初のポイントの x 座標から、2 番目のポイントの y 座標がある位置の x 座標までの縦線だけを描画します。 これを各データ ポイントについて繰り返します。
  • reverseStep - 線を水平のセグメントとして描画します。 最初のデータ ポイントでは縦線を描画し、次に 2 番目のデータ ポイントまで横線を描画して、以降各データ ポイントについてこれを繰り返します。
  • segment - 系列の各データ ポイントで連結するよう角度を付けて、連結されたセグメントとして線を描画します。
  • step - 線を水平のセグメントとして描画します。 最初のデータ ポイントでは横線を描画し、次に 2 番目のデータ ポイントまで垂直の境界線を描画して、以降各データ ポイントについてこれを繰り返します。
  • vertical - 最初のポイントの y 座標から、2 番目のポイントの x 座標がある位置の y 座標までの縦線だけを描画します。 これを各データ ポイントについて繰り返します。

The default value is segment.

構文

C#
protected String form { get; }
VB
'Declaration
Protected Read Property form As String

アクセス

読み取り専用。


GetCellData メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

グリッド内のセルのデータを返します。

構文

C#
cellData = advancedDataGrid.GetCellData(RowIndex, ColumnIndex, [RestoreOriginalPosition])
VB
cellData = advancedDataGrid.GetCellData(RowIndex, ColumnIndex, [RestoreOriginalPosition])
変数 | 説明
cellData | String。
RowIndex | 指定した行の 0 を基準としたインデックスを返します。 Integer。
ColumnIndex | 指定した列の 0 を基準としたインデックスを返します。 Integer。
RestoreOriginalPosition | 省略可能: 取得後に以前の位置に戻すかどうか。 Boolean。


GetGroupedItemChildrenCount メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

グループの最初の項目内にある子の数を返します。

構文

C#
groupedItemChildrenCount = advancedDataGrid.GetGroupedItemChildrenCount(RowIndex, [RestoreOriginalPosition])
VB
groupedItemChildrenCount = advancedDataGrid.GetGroupedItemChildrenCount(RowIndex, [RestoreOriginalPosition])
変数 | 説明
groupedItemChildrenCount | Integer。
RowIndex | 指定した行の 0 を基準としたインデックスを返します。 Integer。
RestoreOriginalPosition | 省略可能: 取得後に以前の位置に戻すかどうか。 Boolean。


GetItemsCount メソッド (SparkListBase)

クラス

SparkListBase.

処理

ComboBox の項目の数を取得します。

構文

C#
itemsCount = listBase.GetItemsCount()
VB
itemsCount = listBase.GetItemsCount()
変数 | 説明
itemsCount | Integer。


GetRowData メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

データ プロバイダーの項目の行のデータを返します。

構文

C#
rowData = advancedDataGrid.GetRowData(RowIndex, [RestoreOriginalPosition])
VB
rowData = advancedDataGrid.GetRowData(RowIndex, [RestoreOriginalPosition])
変数 | 説明
rowData | String。
RowIndex | データ プロバイダーの項目の 0 を基準としたインデックス。 Integer。
RestoreOriginalPosition | 省略可能: 取得後に以前の位置に戻すかどうか。 Boolean。


GetStyle メソッド (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

指定したスタイルのスタイル値を返します。 利用可能なスタイルについては、Apache Flex SDK ドキュメントを参照してください。

構文

C#
style = displayObject.GetStyle(name)
VB
style = displayObject.GetStyle(name)
変数 | 説明
style | String。
name | スタイルの名前。 String。


GetValues メソッド (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

C#
values = axisRenderer.GetValues(start, end)
VB
values = axisRenderer.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexChart)

クラス

FlexChart.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

C#
values = chart.GetValues(start, end)
VB
values = chart.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexChartLegend)

クラス

FlexChartLegend.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

C#
values = chartLegend.GetValues(start, end)
VB
values = chartLegend.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexChartSeries)

クラス

FlexChartSeries.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

C#
values = chartSeries.GetValues(start, end)
VB
values = chartSeries.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexComboBox)

クラス

FlexComboBox.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

C#
values = comboBox.GetValues(start, end)
VB
values = comboBox.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexContainer)

クラス

FlexContainer.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。 戻り値は行の配列で、各行は項目の配列になります。

構文

C#
values = container.GetValues(start, end)
VB
values = container.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexListBase)

クラス

FlexListBase.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

C#
values = listBase.GetValues(start, end)
VB
values = listBase.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexMenu)

クラス

FlexMenu.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

C#
values = menu.GetValues(start, end)
VB
values = menu.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexMenuBar)

クラス

FlexMenuBar.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

C#
values = menuBar.GetValues(start, end)
VB
values = menuBar.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (FlexRepeater)

クラス

FlexRepeater.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

戻り値は行の配列で、各行は項目の配列になります。

構文

C#
values = repeater.GetValues(start, end)
VB
values = repeater.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

構文

C#
values = groupBase.GetValues(start, end)
VB
values = groupBase.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

構文

C#
values = richEditableText.GetValues(start, end)
VB
values = richEditableText.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

構文

C#
values = skinnableContainerBase.GetValues(start, end)
VB
values = skinnableContainerBase.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GetValues メソッド (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

コンポーネントのすべての部分のオートメーション値を含む配列を返します。

構文

C#
values = skinnableTextBase.GetValues(start, end)
VB
values = skinnableTextBase.GetValues(start, end)
変数 | 説明
values | List(Of List(Of String))。
start | 開始点の子のインデックス。 デフォルト値は 0 です。 Integer。
end | 終了点の子のインデックス。 デフォルト値は 0 です。 Integer。


GroupName プロパティ (FlexRadioButton)

クラス

FlexRadioButton.

処理

[読み取り専用] この RadioButton コントロールが属するグループの名前。または、この RadioButton が RadioButtonGroup コントロールによって定義されたグループの一部の場合は、RadioButtonGroup コントロールの id プロパティの値を指定します。

デフォルト値は undefined です。

構文

C#
protected String groupName { get; }
VB
'Declaration
Protected Read Property groupName As String

アクセス

読み取り専用。


GroupName プロパティ (SparkRadioButton)

クラス

SparkRadioButton.

処理

[読み取り専用] この RadioButton コンポーネントが属するグループの名前。または、この RadioButton が RadioButtonGroup コンポーネントによって定義されたグループの一部の場合は、RadioButtonGroup コンポーネントの id プロパティの値を指定します。

構文

C#
protected String groupName { get; }
VB
'Declaration
Protected Read Property groupName As String

アクセス

読み取り専用。


GutterBottom プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] グラフのデータ領域の下端とグラフ コントロールの下端との間の領域のサイズ（ピクセル単位）。

構文

C#
protected Integer gutterBottom { get; }
VB
'Declaration
Protected Read Property gutterBottom As Integer

アクセス

読み取り専用。


GutterLeft プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] グラフのデータ領域の左端とグラフ コントロールの左端との間の領域のサイズ（ピクセル単位）。

構文

C#
protected Integer gutterLeft { get; }
VB
'Declaration
Protected Read Property gutterLeft As Integer

アクセス

読み取り専用。


GutterRight プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] グラフのデータ領域の右端とグラフ コントロールの外側との間の領域のサイズ（ピクセル単位）。

構文

C#
protected Integer gutterRight { get; }
VB
'Declaration
Protected Read Property gutterRight As Integer

アクセス

読み取り専用。


GutterTop プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] グラフのデータ領域の上端とグラフ コントロールの上端との間の領域のサイズ（ピクセル単位）。

構文

C#
protected Integer gutterTop { get; }
VB
'Declaration
Protected Read Property gutterTop As Integer

アクセス

読み取り専用。


HeaderClick メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

列の内容に基づいてグリッドの内容の並べ替えを行うために、ユーザーが列ヘッダーでマウス ボタンを離したときにディスパッチされます。

構文

C#
advancedDataGrid.HeaderClick(columnIndex, [dataField, keyModifier])
VB
advancedDataGrid.HeaderClick(columnIndex, [dataField, keyModifier])
変数 | 説明
columnIndex | DataGrid オブジェクトの columns 配列内における項目の列の 0 を基準としたインデックス。 Integer。
dataField | 省略可能: 列に関連付けられたデータのフィールドまたはプロパティの名前。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


HeaderClick メソッド (FlexDataGrid)

クラス

FlexDataGrid.

処理

列の内容に基づいてグリッドの内容の並べ替えを行うために、ユーザーが列ヘッダーでマウス ボタンを離したときにディスパッチされます。

列がソート可能で、データ プロバイダーが並べ替えをサポートしている場合にのみディスパッチされます。

構文

C#
dataGrid.HeaderClick(columnIndex)
VB
dataGrid.HeaderClick(columnIndex)
変数 | 説明
columnIndex | DataGrid オブジェクトの columns 配列内における項目の列の 0 を基準としたインデックス。 Integer。


HeaderClick メソッド (SparkDataGrid)

クラス

SparkDataGrid.

処理

指定した列ヘッダーをクリックします。

構文

C#
dataGrid.HeaderClick(columnIndex)
VB
dataGrid.HeaderClick(columnIndex)
変数 | 説明
columnIndex | 列ヘッダーのインデックス。 Integer。


HeaderColors プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] ヘッダーの背景にグラデーションを描画するために使用する 2 色の配列。

1 つ目の色は上の色です。 2 つ目の色は下の色です。

構文

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

アクセス

読み取り専用。


HeaderColors プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] ヘッダーの背景にグラデーションを描画するために使用する 2 色の配列。

1 つ目の色は上の色です。 2 つ目の色は下の色です。 デフォルト値は [0xFFFFFF, 0xE6E6E6] です。

構文

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

アクセス

読み取り専用。


HeaderColors プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールの上部にある帯状の領域の色。 デフォルト値は [ 0xE6EEEE, 0xFFFFFF ] です。

非推奨 3.0。 dateChooserStyleName を推奨

構文

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

アクセス

読み取り専用。


HeaderColors プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールの上部にある帯状の領域の色。 デフォルト値は [ 0xE6EEEE, 0xFFFFFF ] です。

非推奨 3.0。 dateChooserStyleName を推奨

構文

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

アクセス

読み取り専用。


HeaderColors プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] ヘッダーを描画するために使用する 2 色の配列。

1 つ目の色は上の色です。 2 つ目の色は下の色です。 デフォルト値は null (Visual Basic では Nothing) であり、ヘッダーの背景はパネルの背景と同じになります。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

アクセス

読み取り専用。


HeaderHeight プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] Accordion ヘッダーの高さ（ピクセル単位）。

デフォルト値はヘッダーのフォント スタイルに基づいて自動的に計算されます。

構文

C#
protected Integer headerHeight { get; }
VB
'Declaration
Protected Read Property headerHeight As Integer

アクセス

読み取り専用。


HeaderHeight プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 列のヘッダー セルの高さ（ピクセル単位）。

構文

C#
protected Double headerHeight { get; }
VB
'Declaration
Protected Read Property headerHeight As Double

アクセス

読み取り専用。


HeaderHeight プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] ヘッダーの高さ。 デフォルト値はタイトル テキストのスタイルに基づいて計算されます。

構文

C#
protected Integer headerHeight { get; }
VB
'Declaration
Protected Read Property headerHeight As Integer

アクセス

読み取り専用。


HeaderShift メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。

構文

C#
advancedDataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
VB
advancedDataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
変数 | 説明
newIndex | 変更後のヘッダーの 0 を基準としたインデックス。 Integer。
oldIndex | 変更前のヘッダーの 0 を基準としたインデックス。 Integer。
triggerEvent | 省略可能: このイベントを発生させたイベント。 FlexTriggerEvent。


HeaderShift メソッド (FlexDataGrid)

クラス

FlexDataGrid.

処理

ユーザーが列ヘッダーを新しい場所にドラッグし、マウス ボタンを離したときにディスパッチされます。その結果、その列は新しいインデックスに移されます。

構文

C#
dataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
VB
dataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
変数 | 説明
newIndex | 変更後のヘッダーの 0 を基準としたインデックス。 Integer。
oldIndex | 変更前のヘッダーの 0 を基準としたインデックス。 Integer。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。


HeaderStyleName プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 列ヘッダーの他の外観要素を制御する CSS スタイル宣言の名前。 デフォルト値は dataGridStyles です。

構文

C#
protected String headerStyleName { get; }
VB
'Declaration
Protected Read Property headerStyleName As String

アクセス

読み取り専用。


HeightInLines プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 行数で表したコントロールのデフォルトの高さ。

構文

C#
protected Double heightInLines { get; }
VB
'Declaration
Protected Read Property heightInLines As Double

アクセス

読み取り専用。


HeightInLines プロパティ (SparkTextArea)

クラス

SparkTextArea.

処理

[読み取り専用] 行数で表したコントロールのデフォルトの高さ。

構文

C#
protected Double heightInLines { get; }
VB
'Declaration
Protected Read Property heightInLines As Double

アクセス

読み取り専用。


HeightLimit プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸レンダラがグラフから取得するスペースの最大値（ピクセル単位）。

構文

C#
protected Double heightLimit { get; }
VB
'Declaration
Protected Read Property heightLimit As Double

アクセス

読み取り専用。


Height プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 表示オブジェクトの高さ（ピクセル単位）。

高さは表示オブジェクトの内容の境界に基づいて計算されます。 height プロパティを設定すると、scaleY プロパティがその値に従って調節されます。

構文

C#
protected Double height { get; }
VB
'Declaration
Protected Read Property height As Double

アクセス

読み取り専用。


Hide メソッド (FlexMenu)

クラス

FlexMenu.

処理

メニューまたはサブメニューが閉じたときにディスパッチされます。

構文

C#
menu.Hide()
VB
menu.Hide()


Hide メソッド (FlexMenuBar)

クラス

FlexMenuBar.

処理

メニューまたはサブメニューが閉じたときにディスパッチされます。

構文

C#
menuBar.Hide()
VB
menuBar.Hide()


HighlightColor プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] ドロップダウン リストのハイライト色。

構文

C#
protected Color highlightColor { get; }
VB
'Declaration
Protected Read Property highlightColor As Color

アクセス

読み取り専用。


HorizontalAlign プロパティ (FlexBox)

クラス

FlexBox.

処理

[読み取り専用] このコンテナー内の子の水平方向の配置。

有効な値は left、center および right です。 デフォルト値は left ですが、ButtonBar や ToggleButtonBar のようにこれ以外のデフォルト値になるコンテナーもあります。

構文

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

アクセス

読み取り専用。


HorizontalAlign プロパティ (FlexFormItem)

クラス

FlexFormItem.

処理

[読み取り専用] このコンテナー内の子の水平方向の配置。

有効な値は left、center および right です。 デフォルト値は left です。

構文

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

アクセス

読み取り専用。


HorizontalAlign プロパティ (FlexTabNavigator)

クラス

FlexTabNavigator.

処理

[読み取り専用] この TabNavigator コンテナーの上部にあるタブの水平位置。

有効な値は left、center および right です。 デフォルト値は left です。

値が left の場合、最初のタブの左端が TabNavigator コンテナーの左端に揃えられます。 値が right の場合、最後のタブの右端が TabNavigator コンテナーの右端に揃えられます。 値が center の場合、タブが TabNavigator コンテナー上部の中央に揃えられます。

整列設定による違いが表示されるには、すべてのタブの幅の合計が TabNavigator コンテナーの幅より小さい必要があります。

構文

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

アクセス

読み取り専用。


HorizontalAlign プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 縦横比が 1 対 1 でなく、scaleMode が BitmapScaleMode.LETTERBOX に設定されているときの、コンテンツの水平方向の配置です。

構文

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

アクセス

読み取り専用。


HorizontalAxisRatio プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] 水平軸の高さの制限。

制限は、軸の幅とこの割合を掛けた値です。 デフォルト値は 0.33 です。

構文

C#
protected Double horizontalAxisRatio { get; }
VB
'Declaration
Protected Read Property horizontalAxisRatio As Double

アクセス

読み取り専用。


HorizontalGap プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] 子同士の水平方向の間隔を示すピクセル数。 デフォルト値は 8 です。

構文

C#
protected Double horizontalGap { get; }
VB
'Declaration
Protected Read Property horizontalGap As Double

アクセス

読み取り専用。


HorizontalGap プロパティ (FlexTabNavigator)

クラス

FlexTabNavigator.

処理

[読み取り専用] ピクセル単位で表したタブ間の間隔。 デフォルト値は -1 で、この場合、隣接するタブの境界線が重なります。

構文

C#
protected Double horizontalGap { get; }
VB
'Declaration
Protected Read Property horizontalGap As Double

アクセス

読み取り専用。


HorizontalGridLineColor プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 水平グリッド線の色。

構文

C#
protected Color horizontalGridLineColor { get; }
VB
'Declaration
Protected Read Property horizontalGridLineColor As Color

アクセス

読み取り専用。


HorizontalGridLineColor プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 水平グリッド線の色。

構文

C#
protected Color horizontalGridLineColor { get; }
VB
'Declaration
Protected Read Property horizontalGridLineColor As Color

アクセス

読み取り専用。


HorizontalGridLines プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 行の間に水平グリッド線を表示するかどうか。

true の場合、データ グリッドは水平グリッド線を表示します。 false の場合、データ グリッドは水平グリッド線を表示しません。 デフォルト値は false です。

構文

C#
protected Boolean horizontalGridLines { get; }
VB
'Declaration
Protected Read Property horizontalGridLines As Boolean

アクセス

読み取り専用。


HorizontalScrollPolicy プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] 水平スクロール バーが表示されるかどうか（常に表示： ScrollPolicy.ON、常に非表示： ScrollPolicy.OFF、必要に応じて表示： ScrollPolicy.AUTO）。

デフォルト値は ScrollPolicy.AUTO です。

構文

C#
protected String horizontalScrollPolicy { get; }
VB
'Declaration
Protected Read Property horizontalScrollPolicy As String

アクセス

読み取り専用。


HorizontalScrollPosition プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] コンポーネントの座標系における、ビューポートの原点の x 座標。デフォルト値は (0,0) であり、コンポーネントの左上隅に対応します。

構文

C#
protected Double horizontalScrollPosition { get; }
VB
'Declaration
Protected Read Property horizontalScrollPosition As Double

アクセス

読み取り専用。


HorizontalScrollPosition プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキストを横にスクロールするピクセル数。

構文

C#
protected Double horizontalScrollPosition { get; }
VB
'Declaration
Protected Read Property horizontalScrollPosition As Double

アクセス

読み取り専用。


HtmlText プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] Label コントロールによって表示されるテキスト（そのテキストのスタイルを表現する HTML マークアップを含む）。

このプロパティで HTML テキストを指定する場合は、Flash TextField コントロールでサポートされている HTML タグのサブセットを使用できます。

構文

C#
protected String htmlText { get; }
VB
'Declaration
Protected Read Property htmlText As String

アクセス

読み取り専用。


HtmlText プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] TextInput コントロールによって表示されるテキスト（そのテキストのスタイルを表現する HTML マークアップを含む）。

このプロパティで HTML テキストを指定する場合は、Flash TextField コントロールでサポートされている HTML タグのサブセットを使用できます。

構文

C#
protected String htmlText { get; }
VB
'Declaration
Protected Read Property htmlText As String

アクセス

読み取り専用。


IconField プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] アイコンとして表示するものを決定する、データ プロバイダー オブジェクト内のフィールドの名前。

デフォルトでは、リスト クラスの行内のテキストにはアイコンは表示されません。 ただし、アイコン フィールドを指定することにより、アイコンとして作成して行に表示するグラフィックを指定できます。 DataGrid では、このプロパティは無視されます。

デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String iconField { get; }
VB
'Declaration
Protected Read Property iconField As String

アクセス

読み取り専用。


Id プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントの ID。

この値はオブジェクトのインスタンス名になります。空白類や特殊文字を使用することはできません。 アプリケーション全体を通して各コンポーネントが一意の ID を持たなければなりません。

構文

C#
protected String id { get; }
VB
'Declaration
Protected Read Property id As String

アクセス

読み取り専用。


Id プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 要素に対するオートメーション識別子（ID）を含んだ文字列。

構文

C#
protected String id { get; }
VB
'Declaration
Protected Read Property id As String

アクセス

読み取り専用。


Id プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントの ID。

この値はオブジェクトのインスタンス名になります。空白類や特殊文字を使用することはできません。 アプリケーション全体を通して各コンポーネントが一意の名前を持たなければなりません。 意味のある名前を割り当てることによって、スクリプトの可読性を高めることができます。 たとえば、ボタンの値として b1 や button1 などを指定するのではなく、close_button のような値を設定すると良いでしょう。

構文

C#
protected String id { get; }
VB
'Declaration
Protected Read Property id As String

アクセス

読み取り専用。


ImeMode プロパティ (SparkNumericStepper)

クラス

SparkNumericStepper.

処理

[読み取り専用] IME (Input Method Editor) モード。

構文

C#
protected String imeMode { get; }
VB
'Declaration
Protected Read Property imeMode As String

アクセス

読み取り専用。


ImeMode プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] IME (Input Method Editor) モード。

構文

C#
protected String imeMode { get; }
VB
'Declaration
Protected Read Property imeMode As String

アクセス

読み取り専用。


ImeMode プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] IME (Input Method Editor) モード。

構文

C#
protected String imeMode { get; }
VB
'Declaration
Protected Read Property imeMode As String

アクセス

読み取り専用。


Indentation プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] ナビゲーション ツリーの各ノードのインデント（ピクセル単位）。 デフォルト値は 17 です。

構文

C#
protected Integer indentation { get; }
VB
'Declaration
Protected Read Property indentation As Integer

アクセス

読み取り専用。


Indentation プロパティ (FlexTree)

クラス

FlexTree.

処理

[読み取り専用] 各ツリー レベルのインデント（ピクセル単位）。 デフォルト値は 17 です。

構文

C#
protected Double indentation { get; }
VB
'Declaration
Protected Read Property indentation As Double

アクセス

読み取り専用。


Indeterminate プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ProgressBar コントロールの外観が確定モードか不確定モードか。

進捗状況を判断できない場合は、不確定モードの外観を使用します。 true を指定すると不確定モードの外観になります。 デフォルト値は false です。

構文

C#
protected Boolean indeterminate { get; }
VB
'Declaration
Protected Read Property indeterminate As Boolean

アクセス

読み取り専用。


InnerRadius プロパティ (FlexPieChart)

クラス

FlexPieChart.

処理

[読み取り専用] 円グラフの中心の空洞のサイズ。

このプロパティは、円グラフ全体の半径に対する中心の円の半径のパーセンテージ値を表します。 デフォルト値は 0% です。 このプロパティを使用すると、ドーナツ グラフを作成できます。

構文

C#
protected Double innerRadius { get; }
VB
'Declaration
Protected Read Property innerRadius As Double

アクセス

読み取り専用。


InnerRadius プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] 系列の中心からレンダリング済み区分の内側エッジまでの距離を、系列に割り当てられた全半径のパーセンテージで指定する、0 ? 1 の数。

このプロパティは、系列に直接割り当てられます。

構文

C#
protected Double innerRadius { get; }
VB
'Declaration
Protected Read Property innerRadius As Double

アクセス

読み取り専用。


Input メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。

構文

C#
comboBase.Input(text)
VB
comboBase.Input(text)
変数 | 説明
text | ユーザーが入力したテキストの文字（1 文字以上）。 イベント リスナーは text プロパティを使ってこの情報にアクセスできます。 String。


Input メソッド (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

テキスト イベントについての情報を含むイベント オブジェクトを作成します。 イベント オブジェクトは、パラメーターとしてイベント リスナーに渡されます。

構文

C#
numericStepper.Input(text)
VB
numericStepper.Input(text)
変数 | 説明
text | ユーザーが入力したテキストの文字（1 文字以上）。 イベント リスナーは text プロパティを使ってこの情報にアクセスできます。 String。


Input メソッド (FlexTextArea)

クラス

FlexTextArea.

処理

ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。

構文

C#
textArea.Input(text)
VB
textArea.Input(text)
変数 | 説明
text | ユーザーが入力した文字、または文字列。 String。


Input メソッド (SparkComboBox)

クラス

SparkComboBox.

処理

ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。

構文

C#
comboBox.Input(text)
VB
comboBox.Input(text)
変数 | 説明
text | ユーザーが入力した文字、または文字列。 String。


Input メソッド (SparkNumericStepper)

クラス

SparkNumericStepper.

処理

ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。

構文

C#
numericStepper.Input(text)
VB
numericStepper.Input(text)
変数 | 説明
text | ユーザーが入力した文字、または文字列。 String。


Input メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。

構文

C#
richEditableText.Input(text)
VB
richEditableText.Input(text)
変数 | 説明
text | ユーザーが入力した文字、または文字列。 String。


Input メソッド (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

ユーザーがコントロール内でテキストの入力、削除、貼り付けを行ったときにディスパッチされます。

構文

C#
skinnableTextBase.Input(text)
VB
skinnableTextBase.Input(text)
変数 | 説明
text | ユーザーが入力した文字、または文字列。 String。


InsideLabelSizeLimit プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] フォントサイズのしきい値（ポイント）。これ以下のサイズの内部ラベルは判読不能と見なされます。

このしきい値を下回ったラベルは、labelPosition プロパティの設定に基づいて、完全に非表示になるか、コールアウトとしてレンダリングされます。

構文

C#
protected Double insideLabelSizeLimit { get; }
VB
'Declaration
Protected Read Property insideLabelSizeLimit As Double

アクセス

読み取り専用。


IsAIRWindow プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] このウィンドウが AIR ウィンドウかどうかを示す値。

構文

C#
protected Boolean isAIRWindow { get; }
VB
'Declaration
Protected Read Property isAIRWindow As Boolean

アクセス

読み取り専用。


IsAIRWindow プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] このウィンドウが AIR ウィンドウかどうかを示す値。

構文

C#
protected Boolean isAIRWindow { get; }
VB
'Declaration
Protected Read Property isAIRWindow As Boolean

アクセス

読み取り専用。


IsDropDownOpen プロパティ (SparkDropDownListBase)

クラス

SparkDropDownListBase.

処理

[読み取り専用] ドロップダウンが開いているかどうか。

構文

C#
protected Boolean isDropDownOpen { get; }
VB
'Declaration
Protected Read Property isDropDownOpen As Boolean

アクセス

読み取り専用。


IsDropDownOpen プロパティ (SparkVolumeBar)

クラス

SparkVolumeBar.

処理

[読み取り専用] VolumeBar が開いているかどうか。

構文

C#
protected Boolean isDropDownOpen { get; }
VB
'Declaration
Protected Read Property isDropDownOpen As Boolean

アクセス

読み取り専用。


IsGroupedItem メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

項目がグループのメンバーかどうかを指定する値を返します。

構文

C#
groupedItem = advancedDataGrid.IsGroupedItem(RowIndex, [RestoreOriginalPosition])
VB
groupedItem = advancedDataGrid.IsGroupedItem(RowIndex, [RestoreOriginalPosition])
変数 | 説明
groupedItem | Boolean。
RowIndex | 選択した項目の行インデックス。 Integer。
RestoreOriginalPosition | 省略可能: 取得後に以前の位置に戻すかどうか。 Boolean。


IsOpen プロパティ (SparkSkinnablePopUpContainer)

クラス

SparkSkinnablePopUpContainer.

処理

[読み取り専用] コンテナーが開いているかどうか。

構文

C#
protected Boolean isOpen { get; }
VB
'Declaration
Protected Read Property isOpen As Boolean

アクセス

読み取り専用。


IsTruncated プロパティ (SparkTextBase)

クラス

SparkTextBase.

処理

[読み取り専用] テキストが切り詰められたかどうか。

構文

C#
protected Boolean isTruncated { get; }
VB
'Declaration
Protected Read Property isTruncated As Boolean

アクセス

読み取り専用。


LabelField プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。

デフォルトでは、各項目の label という名前のプロパティが検索され、リストに表示されます。 ただし、データ オブジェクトに label プロパティが含まれていない場合は、データ オブジェクト内の別のプロパティを使用するように labelField プロパティを設定できます。

デフォルト値は label です。

構文

C#
protected String labelField { get; }
VB
'Declaration
Protected Read Property labelField As String

アクセス

読み取り専用。


LabelField プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] ラベルとして表示するデータ プロバイダー項目内のフィールドの名前。

構文

C#
protected String labelField { get; }
VB
'Declaration
Protected Read Property labelField As String

アクセス

読み取り専用。


LabelGap プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 目盛りの末端からラベルの上端までの間隔の幅（ピクセル単位）。 デフォルト値は 3 です。

構文

C#
protected Double labelGap { get; }
VB
'Declaration
Protected Read Property labelGap As Double

アクセス

読み取り専用。


LabelPlacement プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] 指定されたアイコンを基準にしたラベルの向き。

有効な MXML 値は、right、left、bottom および top です。

ActionScript では、このプロパティを設定するために、ButtonLabelPlacement.RIGHT、ButtonLabelPlacement.LEFT、ButtonLabelPlacement.BOTTOM および ButtonLabelPlacement.TOP の各定数を使用できます。

デフォルト値は ButtonLabelPlacement.RIGHT です。

構文

C#
protected String labelPlacement { get; }
VB
'Declaration
Protected Read Property labelPlacement As String

アクセス

読み取り専用。


LabelPlacement プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 凡例要素のラベルの配置。 有効な阿多灰、top、bottom、right、および left です。

構文

C#
protected String labelPlacement { get; }
VB
'Declaration
Protected Read Property labelPlacement As String

アクセス

読み取り専用。


LabelPlacement プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ラベルの配置位置。

MXML での有効な値は、right、left、bottom、center、および top です。

ActionScript では、このプロパティを設定するために、ProgressBarLabelPlacement.RIGHT、ProgressBarLabelPlacement.LEFT、ProgressBarLabelPlacement.BOTTOM、ProgressBarLabelPlacement.CENTER、および ProgressBarLabelPlacement.TOP の各定数を使用できます。

デフォルト値は ProgressBarLabelPlacement.BOTTOM です。

構文

C#
protected String labelPlacement { get; }
VB
'Declaration
Protected Read Property labelPlacement As String

アクセス

読み取り専用。


LabelPosition プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] 値のラベルのレンダリング方法。

有効な値は次のとおりです。
  • none - ラベルを描画しません。
  • outside - 円グラフの境界線の周囲にラベルを描画します。
  • callout - 円グラフの右側か左側に、2 つの垂直なスタックでラベルを描画します。 必要に応じて区分を縮小して、ラベル用の領域を空けます（「maxLabelRadius」を参照）。 各ラベルから円グラフ内の関連付けられた区分まで、主要な線を描画します。 必要に応じて、ラベルを領域に合うよう縮小します。
  • inside - グラフの内部に、円グラフの各区分に沿っておよそ 10 分の 7 程度の位置を中心にして、ラベルを描画します。 ラベル同士が重ならないように、各ラベルを縮小します。 ラベルが calloutPointSize プロパティの値よりも小さくなる場合は、ラベルを削除します。 2 つのラベルが重なる場合、大きな区分のラベルが優先されます。
  • insideWithCallout - ラベルを円の中に描画しますが、判読できないサイズまで縮小された場合はコールアウトに変換します。

構文

C#
protected String labelPosition { get; }
VB
'Declaration
Protected Read Property labelPosition As String

アクセス

読み取り専用。


Label プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] Button コントロールに表示されるテキスト。

Button コントロールよりラベルの幅の方が大きい場合、ラベルは省略記号（...）で切り詰められ、最後まで表示されません。 マウスを Button コントロール上に移動すると、ラベル全体がツール ヒントとして表示されます。 tooltip プロパティを使用してツール ヒントを設定している場合は、ラベル テキストではなくツール ヒントが表示されます。

デフォルト値は "" です。

構文

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 凡例要素の隣に表示するテキスト。

構文

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] このコンテナーを表すために、一部のナビゲーター コンテナーによって表示されるテキスト。

例えば、この Container が TabNavigator の子である場合、対応するタブにこの文字列が表示されます。 この Container が Accordion の子である場合、対応するヘッダーにこの文字列が表示されます。

デフォルト値は "" です。

構文

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 進捗バーの近くに表示するテキスト。

テキスト文字列に次の特殊文字を指定することができます。
  • %1 = 現在読み込んだバイト数
  • %2 = 合計バイト数
  • %3 = 読み込み済みの割合
  • %% = "%" 文字

フィールドが不明な場合には、"??" で置換されます。未定義の場合には、ラベルは表示されません。

構文

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (SparkButtonBase)

クラス

SparkButtonBase.

処理

[読み取り専用] ButtonBase コントロールに表示されるテキスト。

構文

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (SparkFormItem)

クラス

SparkFormItem.

処理

[読み取り専用] FormItem のテキスト ラベルです。

構文

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


Label プロパティ (SparkListLabel)

クラス

SparkListLabel.

処理

[読み取り専用] SparkListLabel のラベル。

構文

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

アクセス

読み取り専用。


LabelRotation プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] ラベルの回転。

ラベルをデバイス フォントでレンダリングすると、ラベルは常に水平方向に描画されます。 このスタイルが負の値である場合、AxisRenderer は、ラベルが重ならないように最も小さく表示するための最適な角度を決定します。

構文

C#
protected Double labelRotation { get; }
VB
'Declaration
Protected Read Property labelRotation As Double

アクセス

読み取り専用。


Labels プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダーのラベルに使用する文字列の配列。

まずラベルがトラックの始点に配置され、次に各ラベルがトラックの始点と終点の間を等間隔に配置されます。

デフォルト値は未定義です。

構文

C#
protected List(Of String) labels { get; }
VB
'Declaration
Protected Read Property labels As List(Of String)

アクセス

読み取り専用。


LabelStyleName プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダーのラベルに使用するスタイルの名前。 デフォルト値は未定義です。

構文

C#
protected String labelStyleName { get; }
VB
'Declaration
Protected Read Property labelStyleName As String

アクセス

読み取り専用。


LabelWidth プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ラベルの幅（ピクセル単位）。

値が NaN の場合、ProgressBar コントロールの幅に設定されます。 デフォルト値は NaN です。

構文

C#
protected Double labelWidth { get; }
VB
'Declaration
Protected Read Property labelWidth As Double

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LastVisibleRow プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 最後の可視の子のインデックス。

構文

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

アクセス

読み取り専用。


LegendItemClick メソッド (FlexChartLegend)

クラス

FlexChartLegend.

処理

ユーザーが Legend コントロール内の LegendItem をクリックしたときにディスパッチされます。ユーザーが凡例項目の上でマウス ボタンをクリックしたことを示します。

構文

C#
chartLegend.LegendItemClick(item)
VB
chartLegend.LegendItemClick(item)
変数 | 説明
item | イベントがトリガーされた Legend の項目。 String。


Length プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸の長さ（スクリーン座標）。

構文

C#
protected Double length { get; }
VB
'Declaration
Protected Read Property length As Double

アクセス

読み取り専用。


Length プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] TextArea に表示されるテキストの文字数。

構文

C#
protected Double length { get; }
VB
'Declaration
Protected Read Property length As Double

アクセス

読み取り専用。


LineScrollSize プロパティ (FlexScrollBar)

クラス

FlexScrollBar.

処理

[読み取り専用] 矢印ボタンが押されたときにスクロールする量（ピクセル単位）。 デフォルト値は 1 です。

構文

C#
protected Double lineScrollSize { get; }
VB
'Declaration
Protected Read Property lineScrollSize As Double

アクセス

読み取り専用。


LiveDragging プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダーのライブ ドラッグを有効にするかどうか。

false の場合は、value プロパティと values プロパティが設定され、ユーザーがスライダー サムのドラッグを停止したときに change イベントがディスパッチされます。 true の場合は、value プロパティと values プロパティが設定され、ユーザーがサムを移動しているときに change イベントが継続的にディスパッチされます。

デフォルト値は false です。

構文

C#
protected Boolean liveDragging { get; }
VB
'Declaration
Protected Read Property liveDragging As Boolean

アクセス

読み取り専用。


LockedColumnCount プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] スクロールするコントロールの最初の列のインデックス。

構文

C#
protected Integer lockedColumnCount { get; }
VB
'Declaration
Protected Read Property lockedColumnCount As Integer

アクセス

読み取り専用。


LockedRowCount プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] スクロールするコントロールの最初の行のインデックス。

構文

C#
protected Integer lockedRowCount { get; }
VB
'Declaration
Protected Read Property lockedRowCount As Integer

アクセス

読み取り専用。


Loop プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] 再生が完了した後でメディアを再び再生する必要があるかどうかを示します。

構文

C#
protected Boolean loop { get; }
VB
'Declaration
Protected Read Property loop As Boolean

アクセス

読み取り専用。


LuminosityClip プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] マスクされたコンテンツを輝度マスクがクリッピングするかどうか。

構文

C#
protected Boolean luminosityClip { get; }
VB
'Declaration
Protected Read Property luminosityClip As Boolean

アクセス

読み取り専用。


LuminosityClip プロパティ (SparkRichText)

クラス

SparkRichText.

処理

[読み取り専用] マスクされたコンテンツを輝度マスクがクリッピングするかどうか。

構文

C#
protected Boolean luminosityClip { get; }
VB
'Declaration
Protected Read Property luminosityClip As Boolean

アクセス

読み取り専用。


LuminosityInvert プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 輝度マスクによってマスクされているグラフィック要素の RGB カラー値の計算を制御する値。

構文

C#
protected Boolean luminosityInvert { get; }
VB
'Declaration
Protected Read Property luminosityInvert As Boolean

アクセス

読み取り専用。


LuminosityInvert プロパティ (SparkRichText)

クラス

SparkRichText.

処理

[読み取り専用] 輝度マスクによってマスクされているグラフィック要素の RGB カラー値を計算するかどうか。

構文

C#
protected Boolean luminosityInvert { get; }
VB
'Declaration
Protected Read Property luminosityInvert As Boolean

アクセス

読み取り専用。


MarkerAspectRatio プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] この凡例項目に関連付けられたマーカーのアスペクト比。

グラフ系列により提供される一部のマーカーは、特定のアスペクト比による表示を目的として作成されています。 このプロパティが設定された場合は、凡例項目により、レイアウト中のマーカーが特定のアスペクト比で表示されます。

構文

C#
protected Double markerAspectRatio { get; }
VB
'Declaration
Protected Read Property markerAspectRatio As Double

アクセス

読み取り専用。


MarkerHeight プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 凡例要素の高さ。

構文

C#
protected Integer markerHeight { get; }
VB
'Declaration
Protected Read Property markerHeight As Integer

アクセス

読み取り専用。


MarkerWidth プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 凡例要素の幅。

構文

C#
protected Integer markerWidth { get; }
VB
'Declaration
Protected Read Property markerWidth As Integer

アクセス

読み取り専用。


MaskType プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] マスクの種類。

構文

C#
protected String maskType { get; }
VB
'Declaration
Protected Read Property maskType As String

アクセス

読み取り専用。


MaskType プロパティ (SparkRichText)

クラス

SparkRichText.

処理

[読み取り専用] コンポーネントにマスクを適用する方法。 有効な値は、MaskType.CLIP、MaskType.ALPHA、および MaskType.LUMINOSITY です。 クリップ マスク。 クリップ モードでマスクを適用すると、クリップ マスクが 1 ビットに減らされます。

構文

C#
protected String maskType { get; }
VB
'Declaration
Protected Read Property maskType As String

アクセス

読み取り専用。


MaxBarWidth プロパティ (FlexBarChart)

クラス

FlexBarChart.

処理

[読み取り専用] 描画する横棒の幅（ピクセル単位）。

実際の棒グラフの幅は、このプロパティと barWidthRatio プロパティのうちの小さいほうが使用されます。 クラスタ化された横棒グラフは、クラスタごとの横棒グラフ間で均等に領域が分割されます。

構文

C#
protected Double maxBarWidth { get; }
VB
'Declaration
Protected Read Property maxBarWidth As Double

アクセス

読み取り専用。


MaxBarWidth プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] 横棒の幅（ピクセル単位）。

実際の棒グラフの幅は、このスタイルと barWidthRatio プロパティのうちの小さいほうが使用されます。 クラスタ化された横棒グラフは、クラスタごとの横棒グラフ間で均等に領域が分割されます。

構文

C#
protected Double maxBarWidth { get; }
VB
'Declaration
Protected Read Property maxBarWidth As Double

アクセス

読み取り専用。


MaxChars プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] テキスト フィールドにユーザーが入力できる最大文字数。

構文

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

アクセス

読み取り専用。


MaxChars プロパティ (SparkComboBox)

クラス

SparkComboBox.

処理

[読み取り専用] ユーザーが入力するときに、プロンプト領域に入る最大の文字数。

構文

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

アクセス

読み取り専用。


MaxChars プロパティ (SparkNumericStepper)

クラス

SparkNumericStepper.

処理

[読み取り専用] フィールドに入力できる最大文字数。

構文

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

アクセス

読み取り専用。


MaxChars プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。

構文

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

アクセス

読み取り専用。


MaxChars プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] ユーザーが入力するときに、テキスト フィールドに入る最大の文字数。

構文

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

アクセス

読み取り専用。


MaxColumnWidth プロパティ (FlexCandlestickChart)

クラス

FlexCandlestickChart.

処理

[読み取り専用] 描画するロウソク足の幅（ピクセル単位）。

実際の列の幅は、このプロパティと columnWidthRatio プロパティのうちの小さいほうが使用されます。 複数のロウソク足の系列では均等にこの領域が分割されます。

構文

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

アクセス

読み取り専用。


MaxColumnWidth プロパティ (FlexColumnChart)

クラス

FlexColumnChart.

処理

[読み取り専用] 描画する縦棒の幅（ピクセル単位）。

実際の縦棒の幅は、このプロパティと columnWidthRatio プロパティのうちの小さいほうが使用されます。 クラスタ化された縦棒グラフは、クラスタごとの縦棒グラフ間で均等に領域が分割されます。

構文

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

アクセス

読み取り専用。


MaxColumnWidth プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] 縦棒の幅（ピクセル単位）。

実際の縦棒の幅は、このスタイルと columnWidthRatio プロパティのうちの小さいほうが使用されます。 クラスタ化された縦棒グラフは、クラスタごとの縦棒グラフ間で均等に領域が分割されます。

構文

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

アクセス

読み取り専用。


MaxColumnWidth プロパティ (FlexHLOCChart)

クラス

FlexHLOCChart.

処理

[読み取り専用] 描画する HLOC 線の幅（ピクセル単位）。

実際の幅は、このプロパティと columnWidthRatio プロパティのうちの小さいほうが使用されます。 複数の HLOC の系列では均等にこの領域が分割されます。

構文

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

アクセス

読み取り専用。


MaxColumnWidth プロパティ (FlexHLOCSeriesBase)

クラス

FlexHLOCSeriesBase.

処理

[読み取り専用] 要素の幅（ピクセル単位）。

実際の要素の幅は、このスタイルと columnWidthRatio プロパティのうちの小さいほうが使用されます。 通常、この値を直接設定せずに、囲んでいるグラフによって指定されます。

構文

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

アクセス

読み取り専用。


MaxDisplayedLines プロパティ (SparkTextBase)

クラス

SparkTextBase.

処理

[読み取り専用] テキストが切り詰められるかどうか、および切り詰められる位置を指定する整数。

構文

C#
protected Integer maxDisplayedLines { get; }
VB
'Declaration
Protected Read Property maxDisplayedLines As Integer

アクセス

読み取り専用。


MaxHeight プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。

構文

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

アクセス

読み取り専用。


MaxHeight プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。

構文

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

アクセス

読み取り専用。


MaxHeight プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。

構文

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

アクセス

読み取り専用。


MaxHeight プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最大推奨値。

構文

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

アクセス

読み取り専用。


Maximizable プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウを最大化できるかどうかを示す値。

構文

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

アクセス

読み取り専用。


Maximizable プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウを最大化できるかどうかを示す値。

構文

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

アクセス

読み取り専用。


Maximizable プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウを最大化できるかどうかを示す値。

構文

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

アクセス

読み取り専用。


Maximizable プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウを最大化できるかどうかを示す値。

構文

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

アクセス

読み取り専用。


MaximumDataTipCount プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフが表示するデータ ヒントの最大数。

図の範囲内にこのスタイルによって許可された以上のデータ ポイントが存在する場合、距離によって優先順位付けが行われます（近いものが最初に表示される）。 デフォルト値は NaN で、範囲内にあるすべてのデータ チップが表示されることを意味します。

構文

C#
protected Integer maximumDataTipCount { get; }
VB
'Declaration
Protected Read Property maximumDataTipCount As Integer

アクセス

読み取り専用。


Maximum プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] NumericStepper の最大値。

小数値を含む任意の数値を最大値として指定できます。 デフォルト値は 10 です。

構文

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ProgressBar の最大進捗量を示す値。 このプロパティは手動モードでのみ使用できます。

デフォルト値は 0 です。

構文

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダーに対して許可された最大値。 デフォルト値は 10 です。

構文

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (SparkRange)

クラス

SparkRange.

処理

[読み取り専用] 有効な最大値。

構文

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

アクセス

読み取り専用。


MaxLabelRadius プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] ラベルに割り当て可能な PieSeries の半径の最大値。

この値は、系列がコールアウト ラベルをレンダリングしているときにのみ適用できます。

構文

C#
protected Double maxLabelRadius { get; }
VB
'Declaration
Protected Read Property maxLabelRadius As Double

アクセス

読み取り専用。


MaxRadius プロパティ (FlexBubbleSeries)

クラス

FlexBubbleSeries.

処理

[読み取り専用] この系列にレンダリングされる最大の項目の半径。

BubbleChart の BubbleSeries オブジェクトを使用する場合、グラフはその maxRadius スタイル値を、グラフ内のすべての系列のこのプロパティに自動的に割り当てます。 CartesianChart コントロールの BubbleSeries オブジェクトを使用する場合、このプロパティを手動で管理します。

構文

C#
protected Double maxRadius { get; }
VB
'Declaration
Protected Read Property maxRadius As Double

アクセス

読み取り専用。


MaxWidth プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。

構文

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

アクセス

読み取り専用。


MaxWidth プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。

構文

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

アクセス

読み取り専用。


MaxWidth プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。

構文

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

アクセス

読み取り専用。


MaxWidth プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。

構文

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

アクセス

読み取り専用。


MaxWidth プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最大推奨値。

構文

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

アクセス

読み取り専用。


MaxYear プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] コントロール内で選択可能な最後の年。

構文

C#
protected Integer maxYear { get; }
VB
'Declaration
Protected Read Property maxYear As Integer

アクセス

読み取り専用。


MaxYear プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] コントロール内で選択可能な最後の年。

構文

C#
protected Integer maxYear { get; }
VB
'Declaration
Protected Read Property maxYear As Integer

アクセス

読み取り専用。


MediaPlayerState プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオの現在の状態です。

構文

C#
protected String mediaPlayerState { get; }
VB
'Declaration
Protected Read Property mediaPlayerState As String

アクセス

読み取り専用。


MinColumnWidth プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 列の最小幅（ピクセル単位）。

構文

C#
protected Double minColumnWidth { get; }
VB
'Declaration
Protected Read Property minColumnWidth As Double

アクセス

読み取り専用。


MinColumnWidth プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 列の最小幅（ピクセル単位）。 NaN ではない場合、DataGrid コントロールではこの値がすべての列の最小幅として適用されます。 それ以外の場合は、個々の列に最小幅を指定できます。 デフォルト値は NaN です。

構文

C#
protected Double minColumnWidth { get; }
VB
'Declaration
Protected Read Property minColumnWidth As Double

アクセス

読み取り専用。


MinField プロパティ (FlexAreaSeries)

クラス

FlexAreaSeries.

処理

[読み取り専用] 領域の下部の境界を決定する dataProvider のフィールド。

null (Visual Basic では Nothing) の場合、領域は範囲の最小値（フィールド値が負の場合は最大値）に基づきます。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String minField { get; }
VB
'Declaration
Protected Read Property minField As String

アクセス

読み取り専用。


MinField プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] 各横棒の下部を決定する データ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、縦棒は範囲の最小値（フィールド値が負の場合は最大値）に基づきます。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String minField { get; }
VB
'Declaration
Protected Read Property minField As String

アクセス

読み取り専用。


MinField プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] 縦棒下端の y 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、縦棒は範囲の最小値（フィールド値が負の場合は最大値）に基づきます。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String minField { get; }
VB
'Declaration
Protected Read Property minField As String

アクセス

読み取り専用。


MinHeight プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。

構文

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

アクセス

読み取り専用。


MinHeight プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。

構文

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

アクセス

読み取り専用。


MinHeight プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。

構文

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

アクセス

読み取り専用。


MinHeight プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの高さの最小推奨値。

構文

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

アクセス

読み取り専用。


Minimizable プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウを最小化できるかどうかを示す値。

構文

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

アクセス

読み取り専用。


Minimizable プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウを最小化できるかどうかを示す値。

構文

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

アクセス

読み取り専用。


Minimizable プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウを最小化できるかどうかを示す値。

構文

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

アクセス

読み取り専用。


Minimizable プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウを最小化できるかどうかを示す値。

構文

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

アクセス

読み取り専用。


Minimum プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] NumericStepper の最小値。

小数値を含む任意の数値を最小値として指定できます。 デフォルト値は 0 です。

構文

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] ProgressBar の最小進捗量を示す値。 このプロパティは、開発者が手動モードでのみ設定します。

デフォルト値は 0 です。

構文

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダー コントロールに対して許可された最小値。 デフォルト値は 0 です。

構文

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (SparkRange)

クラス

SparkRange.

処理

[読み取り専用] 有効な最小値。

構文

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

アクセス

読み取り専用。


MinorTickLength プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸上の小さな目盛りの長さ（ピクセル単位）。 デフォルト値は 0 です。

構文

C#
protected Double minorTickLength { get; }
VB
'Declaration
Protected Read Property minorTickLength As Double

アクセス

読み取り専用。


MinorTickPlacement プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 小さな目盛りを描画する場所を示す値。 有効な値は、inside、outside、cross、および none です。

構文

C#
protected String minorTickPlacement { get; }
VB
'Declaration
Protected Read Property minorTickPlacement As String

アクセス

読み取り専用。


MinorTicks プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸に沿った小さな目盛りの描画位置を指定する配列。 各配列要素には、0 から 1 までの値が含まれています。

構文

C#
protected List(Of Double) minorTicks { get; }
VB
'Declaration
Protected Read Property minorTicks As List(Of Double)

アクセス

読み取り専用。


MinWidth プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。

構文

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

アクセス

読み取り専用。


MinWidth プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。

構文

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

アクセス

読み取り専用。


MinWidth プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。

構文

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

アクセス

読み取り専用。


MinWidth プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] 親がレイアウトを計算するために使用されるコンポーネントの幅の最小推奨値。

構文

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

アクセス

読み取り専用。


MinYear プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] コントロール内で選択可能な最初の年。

構文

C#
protected Integer minYear { get; }
VB
'Declaration
Protected Read Property minYear As Integer

アクセス

読み取り専用。


MinYear プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] コントロール内で選択可能な最初の年。

構文

C#
protected Integer minYear { get; }
VB
'Declaration
Protected Read Property minYear As Integer

アクセス

読み取り専用。


MouseEnabled プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] このオブジェクトがマウス メッセージを受け取るかどうか。 デフォルト値は true であり、これは表示リスト上の InteractiveObject インスタンスがデフォルトでマウス イベントを受け取ることを意味します。 mouseEnabled を false に設定すると、インスタンスでは、マウス イベントを一切受け取りません。 表示リスト上のこのインスタンスの子は影響を受けません。 表示リスト上のオブジェクトのすべての子に関する mouseEnabled 動作を変更するには、flash.display.DisplayObjectContainer.mouseChildren を使用します。

このプロパティを設定すると、イベントはディスパッチされなくなります。 インタラクティブな機能を作成するには、addEventListener メソッドを使用する必要があります。

構文

C#
protected Boolean mouseEnabled { get; }
VB
'Declaration
Protected Read Property mouseEnabled As Boolean

アクセス

読み取り専用。


MouseEnabledWhereTransparent プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] Group の境界全体が、クリックやロール オーバーなどのマウス　イベントに応答するかどうかを示す値。

構文

C#
protected Boolean mouseEnabledWhereTransparent { get; }
VB
'Declaration
Protected Read Property mouseEnabledWhereTransparent As Boolean

アクセス

読み取り専用。


MouseScroll メソッド (FlexContainer)

クラス

FlexContainer.

処理

InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。

ターゲットがテキスト フィールドの場合、デフォルトの動作ではテキストがスクロールします。 Microsoft Windows OS でのみ利用可能です。

mouseWheel イベント オブジェクトの type プロパティの値を定義します。

構文

C#
container.MouseScroll([delta])
VB
container.MouseScroll([delta])
変数 | 説明
delta | 省略可能: マウス ホイール上の各ノッチが表す行の数。 Integer。


MouseScroll メソッド (FlexScrollBase)

クラス

FlexScrollBase.

処理

InteractiveObject インスタンス上でマウス ホイールが回されたときにディスパッチされます。

ターゲットがテキスト フィールドの場合、デフォルトの動作ではテキストがスクロールします。 Microsoft Windows OS でのみ利用可能です。

mouseWheel イベント オブジェクトの type プロパティの値を定義します。

構文

C#
scrollBase.MouseScroll([delta])
VB
scrollBase.MouseScroll([delta])
変数 | 説明
delta | 省略可能: マウス ホイール上の各ノッチが表す行の数。 Integer。


MouseScroll メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。

構文

C#
groupBase.MouseScroll([delta])
VB
groupBase.MouseScroll([delta])
変数 | 説明
delta | 省略可能: スクロール量。 Integer。


MouseScroll メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。

構文

C#
richEditableText.MouseScroll([delta])
VB
richEditableText.MouseScroll([delta])
変数 | 説明
delta | 省略可能: スクロール量。 Integer。


MouseScroll メソッド (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

このコンテナー上のスクロール バーを動かすためにマウスが使用されたときにディスパッチされます。

構文

C#
skinnableTextBase.MouseScroll([delta])
VB
skinnableTextBase.MouseScroll([delta])
変数 | 説明
delta | 省略可能: スクロール量。 Integer。


MouseSensitivity プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] マウス ポインターをグラフ上で移動させたときに、データ ポイントがマウス ポインターの下にあると Flex で判断するための距離（ピクセル単位）。

Flex では、mouseSensitivity で指定したピクセル値の範囲内にあるデータ ポイントはすべてマウス ポインターの下にあるものと見なされます。 この値は findDataPoints メソッドでも使用されます。 デフォルト値は 5 です。

構文

C#
protected Integer mouseSensitivity { get; }
VB
'Declaration
Protected Read Property mouseSensitivity As Integer

アクセス

読み取り専用。


Move メソッド (FlexObject)

クラス

FlexObject.

処理

親のコンポーネント内の指定した位置にコンポーネントを移動します。 このメソッドを呼び出すことは、コンポーネントの x および y プロパティに値を設定することと同じです。

構文

C#
object.Move([x, y])
VB
object.Move([x, y])
変数 | 説明
x | 省略可能: 親コンポーネント内におけるコンポーネントの左端からの位置。 Integer。
y | 省略可能: 親コンポーネント内におけるコンポーネントの上端からの位置。 Integer。


Multiline プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 複数行のテキストを入力できるかどうか。

構文

C#
protected Boolean multiline { get; }
VB
'Declaration
Protected Read Property multiline As Boolean

アクセス

読み取り専用。


MultiSelect メソッド (FlexListBase)

クラス

FlexListBase.

処理

複数項目を選択するアクションの一部として項目が選択されたときにディスパッチされるイベントにおけるイベント オブジェクトの type プロパティの値を定義します。

構文

C#
listBase.MultiSelect(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.MultiSelect(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 項目の項目レンダラ オブジェクト。 String。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: コントロールのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


MuteChange メソッド (SparkMuteButton)

クラス

SparkMuteButton.

処理

コントロールのミュートを切り替えます。

構文

C#
muteButton.MuteChange()
VB
muteButton.MuteChange()


MuteChange メソッド (SparkVolumeBar)

クラス

SparkVolumeBar.

処理

ユーザーによる操作の結果としてミュートの状態が変更されたときにディスパッチされます。

構文

C#
volumeBar.MuteChange()
VB
volumeBar.MuteChange()


Muted プロパティ (SparkMuteButton)

クラス

SparkMuteButton.

処理

[読み取り専用] コントロールがミュートされているかどうか。

構文

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

アクセス

読み取り専用。


Muted プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオをミュートするかどうかを指定します。

構文

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

アクセス

読み取り専用。


Muted プロパティ (SparkVideoPlayer)

クラス

SparkVideoPlayer.

処理

[読み取り専用] コントロールがミュートされているかどうか。

構文

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

アクセス

読み取り専用。


Muted プロパティ (SparkVolumeBar)

クラス

SparkVolumeBar.

処理

[読み取り専用] コントロールがミュートされているかどうか。

構文

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

アクセス

読み取り専用。


NameField プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] PieChart コントロールの各区分の名前を決定するデータ プロバイダーのフィールド。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String nameField { get; }
VB
'Declaration
Protected Read Property nameField As String

アクセス

読み取り専用。


NextValue プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] value プロパティの現在値の 1 つ後の値。maximum プロパティの値より大きくなることはありません。

構文

C#
protected Double nextValue { get; }
VB
'Declaration
Protected Read Property nextValue As Double

アクセス

読み取り専用。


NumAutomationChildren プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] このコンテナーに含まれるオートメーションの子の数。

この合計には、オートメーション階層で重要でない子は含まれますが、組み合わされた子が含まれることはありません。

構文

C#
protected Integer numAutomationChildren { get; }
VB
'Declaration
Protected Read Property numAutomationChildren As Integer

アクセス

読み取り専用。


NumAutomationChildren プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] このコンテナーに含まれるオートメーションの子の数。

構文

C#
protected Integer numAutomationChildren { get; }
VB
'Declaration
Protected Read Property numAutomationChildren As Integer

アクセス

読み取り専用。


NumChildren プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] このコンテナーに含まれる子コンポーネントの数。

構文

C#
protected Integer numChildren { get; }
VB
'Declaration
Protected Read Property numChildren As Integer

アクセス

読み取り専用。


NumChildren プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] このオブジェクトの子の数。

構文

C#
protected Integer numChildren { get; }
VB
'Declaration
Protected Read Property numChildren As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumColumns プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 利用可能なデータ中の列の合計数。

構文

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

アクセス

読み取り専用。


NumElements プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] このコンテナーに含まれるビジュアル要素の数。

構文

C#
protected Integer numElements { get; }
VB
'Declaration
Protected Read Property numElements As Integer

アクセス

読み取り専用。


NumElements プロパティ (SparkSkinnableContainer)

クラス

SparkSkinnableContainer.

処理

[読み取り専用] このコンテナーに含まれるビジュアル要素の数。

構文

C#
protected Integer numElements { get; }
VB
'Declaration
Protected Read Property numElements As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexContainer)

クラス

FlexContainer.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (SparkSkinnableContainerBase)

クラス

SparkSkinnableContainerBase.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


NumRows プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 利用可能なデータ中の行の合計数。

構文

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

アクセス

読み取り専用。


Offset プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] 使用可能な領域の中心から横棒の中心をずらす度合い（カテゴリの幅に対する割合）。

値の範囲は -100 ? 100 のパーセンテージです。 領域の中心に棒を配置するには 0 に設定します。 このプロパティの値を -50 に設定すると、縦棒は使用可能な領域の開始位置の中央に配置されます。 通常はこのプロパティを直接設定することはありません。

デフォルト値は 0 です。

構文

C#
protected Double offset { get; }
VB
'Declaration
Protected Read Property offset As Double

アクセス

読み取り専用。


Offset プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] 使用可能な領域の中心から縦棒の中心をずらす度合い（カテゴリの幅に対する割合）。

デフォルト値の 0 では、縦棒は領域の中央に配置されます。 このプロパティの値を -50 に設定すると、縦棒は使用可能な領域の開始位置の中央に配置されます。 通常はこのプロパティを直接設定することはありません。 この値は、ColumnChart コントロールが columnWidthRatio プロパティに基づいて管理します。

構文

C#
protected Double offset { get; }
VB
'Declaration
Protected Read Property offset As Double

アクセス

読み取り専用。


OpenDuration プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] ナビゲーション ツリーの開いた状態や閉じた状態への遷移にかかる時間の長さ（ミリ秒単位）。 デフォルト値は 250 です。

構文

C#
protected Integer openDuration { get; }
VB
'Declaration
Protected Read Property openDuration As Integer

アクセス

読み取り専用。


Open メソッド (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

AdvancedDataGrid の分岐を開くまたは展開します。

構文

C#
advancedDataGrid.Open(itemRenderer, [triggerEvent])
VB
advancedDataGrid.Open(itemRenderer, [triggerEvent])
変数 | 説明
itemRenderer | 開く項目（ノード）の ListItemRenderer。 String。
triggerEvent | 省略可能: 項目（ノード）がユーザーとの対話によって開かれた場合、キーボードによるものかマウスによるものかを識別します。 FlexTriggerEvent。


Open メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

open イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
comboBase.Open([triggerEvent])
VB
comboBase.Open([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがトリガーされた入力アクションの種類を示す値。 FlexTriggerEvent。


Open メソッド (FlexPopUpButton)

クラス

FlexPopUpButton.

処理

指定した UIComponent が開くときにディスパッチされます。

DropdownEvent.OPEN 定数は、open イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
popUpButton.Open([triggerEvent])
VB
popUpButton.Open([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがトリガーされた入力アクションの種類を示す値。 FlexTriggerEvent。


Open メソッド (FlexTree)

クラス

FlexTree.

処理

ツリーの分岐を開くまたは展開します。

構文

C#
tree.Open(itemRenderer, [triggerEvent])
VB
tree.Open(itemRenderer, [triggerEvent])
変数 | 説明
itemRenderer | 開く項目（ノード）の ListItemRenderer。 String。
triggerEvent | 省略可能: 項目（ノード）がユーザーとの対話によって開かれた場合、キーボードによるものかマウスによるものかを識別します。 FlexTriggerEvent。


Open メソッド (SparkDropDownListBase)

クラス

SparkDropDownListBase.

処理

ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。

構文

C#
dropDownListBase.Open([triggerEvent])
VB
dropDownListBase.Open([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。


Open メソッド (SparkVolumeBar)

クラス

SparkVolumeBar.

処理

ユーザーがドロップダウン リストを表示するためにドロップダウン ボタンをクリックするときにディスパッチされます。

構文

C#
volumeBar.Open([triggerEvent])
VB
volumeBar.Open([triggerEvent])
変数 | 説明
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。


OuterRadius プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] 領域全体のうち PieSeries が系列の内容をレンダリングする場合に使用可能な領域の割合。

この値はグラフによって管理されるため、直接割り当てないでください。 この値の範囲は 0 から 1 です。

構文

C#
protected Double outerRadius { get; }
VB
'Declaration
Protected Read Property outerRadius As Double

アクセス

読み取り専用。


PaddingBottom プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] コンテナーの下境界線とコンテンツ領域との間にあるピクセル数。

デフォルト値は -1 で、この場合、最後のヘッダーの下境界線が、Accordion コンテナーの下境界線と重なります。

構文

C#
protected Double paddingBottom { get; }
VB
'Declaration
Protected Read Property paddingBottom As Double

アクセス

読み取り専用。


PaddingBottom プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 行の下端と行内のレンダラの下端との間のピクセル数。

構文

C#
protected Integer paddingBottom { get; }
VB
'Declaration
Protected Read Property paddingBottom As Integer

アクセス

読み取り専用。


PaddingBottom プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフの下境界線とコンテンツ領域との間にあるピクセル数。

構文

C#
protected Integer paddingBottom { get; }
VB
'Declaration
Protected Read Property paddingBottom As Integer

アクセス

読み取り専用。


PaddingLeft プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。

構文

C#
protected Integer paddingLeft { get; }
VB
'Declaration
Protected Read Property paddingLeft As Integer

アクセス

読み取り専用。


PaddingLeft プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。

構文

C#
protected Integer paddingLeft { get; }
VB
'Declaration
Protected Read Property paddingLeft As Integer

アクセス

読み取り専用。


PaddingLeft プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] コントロールの左境界線とコンテンツ領域の左端との間にあるピクセル数。 デフォルト値は 2 です。

構文

C#
protected Integer paddingLeft { get; }
VB
'Declaration
Protected Read Property paddingLeft As Integer

アクセス

読み取り専用。


PaddingRight プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。

構文

C#
protected Integer paddingRight { get; }
VB
'Declaration
Protected Read Property paddingRight As Integer

アクセス

読み取り専用。


PaddingRight プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。

構文

C#
protected Integer paddingRight { get; }
VB
'Declaration
Protected Read Property paddingRight As Integer

アクセス

読み取り専用。


PaddingRight プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] コントロールの右境界線とコンテンツ領域の右端との間にあるピクセル数。 デフォルト値は 0 です。

構文

C#
protected Integer paddingRight { get; }
VB
'Declaration
Protected Read Property paddingRight As Integer

アクセス

読み取り専用。


PaddingTop プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] コンテナーの上境界線とコンテンツ領域との間にあるピクセル数。

デフォルト値は -1 で、この場合、最初のヘッダーの上境界線が、Accordion コンテナーの上境界線と重なります。

構文

C#
protected Double paddingTop { get; }
VB
'Declaration
Protected Read Property paddingTop As Double

アクセス

読み取り専用。


PaddingTop プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 行の上端と行内のレンダラの上端との間のピクセル数。

構文

C#
protected Integer paddingTop { get; }
VB
'Declaration
Protected Read Property paddingTop As Integer

アクセス

読み取り専用。


PaddingTop プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフの上境界線とコンテンツ領域との間にあるピクセル数。

構文

C#
protected Integer paddingTop { get; }
VB
'Declaration
Protected Read Property paddingTop As Integer

アクセス

読み取り専用。


PageScrollSize プロパティ (FlexScrollBar)

クラス

FlexScrollBar.

処理

[読み取り専用] スクロール バーのトラックが押されたときのスクロール サムの移動量（ピクセル単位）。 デフォルト値は 0 です。

構文

C#
protected Double pageScrollSize { get; }
VB
'Declaration
Protected Read Property pageScrollSize As Double

アクセス

読み取り専用。


PageSize プロパティ (SparkScrollBar)

クラス

SparkScrollBar.

処理

[読み取り専用] changeValueByPage() メソッドを呼び出したときに value プロパティの値における変更。

構文

C#
protected Double pageSize { get; }
VB
'Declaration
Protected Read Property pageSize As Double

アクセス

読み取り専用。


PauseWhenHidden プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオが非表示になっても再生を続行するかどうかを制御します。

構文

C#
protected Boolean pauseWhenHidden { get; }
VB
'Declaration
Protected Read Property pauseWhenHidden As Boolean

アクセス

読み取り専用。


PercentComplete プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 完了した処理のパーセンテージ。 0 から 100 の範囲の値です。

構文

C#
protected Double percentComplete { get; }
VB
'Declaration
Protected Read Property percentComplete As Double

アクセス

読み取り専用。


PercentHeight プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。

指定できる値は 0 から 100 です。 デフォルト値は NaN です。 height または explicitHeight プロパティを設定すると、このプロパティは NaN にリセットされます。

このプロパティは、前に設定されている場合にのみ数値を返します。コンポーネントの正確なサイズをパーセンテージで示しているわけではありません。

UITextField コントロールに対しては、このプロパティは常に NaN に設定されます。

構文

C#
protected Double percentHeight { get; }
VB
'Declaration
Protected Read Property percentHeight As Double

アクセス

読み取り専用。


PercentHeight プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントの高さを親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。

構文

C#
protected Double percentHeight { get; }
VB
'Declaration
Protected Read Property percentHeight As Double

アクセス

読み取り専用。


PercentWidth プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 指定できる値は 0 から 100 です。 デフォルト値は NaN です。 width または explicitWidth プロパティを設定すると、このプロパティは NaN にリセットされます。

このプロパティは、前に設定されている場合にのみ数値を返します。コンポーネントの正確なサイズをパーセンテージで示しているわけではありません。

UITextField コントロールに対しては、このプロパティは常に NaN に設定されます。

構文

C#
protected Double percentWidth { get; }
VB
'Declaration
Protected Read Property percentWidth As Double

アクセス

読み取り専用。


PercentWidth プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントの幅を親のサイズに対する比率（パーセンテージ）で指定する数値。 有効な値は 0 から 100 です。

構文

C#
protected Double percentWidth { get; }
VB
'Declaration
Protected Read Property percentWidth As Double

アクセス

読み取り専用。


Placement プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] グラフで axisRenderer が表示される側。

構文

C#
protected String placement { get; }
VB
'Declaration
Protected Read Property placement As String

アクセス

読み取り専用。


Playing プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオが再生中である場合、または再生試行中であるかどうか。

構文

C#
protected Boolean playing { get; }
VB
'Declaration
Protected Read Property playing As Boolean

アクセス

読み取り専用。


Playing プロパティ (SparkVideoPlayer)

クラス

SparkVideoPlayer.

処理

[読み取り専用] ビデオが再生中である場合、または再生試行中であるかどうか。

構文

C#
protected Boolean playing { get; }
VB
'Declaration
Protected Read Property playing As Boolean

アクセス

読み取り専用。


PopUpHeightMatchesAnchorHeight プロパティ (SparkPopUpAnchor)

クラス

SparkPopUpAnchor.

処理

[読み取り専用] ポップアップ コントロールの高さが PopUpAnchor の高さと同じ値に設定されるかどうかを指定します。

構文

C#
protected Boolean popUpHeightMatchesAnchorHeight { get; }
VB
'Declaration
Protected Read Property popUpHeightMatchesAnchorHeight As Boolean

アクセス

読み取り専用。


PopUpPosition プロパティ (SparkPopUpAnchor)

クラス

SparkPopUpAnchor.

処理

[読み取り専用] ポップアップ コントロールが開かれるときの、PopUpAnchor コンポーネントに対する相対的な位置です。

構文

C#
protected String popUpPosition { get; }
VB
'Declaration
Protected Read Property popUpPosition As String

アクセス

読み取り専用。


PopUpWidthMatchesAnchorWidth プロパティ (SparkPopUpAnchor)

クラス

SparkPopUpAnchor.

処理

[読み取り専用] ポップアップ コントロールの幅が PopUpAnchor の幅と同じ値に設定されるかどうかを指定します。

構文

C#
protected Boolean popUpWidthMatchesAnchorWidth { get; }
VB
'Declaration
Protected Read Property popUpWidthMatchesAnchorWidth As Boolean

アクセス

読み取り専用。


PreliminaryHeight プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] イメージの境界が "measured" となるようレイアウトで要求されているものの、イメージ データのロードがまだ完了していない場合に、高さに使用する予測を示します。

構文

C#
protected Double preliminaryHeight { get; }
VB
'Declaration
Protected Read Property preliminaryHeight As Double

アクセス

読み取り専用。


PreliminaryWidth プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] イメージの境界が "measured" となるようレイアウトで要求されているものの、イメージ データのロードがまだ完了していない場合に、幅に使用する予測を示します。

構文

C#
protected Double preliminaryWidth { get; }
VB
'Declaration
Protected Read Property preliminaryWidth As Double

アクセス

読み取り専用。


Pressed メソッド (FlexDividedBox)

クラス

FlexDividedBox.

処理

ユーザーがこのコンテナーの分割線を押したときにディスパッチされます。

dividerPress イベントは dividerDrag イベントがディスパッチされる前にディスパッチされます。

構文

C#
dividedBox.Pressed(dividerIndex, delta)
VB
dividedBox.Pressed(dividerIndex, delta)
変数 | 説明
dividerIndex | ドラッグされる分割線の 0 を基準としたインデックス。 左端、または上端の分割線の dividerIndex が 0 になります。 Integer。
delta | 分割線がドラッグされたピクセル数。 正の数は右または下方向にドラッグされたことを意味し、負の数は左または上方向にドラッグされたことを意味します。 Double。


PreviousValue プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] value プロパティの現在値の 1 つ前の値。maximum プロパティの値より小さくなることはありません。

構文

C#
protected Double previousValue { get; }
VB
'Declaration
Protected Read Property previousValue As Double

アクセス

読み取り専用。


Prompt プロパティ (SparkDropDownList)

クラス

SparkDropDownList.

処理

[読み取り専用] DropDownList コントロールのプロンプト。

構文

C#
protected String prompt { get; }
VB
'Declaration
Protected Read Property prompt As String

アクセス

読み取り専用。


RadiusField プロパティ (FlexBubbleSeries)

クラス

FlexBubbleSeries.

処理

[読み取り専用] グラフ内の他のデータ ポイントを基準にして各シンボルの半径を決定するデータ プロバイダーのフィールド。

構文

C#
protected String radiusField { get; }
VB
'Declaration
Protected Read Property radiusField As String

アクセス

読み取り専用。


Radius プロパティ (FlexAreaSeries)

クラス

FlexAreaSeries.

処理

[読み取り専用] データ ポイントのグラフ要素の半径（ピクセル単位）。

このプロパティは、itemRenderer プロパティを指定した場合にのみ適用されます。

デフォルト値は 4 です。

構文

C#
protected Double radius { get; }
VB
'Declaration
Protected Read Property radius As Double

アクセス

読み取り専用。


Radius プロパティ (FlexLineSeries)

クラス

FlexLineSeries.

処理

[読み取り専用] データ ポイントのグラフ要素の半径（ピクセル単位）。

このプロパティは、itemRenderer プロパティ使用して項目レンダラを指定した場合にのみ適用されます。

デフォルト値は 4 です。

構文

C#
protected Double radius { get; }
VB
'Declaration
Protected Read Property radius As Double

アクセス

読み取り専用。


Radius プロパティ (FlexPlotSeries)

クラス

FlexPlotSeries.

処理

[読み取り専用] 半径のスタイル。

各データ ポイントのグラフ要素の半径をピクセル単位で指定します。 デフォルトでは、PlotChart コントロールによって各データ ポイントに円が描画されます。

デフォルト値は 4 です。

構文

C#
protected Double radius { get; }
VB
'Declaration
Protected Read Property radius As Double

アクセス

読み取り専用。


RecycleChildren プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] この Repeater が前に作成した子を再使用するのか、新しい子を作成するのかどうか。

true の場合、この Repeater の dataProvider、startingIndex または count が変更されると、新規データを既存の子にバインドすることにより、既存の子が再利用されます。 追加の子が必要な場合は、作成され、追加されます。 子が多すぎる場合には、余分な子が削除され、ガベージ コレクションが実行されます。

false の場合、この Repeater の dataProvider、startingIndex または count が変更されると、この Repeater は前に作成した子を削除し、新しいデータ項目から新たに子を作成して、追加します。

このプロパティのデフォルト値は false です。 true に設定するとパフォーマンスが向上しますが、この設定がどのような状況においても適切であるとは限りません。 例えば、前に作成した子がユーザー入力のテキストなどの状態情報を持っている場合、この状態は子が再使用されたときにリセットされません。

構文

C#
protected Boolean recycleChildren { get; }
VB
'Declaration
Protected Read Property recycleChildren As Boolean

アクセス

読み取り専用。


Released メソッド (FlexDividedBox)

クラス

FlexDividedBox.

処理

ユーザーが分割線を離したときにディスパッチされます。

dividerRelease イベントは、dividerDrag イベントの後、ただしコンテナーの子のサイズが変更される前にディスパッチされます。 分割線の x と y プロパティはこのイベントがトリガーされた後まで更新されません。 つまり、hDividerBox.getDividerAt(0).x の呼び出しは、最初の分割線の元の x 座標の値を返します。 移動した後の分割線の座標が必要な場合は、DividerBox の updateComplete イベントがトリガーされたときにアクセスできます。

構文

C#
dividedBox.Released(dividerIndex, delta)
VB
dividedBox.Released(dividerIndex, delta)
変数 | 説明
dividerIndex | ドラッグされる分割線の 0 を基準としたインデックス。 左端、または上端の分割線の dividerIndex が 0 になります。 Integer。
delta | 分割線がドラッグされたピクセル数。 正の数は右または下方向にドラッグされたことを意味し、負の数は左または上方向にドラッグされたことを意味します。 Double。


Required プロパティ (SparkFormItem)

クラス

SparkFormItem.

処理

[読み取り専用] FormItem がフォームを送信する値を持たなければならないかどうか。

構文

C#
protected Boolean required { get; }
VB
'Declaration
Protected Read Property required As Boolean

アクセス

読み取り専用。


RequireSelection プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] コントロール内でデータ項目が常に選択されている必要があるかどうか。

構文

C#
protected Boolean requireSelection { get; }
VB
'Declaration
Protected Read Property requireSelection As Boolean

アクセス

読み取り専用。


ResizableColumns プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 列のサイズをユーザーが変更できるかどうか。

true の場合、ユーザーはヘッダー セル間のグリッド線をドラッグすることで DataGrid コントロールの列を拡大または縮小できます。 false の場合、ユーザーによる特定の列のサイズ変更を防ぐには、個々の列の resizeable プロパティを false に設定する必要もあります。 デフォルト値は true です。

構文

C#
protected Boolean resizableColumns { get; }
VB
'Declaration
Protected Read Property resizableColumns As Boolean

アクセス

読み取り専用。


ResizableColumns プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 列のサイズをユーザーが変更できるかどうか。

true の場合、ユーザーはヘッダー セル間のグリッド線をドラッグすることで DataGrid コントロールの列を拡大または縮小できます。 false の場合、ユーザーによる特定の列のサイズ変更を防ぐには、個々の列の resizeable プロパティを false に設定する必要もあります。

デフォルト値は true です。

構文

C#
protected Boolean resizableColumns { get; }
VB
'Declaration
Protected Read Property resizableColumns As Boolean

アクセス

読み取り専用。


Resizable プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウをサイズ変更できるかどうかを示す値。

構文

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

アクセス

読み取り専用。


Resizable プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウをサイズ変更できるかどうかを示す値。

構文

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

アクセス

読み取り専用。


Resizable プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウをサイズ変更できるかどうかを示す値。

構文

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

アクセス

読み取り専用。


Resizable プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウをサイズ変更できるかどうかを示す値。

構文

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

アクセス

読み取り専用。


ResizeMode プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] このコンテナーの ResizeMode。

構文

C#
protected String resizeMode { get; }
VB
'Declaration
Protected Read Property resizeMode As String

アクセス

読み取り専用。


ResizeToContent プロパティ (FlexDividedBox)

クラス

FlexDividedBox.

処理

[読み取り専用] DividedBox が自動的に子のサイズに変更されるかどうか。

true の場合、DividedBox は自動的に子のサイズに変更されます。 デフォルト値は false です。

構文

C#
protected Boolean resizeToContent { get; }
VB
'Declaration
Protected Read Property resizeToContent As Boolean

アクセス

読み取り専用。


Restrict プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] ユーザーがテキスト フィールドに入力できる文字、または入力できない文字のセット。

構文

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

アクセス

読み取り専用。


Restrict プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] ユーザーがコントロールに入力できる文字のセット。

構文

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

アクセス

読み取り専用。


Restrict プロパティ (SparkComboBox)

クラス

SparkComboBox.

処理

[読み取り専用] ユーザーがプロンプト領域に入力できる文字のセット。

構文

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

アクセス

読み取り専用。


Restrict プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] ユーザーがテキスト フィールドに入力できる文字のセット。

構文

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

アクセス

読み取り専用。


Restrict プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] ユーザーがテキスト フィールドに入力できる文字のセット。

構文

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

アクセス

読み取り専用。


RollOverColor プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] ドロップダウン リストの rollOverColor。

構文

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

アクセス

読み取り専用。


RollOverColor プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロール内の日付にマウス ポインターを合わせたときの日付のハイライト領域の色。 デフォルト値は 0xE3FFD6 です。

構文

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

アクセス

読み取り専用。


RollOverColor プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロール内の日付にマウス ポインターを合わせたときの日付のハイライト領域の色。 デフォルト値は 0xE3FFD6 です。

構文

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

アクセス

読み取り専用。


RollOverColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] ユーザーがレンダラの上にマウスを置いたときのレンダラの背景色。 デフォルト値は 0xEEFEE6 です。

構文

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

アクセス

読み取り専用。


RollOverColor プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目の背景色。 デフォルト値は 0xB2E1FF です。

構文

C#
protected List(Of Color) rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As List(Of Color)

アクセス

読み取り専用。


RollOverColor プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目の背景色。

構文

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

アクセス

読み取り専用。


RowCount プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 表示する行の数。

コンポーネントの高さが明示的に設定されている場合、このプロパティは無効になることがあります。

DataGrid コントロールの場合、rowCount プロパティにはヘッダー行が含まれます。 したがって、本文が 3 行とヘッダー行が 1 行含まれる DataGrid コントロールの場合、rowCount プロパティは 4 になります。

デフォルト値は 4 です。

構文

C#
protected Integer rowCount { get; }
VB
'Declaration
Protected Read Property rowCount As Integer

アクセス

読み取り専用。


RowCount プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] 表示する行の数。

構文

C#
protected Integer rowCount { get; }
VB
'Declaration
Protected Read Property rowCount As Integer

アクセス

読み取り専用。


RowHeight プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 行の高さ（ピクセル単位）。

variableRowHeight プロパティが true でない場合は、すべての行が同じ高さになります。 このプロパティを指定しない場合、行の高さはレンダラのフォント サイズ、およびその他のプロパティに基づきます。

構文

C#
protected Double rowHeight { get; }
VB
'Declaration
Protected Read Property rowHeight As Double

アクセス

読み取り専用。


RowHeight プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 行の高さ。

構文

C#
protected Double rowHeight { get; }
VB
'Declaration
Protected Read Property rowHeight As Double

アクセス

読み取り専用。


ScaleGridBottom プロパティ (SparkGroup)

クラス

SparkGroup.

処理

[読み取り専用] スケール グリッドの下座標。

構文

C#
protected Double scaleGridBottom { get; }
VB
'Declaration
Protected Read Property scaleGridBottom As Double

アクセス

読み取り専用。


ScaleGridLeft プロパティ (SparkGroup)

クラス

SparkGroup.

処理

[読み取り専用] スケール グリッドの左座標。

構文

C#
protected Double scaleGridLeft { get; }
VB
'Declaration
Protected Read Property scaleGridLeft As Double

アクセス

読み取り専用。


ScaleGridRight プロパティ (SparkGroup)

クラス

SparkGroup.

処理

[読み取り専用] スケール グリッドの右座標。

構文

C#
protected Double scaleGridRight { get; }
VB
'Declaration
Protected Read Property scaleGridRight As Double

アクセス

読み取り専用。


ScaleGridTop プロパティ (SparkGroup)

クラス

SparkGroup.

処理

[読み取り専用] スケール グリッドの上座標。

構文

C#
protected Double scaleGridTop { get; }
VB
'Declaration
Protected Read Property scaleGridTop As Double

アクセス

読み取り専用。


ScaleMode プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] fillMode が BitmapFillMode.SCALE. に設定されている場合にイメージを伸縮する方法を指定します。

構文

C#
protected String scaleMode { get; }
VB
'Declaration
Protected Read Property scaleMode As String

アクセス

読み取り専用。


ScaleMode プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ビデオ コンテンツの様々なサイズ変更の方法を示します。

構文

C#
protected String scaleMode { get; }
VB
'Declaration
Protected Read Property scaleMode As String

アクセス

読み取り専用。


ScaleX プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] 水平方向の倍率を指定する係数。

デフォルト値は 1.0 で、オブジェクトは拡大/縮小されないことを意味します。 scaleX が 2.0 とは、オブジェクトが 2 倍に拡大されていることを意味し、scaleX が 0.5 とは、オブジェクトが 1/2 に縮小されていることを意味します。

0.0 は無効な値です。 コンポーネントを非表示にしたい場合には、 0.0 に設定するのではなく、小さい値に設定するか、または visible プロパティを false に設定します。

デフォルト値は 1.0 です。

このプロパティはデータ バインディングのソースとして使用できます。 このプロパティを変更すると、 scaleXChanged イベントがディスパッチされます。

構文

C#
protected Double scaleX { get; }
VB
'Declaration
Protected Read Property scaleX As Double

アクセス

読み取り専用。


ScaleX プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] 基準点から適用されるオブジェクトの水平倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。

構文

C#
protected Double scaleX { get; }
VB
'Declaration
Protected Read Property scaleX As Double

アクセス

読み取り専用。


ScaleY プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] 垂直方向の倍率を指定する係数。

デフォルト値は 1.0 で、オブジェクトは拡大/縮小されないことを意味します。 scaleY が 2.0 とは、オブジェクトが 2 倍に拡大されていることを意味し、scaleY が 0.5 とは、オブジェクトが 1/2 に縮小されていることを意味します。

0.0 は無効な値です。 コンポーネントを非表示にしたい場合には、 0.0 に設定するのではなく、小さい値に設定するか、または visible プロパティを false に設定します。

デフォルト値は 1.0 です。

このプロパティはデータ バインディングのソースとして使用できます。 このプロパティを変更すると、 scaleYChanged イベントがディスパッチされます。

構文

C#
protected Double scaleY { get; }
VB
'Declaration
Protected Read Property scaleY As Double

アクセス

読み取り専用。


ScaleY プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] オブジェクトの基準点から適用されるオブジェクトの垂直倍率（パーセンテージ）。 デフォルトの基準点は (0,0) です。 1.0 は 100% の倍率です。

構文

C#
protected Double scaleY { get; }
VB
'Declaration
Protected Read Property scaleY As Double

アクセス

読み取り専用。


ScrollDate メソッド (FlexDateChooser)

クラス

FlexDateChooser.

処理

DateChooserEvent.SCROLL 定数は、scrollevent イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
dateChooser.ScrollDate(detail)
VB
dateChooser.ScrollDate(detail)
変数 | 説明
detail | スクロールの方向。 FlexDateScrollDetail。


ScrollDate メソッド (FlexDateField)

クラス

FlexDateField.

処理

DateChooserEvent.SCROLL 定数は、scrollevent イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
dateField.ScrollDate(detail)
VB
dateField.ScrollDate(detail)
変数 | 説明
detail | スクロールの方向。 FlexDateScrollDetail。


Scroll メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

scroll イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
comboBase.Scroll(position, direction, detail)
VB
comboBase.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | スクロールの方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の種類。 有効な値の定数は ScrollEventDetail クラスで提供されます。 FlexScrollDetail。


Scroll メソッド (FlexContainer)

クラス

FlexContainer.

処理

ユーザーがコンテナーを手動でスクロールさせたときにディスパッチされます。

このイベントは、マウス（スクロール バーの下向きボタンをクリックしたときなど）またはキーボード（下矢印キーを押したときなど）を使用してスクロール位置が変更されたときにディスパッチされます。 ただし、このイベントは、スクロール位置がプログラムによって変更された場合はディスパッチされません（horizontalScrollPosition プロパティ値を設定した場合など）。 viewChanged イベントは、手動によるかプログラムによるかを問わず、スクロール位置が変更されるたびに発行されます。

このイベントがディスパッチされた時点では、スクロール バーは新しい位置に更新されていますが、コンテナーの子オブジェクトは新しいスクロール位置を反映するようにシフトしていません。

構文

C#
container.Scroll(position, direction, detail)
VB
container.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | スクロールの方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の種類。 有効な値の定数は ScrollEventDetail クラスで提供されます。 FlexScrollDetail。


Scroll メソッド (FlexListBase)

クラス

FlexListBase.

処理

scroll イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
listBase.Scroll(position, direction, detail)
VB
listBase.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | スクロールの方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の種類。 有効な値の定数は ScrollEventDetail クラスで提供されます。 FlexScrollDetail。


Scroll メソッド (FlexScrollBar)

クラス

FlexScrollBar.

処理

ScrollBar コントロールがユーザーによる動作やプログラムによってスクロールされた場合にディスパッチされます。

構文

C#
scrollBar.Scroll(position, direction, detail)
VB
scrollBar.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | スクロールの方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の種類。 有効な値の定数は ScrollEventDetail クラスで提供されます。 FlexScrollDetail。


Scroll メソッド (FlexTextArea)

クラス

FlexTextArea.

処理

scroll イベントのイベント オブジェクトの type プロパティの値を定義します。

構文

C#
textArea.Scroll(position, direction, detail)
VB
textArea.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | スクロールの方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の種類。 有効な値の定数は ScrollEventDetail クラスで提供されます。 FlexScrollDetail。


Scroll メソッド (SparkAirHTML)

クラス

SparkAirHTML.

処理

スクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。

構文

C#
airHTML.Scroll(position, direction, detail)
VB
airHTML.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | 動作の方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の詳細。 ほとんどのスクロール動作の場合は、この値は THUMB_TRACK などの一覧された定数のうちの 1 つです。 イベントがスクロール バーの上下左右への移動を示している場合には、この値は、"Line" または "Page" などの動作量や LEFT などの方向を示す定数を文字列結合したものになります。 FlexScrollDetail。


Scroll メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

コンテナーのスクロール イベントが発生したときにディスパッチされます。 このイベントは、スクロールがプログラムまたはユーザーによって行われた場合にディスパッチされます。

構文

C#
groupBase.Scroll(position, direction, detail)
VB
groupBase.Scroll(position, direction, detail)
変数 | 説明
position | 新しいスクロールの位置。 Integer。
direction | 動作の方向（ScrollEventDirection.HORIZONTAL または ScrollEventDirection.VERTICAL）。 FlexScrollDirection。
detail | スクロール動作の詳細。 ほとんどのスクロール動作の場合は、この値は THUMB_TRACK などの一覧された定数のうちの 1 つです。 イベントがスクロール バーの上下左右への移動を示している場合には、この値は、"Line" または "Page" などの動作量や LEFT などの方向を示す定数を文字列結合したものになります。 FlexScrollDetail。


ScrollPosition プロパティ (FlexScrollBar)

クラス

FlexScrollBar.

処理

[読み取り専用] 現在のスクロール位置を表す数値。

これは、minScrollPosition 以上、maxScrollPosition 以下の数値です。

デフォルト値は 0 です。

構文

C#
protected Double scrollPosition { get; }
VB
'Declaration
Protected Read Property scrollPosition As Double

アクセス

読み取り専用。


ScrollToIndex メソッド (FlexListBase)

クラス

FlexListBase.

処理

指定したインデックス位置にあるデータ プロバイダー項目を表示状態にします。

その項目が表示されている場合は、その項目が最初の表示項目ではなくても、verticalScrollPosition プロパティは変更されないままになります。 項目が現在表示されていない場合は、verticalScrollPosition プロパティが変更され、その項目が最初の表示項目になります。ただし、verticalScrollPosition 値は maxVerticalScrollPosition プロパティによって制限されているため、項目を最初の表示項目にするには行が足りない場合は除きます。

構文

C#
result = listBase.ScrollToIndex(index)
VB
result = listBase.ScrollToIndex(index)
変数 | 説明
result | Boolean。
index | データ プロバイダーの項目のインデックス。 Integer。


Selectable プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 選択された項目を選択状態でリストに表示するかどうか。

true の場合、そのコントロールは選択をサポートします。 ListBase のサブクラスである Menu クラスでは、選択したメニュー項目は選択状態で表示されないので、このプロパティはデフォルトで false に設定されます。

デフォルト値は true です。

構文

C#
protected Boolean selectable { get; }
VB
'Declaration
Protected Read Property selectable As Boolean

アクセス

読み取り専用。


Selectable プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。

構文

C#
protected Boolean selectable { get; }
VB
'Declaration
Protected Read Property selectable As Boolean

アクセス

読み取り専用。


Selectable プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] コンテンツをマウスで選択できるかどうか（また、コントロールにキーボード フォーカスがあるときはキーボードで選択できるかどうか）を示すフラグ。

構文

C#
protected Boolean selectable { get; }
VB
'Declaration
Protected Read Property selectable As Boolean

アクセス

読み取り専用。


SelectedCell プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されているセル。

構文

C#
protected String selectedCell { get; }
VB
'Declaration
Protected Read Property selectedCell As String

アクセス

読み取り専用。


SelectedCells プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 行インデックスおよび列インデックスとしてセル位置の配列。

selectionMode プロパティの値が変更されると、このプロパティは null (Visual Basic では Nothing) に設定されます。

構文

C#
protected String selectedCells { get; }
VB
'Declaration
Protected Read Property selectedCells As String

アクセス

読み取り専用。


SelectedCells プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されているセル。

構文

C#
protected List(Of String) selectedCells { get; }
VB
'Declaration
Protected Read Property selectedCells As List(Of String)

アクセス

読み取り専用。


SelectedChartItem プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフ内の選択された ChartItem。 複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を指定します。

構文

C#
protected Integer selectedChartItem { get; }
VB
'Declaration
Protected Read Property selectedChartItem As Integer

アクセス

読み取り専用。


SelectedChartItems プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフ内の選択されたすべての ChartItem オブジェクトの配列。

構文

C#
protected List(Of Integer) selectedChartItems { get; }
VB
'Declaration
Protected Read Property selectedChartItems As List(Of Integer)

アクセス

読み取り専用。


SelectedChild プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] 現在表示されている子コンテナーへの参照。

デフォルト値は、最初の子への参照です。 子が存在しない場合は、このプロパティは null (Visual Basic では Nothing) です。

メモ： このプロパティは ActionScript ステートメントでのみ設定できます。MXML では設定できません。

構文

C#
protected String selectedChild { get; }
VB
'Declaration
Protected Read Property selectedChild As String

アクセス

読み取り専用。


SelectedChild プロパティ (FlexViewStack)

クラス

FlexViewStack.

処理

[読み取り専用] 現在表示されている子コンテナーへの参照。

デフォルト値は、最初の子への参照です。 子が存在しない場合は、このプロパティは null (Visual Basic では Nothing) です。

構文

C#
protected String selectedChild { get; }
VB
'Declaration
Protected Read Property selectedChild As String

アクセス

読み取り専用。


SelectedColor プロパティ (FlexColorPicker)

クラス

FlexColorPicker.

処理

[読み取り専用] SwatchPanel オブジェクト内で現在選択されている色の値。

このプロパティは、"blue" などの標準文字列の色名に設定できます。 dataProvider に黒（0x000000）のエントリが含まれている場合は、デフォルト値は 0 です。それ以外の場合は、デフォルト値はデータ プロバイダーのインデックス 0 にある項目の色です。

構文

C#
protected Color selectedColor { get; }
VB
'Declaration
Protected Read Property selectedColor As Color

アクセス

読み取り専用。


SelectedDate プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールで選択された日付。

構文

C#
protected DateTime? selectedDate { get; }
VB
'Declaration
Protected Read Property selectedDate As DateTime?

アクセス

読み取り専用。


SelectedDate プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールで選択された日付。

構文

C#
protected DateTime? selectedDate { get; }
VB
'Declaration
Protected Read Property selectedDate As DateTime?

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] 現在表示されている子コンテナーの 0 を基準としたインデックス。

子インデックスは、0、1、2、...、n - 1 の範囲内であり、n は子の数です。

デフォルト値は 0 で、これは最初の子に対応します。 子が存在しない場合は、このプロパティは -1 です。

構文

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] データ プロバイダーのデータ内で選択された項目のインデックス。

複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を参照します。

構文

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] データ プロバイダー内で選択された項目のインデックス。

prompt プロパティが存在する場合は、selectedIndex の値を -1 に設定してプロンプトを表示できます。 prompt プロパティが存在しない場合、selectedIndex は、dataProvider が設定されていれば 0 に設定されます。

ComboBox コントロールが編集可能な場合は、ユーザーがテキスト フィールドにテキストを入力すると、selectedIndex プロパティは -1 になります。

設定後にただちに有効にはならない他の多くの Flex プロパティとは異なり、selectedIndex プロパティと selectedItem プロパティは同期しているので、一方のプロパティを設定すると、もう一方のプロパティもただちに影響を受けます。

デフォルト値は -1 です。

構文

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ プロバイダー内で選択された項目のインデックス。

デフォルト値は -1 です（選択項目なし）。

構文

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] データ プロバイダー内で選択された項目のインデックス。

構文

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] 現在開いている Menu、または現在開いている Menu がない場合は最後に開いていた Menu の MenuBar コントロールのインデックス。

構文

C#
protected Double selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Double

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexNavigationBar)

クラス

FlexNavigationBar.

処理

[読み取り専用] アクティブなナビゲーション項目のインデックス。最初の項目のインデックスは 0 です。 デフォルト値は -1 です。

構文

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (FlexViewStack)

クラス

FlexViewStack.

処理

[読み取り専用] 現在表示されている子コンテナーの 0 を基準としたインデックス。

子インデックスは、0、1、2、...、n - 1 の範囲内であり、n は子の数です。 デフォルト値は 0 で、これは最初の子に対応します。 子が存在しない場合は、このプロパティの値は -1 です。

メモ： ViewStack コンテナーに新しい子を追加すると、選択した子がそのまま選択されるよう、selectedIndex プロパティが必要に応じて自動的に調整されます。

構文

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されている行のインデックス。

構文

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] 選択された項目の 0 を基準としたインデックス。項目が選択されていない場合は -1 です。

構文

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

アクセス

読み取り専用。


SelectedIndices プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] データ プロバイダーのデータ内で選択された項目のインデックスの配列。

構文

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedIndices プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ プロバイダーで選択された項目のインデックスの配列。

この項目はユーザーが項目を選択した順番と逆の順番に並びます。

デフォルト値は [ ] です。

構文

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedIndices プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されている行のインデックス。

構文

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedIndices プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] 現在選択されている項目のインデックスを表すリスト。

構文

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedItem プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 系列内で選択されたグラフ項目。

複数の項目が選択されている場合、このプロパティは最も新しく選択された項目を参照します。

構文

C#
protected Integer selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As Integer

アクセス

読み取り専用。


SelectedItem プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ プロバイダー内で選択された項目への参照。

デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As String

アクセス

読み取り専用。


SelectedItem プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されている行の項目。

構文

C#
protected String selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As String

アクセス

読み取り専用。


SelectedItem プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] 現在選択されている項目。

構文

C#
protected String selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As String

アクセス

読み取り専用。


SelectedItems プロパティ (FlexChartSeries)

クラス

FlexChartSeries.

処理

[読み取り専用] 系列内で選択されたグラフ項目の配列。

構文

C#
protected List(Of Integer) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of Integer)

アクセス

読み取り専用。


SelectedItems プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] データ プロバイダーで選択された項目への参照の配列。

この項目はユーザーが項目を選択した順番と逆の順番に並びます。

デフォルト値は [ ] です。

構文

C#
protected List(Of String) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of String)

アクセス

読み取り専用。


SelectedItems プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されている行の項目。

構文

C#
protected List(Of String) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of String)

アクセス

読み取り専用。


SelectedItems プロパティ (SparkList)

クラス

SparkList.

処理

[読み取り専用] 現在選択されている項目を表すオブジェクトのリスト。

構文

C#
protected List(Of String) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of String)

アクセス

読み取り専用。


Selected プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] トグルボタンがオン（true）またはオフ（false）のどちらであるか。

このプロパティは、toggle プロパティが true に設定されている場合にのみ設定できます。

CheckBox コントロールの場合は、ボックスにチェック マークが表示されているかどうかを示します。 RadioButton コントロールの場合は、コントロールが選択されているかどうかを示します。

ユーザーはコントロールをクリックすることでこのプロパティを変更できますが、このプロパティはプログラムによって設定することも可能です。

旧バージョンでは、toggle プロパティが true に設定されている場合、このプロパティを変更すると、change イベントもディスパッチされました。 バージョン 3.0 からは、プログラムでこのプロパティを設定した場合は、valueCommit イベントのみがディスパッチされます。

デフォルト値は false です。

構文

C#
protected Boolean selected { get; }
VB
'Declaration
Protected Read Property selected As Boolean

アクセス

読み取り専用。


Selected プロパティ (SparkListLabel)

クラス

SparkListLabel.

処理

[読み取り専用] SparkListLabel が選択されているかどうか。

構文

C#
protected Boolean selected { get; }
VB
'Declaration
Protected Read Property selected As Boolean

アクセス

読み取り専用。


Selected プロパティ (SparkToggleButtonBase)

クラス

SparkToggleButtonBase.

処理

[読み取り専用] ボタンがダウン状態にあるかどうか。アップ状態の場合は false です。

構文

C#
protected Boolean selected { get; }
VB
'Declaration
Protected Read Property selected As Boolean

アクセス

読み取り専用。


SelectedRanges プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] 選択された日付の範囲。

構文

C#
protected List(Of String) selectedRanges { get; }
VB
'Declaration
Protected Read Property selectedRanges As List(Of String)

アクセス

読み取り専用。


SelectIndex メソッド (FlexComboBox)

クラス

FlexComboBox.

処理

単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。

構文

C#
comboBox.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
comboBox.SelectIndex(itemIndex, [triggerEvent, keyModifier])
変数 | 説明
itemIndex | 選択される項目のデータ プロバイダー インデックス。 Integer。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


SelectIndex メソッド (FlexListBase)

クラス

FlexListBase.

処理

単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。

構文

C#
listBase.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
listBase.SelectIndex(itemIndex, [triggerEvent, keyModifier])
変数 | 説明
itemIndex | 選択される項目のデータ プロバイダー インデックス。 Integer。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: インデックスのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


SelectIndex メソッド (SparkButtonBar)

クラス

SparkButtonBar.

処理

ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。

構文

C#
buttonBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
buttonBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
変数 | 説明
itemIndex | 選択された項目のインデックス。 Integer。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


SelectIndex メソッド (SparkList)

クラス

SparkList.

処理

ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。

構文

C#
list.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
list.SelectIndex(itemIndex, [triggerEvent, keyModifier])
変数 | 説明
itemIndex | 選択された項目のインデックス。 Integer。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


SelectIndex メソッド (SparkTabBar)

クラス

SparkTabBar.

処理

ユーザーがリスト上の項目をクリックしたり、キーボードを使って項目を移動したりしたときにディスパッチされます。

構文

C#
tabBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
tabBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
変数 | 説明
itemIndex | 選択された項目のインデックス。 Integer。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


SelectionActivePosition プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。

構文

C#
protected Integer selectionActivePosition { get; }
VB
'Declaration
Protected Read Property selectionActivePosition As Integer

アクセス

読み取り専用。


SelectionActivePosition プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 矢印キーで選択範囲が拡張されるときに移動する選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。

構文

C#
protected Integer selectionActivePosition { get; }
VB
'Declaration
Protected Read Property selectionActivePosition As Integer

アクセス

読み取り専用。


SelectionAnchorPosition プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。

構文

C#
protected Integer selectionAnchorPosition { get; }
VB
'Declaration
Protected Read Property selectionAnchorPosition As Integer

アクセス

読み取り専用。


SelectionAnchorPosition プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] 矢印キーで選択範囲が拡張されるときに固定されている選択範囲の終端を示す文字位置（テキスト文字列の先頭を基準とした相対位置）。

構文

C#
protected Integer selectionAnchorPosition { get; }
VB
'Declaration
Protected Read Property selectionAnchorPosition As Integer

アクセス

読み取り専用。


SelectionBeginIndex プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] 現在の選択範囲の最初の文字を示す 0 を基準としたインデックス値。

構文

C#
protected Integer selectionBeginIndex { get; }
VB
'Declaration
Protected Read Property selectionBeginIndex As Integer

アクセス

読み取り専用。


SelectionColor プロパティ (FlexComboBox)

クラス

FlexComboBox.

処理

[読み取り専用] ドロップダウン リストの selectionColor。

構文

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

アクセス

読み取り専用。


SelectionColor プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールで現在選択されている日付のハイライト領域の色。 デフォルト値は 0xCDFFC1 です。

構文

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

アクセス

読み取り専用。


SelectionColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] ユーザーが選択したときのレンダラの背景色。 デフォルト値は 0x7FCEFF です。

構文

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

アクセス

読み取り専用。


SelectionColor プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] メニュー項目が選択されたときのメニュー項目の背景色。 デフォルト値は 0x7FCEFF です。

構文

C#
protected List(Of Color) selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As List(Of Color)

アクセス

読み取り専用。


SelectionColor プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] メニュー項目が選択されたときのメニュー項目の背景色。

構文

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

アクセス

読み取り専用。


SelectionDisabledColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] コンポーネントが無効化されたときのレンダラの背景色。 デフォルト値は 0xDDDDDD です。

構文

C#
protected Color selectionDisabledColor { get; }
VB
'Declaration
Protected Read Property selectionDisabledColor As Color

アクセス

読み取り専用。


SelectionEndIndex プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] 現在の選択範囲の最後の文字の直後の位置を示す 0 を基準としたインデックス。つまり、最後の文字の位置を示す 1 を基準としたインデックスと同じです。

構文

C#
protected Integer selectionEndIndex { get; }
VB
'Declaration
Protected Read Property selectionEndIndex As Integer

アクセス

読み取り専用。


SelectionHighlighting プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキスト選択がハイライトされるかどうかを示す値。

構文

C#
protected String selectionHighlighting { get; }
VB
'Declaration
Protected Read Property selectionHighlighting As String

アクセス

読み取り専用。


SelectionHighlighting プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] テキスト選択がハイライトされるかどうかを示す値。

構文

C#
protected String selectionHighlighting { get; }
VB
'Declaration
Protected Read Property selectionHighlighting As String

アクセス

読み取り専用。


SelectionLength プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択されている行の数。

構文

C#
protected Integer selectionLength { get; }
VB
'Declaration
Protected Read Property selectionLength As Integer

アクセス

読み取り専用。


SelectionMode プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] コントロールの選択モード。

有効な値は、MULTIPLE_CELLS、MULTIPLE_ROWS、NONE, SINGLE_CELL、および SINGLE_ROW です。 このプロパティの値が変更されると、selectedCells プロパティは null (Visual Basic では Nothing) に設定されます。

コントロール内の複数の項目を同時に選択する場合には、allowMultipleSelection プロパティを true に設定する必要があります。

選択したセルについての情報は、selectedCells プロパティに書き出されます。

デフォルト値は SINGLE_ROW です。

構文

C#
protected String selectionMode { get; }
VB
'Declaration
Protected Read Property selectionMode As String

アクセス

読み取り専用。


SelectionMode プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] ChartItem オブジェクトが選択できるかどうか。

有効な値は、none、single、または multiple です。 グラフ項目が選択されることを防ぐには、none に設定します。 一度に 1 つの項目のみを選択可能にするには、single に設定します。 一度に複数のグラフ項目を選択可能にするには、multiple に設定します。 デフォルト値は none です。

構文

C#
protected String selectionMode { get; }
VB
'Declaration
Protected Read Property selectionMode As String

アクセス

読み取り専用。


SelectionMode プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] 選択モード (singlerow、multiplerows、singlecells、または multiplecells)。

構文

C#
protected String selectionMode { get; }
VB
'Declaration
Protected Read Property selectionMode As String

アクセス

読み取り専用。


Select メソッド (FlexChart)

クラス

FlexChart.

処理

ユーザーが列ヘッダー上でマウスを押下し、離したことを示す headerRelease イベントにおけるイベント オブジェクトの type プロパティの値を定義します。

構文

C#
chart.Select(selectionInfo)
VB
chart.Select(selectionInfo)
変数 | 説明
selectionInfo | イベントが表示リスト階層の上位に渡すことができるかどうか。 List(Of String)。


Select メソッド (FlexComboBox)

クラス

FlexComboBox.

処理

単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。

構文

C#
comboBox.Select(itemRenderer, [triggerEvent, keyModifier])
VB
comboBox.Select(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 項目の項目レンダラ オブジェクト。 String。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Select メソッド (FlexListBase)

クラス

FlexListBase.

処理

単一の項目が選択されたときにディスパッチされるイベントの、イベント オブジェクトの type プロパティの値を定義します。

構文

C#
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 項目の項目レンダラ オブジェクト。 String。
triggerEvent | 省略可能: アクションをトリガーしたマウスやキーボード イベントのようなイベント。 FlexTriggerEvent。
keyModifier | 省略可能: コントロールの選択時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Select メソッド (FlexMenu)

クラス

FlexMenu.

処理

メニュー項目が選択された場合にディスパッチされます。

構文

C#
menu.Select(itemRenderer)
VB
menu.Select(itemRenderer)
変数 | 説明
itemRenderer | 選択されたメニュー項目の ListItemRenderer。 String。


Select メソッド (SparkDataGrid)

クラス

SparkDataGrid.

処理

指定したデータ グリッド セルを選択します。

構文

C#
dataGrid.Select(itemRenderer, [triggerEvent, keyModifier])
VB
dataGrid.Select(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 選択された項目の itemRenderer。 String。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Select メソッド (SparkDataGroup)

クラス

SparkDataGroup.

処理

1 つ以上の項目がリストから選択解除されたときにディスパッチされます。

構文

C#
dataGroup.Select(itemRenderer, [triggerEvent, keyModifier])
VB
dataGroup.Select(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 選択解除された項目の itemRenderer。 String。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Select メソッド (SparkListBase)

クラス

SparkListBase.

処理

リスト中の項目が選択された場合にディスパッチされます。

構文

C#
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
変数 | 説明
itemRenderer | 選択された項目の itemRenderer。 String。
triggerEvent | 省略可能: イベントがマウスまたはキーボードによってトリガーされたかどうか。 FlexTriggerEvent。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。

例

VB

たとえば、次のようにしてリスト ボックス内の項目を選択することができます。
    listBox.Select("apple")


SelectText メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

テキスト フィールド内の選択範囲を追跡します。

構文

C#
comboBase.SelectText(beginIndex, endIndex)
VB
comboBase.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択範囲の開始インデックス。 Integer。
endIndex | 選択範囲の終了インデックス。 Integer。


SelectText メソッド (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

テキスト フィールド内の選択範囲を追跡します。

構文

C#
numericStepper.SelectText(beginIndex, endIndex)
VB
numericStepper.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択範囲の開始インデックス。 Integer。
endIndex | 選択範囲の終了インデックス。 Integer。


SelectText メソッド (FlexTextArea)

クラス

FlexTextArea.

処理

テキスト フィールド内の選択範囲を追跡します。

構文

C#
textArea.SelectText(beginIndex, endIndex)
VB
textArea.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択範囲の開始インデックス。 Integer。
endIndex | 選択範囲の終了インデックス。 Integer。


SelectText メソッド (SparkComboBox)

クラス

SparkComboBox.

処理

テキストが選択された場合にディスパッチされます。

構文

C#
comboBox.SelectText(beginIndex, endIndex)
VB
comboBox.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択範囲内の最初の文字のインデックス。 Integer。
endIndex | 選択範囲内の最後の文字のインデックス。 Integer。


SelectText メソッド (SparkNumericStepper)

クラス

SparkNumericStepper.

処理

テキストが選択された場合にディスパッチされます。

構文

C#
numericStepper.SelectText(beginIndex, endIndex)
VB
numericStepper.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 最初に選択した文字のインデックス。 Integer。
endIndex | 最後に選択した文字のインデックス。 Integer。


SelectText メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

テキストが選択された場合にディスパッチされます。

構文

C#
richEditableText.SelectText(beginIndex, endIndex)
VB
richEditableText.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択した最初の文字のインデックス。 Integer。
endIndex | 選択した最後の文字のインデックス。 Integer。


SelectText メソッド (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

テキストが選択された場合にディスパッチされます。

構文

C#
skinnableTextBase.SelectText(beginIndex, endIndex)
VB
skinnableTextBase.SelectText(beginIndex, endIndex)
変数 | 説明
beginIndex | 選択した最初の文字のインデックス。 Integer。
endIndex | 選択した最後の文字のインデックス。 Integer。


SequenceLabel プロパティ (SparkFormItem)

クラス

SparkFormItem.

処理

[読み取り専用] フォーム内のフォーム項目の数です。

構文

C#
protected String sequenceLabel { get; }
VB
'Declaration
Protected Read Property sequenceLabel As String

アクセス

読み取り専用。


SeriesClick メソッド (FlexChartSeries)

クラス

FlexChartSeries.

処理

グラフ内のデータを表すグラフ項目上でマウス ボタンをクリックしたインデックスです。

構文

C#
chartSeries.SeriesClick(hitSet)
VB
chartSeries.SeriesClick(hitSet)
変数 | 説明
hitSet | イベントをトリガーした ChartItems を表す HitData 構造体の配列。 List(Of Integer)。


SeriesDoubleClick メソッド (FlexChartSeries)

クラス

FlexChartSeries.

処理

グラフ内のデータを表すグラフ項目上でマウス ボタンをダブルクリックしたインデックスです。

構文

C#
chartSeries.SeriesDoubleClick(hitSet)
VB
chartSeries.SeriesDoubleClick(hitSet)
変数 | 説明
hitSet | イベントをトリガーした ChartItems を表す HitData 構造体の配列。 List(Of Integer)。


SeriesItemRollOver メソッド (FlexChartSeries)

クラス

FlexChartSeries.

処理

グラフ内のデータを表すグラフ項目上でマウス ポインターを動かしたインデックスです。

構文

C#
chartSeries.SeriesItemRollOver(hitSet)
VB
chartSeries.SeriesItemRollOver(hitSet)
変数 | 説明
hitSet | イベントをトリガーした ChartItems を表す HitData 構造体の配列。 List(Of Integer)。


SetFocus メソッド (FlexObject)

クラス

FlexObject.

処理

このコンポーネントにフォーカスを設定します。 コンポーネントはそのサブコンポーネントに順々にフォーカスを渡すことができます。

メモ： メソッドでフォーカスを設定したときにハイライト表示されるのは、TextInput および TextArea コントロールだけです。 ユーザーがコントロールをタブで選択したときには、すべてのコントロールがハイライト表示されます。

構文

C#
object.SetFocus()
VB
object.SetFocus()


SetFocus メソッド (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

コンポーネントがフォーカスを受け取ったときに FocusManager によって呼ばれます。 コンポーネントはその内部のコンポーネントに順々にフォーカスを設定できます。

構文

C#
uIMovieClip.SetFocus()
VB
uIMovieClip.SetFocus()


ShowCloseButton プロパティ (FlexTitleWindow)

クラス

FlexTitleWindow.

処理

[読み取り専用] TitleWindow コンテナ内に閉じるボタンを表示するかどうか。 デフォルト値は false です。

構文

C#
protected Boolean showCloseButton { get; }
VB
'Declaration
Protected Read Property showCloseButton As Boolean

アクセス

読み取り専用。


ShowDataTip プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] ユーザーが操作している間、データ ヒントを表示するかどうか。

true に設定されている場合、ユーザーが操作している間、スライダーの現在の値を含むデータ ヒントを表示します。

デフォルト値は true です。

構文

C#
protected Boolean showDataTip { get; }
VB
'Declaration
Protected Read Property showDataTip As Boolean

アクセス

読み取り専用。


ShowDataTips プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] グラフの DataTip コントロールが表示されるかどうか。

DataTip コントロールはツール チップに似ていますが、マウス ポインターから最も近いグラフのデータ ポイントを表す適切な値が表示されるという点で異なります。

構文

C#
protected Boolean showDataTips { get; }
VB
'Declaration
Protected Read Property showDataTips As Boolean

アクセス

読み取り専用。


ShowDataTips プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 行内のテキストに対して dataTips を表示するかどうか。

true の場合、dataTips が表示されます。 dataTips は、行に表示するには長すぎるテキストを表示するためのツール ヒントです。 dataTipFunction を設定すると、行に対してテキストが長すぎるかどうかに関係なく、dataTips が表示されます。

デフォルト値は false です。

構文

C#
protected Boolean showDataTips { get; }
VB
'Declaration
Protected Read Property showDataTips As Boolean

アクセス

読み取り専用。


ShowDataTips プロパティ (SparkDataGrid)

クラス

SparkDataGrid.

処理

[読み取り専用] データ ヒントが表示されるかどうか。

構文

C#
protected Boolean showDataTips { get; }
VB
'Declaration
Protected Read Property showDataTips As Boolean

アクセス

読み取り専用。


ShowDataTipTargets プロパティ (FlexChart)

クラス

FlexChart.

処理

[読み取り専用] showDataTips が true に設定されているときに、データ ポイント上にターゲットを表示するかどうか。

構文

C#
protected Boolean showDataTipTargets { get; }
VB
'Declaration
Protected Read Property showDataTipTargets As Boolean

アクセス

読み取り専用。


ShowLabels プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] ラベルを軸に沿って表示するかどうか。 デフォルト値は true です。

構文

C#
protected Boolean showLabels { get; }
VB
'Declaration
Protected Read Property showLabels As Boolean

アクセス

読み取り専用。


ShowLine プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸を表示するかどうか。 デフォルト値は true です。

構文

C#
protected Boolean showLine { get; }
VB
'Declaration
Protected Read Property showLine As Boolean

アクセス

読み取り専用。


Show メソッド (FlexMenu)

クラス

FlexMenu.

処理

メニューまたはサブメニューが開いたときにディスパッチされます。

構文

C#
menu.Show(itemRenderer)
VB
menu.Show(itemRenderer)
変数 | 説明
itemRenderer | このプロパティは子の種類のイベントでは設定されません。 String。


Show メソッド (FlexMenuBar)

クラス

FlexMenuBar.

処理

メニューまたはサブメニューが開いたときにディスパッチされます。

構文

C#
menuBar.Show(itemRenderer)
VB
menuBar.Show(itemRenderer)
変数 | 説明
itemRenderer | このプロパティは子の種類のイベントでは設定されません。 String。


ShowsCaret プロパティ (SparkButtonBarButton)

クラス

SparkButtonBarButton.

処理

[読み取り専用] 項目レンダラがそれ自身をフォーカスありとして表示できるかどうかを示す値。

構文

C#
protected Boolean showsCaret { get; }
VB
'Declaration
Protected Read Property showsCaret As Boolean

アクセス

読み取り専用。


ShowsCaret プロパティ (SparkListLabel)

クラス

SparkListLabel.

処理

[読み取り専用] キャレットが表示されるかどうか。

構文

C#
protected Boolean showsCaret { get; }
VB
'Declaration
Protected Read Property showsCaret As Boolean

アクセス

読み取り専用。


ShowStatusBar プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ステータス バーが可視かどうかを示す値。

構文

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

アクセス

読み取り専用。


ShowStatusBar プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ステータス バーが可視かどうかを示す値。

構文

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

アクセス

読み取り専用。


ShowStatusBar プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ステータス バーが可視かどうかを示す値。

構文

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

アクセス

読み取り専用。


ShowStatusBar プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ステータス バーが可視かどうかを示す値。

構文

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

アクセス

読み取り専用。


ShowTextField プロパティ (FlexColorPicker)

クラス

FlexColorPicker.

処理

[読み取り専用] カラー ラベルまたは 16 進数のカラー値を示すテキスト ボックスを表示するかどうか。 デフォルト値は true です。

構文

C#
protected Boolean showTextField { get; }
VB
'Declaration
Protected Read Property showTextField As Boolean

アクセス

読み取り専用。


ShowToday プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DataChooser コントロールで今日の日付がハイライトされているかどうか。

true の場合、DataChooser コントロールで今日がハイライトされていることを示します。 デフォルト値は true です。

構文

C#
protected Boolean showToday { get; }
VB
'Declaration
Protected Read Property showToday As Boolean

アクセス

読み取り専用。


ShowToday プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールにハイライトされる日。

true の場合、DataChooser コントロールで今日がハイライトされていることを示します。 このプロパティを設定すると、DateChooser コントロールの表示が直ちに変わります。 デフォルト値は true です。

構文

C#
protected Boolean showToday { get; }
VB
'Declaration
Protected Read Property showToday As Boolean

アクセス

読み取り専用。


Smooth プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] ビットマップ イメージにスムージング アルゴリズムを適用するかどうかを指定します。

構文

C#
protected Boolean smooth { get; }
VB
'Declaration
Protected Read Property smooth As Boolean

アクセス

読み取り専用。


SnapInterval プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] ユーザーがスライダー サムを移動したときの増分値。

たとえば、snapInterval の値を 2、minimum の値を 0、maximum の値を 10 に設定した場合、ユーザーがサムを移動すると、サムは 0、2、4、6、8、10 の値に吸着されます。 値 0 では、スライダーは、minimum 値と maximum 値の間を継続的に移動します。

デフォルト値は 0 です。

構文

C#
protected Double snapInterval { get; }
VB
'Declaration
Protected Read Property snapInterval As Double

アクセス

読み取り専用。


SnapInterval プロパティ (SparkRange)

クラス

SparkRange.

処理

[読み取り専用] snapInterval。

構文

C#
protected Double snapInterval { get; }
VB
'Declaration
Protected Read Property snapInterval As Double

アクセス

読み取り専用。


SortableColumns プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] ユーザーが列ヘッダー セルをクリックすることでデータ プロバイダー項目をソートできるかどうか。

true の場合、ユーザーは列ヘッダー セルをクリックしてデータ プロバイダー項目をソートできます。 列の DataGridColumn.dataField プロパティまたは列の DataGridColumn.sortCompareFunction プロパティがソート フィールドとして使用されます。 列をクリックするたびに、ソート順が昇順と降順で交互に切り替わります。 true の場合、個々の列の sortable プロパティを false に設定することにより、ヘッダーをクリックしても何も実行されないようにすることができます。

ユーザーがポインターを列のヘッダー セルに置いてマウス ボタンを離すと、DataGrid コントロールから headerRelease イベントがディスパッチされます。 ただし、このプロパティとその列の sortable プロパティがどちらも true であることが必要です。 このイベントに対して preventDefault() メソッドを呼び出すハンドラーが存在しない場合、DataGrid では、その列の DataGridColumn.dataField プロパティまたは DataGridColumn.sortCompareFunction プロパティを使用してソートが実行されます。

デフォルト値は true です。

構文

C#
protected Boolean sortableColumns { get; }
VB
'Declaration
Protected Read Property sortableColumns As Boolean

アクセス

読み取り専用。


SortOnXField プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] レンダリングの前に縦棒を左から右にソートするかどうか。

デフォルトでは、ColumnSeries はデータ プロバイダーに表示される順序で縦棒をレンダリングします。

xField プロパティを使用して各縦棒の位置を決定すると、異なる順序で画面上に表示されることがあります。 縦棒は、任意の順序でレンダリングできます。 ただし、一部のカスタムの縦棒は、左から右へレンダリングされる縦棒に依存していることがあります。

デフォルト値は false です。

構文

C#
protected Boolean sortOnXField { get; }
VB
'Declaration
Protected Read Property sortOnXField As Boolean

アクセス

読み取り専用。


SortOnXField プロパティ (FlexLineSeries)

クラス

FlexLineSeries.

処理

[読み取り専用] レンダリングの前に線データポイントを左から右にソートするかどうか。

デフォルトでは、LineSeries は左から右にポイントをレンダリングします。このプロパティを false に設定すると、項目はデータ プロバイダーに表示される順序でレンダリングされます。

デフォルト値は true です。

構文

C#
protected Boolean sortOnXField { get; }
VB
'Declaration
Protected Read Property sortOnXField As Boolean

アクセス

読み取り専用。


SourceHeight プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 伸縮されていない元のイメージ データの高さを示します。

構文

C#
protected Double sourceHeight { get; }
VB
'Declaration
Protected Read Property sourceHeight As Double

アクセス

読み取り専用。


Source プロパティ (FlexLoader)

クラス

FlexLoader.

処理

[読み取り専用] コンテンツとしてロードする URL、オブジェクト、クラス、または暮らすの文字列名。

source プロパティの値は、相対または絶対 URL、SWF、GIF、JPEG、または PNG を表す ByteArray、IFlexDisplayObject を実装するオブジェクト、IFlexDisplayObject を実装するタイプを持つクラス、またはクラスを表す文字列を表します。

構文

C#
protected String source { get; }
VB
'Declaration
Protected Read Property source As String

アクセス

読み取り専用。


Source プロパティ (FlexVideoDisplay)

クラス

FlexVideoDisplay.

処理

[読み取り専用] ストリーミングする FLV ファイルの相対パスおよびファイル名。

構文

C#
protected String source { get; }
VB
'Declaration
Protected Read Property source As String

アクセス

読み取り専用。


Source プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] コンテンツの場所です。

構文

C#
protected String source { get; }
VB
'Declaration
Protected Read Property source As String

アクセス

読み取り専用。


SourceWidth プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 伸縮されていない元のイメージ データの幅を示します。

構文

C#
protected Double sourceWidth { get; }
VB
'Declaration
Protected Read Property sourceWidth As Double

アクセス

読み取り専用。


StartAngle プロパティ (FlexPieSeries)

クラス

FlexPieSeries.

処理

[読み取り専用] PieChart コントロールの最初の区分の開始角度。

デフォルト値は 0 で、PieChart コントロール右側が水平になります。

構文

C#
protected Double startAngle { get; }
VB
'Declaration
Protected Read Property startAngle As Double

アクセス

読み取り専用。


StartingIndex プロパティ (FlexRepeater)

クラス

FlexRepeater.

処理

[読み取り専用] この Repeater が子の作成を開始する dataProvider へのインデックス。

構文

C#
protected Integer startingIndex { get; }
VB
'Declaration
Protected Read Property startingIndex As Integer

アクセス

読み取り専用。


StateChange メソッド (FlexWindow)

クラス

FlexWindow.

処理

ウィンドウの displaystatus が変更されたときにディスパッチされます。

構文

C#
window.StateChange(newWindowState)
VB
window.StateChange(newWindowState)
変数 | 説明
newWindowState | 新しい状態。 String。


StateChange メソッド (SparkWindow)

クラス

SparkWindow.

処理

ウィンドウの displaystatus が変更されたときにディスパッチされます。

構文

C#
window.StateChange(newWindowState)
VB
window.StateChange(newWindowState)
変数 | 説明
newWindowState | 新しい状態。 String。


Status プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] タイトル バーのステータス領域に表示されるテキスト。 デフォルト値は "" です。

構文

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

アクセス

読み取り専用。


Status プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ステータス バーに表示される文字（表示されている場合）。

構文

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

アクセス

読み取り専用。


Status プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ステータス バーに表示される文字（表示されている場合）。

構文

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

アクセス

読み取り専用。


Status プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ステータス バーに表示される文字（表示されている場合）。

構文

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

アクセス

読み取り専用。


Status プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ステータス バーに表示される文字（表示されている場合）。

構文

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

アクセス

読み取り専用。


StepSize プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] 値間の 0 でない変化単位。

value プロパティは、この数の倍数にならなければなりません。 デフォルト値は 1 です。

構文

C#
protected Double stepSize { get; }
VB
'Declaration
Protected Read Property stepSize As Double

アクセス

読み取り専用。


StepSize プロパティ (SparkRange)

クラス

SparkRange.

処理

[読み取り専用] changeValueByStep() メソッドが呼び出されたときに変更される value プロパティの量。

構文

C#
protected Double stepSize { get; }
VB
'Declaration
Protected Read Property stepSize As Double

アクセス

読み取り専用。


StickyHighlighting プロパティ (SparkButtonBase)

クラス

SparkButtonBase.

処理

[読み取り専用] ボタンをクリックするとダウン状態のスキンが表示され、ボタンからマウスを離すとオーバー状態のスキンが表示されるかどうかを示す値。

構文

C#
protected Boolean stickyHighlighting { get; }
VB
'Declaration
Protected Read Property stickyHighlighting As Boolean

アクセス

読み取り専用。


StrokeWidth プロパティ (FlexRule)

クラス

FlexRule.

処理

[読み取り専用] 罫線の太さです（ピクセル単位）。

構文

C#
protected Double strokeWidth { get; }
VB
'Declaration
Protected Read Property strokeWidth As Double

アクセス

読み取り専用。


SystemChrome プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウが持っているシステム クロム（存在する場合）のタイプ。

構文

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

アクセス

読み取り専用。


SystemChrome プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウが持っているシステム クロム（存在する場合）のタイプ。

構文

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

アクセス

読み取り専用。


SystemChrome プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウが持っているシステム クロム（存在する場合）のタイプ。

構文

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

アクセス

読み取り専用。


SystemChrome プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウが持っているシステム クロム（存在する場合）のタイプ。

構文

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

アクセス

読み取り専用。


TabChildren プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] オブジェクトの子に対してタブが有効かどうか。 デフォルト値は true です。

構文

C#
protected Boolean tabChildren { get; }
VB
'Declaration
Protected Read Property tabChildren As Boolean

アクセス

読み取り専用。


TabEnabled プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] このオブジェクトがタブ順序に含まれるかどうか。

このオブジェクトがタブ順序に含まれる場合、値は true です。含まれない場合、値は false です。 デフォルトでは、次の例外を除き、値は false です： SimpleButton オブジェクトの場合、TextField オブジェクトが type = input を持つ場合、または Sprite オブジェクトまたは MovieClip オブジェクトが buttonMode = true を持つ場合。

構文

C#
protected Boolean tabEnabled { get; }
VB
'Declaration
Protected Read Property tabEnabled As Boolean

アクセス

読み取り専用。


TabHeight プロパティ (FlexTabNavigator)

クラス

FlexTabNavigator.

処理

[読み取り専用] 各タブの高さ（ピクセル単位）。

デフォルト値は未定義です。 このプロパティが未定義の場合、各タブの高さは、この TabNavigator コンテナーに適用されるフォント スタイルによって決定されます。 このプロパティを設定すると、この計算よりも設定値が優先されます。

構文

C#
protected Double tabHeight { get; }
VB
'Declaration
Protected Read Property tabHeight As Double

アクセス

読み取り専用。


TabIndex プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] SWF ファイル内のオブジェクトのタブ順序。

デフォルトでは tabIndex プロパティは -1 であり、これはそのオブジェクトにタブ インデックスが設定されないことを意味します。

SWF ファイルに現在表示されているオブジェクトに tabIndex プロパティがある場合は、自動タブ順序が無効になり、SWF ファイルのオブジェクトの tabIndex プロパティからタブ順序が計算されます。 カスタム タブ順序には、tabIndex プロパティを持つオブジェクトのみが含まれます。

tabIndex プロパティは、通常、負以外の整数です。 オブジェクトのタブ順序は、その tabIndex プロパティに従って昇順に決定されます。 tabIndex の値が 1 であるオブジェクトは、tabIndex の値が 2 であるオブジェクトの前になります。 複数のオブジェクトの tabIndex に同じ値を使用しないでください。

tabIndexプロパティで定義されるカスタム タブ順序は flat です。 つまり、SWF ファイル内のオブジェクトの階層関係は無視されます。 SWF ファイルで tabIndex プロパティを持つすべてのオブジェクトは、タブ順序に従って配置されます。タブ順序は tabIndex の値の順番に従います。

構文

C#
protected Integer tabIndex { get; }
VB
'Declaration
Protected Read Property tabIndex As Integer

アクセス

読み取り専用。


TabWidth プロパティ (FlexTabNavigator)

クラス

FlexTabNavigator.

処理

[読み取り専用] 各タブの幅（ピクセル単位）。

デフォルト値は未定義です。 このプロパティが未定義の場合、各タブの幅は、この TabNavigator コンテナーに適用されるフォント スタイルを使用したラベル テキストの幅によって決定されます。 タブの幅の合計が TabNavigator コンテナーの幅より広い場合、計算されたタブ幅が縮小されます（最小 30 ピクセルまで）。 このプロパティを設定すると、この計算よりも設定値が優先されます。

タブのラベル テキストは、タブに収まらない場合切り詰められます。 タブ ラベルが切り詰められた場合、ユーザーがタブの上にマウスを移動すると、ツール ヒントにラベル テキスト全体が表示されます。

構文

C#
protected Double tabWidth { get; }
VB
'Declaration
Protected Read Property tabWidth As Double

アクセス

読み取り専用。


TextAlign プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。

ほとんどのコンポーネントのデフォルト値は left です。 FormItem コンポーネントの場合、デフォルト値は right です。 Button、LinkButton および AccordionHeader コンポーネントでは、デフォルト値は center です。このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合は、テキストおよびアイコンが中央に配置されます。

構文

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。 ほとんどのコンポーネントのデフォルト値は left です。

Button、LinkButton、および AccordionHeader コンポーネントでは、デフォルト値は center です。 これらのコンポーネントの場合は、このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合、テキストやアイコンは中央に配置されます。

構文

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] コンテナー内のテキストの配置。 有効な値は left、right または center です。

構文

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストがボールド体かどうか。

有効な値は、normal および bold です。 Button コントロールのデフォルト値は bold です。 他のすべてのコントロールのデフォルト値は normal です。

構文

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。

ほとんどのコンポーネントのデフォルト値は left です。 FormItem コンポーネントの場合、デフォルト値は right です。 Button、LinkButton および AccordionHeader コンポーネントでは、デフォルト値は center です。このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合は、テキストおよびアイコンが中央に配置されます。

構文

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。

ほとんどのコンポーネントのデフォルト値は left です。 FormItem コンポーネントの場合、デフォルト値は right です。 Button、LinkButton および AccordionHeader コンポーネントでは、デフォルト値は center です。このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合は、テキストおよびアイコンが中央に配置されます。

構文

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] コンテナー内のテキストの配置。 有効な値は left、right または center です。

ほとんどのコンポーネントのデフォルト値は left です。 FormItem コンポーネントの場合、デフォルト値は right です。 Button、LinkButton および AccordionHeader コンポーネントでは、デフォルト値は center です。このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合は、テキストおよびアイコンが中央に配置されます。

構文

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexPieChart)

クラス

FlexPieChart.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。 ほとんどのコンポーネントのデフォルト値は left です。

Button、LinkButton、および AccordionHeader コンポーネントでは、デフォルト値は center です。 これらのコンポーネントの場合は、このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合、テキストやアイコンは中央に配置されます。

構文

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextAlign プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] コンテナー内のテキストの配置。

有効な値は left、right または center です。

ほとんどのコンポーネントのデフォルト値は left です。 FormItem コンポーネントの場合、デフォルト値は right です。 Button、LinkButton および AccordionHeader コンポーネントでは、デフォルト値は center です。このプロパティは labelPlacement プロパティが left または right に設定されている場合のみ認識されます。 labelPlacement が top または bottom に設定されている場合は、テキストおよびアイコンが中央に配置されます。

構文

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] テキストに下線を表示するかどうか。 有効な値は none と underline です。 デフォルト値は none です。

構文

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextDecoration プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] テキストに下線を表示するかどうか。

有効な値は none と underline です。 デフォルト値は none です。

構文

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

アクセス

読み取り専用。


TextIndent プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

C#
protected Double textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Double

アクセス

読み取り専用。


TextIndent プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

アクセス

読み取り専用。


TextIndent プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

アクセス

読み取り専用。


TextIndent プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

アクセス

読み取り専用。


TextIndent プロパティ (FlexMenuBar)

クラス

FlexMenuBar.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

アクセス

読み取り専用。


TextIndent プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

アクセス

読み取り専用。


TextIndent プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] テキストの 1 行目のコンテナー左端からのオフセット（ピクセル単位）。 デフォルト値は 0 です。

構文

C#
protected Double textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Double

アクセス

読み取り専用。


Text プロパティ (FlexAlert)

クラス

FlexAlert.

処理

[読み取り専用] この警告ダイアログ ボックスに表示するテキスト。 デフォルト値は "" です。

構文

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (FlexComboBase)

クラス

FlexComboBase.

処理

[読み取り専用] テキスト フィールドの内容。

構文

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (FlexLabel)

クラス

FlexLabel.

処理

[読み取り専用] このコントロールで表示されるプレーン テキスト。 その外観は、この Label コントロールの CSS スタイルによって決定されます。

構文

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] コントロールに表示されるプレーン テキスト。

その外観は、この Label コントロールの CSS スタイルによって決定されます。

デフォルト値は "" です。

構文

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] このコンポーネントによって表示されるテキスト文字列。

構文

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

[読み取り専用] このコンポーネントによって表示されるテキスト文字列。

構文

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


Text プロパティ (SparkTextBase)

クラス

SparkTextBase.

処理

[読み取り専用] このテキスト コンポーネントによって表示されるテキスト。

構文

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

アクセス

読み取り専用。


TextRollOverColor プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。

構文

C#
protected Color textRollOverColor { get; }
VB
'Declaration
Protected Read Property textRollOverColor As Color

アクセス

読み取り専用。


TextRollOverColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] マウス ポインターをボタンに合わせたときのラベルのテキストの色。 デフォルト値は 0x2B333C です。

構文

C#
protected Color textRollOverColor { get; }
VB
'Declaration
Protected Read Property textRollOverColor As Color

アクセス

読み取り専用。


TextRollOverColor プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] ユーザーがメニュー項目の上にマウスを移動したときのメニュー項目のテキスト色。 デフォルト値は 0x2B333C です。

構文

C#
protected List(Of Color) textRollOverColor { get; }
VB
'Declaration
Protected Read Property textRollOverColor As List(Of Color)

アクセス

読み取り専用。


TextSelectedColor プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] 選択したテキストの色。 デフォルト値は 0x2B333C です。

構文

C#
protected Color textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As Color

アクセス

読み取り専用。


TextSelectedColor プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] ユーザーがラベルを選択したときのラベルのテキストの色。 デフォルト値は 0x000000 です。

構文

C#
protected Color textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As Color

アクセス

読み取り専用。


TextSelectedColor プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] ユーザーが選択したときのレンダラのテキスト色。 デフォルト値は 0x2B333C です。

構文

C#
protected Color textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As Color

アクセス

読み取り専用。


TextSelectedColor プロパティ (FlexMenu)

クラス

FlexMenu.

処理

[読み取り専用] メニュー項目が選択されたときのメニュー項目のテキスト色。 デフォルト値は 0x2B333C です。

構文

C#
protected List(Of Color) textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As List(Of Color)

アクセス

読み取り専用。


ThemeColor プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] コンポーネントのテーマ色。

このプロパティは、ハイライトの外観やコンポーネントが選択されたときの外観、およびその他の同様の視覚的なキューをコントロールしますが、コンポーネントの通常の境界線や背景色には影響を与えません。 推奨される値は、haloGreen、haloBlue, haloOrange、および haloSilver です。ただし、任意の有効なカラー値を使用できます。

rollOverColor および selectionColor スタイルのデフォルト値は themeColor の値に基づきます。

デフォルト値は haloBlue です。

構文

C#
protected Color themeColor { get; }
VB
'Declaration
Protected Read Property themeColor As Color

アクセス

読み取り専用。


ThemeColor プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] コンポーネントのテーマ色。

構文

C#
protected Color themeColor { get; }
VB
'Declaration
Protected Read Property themeColor As Color

アクセス

読み取り専用。


ThumbCount プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] スライダー上に配置できるサムの数。

有効な値は 1 または 2 です。 1 に設定した場合、スライダーの現在の値が value プロパティに格納されます。 2 に設定した場合、各サムの値で構成される配列が values プロパティに格納されます。

デフォルト値は 1 です。

構文

C#
protected Integer thumbCount { get; }
VB
'Declaration
Protected Read Property thumbCount As Integer

アクセス

読み取り専用。


TickColor プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] 目盛りの色。

既知の色を、16 進数のカラー値または文字列で表した名前で指定できます。 デフォルト値は 0x6F7777 です。

構文

C#
protected Color tickColor { get; }
VB
'Declaration
Protected Read Property tickColor As Color

アクセス

読み取り専用。


TickLength プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸上の目盛りの長さ（ピクセル単位）。 デフォルト値は 3 です。

構文

C#
protected Double tickLength { get; }
VB
'Declaration
Protected Read Property tickLength As Double

アクセス

読み取り専用。


TickLength プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] 目盛りの長さ（ピクセル単位）。

direction が Direction.HORIZONTAL の場合は、目盛りの高さを調整します。 direction が Direction.VERTICAL の場合は、目盛りの幅を調整します。 デフォルト値は 3 です。

構文

C#
protected Double tickLength { get; }
VB
'Declaration
Protected Read Property tickLength As Double

アクセス

読み取り専用。


TickPlacement プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 目盛りを描画する場所を示す値。 有効な値は、inside、outside、cross、および none です。

構文

C#
protected String tickPlacement { get; }
VB
'Declaration
Protected Read Property tickPlacement As String

アクセス

読み取り専用。


Ticks プロパティ (FlexAxisRenderer)

クラス

FlexAxisRenderer.

処理

[読み取り専用] 軸に沿った目盛りの描画位置を指定する配列。 各配列要素には、0 から 1 までの値が含まれています。

構文

C#
protected List(Of Double) ticks { get; }
VB
'Declaration
Protected Read Property ticks As List(Of Double)

アクセス

読み取り専用。


TickThickness プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] 目盛りの太さ（ピクセル単位）。

水平方向の目盛りの場合は、目盛りの幅を調整します。 垂直方向の目盛りの場合は、目盛りの高さを調整します。 デフォルト値は 1 です。

構文

C#
protected Double tickThickness { get; }
VB
'Declaration
Protected Read Property tickThickness As Double

アクセス

読み取り専用。


Title プロパティ (FlexPanel)

クラス

FlexPanel.

処理

[読み取り専用] タイトル バーに表示されるタイトルまたはキャプション。 デフォルト値は "" です。

構文

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


Title プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウのタイトル バーとタスク バーに表示されるタイトル。

構文

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


Title プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウのタイトル バーとタスク バーに表示されるタイトル。

構文

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


Title プロパティ (SparkPanel)

クラス

SparkPanel.

処理

[読み取り専用] タイトル バーに表示されるタイトルまたはキャプション。

構文

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


Title プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウのタイトル バーとタスク バーに表示されるタイトル。

構文

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


Title プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウのタイトル バーとタスク バーに表示されるタイトル。

構文

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

アクセス

読み取り専用。


TodayColor プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] DateChooser コントロールで今日の日付のハイライトの色。 デフォルト値は 0x2B333 です。

構文

C#
protected Color todayColor { get; }
VB
'Declaration
Protected Read Property todayColor As Color

アクセス

読み取り専用。


TodayColor プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] DateChooser コントロールで今日の日付のハイライトの色。 デフォルト値は 0x2B333 です。

構文

C#
protected Color todayColor { get; }
VB
'Declaration
Protected Read Property todayColor As Color

アクセス

読み取り専用。


Toggle プロパティ (FlexButton)

クラス

FlexButton.

処理

[読み取り専用] Button を toggle 状態にするかどうか。

true の場合、ボタンのクリックに応じて、選択状態と非選択状態が切り替わります。 プログラムで selected プロパティを使用してこの状態を取得または設定できます。 false の場合、ユーザーがボタンを離すと、ボタンは押されたままの状態ではなくなります。 この場合の selected プロパティは常に false です。

このようなタイプのボタンはアクションを実行するために使用されます。 toggle が false に設定されると、選択状態になれるのはトグル ボタンのみなので、selected は自動的に false になります。

デフォルト値は false です。

構文

C#
protected Boolean toggle { get; }
VB
'Declaration
Protected Read Property toggle As Boolean

アクセス

読み取り専用。


ToolTip プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String toolTip { get; }
VB
'Declaration
Protected Read Property toolTip As String

アクセス

読み取り専用。


ToolTip プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] ツール チップに表示されるテキスト。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String toolTip { get; }
VB
'Declaration
Protected Read Property toolTip As String

アクセス

読み取り専用。


ToString メソッド (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

コントロールの文字列表現を返します。

構文

C#
result = displayObject.ToString()
VB
result = displayObject.ToString()
変数 | 説明
result | String。


TotalTime プロパティ (FlexVideoDisplay)

クラス

FlexVideoDisplay.

処理

[読み取り専用] メディアの全体の長さ（秒）。

FLV 1.0 ビデオ ファイルの場合は、このプロパティを手動で設定します。 FLV 1.1 以降では、この値はコントロールで自動的に計算されます。

構文

C#
protected Double totalTime { get; }
VB
'Declaration
Protected Read Property totalTime As Double

アクセス

読み取り専用。


TrackColors プロパティ (FlexScrollBar)

クラス

FlexScrollBar.

処理

[読み取り専用] トラックの色（2 色の配列として）。

単色のトラックの場合は同じ色を 2 回使用できます。 デフォルト値は [ 0x94999b, 0xe7e7e7 ] です。

構文

C#
protected List(Of Color) trackColors { get; }
VB
'Declaration
Protected Read Property trackColors As List(Of Color)

アクセス

読み取り専用。


TrackColors プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] トラックの色（2 色の配列として）。

単色のトラックの場合は同じ色を 2 回使用できます。

このプロパティは、fillAlphas プロパティと共に使用します。 通常、fillAlphas を [ 1.0, 1.0 ] に設定します（trackColors を設定する場合）。

デフォルト値は [ 0xE7E7E7, 0xE7E7E7 ] です。

構文

C#
protected List(Of Color) trackColors { get; }
VB
'Declaration
Protected Read Property trackColors As List(Of Color)

アクセス

読み取り専用。


Transparent プロパティ (FlexWindow)

クラス

FlexWindow.

処理

[読み取り専用] ウィンドウを透明にするかどうか。

構文

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

アクセス

読み取り専用。


Transparent プロパティ (FlexWindowedApplication)

クラス

FlexWindowedApplication.

処理

[読み取り専用] ウィンドウを透明にするかどうか。

構文

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

アクセス

読み取り専用。


Transparent プロパティ (SparkWindow)

クラス

SparkWindow.

処理

[読み取り専用] ウィンドウを透明にするかどうか。

構文

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

アクセス

読み取り専用。


Transparent プロパティ (SparkWindowedApplication)

クラス

SparkWindowedApplication.

処理

[読み取り専用] ウィンドウを透明にするかどうか。

構文

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

アクセス

読み取り専用。


TrustedSource プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 現在ロードされているコンテンツを、セキュリティ ポリシーでクロス ドメインのイメージ アクセスが許可されているソースからロードされたものと見なすかどうかを示すフラグです。

構文

C#
protected Boolean trustedSource { get; }
VB
'Declaration
Protected Read Property trustedSource As Boolean

アクセス

読み取り専用。


Type メソッド (FlexAccordion)

クラス

FlexAccordion.

処理

ユーザーがキーを押したときにディスパッチされます。

キーと特定の文字とのマッピングはデバイスやオペレーティング システムによって異なります。 このタイプのイベントは、このようなマッピングが発生してから、IME (Input Method Editor) によって処理が行われる前に生成されます。 IME は、標準的な QWERTY キーボードでは十分に対応できない、中国語の漢字などの文字を入力するために使用されます。

構文

C#
accordion.Type(keyCode, [keyModifier])
VB
accordion.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: コントロールのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexAlert)

クラス

FlexAlert.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
alert.Type(keyCode, [keyModifier])
VB
alert.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexButton)

クラス

FlexButton.

処理

ユーザーがキーを押したときにディスパッチされます。

キーと特定の文字とのマッピングはデバイスやオペレーティング システムによって異なります。 このタイプのイベントは、このようなマッピングが発生してから、IME (Input Method Editor) によって処理が行われる前に生成されます。 IME は、標準的な QWERTY キーボードでは十分に対応できない、中国語の漢字などの文字を入力するために使用されます。

構文

C#
button.Type(keyCode, [keyModifier])
VB
button.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: コントロールのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexComboBase)

クラス

FlexComboBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
comboBase.Type(keyCode, [keyModifier])
VB
comboBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexDateChooser)

クラス

FlexDateChooser.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
dateChooser.Type(keyCode, [keyModifier])
VB
dateChooser.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexListBase)

クラス

FlexListBase.

処理

ユーザーがキーを押したときにディスパッチされます。

キーと特定の文字とのマッピングはデバイスやオペレーティング システムによって異なります。 このタイプのイベントは、このようなマッピングが発生してから、IME (Input Method Editor) によって処理が行われる前に生成されます。 IME は、標準的な QWERTY キーボードでは十分に対応できない、中国語の漢字などの文字を入力するために使用されます。

構文

C#
listBase.Type(keyCode, [keyModifier])
VB
listBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: コントロールのクリック時に使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexMenu)

クラス

FlexMenu.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
menu.Type(keyCode, [keyModifier])
VB
menu.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexMenuBar)

クラス

FlexMenuBar.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
menuBar.Type(keyCode, [keyModifier])
VB
menuBar.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexNavigationBar)

クラス

FlexNavigationBar.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
navigationBar.Type(keyCode, [keyModifier])
VB
navigationBar.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
numericStepper.Type(keyCode, [keyModifier])
VB
numericStepper.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexTextArea)

クラス

FlexTextArea.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
textArea.Type(keyCode, [keyModifier])
VB
textArea.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (FlexViewStack)

クラス

FlexViewStack.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
viewStack.Type(keyCode, [keyModifier])
VB
viewStack.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押したり離したりするキーのキー コード値。 String。
keyModifier | 省略可能: 使用されるキー修飾（Ctrl キーなど）。 ModifierKeys。


Type メソッド (SparkApplication)

クラス

SparkApplication.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
application.Type(keyCode, [keyModifier])
VB
application.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkButtonBase)

クラス

SparkButtonBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
buttonBase.Type(keyCode, [keyModifier])
VB
buttonBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkDataGrid)

クラス

SparkDataGrid.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
dataGrid.Type(keyCode, [keyModifier])
VB
dataGrid.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkGroupBase)

クラス

SparkGroupBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
groupBase.Type(keyCode, [keyModifier])
VB
groupBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkListBase)

クラス

SparkListBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
listBase.Type(keyCode, [keyModifier])
VB
listBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkPanel)

クラス

SparkPanel.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
panel.Type(keyCode, [keyModifier])
VB
panel.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
richEditableText.Type(keyCode, [keyModifier])
VB
richEditableText.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkSkinnableTextBase)

クラス

SparkSkinnableTextBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
skinnableTextBase.Type(keyCode, [keyModifier])
VB
skinnableTextBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkSpinner)

クラス

SparkSpinner.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
spinner.Type(keyCode, [keyModifier])
VB
spinner.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkTextBase)

クラス

SparkTextBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
textBase.Type(keyCode, [keyModifier])
VB
textBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Type メソッド (SparkTrackBase)

クラス

SparkTrackBase.

処理

ユーザーがキーを押したときにディスパッチされます。

構文

C#
trackBase.Type(keyCode, [keyModifier])
VB
trackBase.Type(keyCode, [keyModifier])
変数 | 説明
keyCode | 押されたキーのキー コード値。 String。
keyModifier | 省略可能: この操作が行われた際にキーまたはキーの組み合せが押されていた場合にそれを示す定数。 flexAlt、flexControl、flexControlAlt、flexControlShift、flexControlShiftAlt、flexShift、または flexShiftAlt のいずれかひとつ。 たとえば、Shift と Alt キー押されていた場合には、値は flexShiftAlt になります。 ModifierKeys。


Url プロパティ (FlexApplication)

クラス

FlexApplication.

処理

[読み取り専用] このアプリケーションの SWF ファイルがロードされた URL。

構文

C#
protected String url { get; }
VB
'Declaration
Protected Read Property url As String

アクセス

読み取り専用。


Url プロパティ (SparkApplication)

クラス

SparkApplication.

処理

[読み取り専用] このアプリケーションの SWF ファイルがロードされた URL。

構文

C#
protected String url { get; }
VB
'Declaration
Protected Read Property url As String

アクセス

読み取り専用。


UseHandCursor プロパティ (FlexObject)

クラス

FlexObject.

処理

[読み取り専用] マウスが要素上に移動したときに、指差しハンド カーソルを表示するかどうか。 デフォルト値は true です。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。

構文

C#
protected Boolean useHandCursor { get; }
VB
'Declaration
Protected Read Property useHandCursor As Boolean

アクセス

読み取り専用。


UseHandCursor プロパティ (FlexUIMovieClip)

クラス

FlexUIMovieClip.

処理

[読み取り専用] buttonMode プロパティが true に設定されたスプライト上にポインターが移動したときに、指差しハンド ポインター（ハンド カーソル）を表示するかどうか。

デフォルト値は true です。 useHandCursor を true に設定すると、ポインターがボタン スプライト上に移動したときに、指差しハンド カーソルが表示されます。 useHandCursor が false の場合、代わりに矢印カーソルが表示されます。

構文

C#
protected Boolean useHandCursor { get; }
VB
'Declaration
Protected Read Property useHandCursor As Boolean

アクセス

読み取り専用。


UseRollOver プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 項目の上にマウスを置いたときに、その項目をハイライト表示するかどうか。

true の場合、行の上にマウス ポインターを置いたときに行がハイライト表示されます。 false の場合、行を選択した場合にのみハイライト表示されます。

デフォルト値は true です。

構文

C#
protected Boolean useRollOver { get; }
VB
'Declaration
Protected Read Property useRollOver As Boolean

アクセス

読み取り専用。


UseVirtualLayout プロパティ (SparkListBase)

クラス

SparkListBase.

処理

[読み取り専用] このコントロールに関連付けられているレイアウトの useVirtualLayout プロパティの値。

構文

C#
protected Boolean useVirtualLayout { get; }
VB
'Declaration
Protected Read Property useVirtualLayout As Boolean

アクセス

読み取り専用。


Value プロパティ (FlexNumericStepper)

クラス

FlexNumericStepper.

処理

[読み取り専用] NumericStepper コントロールのテキスト領域に表示される値。

ユーザーが、stepSize プロパティの値の倍数でない数値を入力した場合や、maximum プロパティと minimum プロパティの範囲の外の数値を入力した場合は、自動的に最も近い有効な値に設定されます。

デフォルト値は 0 です。

構文

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

アクセス

読み取り専用。


Value プロパティ (FlexProgressBar)

クラス

FlexProgressBar.

処理

[読み取り専用] 最小値と最大値の間で進行した進捗量。

構文

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

アクセス

読み取り専用。


Value プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] サムの位置。これは、minimum プロパティと maximum プロパティの間の値です。

value プロパティを使用します（thumbCount が 1 の場合）。 thumbCount が 1 より大きいときは、代わりに values プロパティを使用します。 デフォルト値は、minimum プロパティと等しい値です。

構文

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

アクセス

読み取り専用。


Value プロパティ (SparkRange)

クラス

SparkRange.

処理

[読み取り専用] この範囲の現在の値。

構文

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

アクセス

読み取り専用。


Values プロパティ (FlexSlider)

クラス

FlexSlider.

処理

[読み取り専用] thumbCount が 1 より大きい場合に、各サムの値を格納する配列。

構文

C#
protected List(Of Double) values { get; }
VB
'Declaration
Protected Read Property values As List(Of Double)

アクセス

読み取り専用。


VariableRowHeight プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 個々の行が別々の高さを持つことができるかどうか。

このプロパティは TileList および HorizontalList では無視されます。 true の場合、個々の行が別々の高さの値を持つことができます。

デフォルト値は false です。

構文

C#
protected Boolean variableRowHeight { get; }
VB
'Declaration
Protected Read Property variableRowHeight As Boolean

アクセス

読み取り専用。


VerticalAlign プロパティ (FlexBox)

クラス

FlexBox.

処理

[読み取り専用] このコンテナー内の子の垂直方向の配置。

有効な値は top、middle および bottom です。 デフォルト値は top ですが、ButtonBar、ControlBar、LinkBar、および ToggleButtonBar のようにこれ以外のデフォルト値になるコンテナーもあります。

構文

C#
protected String verticalAlign { get; }
VB
'Declaration
Protected Read Property verticalAlign As String

アクセス

読み取り専用。


VerticalAlign プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 行のレンダラの垂直方向の配置。

有効な値は top、middle および bottom です。 DataGrid は、このスタイルと paddingTop および paddingBottom スタイルに基づいてレンダラを行に置きます。

デフォルト値は top です。

構文

C#
protected String verticalAlign { get; }
VB
'Declaration
Protected Read Property verticalAlign As String

アクセス

読み取り専用。


VerticalAlign プロパティ (SparkImage)

クラス

SparkImage.

処理

[読み取り専用] 縦横比が 1 対 1 でなく、scaleMode が BitmapScaleMode.LETTERBOX に設定されているときの、コンテンツの垂直方向の配置です。

構文

C#
protected String verticalAlign { get; }
VB
'Declaration
Protected Read Property verticalAlign As String

アクセス

読み取り専用。


VerticalAxisRatio プロパティ (FlexCartesianChart)

クラス

FlexCartesianChart.

処理

[読み取り専用] 垂直軸の幅の制限。

制限は、軸の幅とこの割合を掛けた値です。 デフォルト値は 0.33 です。

構文

C#
protected Double verticalAxisRatio { get; }
VB
'Declaration
Protected Read Property verticalAxisRatio As Double

アクセス

読み取り専用。


VerticalGap プロパティ (FlexAccordion)

クラス

FlexAccordion.

処理

[読み取り専用] 子同士の垂直方向の間隔を示すピクセル数。

デフォルト値は -1 で、この場合、隣接するヘッダーの上境界線と下境界線が重なります。

構文

C#
protected Double verticalGap { get; }
VB
'Declaration
Protected Read Property verticalGap As Double

アクセス

読み取り専用。


VerticalGap プロパティ (FlexChartLegend)

クラス

FlexChartLegend.

処理

[読み取り専用] 子同士の垂直方向の間隔を示すピクセル数。 デフォルト値はコンポーネントのクラスに応じて異なります。クラスでオーバーライドされない場合のデフォルト値は 6 です。

構文

C#
protected Integer verticalGap { get; }
VB
'Declaration
Protected Read Property verticalGap As Integer

アクセス

読み取り専用。


VerticalGridLineColor プロパティ (FlexAdvancedDataGrid)

クラス

FlexAdvancedDataGrid.

処理

[読み取り専用] 垂直グリッド線の色。 デフォルト値は 0x666666 です。

構文

C#
protected Color verticalGridLineColor { get; }
VB
'Declaration
Protected Read Property verticalGridLineColor As Color

アクセス

読み取り専用。


VerticalGridLineColor プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 垂直グリッド線の色。 デフォルト値は 0x666666 です。

構文

C#
protected Color verticalGridLineColor { get; }
VB
'Declaration
Protected Read Property verticalGridLineColor As Color

アクセス

読み取り専用。


VerticalGridLines プロパティ (FlexDataGrid)

クラス

FlexDataGrid.

処理

[読み取り専用] 列の間に垂直グリッド線を表示するかどうか。

true の場合、データ グリッドは垂直グリッド線を表示します。 false の場合、データ グリッドは垂直グリッド線を表示しません。 デフォルト値は true です。

構文

C#
protected Boolean verticalGridLines { get; }
VB
'Declaration
Protected Read Property verticalGridLines As Boolean

アクセス

読み取り専用。


VerticalScrollPosition プロパティ (SparkGroupBase)

クラス

SparkGroupBase.

処理

[読み取り専用] コンポーネントの座標系における、ビューポートの原点の y 座標を取得します。デフォルト値は (0,0) であり、コンポーネントの左上隅。

構文

C#
protected Double verticalScrollPosition { get; }
VB
'Declaration
Protected Read Property verticalScrollPosition As Double

アクセス

読み取り専用。


VerticalScrollPosition プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] テキストを縦にスクロールするピクセル数。

構文

C#
protected Double verticalScrollPosition { get; }
VB
'Declaration
Protected Read Property verticalScrollPosition As Double

アクセス

読み取り専用。


ViewSourceURL プロパティ (SparkApplication)

クラス

SparkApplication.

処理

[読み取り専用] アプリケーションのソースを参照できる URL。

構文

C#
protected String viewSourceURL { get; }
VB
'Declaration
Protected Read Property viewSourceURL As String

アクセス

読み取り専用。


Visible プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 表示オブジェクトが可視かどうか。

可視でない表示オブジェクトは無効化されます。 たとえば、InteractiveObject インスタンスに対して visible=false を設定すると、クリックできなくなります。

構文

C#
protected Boolean visible { get; }
VB
'Declaration
Protected Read Property visible As Boolean

アクセス

読み取り専用。


Volume プロパティ (FlexVideoDisplay)

クラス

FlexVideoDisplay.

処理

[読み取り専用] ボリューム レベル。0 から 1 の範囲の値で指定します。 デフォルト値は 0.75 です。

構文

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

アクセス

読み取り専用。


Volume プロパティ (SparkMuteButton)

クラス

SparkMuteButton.

処理

[読み取り専用] コントロールのボリューム。

構文

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

アクセス

読み取り専用。


Volume プロパティ (SparkVideoDisplay)

クラス

SparkVideoDisplay.

処理

[読み取り専用] ボリューム レベル。0 から 1 の範囲の値で指定します。

構文

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

アクセス

読み取り専用。


Volume プロパティ (SparkVideoPlayer)

クラス

SparkVideoPlayer.

処理

[読み取り専用] ボリューム レベル。0 から 1 の範囲の値で指定します。

構文

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

アクセス

読み取り専用。


WidthInChars プロパティ (SparkRichEditableText)

クラス

SparkRichEditableText.

処理

[読み取り専用] em 単位で測定されたコントロールのデフォルトの幅。

構文

C#
protected Double widthInChars { get; }
VB
'Declaration
Protected Read Property widthInChars As Double

アクセス

読み取り専用。


WidthInChars プロパティ (SparkTextArea)

クラス

SparkTextArea.

処理

[読み取り専用] em 単位で測定されたコントロールのデフォルトの幅。

構文

C#
protected Double widthInChars { get; }
VB
'Declaration
Protected Read Property widthInChars As Double

アクセス

読み取り専用。


WidthInChars プロパティ (SparkTextInput)

クラス

SparkTextInput.

処理

[読み取り専用] em 単位で測定されたコントロールのデフォルトの幅。

構文

C#
protected Double widthInChars { get; }
VB
'Declaration
Protected Read Property widthInChars As Double

アクセス

読み取り専用。


Width プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 表示オブジェクトの幅（ピクセル単位）。

幅は表示オブジェクトの内容の境界に基づいて計算されます。 width プロパティを設定すると、scaleX プロパティがその値に従って調節されます。

構文

C#
protected Double width { get; }
VB
'Declaration
Protected Read Property width As Double

アクセス

読み取り専用。


WordWrap プロパティ (FlexListBase)

クラス

FlexListBase.

処理

[読み取り専用] 行内のテキストを折り返すかどうか。

true の場合、行内のテキストの折り返しが有効になります。 variableRowHeight プロパティも true の場合にのみ有効です。

デフォルト値は false です。

構文

C#
protected Boolean wordWrap { get; }
VB
'Declaration
Protected Read Property wordWrap As Boolean

アクセス

読み取り専用。


WordWrap プロパティ (FlexTextArea)

クラス

FlexTextArea.

処理

[読み取り専用] 行内のテキストを折り返すかどうか。

true の場合、行内のテキストの折り返しが有効になります。 variableRowHeight プロパティも true の場合にのみ有効です。 デフォルト値は false です。

構文

C#
protected Boolean wordWrap { get; }
VB
'Declaration
Protected Read Property wordWrap As Boolean

アクセス

読み取り専用。


XField プロパティ (FlexAreaSeries)

クラス

FlexAreaSeries.

処理

[読み取り専用] 水平軸上のデータ ポイントの位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、データ ポイントはデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] 各横棒の先端の x 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、BarSeries はデータ プロバイダーが数値の配列であると見なし、数値を値として使用します。

デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexBubbleSeries)

クラス

FlexBubbleSeries.

処理

[読み取り専用] 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合は、データ ポイントはデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] 縦棒の x 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、縦棒はデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexHLOCSeriesBase)

クラス

FlexHLOCSeriesBase.

処理

[読み取り専用] 要素の x 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、データ ポイントはデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexLineSeries)

クラス

FlexLineSeries.

処理

[読み取り専用] 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、データ ポイントはデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


XField プロパティ (FlexPlotSeries)

クラス

FlexPlotSeries.

処理

[読み取り専用] 各データ ポイントの x 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合は、データ ポイントはデータ プロバイダーに表示される順序でレンダリングされます。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

アクセス

読み取り専用。


X プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの x 座標。

変形されている DisplayObjectContainer にオブジェクトが含まれる場合、そのオブジェクトの座標系は、それを囲む DisplayObjectContainer のローカル座標系になります。 したがって、反時計回りに 90 度回転した DisplayObjectContainer の場合、その DisplayObjectContainer の子は、反時計回りに 90 度回転した座標系を継承します。 オブジェクトの座標は、基準点の位置を参照します。

構文

C#
protected Double x { get; }
VB
'Declaration
Protected Read Property x As Double

アクセス

読み取り専用。


YearNavigationEnabled プロパティ (FlexDateChooser)

クラス

FlexDateChooser.

処理

[読み取り専用] 年ナビゲーションを有効かどうか。

true である場合、表示された年の右側に上下のボタンが表示されます。 これらのボタンを使用して、現在の年を変更できます。 これらのボタンは、年を月の前に置く日付形式を使用するロケールでは、年の左側に表示されます。

デフォルト値は false です。

構文

C#
protected Boolean yearNavigationEnabled { get; }
VB
'Declaration
Protected Read Property yearNavigationEnabled As Boolean

アクセス

読み取り専用。


YearNavigationEnabled プロパティ (FlexDateField)

クラス

FlexDateField.

処理

[読み取り専用] 年のナビゲーション用上下ボタンが利用可能かどうか。

true である場合、表示された年の右側に上下のボタンが表示されます。 これらのボタンを使用して、現在の年を変更できます。 これらのボタンは、年を月の前に置く日付形式を使用するロケールでは、年の左側に表示されます。 デフォルト値は false です。

構文

C#
protected Boolean yearNavigationEnabled { get; }
VB
'Declaration
Protected Read Property yearNavigationEnabled As Boolean

アクセス

読み取り専用。


YField プロパティ (FlexAreaSeries)

クラス

FlexAreaSeries.

処理

[読み取り専用] 垂直軸上のデータ ポイントの位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、AreaSeries は dataProvider が数値の配列であると見なし、数値をデータ ポイントの値として使用します。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


YField プロパティ (FlexBarSeries)

クラス

FlexBarSeries.

処理

[読み取り専用] グラフ内の各横棒の終端の y 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、データ プロバイダー内のデータの順序で横棒が配置されます。

デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


YField プロパティ (FlexBubbleSeries)

クラス

FlexBubbleSeries.

処理

[読み取り専用] 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、BubbleSeries は dataProvider が数値の配列であると見なし、数値をデータ ポイントの値として使用します。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


YField プロパティ (FlexColumnSeries)

クラス

FlexColumnSeries.

処理

[読み取り専用] 縦棒上端の y 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、ColumnSeries はデータ プロバイダーが数値の配列であると見なし、数値を値として使用します。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


YField プロパティ (FlexLineSeries)

クラス

FlexLineSeries.

処理

[読み取り専用] 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、LineSeries はデータ プロバイダーが数値の配列であると見なし、数値を値として使用します。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


YField プロパティ (FlexPlotSeries)

クラス

FlexPlotSeries.

処理

[読み取り専用] 各データ ポイントの y 軸の位置を決定するデータ プロバイダーのフィールド。

null (Visual Basic では Nothing) の場合、PlotSeries はデータ プロバイダーが数値の配列であると見なし、数値を値として使用します。 デフォルト値は null (Visual Basic では Nothing) です。

構文

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

アクセス

読み取り専用。


Y プロパティ (FlexDisplayObject)

クラス

FlexDisplayObject.

処理

[読み取り専用] 親 DisplayObjectContainer のローカル座標を基準にした DisplayObject インスタンスの y 座標。

変形されている DisplayObjectContainer にオブジェクトが含まれる場合、そのオブジェクトの座標系は、それを囲む DisplayObjectContainer のローカル座標系になります。 したがって、反時計回りに 90 度回転した DisplayObjectContainer の場合、その DisplayObjectContainer の子は、反時計回りに 90 度回転した座標系を継承します。 オブジェクトの座標は、基準点の位置を参照します。

構文

C#
protected Double y { get; }
VB
'Declaration
Protected Read Property y As Double

アクセス

読み取り専用。


AlwaysShowScrollBars プロパティ (ScrolledComposite)

クラス

ScrolledComposite.

処理

[読み書き可能] スクロール バーが表示されるかどうか。

構文

C#
protected Boolean AlwaysShowScrollBars { get; set; }
VB
'Declaration
Protected ReadWrite Property AlwaysShowScrollBars As Boolean

アクセス

読み書き。


Bottom プロパティ (CBanner)

クラス

CBanner.

処理

[読み取り専用] バナーの下部にあるコントロール。

構文

C#
protected TestObject Bottom { get; }
VB
'Declaration
Protected Read Property Bottom As TestObject

アクセス

読み取り専用。


Close メソッド (CTabFolder)

クラス

CTabFolder.

処理

表示されているページを閉じます。

構文

C#
cTabFolder.Close(item)
VB
cTabFolder.Close(item)
変数 | 説明
item | 閉じるページ。 ItemIdentifier。


Close メソッド (CTabItem)

クラス

CTabItem.

処理

表示されているタブを閉じます。

構文

C#
cTabItem.Close()
VB
cTabItem.Close()


Collapse メソッド (ExpandBar)

クラス

ExpandBar.

処理

ExpandBar を折りたたみます。

構文

C#
expandBar.Collapse(item)
VB
expandBar.Collapse(item)
変数 | 説明
item | 折りたたむ項目。 ItemIdentifier。


Collapse メソッド (ExpandItem)

クラス

ExpandItem.

処理

展開可能な項目を折りたたみます。

構文

C#
expandItem.Collapse()
VB
expandItem.Collapse()


ColumnCount プロパティ (SWTTree)

クラス

SWTTree.

処理

[読み取り専用] ツリーの列の数。

構文

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


Columns プロパティ (SWTTree)

クラス

SWTTree.

処理

[読み取り専用] ツリーの列のリスト。

構文

C#
protected List(Of SWTTreeColumn) Columns { get; }
VB
'Declaration
Protected Read Property Columns As List(Of SWTTreeColumn)

アクセス

読み取り専用。


Content プロパティ (CoolItem)

クラス

CoolItem.

処理

[読み取り専用] 動的に配置することができる領域のコンテンツ。

構文

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

アクセス

読み取り専用。


Content プロパティ (ExpandItem)

クラス

ExpandItem.

処理

[読み取り専用] 項目のコンテンツ。

構文

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

アクセス

読み取り専用。


Content プロパティ (ScrolledComposite)

クラス

ScrolledComposite.

処理

[読み取り専用] 動的に配置することができる領域のコンテンツ。

構文

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

アクセス

読み取り専用。


Content プロパティ (ViewForm)

クラス

ViewForm.

処理

[読み取り専用] 動的に配置することができる領域のコンテンツ。

構文

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

アクセス

読み取り専用。


CurrentDate プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 現在の日付。

構文

C#
protected DateTime? CurrentDate { get; set; }
VB
'Declaration
Protected ReadWrite Property CurrentDate As DateTime?

アクセス

読み書き。


Day プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 日。

構文

C#
protected Integer Day { get; set; }
VB
'Declaration
Protected ReadWrite Property Day As Integer

アクセス

読み書き。


Decrement メソッド (Spinner)

クラス

Spinner.

処理

Spinner コントロールが押されたときに値を減少させます。

構文

C#
spinner.Decrement([value])
VB
spinner.Decrement([value])
変数 | 説明
value | 省略可能: 減少させる量。 デフォルト値は '1' です。 Integer。


Editable プロパティ (StyledText)

クラス

StyledText.

処理

[読み書き可能] テキストが編集可能かどうか。

構文

C#
protected Boolean Editable { get; set; }
VB
'Declaration
Protected ReadWrite Property Editable As Boolean

アクセス

読み書き。


ExpandedItems プロパティ (ExpandBar)

クラス

ExpandBar.

処理

[読み取り専用] 展開される項目のリスト。

構文

C#
protected List(Of ExpandItem) ExpandedItems { get; }
VB
'Declaration
Protected Read Property ExpandedItems As List(Of ExpandItem)

アクセス

読み取り専用。


Expanded プロパティ (ExpandItem)

クラス

ExpandItem.

処理

[読み書き可能] 項目が展開されているかどうか。

構文

C#
protected Boolean Expanded { get; set; }
VB
'Declaration
Protected ReadWrite Property Expanded As Boolean

アクセス

読み書き。


Expand メソッド (ExpandBar)

クラス

ExpandBar.

処理

ExpandBar を展開します。

構文

C#
expandBar.Expand(item)
VB
expandBar.Expand(item)
変数 | 説明
item | 展開する項目。 ItemIdentifier。


Expand メソッド (ExpandItem)

クラス

ExpandItem.

処理

展開可能な項目を展開します。

構文

C#
expandItem.Expand()
VB
expandItem.Expand()


ExtendSelect メソッド (SWTTree)

クラス

SWTTree.

処理

選択範囲を拡張して項目の範囲を選択します。

構文

C#
tree.ExtendSelect(itemPath)
VB
tree.ExtendSelect(itemPath)
変数 | 説明
itemPath | 選択する項目。 ItemPath。


GetContentsOfColumn メソッド (SWTTree)

クラス

SWTTree.

処理

指定した列のコンテンツをリストとして取得します 最初の列より後ろの列のコンテンツを取得するには、rawMode と column パラメーターを指定する必要があります。

構文

C#
contentsOfColumn = tree.GetContentsOfColumn(rawMode, [column])
VB
contentsOfColumn = tree.GetContentsOfColumn(rawMode, [column])
変数 | 説明
contentsOfColumn | List(Of String)。
rawMode | true の場合、項目から空白類を取り除きません。 Boolean。
column | 省略可能: コンテンツの取得を始める列。 The value is zero-based.。 Integer。

例

VB

tree.GetContentsOfColumn(true,3)


GetItemsOfColumn メソッド (SWTTree)

クラス

SWTTree.

処理

指定した列の項目をツリーから取得します。

構文

C#
itemsOfColumn = tree.GetItemsOfColumn([allItems, column])
VB
itemsOfColumn = tree.GetItemsOfColumn([allItems, column])
変数 | 説明
itemsOfColumn | TreeContent。
allItems | 省略可能: true の場合、非表示項目も結果に含まれます。 Boolean。
column | 省略可能: 項目の取得を始める列。 The value is zero-based.。 Integer。


GetSelectedTextOfColumn メソッド (SWTTree)

クラス

SWTTree.

処理

指定した列から選択したテキストを取得します。

構文

C#
selectedTextOfColumn = tree.GetSelectedTextOfColumn([column])
VB
selectedTextOfColumn = tree.GetSelectedTextOfColumn([column])
変数 | 説明
selectedTextOfColumn | String。
column | 省略可能: テキストを取得する列。 The value is zero-based.。 Integer。


Horizontal プロパティ (SashForm)

クラス

SashForm.

処理

[読み書き可能] 分割方向が水平かどうか。

構文

C#
protected Boolean Horizontal { get; set; }
VB
'Declaration
Protected ReadWrite Property Horizontal As Boolean

アクセス

読み書き。


Hours プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 時。

構文

C#
protected Integer Hours { get; set; }
VB
'Declaration
Protected ReadWrite Property Hours As Integer

アクセス

読み書き。


IncrementCount プロパティ (Spinner)

クラス

Spinner.

処理

[読み書き可能] Spinner コントロールを押下することによって増加する位置の量。

構文

C#
protected Integer IncrementCount { get; set; }
VB
'Declaration
Protected ReadWrite Property IncrementCount As Integer

アクセス

読み書き。


Increment メソッド (Spinner)

クラス

Spinner.

処理

Spinner コントロールが押されたときに値を増加させます。

構文

C#
spinner.Increment([value])
VB
spinner.Increment([value])
変数 | 説明
value | 省略可能: 増加させる量。 デフォルト値は '1' です。 Integer。


ItemCount プロパティ (CoolBar)

クラス

CoolBar.

処理

[読み取り専用] CoolBar の項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (CTabFolder)

クラス

CTabFolder.

処理

[読み取り専用] タブ フォルダーの項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (ExpandBar)

クラス

ExpandBar.

処理

[読み取り専用] ExpandBar の項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


Items プロパティ (CoolBar)

クラス

CoolBar.

処理

[読み取り専用] CoolBar の項目のリスト。

構文

C#
protected List(Of CoolItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of CoolItem)

アクセス

読み取り専用。


Items プロパティ (CTabFolder)

クラス

CTabFolder.

処理

[読み取り専用] タブ フォルダーの項目のリスト。

構文

C#
protected List(Of CTabItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of CTabItem)

アクセス

読み取り専用。


Items プロパティ (ExpandBar)

クラス

ExpandBar.

処理

[読み取り専用] ExpandBar の項目のリスト。

構文

C#
protected List(Of ExpandItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ExpandItem)

アクセス

読み取り専用。


Left プロパティ (CBanner)

クラス

CBanner.

処理

[読み取り専用] バナーの左側にあるコントロール。

構文

C#
protected TestObject Left { get; }
VB
'Declaration
Protected Read Property Left As TestObject

アクセス

読み取り専用。


MaximizedControl プロパティ (SashForm)

クラス

SashForm.

処理

[読み取り専用] フォーム上で最大化されている画面分割ウィンドウ。

構文

C#
protected TestObject MaximizedControl { get; }
VB
'Declaration
Protected Read Property MaximizedControl As TestObject

アクセス

読み取り専用。


Maximize メソッド (CTabFolder)

クラス

CTabFolder.

処理

CTabFolder をそのフル サイズ（最大化）になるようにサイズを変更します。

構文

C#
cTabFolder.Maximize()
VB
cTabFolder.Maximize()


Minimize メソッド (CTabFolder)

クラス

CTabFolder.

処理

CTabFolder を可能な最小のサイズになるようにサイズを変更します。

構文

C#
cTabFolder.Minimize()
VB
cTabFolder.Minimize()


Minutes プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 分。

構文

C#
protected Integer Minutes { get; set; }
VB
'Declaration
Protected ReadWrite Property Minutes As Integer

アクセス

読み書き。


Month プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 月。

構文

C#
protected Integer Month { get; set; }
VB
'Declaration
Protected ReadWrite Property Month As Integer

アクセス

読み書き。


Move メソッド (Sash)

クラス

Sash.

処理

画面分割の境界のウィンドウ ペインを移動します。

構文

C#
sash.Move(amount)
VB
sash.Move(amount)
変数 | 説明
amount | ウィンドウ ペインを移動するピクセル数。 Integer。


MultiSelect メソッド (SWTTree)

クラス

SWTTree.

処理

ツリーの項目を選択項目の集合に追加します。

構文

C#
tree.MultiSelect(itemPath)
VB
tree.MultiSelect(itemPath)
変数 | 説明
itemPath | 選択する項目。 ItemPath。


MultiUnselect メソッド (SWTTree)

クラス

SWTTree.

処理

ツリーの項目を選択項目の集合から削除します。

構文

C#
tree.MultiUnselect(itemPath)
VB
tree.MultiUnselect(itemPath)
変数 | 説明
itemPath | 選択する項目。 ItemPath。


Origin プロパティ (ScrolledComposite)

クラス

ScrolledComposite.

処理

[読み書き可能] ScrolledComposite の左上隅に現在表示されているコンテンツの位置。

構文

C#
protected Point Origin { get; set; }
VB
'Declaration
Protected ReadWrite Property Origin As Point

アクセス

読み書き。


PageDecrement メソッド (Spinner)

クラス

Spinner.

処理

Spinner コントロールが押されたときにページ単位で値を減少させます。

構文

C#
spinner.PageDecrement([value])
VB
spinner.PageDecrement([value])
変数 | 説明
value | 省略可能: 減少させるページ量。 デフォルト値は '1' です。 Integer。


PageIncrement メソッド (Spinner)

クラス

Spinner.

処理

Spinner コントロールが押されたときにページ単位で値を増加させます。

構文

C#
spinner.PageIncrement([value])
VB
spinner.PageIncrement([value])
変数 | 説明
value | 省略可能: 増加させるページ量。 デフォルト値は '1' です。 Integer。


PageSize プロパティ (Spinner)

クラス

Spinner.

処理

[読み書き可能] Spinner コントロールの内部ページ サイズ。

構文

C#
protected Integer PageSize { get; set; }
VB
'Declaration
Protected ReadWrite Property PageSize As Integer

アクセス

読み書き。


Position プロパティ (Spinner)

クラス

Spinner.

処理

[読み書き可能] アップダウン コントロールの位置。

構文

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

アクセス

読み書き。


Range プロパティ (Spinner)

クラス

Spinner.

処理

[読み書き可能] Spinner コントロールの範囲。

構文

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

アクセス

読み書き。


Resize メソッド (SWTTreeColumn)

クラス

SWTTreeColumn.

処理

ツリーの列のサイズを変更します。

構文

C#
treeColumn.Resize(width)
VB
treeColumn.Resize(width)
変数 | 説明
width | 行の新しい幅（ピクセル）。 Integer。


Restore メソッド (CTabFolder)

クラス

CTabFolder.

処理

CTabFolder を元のサイズに戻します。

構文

C#
cTabFolder.Restore()
VB
cTabFolder.Restore()


RightMinimumSize プロパティ (CBanner)

クラス

CBanner.

処理

[読み書き可能] バナーの右側にあるコントロールの最小サイズ。

構文

C#
protected Point RightMinimumSize { get; set; }
VB
'Declaration
Protected ReadWrite Property RightMinimumSize As Point

アクセス

読み書き。


Right プロパティ (CBanner)

クラス

CBanner.

処理

[読み取り専用] バナーの右側にあるコントロール。

構文

C#
protected TestObject Right { get; }
VB
'Declaration
Protected Read Property Right As TestObject

アクセス

読み取り専用。


RightWidth プロパティ (CBanner)

クラス

CBanner.

処理

[読み書き可能] バナーの右側にあるコントロールの幅。

構文

C#
protected Integer RightWidth { get; set; }
VB
'Declaration
Protected ReadWrite Property RightWidth As Integer

アクセス

読み書き。


Seconds プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 秒。

構文

C#
protected Integer Seconds { get; set; }
VB
'Declaration
Protected ReadWrite Property Seconds As Integer

アクセス

読み書き。


SelectedIndex プロパティ (CTabFolder)

クラス

CTabFolder.

処理

[読み書き可能] 選択する項目のインデックス。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedItem プロパティ (CTabFolder)

クラス

CTabFolder.

処理

[読み取り専用] 選択したタブ項目。

構文

C#
protected CTabItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As CTabItem

アクセス

読み取り専用。


SelectedItemText プロパティ (CTabFolder)

クラス

CTabFolder.

処理

[読み取り専用] 選択されている項目のテキスト。項目が選択されていない場合は空の文字列を返します。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


Selected プロパティ (CTabItem)

クラス

CTabItem.

処理

[読み書き可能] 項目が選択されているかどうか。

構文

C#
protected Boolean Selected { get; set; }
VB
'Declaration
Protected ReadWrite Property Selected As Boolean

アクセス

読み書き。


Selected プロパティ (SWTTabItem)

クラス

SWTTabItem.

処理

[読み書き可能] 項目が選択されているかどうか。

構文

C#
protected Boolean Selected { get; set; }
VB
'Declaration
Protected ReadWrite Property Selected As Boolean

アクセス

読み書き。


SelectedTabItem プロパティ (SWTTabControl)

クラス

SWTTabControl.

処理

[読み取り専用] 選択する項目の名前。

構文

C#
protected SWTTabItem SelectedTabItem { get; }
VB
'Declaration
Protected Read Property SelectedTabItem As SWTTabItem

アクセス

読み取り専用。


SelectList メソッド (CTabFolder)

クラス

CTabFolder.

処理

1 つ以上の項目をタブで選択します。

構文

C#
cTabFolder.SelectList()
VB
cTabFolder.SelectList()


Select メソッド (CTabFolder)

クラス

CTabFolder.

処理

CTabFolder から項目を選択します。

構文

C#
cTabFolder.Select(item)
VB
cTabFolder.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (CTabItem)

クラス

CTabItem.

処理

タブを選択します。

構文

C#
cTabItem.Select()
VB
cTabItem.Select()


Select メソッド (SWTDateTime)

クラス

SWTDateTime.

処理

日付および時間を選択します。

構文

C#
dateTime.Select(selectedDate)
VB
dateTime.Select(selectedDate)
変数 | 説明
selectedDate | 選択する日付および時間。 DateTime?。


Select メソッド (SWTTabItem)

クラス

SWTTabItem.

処理

タブを選択します。

構文

C#
tabItem.Select()
VB
tabItem.Select()


Select メソッド (SWTTreeColumn)

クラス

SWTTreeColumn.

処理

ツリーの列を選択します。

構文

C#
treeColumn.Select()
VB
treeColumn.Select()


SetValue メソッド (Spinner)

クラス

Spinner.

処理

Spinner コントロールの値を設定します。

構文

C#
spinner.SetValue(value)
VB
spinner.SetValue(value)
変数 | 説明
value | 新しい値。 Integer。


Simple プロパティ (CBanner)

クラス

CBanner.

処理

[読み書き可能] バナーをシンプル、つまり従来の形状でレンダリングするかどうか。

構文

C#
protected Boolean Simple { get; set; }
VB
'Declaration
Protected ReadWrite Property Simple As Boolean

アクセス

読み書き。


TabItems プロパティ (SWTTabControl)

クラス

SWTTabControl.

処理

[読み取り専用] タブ コントロールの TabItem のリスト。

構文

C#
protected List(Of SWTTabItem) TabItems { get; }
VB
'Declaration
Protected Read Property TabItems As List(Of SWTTabItem)

アクセス

読み取り専用。


TopCenter プロパティ (ViewForm)

クラス

ViewForm.

処理

[読み取り専用] ペインの中央上にあるウィンドウ。

構文

C#
protected TestObject TopCenter { get; }
VB
'Declaration
Protected Read Property TopCenter As TestObject

アクセス

読み取り専用。


TopLeft プロパティ (ViewForm)

クラス

ViewForm.

処理

[読み取り専用] ペインの左上にあるウィンドウ。

構文

C#
protected TestObject TopLeft { get; }
VB
'Declaration
Protected Read Property TopLeft As TestObject

アクセス

読み取り専用。


TopRight プロパティ (ViewForm)

クラス

ViewForm.

処理

[読み取り専用] ペインの右上にあるウィンドウ。

構文

C#
protected TestObject TopRight { get; }
VB
'Declaration
Protected Read Property TopRight As TestObject

アクセス

読み取り専用。


Vertical プロパティ (SashForm)

クラス

SashForm.

処理

[読み書き可能] 分割方向が垂直かどうか。

構文

C#
protected Boolean Vertical { get; set; }
VB
'Declaration
Protected ReadWrite Property Vertical As Boolean

アクセス

読み書き。


Weights プロパティ (SashForm)

クラス

SashForm.

処理

[読み書き可能] SashForm ウィンドウの子の相対的なサイズ。

構文

C#
protected List(Of Integer) Weights { get; set; }
VB
'Declaration
Protected ReadWrite Property Weights As List(Of Integer)

アクセス

読み書き。


Width プロパティ (SWTTreeColumn)

クラス

SWTTreeColumn.

処理

[読み書き可能] 列の幅。

構文

C#
protected Integer Width { get; set; }
VB
'Declaration
Protected ReadWrite Property Width As Integer

アクセス

読み書き。


Year プロパティ (SWTDateTime)

クラス

SWTDateTime.

処理

[読み書き可能] 年。

構文

C#
protected Integer Year { get; set; }
VB
'Declaration
Protected ReadWrite Property Year As Integer

アクセス

読み書き。


ClearText メソッド (MobileTextField)

クラス

MobileTextField.

処理

テキスト フィールドのすべてのコンテンツをクリアします。

構文

C#
textField.ClearText()
VB
textField.ClearText()


Click メソッド (IMobileClickable)

クラス

IMobileClickable.

処理

デバイスの指定した座標をクリックします。

構文

C#
iMobileClickable.Click([position])
VB
iMobileClickable.Click([position])
変数 | 説明
position | 省略可能: クリックする座標。 Point。


CloseApp メソッド (MobileDevice)

クラス

MobileDevice.

処理

アプリを閉じてデバイスを開放し、ほかのユーザーが使用できるようにします。

構文

C#
device.CloseApp()
VB
device.CloseApp()


DeviceId プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] 現在の接続に対するデバイスの ID。

構文

C#
protected String DeviceId { get; }
VB
'Declaration
Protected Read Property DeviceId As String

アクセス

読み取り専用。


DisplayHeight プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] ディスプレイの高さ (ピクセル単位)。

構文

C#
protected Integer DisplayHeight { get; }
VB
'Declaration
Protected Read Property DisplayHeight As Integer

アクセス

読み取り専用。


DisplayOrientation プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] デバイスの現在の向き。

構文

C#
protected DisplayOrientation DisplayOrientation { get; }
VB
'Declaration
Protected Read Property DisplayOrientation As DisplayOrientation

アクセス

読み取り専用。


DisplayWidth プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] ディスプレイの幅 (ピクセル単位)。

構文

C#
protected Integer DisplayWidth { get; }
VB
'Declaration
Protected Read Property DisplayWidth As Integer

アクセス

読み取り専用。


DoubleClick メソッド (IMobileClickable)

クラス

IMobileClickable.

処理

デバイスの指定した座標をダブルクリックします。

構文

C#
iMobileClickable.DoubleClick([position])
VB
iMobileClickable.DoubleClick([position])
変数 | 説明
position | 省略可能: ダブルクリックする座標。 Point。


Drag メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

2 つの指定したポイント間でドラッグ操作を実行します。

構文

C#
iMobileGestures.Drag(start, end)
VB
iMobileGestures.Drag(start, end)
変数 | 説明
start | ドラッグ操作の開始ポイント。 Point。
end | ドラッグ操作の終了ポイント。 Point。


DragTo メソッド (MobileObject)

クラス

MobileObject.

処理

モバイル デバイスに相対的な指定したポイントにこのオブジェクトをドラッグします。

構文

C#
object.DragTo(destination)
VB
object.DragTo(destination)
変数 | 説明
destination | モバイル デバイスに相対的なドラッグ先。 Point。


DragToObject メソッド (MobileObject)

クラス

MobileObject.

処理

指定したドラッグ先オブジェクトにこのオブジェクトをドラッグします。

構文

C#
object.DragToObject(destination)
VB
object.DragToObject(destination)
変数 | 説明
destination | ドラッグ先オブジェクト。 MobileObject。


GenerateConnectionString メソッド (MobileDevice)

クラス

MobileDevice.

処理

このモバイル デバイス用の接続文字列を生成します。

構文

C#
result = device.GenerateConnectionString()
VB
result = device.GenerateConnectionString()
変数 | 説明
result | String。


IsEmulator プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] 接続したデバイスがエミュレーターかどうか。

構文

C#
protected Boolean IsEmulator { get; }
VB
'Declaration
Protected Read Property IsEmulator As Boolean

アクセス

読み取り専用。


IsEnabled プロパティ (MobileObject)

クラス

MobileObject.

処理

[読み取り専用] モバイル オブジェクトが有効かどうか。

構文

C#
protected Boolean IsEnabled { get; }
VB
'Declaration
Protected Read Property IsEnabled As Boolean

アクセス

読み取り専用。


IsFocused プロパティ (MobileObject)

クラス

MobileObject.

処理

[読み取り専用] モバイル オブジェクトがフォーカスを持っているかどうか。 このプロパティは iOS ではサポートされません。

構文

C#
protected Boolean IsFocused { get; }
VB
'Declaration
Protected Read Property IsFocused As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (MobileObject)

クラス

MobileObject.

処理

[読み取り専用] モバイル オブジェクトが選択またはチェックされているかどうか。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


LongClick メソッド (IMobileClickable)

クラス

IMobileClickable.

処理

デバイスの指定した座標をロングクリックします。

構文

C#
iMobileClickable.LongClick([position, timeDuration])
VB
iMobileClickable.LongClick([position, timeDuration])
変数 | 説明
position | 省略可能: ロングクリックする座標。 Point。
timeDuration | 省略可能: ロングクリックの長押し時間 (ミリ秒)。 Integer。


Model プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] 接続したデバイスのデバイス名。

構文

C#
protected String Model { get; }
VB
'Declaration
Protected Read Property Model As String

アクセス

読み取り専用。


MultiTouch メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

指定したポインターを使ったマルチタッチ操作を実行します。 すべての指定したポインターに対して、同時にスワイプ操作が実行されます。

構文

C#
iMobileGestures.MultiTouch(pointers)
VB
iMobileGestures.MultiTouch(pointers)
変数 | 説明
pointers | タッチ パスを表すポイントのリストを含んだすべてのポインターのリスト。 List(Of List(Of Point ))。


OperatingSystem プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] モバイル デバイスのオペレーティング システム (Android または iOS)。

構文

C#
protected MobileOperatingSystem OperatingSystem { get; }
VB
'Declaration
Protected Read Property OperatingSystem As MobileOperatingSystem

アクセス

読み取り専用。


OsVersion プロパティ (MobileDevice)

クラス

MobileDevice.

処理

[読み取り専用] 接続したデバイスのオペレーティング システムのバージョン。

構文

C#
protected String OsVersion { get; }
VB
'Declaration
Protected Read Property OsVersion As String

アクセス

読み取り専用。


PinchIn メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

各ポインターが他方に向かって、このオブジェクトの端から中央へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを拡大表示する場合に相当します。

構文

C#
iMobileGestures.PinchIn([percent])
VB
iMobileGestures.PinchIn([percent])
変数 | 説明
percent | 省略可能: ピンチ ジェスチャを行うオブジェクトの対角線の長さのパーセンテージ。 Integer。


PinchOut メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

各ポインターが他方の反対方向に向かって、このオブジェクトの中央から端へ移動する 2 ポインター ジェスチャを実行します。 たとえば、イメージを縮小表示する場合に相当します。

構文

C#
iMobileGestures.PinchOut([percent])
VB
iMobileGestures.PinchOut([percent])
変数 | 説明
percent | 省略可能: ピンチ ジェスチャを行うオブジェクトの対角線の長さのパーセンテージ。 Integer。


PressBack メソッド (MobileDevice)

クラス

MobileDevice.

処理

戻るボタンを押します。 このメソッドは iOS ではサポートされません。

構文

C#
device.PressBack()
VB
device.PressBack()


PressDelete メソッド (MobileDevice)

クラス

MobileDevice.

処理

削除ボタンを押します。

構文

C#
device.PressDelete()
VB
device.PressDelete()


PressEnter メソッド (MobileDevice)

クラス

MobileDevice.

処理

Enter ボタンを押します。

構文

C#
device.PressEnter()
VB
device.PressEnter()


PressHome メソッド (MobileDevice)

クラス

MobileDevice.

処理

ホーム ボタンを押します。

構文

C#
device.PressHome()
VB
device.PressHome()


PressKeyCode メソッド (MobileDevice)

クラス

MobileDevice.

処理

特定の Android 固有のキー コードを押します。 このメソッドは iOS ではサポートされません。

サポートされている Android キー コードについての詳細は、Appium のドキュメントを参照してください。

構文

C#
device.PressKeyCode(keyCode, [metaState])
VB
device.PressKeyCode(keyCode, [metaState])
変数 | 説明
keyCode | 押下するキー コード。 Integer。
metaState 省略可能: キー コードのメタ状態。 たとえば、次のようになります。
  • 1 = Shift
  • 2 = Alt
  • 4096 = Ctrl
サポートするメタ状態についての詳細は、Appium のドキュメントを参照してください。 Integer。


PressRecentApps メソッド (MobileDevice)

クラス

MobileDevice.

処理

最近使ったアプリケーション ボタンを押します。

構文

C#
device.PressRecentApps()
VB
device.PressRecentApps()


Rotate メソッド (MobileDevice)

クラス

MobileDevice.

処理

デバイス画面の回転をシミュレートします。

構文

C#
device.Rotate(orientation)
VB
device.Rotate(orientation)
変数 | 説明
orientation | デバイス画面の向き。 DisplayOrientation。


ScrollIntoView メソッド (MobileObject)

クラス

MobileObject.

処理

オブジェクトが表示されるまでスクロールします。 指定した方向にスクロール ビューをスワイプしてからオブジェクトを検索することを、オブジェクトが見つかるまで繰り返すことによって実現します。 繰り返し数の上限に到達すると、ObjectNotFoundException がスローされます。

構文

C#
object.ScrollIntoView(locatorString, direction, [repetitions, dragDistance, startPositionOffset])
VB
object.ScrollIntoView(locatorString, direction, [repetitions, dragDistance, startPositionOffset])
変数 | 説明
locatorString | 表示するオブジェクトへのロケーター パス。 String。
direction | オブジェクトが存在すべき検索方向 (スワイプする方向)。 ScrollDirection。
repetitions | 省略可能: 画面をスワイプしてオブジェクトの検索操作を実行する最大繰り返し数。 指定した数を超えると ObjectNotFoundException がスローされます。 Integer。
dragDistance | 省略可能: スワイプする距離を設定します (ピクセル)。 検索中に実行されるスワイプ ジェスチャーの長さを指定します (繰り返しごとに、指定した方向に指定したピクセル数だけスクロール ビューがスワイプされます)。 Integer。
startPositionOffset | 省略可能: 予期しないオブジェクトや要素に触れるのを避けるために、描画を開始するオフセットを設定します。 Point。


SendImeAction メソッド (MobileObject)

クラス

MobileObject.

処理

IME アクションをこのオブジェクトに送信します。

構文

C#
object.SendImeAction(action)
VB
object.SendImeAction(action)
変数 | 説明
action | 送信する IME アクションのタイプを選択します。 String。


SetLocation メソッド (MobileDevice)

クラス

MobileDevice.

処理

デバイスの地理的なロケーションを設定します。このメソッドは、Android デバイス (物理デバイスまたはエミュレーター) および iOS シミュレーター上でのみ機能します。

  • iOS 上のネイティブ モバイル アプリケーションをテストする場合、SetLocation メソッドは iOS シミュレーターのみでサポートされます。物理 iOS デバイスではサポートされません。
  • Android 6.0 以前のバージョンの Android 上のネイティブ モバイル アプリケーションをテストする場合に SetLocation メソッドを使用するには、「擬似ロケーションを許可」をオンにする必要があります。これを行うには、Android デバイスまたはエミュレーターの設定を開き、「開発者向けオプション」をタップします。
  • Android 6.0 以降上のネイティブ モバイル アプリケーションをテストする場合に SetLocation メソッドを使用するには、アプリを Appium Settings に設定する必要があります。これを行うには、Android デバイスまたはエミュレーターの設定を開き、「開発者向けオプション」>「仮の現在地情報アプリを選択」をタップします。そして、Appium Settings を選択します。メモ: Appium Settings 項目は、Android デバイスまたはエミュレーター上で、Appium を使用してテストを実行したことがある場合にのみ表示されます。

構文

C#
device.SetLocation(latitude, longitude)
VB
device.SetLocation(latitude, longitude)
変数 | 説明
latitude | ロケーションの緯度を倍精度浮動小数値として度と分で表します。 Double。
longitude | ロケーションの経度を倍精度浮動小数値として度と分で表します。 Double。


SetText メソッド (MobileTextField)

クラス

MobileTextField.

処理

テキスト フィールド内のテキストを新しいテキストに置換します。

構文

C#
textField.SetText(text)
VB
textField.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


Sleep メソッド (MobileDevice)

クラス

MobileDevice.

処理

スクリーンがオンの場合に電源ボタンを押します。 このメソッドは iOS ではサポートされません。

構文

C#
device.Sleep()
VB
device.Sleep()


SwipeDown メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

下スワイプを実行します。

構文

C#
iMobileGestures.SwipeDown([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeDown([steps, delayBetweenSteps])
変数 | 説明
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


SwipeLeft メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

左スワイプを実行します。

構文

C#
iMobileGestures.SwipeLeft([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeLeft([steps, delayBetweenSteps])
変数 | 説明
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


Swipe メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

2 つの指定したポイント間でスワイプを実行します。

構文

C#
iMobileGestures.Swipe(start, end, [steps, delayBetweenSteps])
VB
iMobileGestures.Swipe(start, end, [steps, delayBetweenSteps])
変数 | 説明
start | スワイプの開始ポイント。 Point。
end | スワイプの終了ポイント。 Point。
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


SwipeRight メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

左スワイプを実行します。

構文

C#
iMobileGestures.SwipeRight([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeRight([steps, delayBetweenSteps])
変数 | 説明
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


SwipeUp メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

上スワイプを実行します。

構文

C#
iMobileGestures.SwipeUp([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeUp([steps, delayBetweenSteps])
変数 | 説明
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


SwipeWithSegments メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

指定したポイント間でスワイプを実行します。

構文

C#
iMobileGestures.SwipeWithSegments(segments, [steps, delayBetweenSteps])
VB
iMobileGestures.SwipeWithSegments(segments, [steps, delayBetweenSteps])
変数 | 説明
segments | スワイプする間隔を示すポイント。 List(Of Point )。
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 スワイプ操作の時間を増やすにはステップ数を増やします。 iOS の場合は、スワイプ操作は常に 1 ステップで実行されます。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


TwoPointerMultiTouch メソッド (IMobileGestures)

クラス

IMobileGestures.

処理

2 つのポインターを使ったマルチタッチ操作を実行します。 2 つのスワイプ操作を同時に実行します。

構文

C#
iMobileGestures.TwoPointerMultiTouch(startPointer1, endPointer1, startPointer2, endPointer2, [steps, delayBetweenSteps])
VB
iMobileGestures.TwoPointerMultiTouch(startPointer1, endPointer1, startPointer2, endPointer2, [steps, delayBetweenSteps])
変数 | 説明
startPointer1 | 最初ポインターの開始ポイント。 Point。
endPointer1 | 最初ポインターの終了ポイント。 Point。
startPointer2 | 2 番目のポインターの開始ポイント。 Point。
endPointer2 | 2 番目のポインターの終了ポイント。 Point。
steps | 省略可能: 指定したポイント間のステップ数。 Android の場合のデフォルトのステップ数は 5 です。 ドラッグ操作の時間を増やすにはステップ数を増やします。 Integer。
delayBetweenSteps | 省略可能: 各スワイプ ステップの遅延（ミリ秒）。 たとえば、スワイプ操作によってアプリケーションがスクロールする際のアプリケーションのスクロール量はスワイプ速度に依存します。 デフォルト値は 5 ミリ秒です。 300 ミリ秒など、この遅延を増やすと、結果の再現性がより高まる場合があります。 Integer。


TypeKeys メソッド (IMobileKeyable)

クラス

IMobileKeyable.

処理

一連のキーストロークをオブジェクトに送信します。

構文

C#
iMobileKeyable.TypeKeys(keys, [delay, ensureFocus])
VB
iMobileKeyable.TypeKeys(keys, [delay, ensureFocus])
変数 | 説明
keys | 入力するキーストローク。 String。
delay | 省略可能: キーストローク間の遅延（ミリ秒）。 Integer。
ensureFocus | 省略可能: モバイル オブジェクトが実際にフォーカスを持つことを保証するかどうかを決定します。 フォーカスは、モバイル オブジェクトの中央をクリックして設定されます。 デフォルトは true です。 Boolean。


TypePasswordKeys メソッド (MobileTextField)

クラス

MobileTextField.

処理

暗号化されたパスワードをテキスト フィールドに入力します。

テキスト フィールドの既存のテキストは、暗号化されたパスワードが入力される前にクリアされます。

構文

C#
textField.TypePasswordKeys(keys, [delay, ensureFocus])
VB
textField.TypePasswordKeys(keys, [delay, ensureFocus])
変数 | 説明
keys | 暗号化されたパスワード。 String。
delay | 省略可能: キーストローク間の遅延（ミリ秒）。 Integer。
ensureFocus | 省略可能: コントロールが実際にキーボード フォーカスを持つことを保証するかどうかを決定します。 デフォルトは true です。 Boolean。


WakeUp メソッド (MobileDevice)

クラス

MobileDevice.

処理

スクリーンがオフの場合に電源ボタンを押します。 このメソッドは iOS ではサポートされません。

構文

C#
device.WakeUp()
VB
device.WakeUp()


AutoEnter プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが AutoEnter フィールドの場合に true を示す値。

構文

C#
protected Boolean AutoEnter { get; }
VB
'Declaration
Protected Read Property AutoEnter As Boolean

アクセス

読み取り専用。


AutoSkip プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが AutoSkip フィールドの場合に true を示す値。

構文

C#
protected Boolean AutoSkip { get; }
VB
'Declaration
Protected Read Property AutoSkip As Boolean

アクセス

読み取り専用。


BackgroundColor プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ディスプレイ コントロールの背景色。

構文

C#
protected Color BackgroundColor { get; }
VB
'Declaration
Protected Read Property BackgroundColor As Color

アクセス

読み取り専用。


CharacterSetId プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ディスプレイ コントロールが使用する文字セット変換テーブルを識別する値。

構文

C#
protected Integer CharacterSetId { get; }
VB
'Declaration
Protected Read Property CharacterSetId As Integer

アクセス

読み取り専用。


Clear メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

「クリア (CLEAR)」キーを送信してスクリーンをクリアします。 synchSendKeys(RumbaKey.CLEAR) と等価です。

構文

C#
screen.Clear()
VB
screen.Clear()


ColumnCount プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] 現在のスクリーンの列数を示す値。

構文

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


Connect メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

現在の構成内のホストに接続します。

構文

C#
screen.Connect([screenUpdateWaitCount, timeout])
VB
screen.Connect([screenUpdateWaitCount, timeout])
変数 | 説明
screenUpdateWaitCount | 省略可能: 最初の安定したスクリーンが次の操作を処理する準備ができるまで待機する必要があるスクリーンの更新数。 デフォルトは 1 です。 screenUpdateWaitCount を 0 にすると、同期は行われずに timeout パラメーターは無視されます。 Integer。
timeout | 省略可能: タイムアウト（ミリ秒）。 デフォルトは 30000ms です。 タイムアウト値に到達すると、例外がスローされます。 Integer。


CursorColumn プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] スクリーン上のカーソルの列の位置。

構文

C#
protected Integer CursorColumn { get; }
VB
'Declaration
Protected Read Property CursorColumn As Integer

アクセス

読み取り専用。


CursorLine プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] スクリーン上のカーソルの行の位置。

構文

C#
protected Integer CursorLine { get; }
VB
'Declaration
Protected Read Property CursorLine As Integer

アクセス

読み取り専用。


CursorPosition プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] スクリーン上の現在のカーソル位置。 X と Y の値は 1 から始まる値です (最初の行または列を表す)。

構文

C#
protected TextPosition CursorPosition { get; }
VB
'Declaration
Protected Read Property CursorPosition As TextPosition

アクセス

読み取り専用。


Detectable プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが検出可能な場合に true を示す値。

構文

C#
protected Boolean Detectable { get; }
VB
'Declaration
Protected Read Property Detectable As Boolean

アクセス

読み取り専用。


Disconnect メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

現在の接続を解除します。

構文

C#
screen.Disconnect()
VB
screen.Disconnect()


Dup プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが Dup フィールドの場合に true を示す値。

構文

C#
protected Boolean Dup { get; }
VB
'Declaration
Protected Read Property Dup As Boolean

アクセス

読み取り専用。


EndColumn プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが終了する列を示す値。

構文

C#
protected Integer EndColumn { get; }
VB
'Declaration
Protected Read Property EndColumn As Integer

アクセス

読み取り専用。


EndLine プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが終了する行を示す値。

構文

C#
protected Integer EndLine { get; }
VB
'Declaration
Protected Read Property EndLine As Integer

アクセス

読み取り専用。


EndPosition プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの終了位置です。

構文

C#
protected Integer EndPosition { get; }
VB
'Declaration
Protected Read Property EndPosition As Integer

アクセス

読み取り専用。


Enptui プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが ENPTUI フィールドの場合に true を示す値。

構文

C#
protected Boolean Enptui { get; }
VB
'Declaration
Protected Read Property Enptui As Boolean

アクセス

読み取り専用。


FieldExitRequired プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドがスクリーンを終了する前に必要とされる場合に true を示す値。

構文

C#
protected Boolean FieldExitRequired { get; }
VB
'Declaration
Protected Read Property FieldExitRequired As Boolean

アクセス

読み取り専用。


GetCharacterAttributes メソッド (RumbaField)

クラス

RumbaField.

処理

このフィールドの文字の文字属性を取得します。

構文

C#
characterAttributes = field.GetCharacterAttributes()
VB
characterAttributes = field.GetCharacterAttributes()
変数 | 説明
characterAttributes | List(Of RumbaCharacterAttribute )。


GetCharacterAttributes メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

指定した位置から始まる、指定した長さの文字に対する文字属性を取得します。

構文

C#
characterAttributes = screen.GetCharacterAttributes(position, length)
VB
characterAttributes = screen.GetCharacterAttributes(position, length)
変数 | 説明
characterAttributes | List(Of RumbaCharacterAttribute )。
position | 取得を開始する位置。 TextPosition。
length | 属性を返す文字の数。 Integer。


GetContent メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

指定したテキスト位置から始まる改行を含まないスクリーンを含んだ文字列を取得します。

座標値は 0 より大きく、対応するスクリーン サイズより小さい値を指定する必要があります。

構文

C#
content = screen.GetContent(fromPosition, [length])
VB
content = screen.GetContent(fromPosition, [length])
変数 | 説明
content | String。
fromPosition | スクリーン上の開始位置。値は 1 から始まります（最初の行または列を表す）。 TextPosition。
length | 省略可能: スクリーン上の読み取る文字の長さ。 -1 より大きい長さを指定する必要があります。 読み取りはスクリーンの終わりで停止します。 省略時には、スクリーンの終わりまでの内容が返されます。 Integer。


GetLines メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

スクリーンの指定範囲を取得し、選択した行を文字列のリストとして返します。

構文

C#
lines = screen.GetLines([fromPosition, toPosition])
VB
lines = screen.GetLines([fromPosition, toPosition])
変数 | 説明
lines | List(Of String)。
fromPosition | 省略可能: スクリーン上の選択範囲の左上の位置。値は 1 から始まります（最初の行または列を表す）。 座標値は 0 より大きく、対応するスクリーン サイズより小さい値を指定する必要があります。それ以外の値を指定すると例外がスローされます。 TextPosition。
toPosition | 省略可能: スクリーン上の選択範囲の右下の位置。 $fromPosition$ に対する相対位置が無効である場合、例外がスローされます。 座標値は 0 より大きく、対応するスクリーン サイズより小さい値を指定する必要があります。それ以外の値を指定すると例外がスローされます。 TextPosition。


Hidden プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが非表示かどうかを示す値。

構文

C#
protected Boolean Hidden { get; }
VB
'Declaration
Protected Read Property Hidden As Boolean

アクセス

読み取り専用。


HostConnected プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ホストが接続されているかどうかを示す値。

構文

C#
protected Boolean HostConnected { get; }
VB
'Declaration
Protected Read Property HostConnected As Boolean

アクセス

読み取り専用。


HostDeviceName プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ホスト デバイス名。

構文

C#
protected String HostDeviceName { get; }
VB
'Declaration
Protected Read Property HostDeviceName As String

アクセス

読み取り専用。


HostIpAddress プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ホスト IP アドレス。

構文

C#
protected String HostIpAddress { get; }
VB
'Declaration
Protected Read Property HostIpAddress As String

アクセス

読み取り専用。


Intense プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが強調されている場合に true を示す値。

構文

C#
protected Boolean Intense { get; }
VB
'Declaration
Protected Read Property Intense As Boolean

アクセス

読み取り専用。


KeyboardLocked プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] キーボード入力が抑制されているかどうかを示す値。

構文

C#
protected Boolean KeyboardLocked { get; }
VB
'Declaration
Protected Read Property KeyboardLocked As Boolean

アクセス

読み取り専用。


Length プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドの長さ。

構文

C#
protected Integer Length { get; }
VB
'Declaration
Protected Read Property Length As Integer

アクセス

読み取り専用。


LineCount プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] 現在のスクリーンの行数を示す値。

構文

C#
protected Integer LineCount { get; }
VB
'Declaration
Protected Read Property LineCount As Integer

アクセス

読み取り専用。


ModifiedDataTag プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが ModifiedDataTag プロパティ セットを持つ場合に true を示す値。

構文

C#
protected Boolean ModifiedDataTag { get; }
VB
'Declaration
Protected Read Property ModifiedDataTag As Boolean

アクセス

読み取り専用。


Protected プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが保護されている場合に true を示す値 (RumbaLabel など)。

構文

C#
protected Boolean Protected { get; }
VB
'Declaration
Protected Read Property Protected As Boolean

アクセス

読み取り専用。


Reset メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

「リセット (RESET)」キーを送信してスクリーンをリセットします。 synchSendKeys(RumbaKey.RESET) と等価です。

構文

C#
screen.Reset()
VB
screen.Reset()


ScreenId プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] スクリーン ID。

構文

C#
protected Integer ScreenId { get; }
VB
'Declaration
Protected Read Property ScreenId As Integer

アクセス

読み取り専用。


ScreenSize プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] テキストの行数と列数で表したスクリーンのサイズ。

構文

C#
protected TextPosition ScreenSize { get; }
VB
'Declaration
Protected Read Property ScreenSize As TextPosition

アクセス

読み取り専用。


SendKeys メソッド (RumbaObject)

クラス

RumbaObject.

処理

キーを送信します。 RDE ニーモニックをサポートします。

構文

C#
object.SendKeys(keys)
VB
object.SendKeys(keys)
変数 | 説明
keys | 送信するキー。 Rumba キーボード ニーモニックは、この文字列で使用でます。 Rumba キーボード ニーモニックの詳細については、『RDE .NET』ヘルプを参照してください。 String。

例

VB

行
rumbaScreen.SendKeys(RumbaKey.Tab)
は、
rumbaScreen.SendKeys("@T");
と同じです。 RumbaKey 定数を通常の文字列と組み合せることもできます:
rumbaScreen.SendKeys("someone" & RumbaKey.At & "example.com");
利用可能なすべての定数については、RumbaKey クラスを参照してください。


SessionName プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] セッション名。

構文

C#
protected String SessionName { get; }
VB
'Declaration
Protected Read Property SessionName As String

アクセス

読み取り専用。


SetCursorPosition メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

スクリーンの指定した位置にカーソルを移動します。

構文

C#
screen.SetCursorPosition(position)
VB
screen.SetCursorPosition(position)
変数 | 説明
position | カーソルを移動させる位置。値は 1 から始まります（最初の行または列を表す）。 TextPosition。


SetText メソッド (RumbaTextField)

クラス

RumbaTextField.

処理

テキスト フィールドのテキストを設定します。

構文

C#
textField.SetText(text)
VB
textField.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


StartColumn プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが始まる列を示す値。

構文

C#
protected Integer StartColumn { get; }
VB
'Declaration
Protected Read Property StartColumn As Integer

アクセス

読み取り専用。


StartLine プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] フィールドが始まる行を示す値。

構文

C#
protected Integer StartLine { get; }
VB
'Declaration
Protected Read Property StartLine As Integer

アクセス

読み取り専用。


StartPosition プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] スクリーンが 1 つの連続した文字として見られる場合、1 から始まるフィールドの開始位置です。

構文

C#
protected Integer StartPosition { get; }
VB
'Declaration
Protected Read Property StartPosition As Integer

アクセス

読み取り専用。


Submit メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

「送信 (SUBMIT)」キーを送信して入力したデータをサーバーに送信します。 synchSendKeys(RumbaKey.SUBMIT) と等価です。

構文

C#
screen.Submit()
VB
screen.Submit()


SupportsStructuredFields プロパティ (RumbaScreen)

クラス

RumbaScreen.

処理

[読み取り専用] ホストが構造化フィールドのデコードをサポートするかどうかを示す値。

構文

C#
protected Boolean SupportsStructuredFields { get; }
VB
'Declaration
Protected Read Property SupportsStructuredFields As Boolean

アクセス

読み取り専用。


SynchSendKeys メソッド (RumbaObject)

クラス

RumbaObject.

処理

キーを同期して送信します。 RDE ニーモニックをサポートします。

構文

C#
object.SynchSendKeys(keys, [screenUpdateWaitCount, timeout])
VB
object.SynchSendKeys(keys, [screenUpdateWaitCount, timeout])
変数 | 説明
keys | 送信するキー。 Rumba キーボード ニーモニックは、この文字列で使用でます。 Rumba キーボード ニーモニックの詳細については、『RDE .NET』ヘルプを参照してください。 String。
screenUpdateWaitCount | 省略可能: 新しいスクリーンが次の操作を処理する準備ができるまで待機する必要があるスクリーンの更新数。 Integer。
timeout | 省略可能: タイムアウト（ミリ秒）。 0 に設定すると、Rumba API のデフォルトのタイムアウト (現在 10000 ミリ秒) が使用されます。 Integer。

例

VB

行
rumbaScreen.SynchSendKeys(RumbaKey.PF3)
は、
rumbaScreen.SynchSendKeys("@3");
と同じです。 RumbaKey 定数を通常の文字列と組み合せることもできます:
rumbaScreen.SynchSendKeys("someone" & RumbaKey.At & "example.com" & RumbaKey.Enter);
利用可能なすべての定数については、RumbaKey クラスを参照してください。


Type プロパティ (RumbaField)

クラス

RumbaField.

処理

[読み取り専用] このフィールドに対して許されている入力を表す値。

構文

C#
protected HostFieldEditConstants Type { get; }
VB
'Declaration
Protected Read Property Type As HostFieldEditConstants

アクセス

読み取り専用。


WaitForHostConnected メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

セッションが接続されるまで待機します。

構文

C#
screen.WaitForHostConnected([timeout])
VB
screen.WaitForHostConnected([timeout])
変数 | 説明
timeout | 省略可能: タイムアウト（ミリ秒）。 デフォルトは 30000ms です。 タイムアウト値に到達すると、例外がスローされます。 Integer。


WriteText メソッド (RumbaScreen)

クラス

RumbaScreen.

処理

スクリーン上にテキストを書き出します。

座標が指定されていない場合、現在のカーソル位置に挿入されます。

構文

C#
screen.WriteText(text, [position])
VB
screen.WriteText(text, [position])
変数 | 説明
text | スクリーンに書き出されるテキスト。 String。
position | 省略可能: 挿入の開始位置。値は 1 から始まります（最初の行または列を表す）。 TextPosition。


AccessibilityDescription プロパティ (SapBarChart)

クラス

SapBarChart.

処理

[読み取り専用] シェルのアクセシビリティの説明。

構文

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

アクセス

読み取り専用。


AccessibilityDescription プロパティ (SapChart)

クラス

SapChart.

処理

[読み取り専用] シェルのアクセシビリティの説明。

構文

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

アクセス

読み取り専用。


AccessibilityDescription プロパティ (SapNetPlan)

クラス

SapNetPlan.

処理

[読み取り専用] シェルのアクセシビリティの説明。

構文

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

アクセス

読み取り専用。


AccessibilityDescription プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] シェルのアクセシビリティの説明。

構文

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

アクセス

読み取り専用。


AccessibilityTextOnRequest プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] アクセシビリティ サポートに関する追加のテキスト。

構文

C#
protected String AccessibilityTextOnRequest { get; }
VB
'Declaration
Protected Read Property AccessibilityTextOnRequest As String

アクセス

読み取り専用。


AccessibilityText プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] アクセシビリティ サポートに関する追加のテキスト。

構文

C#
protected String AccessibilityText { get; }
VB
'Declaration
Protected Read Property AccessibilityText As String

アクセス

読み取り専用。


AccessibilityTooltip プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] アクセシビリティ サポートに関する追加のツールチップ テキスト。

構文

C#
protected String AccessibilityTooltip { get; }
VB
'Declaration
Protected Read Property AccessibilityTooltip As String

アクセス

読み取り専用。


BarCount メソッド (SapBarChart)

クラス

SapBarChart.

処理

指定したグラフの棒の数を返します。

構文

C#
result = barChart.BarCount(chartId)
VB
result = barChart.BarCount(chartId)
変数 | 説明
result | Integer。
chartId | グラフのインデックス。 Integer。


ButtonbarVisible プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] アプリケーション ツール バー（SAP GUI の下のツール バー）が可視かどうか。

構文

C#
protected Boolean ButtonbarVisible { get; }
VB
'Declaration
Protected Read Property ButtonbarVisible As Boolean

アクセス

読み取り専用。


ButtonCount プロパティ (SapToolbarControl)

クラス

SapToolbarControl.

処理

[読み取り専用] 区切りを含むツール バーのボタンの数。

構文

C#
protected Integer ButtonCount { get; }
VB
'Declaration
Protected Read Property ButtonCount As Integer

アクセス

読み取り専用。


Changeable プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] オブジェクトが変更可能かどうか。

構文

C#
protected Boolean Changeable { get; }
VB
'Declaration
Protected Read Property Changeable As Boolean

アクセス

読み取り専用。


ChangeCheckbox メソッド (SapTree)

クラス

SapTree.

処理

このメソッドはチェックボックスの状態の変更をエミュレートします。

構文

C#
tree.ChangeCheckbox(nodeKey, itemName, check)
VB
tree.ChangeCheckbox(nodeKey, itemName, check)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。
check | チェックボックスがチェックされるかどうか。 Boolean。


ChangeSelection メソッド (SapColorSelector)

クラス

SapColorSelector.

処理

指定したインデックスの位置の色を選択します。

構文

C#
colorSelector.ChangeSelection(index)
VB
colorSelector.ChangeSelection(index)
変数 | 説明
index | 色のインデックス。 Integer。


CharHeight プロパティ (SapButton)

クラス

SapButton.

処理

[読み取り専用] 要素の高さ（文字単位）。

構文

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

アクセス

読み取り専用。


CharHeight プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 要素の高さ（文字単位）。

構文

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

アクセス

読み取り専用。


CharHeight プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 要素の高さ（文字単位）。

構文

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

アクセス

読み取り専用。


CharHeight プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] 要素の高さ（文字単位）。

構文

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

アクセス

読み取り専用。


CharHeight プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 要素の高さ（文字単位）。

構文

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapButton)

クラス

SapButton.

処理

[読み取り専用] 要素の左からの座標（文字単位）。

構文

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 要素の左からの座標（文字単位）。

構文

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 要素の左からの座標（文字単位）。

構文

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルの左からの座標（文字単位）。

構文

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] 要素の左からの座標（文字単位）。

構文

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


CharLeft プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 要素の左からの座標（文字単位）。

構文

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

アクセス

読み取り専用。


ChartCount プロパティ (SapBarChart)

クラス

SapBarChart.

処理

[読み取り専用] グラフの数。

構文

C#
protected Integer ChartCount { get; }
VB
'Declaration
Protected Read Property ChartCount As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapButton)

クラス

SapButton.

処理

[読み取り専用] 要素の上からの座標（文字単位）。

構文

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 要素の上からの座標（文字単位）。

構文

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 要素の上からの座標（文字単位）。

構文

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルの上からの座標（文字単位）。

構文

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] 要素の上からの座標（文字単位）。

構文

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharTop プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 要素の上からの座標（文字単位）。

構文

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapButton)

クラス

SapButton.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


CharWidth プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 要素の幅（文字単位）。

構文

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

アクセス

読み取り専用。


Checked プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] チェックボックスがチェックされているかどうか。

構文

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。


Check メソッド (SapCheckBox)

クラス

SapCheckBox.

処理

チェック ボックスをチェックします。

構文

C#
checkBox.Check()
VB
checkBox.Check()


ClearSelection メソッド (SapGridView)

クラス

SapGridView.

処理

すべての行、列、セルの選択を削除します。

構文

C#
gridView.ClearSelection()
VB
gridView.ClearSelection()


ClickControlArea メソッド (SapPicture)

クラス

SapPicture.

処理

指定した位置をクリックします。

構文

C#
picture.ClickControlArea(x, y)
VB
picture.ClickControlArea(x, y)
変数 | 説明
x | x 座標。 Integer。
y | y 座標。 Integer。


ClickCurrentCell メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルをクリックします。

構文

C#
gridView.ClickCurrentCell()
VB
gridView.ClickCurrentCell()


Click メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルをクリックします。

構文

C#
gridView.Click(row, column)
VB
gridView.Click(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


Click メソッド (SapPicture)

クラス

SapPicture.

処理

画像をクリックします。

構文

C#
picture.Click()
VB
picture.Click()


ClickPictureArea メソッド (SapPicture)

クラス

SapPicture.

処理

画像領域の指定した位置をクリックします。

構文

C#
picture.ClickPictureArea(x, y)
VB
picture.ClickPictureArea(x, y)
変数 | 説明
x | x 座標。 Integer。
y | y 座標。 Integer。


Close メソッド (SapOkCodeField)

クラス

SapOkCodeField.

処理

GuiOkCodeField を折りたたみます。

構文

C#
okCodeField.Close()
VB
okCodeField.Close()


CollapseNode メソッド (SapTree)

クラス

SapTree.

処理

この関数は nodeKey で指定したキーでノードを閉じます。

構文

C#
tree.CollapseNode(nodeKey)
VB
tree.CollapseNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


ColorIndex プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] この要素のリスト色のインデックス。

構文

C#
protected Integer ColorIndex { get; }
VB
'Declaration
Protected Read Property ColorIndex As Integer

アクセス

読み取り専用。


ColorIndex プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルの色インデックス。

構文

C#
protected Integer ColorIndex { get; }
VB
'Declaration
Protected Read Property ColorIndex As Integer

アクセス

読み取り専用。


ColorIntensified プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] この要素の画面描画に対して INTENSIFIED フラグが設定されているかどうか。

構文

C#
protected Boolean ColorIntensified { get; }
VB
'Declaration
Protected Read Property ColorIntensified As Boolean

アクセス

読み取り専用。


ColorInverse プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] この要素の画面描画に対して INVERSE 色スタイルが設定されているかどうか。

構文

C#
protected Boolean ColorInverse { get; }
VB
'Declaration
Protected Read Property ColorInverse As Boolean

アクセス

読み取り専用。


ColorInverse プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルに対して INVERSE 色スタイルが設定されているかどうか。

構文

C#
protected Boolean ColorInverse { get; }
VB
'Declaration
Protected Read Property ColorInverse As Boolean

アクセス

読み取り専用。


ColumnCount プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 列の数。

構文

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnCount プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] テーブルの列の数。

構文

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnHeaders プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 列のタイトルのコレクション。

構文

C#
protected List(Of String) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of String)

アクセス

読み取り専用。


ColumnNames プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 列名のコレクション。

構文

C#
protected List(Of String) ColumnNames { get; }
VB
'Declaration
Protected Read Property ColumnNames As List(Of String)

アクセス

読み取り専用。


ColumnOrder プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] すべての列識別子がその表示順でを含まれる文字列のリスト。

構文

C#
protected List(Of String) ColumnOrder { get; }
VB
'Declaration
Protected Read Property ColumnOrder As List(Of String)

アクセス

読み取り専用。


ColumnOrder プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 列順序。

構文

C#
protected List(Of String) ColumnOrder { get; }
VB
'Declaration
Protected Read Property ColumnOrder As List(Of String)

アクセス

読み取り専用。


ColumnSelectionMode プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 列の選択モード。

構文

C#
protected TableSelectionType ColumnSelectionMode { get; }
VB
'Declaration
Protected Read Property ColumnSelectionMode As TableSelectionType

アクセス

読み取り専用。


ColumnTitles プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 列のタイトルのコレクション。

構文

C#
protected List(Of String) ColumnTitles { get; }
VB
'Declaration
Protected Read Property ColumnTitles As List(Of String)

アクセス

読み取り専用。


ConfigureLayout メソッド (SapTable)

クラス

SapTable.

処理

テーブルのレイアウトを変更するために、レイアウトの設定ダイアログを開きます。

構文

C#
table.ConfigureLayout()
VB
table.ConfigureLayout()


ContextMenu メソッド (SapCalendar)

クラス

SapCalendar.

処理

コンテキスト メニューを開きます。

構文

C#
calendar.ContextMenu(contextMenuId, contextMenuCellRow, contextMenuCellColumn, startDate, endDate)
VB
calendar.ContextMenu(contextMenuId, contextMenuCellRow, contextMenuCellColumn, startDate, endDate)
変数 | 説明
contextMenuId | コンテキスト メニューを開くセルのセル タイプ。 CalendarCellType。
contextMenuCellRow | コンテキスト メニュー セルの行。 The value is zero-based.。 Integer。
contextMenuCellColumn | コンテキスト メニュー セルの列。 The value is zero-based.。 Integer。
startDate | 開始日。 String。
endDate | 終了日。 String。


ContextMenu メソッド (SapGridView)

クラス

SapGridView.

処理

コンテキスト メニューを要求します。

構文

C#
gridView.ContextMenu()
VB
gridView.ContextMenu()


ContextMenu メソッド (SapHTMLViewer)

クラス

SapHTMLViewer.

処理

コンテキスト メニューの要求をエミュレートします。 バックエンドによって提供されるコンテキスト メニューに対してのみ適用されます。

構文

C#
hTMLViewer.ContextMenu()
VB
hTMLViewer.ContextMenu()


ContextMenu メソッド (SapPicture)

クラス

SapPicture.

処理

この関数は指定した位置にコンテキスト メニューを開きます。 座標は、画面上に表示される画像コントロールに対してピクセル単位で指定します。

構文

C#
picture.ContextMenu(x, y)
VB
picture.ContextMenu(x, y)
変数 | 説明
x | x 座標。 Integer。
y | y 座標。 Integer。


ContextMenu メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

コンテキスト メニューを要求します。

構文

C#
textEdit.ContextMenu()
VB
textEdit.ContextMenu()


CurrentCellColumn プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 現在の列。

構文

C#
protected String CurrentCellColumn { get; }
VB
'Declaration
Protected Read Property CurrentCellColumn As String

アクセス

読み取り専用。


CurrentCellMoved メソッド (SapGridView)

クラス

SapGridView.

処理

この関数は、他のセルが現在のセルになったことをサーバーに通知します。 現在のセルが変更された場合に関数が呼び出されます。

構文

C#
gridView.CurrentCellMoved()
VB
gridView.CurrentCellMoved()


CurrentCellRow プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 現在の行。

構文

C#
protected Integer CurrentCellRow { get; }
VB
'Declaration
Protected Read Property CurrentCellRow As Integer

アクセス

読み取り専用。


CurrentColumn プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 現在の列のインデックス。 The value is zero-based.。

構文

C#
protected Integer CurrentColumn { get; }
VB
'Declaration
Protected Read Property CurrentColumn As Integer

アクセス

読み取り専用。


CurrentColumn プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 現在キャレットがある列のインデックス。 The value is zero-based.。

構文

C#
protected Integer CurrentColumn { get; }
VB
'Declaration
Protected Read Property CurrentColumn As Integer

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapBarChart)

クラス

SapBarChart.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapChart)

クラス

SapChart.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapColorSelector)

クラス

SapColorSelector.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapHTMLViewer)

クラス

SapHTMLViewer.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapNetPlan)

クラス

SapNetPlan.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapOfficeIntegration)

クラス

SapOfficeIntegration.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapPicture)

クラス

SapPicture.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapSplitterContainer)

クラス

SapSplitterContainer.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapToolbarControl)

クラス

SapToolbarControl.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentContextMenu プロパティ (SapUserArea)

クラス

SapUserArea.

処理

[読み取り専用] 現在のコンテキスト メニュー。 コンテキスト メニューがシェル オブジェクトで利用可能な場合にのみ設定されます。

構文

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

アクセス

読み取り専用。


CurrentLine プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 現在キャレットがある行のインデックス。 The value is zero-based.。

構文

C#
protected Integer CurrentLine { get; }
VB
'Declaration
Protected Read Property CurrentLine As Integer

アクセス

読み取り専用。


CurrentRow プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 現在の行のインデックス。 The value is zero-based.。

構文

C#
protected Integer CurrentRow { get; }
VB
'Declaration
Protected Read Property CurrentRow As Integer

アクセス

読み取り専用。


Day プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在選択されている月の日。

構文

C#
protected Integer Day { get; }
VB
'Declaration
Protected Read Property Day As Integer

アクセス

読み取り専用。


DefaultContextMenu メソッド (SapTree)

クラス

SapTree.

処理

このメソッドは、ツリー コントロール全体に対してコンテキスト メニューを要求します。

構文

C#
tree.DefaultContextMenu()
VB
tree.DefaultContextMenu()


DefaultTooltip プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 指定した画面要素タイプのデータ辞書で定義された簡単なテキストから生成されるツールチップ テキスト。

構文

C#
protected String DefaultTooltip { get; }
VB
'Declaration
Protected Read Property DefaultTooltip As String

アクセス

読み取り専用。


DeleteRows メソッド (SapGridView)

クラス

SapGridView.

処理

指定した行を削除します。

パラメーター行は、インデックスやインデックス範囲をカンマ区切りで表した文字列です ('3,5-8,14,15' など)。 各エントリは順番通りに、かつ範囲が重複しないように指定する必要があります。

構文

C#
gridView.DeleteRows(rows)
VB
gridView.DeleteRows(rows)
変数 | 説明
rows | 削除する行。 String。


DeselectAllColumns メソッド (SapTable)

クラス

SapTable.

処理

この関数は、1 ステップですべての列の選択を解除できるボタンを持つテーブル コントロールに対して使用することができます。

構文

C#
table.DeselectAllColumns()
VB
table.DeselectAllColumns()


DeselectColumn メソッド (SapGridView)

クラス

SapGridView.

処理

選択した列のリストから指定した列を削除します。

構文

C#
gridView.DeselectColumn(column)
VB
gridView.DeselectColumn(column)
変数 | 説明
column | 列識別子。 String。


DeselectColumn メソッド (SapTable)

クラス

SapTable.

処理

指定した列の選択を解除します。

構文

C#
table.DeselectColumn(column)
VB
table.DeselectColumn(column)
変数 | 説明
column | 列のインデックス。 The value is zero-based.。 Integer。


DeselectRow メソッド (SapTable)

クラス

SapTable.

処理

指定した行の選択を解除します。

構文

C#
table.DeselectRow(row)
VB
table.DeselectRow(row)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。


DisplayedText プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルのテキスト。

構文

C#
protected String DisplayedText { get; }
VB
'Declaration
Protected Read Property DisplayedText As String

アクセス

読み取り専用。


DisplayedText プロパティ (SapTextField)

クラス

SapTextField.

処理

[読み取り専用] 画面上に表示されるテキスト（前後の空白を含む）。

構文

C#
protected String DisplayedText { get; }
VB
'Declaration
Protected Read Property DisplayedText As String

アクセス

読み取り専用。


DisplayMode プロパティ (SapPicture)

クラス

SapPicture.

処理

[読み取り専用] 画像の表示モード（"Normal"、"Stretch"、"Fit"、"NormalCenter"、"FitCenter" など）。

構文

C#
protected String DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As String

アクセス

読み取り専用。


DocumentComplete プロパティ (SapHTMLViewer)

クラス

SapHTMLViewer.

処理

[読み取り専用] ドキュメントが完全かどうか。

構文

C#
protected Boolean DocumentComplete { get; }
VB
'Declaration
Protected Read Property DocumentComplete As Boolean

アクセス

読み取り専用。


DoubleClickControlArea メソッド (SapPicture)

クラス

SapPicture.

処理

指定した位置をダブルクリックします。

構文

C#
picture.DoubleClickControlArea(x, y)
VB
picture.DoubleClickControlArea(x, y)
変数 | 説明
x | x 座標。 Integer。
y | y 座標。 Integer。


DoubleClickCurrentCell メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルをダブルクリックします。

構文

C#
gridView.DoubleClickCurrentCell()
VB
gridView.DoubleClickCurrentCell()


DoubleClick メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルをダブルクリックします。

構文

C#
gridView.DoubleClick(row, column)
VB
gridView.DoubleClick(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


DoubleClick メソッド (SapPicture)

クラス

SapPicture.

処理

画像をダブルクリックします。

構文

C#
picture.DoubleClick()
VB
picture.DoubleClick()


DoubleClick メソッド (SapStatusbar)

クラス

SapStatusbar.

処理

ステータス バーをダブルクリックします。

構文

C#
statusbar.DoubleClick()
VB
statusbar.DoubleClick()


DoubleClick メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

テキスト編集コントロールをダブルクリックします。

構文

C#
textEdit.DoubleClick()
VB
textEdit.DoubleClick()


DoubleClickPictureArea メソッド (SapPicture)

クラス

SapPicture.

処理

画像領域の指定した位置をダブルクリックします。

構文

C#
picture.DoubleClickPictureArea(x, y)
VB
picture.DoubleClickPictureArea(x, y)
変数 | 説明
x | x 座標。 Integer。
y | y 座標。 Integer。


DoubleSelectItem メソッド (SapTree)

クラス

SapTree.

処理

この関数はテキスト項目のダブルクリックをエミュレートします。

構文

C#
tree.DoubleSelectItem(nodeKey, itemName)
VB
tree.DoubleSelectItem(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


DoubleSelectNode メソッド (SapTree)

クラス

SapTree.

処理

この関数はノードのダブルクリックをエミュレートします。

構文

C#
tree.DoubleSelectNode(nodeKey)
VB
tree.DoubleSelectNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


DragDropSupported プロパティ (SapShell)

クラス

SapShell.

処理

[読み取り専用] シェルがドラッグ＆ドロップ操作を許可しているかどうか。

構文

C#
protected Boolean DragDropSupported { get; }
VB
'Declaration
Protected Read Property DragDropSupported As Boolean

アクセス

読み取り専用。


DuplicateRows メソッド (SapGridView)

クラス

SapGridView.

処理

指定した範囲の行を複製します。

パラメーター行は、インデックスやインデックス範囲をカンマ区切りで表した文字列です ('3,5-8,14,15' など)。 単一のインデックスの場合、行のコピーが指定したインデックスに挿入されます。 インデックスの範囲を複製する場合、すべての新しい行が 1 つのブロックとして古い行の前に挿入されます。 各エントリは順番通りに、かつ範囲が重複しないように指定する必要があります。

構文

C#
gridView.DuplicateRows(rows)
VB
gridView.DuplicateRows(rows)
変数 | 説明
rows | 複製する行。 String。


EndSelection プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 選択範囲の終了点。

構文

C#
protected String EndSelection { get; }
VB
'Declaration
Protected Read Property EndSelection As String

アクセス

読み取り専用。


EnsureVisibleHorizontalItem メソッド (SapTree)

クラス

SapTree.

処理

この関数は項目が表示されるまでツリーを水平方向にスクロールさせます。

構文

C#
tree.EnsureVisibleHorizontalItem(nodeKey, itemName)
VB
tree.EnsureVisibleHorizontalItem(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


ExpandNode メソッド (SapTree)

クラス

SapTree.

処理

この関数は nodeKey で指定したキーでノードを展開します。

構文

C#
tree.ExpandNode(nodeKey)
VB
tree.ExpandNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


FindNodeKeyByPath メソッド (SapTree)

クラス

SapTree.

処理

指定したパス（2\1\2 など）のノード キーを返します。

構文

C#
result = tree.FindNodeKeyByPath(path)
VB
result = tree.FindNodeKeyByPath(path)
変数 | 説明
result | String。
path | ノード パス。 String。


FirstVisibleColumn プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] グリッド ビューのスクロール可能領域の最初の可視な列。固定された列は無視されます。

構文

C#
protected String FirstVisibleColumn { get; }
VB
'Declaration
Protected Read Property FirstVisibleColumn As String

アクセス

読み取り専用。


FirstVisibleDate プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] カレンダ コントロールの最も早い可視な日付。

構文

C#
protected String FirstVisibleDate { get; }
VB
'Declaration
Protected Read Property FirstVisibleDate As String

アクセス

読み取り専用。


FirstVisibleLine プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキスト編集コントロールの上端に表示されている最初の可視な行。 The value is zero-based.。

構文

C#
protected Integer FirstVisibleLine { get; }
VB
'Declaration
Protected Read Property FirstVisibleLine As Integer

アクセス

読み取り専用。


FirstVisibleRow プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] グリッドの最初の可視な行のインデックス。 The value is zero-based.。

構文

C#
protected Integer FirstVisibleRow { get; }
VB
'Declaration
Protected Read Property FirstVisibleRow As Integer

アクセス

読み取り専用。


Flushing プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 値の変更がラウンド トリップするかどうか。

構文

C#
protected Boolean Flushing { get; }
VB
'Declaration
Protected Read Property Flushing As Boolean

アクセス

読み取り専用。


Flushing プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 値の変更がラウンド トリップするかどうか。

構文

C#
protected Boolean Flushing { get; }
VB
'Declaration
Protected Read Property Flushing As Boolean

アクセス

読み取り専用。


Flushing プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] 値の変更がラウンド トリップするかどうか。

構文

C#
protected Boolean Flushing { get; }
VB
'Declaration
Protected Read Property Flushing As Boolean

アクセス

読み取り専用。


FocusedButton プロパティ (SapToolbarControl)

クラス

SapToolbarControl.

処理

[読み取り専用] 現在フォーカスを持つボタンの 0 を基準としたインデックス。

構文

C#
protected Integer FocusedButton { get; }
VB
'Declaration
Protected Read Property FocusedButton As Integer

アクセス

読み取り専用。


FocusedNodeKey プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] フォーカスを持つノードのキー。

構文

C#
protected String FocusedNodeKey { get; }
VB
'Declaration
Protected Read Property FocusedNodeKey As String

アクセス

読み取り専用。


FrozenColumnCount プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 水平方向のスクロールから除外される列の数。

構文

C#
protected Integer FrozenColumnCount { get; }
VB
'Declaration
Protected Read Property FrozenColumnCount As Integer

アクセス

読み取り専用。


GetAbapImage メソッド (SapTree)

クラス

SapTree.

処理

ABAP 画像を取得します。

構文

C#
abapImage = tree.GetAbapImage(nodeKey, itemName)
VB
abapImage = tree.GetAbapImage(nodeKey, itemName)
変数 | 説明
abapImage | String。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetBarContent メソッド (SapBarChart)

クラス

SapBarChart.

処理

棒のコンテンツを返します。

構文

C#
barContent = barChart.GetBarContent(chartId, barId, textId)
VB
barContent = barChart.GetBarContent(chartId, barId, textId)
変数 | 説明
barContent | String。
chartId | グラフのインデックス。 Integer。
barId | 指定したグラフ内の棒のインデックス。 Integer。
textId | テキスト ID。 Integer。


GetButtonIcon メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

指定したツール バー ボタンのアイコン名を取得します。

構文

C#
buttonIcon = toolbarControl.GetButtonIcon(buttonPosition)
VB
buttonIcon = toolbarControl.GetButtonIcon(buttonPosition)
変数 | 説明
buttonIcon | String。
buttonPosition | ボタンの位置（0 を基準）。 Integer。


GetButtonType メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

指定したツール バーのボタンの種類を取得します。 有効な値は、"Button"、"ButtonAndMenu"、"Menu"、"Separator"、"Group"、"CheckBox" です。

構文

C#
buttonType = toolbarControl.GetButtonType(buttonPosition)
VB
buttonType = toolbarControl.GetButtonType(buttonPosition)
変数 | 説明
buttonType | ToolBarButtonType。
buttonPosition | ボタンの位置（0 を基準）。 Integer。


GetCellAbsolute メソッド (SapTable)

クラス

SapTable.

処理

テーブル セルを返します。 行が表示されていない場合、スクロールして表示します。

構文

C#
cellAbsolute = table.GetCellAbsolute(row, column)
VB
cellAbsolute = table.GetCellAbsolute(row, column)
変数 | 説明
cellAbsolute | SapComponent。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列のインデックス。 The value is zero-based.。 Integer。


GetCellColor メソッド (SapGridView)

クラス

SapGridView.

処理

セルの色の識別子を返します。

GetColorInfo を使用して色情報を取得するために使用することができます。

構文

C#
gridView.GetCellColor(row, column)
VB
gridView.GetCellColor(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellHeight メソッド (SapGridView)

クラス

SapGridView.

処理

セルの高さ（ピクセル単位）を取得します。

構文

C#
cellHeight = gridView.GetCellHeight(row, column)
VB
cellHeight = gridView.GetCellHeight(row, column)
変数 | 説明
cellHeight | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellIcon メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルのアイコン文字列を取得します。

構文

C#
cellIcon = gridView.GetCellIcon(row, column)
VB
cellIcon = gridView.GetCellIcon(row, column)
変数 | 説明
cellIcon | String。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellLeft メソッド (SapGridView)

クラス

SapGridView.

処理

セルの左からの位置を取得します。

構文

C#
cellLeft = gridView.GetCellLeft(row, column)
VB
cellLeft = gridView.GetCellLeft(row, column)
変数 | 説明
cellLeft | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellMaxLength メソッド (SapGridView)

クラス

SapGridView.

処理

セルの最大の長さをバイト数で取得します。

構文

C#
cellMaxLength = gridView.GetCellMaxLength(row, column)
VB
cellMaxLength = gridView.GetCellMaxLength(row, column)
変数 | 説明
cellMaxLength | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCell メソッド (SapTable)

クラス

SapTable.

処理

可視なテーブル セルを返します。

構文

C#
cell = table.GetCell(row, column)
VB
cell = table.GetCell(row, column)
変数 | 説明
cell | SapComponent。
row | 可視な最初の行から始まる行のインデックス。 The value is zero-based.。 Integer。
column | 列のインデックス。 The value is zero-based.。 Integer。


GetCellsForRow メソッド (SapTable)

クラス

SapTable.

処理

指定した行のセルを返します。

構文

C#
cellsForRow = table.GetCellsForRow(row)
VB
cellsForRow = table.GetCellsForRow(row)
変数 | 説明
cellsForRow | List(Of SapComponent)。
row | 行のインデックス。 The value is zero-based.。 Integer。


GetCellState メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルの状態を取得します。 有効な値は、Normal、Error、Warning、Info です。

構文

C#
cellState = gridView.GetCellState(row, column)
VB
cellState = gridView.GetCellState(row, column)
変数 | 説明
cellState | GridCellState。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellTooltip メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルのツールチップを取得します。

構文

C#
cellTooltip = gridView.GetCellTooltip(row, column)
VB
cellTooltip = gridView.GetCellTooltip(row, column)
変数 | 説明
cellTooltip | String。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellTop メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルの上からの位置を取得します。

構文

C#
cellTop = gridView.GetCellTop(row, column)
VB
cellTop = gridView.GetCellTop(row, column)
変数 | 説明
cellTop | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellType メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルのセル タイプを取得します。

構文

C#
cellType = gridView.GetCellType(row, column)
VB
cellType = gridView.GetCellType(row, column)
変数 | 説明
cellType | GridCellType。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellValue メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルの値を取得します。

構文

C#
cellValue = gridView.GetCellValue(row, column)
VB
cellValue = gridView.GetCellValue(row, column)
変数 | 説明
cellValue | String。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCellWidth メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルの幅を取得します。

構文

C#
cellWidth = gridView.GetCellWidth(row, column)
VB
cellWidth = gridView.GetCellWidth(row, column)
変数 | 説明
cellWidth | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


GetCheckBoxState メソッド (SapTree)

クラス

SapTree.

処理

チェック ボックスの状態（チェックされている場合は true、チェックされていない場合は false）を取得します。

構文

C#
checkBoxState = tree.GetCheckBoxState(nodeKey, itemName)
VB
checkBoxState = tree.GetCheckBoxState(nodeKey, itemName)
変数 | 説明
checkBoxState | Boolean。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetColorInfo メソッド (SapGridView)

クラス

SapGridView.

処理

セルの色の説明を返します。

SAP GUI のユーザー補助モードが有効化されてい場合にのみ、この関数は値を返します。

構文

C#
gridView.GetColorInfo(color)
VB
gridView.GetColorInfo(color)
変数 | 説明
color | 説明を取得する色。 The value is zero-based.。 Integer。


GetColumnDataType メソッド (SapGridView)

クラス

SapGridView.

処理

列のデータ型を取得します。

構文

C#
columnDataType = gridView.GetColumnDataType(column)
VB
columnDataType = gridView.GetColumnDataType(column)
変数 | 説明
columnDataType | String。
column | 列識別子。 String。


GetColumnIndexFromName メソッド (SapTree)

クラス

SapTree.

処理

指定した名前の列インデックスを取得します。

構文

C#
columnIndexFromName = tree.GetColumnIndexFromName(columnName)
VB
columnIndexFromName = tree.GetColumnIndexFromName(columnName)
変数 | 説明
columnIndexFromName | Integer。
columnName | 列の名前。 String。


GetColumnKeys メソッド (SapTree)

クラス

SapTree.

処理

指定した列のすべての項目のキーを取得します。

構文

C#
columnKeys = tree.GetColumnKeys(column)
VB
columnKeys = tree.GetColumnKeys(column)
変数 | 説明
columnKeys | List(Of String)。
column | 列の名前。 String。


GetColumnPosition メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列の位置を取得します。

構文

C#
columnPosition = gridView.GetColumnPosition(column)
VB
columnPosition = gridView.GetColumnPosition(column)
変数 | 説明
columnPosition | Integer。
column | 列識別子。 String。


GetColumnSortType メソッド (SapGridView)

クラス

SapGridView.

処理

列のソート種別を取得します。 有効な値は、None、Ascending、Descending です。

構文

C#
columnSortType = gridView.GetColumnSortType(column)
VB
columnSortType = gridView.GetColumnSortType(column)
変数 | 説明
columnSortType | GridColumnSortType。
column | 列識別子。 String。


GetColumnTitleFromName メソッド (SapTree)

クラス

SapTree.

処理

指定した名前の列タイトルを取得します。

構文

C#
columnTitleFromName = tree.GetColumnTitleFromName(columnName)
VB
columnTitleFromName = tree.GetColumnTitleFromName(columnName)
変数 | 説明
columnTitleFromName | String。
columnName | 列の名前。 String。


GetColumnTitle メソッド (SapTable)

クラス

SapTable.

処理

このメソッドは指定した列のタイトルを返します。

構文

C#
columnTitle = table.GetColumnTitle(column)
VB
columnTitle = table.GetColumnTitle(column)
変数 | 説明
columnTitle | String。
column | 列のインデックス。 The value is zero-based.。 Integer。


GetColumnTitles メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列のすべての列タイトルを取得します。

構文

C#
columnTitles = gridView.GetColumnTitles(column)
VB
columnTitles = gridView.GetColumnTitles(column)
変数 | 説明
columnTitles | List(Of String)。
column | 列識別子。 String。


GetColumnTooltip メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列のツールチップ テキストを取得します。

構文

C#
columnTooltip = gridView.GetColumnTooltip(column)
VB
columnTooltip = gridView.GetColumnTooltip(column)
変数 | 説明
columnTooltip | String。
column | 列識別子。 String。


GetColumnTotalType メソッド (SapGridView)

クラス

SapGridView.

処理

列の合計種別を取得します。 有効な値は、None、Total、Subtotal です。

構文

C#
columnTotalType = gridView.GetColumnTotalType(column)
VB
columnTotalType = gridView.GetColumnTotalType(column)
変数 | 説明
columnTotalType | GridColumnTotalType。
column | 列識別子。 String。


GetCurrentEntryKey メソッド (SapComboBox)

クラス

SapComboBox.

処理

現在のエントリのキーを取得します。

構文

C#
currentEntryKey = comboBox.GetCurrentEntryKey()
VB
currentEntryKey = comboBox.GetCurrentEntryKey()
変数 | 説明
currentEntryKey | String。


GetCurrentEntryValue メソッド (SapComboBox)

クラス

SapComboBox.

処理

現在のエントリの値を取得します。

構文

C#
currentEntryValue = comboBox.GetCurrentEntryValue()
VB
currentEntryValue = comboBox.GetCurrentEntryValue()
変数 | 説明
currentEntryValue | String。


GetDisplayedColumnTitle メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列の現在表示されているタイトルを取得します。

構文

C#
displayedColumnTitle = gridView.GetDisplayedColumnTitle(column)
VB
displayedColumnTitle = gridView.GetDisplayedColumnTitle(column)
変数 | 説明
displayedColumnTitle | String。
column | 列識別子。 String。


GetEntryKeys メソッド (SapComboBox)

クラス

SapComboBox.

処理

すべてのエントリ キーのリストを取得します。

構文

C#
entryKeys = comboBox.GetEntryKeys()
VB
entryKeys = comboBox.GetEntryKeys()
変数 | 説明
entryKeys | List(Of String)。


GetEntryValues メソッド (SapComboBox)

クラス

SapComboBox.

処理

すべてのエントリ値のリストを取得します。

構文

C#
entryValues = comboBox.GetEntryValues()
VB
entryValues = comboBox.GetEntryValues()
変数 | 説明
entryValues | List(Of String)。


GetGridLineContent メソッド (SapBarChart)

クラス

SapBarChart.

処理

グリッド線のコンテンツを返します。

構文

C#
gridLineContent = barChart.GetGridLineContent(chartId, gridLineId, textId)
VB
gridLineContent = barChart.GetGridLineContent(chartId, gridLineId, textId)
変数 | 説明
gridLineContent | String。
chartId | グラフのインデックス。 Integer。
gridLineId | 指定したグラフ内のグリッド線のインデックス。 Integer。
textId | テキスト ID。 Integer。


GetHierarchyLevel メソッド (SapTree)

クラス

SapTree.

処理

指定したキーの階層レベルを取得します。

構文

C#
hierarchyLevel = tree.GetHierarchyLevel(nodeKey)
VB
hierarchyLevel = tree.GetHierarchyLevel(nodeKey)
変数 | 説明
hierarchyLevel | Integer。
nodeKey | ノードのキー。 String。


GetItemHeight メソッド (SapTree)

クラス

SapTree.

処理

現在の項目の高さを返します。

構文

C#
itemHeight = tree.GetItemHeight(nodeKey, itemName)
VB
itemHeight = tree.GetItemHeight(nodeKey, itemName)
変数 | 説明
itemHeight | Integer。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemLeft メソッド (SapTree)

クラス

SapTree.

処理

コンポーネントの左からの位置を取得します。

構文

C#
itemLeft = tree.GetItemLeft(nodeKey, itemName)
VB
itemLeft = tree.GetItemLeft(nodeKey, itemName)
変数 | 説明
itemLeft | Integer。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemStyle メソッド (SapTree)

クラス

SapTree.

処理

指定した項目のスタイルを取得します。

構文

C#
itemStyle = tree.GetItemStyle(nodeKey, itemName)
VB
itemStyle = tree.GetItemStyle(nodeKey, itemName)
変数 | 説明
itemStyle | Integer。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemTextColor メソッド (SapTree)

クラス

SapTree.

処理

項目のテキスト色を返します。

構文

C#
itemTextColor = tree.GetItemTextColor(nodeKey, itemName)
VB
itemTextColor = tree.GetItemTextColor(nodeKey, itemName)
変数 | 説明
itemTextColor | Color。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemText メソッド (SapTree)

クラス

SapTree.

処理

複数列のツリーの場合、この関数は、パラメーターで指定したキーと名前によって項目のテキストを返します。

Micro Focus は、SAPTree.GetNodeText() instead oの方が使いやすいため、SAPTree.GetItemText() の代わりに使用することをお勧めしますが、SAPTree.GetNodeText() は、すべての SAPTree に対して機能するわけではありません。 マルチカラム リスト ツリーに対して SapTree.GetItemText() を使用する方法についての例は、http://stackoverflow.com/questions/29741718/text-in-tree-does-not-match-text-which-is-displayed を参照してください。

構文

C#
itemText = tree.GetItemText(nodeKey, itemName)
VB
itemText = tree.GetItemText(nodeKey, itemName)
変数 | 説明
itemText | String。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemTooltip メソッド (SapTree)

クラス

SapTree.

処理

項目のツールチップ テキストを返します。

構文

C#
itemTooltip = tree.GetItemTooltip(nodeKey, itemName)
VB
itemTooltip = tree.GetItemTooltip(nodeKey, itemName)
変数 | 説明
itemTooltip | String。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemTop メソッド (SapTree)

クラス

SapTree.

処理

コンポーネントの上からの位置を取得します。

構文

C#
itemTop = tree.GetItemTop(nodeKey, itemName)
VB
itemTop = tree.GetItemTop(nodeKey, itemName)
変数 | 説明
itemTop | Integer。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemType メソッド (SapTree)

クラス

SapTree.

処理

指定したノードの種類を返します。

構文

C#
itemType = tree.GetItemType(nodeKey, itemName)
VB
itemType = tree.GetItemType(nodeKey, itemName)
変数 | 説明
itemType | ItemType。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetItemWidth メソッド (SapTree)

クラス

SapTree.

処理

現在の項目の幅を返します。

構文

C#
itemWidth = tree.GetItemWidth(nodeKey, itemName)
VB
itemWidth = tree.GetItemWidth(nodeKey, itemName)
変数 | 説明
itemWidth | Integer。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


GetLineText メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した行のテキストを返します。

構文

C#
lineText = textEdit.GetLineText(line)
VB
lineText = textEdit.GetLineText(line)
変数 | 説明
lineText | String。
line | 行のインデックス。 The value is zero-based.。 Integer。


GetLinkContent メソッド (SapNetPlan)

クラス

SapNetPlan.

処理

リンクのコンテンツを返します。

構文

C#
linkContent = netPlan.GetLinkContent(linkId, textId)
VB
linkContent = netPlan.GetLinkContent(linkId, textId)
変数 | 説明
linkContent | String。
linkId | リンクのインデックス。 Integer。
textId | テキスト ID。 Integer。


GetListTreeNodeItemCount メソッド (SapTree)

クラス

SapTree.

処理

ノード項目の数を返します。

構文

C#
listTreeNodeItemCount = tree.GetListTreeNodeItemCount(nodeKey)
VB
listTreeNodeItemCount = tree.GetListTreeNodeItemCount(nodeKey)
変数 | 説明
listTreeNodeItemCount | Integer。
nodeKey | ノードのキー。 String。


GetNextNodeKey メソッド (SapTree)

クラス

SapTree.

処理

次のノードのキーを返します。

構文

C#
nextNodeKey = tree.GetNextNodeKey(nodeKey)
VB
nextNodeKey = tree.GetNextNodeKey(nodeKey)
変数 | 説明
nextNodeKey | String。
nodeKey | ノードのキー。 String。


GetNodeAbapImage メソッド (SapTree)

クラス

SapTree.

処理

指定したノードの ABAP 画像を返します。

構文

C#
nodeAbapImage = tree.GetNodeAbapImage(nodeKey)
VB
nodeAbapImage = tree.GetNodeAbapImage(nodeKey)
変数 | 説明
nodeAbapImage | String。
nodeKey | ノードのキー。 String。


GetNodeChildrenCountByPath メソッド (SapTree)

クラス

SapTree.

処理

この関数は、パス パラメーター（2\1\2 など）によって指定されたノードの子の数を返します。

構文

C#
nodeChildrenCountByPath = tree.GetNodeChildrenCountByPath(path)
VB
nodeChildrenCountByPath = tree.GetNodeChildrenCountByPath(path)
変数 | 説明
nodeChildrenCountByPath | Integer。
path | ノード パス。 String。


GetNodeChildrenCount メソッド (SapTree)

クラス

SapTree.

処理

この関数は、指定したノードの子の数を返します。

構文

C#
nodeChildrenCount = tree.GetNodeChildrenCount(nodeKey)
VB
nodeChildrenCount = tree.GetNodeChildrenCount(nodeKey)
変数 | 説明
nodeChildrenCount | Integer。
nodeKey | ノードのキー。 String。


GetNodeContent メソッド (SapNetPlan)

クラス

SapNetPlan.

処理

ノードのコンテンツを返します。

構文

C#
nodeContent = netPlan.GetNodeContent(nodeId, textId)
VB
nodeContent = netPlan.GetNodeContent(nodeId, textId)
変数 | 説明
nodeContent | String。
nodeId | ノードのインデックス。 Integer。
textId | テキスト ID。 Integer。


GetNodeHeight メソッド (SapTree)

クラス

SapTree.

処理

現在のノードの高さを返します。

構文

C#
nodeHeight = tree.GetNodeHeight(nodeKey)
VB
nodeHeight = tree.GetNodeHeight(nodeKey)
変数 | 説明
nodeHeight | Integer。
nodeKey | ノードのキー。 String。


GetNodeIndex メソッド (SapTree)

クラス

SapTree.

処理

指定したノードのインデックスを返します。

構文

C#
nodeIndex = tree.GetNodeIndex(nodeKey)
VB
nodeIndex = tree.GetNodeIndex(nodeKey)
変数 | 説明
nodeIndex | Integer。
nodeKey | ノードのキー。 String。


GetNodeItemHeaders メソッド (SapTree)

クラス

SapTree.

処理

指定したノードのヘッダーを返します。

構文

C#
nodeItemHeaders = tree.GetNodeItemHeaders(nodeKey)
VB
nodeItemHeaders = tree.GetNodeItemHeaders(nodeKey)
変数 | 説明
nodeItemHeaders | List(Of String)。
nodeKey | ノードのキー。 String。


GetNodeLeft メソッド (SapTree)

クラス

SapTree.

処理

コンポーネントの左からの位置を取得します。

構文

C#
nodeLeft = tree.GetNodeLeft(nodeKey)
VB
nodeLeft = tree.GetNodeLeft(nodeKey)
変数 | 説明
nodeLeft | Integer。
nodeKey | ノードのキー。 String。


GetNodePathByKey メソッド (SapTree)

クラス

SapTree.

処理

ノードのキー（2\1\2 など）を指定してパスを取得します。

構文

C#
nodePathByKey = tree.GetNodePathByKey(nodeKey)
VB
nodePathByKey = tree.GetNodePathByKey(nodeKey)
変数 | 説明
nodePathByKey | String。
nodeKey | ノードのキー。 String。


GetNodeStyle メソッド (SapTree)

クラス

SapTree.

処理

ノードのスタイルを返します。

構文

C#
nodeStyle = tree.GetNodeStyle(nodeKey)
VB
nodeStyle = tree.GetNodeStyle(nodeKey)
変数 | 説明
nodeStyle | Integer。
nodeKey | ノードのキー。 String。


GetNodeTextByPath メソッド (SapTree)

クラス

SapTree.

処理

指定したパスによって定義されるノードのテキストを返します。

構文

C#
nodeTextByPath = tree.GetNodeTextByPath(path)
VB
nodeTextByPath = tree.GetNodeTextByPath(path)
変数 | 説明
nodeTextByPath | String。
path | ノード パス。 String。


GetNodeTextColor メソッド (SapTree)

クラス

SapTree.

処理

ノードのテキスト色を返します。

構文

C#
nodeTextColor = tree.GetNodeTextColor(nodeKey)
VB
nodeTextColor = tree.GetNodeTextColor(nodeKey)
変数 | 説明
nodeTextColor | Integer。
nodeKey | ノードのキー。 String。


GetNodeText メソッド (SapTree)

クラス

SapTree.

処理

この関数は、指定したキーによるノードのテキストを返します。

構文

C#
nodeText = tree.GetNodeText(nodeKey)
VB
nodeText = tree.GetNodeText(nodeKey)
変数 | 説明
nodeText | String。
nodeKey | ノードのキー。 String。


GetNodeTooltip メソッド (SapTree)

クラス

SapTree.

処理

ノードのツールチップ テキストを返します。

構文

C#
nodeTooltip = tree.GetNodeTooltip(nodeKey)
VB
nodeTooltip = tree.GetNodeTooltip(nodeKey)
変数 | 説明
nodeTooltip | String。
nodeKey | ノードのキー。 String。


GetNodeTop メソッド (SapTree)

クラス

SapTree.

処理

コンポーネントの上からの位置を取得します。

構文

C#
nodeTop = tree.GetNodeTop(nodeKey)
VB
nodeTop = tree.GetNodeTop(nodeKey)
変数 | 説明
nodeTop | Integer。
nodeKey | ノードのキー。 String。


GetNodeWidth メソッド (SapTree)

クラス

SapTree.

処理

現在のノードの幅を返します。

構文

C#
nodeWidth = tree.GetNodeWidth(nodeKey)
VB
nodeWidth = tree.GetNodeWidth(nodeKey)
変数 | 説明
nodeWidth | Integer。
nodeKey | ノードのキー。 String。


GetParentNodeKey メソッド (SapTree)

クラス

SapTree.

処理

指定したキーによるノードの親ノードのキーを返します。

構文

C#
parentNodeKey = tree.GetParentNodeKey(nodeKey)
VB
parentNodeKey = tree.GetParentNodeKey(nodeKey)
変数 | 説明
parentNodeKey | String。
nodeKey | ノードのキー。 String。


GetPreviousNodeKey メソッド (SapTree)

クラス

SapTree.

処理

指定したキーによるノードの前のノードのキーを返します。

構文

C#
previousNodeKey = tree.GetPreviousNodeKey(nodeKey)
VB
previousNodeKey = tree.GetPreviousNodeKey(nodeKey)
変数 | 説明
previousNodeKey | String。
nodeKey | ノードのキー。 String。


GetRowTotalLevel メソッド (SapGridView)

クラス

SapGridView.

処理

行のレベルを取得します。

構文

C#
rowTotalLevel = gridView.GetRowTotalLevel(row)
VB
rowTotalLevel = gridView.GetRowTotalLevel(row)
変数 | 説明
rowTotalLevel | Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。


GetStyleDescription メソッド (SapTree)

クラス

SapTree.

処理

指定したスタイルの説明を返します。

構文

C#
styleDescription = tree.GetStyleDescription(style)
VB
styleDescription = tree.GetStyleDescription(style)
変数 | 説明
styleDescription | String。
style | スタイル。 Integer。


GetSubNodesKeys メソッド (SapTree)

クラス

SapTree.

処理

指定したキーのノードのすべてのサブノードのキーのコレクションを返します。

構文

C#
subNodesKeys = tree.GetSubNodesKeys(nodeKey)
VB
subNodesKeys = tree.GetSubNodesKeys(nodeKey)
変数 | 説明
subNodesKeys | List(Of String)。
nodeKey | ノードのキー。 String。


GetSymbolInfo メソッド (SapGridView)

クラス

SapGridView.

処理

セルの記号の説明を返します。

SAP GUI のユーザー補助モードが有効化されてい場合にのみ、この関数は値を返します。

構文

C#
gridView.GetSymbolInfo(symbol)
VB
gridView.GetSymbolInfo(symbol)
変数 | 説明
symbol | セルの記号の値。 String。


GetToolbarButtonIcon メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バー ボタンのアイコン名を取得します。

構文

C#
toolbarButtonIcon = gridView.GetToolbarButtonIcon(buttonpos)
VB
toolbarButtonIcon = gridView.GetToolbarButtonIcon(buttonpos)
変数 | 説明
toolbarButtonIcon | String。
buttonpos | ツール バー ボタンの位置。 The value is zero-based.。 Integer。


GetToolbarButtonId メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バー ボタンの ID を取得します。

構文

C#
toolbarButtonId = gridView.GetToolbarButtonId(buttonpos)
VB
toolbarButtonId = gridView.GetToolbarButtonId(buttonpos)
変数 | 説明
toolbarButtonId | String。
buttonpos | ツール バー ボタンの位置。 The value is zero-based.。 Integer。


GetToolbarButtonText メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バー ボタンのテキストを取得します。

構文

C#
toolbarButtonText = gridView.GetToolbarButtonText(buttonpos)
VB
toolbarButtonText = gridView.GetToolbarButtonText(buttonpos)
変数 | 説明
toolbarButtonText | String。
buttonpos | ツール バー ボタンの位置。 The value is zero-based.。 Integer。


GetToolbarButtonTooltip メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バー ボタンのツールチップを取得します。

構文

C#
toolbarButtonTooltip = gridView.GetToolbarButtonTooltip(buttonpos)
VB
toolbarButtonTooltip = gridView.GetToolbarButtonTooltip(buttonpos)
変数 | 説明
toolbarButtonTooltip | String。
buttonpos | ツール バー ボタンのインデックス。 The value is zero-based.。 Integer。


GetToolbarButtonType メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バーのボタンの種類を取得します。 有効な値は、"Button"、"ButtonAndMenu"、"Menu"、"Separator"、"Group"、"CheckBox" です。

構文

C#
toolbarButtonType = gridView.GetToolbarButtonType(buttonpos)
VB
toolbarButtonType = gridView.GetToolbarButtonType(buttonpos)
変数 | 説明
toolbarButtonType | GridToolbarButtonType。
buttonpos | ツール バー ボタンのインデックス。 The value is zero-based.。 Integer。


GetToolbarFocusButton メソッド (SapGridView)

クラス

SapGridView.

処理

現在フォーカスを持つツール バー ボタンの位置を取得します。

構文

C#
toolbarFocusButton = gridView.GetToolbarFocusButton()
VB
toolbarFocusButton = gridView.GetToolbarFocusButton()
変数 | 説明
toolbarFocusButton | Integer。


GetVisibleCellsForColumn メソッド (SapTable)

クラス

SapTable.

処理

指定した列の可視なセルを返します。

構文

C#
visibleCellsForColumn = table.GetVisibleCellsForColumn(column)
VB
visibleCellsForColumn = table.GetVisibleCellsForColumn(column)
変数 | 説明
visibleCellsForColumn | List(Of SapComponent)。
column | 列のインデックス。 The value is zero-based.。 Integer。


GridCount メソッド (SapBarChart)

クラス

SapBarChart.

処理

グラフ内のグリッドの数を返します。

構文

C#
result = barChart.GridCount(chartId)
VB
result = barChart.GridCount(chartId)
変数 | 説明
result | Integer。
chartId | グラフのインデックス。 Integer。


GuiFocus プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] 現在フォーカスを持つ SAP GUI 内の要素。

構文

C#
protected SapComponent GuiFocus { get; }
VB
'Declaration
Protected Read Property GuiFocus As SapComponent

アクセス

読み取り専用。


HasCellF4Help メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルがヘルプが割り当てられた値を持つ場合に true を返します。

構文

C#
cellF4Help = gridView.HasCellF4Help(row, column)
VB
cellF4Help = gridView.HasCellF4Help(row, column)
変数 | 説明
cellF4Help | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


HeaderContextMenu メソッド (SapTree)

クラス

SapTree.

処理

このメソッドは、ヘッダーに対してコンテキスト メニューを要求します。

構文

C#
tree.HeaderContextMenu(headerName)
VB
tree.HeaderContextMenu(headerName)
変数 | 説明
headerName | ヘッダーの名前。 String。


Height プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 現在のコンポーネントの高さ。

構文

C#
protected Integer Height { get; }
VB
'Declaration
Protected Read Property Height As Integer

アクセス

読み取り専用。


HierarchyHeaderWidth プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 階層ヘッダーの幅（ピクセル単位）。

構文

C#
protected Integer HierarchyHeaderWidth { get; }
VB
'Declaration
Protected Read Property HierarchyHeaderWidth As Integer

アクセス

読み取り専用。


HierarchyTitle プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 階層タイトル。

構文

C#
protected String HierarchyTitle { get; }
VB
'Declaration
Protected Read Property HierarchyTitle As String

アクセス

読み取り専用。


Highlighted プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルに対して 'highlighted' フラグが割り当てられているかどうか。

構文

C#
protected Boolean Highlighted { get; }
VB
'Declaration
Protected Read Property Highlighted As Boolean

アクセス

読み取り専用。


IconName プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] オブジェクトにアイコンが割り当てられている場合は、このプロパティはアイコンの名前を、それ以外の場合は空の文字列。

構文

C#
protected String IconName { get; }
VB
'Declaration
Protected Read Property IconName As String

アクセス

読み取り専用。


Icon プロパティ (SapPicture)

クラス

SapPicture.

処理

[読み取り専用] SAPGUI アイコン コード（"@01@" など）。

構文

C#
protected String Icon { get; }
VB
'Declaration
Protected Read Property Icon As String

アクセス

読み取り専用。


InsertRows メソッド (SapGridView)

クラス

SapGridView.

処理

行の範択を挿入します。

パラメーター行は、インデックスやインデックス範囲をカンマ区切りで表した文字列です ('3,5-8,14,15' など)。 単一のインデックスの場合、新しい行が指定したインデックスに追加され古い行は一行下に移動します。 インデックスの範囲が挿入される場合、すべての新しい行が 1 つのブロックとして任意の古い行の前に挿入されます。 各エントリは順番通りに、かつ範囲が重複しないように指定する必要があります。

構文

C#
gridView.InsertRows(rows)
VB
gridView.InsertRows(rows)
変数 | 説明
rows | 挿入する行。 String。


IsBreakpointLine メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した行にブレークポイントが含まれているかどうかを取得します。

構文

C#
breakpointLine = textEdit.IsBreakpointLine(line)
VB
breakpointLine = textEdit.IsBreakpointLine(line)
変数 | 説明
breakpointLine | Boolean。
line | 行のインデックス。 The value is zero-based.。 Integer。


IsButtonChecked メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

ボタンが現在チェックされている（押されている）かどうかを取得します。

構文

C#
buttonChecked = toolbarControl.IsButtonChecked(buttonPosition)
VB
buttonChecked = toolbarControl.IsButtonChecked(buttonPosition)
変数 | 説明
buttonChecked | Boolean。
buttonPosition | ボタンの位置（0 を基準）。 Integer。


IsButtonEnabled メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

ボタンを押すことができるかどうかを取得します。

構文

C#
buttonEnabled = toolbarControl.IsButtonEnabled(buttonPosition)
VB
buttonEnabled = toolbarControl.IsButtonEnabled(buttonPosition)
変数 | 説明
buttonEnabled | Boolean。
buttonPosition | ボタンの位置（0 を基準）。 Integer。


IsCellChangeable メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルが変更可能な場合に true を返します。

構文

C#
cellChangeable = gridView.IsCellChangeable(row, column)
VB
cellChangeable = gridView.IsCellChangeable(row, column)
変数 | 説明
cellChangeable | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


IsCellCheckBoxChecked メソッド (SapGridView)

クラス

SapGridView.

処理

指定した位置にあるチェック ボックスがチェックされている場合に true を返します。

構文

C#
cellCheckBoxChecked = gridView.IsCellCheckBoxChecked(row, column)
VB
cellCheckBoxChecked = gridView.IsCellCheckBoxChecked(row, column)
変数 | 説明
cellCheckBoxChecked | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


IsCellHotspot メソッド (SapGridView)

クラス

SapGridView.

処理

セルがリンクである場合に true を返します。

構文

C#
cellHotspot = gridView.IsCellHotspot(row, column)
VB
cellHotspot = gridView.IsCellHotspot(row, column)
変数 | 説明
cellHotspot | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


IsCellSymbol メソッド (SapGridView)

クラス

SapGridView.

処理

セルのテキストが SAP シンボル フォントで表示されている場合に true を返します。

構文

C#
cellSymbol = gridView.IsCellSymbol(row, column)
VB
cellSymbol = gridView.IsCellSymbol(row, column)
変数 | 説明
cellSymbol | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


IsCellTotalExpander メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルに合計エクスパンダ ボタンがある場合に true を返します。

構文

C#
cellTotalExpander = gridView.IsCellTotalExpander(row, column)
VB
cellTotalExpander = gridView.IsCellTotalExpander(row, column)
変数 | 説明
cellTotalExpander | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


IsColumnFiltered メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列がフィルタリングされている場合に true を返します。

構文

C#
columnFiltered = gridView.IsColumnFiltered(column)
VB
columnFiltered = gridView.IsColumnFiltered(column)
変数 | 説明
columnFiltered | Boolean。
column | 列識別子。 String。


IsColumnKey メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列がキー列である場合に true を返します。

構文

C#
columnKey = gridView.IsColumnKey(column)
VB
columnKey = gridView.IsColumnKey(column)
変数 | 説明
columnKey | Boolean。
column | 列識別子。 String。


IsColumnSelected メソッド (SapTable)

クラス

SapTable.

処理

指定した列が選択されている場合に true を返します。

構文

C#
columnSelected = table.IsColumnSelected(column)
VB
columnSelected = table.IsColumnSelected(column)
変数 | 説明
columnSelected | Boolean。
column | 列のインデックス。 The value is zero-based.。 Integer。


IsCommentLine メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した行がコメント行である場合に true を返します。

構文

C#
commentLine = textEdit.IsCommentLine(line)
VB
commentLine = textEdit.IsCommentLine(line)
変数 | 説明
commentLine | Boolean。
line | 行のインデックス。 The value is zero-based.。 Integer。


IsFolderExpandable メソッド (SapTree)

クラス

SapTree.

処理

フォルダーが展開可能かどうかを返します。

構文

C#
folderExpandable = tree.IsFolderExpandable(nodeKey)
VB
folderExpandable = tree.IsFolderExpandable(nodeKey)
変数 | 説明
folderExpandable | Boolean。
nodeKey | ノードのキー。 String。


IsFolderExpanded メソッド (SapTree)

クラス

SapTree.

処理

フォルダーが展開されているかどうかを返します。

構文

C#
folderExpanded = tree.IsFolderExpanded(nodeKey)
VB
folderExpanded = tree.IsFolderExpanded(nodeKey)
変数 | 説明
folderExpanded | Boolean。
nodeKey | ノードのキー。 String。


IsFolder メソッド (SapTree)

クラス

SapTree.

処理

指定したノードがフォルダーかどうかを返します。

構文

C#
folder = tree.IsFolder(nodeKey)
VB
folder = tree.IsFolder(nodeKey)
変数 | 説明
folder | Boolean。
nodeKey | ノードのキー。 String。


IsHighlightedLine メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した行がハイライトされている場合に true を返します。

構文

C#
highlightedLine = textEdit.IsHighlightedLine(line)
VB
highlightedLine = textEdit.IsHighlightedLine(line)
変数 | 説明
highlightedLine | Boolean。
line | 行のインデックス。 The value is zero-based.。 Integer。


IsHighLighted メソッド (SapTree)

クラス

SapTree.

処理

ノードがハイライトされているかどうかを返します。

構文

C#
highLighted = tree.IsHighLighted(nodeKey, itemName)
VB
highLighted = tree.IsHighLighted(nodeKey, itemName)
変数 | 説明
highLighted | Boolean。
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


IsHotspot プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルに対するマウス クリックがラウンド トリップするかどうか。

構文

C#
protected Boolean IsHotspot { get; }
VB
'Declaration
Protected Read Property IsHotspot As Boolean

アクセス

読み取り専用。


IsLeftLabel プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] コンポーネントが 'assign left' フラグを持つかどうか。

構文

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

アクセス

読み取り専用。


IsLeftLabel プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] コンポーネントが 'assign left' フラグを持つかどうか。

構文

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

アクセス

読み取り専用。


IsLeftLabel プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] コンポーネントに 'assign left' フラグが割り当てられているかどうか。

構文

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

アクセス

読み取り専用。


IsLeftLabel プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] コンポーネントが 'assign left' フラグを持つかどうか。

構文

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

アクセス

読み取り専用。


IsListBoxActive プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] コンボ ボックスのリスト ボックスが現在開かれているかどうか。

構文

C#
protected Boolean IsListBoxActive { get; }
VB
'Declaration
Protected Read Property IsListBoxActive As Boolean

アクセス

読み取り専用。


IsListElement プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 要素が画面でなく ABAP リスト上にあるかどうか。

構文

C#
protected Boolean IsListElement { get; }
VB
'Declaration
Protected Read Property IsListElement As Boolean

アクセス

読み取り専用。


IsListElement プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] 要素が ABAP リスト上にあるかどうか。

構文

C#
protected Boolean IsListElement { get; }
VB
'Declaration
Protected Read Property IsListElement As Boolean

アクセス

読み取り専用。


IsPassword プロパティ (SapTextField)

クラス

SapTextField.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

アクセス

読み取り専用。


IsProtectedLine メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した行が保護されている場合に true を返します。

構文

C#
protectedLine = textEdit.IsProtectedLine(line)
VB
protectedLine = textEdit.IsProtectedLine(line)
変数 | 説明
protectedLine | Boolean。
line | 行のインデックス。 The value is zero-based.。 Integer。


IsRightLabel プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] コンポーネントが 'assign right' フラグを持つかどうか。

構文

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

アクセス

読み取り専用。


IsRightLabel プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] コンポーネントが 'assign right' フラグを持つかどうか。

構文

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

アクセス

読み取り専用。


IsRightLabel プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] コンポーネントに 'assign right' フラグが割り当てられているかどうか。

構文

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

アクセス

読み取り専用。


IsRightLabel プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] コンポーネントが 'assign right' フラグを持つかどうか。

構文

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

アクセス

読み取り専用。


IsRowSelected メソッド (SapTable)

クラス

SapTable.

処理

指定した行が選択されている場合に true を返します。

構文

C#
rowSelected = table.IsRowSelected(row)
VB
rowSelected = table.IsRowSelected(row)
変数 | 説明
rowSelected | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。


IsSymbolFont プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] コンポーネントのテキストが SAP シンボル フォントで表示されているかどうか。

構文

C#
protected Boolean IsSymbolFont { get; }
VB
'Declaration
Protected Read Property IsSymbolFont As Boolean

アクセス

読み取り専用。


IsToolbarButtonChecked メソッド (SapGridView)

クラス

SapGridView.

処理

指定したツール バー ボタンがチェックされている場合に true を返します。

構文

C#
toolbarButtonChecked = gridView.IsToolbarButtonChecked(buttonpos)
VB
toolbarButtonChecked = gridView.IsToolbarButtonChecked(buttonpos)
変数 | 説明
toolbarButtonChecked | Boolean。
buttonpos | ツール バー ボタンのインデックス。 The value is zero-based.。 Integer。


IsToolbarButtonEnabled メソッド (SapGridView)

クラス

SapGridView.

処理

指定したボタンが有効な場合に true を返します。

構文

C#
toolbarButtonEnabled = gridView.IsToolbarButtonEnabled(buttonpos)
VB
toolbarButtonEnabled = gridView.IsToolbarButtonEnabled(buttonpos)
変数 | 説明
toolbarButtonEnabled | Boolean。
buttonpos | ツール バー ボタンのインデックス。 The value is zero-based.。 Integer。


IsTotalRowExpanded メソッド (SapGridView)

クラス

SapGridView.

処理

指定した合計行が展開されているかどうかを取得します。

構文

C#
totalRowExpanded = gridView.IsTotalRowExpanded(row)
VB
totalRowExpanded = gridView.IsTotalRowExpanded(row)
変数 | 説明
totalRowExpanded | Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。


IsVkeyAllowed メソッド (SapWindow)

クラス

SapWindow.

処理

このメソッドは、指定した仮想キーが現在の画面上で実行できる場合に true を返します。

構文

C#
vkeyAllowed = window.IsVkeyAllowed(vkey)
VB
vkeyAllowed = window.IsVkeyAllowed(vkey)
変数 | 説明
vkeyAllowed | Boolean。
vkey | 評価するキー。 VKey。


ItemContextMenu メソッド (SapTree)

クラス

SapTree.

処理

このメソッドは、項目に対してコンテキスト メニューを要求します。

構文

C#
tree.ItemContextMenu(nodeKey, itemName)
VB
tree.ItemContextMenu(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


JumpBackward メソッド (SapWindow)

クラス

SapWindow.

処理

ウィンドウに対して Ctrl+Shift+Tab キーを実行して、1 ブロック後ろに移動します。

構文

C#
window.JumpBackward()
VB
window.JumpBackward()


JumpForward メソッド (SapWindow)

クラス

SapWindow.

処理

ウィンドウに対して Ctrl+Tab キーを実行して、1 ブロック前に移動します。

構文

C#
window.JumpForward()
VB
window.JumpForward()


Key プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] 現在選択されている項目のキー。

構文

C#
protected String Key { get; }
VB
'Declaration
Protected Read Property Key As String

アクセス

読み取り専用。


LastVisibleDate プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] カレンダ コントロールの最後の可視な日付。

構文

C#
protected String LastVisibleDate { get; }
VB
'Declaration
Protected Read Property LastVisibleDate As String

アクセス

読み取り専用。


LastVisibleLine プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキスト編集コントロールの下端に表示されている最後の可視な行。 The value is zero-based.。

構文

C#
protected Integer LastVisibleLine { get; }
VB
'Declaration
Protected Read Property LastVisibleLine As Integer

アクセス

読み取り専用。


Left プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 画面上の座標で要素の左からの位置。

構文

C#
protected Integer Left { get; }
VB
'Declaration
Protected Read Property Left As Integer

アクセス

読み取り専用。


LineCount プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキスト編集コントロールのすべての行の数。

構文

C#
protected Integer LineCount { get; }
VB
'Declaration
Protected Read Property LineCount As Integer

アクセス

読み取り専用。


LinkCount メソッド (SapBarChart)

クラス

SapBarChart.

処理

指定したグラフ内のリンクの数を返します。

構文

C#
result = barChart.LinkCount(chartId)
VB
result = barChart.LinkCount(chartId)
変数 | 説明
result | Integer。
chartId | グラフのインデックス。 Integer。


LinkCount プロパティ (SapNetPlan)

クラス

SapNetPlan.

処理

[読み取り専用] ネットのリンクの数。

構文

C#
protected Integer LinkCount { get; }
VB
'Declaration
Protected Read Property LinkCount As Integer

アクセス

読み取り専用。


Maximum プロパティ (SapScrollbar)

クラス

SapScrollbar.

処理

[読み取り専用] スクロール バーの最大値。

構文

C#
protected Integer Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Integer

アクセス

読み取り専用。


Maxlength プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルのテキストの最大の長さ（コード単位）。

構文

C#
protected Integer Maxlength { get; }
VB
'Declaration
Protected Read Property Maxlength As Integer

アクセス

読み取り専用。


MessageId プロパティ (SapStatusbar)

クラス

SapStatusbar.

処理

[読み取り専用] ABAP メッセージ呼び出しで使用されたメッセージ クラスの名前。

構文

C#
protected String MessageId { get; }
VB
'Declaration
Protected Read Property MessageId As String

アクセス

読み取り専用。


MessageNumber プロパティ (SapStatusbar)

クラス

SapStatusbar.

処理

[読み取り専用] ABAP メッセージ呼び出しで使用されたメッセージ番号。

構文

C#
protected String MessageNumber { get; }
VB
'Declaration
Protected Read Property MessageNumber As String

アクセス

読み取り専用。


MessageType プロパティ (SapStatusbar)

クラス

SapStatusbar.

処理

[読み取り専用] ステータス バーに表示されたメッセージの種類（たとえば、S (Success)、W (Warning)、E (Error)、A (Abort)、 I (Information)）。

構文

C#
protected StatusBarMessageType MessageType { get; }
VB
'Declaration
Protected Read Property MessageType As StatusBarMessageType

アクセス

読み取り専用。


Minimum プロパティ (SapScrollbar)

クラス

SapScrollbar.

処理

[読み取り専用] スクロール バーの最小値。

構文

C#
protected Integer Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Integer

アクセス

読み取り専用。


Modified プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 状態がユーザーによって変更され、この変更がまだ SAP システムに送信されていないかどうか。

構文

C#
protected Boolean Modified { get; }
VB
'Declaration
Protected Read Property Modified As Boolean

アクセス

読み取り専用。


ModifyCell メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルの値を変更します。

構文

C#
gridView.ModifyCell(row, column, value)
VB
gridView.ModifyCell(row, column, value)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。
value | セルの新しい値。 String。


ModifyCheckBox メソッド (SapGridView)

クラス

SapGridView.

処理

指定したチェック ボックス セルの値を変更します。

構文

C#
gridView.ModifyCheckBox(row, column, selected)
VB
gridView.ModifyCheckBox(row, column, selected)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。
selected | チェック ボックスが選択されているかどうか。 Boolean。


Month プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在選択されている年の月。

構文

C#
protected Integer Month { get; }
VB
'Declaration
Protected Read Property Month As Integer

アクセス

読み取り専用。


MoveRows メソッド (SapGridView)

クラス

SapGridView.

処理

fromRow 以上、toRow 以下のインデックスを持つ行を destRowの位置に移動させます。

構文

C#
gridView.MoveRows(fromRow, toRow, destRow)
VB
gridView.MoveRows(fromRow, toRow, destRow)
変数 | 説明
fromRow | 選択範囲の最初の行のインデックス。 The value is zero-based.。 Integer。
toRow | 選択範囲の最後の行のインデックス。 The value is zero-based.。 Integer。
destRow | 行を移動する移動先のインデックス。 The value is zero-based.。 Integer。


Name プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] コンポーネントの名前。

構文

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

アクセス

読み取り専用。


NodeContextMenu メソッド (SapTree)

クラス

SapTree.

処理

このメソッドは、ノードに対してコンテキスト メニューを要求します。

構文

C#
tree.NodeContextMenu(nodeKey)
VB
tree.NodeContextMenu(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


NodeCount プロパティ (SapNetPlan)

クラス

SapNetPlan.

処理

[読み取り専用] ネットのノードの数。

構文

C#
protected Integer NodeCount { get; }
VB
'Declaration
Protected Read Property NodeCount As Integer

アクセス

読み取り専用。


NodeKeys プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] アプリケーションに依存したルート ノードのノード キーまたはツリーのすべてのノードのオード キーのどちらかを含んでいるコレクション。

構文

C#
protected List(Of String) NodeKeys { get; }
VB
'Declaration
Protected Read Property NodeKeys As List(Of String)

アクセス

読み取り専用。


Numerical プロパティ (SapLabel)

クラス

SapLabel.

処理

[読み取り専用] ラベルに数値だけを含めることができるかどうか。

構文

C#
protected Boolean Numerical { get; }
VB
'Declaration
Protected Read Property Numerical As Boolean

アクセス

読み取り専用。


Opened プロパティ (SapOkCodeField)

クラス

SapOkCodeField.

処理

[読み取り専用] GuiOkCodeField が折りたたまれているかどうか。

構文

C#
protected Boolean Opened { get; }
VB
'Declaration
Protected Read Property Opened As Boolean

アクセス

読み取り専用。


Open メソッド (SapOkCodeField)

クラス

SapOkCodeField.

処理

GuiOkCodeField を展開します。

構文

C#
okCodeField.Open()
VB
okCodeField.Open()


PageSize プロパティ (SapScrollbar)

クラス

SapScrollbar.

処理

[読み取り専用] スクロール バーのページ サイズ。

構文

C#
protected Integer PageSize { get; }
VB
'Declaration
Protected Read Property PageSize As Integer

アクセス

読み取り専用。


Position プロパティ (SapScrollbar)

クラス

SapScrollbar.

処理

[読み取り専用] スクロール バーの現在の位置。

構文

C#
protected Integer Position { get; }
VB
'Declaration
Protected Read Property Position As Integer

アクセス

読み取り専用。


PressButtonCurrentCell メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルにあるボタンをクリックします。

構文

C#
gridView.PressButtonCurrentCell()
VB
gridView.PressButtonCurrentCell()


PressButton メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルにあるボタンを押します。

構文

C#
gridView.PressButton(row, column)
VB
gridView.PressButton(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


PressColumnHeader メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列のヘッダーをクリックします。

構文

C#
gridView.PressColumnHeader(column)
VB
gridView.PressColumnHeader(column)
変数 | 説明
column | 列識別子。 String。


PressContextButton メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

指定した ID を持つコンテキスト ボタンを押します。

構文

C#
toolbarControl.PressContextButton(id)
VB
toolbarControl.PressContextButton(id)
変数 | 説明
id | ボタンの ID。 String。


PressEnter メソッド (SapGridView)

クラス

SapGridView.

処理

Enter キーを押します。

構文

C#
gridView.PressEnter()
VB
gridView.PressEnter()


PressF1 メソッド (SapGridView)

クラス

SapGridView.

処理

F1 キーを押します。

構文

C#
gridView.PressF1()
VB
gridView.PressF1()


PressF1 メソッド (SapOkCodeField)

クラス

SapOkCodeField.

処理

GuiOkCodeField にフォーカスがある間に F1 キーを押すことをエミュレートします。

構文

C#
okCodeField.PressF1()
VB
okCodeField.PressF1()


PressF1 メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

F1 キーを押します。

構文

C#
textEdit.PressF1()
VB
textEdit.PressF1()


PressF4 メソッド (SapGridView)

クラス

SapGridView.

処理

F4 キーを押します。

構文

C#
gridView.PressF4()
VB
gridView.PressF4()


PressF4 メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

F4 キーを押します。

構文

C#
textEdit.PressF4()
VB
textEdit.PressF4()


PressKey メソッド (SapTree)

クラス

SapTree.

処理

このメソッドはキーの押下をエミュレートします。

構文

C#
tree.PressKey(key)
VB
tree.PressKey(key)
変数 | 説明
key | 有効な値は、F1、F4、Delete、Insert、Enter、Cut、Copy、および Paste です。 String。


PressToolbarButton メソッド (SapGridView)

クラス

SapGridView.

処理

グリッド ビューのツール バーの指定したボタンをクリックします。

構文

C#
gridView.PressToolbarButton(id)
VB
gridView.PressToolbarButton(id)
変数 | 説明
id | ツール バー ボタンの ID。 String。


PressToolbarContextButton メソッド (SapGridView)

クラス

SapGridView.

処理

グリッド ビューのツール バーの指定したボタンのコンテキスト メニューを開きます。

構文

C#
gridView.PressToolbarContextButton(id)
VB
gridView.PressToolbarContextButton(id)
変数 | 説明
id | ツール バー ボタンの ID。 String。


PressTotalRowCurrentCell メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルにある展開ボタンを押します。

構文

C#
gridView.PressTotalRowCurrentCell()
VB
gridView.PressTotalRowCurrentCell()


PressTotalRow メソッド (SapGridView)

クラス

SapGridView.

処理

指定した合計行の行ボタンを押します。

構文

C#
gridView.PressTotalRow(row, column)
VB
gridView.PressTotalRow(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列識別子。 String。


ReorderTable メソッド (SapTable)

クラス

SapTable.

処理

このメソッドは列の順序を並べ替えます。

構文

C#
table.ReorderTable(permutation)
VB
table.ReorderTable(permutation)
変数 | 説明
permutation | 列の新しい順序を指定します。 たとえば、 "1 3 2" と指定すると、列 3 が 2 番目の位置に移動します。 String。


Required プロパティ (SapComboBox)

クラス

SapComboBox.

処理

[読み取り専用] コンポーネントが画面に必要な値かどうか。

構文

C#
protected Boolean Required { get; }
VB
'Declaration
Protected Read Property Required As Boolean

アクセス

読み取り専用。


ResizeWorkingPaneEx メソッド (SapWindow)

クラス

SapWindow.

処理

ResizeWorkingPaneEx 関数は、ピクセルで指定された幅と高さに利用可能な作業領域のウィンドウ サイズを変更します。

構文

C#
window.ResizeWorkingPaneEx(width, height, throwOnFail)
VB
window.ResizeWorkingPaneEx(width, height, throwOnFail)
変数 | 説明
width | 作業ペインの新しい幅。 Integer。
height | 作業ペインの新しい高さ。 Integer。
throwOnFail | 失敗したときに例外をスローするかどうか。 Boolean。


ResizeWorkingPane メソッド (SapWindow)

クラス

SapWindow.

処理

ResizeWorkingPane 関数は、文字単位で指定された幅と高さに利用可能な作業領域のウィンドウ サイズを変更します。

構文

C#
window.ResizeWorkingPane(width, height, throwOnFail)
VB
window.ResizeWorkingPane(width, height, throwOnFail)
変数 | 説明
width | 作業ペインの新しい幅。 Integer。
height | 作業ペインの新しい高さ。 Integer。
throwOnFail | 失敗したときに例外をスローするかどうか。 Boolean。


RowCount プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 行の数。

構文

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


RowCount プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] テーブルの行の数（不可視の行を含む）。

構文

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


RowSelectionMode プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] 行の選択モード。

構文

C#
protected TableSelectionType RowSelectionMode { get; }
VB
'Declaration
Protected Read Property RowSelectionMode As TableSelectionType

アクセス

読み取り専用。


RowText プロパティ (SapCheckBox)

クラス

SapCheckBox.

処理

[読み取り専用] 現在のコンポーネントを含んでいる行全体のテキスト。

構文

C#
protected String RowText { get; }
VB
'Declaration
Protected Read Property RowText As String

アクセス

読み取り専用。


SapEvent メソッド (SapHTMLViewer)

クラス

SapHTMLViewer.

処理

この関数は HTML フォームをバックエンドに送信します。

構文

C#
hTMLViewer.SapEvent(frameName, postData, url)
VB
hTMLViewer.SapEvent(frameName, postData, url)
変数 | 説明
frameName | 送信される HTML フォームが存在するフレームの名前。 String。
postData | POST メソッドを使用して送信が行われる際のフォーム データ。 String。
url | バックエンドに送信される URL。 URL 文字列のプロトコル名は "sapevent:" です。 この後に、呼び出される HTML フォームの action プロパティで定義されるイベント名が続きます。 String。


ScreenLeft プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 画面上の座標でコンポーネントの左からの位置。

構文

C#
protected Integer ScreenLeft { get; }
VB
'Declaration
Protected Read Property ScreenLeft As Integer

アクセス

読み取り専用。


ScreenTop プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 画面上の座標でコンポーネントの上からの位置。

構文

C#
protected Integer ScreenTop { get; }
VB
'Declaration
Protected Read Property ScreenTop As Integer

アクセス

読み取り専用。


ScrollTo メソッド (SapScrollbar)

クラス

SapScrollbar.

処理

指定した位置にスクロールします。

構文

C#
scrollbar.ScrollTo(position)
VB
scrollbar.ScrollTo(position)
変数 | 説明
position | 位置。 Integer。


SelectAllColumns メソッド (SapTable)

クラス

SapTable.

処理

この関数は、1 ステップですべての列を選択できるボタンを持つテーブル コントロールに対して使用することができます。

構文

C#
table.SelectAllColumns()
VB
table.SelectAllColumns()


SelectAll メソッド (SapGridView)

クラス

SapGridView.

処理

グリッドのコンテンツ全体（たとえば、すべての行と列）を選択します。

構文

C#
gridView.SelectAll()
VB
gridView.SelectAll()


SelectButton メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

指定した ID を持つボタンの押下をエミュレートします。

構文

C#
toolbarControl.SelectButton(id)
VB
toolbarControl.SelectButton(id)
変数 | 説明
id | ボタンの ID。 String。


SelectButton メソッド (SapTree)

クラス

SapTree.

処理

このメソッドはボタンの押下をエミュレートします。

構文

C#
tree.SelectButton(nodeKey, itemName)
VB
tree.SelectButton(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


SelectColumn メソッド (SapGridView)

クラス

SapGridView.

処理

選択した列のリストに指定した列を追加します。

構文

C#
gridView.SelectColumn(column)
VB
gridView.SelectColumn(column)
変数 | 説明
column | 列識別子。 String。


SelectColumn メソッド (SapTable)

クラス

SapTable.

処理

指定した列を選択します。

構文

C#
table.SelectColumn(column)
VB
table.SelectColumn(column)
変数 | 説明
column | 列のインデックス。 The value is zero-based.。 Integer。


SelectColumn メソッド (SapTree)

クラス

SapTree.

処理

この関数は列の選択範囲に列を追加します。 ノードまたは項目の選択は削除されます。

構文

C#
tree.SelectColumn(columnName)
VB
tree.SelectColumn(columnName)
変数 | 説明
columnName | 列の名前。 String。


SelectContextMenuItemByPosition メソッド (ISapContextMenuable)

クラス

ISapContextMenuable.

処理

このメソッドは項目の位置を利用してコンテキスト メニュー項目を選択できます。

構文

C#
iSapContextMenuable.SelectContextMenuItemByPosition(positionDescription)
VB
iSapContextMenuable.SelectContextMenuItemByPosition(positionDescription)
変数 | 説明
positionDescription | 項目へのパスを含んだ文字列。 コンテキスト メニュー項目がトップ レベル メニューにある場合には、単に項目の 0 を基準としたインデックスになります。 それ以外の場合には、メニューおよび個々のサブメニューの位置を "|" で区切って指定します。 String。


SelectContextMenuItemByText メソッド (ISapContextMenuable)

クラス

ISapContextMenuable.

処理

メニュー項目や利用可能な高レベルのメニューのテキストを使用してコンテキスト メニューのメニュー項目を選択します。

構文

C#
iSapContextMenuable.SelectContextMenuItemByText(text)
VB
iSapContextMenuable.SelectContextMenuItemByText(text)
変数 | 説明
text | メニュー項目のテキスト。 String。


SelectContextMenuItem メソッド (ISapContextMenuable)

クラス

ISapContextMenuable.

処理

コントロールのコンテキスト メニューから項目を選択します。

構文

C#
iSapContextMenuable.SelectContextMenuItem(functionCode)
VB
iSapContextMenuable.SelectContextMenuItem(functionCode)
変数 | 説明
functionCode | 機能コード。 String。


SelectedCells プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 選択したセルを含む文字列のリスト。それぞれの書式は "<行>,<列 ID>" となります。

構文

C#
protected List(Of String) SelectedCells { get; }
VB
'Declaration
Protected Read Property SelectedCells As List(Of String)

アクセス

読み取り専用。


SelectedColumns プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 現在選択されている列の文字列のリスト。

構文

C#
protected List(Of String) SelectedColumns { get; }
VB
'Declaration
Protected Read Property SelectedColumns As List(Of String)

アクセス

読み取り専用。


SelectedItemColumn プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 現在選択されている項目列のキー。

構文

C#
protected String SelectedItemColumn { get; }
VB
'Declaration
Protected Read Property SelectedItemColumn As String

アクセス

読み取り専用。


SelectedItemNode プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 現在選択されている項目ノードのキー。

構文

C#
protected String SelectedItemNode { get; }
VB
'Declaration
Protected Read Property SelectedItemNode As String

アクセス

読み取り専用。


SelectedNode プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 現在選択されているノードのキー。

構文

C#
protected String SelectedNode { get; }
VB
'Declaration
Protected Read Property SelectedNode As String

アクセス

読み取り専用。


SelectedNodes プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] ツリー内のすべての選択されたノードのノード キーを含むコレクション。

構文

C#
protected List(Of String) SelectedNodes { get; }
VB
'Declaration
Protected Read Property SelectedNodes As List(Of String)

アクセス

読み取り専用。


Selected プロパティ (SapRadioButton)

クラス

SapRadioButton.

処理

[読み取り専用] ラジオ ボタンが選択されているかどうか。

構文

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

アクセス

読み取り専用。


SelectedRows プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 行インデックス番号、またはインデックス範囲のカンマ区切りリスト（"1,4,6-8" など）。

構文

C#
protected String SelectedRows { get; }
VB
'Declaration
Protected Read Property SelectedRows As String

アクセス

読み取り専用。


SelectedTab プロパティ (SapTabStrip)

クラス

SapTabStrip.

処理

[読み取り専用] 現在選択されているタブ。

構文

C#
protected SapTab SelectedTab { get; }
VB
'Declaration
Protected Read Property SelectedTab As SapTab

アクセス

読み取り専用。


SelectedText プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 現在選択されているテキスト。

構文

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


SelectHeader メソッド (SapTree)

クラス

SapTree.

処理

このメソッドはヘッダーのクリックをエミュレートします。

構文

C#
tree.SelectHeader(headerName)
VB
tree.SelectHeader(headerName)
変数 | 説明
headerName | ヘッダーの名前。 String。


SelectionChanged メソッド (SapGridView)

クラス

SapGridView.

処理

選択範囲が変更されたことをサーバーに通知します。

構文

C#
gridView.SelectionChanged()
VB
gridView.SelectionChanged()


SelectionEndColumn プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 選択範囲の終了点の列インデックス。 The value is zero-based.。

構文

C#
protected Integer SelectionEndColumn { get; }
VB
'Declaration
Protected Read Property SelectionEndColumn As Integer

アクセス

読み取り専用。


SelectionEndLine プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 選択範囲の終了点の行インデックス。 The value is zero-based.。

構文

C#
protected Integer SelectionEndLine { get; }
VB
'Declaration
Protected Read Property SelectionEndLine As Integer

アクセス

読み取り専用。


SelectionIndexEnd プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキストの選択範囲全体の終了インデックス。 The value is zero-based.。

構文

C#
protected Integer SelectionIndexEnd { get; }
VB
'Declaration
Protected Read Property SelectionIndexEnd As Integer

アクセス

読み取り専用。


SelectionIndexStart プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキストの選択範囲全体の開始インデックス。 The value is zero-based.。

構文

C#
protected Integer SelectionIndexStart { get; }
VB
'Declaration
Protected Read Property SelectionIndexStart As Integer

アクセス

読み取り専用。


SelectionInterval プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在選択されている範囲。

構文

C#
protected String SelectionInterval { get; }
VB
'Declaration
Protected Read Property SelectionInterval As String

アクセス

読み取り専用。


SelectionMode プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 選択モード。 有効な値は、"RowsAndColumns"、"ListboxSingle"、"ListboxMultiple"、"Free" です。

構文

C#
protected GridSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As GridSelectionMode

アクセス

読み取り専用。


SelectionMode プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] 選択モード。

構文

C#
protected TreeSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As TreeSelectionMode

アクセス

読み取り専用。


SelectionStartColumn プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] テキストの選択範囲の列の開始インデックス。 The value is zero-based.。

構文

C#
protected Integer SelectionStartColumn { get; }
VB
'Declaration
Protected Read Property SelectionStartColumn As Integer

アクセス

読み取り専用。


SelectionStartLine プロパティ (SapTextEdit)

クラス

SapTextEdit.

処理

[読み取り専用] 選択範囲の開始点の行インデックス。 The value is zero-based.。

構文

C#
protected Integer SelectionStartLine { get; }
VB
'Declaration
Protected Read Property SelectionStartLine As Integer

アクセス

読み取り専用。


SelectItem メソッド (SapComboBox)

クラス

SapComboBox.

処理

指定した項目を選択します。

構文

C#
comboBox.SelectItem(item)
VB
comboBox.SelectItem(item)
変数 | 説明
item | 項目。 String。


SelectItem メソッド (SapTree)

クラス

SapTree.

処理

この関数は項目の選択をエミュレートします。 この選択によって、すべてのほかの選択は削除されます。

構文

C#
tree.SelectItem(nodeKey, itemName)
VB
tree.SelectItem(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


SelectKey メソッド (SapComboBox)

クラス

SapComboBox.

処理

指定したキーを持つリスト項目を選択します。

構文

C#
comboBox.SelectKey(key)
VB
comboBox.SelectKey(key)
変数 | 説明
key | キー。 String。


SelectLink メソッド (SapTree)

クラス

SapTree.

処理

この関数は、リンクのトリガーをエミュレートします。

構文

C#
tree.SelectLink(nodeKey, itemName)
VB
tree.SelectLink(nodeKey, itemName)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。


SelectMenuItemByText メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

メニュー項目のテキストによるメニュー項目の選択をエミュレートします。

構文

C#
toolbarControl.SelectMenuItemByText(text)
VB
toolbarControl.SelectMenuItemByText(text)
変数 | 説明
text | メニュー項目のテキスト。 String。


SelectMenuItem メソッド (SapToolbarControl)

クラス

SapToolbarControl.

処理

指定した ID を持つメニュー項目の選択をエミュレートします。

構文

C#
toolbarControl.SelectMenuItem(id)
VB
toolbarControl.SelectMenuItem(id)
変数 | 説明
id | メニューの ID。 String。


Select メソッド (SapButton)

クラス

SapButton.

処理

このメソッドはボタンの手動による押下をエミュレートします。 ボタンの押下は、常にサーバーとの通信を発生させ、そのウィンドウ レベル以下の要素へのすべての無効な参照がレンダリングされます。

構文

C#
button.Select()
VB
button.Select()


Select メソッド (SapMenu)

クラス

SapMenu.

処理

メニューを選択します。

構文

C#
menu.Select()
VB
menu.Select()


Select メソッド (SapRadioButton)

クラス

SapRadioButton.

処理

ラジオ ボタンを選択します。

構文

C#
radioButton.Select()
VB
radioButton.Select()


Select メソッド (SapTab)

クラス

SapTab.

処理

タブを選択します。

構文

C#
tab.Select()
VB
tab.Select()


SelectNode メソッド (SapTree)

クラス

SapTree.

処理

nodeKey キーを持つノードをノードの選択範囲に追加します。

構文

C#
tree.SelectNode(nodeKey)
VB
tree.SelectNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


SelectRow メソッド (SapTable)

クラス

SapTable.

処理

指定した行を選択します。

構文

C#
table.SelectRow(row)
VB
table.SelectRow(row)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。


SelectToolbarMenuItem メソッド (SapGridView)

クラス

SapGridView.

処理

グリッド ビューのツール バーのコンテキスト メニューから項目を選択します。

構文

C#
gridView.SelectToolbarMenuItem(id)
VB
gridView.SelectToolbarMenuItem(id)
変数 | 説明
id | メニュー項目の ID。 String。


SendData メソッド (SapBarChart)

クラス

SapBarChart.

処理

サーバーにデータを送信します。

構文

C#
barChart.SendData(data)
VB
barChart.SendData(data)
変数 | 説明
data | 送信するデータ。 String。


SendData メソッド (SapNetPlan)

クラス

SapNetPlan.

処理

この関数は、コントロール側でトリガーされたアクションそれぞれの出力をエミュレートします。 アクションの結果はサーバーに送信されます。

現時点では、単一のオブジェクトをクライアント側で選択/選択解除したり、これら「ローカル」アクションの再生および記録を行うことはできません。

構文

C#
netPlan.SendData(data)
VB
netPlan.SendData(data)
変数 | 説明
data | 送信するデータ。 String。


SendVKey メソッド (SapWindow)

クラス

SapWindow.

処理

システムに仮想キーを送信します。

構文

C#
window.SendVKey(vkey)
VB
window.SendVKey(vkey)
変数 | 説明
vkey | 送信する仮想キー。 VKey。


SetCheckBoxState メソッド (SapTree)

クラス

SapTree.

処理

指定したノードのチェック ボックスの状態を変更します。

構文

C#
tree.SetCheckBoxState(nodeKey, itemName, check)
VB
tree.SetCheckBoxState(nodeKey, itemName, check)
変数 | 説明
nodeKey | ノードのキー。 String。
itemName | 項目の名前。 String。
check | 新しいチェック ボックスの状態。 Boolean。


SetColumnOrder メソッド (SapGridView)

クラス

SapGridView.

処理

列の順序を設定します。

構文

C#
gridView.SetColumnOrder(columns)
VB
gridView.SetColumnOrder(columns)
変数 | 説明
columns | 指定したい順番に並べた列識別子のリスト。 List(Of String)。


SetColumnOrder メソッド (SapTree)

クラス

SapTree.

処理

ツリーの列の順序を設定します。

構文

C#
tree.SetColumnOrder(columns)
VB
tree.SetColumnOrder(columns)
変数 | 説明
columns | 指定したい順番に並べた列タイトルのリスト。 同じタイトルを 2 度以上指定することはできません。 List(Of String)。


SetColumnWidth メソッド (SapGridView)

クラス

SapGridView.

処理

指定した列の幅を設定します。

構文

C#
gridView.SetColumnWidth(column, width)
VB
gridView.SetColumnWidth(column, width)
変数 | 説明
column | 列識別子。 String。
width | width。 Integer。


SetColumnWidth メソッド (SapTree)

クラス

SapTree.

処理

この関数は列の幅をピクセル単位で設定します。

構文

C#
tree.SetColumnWidth(columnName, width)
VB
tree.SetColumnWidth(columnName, width)
変数 | 説明
columnName | 列の名前。 String。
width | 列の新しい幅。 Integer。


SetCurrentCellColumn メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルの列を指定します。

構文

C#
gridView.SetCurrentCellColumn(column)
VB
gridView.SetCurrentCellColumn(column)
変数 | 説明
column | 列識別子。 String。


SetCurrentCell メソッド (SapGridView)

クラス

SapGridView.

処理

指定したセルを現在のセルとして設定します。

構文

C#
gridView.SetCurrentCell(row, column)
VB
gridView.SetCurrentCell(row, column)
変数 | 説明
row | 行のインデックス。 Integer。
column | 列識別子。 String。


SetCurrentCellRow メソッド (SapGridView)

クラス

SapGridView.

処理

現在のセルの行を設定します。

構文

C#
gridView.SetCurrentCellRow(row)
VB
gridView.SetCurrentCellRow(row)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。


SetFirstVisibleColumn メソッド (SapGridView)

クラス

SapGridView.

処理

最初の可視な列を設定します。

構文

C#
gridView.SetFirstVisibleColumn(column)
VB
gridView.SetFirstVisibleColumn(column)
変数 | 説明
column | 列識別子。 String。


SetFirstVisibleDate メソッド (SapCalendar)

クラス

SapCalendar.

処理

カレンダ コントロールの最も早い可視な日付を設定します。

構文

C#
calendar.SetFirstVisibleDate(firstVisibleDate)
VB
calendar.SetFirstVisibleDate(firstVisibleDate)
変数 | 説明
firstVisibleDate | 文字列形式の日付。例： "20020228"。 String。


SetFirstVisibleRow メソッド (SapGridView)

クラス

SapGridView.

処理

最初の可視な行を設定します。

構文

C#
gridView.SetFirstVisibleRow(row)
VB
gridView.SetFirstVisibleRow(row)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。


SetFocusDate メソッド (SapCalendar)

クラス

SapCalendar.

処理

フォーカスを持つ日付を設定します。

構文

C#
calendar.SetFocusDate(focusDate)
VB
calendar.SetFocusDate(focusDate)
変数 | 説明
focusDate | フォーカスを持つ日付を文字列形式で指定します (YYYYMMDD)。 String。


SetHierarchyHeaderWidth メソッド (SapTree)

クラス

SapTree.

処理

階層ヘッダーの幅（ピクセル単位）を設定します。

構文

C#
tree.SetHierarchyHeaderWidth(width)
VB
tree.SetHierarchyHeaderWidth(width)
変数 | 説明
width | ヘッダーの新しい幅。 Integer。


SetPasswordText メソッド (SapTextField)

クラス

SapTextField.

処理

暗号化されたパスワードをオブジェクトに送信します。

構文

C#
textField.SetPasswordText(password)
VB
textField.SetPasswordText(password)
変数 | 説明
password | 暗号化されたパスワード。 String。


SetSelectedNode メソッド (SapTree)

クラス

SapTree.

処理

指定したノードを選択します。

構文

C#
tree.SetSelectedNode(nodeKey)
VB
tree.SetSelectedNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


SetSelectedRows メソッド (SapGridView)

クラス

SapGridView.

処理

指定した行を選択します。

構文

C#
gridView.SetSelectedRows(rows)
VB
gridView.SetSelectedRows(rows)
変数 | 説明
rows | 行インデックス、またはインデックス範囲のカンマ区切りリスト（"1,3,6-8" など）として行を指定します。 String。


SetSelectionIndexes メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

指定した範囲のテキストを選択します。

構文

C#
textEdit.SetSelectionIndexes(start, end)
VB
textEdit.SetSelectionIndexes(start, end)
変数 | 説明
start | 開始インデックス（含む）。 The value is zero-based.。 Integer。
end | 終了インデックス（含まない）。 The value is zero-based.。 Integer。


SetSelectionInterval メソッド (SapCalendar)

クラス

SapCalendar.

処理

指定した範囲を選択します。

構文

C#
calendar.SetSelectionInterval(interval)
VB
calendar.SetSelectionInterval(interval)
変数 | 説明
interval | カンマ区切りで指定した 2 つの日付文字列（YYYMMDD）で表した範囲。 String。


SetText メソッド (SapOkCodeField)

クラス

SapOkCodeField.

処理

コントロールのテキストを指定したテキストに設定します。

構文

C#
okCodeField.SetText(text)
VB
okCodeField.SetText(text)
変数 | 説明
text | テキスト コンポーネントの新しいテキスト。 String。


SetText メソッド (SapTextEdit)

クラス

SapTextEdit.

処理

テキスト編集コントロールに指定したテキストを設定します。

構文

C#
textEdit.SetText(text)
VB
textEdit.SetText(text)
変数 | 説明
text | テキスト。 String。


SetText メソッド (SapTextField)

クラス

SapTextField.

処理

コントロールのテキストを指定したテキストに設定します。

構文

C#
textField.SetText(text)
VB
textField.SetText(text)
変数 | 説明
text | テキスト コンポーネントの新しいテキスト。 String。


SetTopNode メソッド (SapTree)

クラス

SapTree.

処理

指定したキーをトップ ノードとして設定します。

構文

C#
tree.SetTopNode(nodeKey)
VB
tree.SetTopNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


ShowContextMenu メソッド (SapComponent)

クラス

SapComponent.

処理

コントロールのコンテキスト メニューを表示します。

構文

C#
component.ShowContextMenu()
VB
component.ShowContextMenu()


StartSelection プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 選択範囲の開始点。

構文

C#
protected String StartSelection { get; }
VB
'Declaration
Protected Read Property StartSelection As String

アクセス

読み取り専用。


StatusbarVisible プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] ステータス バーが可視かどうか。

構文

C#
protected Boolean StatusbarVisible { get; }
VB
'Declaration
Protected Read Property StatusbarVisible As Boolean

アクセス

読み取り専用。


SystemFocus プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] サーバー アプリケーションの視点からフォーカスを持つ SAP GUI 内の要素。

構文

C#
protected SapComponent SystemFocus { get; }
VB
'Declaration
Protected Read Property SystemFocus As SapComponent

アクセス

読み取り専用。


TabBackward メソッド (SapWindow)

クラス

SapWindow.

処理

ウィンドウに対して Shift+Tab キーを実行して、1 要素後ろに移動します。

構文

C#
window.TabBackward()
VB
window.TabBackward()


TabForward メソッド (SapWindow)

クラス

SapWindow.

処理

ウィンドウに対して Tab キーを実行して、1 要素前に移動します。

構文

C#
window.TabForward()
VB
window.TabForward()


TableFieldName プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] テーブルのフィールド名。

構文

C#
protected String TableFieldName { get; }
VB
'Declaration
Protected Read Property TableFieldName As String

アクセス

読み取り専用。


Tabs プロパティ (SapTabStrip)

クラス

SapTabStrip.

処理

[読み取り専用] タブ ペインのすべてのタブ。

構文

C#
protected List(Of SapTab) Tabs { get; }
VB
'Declaration
Protected Read Property Tabs As List(Of SapTab)

アクセス

読み取り専用。


TitlebarVisible プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] タイトル バーが可視かどうか。

構文

C#
protected Boolean TitlebarVisible { get; }
VB
'Declaration
Protected Read Property TitlebarVisible As Boolean

アクセス

読み取り専用。


Title プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] グリッド コントロールのタイトル。

構文

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

アクセス

読み取り専用。


ToolbarButtonCount プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] 区切りを含むツール バーのボタンの数。

構文

C#
protected Integer ToolbarButtonCount { get; }
VB
'Declaration
Protected Read Property ToolbarButtonCount As Integer

アクセス

読み取り専用。


ToolbarVisible プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] ツール バーが可視かどうか。

構文

C#
protected Boolean ToolbarVisible { get; }
VB
'Declaration
Protected Read Property ToolbarVisible As Boolean

アクセス

読み取り専用。


Tooltip プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] ツールチップ テキスト。

構文

C#
protected String Tooltip { get; }
VB
'Declaration
Protected Read Property Tooltip As String

アクセス

読み取り専用。


TopNode プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] トップ ノードのキー。

構文

C#
protected String TopNode { get; }
VB
'Declaration
Protected Read Property TopNode As String

アクセス

読み取り専用。


Top プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 画面上の座標で要素の上からの位置。

構文

C#
protected Integer Top { get; }
VB
'Declaration
Protected Read Property Top As Integer

アクセス

読み取り専用。


TreeType プロパティ (SapTree)

クラス

SapTree.

処理

[読み取り専用] ツリーの種類（単純ツリー、リスト ツリー、列ツリー）。

構文

C#
protected TreeType TreeType { get; }
VB
'Declaration
Protected Read Property TreeType As TreeType

アクセス

読み取り専用。


TriggerModified メソッド (SapGridView)

クラス

SapGridView.

処理

セルの複数の変更をサーバーに通知します。一般医、ModifyCell への複数の呼び出しの跡に、このメソッドは呼び出されます。

構文

C#
gridView.TriggerModified()
VB
gridView.TriggerModified()


Uncheck メソッド (SapCheckBox)

クラス

SapCheckBox.

処理

チェック ボックスのチェックを外します。

構文

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


UnselectAll メソッド (SapTree)

クラス

SapTree.

処理

すべての選択を削除します。

構文

C#
tree.UnselectAll()
VB
tree.UnselectAll()


UnselectColumn メソッド (SapTree)

クラス

SapTree.

処理

この関数は列の選択範囲から列を削除します。

構文

C#
tree.UnselectColumn(columnName)
VB
tree.UnselectColumn(columnName)
変数 | 説明
columnName | 列の名前。 String。


UnselectNode メソッド (SapTree)

クラス

SapTree.

処理

nodeKey キーを持つノードをノードの選択範囲から削除します。

構文

C#
tree.UnselectNode(nodeKey)
VB
tree.UnselectNode(nodeKey)
変数 | 説明
nodeKey | ノードのキー。 String。


Url プロパティ (SapPicture)

クラス

SapPicture.

処理

[読み取り専用] 画像の URL。

構文

C#
protected String Url { get; }
VB
'Declaration
Protected Read Property Url As String

アクセス

読み取り専用。


ValueChange メソッド (SapChart)

クラス

SapChart.

処理

グラフの値を変更します。

構文

C#
chart.ValueChange(series, point, xValue, yValue, dataChange, id, zValue, changeFlag)
VB
chart.ValueChange(series, point, xValue, yValue, dataChange, id, zValue, changeFlag)
変数 | 説明
series | 変更する行内のデータ セットの数。 Integer。
point | 変更する行内のデータ ポイントの数。 Integer。
xValue | 新しい x 値。 Double。
yValue | 新しい y 値。 Double。
dataChange | このパラメーターを true に設定した場合、値がグラフィック内で対話的に変更されたのではなく、DataPoint プロパティ ページで新しい値が入力されたことを意味します。 Boolean。
id | 変更したポイントの GFW データ コンテナー ID。 String。
zValue | 新しい z 値。 Double。
changeFlag | どの値が変更されたか、またはそれが時間値であったかどうかを通知します。 ChartChangeFlag。


VisibleRowCount プロパティ (SapGridView)

クラス

SapGridView.

処理

[読み取り専用] グリッド ビューの可視な行の数。

構文

C#
protected Integer VisibleRowCount { get; }
VB
'Declaration
Protected Read Property VisibleRowCount As Integer

アクセス

読み取り専用。


VisibleRowCount プロパティ (SapTable)

クラス

SapTable.

処理

[読み取り専用] テーブルの可視な行の数。

構文

C#
protected Integer VisibleRowCount { get; }
VB
'Declaration
Protected Read Property VisibleRowCount As Integer

アクセス

読み取り専用。


Week プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在選択されている年の週。

構文

C#
protected Integer Week { get; }
VB
'Declaration
Protected Read Property Week As Integer

アクセス

読み取り専用。


Width プロパティ (SapComponent)

クラス

SapComponent.

処理

[読み取り専用] 現在のコンポーネントの幅。

構文

C#
protected Integer Width { get; }
VB
'Declaration
Protected Read Property Width As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapBarChart)

クラス

SapBarChart.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapChart)

クラス

SapChart.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapHTMLViewer)

クラス

SapHTMLViewer.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapNetPlan)

クラス

SapNetPlan.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapToolbarControl)

クラス

SapToolbarControl.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WindowHandle プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] GuiShell に接続しているコントロールのウィンドウ ハンドル。

構文

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

アクセス

読み取り専用。


WorkingPaneHeight プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] 現在の作業ペインの高さ。

構文

C#
protected Integer WorkingPaneHeight { get; }
VB
'Declaration
Protected Read Property WorkingPaneHeight As Integer

アクセス

読み取り専用。


WorkingPaneWidth プロパティ (SapWindow)

クラス

SapWindow.

処理

[読み取り専用] 現在の作業ペインの幅。

構文

C#
protected Integer WorkingPaneWidth { get; }
VB
'Declaration
Protected Read Property WorkingPaneWidth As Integer

アクセス

読み取り専用。


Year プロパティ (SapCalendar)

クラス

SapCalendar.

処理

[読み取り専用] 現在選択されている年。

構文

C#
protected Integer Year { get; }
VB
'Declaration
Protected Read Property Year As Integer

アクセス

読み取り専用。


AutomationId プロパティ (SLBase)

クラス

SLBase.

処理

[読み取り専用] 要素に対する UI オートメーション識別子（ID）を含んだ文字列。

構文

C#
protected String AutomationId { get; }
VB
'Declaration
Protected Read Property AutomationId As String

アクセス

読み取り専用。


CanSelectMultiple プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] 複数の日付を選択可能かどうか。

構文

C#
protected Boolean CanSelectMultiple { get; }
VB
'Declaration
Protected Read Property CanSelectMultiple As Boolean

アクセス

読み取り専用。


CanSelectMultiple プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドが複数の行の同時選択を許可するかどうか。

構文

C#
protected Boolean CanSelectMultiple { get; }
VB
'Declaration
Protected Read Property CanSelectMultiple As Boolean

アクセス

読み取り専用。


CanSelectMultiple プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] リスト ボックスが複数の子要素の同時選択を許可するかどうか。

構文

C#
protected Boolean CanSelectMultiple { get; }
VB
'Declaration
Protected Read Property CanSelectMultiple As Boolean

アクセス

読み取り専用。


Cells プロパティ (SLDataGridRow)

クラス

SLDataGridRow.

処理

[読み取り専用] データ グリッド行のセル。

構文

C#
protected List(Of SLDataGridCell) Cells { get; }
VB
'Declaration
Protected Read Property Cells As List(Of SLDataGridCell)

アクセス

読み取り専用。


CellTexts プロパティ (SLDataGridRow)

クラス

SLDataGridRow.

処理

[読み取り専用] データ グリッド行のセルのテキスト。

構文

C#
protected List(Of String) CellTexts { get; }
VB
'Declaration
Protected Read Property CellTexts As List(Of String)

アクセス

読み取り専用。


Check メソッド (SLCheckBox)

クラス

SLCheckBox.

処理

チェック ボックスをチェックします。

構文

C#
checkBox.Check()
VB
checkBox.Check()


ClassName プロパティ (SLBase)

クラス

SLBase.

処理

[読み取り専用] 要素の単純クラス名。

構文

C#
protected String ClassName { get; }
VB
'Declaration
Protected Read Property ClassName As String

アクセス

読み取り専用。


Clear メソッド (SLPasswordBox)

クラス

SLPasswordBox.

処理

すべてのテキストをパスワード フィールドから削除します。

構文

C#
passwordBox.Clear()
VB
passwordBox.Clear()


Clear メソッド (SLRichTextBox)

クラス

SLRichTextBox.

処理

すべてのテキストをテキスト ボックスから削除します。

構文

C#
richTextBox.Clear()
VB
richTextBox.Clear()


Clear メソッド (SLTextBox)

クラス

SLTextBox.

処理

すべてのテキストをテキスト フィールドから削除します。

構文

C#
textBox.Clear()
VB
textBox.Clear()


CloseCalendar メソッド (SLDatePicker)

クラス

SLDatePicker.

処理

ドロップダウン カレンダーを閉じます。

構文

C#
datePicker.CloseCalendar()
VB
datePicker.CloseCalendar()


Close メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

一致項目を含んだドロップダウン リストが開いている場合に閉じます。

構文

C#
autoCompleteBox.Close()
VB
autoCompleteBox.Close()


Close メソッド (SLComboBox)

クラス

SLComboBox.

処理

コンボ ボックスを閉じます。

構文

C#
comboBox.Close()
VB
comboBox.Close()


Close メソッド (SLWindow)

クラス

SLWindow.

処理

ウィンドウを閉じます。

構文

C#
window.Close()
VB
window.Close()


Collapse メソッド (SLTreeView)

クラス

SLTreeView.

処理

指定した項目を折りたたみます。

構文

C#
treeView.Collapse(item)
VB
treeView.Collapse(item)
変数 | 説明
item | 折りたたむ項目。 ItemPath。


Collapse メソッド (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

項目を折りたたみます。

構文

C#
treeViewItem.Collapse()
VB
treeViewItem.Collapse()


ColumnCount プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドの列数。

構文

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnHeaders プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] すべての列に対するヘッダー項目を含んだリスト。

構文

C#
protected List(Of SLHeaderItem) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of SLHeaderItem)

アクセス

読み取り専用。


ColumnHeaderTexts プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] すべての列に対するヘッダー項目のテキストを含んだリスト。

構文

C#
protected List(Of String) ColumnHeaderTexts { get; }
VB
'Declaration
Protected Read Property ColumnHeaderTexts As List(Of String)

アクセス

読み取り専用。


ControlType プロパティ (SLBase)

クラス

SLBase.

処理

[読み取り専用] 要素に対するコントロールの種類を含んだ文字列。

構文

C#
protected String ControlType { get; }
VB
'Declaration
Protected Read Property ControlType As String

アクセス

読み取り専用。


CurrentPage プロパティ (SLDataPager)

クラス

SLDataPager.

処理

[読み取り専用] 現在のページ。

構文

C#
protected Integer CurrentPage { get; }
VB
'Declaration
Protected Read Property CurrentPage As Integer

アクセス

読み取り専用。


DecreaseLarge メソッド (SLSlider)

クラス

SLSlider.

処理

Slider の値を大きい単位で減らします。

構文

C#
slider.DecreaseLarge()
VB
slider.DecreaseLarge()


DecreaseSmall メソッド (SLSlider)

クラス

SLSlider.

処理

Slider の値を小さい単位で減らします。

構文

C#
slider.DecreaseSmall()
VB
slider.DecreaseSmall()


DeselectAll メソッド (SLListBox)

クラス

SLListBox.

処理

すべてのリスト項目の選択を解除します。

構文

C#
listBox.DeselectAll()
VB
listBox.DeselectAll()


Deselect メソッド (SLListItem)

クラス

SLListItem.

処理

項目の選択を解除します。

構文

C#
listItem.Deselect()
VB
listItem.Deselect()


DisplayMode プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] カレンダーで月、年、10 年のいずれを表示するかを指定する値。

構文

C#
protected SLCalendarMode DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As SLCalendarMode

アクセス

読み取り専用。


ExpandAll メソッド (SLTreeView)

クラス

SLTreeView.

処理

ツリー内のすべての項目を展開します。

構文

C#
treeView.ExpandAll()
VB
treeView.ExpandAll()


Expand メソッド (SLTreeView)

クラス

SLTreeView.

処理

指定した項目を展開します。

構文

C#
treeView.Expand(item)
VB
treeView.Expand(item)
変数 | 説明
item | 展開する項目。 ItemPath。


Expand メソッド (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

項目を展開します。

構文

C#
treeViewItem.Expand()
VB
treeViewItem.Expand()


ExpandSubTree メソッド (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

このツリー項目の下のサブツリーを展開します。

構文

C#
treeViewItem.ExpandSubTree()
VB
treeViewItem.ExpandSubTree()


GetRawChildren メソッド (SLBase)

クラス

SLBase.

処理

この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。

構文

C#
rawChildren = base.GetRawChildren([automationControlType])
VB
rawChildren = base.GetRawChildren([automationControlType])
変数 | 説明
rawChildren | List(Of SLBase)。
automationControlType | 省略可能: 省略可能。このコントロールの種類の子だけを取得するように指定します。 String。

例

VB

要素のすべての生の子を取得するには:
slBase.GetRawChildren()
あるコントロールの種類の子だけを取得するには: コントロールの種類については、MSUIA によって提供されるコントロールの種類を参照してください。
slBase.GetRawChildren("Text")


HeaderItems プロパティ (SLHeader)

クラス

SLHeader.

処理

[読み取り専用] このヘッダー コントロールのヘッダー項目を含むリスト。

構文

C#
protected List(Of SLHeaderItem) HeaderItems { get; }
VB
'Declaration
Protected Read Property HeaderItems As List(Of SLHeaderItem)

アクセス

読み取り専用。


HelpText プロパティ (SLBase)

クラス

SLBase.

処理

[読み取り専用] 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。

構文

C#
protected String HelpText { get; }
VB
'Declaration
Protected Read Property HelpText As String

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] コンボ ボックスを水平方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] コンボ ボックスを水平方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドを水平方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] リスト ボックスを水平方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLPane)

クラス

SLPane.

処理

[読み取り専用] ペインを水平方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] ツリー ビューを水平方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLPane)

クラス

SLPane.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


IncreaseLarge メソッド (SLSlider)

クラス

SLSlider.

処理

Slider の値を大きい単位で増やします。

構文

C#
slider.IncreaseLarge()
VB
slider.IncreaseLarge()


IncreaseSmall メソッド (SLSlider)

クラス

SLSlider.

処理

Slider の値を小さい単位で増やします。

構文

C#
slider.IncreaseSmall()
VB
slider.IncreaseSmall()


IsCalendarOpen プロパティ (SLDatePicker)

クラス

SLDatePicker.

処理

[読み取り専用] ドロップダウン カレンダーが開いているかどうか。

構文

C#
protected Boolean IsCalendarOpen { get; }
VB
'Declaration
Protected Read Property IsCalendarOpen As Boolean

アクセス

読み取り専用。


IsEnabled プロパティ (SLBase)

クラス

SLBase.

処理

[読み取り専用] 要素が有効かどうかを示す値。

構文

C#
protected Boolean IsEnabled { get; }
VB
'Declaration
Protected Read Property IsEnabled As Boolean

アクセス

読み取り専用。


IsExpanded プロパティ (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

[読み取り専用] ツリー項目内の入れ子になった項目が展開されているか、折りたたまれているか。

構文

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

アクセス

読み取り専用。


IsLeaf プロパティ (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

[読み取り専用] ツリー ビュー項目がリーフ項目かどうかを示す値。

構文

C#
protected Boolean IsLeaf { get; }
VB
'Declaration
Protected Read Property IsLeaf As Boolean

アクセス

読み取り専用。


IsOpen プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] オート コンプリート ボックスが開いているかどうかを示す値。

構文

C#
protected Boolean IsOpen { get; }
VB
'Declaration
Protected Read Property IsOpen As Boolean

アクセス

読み取り専用。


IsOpen プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] コンボ ボックスが開いているかどうかを示す値。

構文

C#
protected Boolean IsOpen { get; }
VB
'Declaration
Protected Read Property IsOpen As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (SLPasswordBox)

クラス

SLPasswordBox.

処理

[読み取り専用] パスワード ボックスが読み取り専用かどうか。

構文

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (SLTextBox)

クラス

SLTextBox.

処理

[読み取り専用] テキスト ボックスが読み取り専用かどうか。

構文

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLCalendarButton)

クラス

SLCalendarButton.

処理

[読み取り専用] カレンダー ボタンが選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLCalendarDayButton)

クラス

SLCalendarDayButton.

処理

[読み取り専用] カレンダーの日付ボタンが選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLComboBoxItem)

クラス

SLComboBoxItem.

処理

[読み取り専用] コンボ ボックス項目が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLDataGridCell)

クラス

SLDataGridCell.

処理

[読み取り専用] セルが選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLDataGridRow)

クラス

SLDataGridRow.

処理

[読み取り専用] 行が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLListItem)

クラス

SLListItem.

処理

[読み取り専用] リスト項目が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLRadioButton)

クラス

SLRadioButton.

処理

[読み取り専用] ラジオ ボタンが選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLTabItem)

クラス

SLTabItem.

処理

[読み取り専用] タブ項目が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

[読み取り専用] ツリー項目が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelectionRequired プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] 少なくとも 1 つの日付を選択しなければならないかどうか。

構文

C#
protected Boolean IsSelectionRequired { get; }
VB
'Declaration
Protected Read Property IsSelectionRequired As Boolean

アクセス

読み取り専用。


Items プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] 現在の一致項目を含んだリスト。コントロールのテキスト ボックスに入力された項目がない場合は、空のリストを返します。

構文

C#
protected List(Of SLComboBoxItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLComboBoxItem)

アクセス

読み取り専用。


Items プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 項目の完全なリスト。

構文

C#
protected List(Of SLComboBoxItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLComboBoxItem)

アクセス

読み取り専用。


Items プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] リスト ボックス項目のリスト。

構文

C#
protected List(Of SLListItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLListItem)

アクセス

読み取り専用。


Items プロパティ (SLTabControl)

クラス

SLTabControl.

処理

[読み取り専用] タブ項目の完全なリスト。

構文

C#
protected List(Of SLTabItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLTabItem)

アクセス

読み取り専用。


Items プロパティ (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

[読み取り専用] 項目の完全なリスト。

構文

C#
protected List(Of SLTreeViewItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLTreeViewItem)

アクセス

読み取り専用。


ItemTexts プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] 現在の一致項目のテキストを含んだリスト。 コントロールのテキスト ボックスに入力された項目がない場合は、空のリストを返します。

構文

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


ItemTexts プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 項目テキストの完全なリスト。

構文

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。

例

VB

comboBox.Open()
Dim items = comboBox.ItemTexts
comboBox.Close()


ItemTexts プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] すべての項目テキストのリスト。

構文

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


ItemTexts プロパティ (SLTabControl)

クラス

SLTabControl.

処理

[読み取り専用] タブ項目テキストの完全なリスト。

構文

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


ItemTexts プロパティ (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

[読み取り専用] 項目テキストの完全なリスト。

構文

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


LargeChange プロパティ (SLSlider)

クラス

SLSlider.

処理

[読み取り専用] PAGE DOWN キーが押された場合など、大きい単位での変更が行われる際に、Value プロパティに加算または減算される値。

構文

C#
protected Double LargeChange { get; }
VB
'Declaration
Protected Read Property LargeChange As Double

アクセス

読み取り専用。


Maximum プロパティ (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

[読み取り専用] 最大スクロール位置。

構文

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (SLProgressBar)

クラス

SLProgressBar.

処理

[読み取り専用] 進行状況の最大値。

構文

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (SLSlider)

クラス

SLSlider.

処理

[読み取り専用] 進行状況の最大値。

構文

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

[読み取り専用] 最大スクロール位置。

構文

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


Minimum プロパティ (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

[読み取り専用] 最小スクロール位置。

構文

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (SLProgressBar)

クラス

SLProgressBar.

処理

[読み取り専用] 進行状況の最小値。

構文

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (SLSlider)

クラス

SLSlider.

処理

[読み取り専用] 進行状況の最小値。

構文

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

[読み取り専用] 最小スクロール位置。

構文

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


MoveHorizontal メソッド (SLGridSplitter)

クラス

SLGridSplitter.

処理

スプリッタを水平方向に移動します。

構文

C#
gridSplitter.MoveHorizontal(value)
VB
gridSplitter.MoveHorizontal(value)
変数 | 説明
value | スプリッタを移動するピクセルの量。 Double。


Move メソッド (SLWindow)

クラス

SLWindow.

処理

ウィンドウを移動します。

構文

C#
window.Move(x, y)
VB
window.Move(x, y)
変数 | 説明
x | x 座標。 Double。
y | y 座標。 Double。


MoveToFirstPage メソッド (SLDataPager)

クラス

SLDataPager.

処理

データ ページャの最初のページに移動します。

構文

C#
dataPager.MoveToFirstPage()
VB
dataPager.MoveToFirstPage()


MoveToLastPage メソッド (SLDataPager)

クラス

SLDataPager.

処理

データ ページャの最後のページに移動します。

構文

C#
dataPager.MoveToLastPage()
VB
dataPager.MoveToLastPage()


MoveToNextPage メソッド (SLDataPager)

クラス

SLDataPager.

処理

データ ページャの次のページに移動します。

構文

C#
dataPager.MoveToNextPage()
VB
dataPager.MoveToNextPage()


MoveToPage メソッド (SLDataPager)

クラス

SLDataPager.

処理

データ ページャの指定したページに移動します。

構文

C#
dataPager.MoveToPage(page)
VB
dataPager.MoveToPage(page)
変数 | 説明
page | データ ページャの移動するページ番号。 Integer。


MoveToPreviousPage メソッド (SLDataPager)

クラス

SLDataPager.

処理

データ ページャの前のページに移動します。

構文

C#
dataPager.MoveToPreviousPage()
VB
dataPager.MoveToPreviousPage()


MoveVertical メソッド (SLGridSplitter)

クラス

SLGridSplitter.

処理

スプリッタを垂直方向に移動します。

構文

C#
gridSplitter.MoveVertical(value)
VB
gridSplitter.MoveVertical(value)
変数 | 説明
value | スプリッタを移動するピクセルの量。 Double。


Name プロパティ (SLBase)

クラス

SLBase.

処理

[読み取り専用] 要素に対する UI オートメーション名を含んだ文字列。

構文

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

アクセス

読み取り専用。


NumericValue プロパティ (SLSpinner)

クラス

SLSpinner.

処理

[読み取り専用] スピン コントロールの現在の数値。

構文

C#
protected Double NumericValue { get; }
VB
'Declaration
Protected Read Property NumericValue As Double

アクセス

読み取り専用。


OpenCalendar メソッド (SLDatePicker)

クラス

SLDatePicker.

処理

ドロップダウン カレンダーを開きます。

構文

C#
datePicker.OpenCalendar()
VB
datePicker.OpenCalendar()


Open メソッド (SLComboBox)

クラス

SLComboBox.

処理

コンボ ボックスを開きます。

構文

C#
comboBox.Open()
VB
comboBox.Open()


PageCount プロパティ (SLDataPager)

クラス

SLDataPager.

処理

[読み取り専用] ページ数。

構文

C#
protected Integer PageCount { get; }
VB
'Declaration
Protected Read Property PageCount As Integer

アクセス

読み取り専用。


RootItems プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] すべてのルート ツリー項目の完全なリスト。

構文

C#
protected List(Of SLTreeViewItem) RootItems { get; }
VB
'Declaration
Protected Read Property RootItems As List(Of SLTreeViewItem)

アクセス

読み取り専用。


RootItemTexts プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] すべてのルート ツリー項目のテキストの完全なリスト。

構文

C#
protected List(Of String) RootItemTexts { get; }
VB
'Declaration
Protected Read Property RootItemTexts As List(Of String)

アクセス

読み取り専用。


RowCount プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドの行数。

構文

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


RowHeader プロパティ (SLDataGridRow)

クラス

SLDataGridRow.

処理

[読み取り専用] 行のヘッダー。

構文

C#
protected SLHeaderItem RowHeader { get; }
VB
'Declaration
Protected Read Property RowHeader As SLHeaderItem

アクセス

読み取り専用。


Rows プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドの行のリスト。

データ グリッドに垂直方向のスクロール バーがある場合、データ グリッドの表示領域にない行の情報（テキスト、キャプションなど）は、操作対象になりません。 このような行に対して操作したり、情報を取得するためには、まずビューにスクロールして表示させる必要があります。

構文

C#
protected List(Of SLDataGridRow) Rows { get; }
VB
'Declaration
Protected Read Property Rows As List(Of SLDataGridRow)

アクセス

読み取り専用。


RowTexts プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッド中の行テキストのリスト。 すべての行のテキストが文字列として返されます。各セルのテキストは空白文字で分離されます。

データ グリッドに垂直方向のスクロール バーがある場合、データ グリッドの表示領域にない行は、空のテキストを返します。 このような行のテキストを取得するためには、まずビューにスクロールして表示させる必要があります。

構文

C#
protected List(Of String) RowTexts { get; }
VB
'Declaration
Protected Read Property RowTexts As List(Of String)

アクセス

読み取り専用。


ScrollHorizontal メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

C#
autoCompleteBox.ScrollHorizontal(scrollAmount)
VB
autoCompleteBox.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (SLComboBox)

クラス

SLComboBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

C#
comboBox.ScrollHorizontal(scrollAmount)
VB
comboBox.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

C#
dataGrid.ScrollHorizontal(scrollAmount)
VB
dataGrid.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (SLListBox)

クラス

SLListBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

C#
listBox.ScrollHorizontal(scrollAmount)
VB
listBox.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (SLPane)

クラス

SLPane.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

C#
pane.ScrollHorizontal(scrollAmount)
VB
pane.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (SLTreeView)

クラス

SLTreeView.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

C#
treeView.ScrollHorizontal(scrollAmount)
VB
treeView.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollIntoView メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

指定した行またはセルをビューにスクロールします。

構文

C#
dataGrid.ScrollIntoView(row, [column])
VB
dataGrid.ScrollIntoView(row, [column])
変数 | 説明
row | スクロールする行。 ItemIdentifier。
column | 省略可能: スクロールする列。 ItemIdentifier。


ScrollIntoView メソッド (SLDataGridCell)

クラス

SLDataGridCell.

処理

セルをビューにスクロールします。

構文

C#
dataGridCell.ScrollIntoView()
VB
dataGridCell.ScrollIntoView()


ScrollIntoView メソッド (SLDataGridRow)

クラス

SLDataGridRow.

処理

行をビューにスクロールします。

構文

C#
dataGridRow.ScrollIntoView()
VB
dataGridRow.ScrollIntoView()


ScrollIntoView メソッド (SLListItem)

クラス

SLListItem.

処理

リスト項目をビューにスクロールします。

構文

C#
listItem.ScrollIntoView()
VB
listItem.ScrollIntoView()


ScrollIntoView メソッド (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

ツリー項目をビューにスクロールします。

構文

C#
treeViewItem.ScrollIntoView()
VB
treeViewItem.ScrollIntoView()


Scroll メソッド (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

スクロール バーを指定した量スクロールします。

構文

C#
horizontalScrollBar.Scroll(scrollAmount)
VB
horizontalScrollBar.Scroll(scrollAmount)
変数 | 説明
scrollAmount | スクロール量。 ScrollAmount。


Scroll メソッド (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

スクロール バーを指定した量スクロールします。

構文

C#
verticalScrollBar.Scroll(scrollAmount)
VB
verticalScrollBar.Scroll(scrollAmount)
変数 | 説明
scrollAmount | スクロール量。 ScrollAmount。


ScrollPosition プロパティ (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

[読み取り専用] 現在のスクロール位置。

構文

C#
protected Double ScrollPosition { get; }
VB
'Declaration
Protected Read Property ScrollPosition As Double

アクセス

読み取り専用。


ScrollPosition プロパティ (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

[読み取り専用] 現在のスクロール位置。

構文

C#
protected Double ScrollPosition { get; }
VB
'Declaration
Protected Read Property ScrollPosition As Double

アクセス

読み取り専用。


ScrollToMaximum メソッド (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

スクロール バーを右端にスクロールします。

構文

C#
horizontalScrollBar.ScrollToMaximum()
VB
horizontalScrollBar.ScrollToMaximum()


ScrollToMaximum メソッド (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

スクロール バーを最下部にスクロールします。

構文

C#
verticalScrollBar.ScrollToMaximum()
VB
verticalScrollBar.ScrollToMaximum()


ScrollToMinimum メソッド (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

スクロール バーを左端にスクロールします。

構文

C#
horizontalScrollBar.ScrollToMinimum()
VB
horizontalScrollBar.ScrollToMinimum()


ScrollToMinimum メソッド (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

スクロール バーを先頭にスクロールします。

構文

C#
verticalScrollBar.ScrollToMinimum()
VB
verticalScrollBar.ScrollToMinimum()


ScrollToPosition メソッド (SLHorizontalScrollBar)

クラス

SLHorizontalScrollBar.

処理

スクロール バーを指定した位置にスクロールします。

構文

C#
horizontalScrollBar.ScrollToPosition(position)
VB
horizontalScrollBar.ScrollToPosition(position)
変数 | 説明
position | 位置。 スクロール バーの最小位置と最大位置の間の値でなければなりません。 Double。


ScrollToPosition メソッド (SLVerticalScrollBar)

クラス

SLVerticalScrollBar.

処理

スクロール バーを指定した位置にスクロールします。

構文

C#
verticalScrollBar.ScrollToPosition(position)
VB
verticalScrollBar.ScrollToPosition(position)
変数 | 説明
position | 位置。 スクロール バーの最小位置と最大位置の間の値でなければなりません。 Double。


ScrollVertical メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

C#
autoCompleteBox.ScrollVertical(scrollAmount)
VB
autoCompleteBox.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (SLComboBox)

クラス

SLComboBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

C#
comboBox.ScrollVertical(scrollAmount)
VB
comboBox.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

C#
dataGrid.ScrollVertical(scrollAmount)
VB
dataGrid.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (SLListBox)

クラス

SLListBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

C#
listBox.ScrollVertical(scrollAmount)
VB
listBox.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (SLPane)

クラス

SLPane.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

C#
pane.ScrollVertical(scrollAmount)
VB
pane.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (SLTreeView)

クラス

SLTreeView.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

C#
treeView.ScrollVertical(scrollAmount)
VB
treeView.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


SelectAll メソッド (SLListBox)

クラス

SLListBox.

処理

リスト内のすべての項目を選択します。

構文

C#
listBox.SelectAll()
VB
listBox.SelectAll()


SelectCell メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

指定したセルを選択します。

構文

C#
dataGrid.SelectCell(row, column, [modifiers])
VB
dataGrid.SelectCell(row, column, [modifiers])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 選択するセル。 ItemIdentifier。
modifiers | 省略可能: セルを選択する際に押下する修飾キー。 複数のセルを選択するために使用します。 ModifierKeys。

例

VB

3 番目の行のテキスト "cell 1" を持つセルを選択するには、次のように入力します。
dataGrid.SelectCell(2, "cell 1")


SelectDate メソッド (SLCalendar)

クラス

SLCalendar.

処理

指定した日付を選択します。

構文

C#
calendar.SelectDate(dateToSelect)
VB
calendar.SelectDate(dateToSelect)
変数 | 説明
dateToSelect | 選択する日付。 DateTime?。


SelectDates メソッド (SLCalendar)

クラス

SLCalendar.

処理

指定した日付を選択します。

このメソッドは、カレンダーが MultipleRange 選択モードをサポートする場合にのみ機能します。

構文

C#
calendar.SelectDates(dates)
VB
calendar.SelectDates(dates)
変数 | 説明
dates | 選択する日付。 List(Of DateTime?)。


SelectedCell プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されているセル。セルが選択されていない場合は null (Visual Basic では Nothing)。

構文

C#
protected SLDataGridCell SelectedCell { get; }
VB
'Declaration
Protected Read Property SelectedCell As SLDataGridCell

アクセス

読み取り専用。


SelectedCellText プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されているセルのテキスト。セルが選択されていない場合は空の文字列。

構文

C#
protected String SelectedCellText { get; }
VB
'Declaration
Protected Read Property SelectedCellText As String

アクセス

読み取り専用。


SelectedDate プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] 現在表示されているビューで選択されている日付。

構文

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDate プロパティ (SLDatePicker)

クラス

SLDatePicker.

処理

[読み取り専用] 選択されている日付。日付が選択されていない場合は null (Visual Basic では Nothing) を返します。

構文

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDates プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] 現在表示されているビューで選択されている日付のリスト。

構文

C#
protected List(Of DateTime?) SelectedDates { get; }
VB
'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

アクセス

読み取り専用。


SelectedIndex プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (SLTabControl)

クラス

SLTabControl.

処理

[読み取り専用] 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedIndices プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在選択されている項目のインデックス。 項目が現在選択されていない場合は、空のリストが返されます。

構文

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedItemPath プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] 選択された項目パスを取得します。選択されていない場合は空の項目パス。

構文

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

アクセス

読み取り専用。


SelectedItem プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。

構文

C#
protected SLComboBoxItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLComboBoxItem

アクセス

読み取り専用。


SelectedItem プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。

構文

C#
protected SLListItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLListItem

アクセス

読み取り専用。


SelectedItem プロパティ (SLTabControl)

クラス

SLTabControl.

処理

[読み取り専用] 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。

構文

C#
protected SLTabItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLTabItem

アクセス

読み取り専用。


SelectedItem プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。

構文

C#
protected SLTreeViewItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLTreeViewItem

アクセス

読み取り専用。


SelectedItems プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在選択されている項目。 項目が現在選択されていない場合は、空のリストが返されます。

構文

C#
protected List(Of SLListItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of SLListItem)

アクセス

読み取り専用。


SelectedItemText プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemText プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 最初の選択された項目のテキスト。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemText プロパティ (SLTabControl)

クラス

SLTabControl.

処理

[読み取り専用] 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemText プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemTexts プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在選択されている項目のテキスト。 項目が現在選択されていない場合は、空のリストが返されます。

構文

C#
protected List(Of String) SelectedItemTexts { get; }
VB
'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

アクセス

読み取り専用。


SelectedRow プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されている行。行が選択されていない場合は null (Visual Basic では Nothing)。

構文

C#
protected SLDataGridRow SelectedRow { get; }
VB
'Declaration
Protected Read Property SelectedRow As SLDataGridRow

アクセス

読み取り専用。


SelectedRows プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されている行のリスト。行が選択されていない場合は空のリスト。

構文

C#
protected List(Of SLDataGridRow) SelectedRows { get; }
VB
'Declaration
Protected Read Property SelectedRows As List(Of SLDataGridRow)

アクセス

読み取り専用。


SelectedRowText プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されている行のテキスト。行が選択されていない場合は空の文字列。

構文

C#
protected String SelectedRowText { get; }
VB
'Declaration
Protected Read Property SelectedRowText As String

アクセス

読み取り専用。


SelectedRowTexts プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在選択されている行のテキスト。行が選択されていない場合は空のリスト。

構文

C#
protected List(Of String) SelectedRowTexts { get; }
VB
'Declaration
Protected Read Property SelectedRowTexts As List(Of String)

アクセス

読み取り専用。


SelectedText プロパティ (SLRichTextBox)

クラス

SLRichTextBox.

処理

[読み取り専用] 選択したテキスト。

選択範囲にイメージなどの非テキスト要素が含まれる場合、これらの要素は空白文字として表示されます

構文

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


Select メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

オート コンプリート ボックスに指定したテキストを入力して、一致した項目を選択します。

テキストを入力したあとに一致した項目が見つからない場合は、例外をスローします。 パラメーター matchIndex の値が 0 より小さい、または一致した数よりも大きい場合にも、例外がスローされます。

構文

C#
autoCompleteBox.Select(text, [matchIndex])
VB
autoCompleteBox.Select(text, [matchIndex])
変数 | 説明
text | テキスト ボックスに入力するテキスト。 String。
matchIndex | 省略可能: 一致した項目の選択するインデックス。 The value is zero-based.。 Integer。

例

VB

テキスト "Apple" で始まる最初に一致する項目を選択するには、次のように入力します。
autoCompletBox.Select("Apple");
テキスト "A" で始まる 3 番目に一致する項目を選択するには、次のように入力します。
autoCompletBox.Select("A", 2);


Select メソッド (SLButton)

クラス

SLButton.

処理

ボタンをクリックします。

構文

C#
button.Select()
VB
button.Select()


Select メソッド (SLCalendarButton)

クラス

SLCalendarButton.

処理

ボタンをクリックします。

構文

C#
calendarButton.Select()
VB
calendarButton.Select()


Select メソッド (SLCalendarDayButton)

クラス

SLCalendarDayButton.

処理

ボタンをクリックします。

構文

C#
calendarDayButton.Select()
VB
calendarDayButton.Select()


Select メソッド (SLComboBox)

クラス

SLComboBox.

処理

コンボ ボックスの項目を選択します。

構文

C#
comboBox.Select(item)
VB
comboBox.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。

例

VB

コンボ ボックスからテキスト "item 1" を持つ項目を選択するには、次のように入力します。
comboBox.Select("item 1")
コンボ ボックスから 3 番目の項目を選択するには、次のように入力します。
comboBox.Select(2)


Select メソッド (SLComboBoxItem)

クラス

SLComboBoxItem.

処理

コンボ ボックス項目を選択します。

構文

C#
comboBoxItem.Select()
VB
comboBoxItem.Select()


Select メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

指定した行を選択します。

構文

C#
dataGrid.Select(item, [modifiers])
VB
dataGrid.Select(item, [modifiers])
変数 | 説明
item | 選択する行。 ItemIdentifier。
modifiers | 省略可能: 行を選択する際に押下する修飾キー。 複数の行を選択するために使用します。 ModifierKeys。

例

VB

テキスト "cell 1" および "cell 2" を持つ 2 つのセルを含む行を選択するには、次のように入力します。
dataGrid.Select("cell 1 cell 2")
または
dataGrid.Select("*cell 1*")
データ グリッドから 3 番目の行を選択するには、次のように入力します。
dataGrid.Select(2)
データ グリッド内の複数の行を選択するには、修飾キー（Ctrl や Shift など）を使用します。 複数選択をサポートするデータ グリッドから最初と 3 番目の行を選択するには、次のように入力します。
dataGrid.Select(0)
dataGrid.Select(2, ModifierKeys.Control)


Select メソッド (SLDataGridCell)

クラス

SLDataGridCell.

処理

セルを選択します。

構文

C#
dataGridCell.Select()
VB
dataGridCell.Select()


Select メソッド (SLDataGridRow)

クラス

SLDataGridRow.

処理

行を選択します。

構文

C#
dataGridRow.Select()
VB
dataGridRow.Select()


Select メソッド (SLHeaderItem)

クラス

SLHeaderItem.

処理

ヘッダー項目を選択します。

構文

C#
headerItem.Select()
VB
headerItem.Select()


Select メソッド (SLHyperlinkButton)

クラス

SLHyperlinkButton.

処理

ハイパーリンク ボタンをクリックします。

構文

C#
hyperlinkButton.Select()
VB
hyperlinkButton.Select()


Select メソッド (SLListBox)

クラス

SLListBox.

処理

指定したリスト ボックス項目を選択します。

構文

C#
listBox.Select(item, [modifiers])
VB
listBox.Select(item, [modifiers])
変数 | 説明
item | 選択する項目の名前またはインデックス。 ItemIdentifier。
modifiers | 省略可能: 項目を選択するときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

VB

リスト ボックスからテキスト "item 1" を持つ項目を選択するには、次のように入力します。
listBox.Select("item 1")
リスト ボックスから 3 番目の項目を選択するには、次のように入力します。
listBox.Select(2)
リスト ボックス内の複数の項目を選択するには、修飾キー（Ctrl や Shift など）を使用します。 複数選択リスト ボックス（拡張選択スタイルを持つ）で、テキスト "item 1" と "item 3" を持つ 2 つの項目を選択するには、次のように入力します。
listBox.Select("item 1")
listBox.Select("item 3", ModifierKeys.Control)
複数選択スタイルを持つ複数選択リスト ボックスでは、選択された項目をクリックして選択を解除することができます。 次のコードは、このようなリスト ボックスの 2 つの項目を選択してから、最初の項目の選択を解除します。
listBox.Select("item 1")
listBox.Select("item 3")
listBox.Select("item 1") ' "item 1" の選択を解除


Select メソッド (SLListItem)

クラス

SLListItem.

処理

リスト項目を選択します。

構文

C#
listItem.Select()
VB
listItem.Select()


Select メソッド (SLRadioButton)

クラス

SLRadioButton.

処理

任意の選択された項目の選択を解除し、現在の要素を選択します。

構文

C#
radioButton.Select()
VB
radioButton.Select()


Select メソッド (SLRepeatButton)

クラス

SLRepeatButton.

処理

ボタンをクリックします。

構文

C#
repeatButton.Select()
VB
repeatButton.Select()


Select メソッド (SLTabControl)

クラス

SLTabControl.

処理

タブ コントロールの項目を選択します。

構文

C#
tabControl.Select(item)
VB
tabControl.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (SLTabItem)

クラス

SLTabItem.

処理

タブ項目を選択します。

構文

C#
tabItem.Select()
VB
tabItem.Select()


Select メソッド (SLTreeView)

クラス

SLTreeView.

処理

指定した項目を選択します。

構文

C#
treeView.Select(item)
VB
treeView.Select(item)
変数 | 説明
item | 選択する項目。 ItemPath。


Select メソッド (SLTreeViewItem)

クラス

SLTreeViewItem.

処理

項目を選択します。

構文

C#
treeViewItem.Select()
VB
treeViewItem.Select()


SelectRange メソッド (SLCalendar)

クラス

SLCalendar.

処理

日付の範囲を選択します。

構文

C#
calendar.SelectRange(startDate, endDate)
VB
calendar.SelectRange(startDate, endDate)
変数 | 説明
startDate | 選択範囲の開始日時。 DateTime?。
endDate | 選択範囲の終了日時。 DateTime?。


SetHorizontalScrollPercent メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

C#
autoCompleteBox.SetHorizontalScrollPercent(percent)
VB
autoCompleteBox.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (SLComboBox)

クラス

SLComboBox.

処理

コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

C#
comboBox.SetHorizontalScrollPercent(percent)
VB
comboBox.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

データ グリッド内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

C#
dataGrid.SetHorizontalScrollPercent(percent)
VB
dataGrid.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (SLListBox)

クラス

SLListBox.

処理

リスト ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

C#
listBox.SetHorizontalScrollPercent(percent)
VB
listBox.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (SLPane)

クラス

SLPane.

処理

ペイン内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

C#
pane.SetHorizontalScrollPercent(percent)
VB
pane.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (SLTreeView)

クラス

SLTreeView.

処理

ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

C#
treeView.SetHorizontalScrollPercent(percent)
VB
treeView.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetIndeterminate メソッド (SLCheckBox)

クラス

SLCheckBox.

処理

チェック ボックスを不確定状態に設定します。

構文

C#
checkBox.SetIndeterminate()
VB
checkBox.SetIndeterminate()


SetPosition メソッド (SLPasswordBox)

クラス

SLPasswordBox.

処理

パスワード フィールド内の挿入位置を設定します。

構文

C#
passwordBox.SetPosition(position)
VB
passwordBox.SetPosition(position)
変数 | 説明
position | パスワード フィールド内のキャレットの位置。 The value is zero-based.。 Integer。


SetPosition メソッド (SLRichTextBox)

クラス

SLRichTextBox.

処理

テキスト ボックス内の挿入位置を設定します。

構文

C#
richTextBox.SetPosition(position)
VB
richTextBox.SetPosition(position)
変数 | 説明
position | テキスト ボックス内のキャレットの位置。 The value is zero-based.。 Integer。


SetPosition メソッド (SLTextBox)

クラス

SLTextBox.

処理

テキスト フィールド内の挿入位置を設定します。

構文

C#
textBox.SetPosition(position)
VB
textBox.SetPosition(position)
変数 | 説明
position | テキスト フィールド内のキャレットの位置。 The value is zero-based.。 Integer。


SetSelection メソッド (SLPasswordBox)

クラス

SLPasswordBox.

処理

パスワード ボックス内のテキストの範囲を選択します。

構文

C#
passwordBox.SetSelection(startPosition, length)
VB
passwordBox.SetSelection(startPosition, length)
変数 | 説明
startPosition | 選択範囲の開始インデックス。 The value is zero-based.。 Integer。
length | 開始位置から選択する文字数。 Integer。


SetSelection メソッド (SLRichTextBox)

クラス

SLRichTextBox.

処理

テキスト ボックス内のテキストの範囲を選択します。

構文

C#
richTextBox.SetSelection(startPosition, length)
VB
richTextBox.SetSelection(startPosition, length)
変数 | 説明
startPosition | 選択範囲の開始インデックス。 The value is zero-based.。 Integer。
length | 開始位置から選択する文字数。 Integer。


SetSelection メソッド (SLTextBox)

クラス

SLTextBox.

処理

テキスト ボックス内のテキストの範囲を選択します。

構文

C#
textBox.SetSelection(startPosition, length)
VB
textBox.SetSelection(startPosition, length)
変数 | 説明
startPosition | 選択範囲の開始インデックス。 The value is zero-based.。 Integer。
length | 開始位置から選択する文字数。 Integer。


SetText メソッド (SLPasswordBox)

クラス

SLPasswordBox.

処理

パスワード フィールド内のテキストを指定したテキストで置換します。

構文

C#
passwordBox.SetText(text)
VB
passwordBox.SetText(text)
変数 | 説明
text | 新しいテキスト。 String。


SetText メソッド (SLRichTextBox)

クラス

SLRichTextBox.

処理

テキスト ボックスの内容を指定したテキストで置換します。

構文

C#
richTextBox.SetText(text)
VB
richTextBox.SetText(text)
変数 | 説明
text | 新しいテキスト。 String。


SetText メソッド (SLTextBox)

クラス

SLTextBox.

処理

テキスト フィールド内のテキストを指定したテキストで置換します。

構文

C#
textBox.SetText(text)
VB
textBox.SetText(text)
変数 | 説明
text | 新しいテキスト。 String。


SetValue メソッド (SLSlider)

クラス

SLSlider.

処理

スライダーの値を設定します。

構文

C#
slider.SetValue(value)
VB
slider.SetValue(value)
変数 | 説明
value | 新しいスライダーの値。 Double。


SetValueToMaximum メソッド (SLSlider)

クラス

SLSlider.

処理

Slider を最大の位置に設定します。

構文

C#
slider.SetValueToMaximum()
VB
slider.SetValueToMaximum()


SetValueToMinimum メソッド (SLSlider)

クラス

SLSlider.

処理

Slider を最小の位置に設定します。

構文

C#
slider.SetValueToMinimum()
VB
slider.SetValueToMinimum()


SetVerticalScrollPercent メソッド (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

C#
autoCompleteBox.SetVerticalScrollPercent(percent)
VB
autoCompleteBox.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (SLComboBox)

クラス

SLComboBox.

処理

コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

C#
comboBox.SetVerticalScrollPercent(percent)
VB
comboBox.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (SLDataGrid)

クラス

SLDataGrid.

処理

データ グリッド内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

C#
dataGrid.SetVerticalScrollPercent(percent)
VB
dataGrid.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (SLListBox)

クラス

SLListBox.

処理

リスト ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

C#
listBox.SetVerticalScrollPercent(percent)
VB
listBox.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (SLPane)

クラス

SLPane.

処理

ペイン内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

C#
pane.SetVerticalScrollPercent(percent)
VB
pane.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (SLTreeView)

クラス

SLTreeView.

処理

ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

C#
treeView.SetVerticalScrollPercent(percent)
VB
treeView.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SmallChange プロパティ (SLSlider)

クラス

SLSlider.

処理

[読み取り専用] 矢印キーが押された場合など、小さい単位での変更が行われる際に、Value プロパティに加算または減算される値。

構文

C#
protected Double SmallChange { get; }
VB
'Declaration
Protected Read Property SmallChange As Double

アクセス

読み取り専用。


SupportedDisplayModes プロパティ (SLCalendar)

クラス

SLCalendar.

処理

[読み取り専用] サポートされる表示モードのリスト。

構文

C#
protected List(Of SLCalendarMode) SupportedDisplayModes { get; }
VB
'Declaration
Protected Read Property SupportedDisplayModes As List(Of SLCalendarMode)

アクセス

読み取り専用。


SwitchToDecadeView メソッド (SLCalendar)

クラス

SLCalendar.

処理

カレンダー表示モードを '10 年' に切り替えます (サポートされている場合)。

構文

C#
calendar.SwitchToDecadeView()
VB
calendar.SwitchToDecadeView()


SwitchToMonthView メソッド (SLCalendar)

クラス

SLCalendar.

処理

カレンダー表示モードを '月' に切り替えます (サポートされている場合)。

構文

C#
calendar.SwitchToMonthView()
VB
calendar.SwitchToMonthView()


SwitchToYearView メソッド (SLCalendar)

クラス

SLCalendar.

処理

カレンダー表示モードを '年' に切り替えます (サポートされている場合)。

構文

C#
calendar.SwitchToYearView()
VB
calendar.SwitchToYearView()


Toggle メソッド (SLCheckBox)

クラス

SLCheckBox.

処理

次の順番でサイクリックにチェック ボックスの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。

構文

C#
checkBox.Toggle()
VB
checkBox.Toggle()


Toggle メソッド (SLToggleButton)

クラス

SLToggleButton.

処理

次の順番でサイクリックにボタンの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。

構文

C#
toggleButton.Toggle()
VB
toggleButton.Toggle()


ToggleState プロパティ (SLCheckBox)

クラス

SLCheckBox.

処理

[読み取り専用] チェック ボックスのトグル状態。

構文

C#
protected ToggleState ToggleState { get; }
VB
'Declaration
Protected Read Property ToggleState As ToggleState

アクセス

読み取り専用。


ToggleState プロパティ (SLToggleButton)

クラス

SLToggleButton.

処理

[読み取り専用] ボタンのトグル状態。

構文

C#
protected ToggleState ToggleState { get; }
VB
'Declaration
Protected Read Property ToggleState As ToggleState

アクセス

読み取り専用。


Uncheck メソッド (SLCheckBox)

クラス

SLCheckBox.

処理

チェック ボックスのチェックを外します。

構文

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


VerticallyScrollable プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] コンボ ボックスを垂直方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] コンボ ボックスを垂直方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] データ グリッドを垂直方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] リスト ボックスを垂直方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (SLPane)

クラス

SLPane.

処理

[読み取り専用] ペインを垂直方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] ツリー ビューを垂直方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLAutoCompleteBox)

クラス

SLAutoCompleteBox.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLComboBox)

クラス

SLComboBox.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLDataGrid)

クラス

SLDataGrid.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLListBox)

クラス

SLListBox.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLPane)

クラス

SLPane.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VisibleItemPaths プロパティ (SLTreeView)

クラス

SLTreeView.

処理

[読み取り専用] ツリーに表示される項目の項目パス。

構文

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

アクセス

読み取り専用。


AccessibleName プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントのアクセス可能な名前。

構文

C#
protected String AccessibleName { get; }
VB
'Declaration
Protected Read Property AccessibleName As String

アクセス

読み取り専用。

例

VB

Dim accessibleName As String = component.AccessibleName


AccessibleName プロパティ (AWTMenuItem)

クラス

AWTMenuItem.

処理

[読み取り専用] コンポーネントのアクセス可能な名前。

構文

C#
protected String AccessibleName { get; }
VB
'Declaration
Protected Read Property AccessibleName As String

アクセス

読み取り専用。

例

VB

Dim accessibleName As String = openFileMenuItem.AccessibleName


AccessibleRole プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントのアクセス可能なロール。

構文

C#
protected String AccessibleRole { get; }
VB
'Declaration
Protected Read Property AccessibleRole As String

アクセス

読み取り専用。

例

VB

Dim accessibleRole As String = component.AccessibleRole


Alignment プロパティ (AWTLabel)

クラス

AWTLabel.

処理

[読み取り専用] ラベルの配置。

構文

C#
protected Alignment Alignment { get; }
VB
'Declaration
Protected Read Property Alignment As Alignment

アクセス

読み取り専用。

例

VB

Dim alignment As SilkTest.Ntf.Swing.Alignment = labelInfo.Alignment


Alignment プロパティ (JLabel)

クラス

JLabel.

処理

[読み取り専用] ラベルの配置。

構文

C#
protected Alignment Alignment { get; }
VB
'Declaration
Protected Read Property Alignment As Alignment

アクセス

読み取り専用。

例

VB

Dim alignment As SilkTest.Ntf.Swing.Alignment.Left = label.Alignment


Alignment プロパティ (JTextField)

クラス

JTextField.

処理

[読み取り専用] テキスト フィールドの配置。

構文

C#
protected Alignment Alignment { get; }
VB
'Declaration
Protected Read Property Alignment As Alignment

アクセス

読み取り専用。

例

VB

Dim alignment As SilkTest.Ntf.Swing.Alignment = textField.Alignment


AllCellTexts プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] テーブルのすべてのセルのテキスト値。 セルは行でグループ化され、各行にはそのセルのテキストが含まれます。

構文

C#
protected List(Of List(Of String)) AllCellTexts { get; }
VB
'Declaration
Protected Read Property AllCellTexts As List(Of List(Of String))

アクセス

読み取り専用。

例

VB

Dim allCellTexts As List(of List(of String)) = table.AllCellTexts


AllCellTexts プロパティ (OracleFormsListView)

クラス

OracleFormsListView.

処理

[読み取り専用] リストビューのすべてのセルのテキスト値。 セルは行でグループ化され、各行にはそのセルのテキストが含まれます。

少なくとも一度はユーザーに表示された値のみが利用できます。

構文

C#
protected List(Of List(Of String)) AllCellTexts { get; }
VB
'Declaration
Protected Read Property AllCellTexts As List(Of List(Of String))

アクセス

読み取り専用。


AllCellValues プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] テーブルのすべてのセルの値。 セルは行でグループ化され、各行にはそのセルの値が含まれます。

構文

C#
protected List(Of List(Of Object)) AllCellValues { get; }
VB
'Declaration
Protected Read Property AllCellValues As List(Of List(Of Object))

アクセス

読み取り専用。

例

VB

Dim allCellValues As List(of List(of Object)) = table.AllCellValues


Background プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントの背景色。

構文

C#
protected Color Background { get; }
VB
'Declaration
Protected Read Property Background As Color

アクセス

読み取り専用。

例

VB

Dim backgroundColor As SilkTest.Ntf.Color = component.Background


CancelEditing メソッド (JTree)

クラス

JTree.

処理

現在編集中のセッションをキャンセルします。

構文

C#
tree.CancelEditing()
VB
tree.CancelEditing()

例

VB

tree.CancelEditing()


CaretPosition プロパティ (AWTTextComponent)

クラス

AWTTextComponent.

処理

[読み取り専用] テキスト コンポーネントのテキスト挿入キャレットの位置。 The value is zero-based.。

構文

C#
protected Integer CaretPosition { get; }
VB
'Declaration
Protected Read Property CaretPosition As Integer

アクセス

読み取り専用。

例

VB

Dim caretPosition As Integer = textComponent.CaretPosition


CaretPosition プロパティ (JTextComponent)

クラス

JTextComponent.

処理

[読み取り専用] テキスト コンポーネントのテキスト挿入キャレットの位置。 The value is zero-based.。

構文

C#
protected Integer CaretPosition { get; }
VB
'Declaration
Protected Read Property CaretPosition As Integer

アクセス

読み取り専用。

例

VB

Dim caretPosition As Integer = textComponent.CaretPosition


CaretPosition プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] テキスト フィールドのテキスト挿入キャレットの位置。 The value is zero-based.。

構文

C#
protected Integer CaretPosition { get; }
VB
'Declaration
Protected Read Property CaretPosition As Integer

アクセス

読み取り専用。


CharacterAttributes プロパティ (JTextPane)

クラス

JTextPane.

処理

[読み取り専用] キャレットの位置で有効になっている文字属性。

構文

C#
protected List(Of String) CharacterAttributes { get; }
VB
'Declaration
Protected Read Property CharacterAttributes As List(Of String)

アクセス

読み取り専用。

例

VB

Dim characterAttributes As IList = textPane.CharacterAttributes


Checked プロパティ (AWTCheckbox)

クラス

AWTCheckbox.

処理

[読み取り専用] チェック ボックスがチェックされているかどうか。

構文

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。

例

VB

Dim isChecked As Boolean = caseSensitiveCheckBox.Checked


Checked プロパティ (AWTCheckboxMenuItem)

クラス

AWTCheckboxMenuItem.

処理

[読み取り専用] メニュー項目のチェック ボックスがチェックされているかどうか。

構文

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。

例

VB

Dim isMenuItemChecked As Boolean = checkMenuItem.Checked


Checked プロパティ (AWTRadioButton)

クラス

AWTRadioButton.

処理

[読み取り専用] ラジオ ボタンがチェックされているかどうか。

構文

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。

例

VB

Dim isChecked As Boolean = leftAligmentRadioButton.Checked


Checked プロパティ (IOracleFormsMenuBase)

クラス

IOracleFormsMenuBase.

処理

[読み取り専用] メニュー項目がチェックされているかどうか。

構文

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。


Checked プロパティ (JCheckBoxMenuItem)

クラス

JCheckBoxMenuItem.

処理

[読み取り専用] メニュー項目のチェック ボックスがチェックされているかどうか。

構文

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。

例

VB

Dim isChecked As Boolean = checkBoxMenuItem.Checked


Checked プロパティ (JRadioButtonMenuItem)

クラス

JRadioButtonMenuItem.

処理

[読み取り専用] メニュー項目のラジオ ボタンがチェックされているかどうか。

構文

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。

例

VB

Dim isChecked As Boolean = leftAligmentMenuItem.Checked


Checked プロパティ (OracleFormsCheckbox)

クラス

OracleFormsCheckbox.

処理

[読み取り専用] チェック ボックスがチェックされているかどうか。

構文

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。


Checked プロパティ (OracleFormsRadioButton)

クラス

OracleFormsRadioButton.

処理

[読み取り専用] ラジオ ボタンがチェックされているかどうか。

構文

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

アクセス

読み取り専用。


Check メソッド (AWTCheckbox)

クラス

AWTCheckbox.

処理

チェック ボックスをチェックします。

構文

C#
checkbox.Check()
VB
checkbox.Check()

例

VB

caseSensitiveCheckBox.Check()


Check メソッド (AWTCheckboxMenuItem)

クラス

AWTCheckboxMenuItem.

処理

メニュー項目のチェック ボックスをチェックします。

構文

C#
checkboxMenuItem.Check()
VB
checkboxMenuItem.Check()

例

VB

checkMenuItem.Check()


Check メソッド (AWTRadioButton)

クラス

AWTRadioButton.

処理

ラジオ ボタンをチェックします。

構文

C#
radioButton.Check()
VB
radioButton.Check()

例

VB

leftAligmentRadioButton.Check()


Check メソッド (JCheckBox)

クラス

JCheckBox.

処理

チェック ボックスをチェックします。

構文

C#
checkBox.Check()
VB
checkBox.Check()

例

VB

forwardCheckBox.Check()


Check メソッド (JRadioButton)

クラス

JRadioButton.

処理

ラジオ ボタンをチェックします。

構文

C#
radioButton.Check()
VB
radioButton.Check()

例

VB

leftAligmentRadioButton.Check()


Check メソッド (OracleFormsCheckbox)

クラス

OracleFormsCheckbox.

処理

チェック ボックスをチェックします。

構文

C#
oracleFormsCheckbox.Check()
VB
oracleFormsCheckbox.Check()


Check メソッド (OracleFormsMenu)

クラス

OracleFormsMenu.

処理

メニュー項目をチェックします。

構文

C#
oracleFormsMenu.Check(item)
VB
oracleFormsMenu.Check(item)
変数 | 説明
item | チェックするメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目をチェックする場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。


Check メソッド (OracleFormsMenuItem)

クラス

OracleFormsMenuItem.

処理

メニュー項目をチェックします。

構文

C#
oracleFormsMenuItem.Check()
VB
oracleFormsMenuItem.Check()


Check メソッド (OracleFormsRadioButton)

クラス

OracleFormsRadioButton.

処理

ラジオ ボタンをチェックします。

構文

C#
oracleFormsRadioButton.Check()
VB
oracleFormsRadioButton.Check()


Clear メソッド (AWTTextComponent)

クラス

AWTTextComponent.

処理

すべてのテキストをテキスト コンポーネントから削除します。

構文

C#
textComponent.Clear()
VB
textComponent.Clear()

例

VB

textComponent.Clear()


Clear メソッド (JTextComponent)

クラス

JTextComponent.

処理

すべてのテキストをテキスト コンポーネントから削除します。

構文

C#
textComponent.Clear()
VB
textComponent.Clear()

例

VB

textComponent.Clear()


Clear メソッド (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

すべてのテキストをテキスト フィールドから削除します。

構文

C#
oracleFormsTextField.Clear()
VB
oracleFormsTextField.Clear()


ClearSelection メソッド (JTable)

クラス

JTable.

処理

すべての選択した列と行の選択を解除します。

構文

C#
table.ClearSelection()
VB
table.ClearSelection()

例

VB

table.ClearSelection()


ClearSelection メソッド (JTree)

クラス

JTree.

処理

選択範囲をクリアします。

構文

C#
tree.ClearSelection()
VB
tree.ClearSelection()

例

VB

tree.ClearSelection()


ClearSelection メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

選択範囲をクリアします。

構文

C#
oracleFormsListView.ClearSelection()
VB
oracleFormsListView.ClearSelection()


ClickCell メソッド (JTable)

クラス

JTable.

処理

テーブル内の指定したセルをクリックします。

構文

C#
table.ClickCell(row, column, [button, position, modifiers])
VB
table.ClickCell(row, column, [button, position, modifiers])
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: テーブル セル内のクリックした位置。 位置が省略された場合は、テーブル セルの中央がクリックされます。 Point。
modifiers | 省略可能: テーブル セルをクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 複数のテーブル セルをクリックするために使用します。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

VB

table.ClickCell(1, "Street", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
table.ClickCell(1, "Street")
table.ClickCell(1, 5)


ClickColumnHeader メソッド (JTableHeader)

クラス

JTableHeader.

処理

テーブルの列ヘッダーをクリックします。

構文

C#
tableHeader.ClickColumnHeader(column, [button, position, modifiers])
VB
tableHeader.ClickColumnHeader(column, [button, position, modifiers])
変数 | 説明
column | 列の名前またはインデックス。 ItemIdentifier。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: 列ヘッダー内のクリックした位置 （デフォルトは列ヘッダーの中央）。 Point。
modifiers | 省略可能: 列ヘッダーをクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

VB

tableHeader.ClickColumnHeader("Product Name", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tableHeader.ClickColumnHeader(4, MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tableHeader.ClickColumnHeader("Product Name")
tableHeader.ClickColumnHeader(4)


ClickItem メソッド (JList)

クラス

JList.

処理

指定したリスト項目をクリックします。

構文

C#
list.ClickItem(item, [button, position, modifiers])
VB
list.ClickItem(item, [button, position, modifiers])
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: リスト内のクリックした位置 （デフォルトはリスト項目の中央）。 Point。
modifiers | 省略可能: リスト項目をクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 複数のリスト項目をクリックするために使用します。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

VB

colorsList.ClickItem("green", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
colorsList.ClickItem(3, MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
colorsList.ClickItem("green")
colorsList.ClickItem(3)


ClickItem メソッド (OracleFormsListBox)

クラス

OracleFormsListBox.

処理

指定したリスト項目をクリックします。

構文

C#
oracleFormsListBox.ClickItem(item, [button, position, modifiers])
VB
oracleFormsListBox.ClickItem(item, [button, position, modifiers])
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: リスト内のクリックした位置 （デフォルトはリスト項目の中央）。 Point。
modifiers | 省略可能: リスト項目をクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 複数のリスト項目をクリックするために使用します。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。


ClickItem メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

項目パスによって指定されたツリー ノードをクリックします。

構文

C#
oracleFormsTree.ClickItem(item, [button, position, modifiers])
VB
oracleFormsTree.ClickItem(item, [button, position, modifiers])
変数 | 説明
item | クリックする項目のパス。 ItemPath。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: クリックする位置。 位置が省略された場合は、ツリー ノードの中央がクリックされます。 Point。
modifiers | 省略可能: ツリー ノードをクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。


ClickNode メソッド (JTree)

クラス

JTree.

処理

項目パスによって指定されたツリー ノードをクリックします。

構文

C#
tree.ClickNode(item, [button, position, modifiers])
VB
tree.ClickNode(item, [button, position, modifiers])
変数 | 説明
item | クリックする項目パス。 ItemPath。
button | 省略可能: クリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: クリックする位置。 位置が省略された場合は、ツリー ノードの中央がクリックされます。 Point。
modifiers | 省略可能: ツリー ノードをクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

VB

tree.ClickNode("/level_1-1/level_2-1/level_3-4", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tree.ClickNode("/level_1-1/level_2-1/level_3-4")


CollapseAll メソッド (JTree)

クラス

JTree.

処理

すべてのツリー ノードを折りたたみます。

構文

C#
tree.CollapseAll()
VB
tree.CollapseAll()

例

VB

tree.CollapseAll()


CollapseAll メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

すべてのツリー ノードを折りたたみます。

構文

C#
oracleFormsTree.CollapseAll()
VB
oracleFormsTree.CollapseAll()


Collapse メソッド (JTree)

クラス

JTree.

処理

指定した項目パスによって識別されるツリー ノードを折りたたみます。

構文

C#
tree.Collapse(item)
VB
tree.Collapse(item)
変数 | 説明
item | 項目パス。 ItemPath。

例

VB

tree.Collapse("/level_1-1/level_2-1/level_3-4")


Collapse メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスによって識別されるツリー ノードを折りたたみます。

構文

C#
oracleFormsTree.Collapse(item)
VB
oracleFormsTree.Collapse(item)
変数 | 説明
item | 項目パス。 ItemPath。


Color プロパティ (JColorChooser)

クラス

JColorChooser.

処理

[読み取り専用] カラーチューザから現在の色の値。

構文

C#
protected Color Color { get; }
VB
'Declaration
Protected Read Property Color As Color

アクセス

読み取り専用。

例

VB

Dim colorRed As SilkTest.Ntf.Color = ColorChooser.Color


ColumnCount プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] テーブルの列の数。

構文

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。

例

VB

Dim columnCount As Integer = table.ColumnCount


ColumnCount プロパティ (OracleFormsListView)

クラス

OracleFormsListView.

処理

[読み取り専用] リストビューの列の数。

構文

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


Columns プロパティ (AWTTextArea)

クラス

AWTTextArea.

処理

[読み取り専用] テキスト領域の列の数。 The value is zero-based.。

構文

C#
protected Integer Columns { get; }
VB
'Declaration
Protected Read Property Columns As Integer

アクセス

読み取り専用。

例

VB

Dim columns As Integer = colorsTextArea.Columns


Columns プロパティ (JTextArea)

クラス

JTextArea.

処理

[読み取り専用] テキスト領域の列の数。 The value is zero-based.。

構文

C#
protected Integer Columns { get; }
VB
'Declaration
Protected Read Property Columns As Integer

アクセス

読み取り専用。

例

VB

Dim columns As Integer = textArea.Columns


ContentType プロパティ (JEditorPane)

クラス

JEditorPane.

処理

[読み取り専用] このエディターが現在処理するように設定されているコンテンツ タイプ。

構文

C#
protected String ContentType { get; }
VB
'Declaration
Protected Read Property ContentType As String

アクセス

読み取り専用。

例

VB

Dim contentType As String = editorPane.ContentType


Cursor プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントに設定されているカーソルの名前。

構文

C#
protected String Cursor { get; }
VB
'Declaration
Protected Read Property Cursor As String

アクセス

読み取り専用。

例

VB

Dim cursor As String = component.Cursor


Default プロパティ (OracleFormsButton)

クラス

OracleFormsButton.

処理

[読み取り専用] ボタンがデフォルト ボタンかどうか。

構文

C#
protected Boolean Default { get; }
VB
'Declaration
Protected Read Property Default As Boolean

アクセス

読み取り専用。


DeselectAll メソッド (AWTList)

クラス

AWTList.

処理

すべてのリスト項目の選択を解除します。

構文

C#
list.DeselectAll()
VB
list.DeselectAll()

例

VB

colorsList.DeselectAll()


DeselectAll メソッド (JList)

クラス

JList.

処理

すべてのリスト項目の選択を解除します。

構文

C#
list.DeselectAll()
VB
list.DeselectAll()

例

VB

colorsList.DeselectAll()


Deselect メソッド (AWTList)

クラス

AWTList.

処理

指定したリスト項目の選択を解除します。

構文

C#
list.Deselect(item)
VB
list.Deselect(item)
変数 | 説明
item | 選択を解除する項目の名前またはインデックス。 ItemIdentifier。

例

VB

colorsList.Deselect("blue")
colorsList.Deselect(3)


Deselect メソッド (JList)

クラス

JList.

処理

指定したリスト項目の選択を解除します。

構文

C#
list.Deselect(item)
VB
list.Deselect(item)
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。

例

VB

colorsList.Deselect("red")
colorsList.Deselect(1)


Direction プロパティ (BasicArrowButton)

クラス

BasicArrowButton.

処理

[読み取り専用] 矢印が向いている方向。

構文

C#
protected Direction Direction { get; }
VB
'Declaration
Protected Read Property Direction As Direction

アクセス

読み取り専用。

例

VB

Dim direction As SilkTest.Ntf.Swing.Direction = arrowButton.Direction


DividerLocation プロパティ (JSplitPane)

クラス

JSplitPane.

処理

[読み取り専用] 現在の分割線の位置。

構文

C#
protected Integer DividerLocation { get; }
VB
'Declaration
Protected Read Property DividerLocation As Integer

アクセス

読み取り専用。

例

VB

Dim dividerLocation As Integer = splitPane.DividerLocation


DividerSize プロパティ (JSplitPane)

クラス

JSplitPane.

処理

[読み取り専用] 分割線のサイズ。

構文

C#
protected Integer DividerSize { get; }
VB
'Declaration
Protected Read Property DividerSize As Integer

アクセス

読み取り専用。

例

VB

Dim dividerSize As Integer = splitPane.DividerSize


DoubleClickCell メソッド (JTable)

クラス

JTable.

処理

テーブル内の指定したセルをダブルクリックします。

構文

C#
table.DoubleClickCell(row, column, [button, position, modifiers])
VB
table.DoubleClickCell(row, column, [button, position, modifiers])
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。
button | 省略可能: ダブルクリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: テーブル セル内のダブルクリックした位置。 位置が省略された場合は、テーブル セルの中央がダブルクリックされます。 Point。
modifiers | 省略可能: テーブル セルをダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

VB

table.DoubleClickCell(1, "Street", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
table.DoubleClickCell(1, "Street")
table.DoubleClickCell(1, 5)


DoubleClickItem メソッド (AWTList)

クラス

AWTList.

処理

リスト項目をダブルクリックします。

構文

C#
list.DoubleClickItem(item, [modifiers])
VB
list.DoubleClickItem(item, [modifiers])
変数 | 説明
item | ダブルクリックする項目の名前またはインデックス。 ItemIdentifier。
modifiers | 省略可能: 項目をダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

VB

colorsList.DoubleClickItem("red", SilkTest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem("red")
colorsList.DoubleClickItem(1, SilkTest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem(1)


DoubleClickItem メソッド (JList)

クラス

JList.

処理

リスト項目をダブルクリックします。

構文

C#
list.DoubleClickItem(item, [button, position, modifiers])
VB
list.DoubleClickItem(item, [button, position, modifiers])
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。
button | 省略可能: ダブルクリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: リスト内のダブルクリックした位置 （デフォルトはリスト項目の中央）。 Point。
modifiers | 省略可能: リスト項目をダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

VB

colorsList.DoubleClickItem("green", MouseButton.Left, New Point(10, 10), Silktest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem("green")
colorsList.DoubleClickItem(3)


DoubleClickItem メソッド (OracleFormsListBox)

クラス

OracleFormsListBox.

処理

リスト項目をダブルクリックします。

構文

C#
oracleFormsListBox.DoubleClickItem(item, [button, position, modifiers])
VB
oracleFormsListBox.DoubleClickItem(item, [button, position, modifiers])
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。
button | 省略可能: ダブルクリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: リスト内のダブルクリックした位置 （デフォルトはリスト項目の中央）。 Point。
modifiers | 省略可能: リスト項目をダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。


DoubleClickItem メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

項目パスによって指定されたツリー ノードをダブルクリックします。

構文

C#
oracleFormsTree.DoubleClickItem(item, [button, position, modifiers])
VB
oracleFormsTree.DoubleClickItem(item, [button, position, modifiers])
変数 | 説明
item | ダブルクリックする項目のパス。 ItemPath。
button | 省略可能: ダブルクリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: ダブルクリックする位置。 位置が省略された場合は、ツリー ノードの中央がダブルクリックされます。 Point。
modifiers | 省略可能: ツリー ノードをダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。


DoubleClickNode メソッド (JTree)

クラス

JTree.

処理

項目パスによって指定されたツリー ノードをダブルクリックします。

構文

C#
tree.DoubleClickNode(item, [button, position, modifiers])
VB
tree.DoubleClickNode(item, [button, position, modifiers])
変数 | 説明
item | ダブルクリックする項目パス。 ItemPath。
button | 省略可能: ダブルクリックに使用するボタン。 有効な値は、左（=1、デフォルト値）、右（=2）、中央（=3）です。 MouseButton。
position | 省略可能: ダブルクリックする位置。 位置が省略された場合は、ツリー ノードの中央がダブルクリックされます。 Point。
modifiers | 省略可能: ツリー ノードをダブルクリックするときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。

例

VB

tree.DoubleClickNode("/level_1-1/level_2-1/level_3-4", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tree.DoubleClickNode("/level_1-1/level_2-1/level_3-4")


DropDownOpen プロパティ (OracleFormsComboBox)

クラス

OracleFormsComboBox.

処理

[読み取り専用] ドロップダウンが現在開いているかどうか。

構文

C#
protected Boolean DropDownOpen { get; }
VB
'Declaration
Protected Read Property DropDownOpen As Boolean

アクセス

読み取り専用。


DropDownOpen プロパティ (OracleFormsPopList)

クラス

OracleFormsPopList.

処理

[読み取り専用] ドロップダウンが現在開いているかどうか。

構文

C#
protected Boolean DropDownOpen { get; }
VB
'Declaration
Protected Read Property DropDownOpen As Boolean

アクセス

読み取り専用。


EchoChar プロパティ (AWTTextField)

クラス

AWTTextField.

処理

[読み取り専用] 実際に入力される文字の代わりに表示される文字。

構文

C#
protected String EchoChar { get; }
VB
'Declaration
Protected Read Property EchoChar As String

アクセス

読み取り専用。

例

VB

Dim echoChar As String = passwordTextField.EchoChar


EchoChar プロパティ (JPasswordField)

クラス

JPasswordField.

処理

[読み取り専用] 実際に入力される文字の代わりに表示される文字。

構文

C#
protected String EchoChar { get; }
VB
'Declaration
Protected Read Property EchoChar As String

アクセス

読み取り専用。

例

VB

Dim echoChar As String = passwordField.EchoChar


EchoCharSet プロパティ (AWTTextField)

クラス

AWTTextField.

処理

[読み取り専用] EchoChar が 0 以外の値に設定されているかどうか。

構文

C#
protected Boolean EchoCharSet { get; }
VB
'Declaration
Protected Read Property EchoCharSet As Boolean

アクセス

読み取り専用。

例

VB

Dim isEchoCharSet As Boolean = passwordTextField.EchoCharSet


EchoCharSet プロパティ (JPasswordField)

クラス

JPasswordField.

処理

[読み取り専用] EchoChar が 0 以外の値に設定されているかどうか。

構文

C#
protected Boolean EchoCharSet { get; }
VB
'Declaration
Protected Read Property EchoCharSet As Boolean

アクセス

読み取り専用。

例

VB

Dim isEchoCharSet As Boolean = passwordField.EchoCharSet


Editable プロパティ (AWTTextComponent)

クラス

AWTTextComponent.

処理

[読み取り専用] テキスト コンポーネントのテキストをユーザーが変更できるかどうか。

構文

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

アクセス

読み取り専用。

例

VB

Dim isEditable As Boolean = textComponent.Editable


Editable プロパティ (JComboBox)

クラス

JComboBox.

処理

[読み取り専用] コンボ ボックスが編集可能かどうか。

構文

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

アクセス

読み取り専用。

例

VB

Dim isEditable As Boolean = colorsComboBox.Editable


Editable プロパティ (JTextComponent)

クラス

JTextComponent.

処理

[読み取り専用] テキスト コンポーネントのテキストをユーザーが変更できるかどうか。

構文

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

アクセス

読み取り専用。

例

VB

Dim isEditable As Boolean = textComponent.Editable


Editable プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] テキスト フィールドのテキストをユーザーが変更できるかどうか。

構文

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

アクセス

読み取り専用。


EditingColumn プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] 現在編集中のセルを含む列の名前またはインデックス。

構文

C#
protected ItemIdentifier EditingColumn { get; }
VB
'Declaration
Protected Read Property EditingColumn As ItemIdentifier

アクセス

読み取り専用。

例

VB

Dim editingColumn As String = table.EditingColumn


EditingRow プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] 現在編集中のセルを含む行のインデックス。 The value is zero-based.。

構文

C#
protected Integer EditingRow { get; }
VB
'Declaration
Protected Read Property EditingRow As Integer

アクセス

読み取り専用。

例

VB

Dim editingRow As Integer = table.EditingRow


Enabled プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントが有効かどうか。

構文

C#
protected Boolean Enabled { get; }
VB
'Declaration
Protected Read Property Enabled As Boolean

アクセス

読み取り専用。

例

VB

Dim isEnabled As Boolean = component.Enabled


Enabled プロパティ (AWTMenuItem)

クラス

AWTMenuItem.

処理

[読み取り専用] メニュー項目が有効かどうか。

構文

C#
protected Boolean Enabled { get; }
VB
'Declaration
Protected Read Property Enabled As Boolean

アクセス

読み取り専用。

例

VB

Dim isEnabled As Boolean = openFileMenuItem.Enabled


ExpandAll メソッド (JTree)

クラス

JTree.

処理

すべてのツリー ノードを展開します。

構文

C#
tree.ExpandAll()
VB
tree.ExpandAll()

例

VB

tree.ExpandAll()


ExpandAll メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

すべてのツリー ノードを展開します。

構文

C#
oracleFormsTree.ExpandAll()
VB
oracleFormsTree.ExpandAll()


Expand メソッド (JTree)

クラス

JTree.

処理

指定した項目パスによって識別されるツリー ノードを展開します。

構文

C#
tree.Expand(item)
VB
tree.Expand(item)
変数 | 説明
item | 項目パス。 ItemPath。

例

VB

tree.Expand("/level_1-1/level_2-1/level_3-4")


Expand メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスによって識別されるツリー ノードを展開します。

構文

C#
oracleFormsTree.Expand(item)
VB
oracleFormsTree.Expand(item)
変数 | 説明
item | 項目パス。 ItemPath。


FindCell メソッド (JTable)

クラス

JTable.

処理

指定したテキストを含むセルを返します。

FindCell は、1 行目の第 1 列から text を含むセルの検索を開始します。最初の行のセルをすべて検索してから、2 番目の行を検索し、一致したセルが見つかるか、またはテーブルの終わりに到達するまで検索を続けます。 検索テキスト内にワイルドカードを使用することができます。

構文

C#
result = table.FindCell(text)
VB
result = table.FindCell(text)
変数 | 説明
result | セルの行と列のインデックスを含んだリスト（この順番で）。 セルが見つからなかった場合には、リストは空になります。 List(Of Integer)。
text | テーブル内のセルのテキスト。 String。

例

VB

Dim findCell As IList = table.findCell("SilkTest")


FindItem メソッド (JList)

クラス

JList.

処理

リスト内の項目のインデックスを返します。

構文

C#
result = list.FindItem(itemText)
VB
result = list.FindItem(itemText)
変数 | 説明
result | 最初に一致した項目のインデックス、または項目が見つからなかった場合は -1（4Test の場合は 0）。 The value is zero-based.。 Integer。
itemText | 検索する項目。 String。

例

VB

Dim index As Integer = ColorsList.FindItem("green")


Focusable プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントをフォーカスすることができるかどうか。

構文

C#
protected Boolean Focusable { get; }
VB
'Declaration
Protected Read Property Focusable As Boolean

アクセス

読み取り専用。

例

VB

Dim isFocusable As Boolean = component.Focusable


FocusedRow プロパティ (OracleFormsListView)

クラス

OracleFormsListView.

処理

[読み取り専用] フォーカスした行のインデックス。行がフォーカスされていない場合は -1（4Test の場合は 0）が返されます。 The value is zero-based.。

構文

C#
protected Integer FocusedRow { get; }
VB
'Declaration
Protected Read Property FocusedRow As Integer

アクセス

読み取り専用。


Font プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントのフォント。

構文

C#
protected String Font { get; }
VB
'Declaration
Protected Read Property Font As String

アクセス

読み取り専用。

例

VB

Dim font As String = component.Font


Foreground プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントの前景色。

構文

C#
protected Color Foreground { get; }
VB
'Declaration
Protected Read Property Foreground As Color

アクセス

読み取り専用。

例

VB

Dim foregroundColor As SilkTest.Ntf.Color = component.Foreground


FormattedText プロパティ (JEditorPane)

クラス

JEditorPane.

処理

[読み取り専用] エディター ペインのテキスト。

構文

C#
protected String FormattedText { get; }
VB
'Declaration
Protected Read Property FormattedText As String

アクセス

読み取り専用。

例

VB

Dim formattedText As String = editorPane.FormattedText


GetCellText メソッド (JTable)

クラス

JTable.

処理

セル テキストを返します。

構文

C#
cellText = table.GetCellText(row, column)
VB
cellText = table.GetCellText(row, column)
変数 | 説明
cellText | セル テキスト。 String。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。

例

VB

Dim cellText As String = table.GetCellText(1, "Product")
cellText = table.GetCellText(1, 3)


GetCellText メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

セル テキストを返します。

少なくとも一度はユーザーに表示された値のみが利用できます。

構文

C#
cellText = oracleFormsListView.GetCellText(row, column)
VB
cellText = oracleFormsListView.GetCellText(row, column)
変数 | 説明
cellText | String。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。


GetCellValue メソッド (JTable)

クラス

JTable.

処理

セルの値を返します。

表示されたセル テキストを取得する場合には "GetCellText" を使用します。

構文

C#
cellValue = table.GetCellValue(row, column)
VB
cellValue = table.GetCellValue(row, column)
変数 | 説明
cellValue | セルの値オブジェクト。 テーブル セルの種類が認識されない場合には、オブジェクトの String 値が返されます。セルが空の場合には、null (Visual Basic では Nothing) オブジェクトが返されます。 Object。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。

例

VB

Dim cellValue As Object = table.GetCellValue(1, "SilkTest")
cellValue = Table.GetCellValue(1, 3)


GetColumnName メソッド (JTable)

クラス

JTable.

処理

指定したインデックスの列の名前を返します。

構文

C#
columnName = table.GetColumnName(column)
VB
columnName = table.GetColumnName(column)
変数 | 説明
columnName | 列の名前。 String。
column | 列のインデックス。 The value is zero-based.。 Integer。

例

VB

Dim columnName As String = table.GetColumnName(5)


GetColumnName メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定したインデックスの列の名前を返します。

構文

C#
columnName = oracleFormsListView.GetColumnName(index)
VB
columnName = oracleFormsListView.GetColumnName(index)
変数 | 説明
columnName | String。
index | 列のインデックス。 The value is zero-based.。 Integer。


GetColumnWidth メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定した列の幅を返します。

構文

C#
columnWidth = oracleFormsListView.GetColumnWidth(column)
VB
columnWidth = oracleFormsListView.GetColumnWidth(column)
変数 | 説明
columnWidth | Integer。
column | 列の名前またはインデックス。 ItemIdentifier。


GetHorizontalBar メソッド (IAWTScrollable)

クラス

IAWTScrollable.

処理

水平方向のスクロール バーを取得します。

構文

C#
horizontalBar = iAWTScrollable.GetHorizontalBar()
VB
horizontalBar = iAWTScrollable.GetHorizontalBar()
変数 | 説明
horizontalBar | 水平方向のスクロール バー コントロール。 AWTHorizontalScrollbar。


GetHorizontalBar メソッド (JScrollPane)

クラス

JScrollPane.

処理

水平方向のスクロール バーを取得します。

構文

C#
horizontalBar = scrollPane.GetHorizontalBar()
VB
horizontalBar = scrollPane.GetHorizontalBar()
変数 | 説明
horizontalBar | JHorizontalScrollBar。


GetHorizontalScrollbar メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

水平方向のスクロール バーを取得します。

構文

C#
horizontalScrollbar = iOracleFormsScrollable.GetHorizontalScrollbar()
VB
horizontalScrollbar = iOracleFormsScrollable.GetHorizontalScrollbar()
変数 | 説明
horizontalScrollbar | 水平方向のスクロール バー コントロール。 OracleFormsHorizontalScrollbar。


GetItem メソッド (AWTChoice)

クラス

AWTChoice.

処理

指定したインデックスの項目を返します。

構文

C#
item = choice.GetItem(index)
VB
item = choice.GetItem(index)
変数 | 説明
item | 項目の名前。 String。
index | 項目のインデックス。 The value is zero-based.。 Integer。

例

VB

Dim item As String = colorsChoice.GetItem(1)


GetItem メソッド (AWTList)

クラス

AWTList.

処理

指定したインデックスのリスト項目を返します。

構文

C#
item = list.GetItem(index)
VB
item = list.GetItem(index)
変数 | 説明
item | リスト項目の名前。 String。
index | リスト項目のインデックス。 The value is zero-based.。 Integer。

例

VB

Dim item As String = colorsList.GetItem(1)


GetItem メソッド (JComboBox)

クラス

JComboBox.

処理

指定したインデックスの項目を返します。

構文

C#
item = comboBox.GetItem(index)
VB
item = comboBox.GetItem(index)
変数 | 説明
item | 項目の名前。 String。
index | 項目のインデックス。 The value is zero-based.。 Integer。

例

VB

Dim item As String = colorsComboBox.GetItem(1)


GetItem メソッド (JList)

クラス

JList.

処理

指定したインデックスの項目を返します。

構文

C#
item = list.GetItem(index)
VB
item = list.GetItem(index)
変数 | 説明
item | 項目の名前。 String。
index | 項目のインデックス。 The value is zero-based.。 Integer。

例

VB

Dim item As String = colorsList.GetItem(2)


GetItemRect メソッド (JList)

クラス

JList.

処理

リストに対して相対的な項目のサイズと位置を返します。

構文

C#
itemRect = list.GetItemRect(item)
VB
itemRect = list.GetItemRect(item)
変数 | 説明
itemRect | リストに相対的な項目の位置（X および Y）、およびその幅と高さを含んだ矩形。 Rectangle。
item | 項目の名前またはインデックス。 ItemIdentifier。

例

VB

Dim rect As Rectangle = ColorsList.GetItemRect("green")
rect = ColorsList.GetItemRect(2)


GetItemRect メソッド (JTree)

クラス

JTree.

処理

ツリーに対して相対的な項目のサイズと位置を返します。

構文

C#
itemRect = tree.GetItemRect(item)
VB
itemRect = tree.GetItemRect(item)
変数 | 説明
itemRect | ツリーに相対的な項目の位置（X および Y）、およびその幅と高さを含んだ矩形。 Rectangle。
item | 項目パス。 ItemPath。

例

VB

Dim rect As Rectangle = tree.GetItemRect("/level_1-1/level_2-1/level_3-4")


GetItemText メソッド (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

指定したインデックスの項目を返します。

構文

C#
itemText = oracleFormsChoice.GetItemText(index)
VB
itemText = oracleFormsChoice.GetItemText(index)
変数 | 説明
itemText | 項目の名前。 String。
index | 項目のインデックス。 The value is zero-based.。 Integer。


GetItemValue メソッド (JList)

クラス

JList.

処理

リスト項目の値オブジェクトを返します。

構文

C#
itemValue = list.GetItemValue(item)
VB
itemValue = list.GetItemValue(item)
変数 | 説明
itemValue | リスト項目の値オブジェクト。 Object。
item | リスト項目の名前またはインデックス。 ItemIdentifier。

例

VB

Dim item As Object = colorsList.GetItemValue("green")
item = colorsList.GetItemValue(2)


GetTabIndex メソッド (JTabbedPane)

クラス

JTabbedPane.

処理

タブ インデックスを返します。

構文

C#
tabIndex = tabbedPane.GetTabIndex(title)
VB
tabIndex = tabbedPane.GetTabIndex(title)
変数 | 説明
tabIndex | タブ インデックス。 The value is zero-based.。 Integer。
title | タブのタイトル。 String。

例

VB

Dim tabIndex As Integer = tabbedPane.GetTabIndex("Alignment")


GetTabIndex メソッド (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

タブ インデックスを返します。

構文

C#
tabIndex = oracleFormsTabBar.GetTabIndex(title)
VB
tabIndex = oracleFormsTabBar.GetTabIndex(title)
変数 | 説明
tabIndex | タブ インデックス。 The value is zero-based.。 Integer。
title | タブのタイトル。 String。


GetTabTitle メソッド (JTabbedPane)

クラス

JTabbedPane.

処理

タブ タイトルを返します。

構文

C#
tabTitle = tabbedPane.GetTabTitle(index)
VB
tabTitle = tabbedPane.GetTabTitle(index)
変数 | 説明
tabTitle | タブのタイトル。 String。
index | タブのインデックス。 The value is zero-based.。 Integer。

例

VB

Dim tabTitle As String = tabbedPane.GetTabTitle(1)


GetTabTitle メソッド (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

タブ タイトルを返します。

構文

C#
tabTitle = oracleFormsTabBar.GetTabTitle(index)
VB
tabTitle = oracleFormsTabBar.GetTabTitle(index)
変数 | 説明
tabTitle | タブのタイトル。 String。
index | タブのインデックス。 The value is zero-based.。 Integer。


GetVerticalBar メソッド (IAWTScrollable)

クラス

IAWTScrollable.

処理

垂直方向のスクロール バーを取得します。

構文

C#
verticalBar = iAWTScrollable.GetVerticalBar()
VB
verticalBar = iAWTScrollable.GetVerticalBar()
変数 | 説明
verticalBar | 垂直方向のスクロール バー コントロール。 AWTVerticalScrollbar。


GetVerticalBar メソッド (JScrollPane)

クラス

JScrollPane.

処理

垂直方向のスクロール バーを取得します。

構文

C#
verticalBar = scrollPane.GetVerticalBar()
VB
verticalBar = scrollPane.GetVerticalBar()
変数 | 説明
verticalBar | JVerticalScrollBar。


GetVerticalScrollbar メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

垂直方向のスクロール バーを取得します。

構文

C#
verticalScrollbar = iOracleFormsScrollable.GetVerticalScrollbar()
VB
verticalScrollbar = iOracleFormsScrollable.GetVerticalScrollbar()
変数 | 説明
verticalScrollbar | 垂直方向のスクロール バー コントロール。 OracleFormsVerticalScrollbar。


Height プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] 現在のコンポーネントの高さ。

構文

C#
protected Integer Height { get; }
VB
'Declaration
Protected Read Property Height As Integer

アクセス

読み取り専用。

例

VB

Dim height As Integer = component.Height


HorizontalScrollbarPage メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定したページ数を現在のスクロール位置に加算します。

構文

C#
iOracleFormsScrollable.HorizontalScrollbarPage(pageCount)
VB
iOracleFormsScrollable.HorizontalScrollbarPage(pageCount)
変数 | 説明
pageCount | 加算するページ数。 Integer。


HorizontalScrollbarPageSize プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーのブロック増分値。

構文

C#
protected Integer HorizontalScrollbarPageSize { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarPageSize As Integer

アクセス

読み取り専用。


HorizontalScrollbarPosition プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの現在の位置。

構文

C#
protected Integer HorizontalScrollbarPosition { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarPosition As Integer

アクセス

読み取り専用。


HorizontalScrollbarRange プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの範囲値。

構文

C#
protected Range HorizontalScrollbarRange { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarRange As Range

アクセス

読み取り専用。


HorizontalScrollbarScrollToMax メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

スクロール バーの最大の位置にスクロールします。

構文

C#
iOracleFormsScrollable.HorizontalScrollbarScrollToMax()
VB
iOracleFormsScrollable.HorizontalScrollbarScrollToMax()


HorizontalScrollbarScrollTo メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定した位置にスクロールします。

構文

C#
iOracleFormsScrollable.HorizontalScrollbarScrollTo(position)
VB
iOracleFormsScrollable.HorizontalScrollbarScrollTo(position)
変数 | 説明
position | スクロールする位置。 Integer。


HorizontalScrollbarScrollToMin メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

スクロール バーの最小の位置にスクロールします。

構文

C#
iOracleFormsScrollable.HorizontalScrollbarScrollToMin()
VB
iOracleFormsScrollable.HorizontalScrollbarScrollToMin()


HorizontalScrollbarStep メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定したステップ数を現在のスクロール位置に加算します。

構文

C#
iOracleFormsScrollable.HorizontalScrollbarStep(stepCount)
VB
iOracleFormsScrollable.HorizontalScrollbarStep(stepCount)
変数 | 説明
stepCount | 加算するステップ数。 Integer。


HorizontalScrollbarStepSize プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの単位増分値。

構文

C#
protected Integer HorizontalScrollbarStepSize { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarStepSize As Integer

アクセス

読み取り専用。


Indeterminate プロパティ (JProgressBar)

クラス

JProgressBar.

処理

[読み取り専用] 進行状況バーが不確定モードかどうか。

構文

C#
protected Boolean Indeterminate { get; }
VB
'Declaration
Protected Read Property Indeterminate As Boolean

アクセス

読み取り専用。

例

VB

Dim isIndeterminate As Boolean = progressBar.Indeterminate


Insert メソッド (AWTTextArea)

クラス

AWTTextArea.

処理

指定したテキストを指定した位置に挿入します。

構文

C#
textArea.Insert(text, pos)
VB
textArea.Insert(text, pos)
変数 | 説明
text | 挿入するテキスト。 String。
pos | 挿入する位置。 The value is zero-based.。 Integer。

例

VB

colorsTextArea.Insert("yellow", 16)


Insert メソッド (JTextArea)

クラス

JTextArea.

処理

指定したテキストを指定した位置に挿入します。

構文

C#
textArea.Insert(text, pos)
VB
textArea.Insert(text, pos)
変数 | 説明
text | 挿入するテキスト。 String。
pos | テキストを挿入する位置。 The value is zero-based.。 Integer。

例

VB

textArea.Insert("magenta", 5)


Inverted プロパティ (JSlider)

クラス

JSlider.

処理

[読み取り専用] スライダに表示される値の範囲が反転している場合、値は true になります。

構文

C#
protected Boolean Inverted { get; }
VB
'Declaration
Protected Read Property Inverted As Boolean

アクセス

読み取り専用。

例

VB

Dim isInverted As Boolean = verticalSlider.Inverted


IsCellEditable メソッド (JTable)

クラス

JTable.

処理

指定したセルが編集可能な場合に true を返します。

構文

C#
cellEditable = table.IsCellEditable(row, column)
VB
cellEditable = table.IsCellEditable(row, column)
変数 | 説明
cellEditable | セルが編集可能な場合に true、それ以外は false。 Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。

例

VB

Dim isCellEditable As Boolean = table.IsCellEditable(1, "Street")
isCellEditable = table.IsCellEditable(1, 4)


IsCellSelected メソッド (JTable)

クラス

JTable.

処理

指定したセルが選択されている場合に true、それ以外は false を返します。

構文

C#
cellSelected = table.IsCellSelected(row, column)
VB
cellSelected = table.IsCellSelected(row, column)
変数 | 説明
cellSelected | セルが選択されている場合に true、それ以外は false。 Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。

例

VB

Dim isCellSelected As Boolean = table.IsCellSelected(1, "Street")
isCellSelected = Table.IsCellSelected(1, 4)


IsChecked メソッド (OracleFormsMenu)

クラス

OracleFormsMenu.

処理

メニュー項目がチェックされているかどうかを示す値。

構文

C#
checked = oracleFormsMenu.IsChecked(item)
VB
checked = oracleFormsMenu.IsChecked(item)
変数 | 説明
checked | Boolean。
item | チェックするメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目をチェックする場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。


IsColumnSelected メソッド (JTable)

クラス

JTable.

処理

指定した列が選択されている場合に true を返します。

構文

C#
columnSelected = table.IsColumnSelected(column)
VB
columnSelected = table.IsColumnSelected(column)
変数 | 説明
columnSelected | 列が選択されている場合に true、それ以外は false。 Boolean。
column | 列の名前またはインデックス。 ItemIdentifier。

例

VB

Dim isColumnSelected As Boolean = table.IsColumnSelected("Product Name")
isColumnSelected = table.IsColumnSelected(3)


IsEditable プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] ツリーが編集可能かどうか。

構文

C#
protected Boolean IsEditable { get; }
VB
'Declaration
Protected Read Property IsEditable As Boolean

アクセス

読み取り専用。

例

VB

Dim isEditable As Boolean = tree.IsEditable


IsEditing プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] ツリーが編集中かどうか。

構文

C#
protected Boolean IsEditing { get; }
VB
'Declaration
Protected Read Property IsEditing As Boolean

アクセス

読み取り専用。

例

VB

Dim isEditing As Boolean = tree.IsEditing


IsExpanded メソッド (JTree)

クラス

JTree.

処理

指定した項目パスが展開されている場合に 'true' を返します。

構文

C#
expanded = tree.IsExpanded(item)
VB
expanded = tree.IsExpanded(item)
変数 | 説明
expanded | 指定した項目パスが展開されている場合に true、それ以外は false。 Boolean。
item | 項目パス。 ItemPath。

例

VB

Dim isExpanded As Boolean = tree.IsExpanded("/level_1-1/level_2-1/level_3-4")


IsExpanded メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスが展開されている場合に 'true' を返します。

構文

C#
expanded = oracleFormsTree.IsExpanded(item)
VB
expanded = oracleFormsTree.IsExpanded(item)
変数 | 説明
expanded | 指定した項目パスが展開されている場合に true、それ以外は false。 Boolean。
item | 項目パス。 ItemPath。


IsPassword プロパティ (AWTTextField)

クラス

AWTTextField.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

アクセス

読み取り専用。


IsPassword プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

アクセス

読み取り専用。


IsPathEditable メソッド (JTree)

クラス

JTree.

処理

項目パスが編集可能かどうかを取得します。

構文

C#
pathEditable = tree.IsPathEditable(item)
VB
pathEditable = tree.IsPathEditable(item)
変数 | 説明
pathEditable | 指定した項目パスが編集可能な場合に true、それ以外は false。 Boolean。
item | 項目パス。 ItemPath。

例

VB

Dim isPathEditable As Boolean = tree.IsPathEditable("/level_1-1/level_2-1/level_3-4")


IsRowSelected メソッド (JTable)

クラス

JTable.

処理

指定した行が選択されている場合に true を返します。

構文

C#
rowSelected = table.IsRowSelected(row)
VB
rowSelected = table.IsRowSelected(row)
変数 | 説明
rowSelected | 行が選択されている場合に true、それ以外は false。 Boolean。
row | 行のインデックス。 The value is zero-based.。 Integer。

例

VB

Dim isRowSelected As Boolean = table.IsRowSelected(1)


IsRowVisible メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定した行が表示されているかどうかを返します。

構文

C#
rowVisible = oracleFormsListView.IsRowVisible(index)
VB
rowVisible = oracleFormsListView.IsRowVisible(index)
変数 | 説明
rowVisible | Boolean。
index | 行のインデックス。 The value is zero-based.。 Integer。


IsTabEnabled メソッド (JTabbedPane)

クラス

JTabbedPane.

処理

タブが現在有効かどうかを返します。

構文

C#
tabEnabled = tabbedPane.IsTabEnabled(tab)
VB
tabEnabled = tabbedPane.IsTabEnabled(tab)
変数 | 説明
tabEnabled | タブが有効な場合に true、それ以外は false。 Boolean。
tab | タブの名前またはインデックス。 ItemIdentifier。

例

VB

Dim isTabEnabled As Boolean = tabbedPane.IsTabEnabled("Alignment")
isTabEnabled = tabbedPane.IsTabEnabled(1)


IsTabEnabled メソッド (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

タブが現在有効かどうかを返します。

構文

C#
tabEnabled = oracleFormsTabBar.IsTabEnabled(tab)
VB
tabEnabled = oracleFormsTabBar.IsTabEnabled(tab)
変数 | 説明
tabEnabled | タブが有効な場合に true、それ以外は false。 Boolean。
tab | タブの名前またはインデックス。 ItemIdentifier。


IsVisible メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスが表示されている場合に 'true' を返します。

構文

C#
visible = oracleFormsTree.IsVisible(item)
VB
visible = oracleFormsTree.IsVisible(item)
変数 | 説明
visible | 指定した項目パスが表示されている場合に true、それ以外は false。 Boolean。
item | 項目パス。 ItemPath。


ItemCount プロパティ (AWTChoice)

クラス

AWTChoice.

処理

[読み取り専用] コンボ ボックスの項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。

例

VB

Dim itemCount As Integer = colorsChoice.ItemCount


ItemCount プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] リスト項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。

例

VB

Dim itemCount As Integer = colorsList.ItemCount


ItemCount プロパティ (JComboBox)

クラス

JComboBox.

処理

[読み取り専用] リスト項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。

例

VB

Dim itemCount As Integer = colorsComboBox.ItemCount


ItemCount プロパティ (JList)

クラス

JList.

処理

[読み取り専用] リスト項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。

例

VB

Dim itemCount As Integer = colorsList.ItemCount


ItemCount プロパティ (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

[読み取り専用] 選択肢の項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


Items プロパティ (AWTChoice)

クラス

AWTChoice.

処理

[読み取り専用] コンボ ボックス項目のリスト。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

VB

Dim items As IList = colorsChoice.Items


Items プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] リスト項目のリスト。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

VB

Dim items As IList = colorsList.Items


Items プロパティ (JComboBox)

クラス

JComboBox.

処理

[読み取り専用] すべての含まれる項目のリスト。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

VB

Dim items As IList = colorsComboBox.Items


Items プロパティ (JList)

クラス

JList.

処理

[読み取り専用] すべての含まれるリスト項目のリスト。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

VB

Dim items As IList = colorsList.Items


Items プロパティ (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

[読み取り専用] 選択肢項目のリスト。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


LogicalStyle プロパティ (JTextPane)

クラス

JTextPane.

処理

[読み取り専用] キャレットの位置で有効になっている現在の段落に割り当てられている論理書式。

構文

C#
protected String LogicalStyle { get; }
VB
'Declaration
Protected Read Property LogicalStyle As String

アクセス

読み取り専用。

例

VB

Dim logicalStyle As String = textPane.LogicalStyle


MaximumDividerLocation プロパティ (JSplitPane)

クラス

JSplitPane.

処理

[読み取り専用] 分割線の最大位置。

構文

C#
protected Integer MaximumDividerLocation { get; }
VB
'Declaration
Protected Read Property MaximumDividerLocation As Integer

アクセス

読み取り専用。

例

VB

Dim maximumDividerLocation As Integer = splitPane.MaximumDividerLocation


Maximum プロパティ (JProgressBar)

クラス

JProgressBar.

処理

[読み取り専用] 進行状況バーの最大値。

構文

C#
protected Integer Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Integer

アクセス

読み取り専用。

例

VB

Dim maximum As Integer = progressBar.Maximum


Maximum プロパティ (JSlider)

クラス

JSlider.

処理

[読み取り専用] スライダーによってサポートされる最大値。

構文

C#
protected Integer Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Integer

アクセス

読み取り専用。

例

VB

Dim maximum As Integer = verticalSlider.Maximum


MinimumDividerLocation プロパティ (JSplitPane)

クラス

JSplitPane.

処理

[読み取り専用] 分割線の最小位置。

構文

C#
protected Integer MinimumDividerLocation { get; }
VB
'Declaration
Protected Read Property MinimumDividerLocation As Integer

アクセス

読み取り専用。

例

VB

Dim minimumDividerLocation As Integer = splitPane.MinimumDividerLocation


Minimum プロパティ (JProgressBar)

クラス

JProgressBar.

処理

[読み取り専用] 進行状況バーの最小値。

構文

C#
protected Integer Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Integer

アクセス

読み取り専用。

例

VB

Dim minimum As Integer = progressBar.Minimum


Minimum プロパティ (JSlider)

クラス

JSlider.

処理

[読み取り専用] スライダーによってサポートされる最小値。

構文

C#
protected Integer Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Integer

アクセス

読み取り専用。

例

VB

Dim minimum As Integer = verticalSlider.Minimum


Modal プロパティ (AWTDialog)

クラス

AWTDialog.

処理

[読み取り専用] ダイアログがモーダルかどうか。

構文

C#
protected Boolean Modal { get; }
VB
'Declaration
Protected Read Property Modal As Boolean

アクセス

読み取り専用。

例

VB

Dim isModal As Boolean = optionsDialog.Modal


MoveColumn メソッド (JTable)

クラス

JTable.

処理

ターゲット列の位置に列を移動します。

構文

C#
table.MoveColumn(column, targetColumn)
VB
table.MoveColumn(column, targetColumn)
変数 | 説明
column | 移動する列の名前またはインデックス。 ItemIdentifier。
targetColumn | ターゲット列の名前またはインデックス。 ItemIdentifier。

例

VB

table.MoveColumn(5, 3)


MultipleMode プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] リストが複数選択を許可するかどうか。

構文

C#
protected Boolean MultipleMode { get; }
VB
'Declaration
Protected Read Property MultipleMode As Boolean

アクセス

読み取り専用。

例

VB

Dim isMultipleMode As Boolean = colorsList.MultipleMode


Name プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] コンポーネントの名前。

構文

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

アクセス

読み取り専用。

例

VB

Dim name As String = component.Name


Next メソッド (JSpinner)

クラス

JSpinner.

処理

Value プロパティによって返されるオブジェクトの次にくるシーケンス内のオブジェクトにスピナーを設定します。

構文

C#
spinner.Next()
VB
spinner.Next()

例

VB

monthSpinner.Next()


OpenContextMenu メソッド (AWTComponent)

クラス

AWTComponent.

処理

指定した位置でコンテキスト メニューを開きます。

構文

C#
component.OpenContextMenu([pos])
VB
component.OpenContextMenu([pos])
変数 | 説明
pos | 省略可能: コンテキスト メニューを開くために、関数を呼び出すコントロールに相対の座標。 Point。


Page メソッド (IAWTScroller)

クラス

IAWTScroller.

処理

指定したページ数を現在のスクロール位置に加算します。

構文

C#
iAWTScroller.Page(pageCount)
VB
iAWTScroller.Page(pageCount)
変数 | 説明
pageCount | 加算するページ数。 Integer。

例

VB

scrollBar.Page(1)


Page プロパティ (JEditorPane)

クラス

JEditorPane.

処理

[読み取り専用] 表示されている現在の URL。

構文

C#
protected String Page { get; }
VB
'Declaration
Protected Read Property Page As String

アクセス

読み取り専用。

例

VB

Dim page As String = editorPane.Page


PageSize プロパティ (IAWTScroller)

クラス

IAWTScroller.

処理

[読み取り専用] スクロール バーのブロック増分値。

構文

C#
protected Integer PageSize { get; }
VB
'Declaration
Protected Read Property PageSize As Integer

アクセス

読み取り専用。

例

VB

Dim pageSize As Integer = scrollBar.PageSize


ParagraphAttributes プロパティ (JTextPane)

クラス

JTextPane.

処理

[読み取り専用] キャレットの位置で有効になっている現在の段落の属性。

構文

C#
protected List(Of String) ParagraphAttributes { get; }
VB
'Declaration
Protected Read Property ParagraphAttributes As List(Of String)

アクセス

読み取り専用。

例

VB

Dim paragraphAttributes As IList = TextPane.ParagraphAttributes


PasswordChar プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドの場合に、実際に入力された文字の代わりに表示する文字。

構文

C#
protected String PasswordChar { get; }
VB
'Declaration
Protected Read Property PasswordChar As String

アクセス

読み取り専用。


Position プロパティ (IAWTScroller)

クラス

IAWTScroller.

処理

[読み取り専用] スクロール バーの現在の位置。

構文

C#
protected Integer Position { get; }
VB
'Declaration
Protected Read Property Position As Integer

アクセス

読み取り専用。

例

VB

Dim position As Integer = scrollBar.Position


Position プロパティ (IBaseScrollable)

クラス

IBaseScrollable.

処理

[読み取り専用] スクロール可能コンポーネントの現在のスクロール位置。

構文

C#
protected Point Position { get; }
VB
'Declaration
Protected Read Property Position As Point

アクセス

読み取り専用。


Position プロパティ (JSlider)

クラス

JSlider.

処理

[読み取り専用] スライダーの位置。

構文

C#
protected Integer Position { get; }
VB
'Declaration
Protected Read Property Position As Integer

アクセス

読み取り専用。

例

VB

Dim position As Integer = verticalSlider.Position


Previous メソッド (JSpinner)

クラス

JSpinner.

処理

Value プロパティによって返されるオブジェクトの前にあるシーケンス内のオブジェクトにスピナーを設定します。

構文

C#
spinner.Previous()
VB
spinner.Previous()

例

VB

monthSpinner.Previous()


ProgressString プロパティ (JProgressBar)

クラス

JProgressBar.

処理

[読み取り専用] 現在の進行状況の文字列表現。

構文

C#
protected String ProgressString { get; }
VB
'Declaration
Protected Read Property ProgressString As String

アクセス

読み取り専用。

例

VB

Dim progress As String = progressBar.ProgressString


Range プロパティ (IAWTScroller)

クラス

IAWTScroller.

処理

[読み取り専用] スクロール バーの範囲値。

構文

C#
protected Range Range { get; }
VB
'Declaration
Protected Read Property Range As Range

アクセス

読み取り専用。

例

VB

Dim range As Integer = scrollBar.Range


ReplaceRange メソッド (AWTTextArea)

クラス

AWTTextArea.

処理

指定した開始位置と終了位置の間にあるテキストを、指定した置換テキストで置き換えます。

構文

C#
textArea.ReplaceRange(text, start, end)
VB
textArea.ReplaceRange(text, start, end)
変数 | 説明
text | 置換するのに使用するテキスト。 String。
start | 開始位置。 The value is zero-based.。 Integer。
end | 終了位置。 The value is zero-based.。 Integer。

例

VB

colorsTextArea.ReplaceRange("blue", 31, 37)


ReplaceRange メソッド (JTextArea)

クラス

JTextArea.

処理

指定した範囲内のテキストを指定した新しいテキストで置き換えます。

構文

C#
textArea.ReplaceRange(text, start, end)
VB
textArea.ReplaceRange(text, start, end)
変数 | 説明
text | 置換するのに使用するテキスト。 String。
start | 開始位置。 The value is zero-based.。 Integer。
end | 終了位置。 The value is zero-based.。 Integer。

例

VB

textArea.ReplaceRange("yellow", 5, 9)


Resizable プロパティ (AWTDialog)

クラス

AWTDialog.

処理

[読み取り専用] ユーザーがダイアログのサイズを変更できるかどうか。

構文

C#
protected Boolean Resizable { get; }
VB
'Declaration
Protected Read Property Resizable As Boolean

アクセス

読み取り専用。

例

VB

Dim isResizable As Boolean = optionsDialog.Resizable


Resizable プロパティ (AWTFrame)

クラス

AWTFrame.

処理

[読み取り専用] ユーザーがフレームのサイズを変更できるかどうか。

構文

C#
protected Boolean Resizable { get; }
VB
'Declaration
Protected Read Property Resizable As Boolean

アクセス

読み取り専用。

例

VB

Dim isResizable As Boolean = frameWindow.Resizable


ResizeColumn メソッド (JTable)

クラス

JTable.

処理

指定した列のサイズを変更します。

構文

C#
table.ResizeColumn(column, width)
VB
table.ResizeColumn(column, width)
変数 | 説明
column | サイズを変更する列の名前またはインデックス。 ItemIdentifier。
width | 列の新しい幅。 Integer。

例

VB

table.ResizeColumn("Street", 150)
table.ResizeColumn(3, 150)


RowCount プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] テーブルに表示することのできる行の数。

構文

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。

例

VB

Dim rowCount As Integer = table.RowCount


RowCount プロパティ (OracleFormsListView)

クラス

OracleFormsListView.

処理

[読み取り専用] リストビューの行の数。

構文

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


Rows プロパティ (AWTTextArea)

クラス

AWTTextArea.

処理

[読み取り専用] テキスト領域の行の数。 The value is zero-based.。

構文

C#
protected Integer Rows { get; }
VB
'Declaration
Protected Read Property Rows As Integer

アクセス

読み取り専用。

例

VB

Dim rows As Integer = colorsTextArea.Rows


Rows プロパティ (JTextArea)

クラス

JTextArea.

処理

[読み取り専用] テキスト領域の行の数。 The value is zero-based.。

構文

C#
protected Integer Rows { get; }
VB
'Declaration
Protected Read Property Rows As Integer

アクセス

読み取り専用。

例

VB

Dim rows As Integer = textArea.Rows


ScrollCellIntoView メソッド (JTable)

クラス

JTable.

処理

指定したセルをビューにスクロールします。

構文

C#
table.ScrollCellIntoView(row, column)
VB
table.ScrollCellIntoView(row, column)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。

例

VB

table.ScrollCellIntoView(25, "Street")
table.ScrollCellIntoView(25, 4)


ScrollIntoView メソッド (AWTComponent)

クラス

AWTComponent.

処理

コンポーネントが非表示でスクロール ペインの子である場合に、ビューにスクロールします。

構文

C#
component.ScrollIntoView()
VB
component.ScrollIntoView()

例

VB

component.ScrollIntoView()


ScrollItemIntoView メソッド (JList)

クラス

JList.

処理

項目をビューにスクロールします。

構文

C#
list.ScrollItemIntoView(item)
VB
list.ScrollItemIntoView(item)
変数 | 説明
item | ビューにスクロールする項目の名前またはインデックス。 ItemIdentifier。

例

VB

colorsList.ScrollItemIntoView("orange")
colorsList.ScrollItemIntoView(10)


ScrollItemIntoView メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスを表示できる位置にスクロールします。

構文

C#
oracleFormsTree.ScrollItemIntoView(item)
VB
oracleFormsTree.ScrollItemIntoView(item)
変数 | 説明
item | 項目パス。 ItemPath。


ScrollPathIntoView メソッド (JTree)

クラス

JTree.

処理

指定した項目パスを表示できる位置にスクロールします。

構文

C#
tree.ScrollPathIntoView(item)
VB
tree.ScrollPathIntoView(item)
変数 | 説明
item | 項目パス。 ItemPath。

例

VB

tree.ScrollPathIntoView("/level_1-1/level_2-1/level_3-4")


ScrollToMax メソッド (IOracleFormsScroller)

クラス

IOracleFormsScroller.

処理

スクロール バーの最大の位置にスクロールします。

構文

C#
iOracleFormsScroller.ScrollToMax()
VB
iOracleFormsScroller.ScrollToMax()


ScrollTo メソッド (IAWTScroller)

クラス

IAWTScroller.

処理

指定した位置にスクロールします。

構文

C#
iAWTScroller.ScrollTo(position)
VB
iAWTScroller.ScrollTo(position)
変数 | 説明
position | スクロールする位置。 Integer。

例

VB

scrollBar.ScrollTo(2)


ScrollTo メソッド (IBaseScrollable)

クラス

IBaseScrollable.

処理

指定した位置にスクロールします。

構文

C#
iBaseScrollable.ScrollTo(position)
VB
iBaseScrollable.ScrollTo(position)
変数 | 説明
position | スクロールする位置。 Point。


ScrollToMin メソッド (IOracleFormsScroller)

クラス

IOracleFormsScroller.

処理

スクロール バーの最小の位置にスクロールします。

構文

C#
iOracleFormsScroller.ScrollToMin()
VB
iOracleFormsScroller.ScrollToMin()


ScrollToRow メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定した行にスクロールします。

構文

C#
oracleFormsListView.ScrollToRow(index)
VB
oracleFormsListView.ScrollToRow(index)
変数 | 説明
index | スクロールする行。 The value is zero-based.。 Integer。


SelectAll メソッド (AWTList)

クラス

AWTList.

処理

リスト内のすべての項目を選択します。

構文

C#
list.SelectAll()
VB
list.SelectAll()

例

VB

colorsList.SelectAll()


SelectAll メソッド (AWTTextComponent)

クラス

AWTTextComponent.

処理

テキスト コンポーネント内のすべてのテキストを選択します。

構文

C#
textComponent.SelectAll()
VB
textComponent.SelectAll()

例

VB

textComponent.SelectAll()


SelectAll メソッド (JList)

クラス

JList.

処理

すべてのリスト要素を選択します。

構文

C#
list.SelectAll()
VB
list.SelectAll()

例

VB

colorsList.SelectAll()


SelectAll メソッド (JTable)

クラス

JTable.

処理

テーブル内のすべての行、列、およびセルを選択します。

構文

C#
table.SelectAll()
VB
table.SelectAll()

例

VB

table.SelectAll()


SelectAll メソッド (JTextComponent)

クラス

JTextComponent.

処理

テキスト コンポーネント内のすべてのコンテンツを選択します。

構文

C#
textComponent.SelectAll()
VB
textComponent.SelectAll()

例

VB

textComponent.SelectAll()


SelectAll メソッド (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

テキスト フィールド内のすべてのテキストを選択します。

構文

C#
oracleFormsTextField.SelectAll()
VB
oracleFormsTextField.SelectAll()


SelectColumn メソッド (JTable)

クラス

JTable.

処理

指定した列を選択します。

構文

C#
table.SelectColumn(column, [clearSelection])
VB
table.SelectColumn(column, [clearSelection])
変数 | 説明
column | 選択する列の名前またはインデックス。 ItemIdentifier。
clearSelection | 省略可能: 前の選択をクリアするかどうか。 デフォルト値は true です。 Boolean。

例

VB

table.SelectColumn("Street", False)
table.SelectColumn(5, False)


SelectedColumn プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] 選択した列のインデックスまたは名前。 列が選択されていない場合には -1（4Test の場合は 0）が返されます。

複数列の選択が許可されている場合には、1 番目の選択された列のインデックスまたは名前が返されます。

構文

C#
protected ItemIdentifier SelectedColumn { get; }
VB
'Declaration
Protected Read Property SelectedColumn As ItemIdentifier

アクセス

読み取り専用。

例

VB

Dim selectedColumn As String = table.SelectedColumn


SelectedColumns プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] すべての選択されている列のインデックスのリスト。

構文

C#
protected List(Of ItemIdentifier) SelectedColumns { get; }
VB
'Declaration
Protected Read Property SelectedColumns As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

VB

Dim selectedColumns As IList = table.SelectedColumns


SelectedIndex プロパティ (AWTChoice)

クラス

AWTChoice.

処理

[読み取り専用] 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。

例

VB

Dim selectedIndex As Integer = colorsChoice.SelectedIndex


SelectedIndex プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] 現在選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。

例

VB

Dim selectedIndex As Integer = colorsList.SelectedIndex


SelectedIndex プロパティ (JComboBox)

クラス

JComboBox.

処理

[読み取り専用] 現在選択されている項目のインデックス。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。

例

VB

Dim selectedIndex As Integer = colorsComboBox.SelectedIndex


SelectedIndex プロパティ (JList)

クラス

JList.

処理

[読み取り専用] 選択されたリスト項目のインデックス。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。

例

VB

Dim selectedIndex As Integer = colorsList.SelectedIndex


SelectedIndex プロパティ (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

[読み取り専用] 選択されている項目のインデックス。 項目が現在選択されていない場合には -1（4Test の場合は 0）を返します。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedIndices プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] 現在選択されている項目のインデックス。 項目が現在選択されていない場合は、空のリストが返されます。

構文

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

アクセス

読み取り専用。

例

VB

Dim selectedIndices As IList = colorsList.SelectedIndices


SelectedIndices プロパティ (JList)

クラス

JList.

処理

[読み取り専用] 選択されたリスト項目のインデックスのリスト。

構文

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

アクセス

読み取り専用。

例

VB

Dim selectedIndices As IList = colorsList.SelectedIndices


SelectedItemPath プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] 選択された項目パス。

構文

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

アクセス

読み取り専用。

例

VB

Dim selectedItemPath As String = tree.SelectedItemPath


SelectedItemPath プロパティ (OracleFormsTree)

クラス

OracleFormsTree.

処理

[読み取り専用] 選択された項目パスのリスト。

構文

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

アクセス

読み取り専用。


SelectedItemPaths プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] 選択された項目パスのリスト。

構文

C#
protected List(Of ItemPath) SelectedItemPaths { get; }
VB
'Declaration
Protected Read Property SelectedItemPaths As List(Of ItemPath)

アクセス

読み取り専用。

例

VB

Dim selectedItemPaths As IList = tree.SelectedItemPaths


SelectedItem プロパティ (AWTChoice)

クラス

AWTChoice.

処理

[読み取り専用] 選択されている項目。 項目が現在選択されていない場合には、NULL が返されます。

構文

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

アクセス

読み取り専用。

例

VB

Dim selectedItem As String = colorsChoice.SelectedItem


SelectedItem プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] 現在選択されているリスト項目。 項目が現在選択されていない場合には、NULL が返されます。

構文

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

アクセス

読み取り専用。

例

VB

Dim selectedItem As String = colorsList.SelectedItem


SelectedItem プロパティ (JComboBox)

クラス

JComboBox.

処理

[読み取り専用] 現在選択されている項目。

構文

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

アクセス

読み取り専用。

例

VB

Dim selectedItem As String = colorsComboBox.SelectedItem


SelectedItem プロパティ (JList)

クラス

JList.

処理

[読み取り専用] 選択したリスト項目の名前またはインデックス。

構文

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

アクセス

読み取り専用。

例

VB

Dim selectedItem As String = colorsList.SelectedItem


SelectedItem プロパティ (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

[読み取り専用] 選択されている項目。

構文

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

アクセス

読み取り専用。


SelectedItems プロパティ (AWTList)

クラス

AWTList.

処理

[読み取り専用] 現在選択されているリスト項目（複数）。 項目が現在選択されていない場合は、空のリストが返されます。

構文

C#
protected List(Of ItemIdentifier) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

VB

Dim selectedItems As IList = colorsList.SelectedItems


SelectedItems プロパティ (JList)

クラス

JList.

処理

[読み取り専用] 選択されたリスト項目の名前またはインデックスのリスト。

構文

C#
protected List(Of ItemIdentifier) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

アクセス

読み取り専用。

例

VB

Dim selectedItems As IList = colorsList.SelectedItems


SelectedItemText プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] 選択された項目のテキスト。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。

例

VB

Dim selectedItemText As String = tree.SelectedItemText


SelectedItemText プロパティ (OracleFormsTree)

クラス

OracleFormsTree.

処理

[読み取り専用] 選択された項目のテキスト。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


Selected プロパティ (JToggleButton)

クラス

JToggleButton.

処理

[読み取り専用] トグル ボタンが選択されているかどうか。

構文

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

アクセス

読み取り専用。

例

VB

Dim isSelected As Boolean = toggleButton.Selected


SelectedRow プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] 選択した行のインデックス。行が選択されていない場合は -1（4Test の場合は 0）が返されます。 The value is zero-based.。

複数行の選択が許可されている場合には、1 番目の選択された行のインデックスが返されます。

構文

C#
protected Integer SelectedRow { get; }
VB
'Declaration
Protected Read Property SelectedRow As Integer

アクセス

読み取り専用。

例

VB

Dim selectedRow As Integer = table.SelectedRow


SelectedRow プロパティ (OracleFormsListView)

クラス

OracleFormsListView.

処理

[読み取り専用] 選択した行のインデックス。行が選択されていない場合は -1（4Test の場合は 0）が返されます。 The value is zero-based.。

構文

C#
protected Integer SelectedRow { get; }
VB
'Declaration
Protected Read Property SelectedRow As Integer

アクセス

読み取り専用。


SelectedRows プロパティ (JTable)

クラス

JTable.

処理

[読み取り専用] すべての選択されている行のインデックスのリスト。

構文

C#
protected List(Of Integer) SelectedRows { get; }
VB
'Declaration
Protected Read Property SelectedRows As List(Of Integer)

アクセス

読み取り専用。

例

VB

Dim selectedRows As IList = table.SelectedRows


SelectedTabIndex プロパティ (JTabbedPane)

クラス

JTabbedPane.

処理

[読み取り専用] 現在選択されているタブのインデックス。タブが選択されていない場合は -1（4Test の場合は 0）。 The value is zero-based.。

構文

C#
protected Integer SelectedTabIndex { get; }
VB
'Declaration
Protected Read Property SelectedTabIndex As Integer

アクセス

読み取り専用。


SelectedTab プロパティ (JTabbedPane)

クラス

JTabbedPane.

処理

[読み取り専用] 現在選択されているタブ。

構文

C#
protected ItemIdentifier SelectedTab { get; }
VB
'Declaration
Protected Read Property SelectedTab As ItemIdentifier

アクセス

読み取り専用。

例

VB

Dim selectedTab As String = tabbedPane.SelectedTab
selectedTab = tabbedPane.SelectedTab


SelectedTab プロパティ (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

[読み取り専用] 現在選択されているタブ。

構文

C#
protected ItemIdentifier SelectedTab { get; }
VB
'Declaration
Protected Read Property SelectedTab As ItemIdentifier

アクセス

読み取り専用。


SelectedText プロパティ (AWTTextComponent)

クラス

AWTTextComponent.

処理

[読み取り専用] 現在選択されているテキスト。

構文

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。

例

VB

Dim selectedText As String = textComponent.SelectedText


SelectedText プロパティ (JTextComponent)

クラス

JTextComponent.

処理

[読み取り専用] 現在選択されているテキスト。

構文

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。

例

VB

Dim selectedText As String = textComponent.SelectedText


SelectedText プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] 現在選択されているテキスト。

構文

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


SelectionCount プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] 選択されたツリー ノードの数。

構文

C#
protected Integer SelectionCount { get; }
VB
'Declaration
Protected Read Property SelectionCount As Integer

アクセス

読み取り専用。

例

VB

Dim selectionCount As Integer = tree.SelectionCount


SelectionEnd プロパティ (AWTTextComponent)

クラス

AWTTextComponent.

処理

[読み取り専用] 選択されたテキストの終了位置。 The value is zero-based.。

構文

C#
protected Integer SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Integer

アクセス

読み取り専用。

例

VB

Dim selectionEnd As Integer = textComponent.SelectionEnd


SelectionEnd プロパティ (JTextComponent)

クラス

JTextComponent.

処理

[読み取り専用] 選択範囲の終了位置。 The value is zero-based.。

構文

C#
protected Integer SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Integer

アクセス

読み取り専用。

例

VB

Dim selectionEnd As Integer = textComponent.SelectionEnd


SelectionEnd プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] 選択されたテキストの終了位置。 The value is zero-based.。

構文

C#
protected Integer SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Integer

アクセス

読み取り専用。


SelectionStart プロパティ (AWTTextComponent)

クラス

AWTTextComponent.

処理

[読み取り専用] 選択されたテキストの開始位置。 The value is zero-based.。

構文

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

アクセス

読み取り専用。

例

VB

Dim selectionStart As Integer = textComponent.SelectionStart


SelectionStart プロパティ (JTextComponent)

クラス

JTextComponent.

処理

[読み取り専用] 選択範囲の開始位置。 The value is zero-based.。

構文

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

アクセス

読み取り専用。

例

VB

Dim selectionStart As Integer = textComponent.SelectionStart


SelectionStart プロパティ (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

[読み取り専用] 選択されたテキストの開始位置。 The value is zero-based.。

構文

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

アクセス

読み取り専用。


Select メソッド (AbstractButton)

クラス

AbstractButton.

処理

ボタンを選択します。

構文

C#
abstractButton.Select()
VB
abstractButton.Select()


Select メソッド (AWTButton)

クラス

AWTButton.

処理

ボタンを選択します。

構文

C#
button.Select()
VB
button.Select()

例

VB

okButton.Select()


Select メソッド (AWTChoice)

クラス

AWTChoice.

処理

コンボ ボックスで指定した項目を選択します。

構文

C#
choice.Select(item)
VB
choice.Select(item)
変数 | 説明
item | 選択する項目の名前またはインデックス。 ItemIdentifier。

例

VB

colorsChoice.Select("yellow")
colorsChoice.Select(1)


Select メソッド (AWTList)

クラス

AWTList.

処理

指定した項目を選択します。

構文

C#
list.Select(item)
VB
list.Select(item)
変数 | 説明
item | 選択する項目の名前またはインデックス。 ItemIdentifier。

例

VB

colorsList.Select("red")
colorsList.Select(1)


Select メソッド (AWTMenuItem)

クラス

AWTMenuItem.

処理

メニュー項目を選択します。

構文

C#
menuItem.Select()
VB
menuItem.Select()

例

VB

openFileMenuItem.Select()


Select メソッド (JComboBox)

クラス

JComboBox.

処理

指定した項目を選択します。

構文

C#
comboBox.Select(item)
VB
comboBox.Select(item)
変数 | 説明
item | 選択する項目の名前またはインデックス。 ItemIdentifier。

例

VB

colorsComboBox.Select("red")
colorsComboBox.Select(1)


Select メソッド (JList)

クラス

JList.

処理

リスト項目を選択します。

構文

C#
list.Select(item)
VB
list.Select(item)
変数 | 説明
item | リスト項目の名前またはインデックス。 ItemIdentifier。

例

VB

colorsList.Select("orange")
colorsList.Select(10)


Select メソッド (JTabbedPane)

クラス

JTabbedPane.

処理

指定したタブを選択します。

構文

C#
tabbedPane.Select(tab)
VB
tabbedPane.Select(tab)
変数 | 説明
tab | 選択するタブの名前またはインデックス。 ItemIdentifier。

例

VB

tabbedPane.Select("Alignment")
tabbedPane.Select(1)


Select メソッド (JTree)

クラス

JTree.

処理

指定した項目パスによって識別されるツリー ノードを選択します。

構文

C#
tree.Select(item)
VB
tree.Select(item)
変数 | 説明
item | 項目パス。 ItemPath。

例

VB

tree.Select("/level_1-1/level_2-1/level_3-4")


Select メソッド (OracleFormsButton)

クラス

OracleFormsButton.

処理

ボタンを選択します。

構文

C#
oracleFormsButton.Select()
VB
oracleFormsButton.Select()


Select メソッド (OracleFormsChoice)

クラス

OracleFormsChoice.

処理

選択肢で指定した項目を選択します。

構文

C#
oracleFormsChoice.Select(item)
VB
oracleFormsChoice.Select(item)
変数 | 説明
item | 選択する項目の名前またはインデックス。 ItemIdentifier。


Select メソッド (OracleFormsMenu)

クラス

OracleFormsMenu.

処理

メニュー項目を選択します。

構文

C#
oracleFormsMenu.Select(item)
VB
oracleFormsMenu.Select(item)
変数 | 説明
item | 選択するメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目を選択する場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。


Select メソッド (OracleFormsMenuItem)

クラス

OracleFormsMenuItem.

処理

メニュー項目を選択します。

構文

C#
oracleFormsMenuItem.Select()
VB
oracleFormsMenuItem.Select()


Select メソッド (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

指定したタブを選択します。

構文

C#
oracleFormsTabBar.Select(tab)
VB
oracleFormsTabBar.Select(tab)
変数 | 説明
tab | 選択するタブの名前またはインデックス。 ItemIdentifier。


Select メソッド (OracleFormsTabBarItem)

クラス

OracleFormsTabBarItem.

処理

タブを選択します。

構文

C#
oracleFormsTabBarItem.Select()
VB
oracleFormsTabBarItem.Select()


Select メソッド (OracleFormsToolBarItem)

クラス

OracleFormsToolBarItem.

処理

要素を選択します。

構文

C#
oracleFormsToolBarItem.Select()
VB
oracleFormsToolBarItem.Select()


Select メソッド (OracleFormsTree)

クラス

OracleFormsTree.

処理

指定した項目パスによって識別されるツリー ノードを選択します。

構文

C#
oracleFormsTree.Select(item)
VB
oracleFormsTree.Select(item)
変数 | 説明
item | 項目パス。 ItemPath。


SelectRange メソッド (AWTList)

クラス

AWTList.

処理

指定した範囲のすべての項目を選択します。

構文

C#
list.SelectRange(fromElement, toElement)
VB
list.SelectRange(fromElement, toElement)
変数 | 説明
fromElement | 選択する最初の要素。 ItemIdentifier。
toElement | 選択する最後の要素。 ItemIdentifier。

例

VB

colorsList.SelectRange(3, 5)


SelectRange メソッド (JList)

クラス

JList.

処理

リスト要素の指定した範囲を選択します。

構文

C#
list.SelectRange(fromElement, toElement)
VB
list.SelectRange(fromElement, toElement)
変数 | 説明
fromElement | 開始要素の名前またはインデックス。 ItemIdentifier。
toElement | 終了要素の名前またはインデックス。 ItemIdentifier。

例

VB

colorsList.SelectRange("red", "green")
colorsList.SelectRange(1, 2)


SelectRow メソッド (JTable)

クラス

JTable.

処理

指定した行を選択します。

構文

C#
table.SelectRow(row, [clearSelection])
VB
table.SelectRow(row, [clearSelection])
変数 | 説明
row | 選択する行。 The value is zero-based.。 Integer。
clearSelection | 省略可能: 前の選択をクリアするかどうか。 デフォルト値は true です。 Boolean。

例

VB

table.SelectRow(1, False)


SelectRow メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定した行を選択します。

構文

C#
oracleFormsListView.SelectRow(index)
VB
oracleFormsListView.SelectRow(index)
変数 | 説明
index | 選択する行。 The value is zero-based.。 Integer。


SetCaretPosition メソッド (AWTTextComponent)

クラス

AWTTextComponent.

処理

テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。

構文

C#
textComponent.SetCaretPosition(index)
VB
textComponent.SetCaretPosition(index)
変数 | 説明
index | テキスト挿入キャレットの新しい位置。 The value is zero-based.。 Integer。

例

VB

textComponent.SetCaretPosition(7)


SetCaretPosition メソッド (JTextComponent)

クラス

JTextComponent.

処理

テキスト コンポーネントのテキスト挿入キャレットの位置を設定します。

構文

C#
textComponent.SetCaretPosition(index)
VB
textComponent.SetCaretPosition(index)
変数 | 説明
index | テキスト キャレットの位置。 The value is zero-based.。 Integer。

例

VB

textComponent.SetCaretPosition(15)


SetCaretPosition メソッド (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

テキスト フィールドのテキスト挿入キャレットの位置を設定します。

構文

C#
oracleFormsTextField.SetCaretPosition(index)
VB
oracleFormsTextField.SetCaretPosition(index)
変数 | 説明
index | テキスト挿入キャレットの新しい位置。 The value is zero-based.。 Integer。


SetCellValue メソッド (JTable)

クラス

JTable.

処理

テーブル内の指定したセルに指定した値を設定します。

構文

C#
table.SetCellValue(row, column, value)
VB
table.SetCellValue(row, column, value)
変数 | 説明
row | 行のインデックス。 The value is zero-based.。 Integer。
column | 列の名前またはインデックス。 ItemIdentifier。
value | セルの値オブジェクト。 Object。

例

VB

table.SetCellValue(1, "Product Name", "SilkTest")
table.SetCellValue(1, 4, "SilkTest")


SetColor メソッド (JColorChooser)

クラス

JColorChooser.

処理

カラーチューザの現在の色を指定した色に設定します。

構文

C#
colorChooser.SetColor(color)
VB
colorChooser.SetColor(color)
変数 | 説明
color | 設定する色。 Color。

例

VB

Dim colorRed As SilkTest.Ntf.Color = New SilkTest.Ntf.Color(255, 0, 0, 0)
ColorChooser.SetColor(colorRed)


SetColumnWidth メソッド (OracleFormsListView)

クラス

OracleFormsListView.

処理

指定した列の幅を設定します。

構文

C#
oracleFormsListView.SetColumnWidth(column, width)
VB
oracleFormsListView.SetColumnWidth(column, width)
変数 | 説明
column | サイズを変更する列の名前またはインデックス。 ItemIdentifier。
width | 列の新しい幅。 Integer。


SetPosition メソッド (JSlider)

クラス

JSlider.

処理

スライダーの現在の位置を設定します。

構文

C#
slider.SetPosition(position)
VB
slider.SetPosition(position)
変数 | 説明
position | スライダー位置の現在の値。 Integer。

例

VB

verticalSlider.SetPosition(10)


SetPosition メソッド (JSplitPane)

クラス

JSplitPane.

処理

分割線の位置を設定します。

構文

C#
splitPane.SetPosition(position)
VB
splitPane.SetPosition(position)
変数 | 説明
position | 分割線の新しい位置。 Integer。

例

VB

splitPane.SetPosition(100)


SetSelectionRange メソッド (AWTTextComponent)

クラス

AWTTextComponent.

処理

指定した範囲のテキストを選択します。

構文

C#
textComponent.SetSelectionRange(selectionStart, selectionEnd)
VB
textComponent.SetSelectionRange(selectionStart, selectionEnd)
変数 | 説明
selectionStart | 選択範囲の開始位置。 The value is zero-based.。 Integer。
selectionEnd | 選択範囲の終了位置。 The value is zero-based.。 Integer。

例

VB

textComponent.SetSelectionRange(11, 15)


SetSelectionRange メソッド (JTextComponent)

クラス

JTextComponent.

処理

指定した範囲のテキストを選択します。

構文

C#
textComponent.SetSelectionRange(selectionStart, selectionEnd)
VB
textComponent.SetSelectionRange(selectionStart, selectionEnd)
変数 | 説明
selectionStart | 選択範囲の開始インデックス。 The value is zero-based.。 Integer。
selectionEnd | 選択範囲の終了インデックス。 The value is zero-based.。 Integer。

例

VB

textComponent.SetSelectionRange(8, 13)


SetSelectionRange メソッド (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

指定した範囲のテキストを選択します。

構文

C#
oracleFormsTextField.SetSelectionRange(selectionStart, selectionEnd)
VB
oracleFormsTextField.SetSelectionRange(selectionStart, selectionEnd)
変数 | 説明
selectionStart | 選択範囲の開始位置。 The value is zero-based.。 Integer。
selectionEnd | 選択範囲の終了位置。 The value is zero-based.。 Integer。


SetText メソッド (AWTTextComponent)

クラス

AWTTextComponent.

処理

テキスト コンポーネントのテキストを指定したテキストに設定します。

構文

C#
textComponent.SetText(text)
VB
textComponent.SetText(text)
変数 | 説明
text | テキスト コンポーネントの新しいテキスト。 String。

例

VB

textComponent.SetText("SilkTest")


SetText メソッド (JTextComponent)

クラス

JTextComponent.

処理

テキスト コンテンツを指定したテキストに設定します。

構文

C#
textComponent.SetText(text)
VB
textComponent.SetText(text)
変数 | 説明
text | 新しいテキスト コンテンツ。 String。

例

VB

textComponent.SetText("blue")


SetText メソッド (OracleFormsComboBox)

クラス

OracleFormsComboBox.

処理

コンボ ボックスのテキストを指定したテキストに設定します。

構文

C#
oracleFormsComboBox.SetText(text)
VB
oracleFormsComboBox.SetText(text)
変数 | 説明
text | コンボ ボックスの新しいテキスト。 String。


SetText メソッド (OracleFormsTextField)

クラス

OracleFormsTextField.

処理

テキスト フィールドのテキストを指定したテキストに設定します。

構文

C#
oracleFormsTextField.SetText(text)
VB
oracleFormsTextField.SetText(text)
変数 | 説明
text | テキスト フィールドの新しいテキスト。 String。


SplashScreenRunning プロパティ (OracleFormsApplication)

クラス

OracleFormsApplication.

処理

[読み取り専用] アプリケーションが現在スプラッシュ スクリーンを表示するかどうか。

構文

C#
protected Boolean SplashScreenRunning { get; }
VB
'Declaration
Protected Read Property SplashScreenRunning As Boolean

アクセス

読み取り専用。


StartEditing メソッド (JTree)

クラス

JTree.

処理

指定した項目パスまたは現在の選択項目の編集を開始します。

構文

C#
tree.StartEditing([item])
VB
tree.StartEditing([item])
変数 | 説明
item | 省略可能: 項目パス。 ItemPath。

例

VB

tree.StartEditing("/level_1-1/level_2-1/level_3-4")


Step メソッド (IAWTScroller)

クラス

IAWTScroller.

処理

指定したステップ数を現在のスクロール位置に加算します。

構文

C#
iAWTScroller.Step(stepCount)
VB
iAWTScroller.Step(stepCount)
変数 | 説明
stepCount | 加算するステップ数。 Integer。

例

VB

scrollBar.Step(1)


StepSize プロパティ (IAWTScroller)

クラス

IAWTScroller.

処理

[読み取り専用] スクロール バーの単位増分値。

構文

C#
protected Integer StepSize { get; }
VB
'Declaration
Protected Read Property StepSize As Integer

アクセス

読み取り専用。

例

VB

Dim stepSize As Integer = scrollBar.StepSize


StopEditing メソッド (JTree)

クラス

JTree.

処理

現在編集中のセッションを停止します。

構文

C#
tree.StopEditing()
VB
tree.StopEditing()

例

VB

tree.StopEditing()


TabCount プロパティ (JTabbedPane)

クラス

JTabbedPane.

処理

[読み取り専用] タブの数。

構文

C#
protected Integer TabCount { get; }
VB
'Declaration
Protected Read Property TabCount As Integer

アクセス

読み取り専用。

例

VB

Dim tabCount As Integer = tabbedPane.TabCount


TabCount プロパティ (OracleFormsTabBar)

クラス

OracleFormsTabBar.

処理

[読み取り専用] タブの数。

構文

C#
protected Integer TabCount { get; }
VB
'Declaration
Protected Read Property TabCount As Integer

アクセス

読み取り専用。


TabRunCount プロパティ (JTabbedPane)

クラス

JTabbedPane.

処理

[読み取り専用] タブを表示するために現在使用されているタブの並びの数。

構文

C#
protected Integer TabRunCount { get; }
VB
'Declaration
Protected Read Property TabRunCount As Integer

アクセス

読み取り専用。

例

VB

Dim tabRunCount As Integer = tabbedPane.TabRunCount


Title プロパティ (AWTDialog)

クラス

AWTDialog.

処理

[読み取り専用] ダイアログのタイトル。

構文

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

アクセス

読み取り専用。

例

VB

Dim title As String = optionsDialog.Title


Title プロパティ (AWTFrame)

クラス

AWTFrame.

処理

[読み取り専用] フレームのタイトル。

構文

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

アクセス

読み取り専用。

例

VB

Dim title As String = frameWindow.Title


Toggle メソッド (AWTCheckbox)

クラス

AWTCheckbox.

処理

チェック ボックスの状態を切り替えます。

構文

C#
checkbox.Toggle()
VB
checkbox.Toggle()

例

VB

caseSensitiveCheckBox.Toggle()


Toggle メソッド (AWTCheckboxMenuItem)

クラス

AWTCheckboxMenuItem.

処理

メニュー項目のチェック ボックスの状態を切り替えます。

構文

C#
checkboxMenuItem.Toggle()
VB
checkboxMenuItem.Toggle()

例

VB

checkMenuItem.Toggle()


Toggle メソッド (JToggleButton)

クラス

JToggleButton.

処理

ボタンの状態を切り替えます。

構文

C#
toggleButton.Toggle()
VB
toggleButton.Toggle()

例

VB

toggleButton.Toggle()


ToolTipText プロパティ (JComponent)

クラス

JComponent.

処理

[読み取り専用] Swing コンポーネントのツールチップ テキスト。

構文

C#
protected String ToolTipText { get; }
VB
'Declaration
Protected Read Property ToolTipText As String

アクセス

読み取り専用。

例

VB

Dim toolTipText As String = Component.ToolTipText


Uncheck メソッド (AWTCheckbox)

クラス

AWTCheckbox.

処理

チェック ボックスのチェックを外します。

構文

C#
checkbox.Uncheck()
VB
checkbox.Uncheck()

例

VB

caseSensitiveCheckBox.Uncheck()


Uncheck メソッド (AWTCheckboxMenuItem)

クラス

AWTCheckboxMenuItem.

処理

メニュー項目のチェック ボックスをチェックを外します。

構文

C#
checkboxMenuItem.Uncheck()
VB
checkboxMenuItem.Uncheck()

例

VB

checkMenuItem.Uncheck()


Uncheck メソッド (JCheckBox)

クラス

JCheckBox.

処理

チェック ボックスのチェックを外します。

構文

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()

例

VB

forwardCheckBox.Uncheck()


Uncheck メソッド (OracleFormsCheckbox)

クラス

OracleFormsCheckbox.

処理

チェック ボックスのチェックを外します。

構文

C#
oracleFormsCheckbox.Uncheck()
VB
oracleFormsCheckbox.Uncheck()


Uncheck メソッド (OracleFormsMenu)

クラス

OracleFormsMenu.

処理

メニュー項目のチェックを外します。

構文

C#
oracleFormsMenu.Uncheck(item)
VB
oracleFormsMenu.Uncheck(item)
変数 | 説明
item | チェックを外すメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目のチェックを外す場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。


Uncheck メソッド (OracleFormsMenuItem)

クラス

OracleFormsMenuItem.

処理

メニュー項目のチェックを外します。

構文

C#
oracleFormsMenuItem.Uncheck()
VB
oracleFormsMenuItem.Uncheck()


VerticalScrollbarPage メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定したページ数を現在のスクロール位置に加算します。

構文

C#
iOracleFormsScrollable.VerticalScrollbarPage(pageCount)
VB
iOracleFormsScrollable.VerticalScrollbarPage(pageCount)
変数 | 説明
pageCount | 加算するページ数。 Integer。


VerticalScrollbarPageSize プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーのブロック増分値。

構文

C#
protected Integer VerticalScrollbarPageSize { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarPageSize As Integer

アクセス

読み取り専用。


VerticalScrollbarPosition プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの現在の位置。

構文

C#
protected Integer VerticalScrollbarPosition { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarPosition As Integer

アクセス

読み取り専用。


VerticalScrollbarRange プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの範囲値。

構文

C#
protected Range VerticalScrollbarRange { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarRange As Range

アクセス

読み取り専用。


VerticalScrollbarScrollToMax メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

スクロール バーの最大の位置にスクロールします。

構文

C#
iOracleFormsScrollable.VerticalScrollbarScrollToMax()
VB
iOracleFormsScrollable.VerticalScrollbarScrollToMax()


VerticalScrollbarScrollTo メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定した位置にスクロールします。

構文

C#
iOracleFormsScrollable.VerticalScrollbarScrollTo(position)
VB
iOracleFormsScrollable.VerticalScrollbarScrollTo(position)
変数 | 説明
position | スクロールする位置。 Integer。


VerticalScrollbarScrollToMin メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

スクロール バーの最小の位置にスクロールします。

構文

C#
iOracleFormsScrollable.VerticalScrollbarScrollToMin()
VB
iOracleFormsScrollable.VerticalScrollbarScrollToMin()


VerticalScrollbarStep メソッド (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

指定したステップ数を現在のスクロール位置に加算します。

構文

C#
iOracleFormsScrollable.VerticalScrollbarStep(stepCount)
VB
iOracleFormsScrollable.VerticalScrollbarStep(stepCount)
変数 | 説明
stepCount | 加算するステップ数。 Integer。


VerticalScrollbarStepSize プロパティ (IOracleFormsScrollable)

クラス

IOracleFormsScrollable.

処理

[読み取り専用] スクロール バーの単位増分値。

構文

C#
protected Integer VerticalScrollbarStepSize { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarStepSize As Integer

アクセス

読み取り専用。


ViewRectangle プロパティ (JViewport)

クラス

JViewport.

処理

[読み取り専用] ビューの可視部分をビューの座標。

構文

C#
protected Rectangle ViewRectangle { get; }
VB
'Declaration
Protected Read Property ViewRectangle As Rectangle

アクセス

読み取り専用。

例

VB

Dim rect As Rectangle = viewport.ViewRectangle


VisibleItemPaths プロパティ (JTree)

クラス

JTree.

処理

[読み取り専用] ツリーに表示される項目の項目パス。

構文

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

アクセス

読み取り専用。


Width プロパティ (AWTComponent)

クラス

AWTComponent.

処理

[読み取り専用] 現在のコンポーネントの幅。

構文

C#
protected Integer Width { get; }
VB
'Declaration
Protected Read Property Width As Integer

アクセス

読み取り専用。

例

VB

Dim width As Integer = component.Width


AutomationId プロパティ (UIAObject)

クラス

UIAObject.

処理

[読み取り専用] 要素に対する UI オートメーション識別子（ID）を含んだ文字列。

構文

C#
protected String AutomationId { get; }
VB
'Declaration
Protected Read Property AutomationId As String

アクセス

読み取り専用。


CanSelectMultiple プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] リスト ボックスが複数の子要素の同時選択を許可するかどうか。

構文

C#
protected Boolean CanSelectMultiple { get; }
VB
'Declaration
Protected Read Property CanSelectMultiple As Boolean

アクセス

読み取り専用。


Check メソッド (UIACheckBox)

クラス

UIACheckBox.

処理

チェック ボックスをチェックします。

構文

C#
checkBox.Check()
VB
checkBox.Check()


ClassName プロパティ (UIAObject)

クラス

UIAObject.

処理

[読み取り専用] 要素の単純クラス名。

構文

C#
protected String ClassName { get; }
VB
'Declaration
Protected Read Property ClassName As String

アクセス

読み取り専用。


Clear メソッド (UIATextBox)

クラス

UIATextBox.

処理

すべてのテキストをテキスト フィールドから削除します。

構文

C#
textBox.Clear()
VB
textBox.Clear()


Close メソッド (UIAComboBox)

クラス

UIAComboBox.

処理

コンボ ボックスを閉じます。

構文

C#
comboBox.Close()
VB
comboBox.Close()


Collapse メソッド (UIATreeView)

クラス

UIATreeView.

処理

指定した項目を折りたたみます。

構文

C#
treeView.Collapse(item)
VB
treeView.Collapse(item)
変数 | 説明
item | 折りたたむ項目。 ItemPath。


Collapse メソッド (UIATreeViewItem)

クラス

UIATreeViewItem.

処理

項目を折りたたみます。

構文

C#
treeViewItem.Collapse()
VB
treeViewItem.Collapse()


ControlType プロパティ (UIAObject)

クラス

UIAObject.

処理

[読み取り専用] 要素に対するコントロールの種類を含んだ文字列。

構文

C#
protected String ControlType { get; }
VB
'Declaration
Protected Read Property ControlType As String

アクセス

読み取り専用。


DecreaseLarge メソッド (UIASlider)

クラス

UIASlider.

処理

Slider の値を大きい単位で減らします。

構文

C#
slider.DecreaseLarge()
VB
slider.DecreaseLarge()


DecreaseSmall メソッド (UIASlider)

クラス

UIASlider.

処理

Slider の値を小さい単位で減らします。

構文

C#
slider.DecreaseSmall()
VB
slider.DecreaseSmall()


DeselectAll メソッド (UIAListBox)

クラス

UIAListBox.

処理

すべてのリスト項目の選択を解除します。

構文

C#
listBox.DeselectAll()
VB
listBox.DeselectAll()


Deselect メソッド (UIAListItem)

クラス

UIAListItem.

処理

項目の選択を解除します。

構文

C#
listItem.Deselect()
VB
listItem.Deselect()


ExpandAll メソッド (UIATreeView)

クラス

UIATreeView.

処理

ツリー内のすべての項目を展開します。

構文

C#
treeView.ExpandAll()
VB
treeView.ExpandAll()


Expand メソッド (UIATreeView)

クラス

UIATreeView.

処理

指定した項目を展開します。

構文

C#
treeView.Expand(item)
VB
treeView.Expand(item)
変数 | 説明
item | 展開する項目。 ItemPath。


Expand メソッド (UIATreeViewItem)

クラス

UIATreeViewItem.

処理

項目を展開します。

構文

C#
treeViewItem.Expand()
VB
treeViewItem.Expand()


ExpandSubTree メソッド (UIATreeViewItem)

クラス

UIATreeViewItem.

処理

このツリー項目の下のサブツリーを展開します。

構文

C#
treeViewItem.ExpandSubTree()
VB
treeViewItem.ExpandSubTree()


GetRawChildren メソッド (UIAObject)

クラス

UIAObject.

処理

この要素の生の子要素を取得します。 このメソッドは、他の方法では子として認識されない要素にアクセスするために使用することができます。 MSUIA コントロールの種類の 1 つを指定して、指定した種類の子のみを返すこともできます。

構文

C#
rawChildren = object.GetRawChildren([automationControlType])
VB
rawChildren = object.GetRawChildren([automationControlType])
変数 | 説明
rawChildren | List(Of UIAObject)。
automationControlType | 省略可能: 省略可能。このコントロールの種類の子だけを取得するように指定します。 String。

例

VB

要素のすべての生の子を取得するには:
slBase.GetRawChildren()
あるコントロールの種類の子だけを取得するには: コントロールの種類については、UI オートメーションによって提供されるコントロールの種類を参照してください。
slBase.GetRawChildren("Text")


HeaderItems プロパティ (UIAHeader)

クラス

UIAHeader.

処理

[読み取り専用] このヘッダー コントロールのヘッダー項目を含むリスト。

構文

C#
protected List(Of UIAHeaderItem) HeaderItems { get; }
VB
'Declaration
Protected Read Property HeaderItems As List(Of UIAHeaderItem)

アクセス

読み取り専用。


HelpText プロパティ (UIAObject)

クラス

UIAObject.

処理

[読み取り専用] 要素に対するヘルプ テキスト（ツールチップ テキストなど）を含んだ文字列。

構文

C#
protected String HelpText { get; }
VB
'Declaration
Protected Read Property HelpText As String

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] リスト ボックスを水平方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (UIAPane)

クラス

UIAPane.

処理

[読み取り専用] ペインを水平方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (UIATreeView)

クラス

UIATreeView.

処理

[読み取り専用] ツリー ビューを水平方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontallyScrollable プロパティ (UWPComboBox)

クラス

UWPComboBox.

処理

[読み取り専用] コンボ ボックスを水平方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (UIAPane)

クラス

UIAPane.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (UIATreeView)

クラス

UIATreeView.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


HorizontalScrollPercent プロパティ (UWPComboBox)

クラス

UWPComboBox.

処理

[読み取り専用] 現在の水平方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

アクセス

読み取り専用。


IncreaseLarge メソッド (UIASlider)

クラス

UIASlider.

処理

Slider の値を大きい単位で増やします。

構文

C#
slider.IncreaseLarge()
VB
slider.IncreaseLarge()


IncreaseSmall メソッド (UIASlider)

クラス

UIASlider.

処理

Slider の値を小さい単位で増やします。

構文

C#
slider.IncreaseSmall()
VB
slider.IncreaseSmall()


IsEnabled プロパティ (UIAObject)

クラス

UIAObject.

処理

[読み取り専用] 要素が有効かどうかを示す値。

構文

C#
protected Boolean IsEnabled { get; }
VB
'Declaration
Protected Read Property IsEnabled As Boolean

アクセス

読み取り専用。


IsExpanded プロパティ (UIATreeViewItem)

クラス

UIATreeViewItem.

処理

[読み取り専用] ツリー項目内の入れ子になった項目が展開されているか、折りたたまれているか。

構文

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

アクセス

読み取り専用。


IsLeaf プロパティ (UIATreeViewItem)

クラス

UIATreeViewItem.

処理

[読み取り専用] ツリー ビュー項目がリーフ項目かどうかを示す値。

構文

C#
protected Boolean IsLeaf { get; }
VB
'Declaration
Protected Read Property IsLeaf As Boolean

アクセス

読み取り専用。


IsOpen プロパティ (UIAComboBox)

クラス

UIAComboBox.

処理

[読み取り専用] コンボ ボックスが開いているかどうかを示す値。

構文

C#
protected Boolean IsOpen { get; }
VB
'Declaration
Protected Read Property IsOpen As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (UIATextBox)

クラス

UIATextBox.

処理

[読み取り専用] テキスト ボックスが読み取り専用かどうか。

構文

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (UIAListItem)

クラス

UIAListItem.

処理

[読み取り専用] リスト項目が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (UIARadioButton)

クラス

UIARadioButton.

処理

[読み取り専用] ラジオ ボタンが選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (UIATabItem)

クラス

UIATabItem.

処理

[読み取り専用] タブ項目が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (UIATreeViewItem)

クラス

UIATreeViewItem.

処理

[読み取り専用] ツリー項目が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (UWPComboBoxItem)

クラス

UWPComboBoxItem.

処理

[読み取り専用] コンボ ボックス項目が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


Items プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] リスト ボックス項目のリスト。

構文

C#
protected List(Of UIAListItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of UIAListItem)

アクセス

読み取り専用。


Items プロパティ (UIATabControl)

クラス

UIATabControl.

処理

[読み取り専用] タブ項目の完全なリスト。

構文

C#
protected List(Of UIATabItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of UIATabItem)

アクセス

読み取り専用。


Items プロパティ (UIATreeViewItem)

クラス

UIATreeViewItem.

処理

[読み取り専用] 項目の完全なリスト。

構文

C#
protected List(Of UIATreeViewItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of UIATreeViewItem)

アクセス

読み取り専用。


Items プロパティ (UWPComboBox)

クラス

UWPComboBox.

処理

[読み取り専用] 項目の完全なリスト。

構文

C#
protected List(Of UWPComboBoxItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of UWPComboBoxItem)

アクセス

読み取り専用。


ItemTexts プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] すべての項目テキストのリスト。

構文

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


ItemTexts プロパティ (UIATabControl)

クラス

UIATabControl.

処理

[読み取り専用] タブ項目テキストの完全なリスト。

構文

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


ItemTexts プロパティ (UIATreeViewItem)

クラス

UIATreeViewItem.

処理

[読み取り専用] 項目テキストの完全なリスト。

構文

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


ItemTexts プロパティ (UWPComboBox)

クラス

UWPComboBox.

処理

[読み取り専用] 項目テキストの完全なリスト。

構文

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


LargeChange プロパティ (UIASlider)

クラス

UIASlider.

処理

[読み取り専用] PAGE DOWN キーが押された場合など、大きい単位での変更が行われる際に、Value プロパティに加算または減算される値。

構文

C#
protected Double LargeChange { get; }
VB
'Declaration
Protected Read Property LargeChange As Double

アクセス

読み取り専用。


Maximum プロパティ (UIAProgressBar)

クラス

UIAProgressBar.

処理

[読み取り専用] 進行状況の最大値。

構文

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


Maximum プロパティ (UIASlider)

クラス

UIASlider.

処理

[読み取り専用] 進行状況の最大値。

構文

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


Minimum プロパティ (UIAProgressBar)

クラス

UIAProgressBar.

処理

[読み取り専用] 進行状況の最小値。

構文

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


Minimum プロパティ (UIASlider)

クラス

UIASlider.

処理

[読み取り専用] 進行状況の最小値。

構文

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


Name プロパティ (UIAObject)

クラス

UIAObject.

処理

[読み取り専用] 要素に対する UI オートメーション名を含んだ文字列。

構文

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

アクセス

読み取り専用。


NumericValue プロパティ (UIASpinner)

クラス

UIASpinner.

処理

[読み取り専用] スピン コントロールの現在の数値。

構文

C#
protected Double NumericValue { get; }
VB
'Declaration
Protected Read Property NumericValue As Double

アクセス

読み取り専用。


OpenContextMenu メソッド (UIAObject)

クラス

UIAObject.

処理

指定した位置でコンテキスト メニューを開きます。

構文

C#
object.OpenContextMenu([pos])
VB
object.OpenContextMenu([pos])
変数 | 説明
pos | 省略可能: コンテキスト メニューを開くために、関数を呼び出すコントロールに相対の座標。 Point。


Open メソッド (UIAComboBox)

クラス

UIAComboBox.

処理

コンボ ボックスを開きます。

構文

C#
comboBox.Open()
VB
comboBox.Open()


RootItems プロパティ (UIATreeView)

クラス

UIATreeView.

処理

[読み取り専用] すべてのルート ツリー項目の完全なリスト。

構文

C#
protected List(Of UIATreeViewItem) RootItems { get; }
VB
'Declaration
Protected Read Property RootItems As List(Of UIATreeViewItem)

アクセス

読み取り専用。


RootItemTexts プロパティ (UIATreeView)

クラス

UIATreeView.

処理

[読み取り専用] すべてのルート ツリー項目のテキストの完全なリスト。

構文

C#
protected List(Of String) RootItemTexts { get; }
VB
'Declaration
Protected Read Property RootItemTexts As List(Of String)

アクセス

読み取り専用。


ScrollHorizontal メソッド (UIAListBox)

クラス

UIAListBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

C#
listBox.ScrollHorizontal(scrollAmount)
VB
listBox.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (UIAPane)

クラス

UIAPane.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

C#
pane.ScrollHorizontal(scrollAmount)
VB
pane.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (UIATreeView)

クラス

UIATreeView.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

C#
treeView.ScrollHorizontal(scrollAmount)
VB
treeView.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollHorizontal メソッド (UWPComboBox)

クラス

UWPComboBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を水平方向にスクロールします。

構文

C#
uWPComboBox.ScrollHorizontal(scrollAmount)
VB
uWPComboBox.ScrollHorizontal(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollIntoView メソッド (UIAListItem)

クラス

UIAListItem.

処理

リスト項目をビューにスクロールします。

構文

C#
listItem.ScrollIntoView()
VB
listItem.ScrollIntoView()


ScrollIntoView メソッド (UIATreeViewItem)

クラス

UIATreeViewItem.

処理

ツリー項目をビューにスクロールします。

構文

C#
treeViewItem.ScrollIntoView()
VB
treeViewItem.ScrollIntoView()


ScrollVertical メソッド (UIAListBox)

クラス

UIAListBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

C#
listBox.ScrollVertical(scrollAmount)
VB
listBox.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (UIAPane)

クラス

UIAPane.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

C#
pane.ScrollVertical(scrollAmount)
VB
pane.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (UIATreeView)

クラス

UIATreeView.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

C#
treeView.ScrollVertical(scrollAmount)
VB
treeView.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


ScrollVertical メソッド (UWPComboBox)

クラス

UWPComboBox.

処理

指定した ScrollAmount の分、コンテンツ領域の現在の可視領域を垂直方向にスクロールします。

構文

C#
uWPComboBox.ScrollVertical(scrollAmount)
VB
uWPComboBox.ScrollVertical(scrollAmount)
変数 | 説明
scrollAmount | スクロールする方向と間隔。 ScrollAmount。


SelectAll メソッド (UIAListBox)

クラス

UIAListBox.

処理

リスト内のすべての項目を選択します。

構文

C#
listBox.SelectAll()
VB
listBox.SelectAll()


SelectedIndex プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (UIATabControl)

クラス

UIATabControl.

処理

[読み取り専用] 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedIndex プロパティ (UWPComboBox)

クラス

UWPComboBox.

処理

[読み取り専用] 選択されている項目のインデックス。選択範囲が空の場合は -1 を返します。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedIndices プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] 現在選択されている項目のインデックス。 項目が現在選択されていない場合は、空のリストが返されます。

構文

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedItemPath プロパティ (UIATreeView)

クラス

UIATreeView.

処理

[読み取り専用] 選択された項目パスを取得します。選択されていない場合は空の項目パス。

構文

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

アクセス

読み取り専用。


SelectedItem プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。

構文

C#
protected UIAListItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As UIAListItem

アクセス

読み取り専用。


SelectedItem プロパティ (UIATabControl)

クラス

UIATabControl.

処理

[読み取り専用] 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。

構文

C#
protected UIATabItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As UIATabItem

アクセス

読み取り専用。


SelectedItem プロパティ (UIATreeView)

クラス

UIATreeView.

処理

[読み取り専用] 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。

構文

C#
protected UIATreeViewItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As UIATreeViewItem

アクセス

読み取り専用。


SelectedItem プロパティ (UWPComboBox)

クラス

UWPComboBox.

処理

[読み取り専用] 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。

構文

C#
protected UWPComboBoxItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As UWPComboBoxItem

アクセス

読み取り専用。


SelectedItems プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] 現在選択されている項目。 項目が現在選択されていない場合は、空のリストが返されます。

構文

C#
protected List(Of UIAListItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of UIAListItem)

アクセス

読み取り専用。


SelectedItemText プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] 最初の選択された項目のテキスト。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemText プロパティ (UIATabControl)

クラス

UIATabControl.

処理

[読み取り専用] 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemText プロパティ (UIATreeView)

クラス

UIATreeView.

処理

[読み取り専用] 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemText プロパティ (UWPComboBox)

クラス

UWPComboBox.

処理

[読み取り専用] 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemTexts プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] 現在選択されている項目のテキスト。 項目が現在選択されていない場合は、空のリストが返されます。

構文

C#
protected List(Of String) SelectedItemTexts { get; }
VB
'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

アクセス

読み取り専用。


Select メソッド (UIAButton)

クラス

UIAButton.

処理

ボタンを選択します。

構文

C#
button.Select()
VB
button.Select()


Select メソッド (UIAHeaderItem)

クラス

UIAHeaderItem.

処理

ヘッダー項目を選択します。

構文

C#
headerItem.Select()
VB
headerItem.Select()


Select メソッド (UIAHyperlinkButton)

クラス

UIAHyperlinkButton.

処理

ハイパーリンク ボタンをクリックします。

構文

C#
hyperlinkButton.Select()
VB
hyperlinkButton.Select()


Select メソッド (UIAListBox)

クラス

UIAListBox.

処理

指定したリスト ボックス項目を選択します。

構文

C#
listBox.Select(item, [modifiers])
VB
listBox.Select(item, [modifiers])
変数 | 説明
item | 選択する項目の名前またはインデックス。 ItemIdentifier。
modifiers | 省略可能: 項目を選択するときに押される修飾キー（Alt、Shift および Ctrl）。 デフォルトでは、修飾キーは使用しません。 ModifierKeys。


Select メソッド (UIAListItem)

クラス

UIAListItem.

処理

リスト項目を選択します。

構文

C#
listItem.Select()
VB
listItem.Select()


Select メソッド (UIARadioButton)

クラス

UIARadioButton.

処理

任意の選択された項目の選択を解除し、現在の要素を選択します。

構文

C#
radioButton.Select()
VB
radioButton.Select()


Select メソッド (UIATabControl)

クラス

UIATabControl.

処理

タブ コントロールの項目を選択します。

構文

C#
tabControl.Select(item)
VB
tabControl.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (UIATabItem)

クラス

UIATabItem.

処理

タブ項目を選択します。

構文

C#
tabItem.Select()
VB
tabItem.Select()


Select メソッド (UIATreeView)

クラス

UIATreeView.

処理

指定した項目を選択します。

構文

C#
treeView.Select(item)
VB
treeView.Select(item)
変数 | 説明
item | 選択する項目。 ItemPath。


Select メソッド (UIATreeViewItem)

クラス

UIATreeViewItem.

処理

項目を選択します。

構文

C#
treeViewItem.Select()
VB
treeViewItem.Select()


Select メソッド (UWPComboBox)

クラス

UWPComboBox.

処理

コンボ ボックスの項目を選択します。

構文

C#
uWPComboBox.Select(item)
VB
uWPComboBox.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (UWPComboBoxItem)

クラス

UWPComboBoxItem.

処理

コンボ ボックス項目を選択します。

構文

C#
uWPComboBoxItem.Select()
VB
uWPComboBoxItem.Select()


SetHorizontalScrollPercent メソッド (UIAListBox)

クラス

UIAListBox.

処理

リスト ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

C#
listBox.SetHorizontalScrollPercent(percent)
VB
listBox.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (UIAPane)

クラス

UIAPane.

処理

ペイン内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

C#
pane.SetHorizontalScrollPercent(percent)
VB
pane.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (UIATreeView)

クラス

UIATreeView.

処理

ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

C#
treeView.SetHorizontalScrollPercent(percent)
VB
treeView.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetHorizontalScrollPercent メソッド (UWPComboBox)

クラス

UWPComboBox.

処理

コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、水平スクロール位置を設定します。

構文

C#
uWPComboBox.SetHorizontalScrollPercent(percent)
VB
uWPComboBox.SetHorizontalScrollPercent(percent)
変数 | 説明
percent | 水平方向コンテンツ領域全体のパーセンテージ。 Double。


SetIndeterminate メソッド (UIACheckBox)

クラス

UIACheckBox.

処理

チェック ボックスを不確定状態に設定します。

構文

C#
checkBox.SetIndeterminate()
VB
checkBox.SetIndeterminate()


SetPosition メソッド (UIATextBox)

クラス

UIATextBox.

処理

テキスト フィールド内の挿入位置を設定します。

構文

C#
textBox.SetPosition(position)
VB
textBox.SetPosition(position)
変数 | 説明
position | テキスト フィールド内のキャレットの位置。 The value is zero-based.。 Integer。


SetSelection メソッド (UIATextBox)

クラス

UIATextBox.

処理

テキスト ボックス内のテキストの範囲を選択します。

構文

C#
textBox.SetSelection(startPosition, length)
VB
textBox.SetSelection(startPosition, length)
変数 | 説明
startPosition | 選択範囲の開始インデックス。 The value is zero-based.。 Integer。
length | 開始位置から選択する文字数。 Integer。


SetText メソッド (UIATextBox)

クラス

UIATextBox.

処理

テキスト フィールド内のテキストを指定したテキストで置換します。

構文

C#
textBox.SetText(text)
VB
textBox.SetText(text)
変数 | 説明
text | 新しいテキスト。 String。


SetValue メソッド (UIASlider)

クラス

UIASlider.

処理

スライダーの値を設定します。

構文

C#
slider.SetValue(value)
VB
slider.SetValue(value)
変数 | 説明
value | 新しいスライダーの値。 Double。


SetValueToMaximum メソッド (UIASlider)

クラス

UIASlider.

処理

Slider を最大の位置に設定します。

構文

C#
slider.SetValueToMaximum()
VB
slider.SetValueToMaximum()


SetValueToMinimum メソッド (UIASlider)

クラス

UIASlider.

処理

Slider を最小の位置に設定します。

構文

C#
slider.SetValueToMinimum()
VB
slider.SetValueToMinimum()


SetVerticalScrollPercent メソッド (UIAListBox)

クラス

UIAListBox.

処理

リスト ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

C#
listBox.SetVerticalScrollPercent(percent)
VB
listBox.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (UIAPane)

クラス

UIAPane.

処理

ペイン内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

C#
pane.SetVerticalScrollPercent(percent)
VB
pane.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (UIATreeView)

クラス

UIATreeView.

処理

ツリー ビュー内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

C#
treeView.SetVerticalScrollPercent(percent)
VB
treeView.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SetVerticalScrollPercent メソッド (UWPComboBox)

クラス

UWPComboBox.

処理

コンボ ボックス内のコンテンツ領域全体のパーセンテージとして、垂直スクロール位置を設定します。

構文

C#
uWPComboBox.SetVerticalScrollPercent(percent)
VB
uWPComboBox.SetVerticalScrollPercent(percent)
変数 | 説明
percent | 垂直方向コンテンツ領域全体のパーセンテージ。 Double。


SmallChange プロパティ (UIASlider)

クラス

UIASlider.

処理

[読み取り専用] 矢印キーが押された場合など、小さい単位での変更が行われる際に、Value プロパティに加算または減算される値。

構文

C#
protected Double SmallChange { get; }
VB
'Declaration
Protected Read Property SmallChange As Double

アクセス

読み取り専用。


Toggle メソッド (UIACheckBox)

クラス

UIACheckBox.

処理

次の順番でサイクリックにチェック ボックスの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。

構文

C#
checkBox.Toggle()
VB
checkBox.Toggle()


Toggle メソッド (UIAToggleButton)

クラス

UIAToggleButton.

処理

次の順番でサイクリックにボタンの状態を切り替えます： オン、オフ、不確定（サポートされる場合）。

構文

C#
toggleButton.Toggle()
VB
toggleButton.Toggle()


ToggleState プロパティ (UIACheckBox)

クラス

UIACheckBox.

処理

[読み取り専用] チェック ボックスのトグル状態。

構文

C#
protected ToggleState ToggleState { get; }
VB
'Declaration
Protected Read Property ToggleState As ToggleState

アクセス

読み取り専用。


ToggleState プロパティ (UIAToggleButton)

クラス

UIAToggleButton.

処理

[読み取り専用] ボタンのトグル状態。

構文

C#
protected ToggleState ToggleState { get; }
VB
'Declaration
Protected Read Property ToggleState As ToggleState

アクセス

読み取り専用。


Uncheck メソッド (UIACheckBox)

クラス

UIACheckBox.

処理

チェック ボックスのチェックを外します。

構文

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


VerticallyScrollable プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] リスト ボックスを垂直方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (UIAPane)

クラス

UIAPane.

処理

[読み取り専用] ペインを垂直方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (UIATreeView)

クラス

UIATreeView.

処理

[読み取り専用] ツリー ビューを垂直方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticallyScrollable プロパティ (UWPComboBox)

クラス

UWPComboBox.

処理

[読み取り専用] コンボ ボックスを垂直方向にスクロールできるかどうかを示す値。

構文

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (UIAListBox)

クラス

UIAListBox.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (UIAPane)

クラス

UIAPane.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (UIATreeView)

クラス

UIATreeView.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VerticalScrollPercent プロパティ (UWPComboBox)

クラス

UWPComboBox.

処理

[読み取り専用] 現在の垂直方向スクロールの位置。有効なスクロール位置が存在しない場合は -1 を返します。

構文

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

アクセス

読み取り専用。


VisibleItemPaths プロパティ (UIATreeView)

クラス

UIATreeView.

処理

[読み取り専用] ツリーに表示される項目の項目パス。

構文

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

アクセス

読み取り専用。


AllowsCheck プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] リスト ビューがチェックをサポートするかどうか。

構文

C#
protected Boolean AllowsCheck { get; }
VB
'Declaration
Protected Read Property AllowsCheck As Boolean

アクセス

読み取り専用。


AllowsMultiSelect プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] リスト ビューが複数項目の選択をサポートするかどうか。

構文

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

アクセス

読み取り専用。


CheckedIndices プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] チェックされた項目のインデックスを含むリスト。

構文

C#
protected List(Of Integer) CheckedIndices { get; }
VB
'Declaration
Protected Read Property CheckedIndices As List(Of Integer)

アクセス

読み取り専用。


CheckedItems プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] チェックされた項目を含むリスト。

構文

C#
protected List(Of ItemIdentifier) CheckedItems { get; }
VB
'Declaration
Protected Read Property CheckedItems As List(Of ItemIdentifier)

アクセス

読み取り専用。


Check メソッド (ListView)

クラス

ListView.

処理

項目をチェックします。

構文

C#
listView.Check(item)
VB
listView.Check(item)
変数 | 説明
item | チェックする項目。 ItemIdentifier。


ColumnCount プロパティ (Header)

クラス

Header.

処理

[読み取り専用] ヘッダーの列の数。

構文

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnCount プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] 項目ごとの列の数。

構文

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnOrder プロパティ (Header)

クラス

Header.

処理

[読み取り専用] ヘッダー項目のインデックス（ヘッダーの項目が現在並んでいる順番）。

構文

C#
protected List(Of Integer) ColumnOrder { get; }
VB
'Declaration
Protected Read Property ColumnOrder As List(Of Integer)

アクセス

読み取り専用。


Decrement メソッド (UpDown)

クラス

UpDown.

処理

アップダウン コントロールの位置の値を減らします。

構文

C#
upDown.Decrement([amount])
VB
upDown.Decrement([amount])
変数 | 説明
amount | 省略可能: 減少させる量。 デフォルト値は '1' です。 Integer。


Description プロパティ (AccessibleControl)

クラス

AccessibleControl.

処理

[読み取り専用] ユーザー補助オブジェクトの説明文。

構文

C#
protected String Description { get; }
VB
'Declaration
Protected Read Property Description As String

アクセス

読み取り専用。


DividerDoubleSelect メソッド (Header)

クラス

Header.

処理

指定した項目の右側にある分割線をダブルクリックします。

構文

C#
header.DividerDoubleSelect(item, button)
VB
header.DividerDoubleSelect(item, button)
変数 | 説明
item | 選択する項目のパスまたはインデックス。 ItemIdentifier。
button | 選択するボタン。 1=左、2=右、3=中央。 MouseButton。


DoDefaultAction メソッド (AccessibleControl)

クラス

AccessibleControl.

処理

基になったユーザー補助コントロールのサポートするデフォルトの操作を実行します。

構文

C#
accessibleControl.DoDefaultAction()
VB
accessibleControl.DoDefaultAction()


DoubleSelect メソッド (Header)

クラス

Header.

処理

項目をダブルクリックします。

構文

C#
header.DoubleSelect(item, button)
VB
header.DoubleSelect(item, button)
変数 | 説明
item | ダブルクリックする項目のパスまたはインデックス。 ItemIdentifier。
button | ダブルクリックを実行するために使用するマウス ボタンのインデックス。 1=左、2=右、3=中央。 MouseButton。


DoubleSelect メソッド (ListView)

クラス

ListView.

処理

項目をダブルクリックします。

構文

C#
listView.DoubleSelect(item, [modifiers])
VB
listView.DoubleSelect(item, [modifiers])
変数 | 説明
item | ダブルクリックする項目。 ItemIdentifier。
modifiers | 省略可能: ダブルクリック時に使用する修飾キー。 ModifierKeys。


ExtendSelect メソッド (ListView)

クラス

ListView.

処理

拡張選択リスト ビューの選択範囲を拡張して項目の範囲を選択します。

構文

C#
listView.ExtendSelect(item)
VB
listView.ExtendSelect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


ExtendSelect メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

日付と時間の範囲を選択します。

構文

C#
monthCalendar.ExtendSelect(selectedDate)
VB
monthCalendar.ExtendSelect(selectedDate)
変数 | 説明
selectedDate | 選択する日時。 DateTime?。


GetColumnTitle メソッド (Header)

クラス

Header.

処理

指定したヘッダー項目のタイトルを返します。

構文

C#
columnTitle = header.GetColumnTitle(itemIndex)
VB
columnTitle = header.GetColumnTitle(itemIndex)
変数 | 説明
columnTitle | String。
itemIndex | 項目のインデックス。 The value is zero-based.。 Integer。


GetColumnWidth メソッド (Header)

クラス

Header.

処理

指定した列の幅を返します。

構文

C#
columnWidth = header.GetColumnWidth(item)
VB
columnWidth = header.GetColumnWidth(item)
変数 | 説明
columnWidth | Integer。
item | 幅を取得する項目。 ItemIdentifier。


GetItemImageIndex メソッド (ListView)

クラス

ListView.

処理

アイコンを含むリスト ビューのイメージ リストのインデックスを返します。 これにより、正しいイメージが項目に対して使用されていることを検証することができます。

構文

C#
itemImageIndex = listView.GetItemImageIndex(item, [fromStateImageList])
VB
itemImageIndex = listView.GetItemImageIndex(item, [fromStateImageList])
変数 | 説明
itemImageIndex | Integer。
item | イメージ インデックスを取得する項目。 ItemIdentifier。
fromStateImageList | 省略可能: 状態イメージ リスト、またはイメージ リストのどちらからのインデックスを取得するか。 Boolean。


GetItemIndex メソッド (ListView)

クラス

ListView.

処理

リスト ビュー項目 ' ' のインデックスを返します (見つからなかった場合は -1)。

構文

C#
itemIndex = listView.GetItemIndex(item)
VB
itemIndex = listView.GetItemIndex(item)
変数 | 説明
itemIndex | Integer。
item | インデックスを取得する項目。 ItemIdentifier。


GetItemRect メソッド (ListView)

クラス

ListView.

処理

項目の矩形領域を返します。 getIconRect が設定されていると、項目のアイコンの矩形領域が返されます。設定されていない場合は、項目テキストの矩形領域が返されます。 columnIndex が指定されていると、指定した列の矩形領域が返されます。

構文

C#
itemRect = listView.GetItemRect(item, [getIconRect, columnIndex])
VB
itemRect = listView.GetItemRect(item, [getIconRect, columnIndex])
変数 | 説明
itemRect | Rectangle。
item | 矩形領域を取得する項目。 ItemIdentifier。
getIconRect | 省略可能: アイコンの矩形領域、または項目のテキストの矩形領域のどちらを取得するか。 Boolean。
columnIndex | 省略可能: 項目の列の位置。 The value is zero-based.。 Integer。


GetItemText メソッド (ListView)

クラス

ListView.

処理

項目のテキストを返します。

構文

C#
itemText = listView.GetItemText(item, [columnIndex])
VB
itemText = listView.GetItemText(item, [columnIndex])
変数 | 説明
itemText | String。
item | テキストを取得する項目。 ItemIdentifier。
columnIndex | 省略可能: 項目の列の位置。 The value is zero-based.。 Integer。


Horizontal プロパティ (Pager)

クラス

Pager.

処理

[読み取り専用] アップダウン コントロールが水平方向に配置されているかどうか。

構文

C#
protected Boolean Horizontal { get; }
VB
'Declaration
Protected Read Property Horizontal As Boolean

アクセス

読み取り専用。


Horizontal プロパティ (UpDown)

クラス

UpDown.

処理

[読み取り専用] アップダウン コントロールが水平方向に配置されているかどうか。

構文

C#
protected Boolean Horizontal { get; }
VB
'Declaration
Protected Read Property Horizontal As Boolean

アクセス

読み取り専用。


Increment メソッド (UpDown)

クラス

UpDown.

処理

アップダウン コントロールの位置の値を増やします。

構文

C#
upDown.Increment([amount])
VB
upDown.Increment([amount])
変数 | 説明
amount | 省略可能: 増加させる量。 デフォルト値は '1' です。 Integer。


ItemCount プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] リスト ビューに含まれる項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


Items プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] リスト ビューのすべての項目を含むリスト。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


MultiSelect メソッド (ListView)

クラス

ListView.

処理

現在の選択項目の集合にリスト内の項目を追加します。

構文

C#
listView.MultiSelect(item)
VB
listView.MultiSelect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


MultiUnselect メソッド (ListView)

クラス

ListView.

処理

リスト内の項目を選択項目の集合から削除します。

構文

C#
listView.MultiUnselect(item)
VB
listView.MultiUnselect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


OpenMonthMenu メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

月を指定するためにカレンダ メニューを開きます。

構文

C#
monthCalendar.OpenMonthMenu()
VB
monthCalendar.OpenMonthMenu()


Position プロパティ (ProgressBar)

クラス

ProgressBar.

処理

[読み書き可能] 現在の位置。

構文

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

アクセス

読み書き。


Position プロパティ (UpDown)

クラス

UpDown.

処理

[読み書き可能] アップダウン コントロールの位置。

構文

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

アクセス

読み書き。


Range プロパティ (ProgressBar)

クラス

ProgressBar.

処理

[読み書き可能] 進行状況バー コントロールの範囲。

構文

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

アクセス

読み書き。


Range プロパティ (UpDown)

クラス

UpDown.

処理

[読み書き可能] アップダウン コントロールの範囲。

構文

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

アクセス

読み書き。


Resize メソッド (Header)

クラス

Header.

処理

ヘッダーの項目のサイズを変更します。

構文

C#
header.Resize(item, width)
VB
header.Resize(item, width)
変数 | 説明
item | サイズを変更する項目。 ItemIdentifier。
width | ヘッダーの新しい幅（ピクセル）。 Integer。


Role プロパティ (AccessibleControl)

クラス

AccessibleControl.

処理

[読み取り専用] このユーザー補助オブジェクトの役割。

構文

C#
protected String Role { get; }
VB
'Declaration
Protected Read Property Role As String

アクセス

読み取り専用。


ScrollDown メソッド (Pager)

クラス

Pager.

処理

スクロール バーを下に移動します。

構文

C#
pager.ScrollDown()
VB
pager.ScrollDown()


ScrollUp メソッド (Pager)

クラス

Pager.

処理

スクロール バーを上に移動します。

構文

C#
pager.ScrollUp()
VB
pager.ScrollUp()


SelectedIndices プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] 選択された項目のインデックスを含むリスト。

構文

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

アクセス

読み取り専用。


SelectedItems プロパティ (ListView)

クラス

ListView.

処理

[読み取り専用] 選択された項目を含むリスト。

構文

C#
protected List(Of ItemIdentifier) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

アクセス

読み取り専用。


Select メソッド (Header)

クラス

Header.

処理

項目またはボタンを選択します。

構文

C#
header.Select(item, button)
VB
header.Select(item, button)
変数 | 説明
item | 選択する項目のパスまたはインデックス。 ItemIdentifier。
button | 選択に使用するマウス ボタンのインデックス。 1=左、2=右、3=中央。 MouseButton。


Select メソッド (ListView)

クラス

ListView.

処理

項目を選択します。

構文

C#
listView.Select(item)
VB
listView.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Select メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

日付および時間を選択します。

構文

C#
monthCalendar.Select(selectedDate)
VB
monthCalendar.Select(selectedDate)
変数 | 説明
selectedDate | 選択する日付および時間。 DateTime?。


SelectNextMonth メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

次の月を選択します。

構文

C#
monthCalendar.SelectNextMonth(selectedYear, selectedMonth)
VB
monthCalendar.SelectNextMonth(selectedYear, selectedMonth)
変数 | 説明
selectedYear | 選択する年。 Integer。
selectedMonth | 選択する月。 Integer。


SelectPreviousMonth メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

前の月を選択します。

構文

C#
monthCalendar.SelectPreviousMonth(selectedYear, selectedMonth)
VB
monthCalendar.SelectPreviousMonth(selectedYear, selectedMonth)
変数 | 説明
selectedYear | 選択する年。 Integer。
selectedMonth | 選択する月。 Integer。


SelectToday メソッド (MonthCalendar)

クラス

MonthCalendar.

処理

今日の日付を選択します。

構文

C#
monthCalendar.SelectToday()
VB
monthCalendar.SelectToday()


SetItemFocus メソッド (ListView)

クラス

ListView.

処理

リスト内の項目にフォーカスを与えます。

構文

C#
listView.SetItemFocus(item)
VB
listView.SetItemFocus(item)
変数 | 説明
item | フォーカスする項目。 ItemIdentifier。


State プロパティ (AccessibleControl)

クラス

AccessibleControl.

処理

[読み取り専用] このユーザー補助オブジェクトのさまざまな状態を説明する状態文字列。

構文

C#
protected String State { get; }
VB
'Declaration
Protected Read Property State As String

アクセス

読み取り専用。


Uncheck メソッド (ListView)

クラス

ListView.

処理

項目のチェックを外します。

構文

C#
listView.Uncheck(item)
VB
listView.Uncheck(item)
変数 | 説明
item | チェックを外す項目。 ItemIdentifier。


WrapAround プロパティ (UpDown)

クラス

UpDown.

処理

[読み取り専用] 値が最小値より小さく、最大値より大きい場合にラップ アラウンドするかどうか。

構文

C#
protected Boolean WrapAround { get; }
VB
'Declaration
Protected Read Property WrapAround As Boolean

アクセス

読み取り専用。


AllowsMultiSelect プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] テーブルが複数項目の選択をサポートするかどうか。

構文

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

アクセス

読み取り専用。


AutoResize メソッド (DataGridColumn)

クラス

DataGridColumn.

処理

分割線をダブルクリックして列のサイズを自動的に変更します。

構文

C#
dataGridColumn.AutoResize()
VB
dataGridColumn.AutoResize()


CheckedIndices プロパティ (CheckedListBox)

クラス

CheckedListBox.

処理

[読み書き可能] チェックした項目のインデックス（複数）。

構文

C#
protected List(Of Integer) CheckedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property CheckedIndices As List(Of Integer)

アクセス

読み書き。


CheckedItems プロパティ (CheckedListBox)

クラス

CheckedListBox.

処理

[読み書き可能] チェックした項目の名前（複数）。

構文

C#
protected List(Of ItemIdentifier) CheckedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property CheckedItems As List(Of ItemIdentifier)

アクセス

読み書き。


Check メソッド (CheckedListBox)

クラス

CheckedListBox.

処理

チェック ボックス付きリスト ボックスから項目を選択します。

構文

C#
checkedListBox.Check(item)
VB
checkedListBox.Check(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


ColumnCount プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] DataGrid の列の数。

構文

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

アクセス

読み取り専用。


ColumnItems プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] 列のすべての項目のリスト。

構文

C#
protected List(Of DataGridColumn) ColumnItems { get; }
VB
'Declaration
Protected Read Property ColumnItems As List(Of DataGridColumn)

アクセス

読み取り専用。


Column プロパティ (DataGridItem)

クラス

DataGridItem.

処理

[読み取り専用] データ グリッドの項目の列。 The value is zero-based.。

構文

C#
protected Integer Column { get; }
VB
'Declaration
Protected Read Property Column As Integer

アクセス

読み取り専用。


DecrementDecimal メソッド (NumericUpDown)

クラス

NumericUpDown.

処理

アップダウン コントロールの位置の値を減らします。

構文

C#
numericUpDown.DecrementDecimal([amount])
VB
numericUpDown.DecrementDecimal([amount])
変数 | 説明
amount | 省略可能: 増加させる量。 デフォルト値は '1' です。 Double。


Decrement メソッド (DomainUpDown)

クラス

DomainUpDown.

処理

アップダウン コントロールの位置の値を減らします。

構文

C#
domainUpDown.Decrement([amount])
VB
domainUpDown.Decrement([amount])
変数 | 説明
amount | 省略可能: 増加させる量。 デフォルト値は '1' です。 Integer。


DoubleSelectItem メソッド (DataGrid)

クラス

DataGrid.

処理

項目をダブルクリックします。

構文

C#
dataGrid.DoubleSelectItem(column, row, [modifiers])
VB
dataGrid.DoubleSelectItem(column, row, [modifiers])
変数 | 説明
column | 選択する列のインデックス。 The value is zero-based.。 Integer。
row | 選択する行のインデックス。 The value is zero-based.。 Integer。
modifiers | 省略可能: 項目を選択する際にアクティブな修飾キーの状態。 ModifierKeys。


ExtendSelectItem メソッド (DataGrid)

クラス

DataGrid.

処理

指定した項目に選択範囲を拡張します。

構文

C#
dataGrid.ExtendSelectItem(column, row)
VB
dataGrid.ExtendSelectItem(column, row)
変数 | 説明
column | 選択する列のインデックス。 The value is zero-based.。 Integer。
row | 選択する行のインデックス。 The value is zero-based.。 Integer。


Height プロパティ (DataGridRow)

クラス

DataGridRow.

処理

[読み書き可能] 列の幅。

構文

C#
protected Integer Height { get; set; }
VB
'Declaration
Protected ReadWrite Property Height As Integer

アクセス

読み書き。


IncrementDecimal メソッド (NumericUpDown)

クラス

NumericUpDown.

処理

アップダウン コントロールの位置の値を増やします。

構文

C#
numericUpDown.IncrementDecimal([amount])
VB
numericUpDown.IncrementDecimal([amount])
変数 | 説明
amount | 省略可能: 増加させる量。 デフォルト値は '1' です。 Double。


Increment メソッド (DomainUpDown)

クラス

DomainUpDown.

処理

アップダウン コントロールの位置の値を増やします。

構文

C#
domainUpDown.Increment([amount])
VB
domainUpDown.Increment([amount])
変数 | 説明
amount | 省略可能: 増加させる量。 デフォルト値は '1' です。 Integer。


ItemCount プロパティ (DataGridRow)

クラス

DataGridRow.

処理

[読み取り専用] 行の項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


ItemCount プロパティ (DomainUpDown)

クラス

DomainUpDown.

処理

[読み取り専用] リスト ビューに含まれる項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


Items プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] 列のすべての項目のリスト。

構文

C#
protected List(Of DataGridItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of DataGridItem)

アクセス

読み取り専用。


Items プロパティ (DataGridRow)

クラス

DataGridRow.

処理

[読み取り専用] 行の項目のリスト。

構文

C#
protected List(Of DataGridItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of DataGridItem)

アクセス

読み取り専用。


Items プロパティ (DomainUpDown)

クラス

DomainUpDown.

処理

[読み取り専用] ドメイン アップダウン コントロールの項目。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


LoadAssembly メソッド (FormsWindow)

クラス

FormsWindow.

処理

Windows Forms アプリケーションで指定したパスのアセンブリをロードします。

「動的呼び出し」機能によって呼び出すことができるユーティリティ メソッドを含む追加のアセンブリをロードするための主な使用例です。

構文

C#
formsWindow.LoadAssembly(assemblyFile)
VB
formsWindow.LoadAssembly(assemblyFile)
変数 | 説明
assemblyFile | ロードするアセンブリ ファイルのパスです。 String。


Maximum プロパティ (NumericUpDown)

クラス

NumericUpDown.

処理

[読み書き可能] アップダウン コントロールの最大値。

構文

C#
protected Double Maximum { get; set; }
VB
'Declaration
Protected ReadWrite Property Maximum As Double

アクセス

読み書き。


Minimum プロパティ (NumericUpDown)

クラス

NumericUpDown.

処理

[読み書き可能] アップダウン コントロールの最小値。

構文

C#
protected Double Minimum { get; set; }
VB
'Declaration
Protected ReadWrite Property Minimum As Double

アクセス

読み書き。


MultiSelectItem メソッド (DataGrid)

クラス

DataGrid.

処理

テーブルの行を選択行の集合に追加します。

構文

C#
dataGrid.MultiSelectItem(column, row)
VB
dataGrid.MultiSelectItem(column, row)
変数 | 説明
column | 選択する列のインデックス。 The value is zero-based.。 Integer。
row | 選択する行のインデックス。 The value is zero-based.。 Integer。


MultiUnselectItem メソッド (DataGrid)

クラス

DataGrid.

処理

項目を選択項目の集合から削除します。

構文

C#
dataGrid.MultiUnselectItem(column, row)
VB
dataGrid.MultiUnselectItem(column, row)
変数 | 説明
column | 選択する列のインデックス。 The value is zero-based.。 Integer。
row | 選択する行のインデックス。 The value is zero-based.。 Integer。


PositionDecimal プロパティ (NumericUpDown)

クラス

NumericUpDown.

処理

[読み書き可能] アップダウン コントロールの位置。

構文

C#
protected Double PositionDecimal { get; set; }
VB
'Declaration
Protected ReadWrite Property PositionDecimal As Double

アクセス

読み書き。


Resize メソッド (DataGridColumn)

クラス

DataGridColumn.

処理

列のサイズを変更します。

構文

C#
dataGridColumn.Resize(width)
VB
dataGridColumn.Resize(width)
変数 | 説明
width | 行の新しい幅（ピクセル）。 Integer。


Resize メソッド (DataGridRow)

クラス

DataGridRow.

処理

列のサイズを変更します。

構文

C#
dataGridRow.Resize(height)
VB
dataGridRow.Resize(height)
変数 | 説明
height | 行の新しい高さ（ピクセル）。 Integer。


RowCount プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] DataGrid の行の数。

構文

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

アクセス

読み取り専用。


RowItems プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] 行のすべての項目のリスト。

構文

C#
protected List(Of DataGridRow) RowItems { get; }
VB
'Declaration
Protected Read Property RowItems As List(Of DataGridRow)

アクセス

読み取り専用。


Row プロパティ (DataGridItem)

クラス

DataGridItem.

処理

[読み取り専用] データ グリッドの項目の行。 The value is zero-based.。

構文

C#
protected Integer Row { get; }
VB
'Declaration
Protected Read Property Row As Integer

アクセス

読み取り専用。


ScrollIntoView メソッド (DataGrid)

クラス

DataGrid.

処理

データ グリッドの左上隅に項目を移動しようとします。

構文

C#
dataGrid.ScrollIntoView(column, row)
VB
dataGrid.ScrollIntoView(column, row)
変数 | 説明
column | 列のインデックス。 The value is zero-based.。 Integer。
row | 行のインデックス。 The value is zero-based.。 Integer。


ScrollIntoView メソッド (DataGridColumn)

クラス

DataGridColumn.

処理

データ グリッドをスクロールさせて左側に列を移動しようとします。

構文

C#
dataGridColumn.ScrollIntoView()
VB
dataGridColumn.ScrollIntoView()


ScrollIntoView メソッド (DataGridItem)

クラス

DataGridItem.

処理

データ グリッドの左上隅に項目を移動しようとします。

構文

C#
dataGridItem.ScrollIntoView()
VB
dataGridItem.ScrollIntoView()


ScrollIntoView メソッド (DataGridRow)

クラス

DataGridRow.

処理

データ グリッドをスクロールさせて上側に行を移動しようとします。

構文

C#
dataGridRow.ScrollIntoView()
VB
dataGridRow.ScrollIntoView()


SelectAllItems メソッド (DataGrid)

クラス

DataGrid.

処理

データ グリッド内のすべての項目を選択します。

構文

C#
dataGrid.SelectAllItems()
VB
dataGrid.SelectAllItems()


SelectedIndex プロパティ (DomainUpDown)

クラス

DomainUpDown.

処理

[読み書き可能] アップダウン コントロールの位置。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

アクセス

読み書き。


SelectedItem プロパティ (DomainUpDown)

クラス

DomainUpDown.

処理

[読み書き可能] アップダウン コントロールの位置。

構文

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

アクセス

読み書き。


SelectedItems プロパティ (DataGrid)

クラス

DataGrid.

処理

[読み取り専用] 選択した項目。

構文

C#
protected List(Of DataGridItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of DataGridItem)

アクセス

読み取り専用。


Selected プロパティ (DataGridItem)

クラス

DataGridItem.

処理

[読み取り専用] 項目が選択されているかどうか。

構文

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

アクセス

読み取り専用。


SelectItem メソッド (DataGrid)

クラス

DataGrid.

処理

項目を選択します。

構文

C#
dataGrid.SelectItem(column, row)
VB
dataGrid.SelectItem(column, row)
変数 | 説明
column | 選択する列のインデックス。 The value is zero-based.。 Integer。
row | 選択する行のインデックス。 The value is zero-based.。 Integer。


Select メソッド (DataGridColumn)

クラス

DataGridColumn.

処理

列を選択します。

構文

C#
dataGridColumn.Select([modifiers])
VB
dataGridColumn.Select([modifiers])
変数 | 説明
modifiers | 省略可能: 項目を選択する際にアクティブな修飾キーの状態。 ModifierKeys。


Select メソッド (DataGridItem)

クラス

DataGridItem.

処理

項目を選択します。

構文

C#
dataGridItem.Select([modifiers])
VB
dataGridItem.Select([modifiers])
変数 | 説明
modifiers | 省略可能: 項目を選択する際にアクティブな修飾キーの状態。 ModifierKeys。


Select メソッド (DataGridRow)

クラス

DataGridRow.

処理

列を選択します。

構文

C#
dataGridRow.Select([modifiers])
VB
dataGridRow.Select([modifiers])
変数 | 説明
modifiers | 省略可能: 項目を選択する際にアクティブな修飾キーの状態。 ModifierKeys。


Select メソッド (DomainUpDown)

クラス

DomainUpDown.

処理

項目を選択します。

構文

C#
domainUpDown.Select(item)
VB
domainUpDown.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Uncheck メソッド (CheckedListBox)

クラス

CheckedListBox.

処理

チェック ボックス付きリスト ボックスから項目を選択します。

構文

C#
checkedListBox.Uncheck(item)
VB
checkedListBox.Uncheck(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Width プロパティ (DataGridColumn)

クラス

DataGridColumn.

処理

[読み書き可能] 列の幅。

構文

C#
protected Integer Width { get; set; }
VB
'Declaration
Protected ReadWrite Property Width As Integer

アクセス

読み書き。


WrapAround プロパティ (DomainUpDown)

クラス

DomainUpDown.

処理

[読み取り専用] 値が最小値より小さく、最大値より大きい場合にラップ アラウンドするかどうか。

構文

C#
protected Boolean WrapAround { get; }
VB
'Declaration
Protected Read Property WrapAround As Boolean

アクセス

読み取り専用。


AcceptsReturn プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] ユーザーが Enter キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。

構文

C#
protected Boolean AcceptsReturn { get; }
VB
'Declaration
Protected Read Property AcceptsReturn As Boolean

アクセス

読み取り専用。


AcceptsTab プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] ユーザーが Tab キーを押したときに、テキスト編集コントロールがどのような応答をするかを示す値。

構文

C#
protected Boolean AcceptsTab { get; }
VB
'Declaration
Protected Read Property AcceptsTab As Boolean

アクセス

読み取り専用。


Activate メソッド (WPFWindow)

クラス

WPFWindow.

処理

ウィンドウを前面に表示して、アクティブ化を試みます。

構文

C#
result = window.Activate()
VB
result = window.Activate()
変数 | 説明
result | Boolean。


ActualHeight プロパティ (WPFFrameworkElement)

クラス

WPFFrameworkElement.

処理

[読み取り専用] この要素の描画する高さ。

構文

C#
protected Double ActualHeight { get; }
VB
'Declaration
Protected Read Property ActualHeight As Double

アクセス

読み取り専用。


ActualWidth プロパティ (WPFFrameworkElement)

クラス

WPFFrameworkElement.

処理

[読み取り専用] この要素の描画する幅。

構文

C#
protected Double ActualWidth { get; }
VB
'Declaration
Protected Read Property ActualWidth As Double

アクセス

読み取り専用。


AppendText メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

テキスト コントロールのコンテンツに文字列を追加します。

構文

C#
textBoxBase.AppendText(textData)
VB
textBoxBase.AppendText(textData)
変数 | 説明
textData | テキスト コントロールの現在のコンテンツに追加するテキストを指定する文字列。 String。


Author プロパティ (WPFStickyNoteControl)

クラス

WPFStickyNoteControl.

処理

[読み取り専用] 付箋を作成した作成者の名前。

構文

C#
protected String Author { get; }
VB
'Declaration
Protected Read Property Author As String

アクセス

読み取り専用。


AutoWordSelection プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] マウスのドラッグによって単語の一部が選択された場合に、単語の残りの部分を選択するかどうかを指定する値。

構文

C#
protected Boolean AutoWordSelection { get; }
VB
'Declaration
Protected Read Property AutoWordSelection As Boolean

アクセス

読み取り専用。


Balance プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み書き可能] スピーカ全体に対するボリュームの比率。

構文

C#
protected Double Balance { get; set; }
VB
'Declaration
Protected ReadWrite Property Balance As Double

アクセス

読み書き。


BeginEdit メソッド (WPFDataGrid)

クラス

WPFDataGrid.

処理

指定したセルの編集を開始します。

構文

C#
dataGrid.BeginEdit(row, column)
VB
dataGrid.BeginEdit(row, column)
変数 | 説明
row | 編集する行。 ItemIdentifier。
column | 編集する列。 ItemIdentifier。


BeginEdit メソッド (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

指定したセルの編集を開始します。

構文

C#
toolkitDataGrid.BeginEdit(row, column)
VB
toolkitDataGrid.BeginEdit(row, column)
変数 | 説明
row | 編集する行。 ItemIdentifier。
column | 編集する列。 ItemIdentifier。


BlackoutDates プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 選択不可としてマークされている日付のリスト。

構文

C#
protected List(Of DateTime?) BlackoutDates { get; }
VB
'Declaration
Protected Read Property BlackoutDates As List(Of DateTime?)

アクセス

読み取り専用。


BlackoutDates プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 選択不可としてマークされている日付のリスト。

構文

C#
protected List(Of DateTime?) BlackoutDates { get; }
VB
'Declaration
Protected Read Property BlackoutDates As List(Of DateTime?)

アクセス

読み取り専用。


BringIntoView メソッド (WPFBase)

クラス

WPFBase.

処理

この要素をビューに表示することを試みます。

構文

C#
base.BringIntoView()
VB
base.BringIntoView()


CancelEdit メソッド (WPFDataGrid)

クラス

WPFDataGrid.

処理

編集したセルをキャンセルします。

構文

C#
dataGrid.CancelEdit()
VB
dataGrid.CancelEdit()


CancelEdit メソッド (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

編集したセルをキャンセルします。

構文

C#
toolkitDataGrid.CancelEdit()
VB
toolkitDataGrid.CancelEdit()


CanDecreaseZoom プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] DocumentViewer をさらに縮小表示できるかどうかを示す値。

構文

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

アクセス

読み取り専用。


CanDecreaseZoom プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] 拡大レベルを下げることができるかどうかを示す値。

構文

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

アクセス

読み取り専用。


CanDecreaseZoom プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] 拡大レベルを下げることができるかどうかを示す値。

構文

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

アクセス

読み取り専用。


CanDecreaseZoom プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] 拡大レベルを下げることができるかどうかを示す値。

構文

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

アクセス

読み取り専用。


CanGoBack プロパティ (WPFFrame)

クラス

WPFFrame.

処理

[読み取り専用] "戻る" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。

構文

C#
protected Boolean CanGoBack { get; }
VB
'Declaration
Protected Read Property CanGoBack As Boolean

アクセス

読み取り専用。


CanGoBack プロパティ (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

[読み取り専用] "戻る" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。

構文

C#
protected Boolean CanGoBack { get; }
VB
'Declaration
Protected Read Property CanGoBack As Boolean

アクセス

読み取り専用。


CanGoForward プロパティ (WPFFrame)

クラス

WPFFrame.

処理

[読み取り専用] "進む" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。

構文

C#
protected Boolean CanGoForward { get; }
VB
'Declaration
Protected Read Property CanGoForward As Boolean

アクセス

読み取り専用。


CanGoForward プロパティ (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

[読み取り専用] "進む" ナビゲーション履歴にエントリが 1 つ以上あるかどうかを示す値。

構文

C#
protected Boolean CanGoForward { get; }
VB
'Declaration
Protected Read Property CanGoForward As Boolean

アクセス

読み取り専用。


CanGoToNextPage プロパティ (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

[読み取り専用] ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。

構文

C#
protected Boolean CanGoToNextPage { get; }
VB
'Declaration
Protected Read Property CanGoToNextPage As Boolean

アクセス

読み取り専用。


CanGoToNextPage プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] ビューアーが現在のドキュメント内の次のページに移動できるかどうかを示す値。

構文

C#
protected Boolean CanGoToNextPage { get; }
VB
'Declaration
Protected Read Property CanGoToNextPage As Boolean

アクセス

読み取り専用。


CanGoToPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。

構文

C#
result = documentViewerBase.CanGoToPage(pageNumber)
VB
result = documentViewerBase.CanGoToPage(pageNumber)
変数 | 説明
result | Boolean。
pageNumber | ページ番号。 Integer。


CanGoToPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

ビューアーが、指定したページ番号に移動できるかどうかを示す値を返します。

構文

C#
result = flowDocumentReader.CanGoToPage(pageNumber)
VB
result = flowDocumentReader.CanGoToPage(pageNumber)
変数 | 説明
result | Boolean。
pageNumber | ページ番号。 Integer。


CanGoToPreviousPage プロパティ (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

[読み取り専用] ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。

構文

C#
protected Boolean CanGoToPreviousPage { get; }
VB
'Declaration
Protected Read Property CanGoToPreviousPage As Boolean

アクセス

読み取り専用。


CanGoToPreviousPage プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] ビューアーが現在のドキュメント内の前のページに移動できるかどうかを示す値。

構文

C#
protected Boolean CanGoToPreviousPage { get; }
VB
'Declaration
Protected Read Property CanGoToPreviousPage As Boolean

アクセス

読み取り専用。


CanIncreaseZoom プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] DocumentViewer をさらに拡大表示できるかどうかを示す値。

構文

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

アクセス

読み取り専用。


CanIncreaseZoom プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] 拡大レベルを上げることができるかどうかを示す値。

構文

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

アクセス

読み取り専用。


CanIncreaseZoom プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] 拡大レベルを上げることができるかどうかを示す値。

構文

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

アクセス

読み取り専用。


CanIncreaseZoom プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] 拡大レベルを上げることができるかどうかを示す値。

構文

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

アクセス

読み取り専用。


CanPause プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み取り専用] メディアを一時停止できるかどうかを示す値。

構文

C#
protected Boolean CanPause { get; }
VB
'Declaration
Protected Read Property CanPause As Boolean

アクセス

読み取り専用。


CanRedo プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] 最新の取り消し操作をやり直すことができるかどうかを示す値。

構文

C#
protected Boolean CanRedo { get; }
VB
'Declaration
Protected Read Property CanRedo As Boolean

アクセス

読み取り専用。


CanUndo プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] 最新の操作を元に戻すことができるかどうかを示す値。

構文

C#
protected Boolean CanUndo { get; }
VB
'Declaration
Protected Read Property CanUndo As Boolean

アクセス

読み取り専用。


CaretIndex プロパティ (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

[読み取り専用] キャレットの挿入位置インデックス。

構文

C#
protected Integer CaretIndex { get; }
VB
'Declaration
Protected Read Property CaretIndex As Integer

アクセス

読み取り専用。


CaretIndex プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] キャレットの挿入位置インデックス。

構文

C#
protected Integer CaretIndex { get; }
VB
'Declaration
Protected Read Property CaretIndex As Integer

アクセス

読み取り専用。


Cells プロパティ (WPFDataGridRow)

クラス

WPFDataGridRow.

処理

[読み取り専用] データ グリッド行のセル。

構文

C#
protected List(Of WPFDataGridCell) Cells { get; }
VB
'Declaration
Protected Read Property Cells As List(Of WPFDataGridCell)

アクセス

読み取り専用。


Cells プロパティ (WPFToolkitDataGridRow)

クラス

WPFToolkitDataGridRow.

処理

[読み取り専用] データ グリッドのセル。

構文

C#
protected List(Of WPFToolkitDataGridCell) Cells { get; }
VB
'Declaration
Protected Read Property Cells As List(Of WPFToolkitDataGridCell)

アクセス

読み取り専用。


CharacterCasing プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックスに手動で文字を入力した場合に大文字で入力されるか小文字で入力されるか。

構文

C#
protected CharacterCasing CharacterCasing { get; }
VB
'Declaration
Protected Read Property CharacterCasing As CharacterCasing

アクセス

読み取り専用。


Check メソッド (WPFMenuBase)

クラス

WPFMenuBase.

処理

メニュー項目をチェックします。

構文

C#
menuBase.Check(item)
VB
menuBase.Check(item)
変数 | 説明
item | チェックするメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目をチェックする場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。

例

VB

' '書式' メニューにある '右端で折り返す' メニュー項目をチェックします
menu.Check("書式/右端で折り返す")


Check メソッド (WPFMenuItem)

クラス

WPFMenuItem.

処理

メニュー項目をチェックします。

構文

C#
menuItem.Check()
VB
menuItem.Check()


Check メソッド (WPFToggleButton)

クラス

WPFToggleButton.

処理

ボタンをチェックします。

構文

C#
toggleButton.Check()
VB
toggleButton.Check()


Clear メソッド (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

Password プロパティの値をクリアします。

構文

C#
passwordBox.Clear()
VB
passwordBox.Clear()


Clear メソッド (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

RichTextBox のすべてのコンテンツをクリアします。

構文

C#
richTextBox.Clear()
VB
richTextBox.Clear()


Clear メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

テキスト ボックスのすべてのコンテンツをクリアします。

構文

C#
textBox.Clear()
VB
textBox.Clear()


ClearSelection メソッド (WPFDatePicker)

クラス

WPFDatePicker.

処理

選択範囲をクリアします。

構文

C#
datePicker.ClearSelection()
VB
datePicker.ClearSelection()


ClearSelection メソッド (WPFToolkitDatePicker)

クラス

WPFToolkitDatePicker.

処理

選択範囲をクリアします。

構文

C#
toolkitDatePicker.ClearSelection()
VB
toolkitDatePicker.ClearSelection()


ClickMode プロパティ (WPFButtonBase)

クラス

WPFButtonBase.

処理

[読み取り専用] ボタンをクリックできるかどうかを指定する値。

構文

C#
protected ClickMode ClickMode { get; }
VB
'Declaration
Protected Read Property ClickMode As ClickMode

アクセス

読み取り専用。


Close メソッド (WPFComboBox)

クラス

WPFComboBox.

処理

コンボボックスを閉じます。

構文

C#
comboBox.Close()
VB
comboBox.Close()


Close メソッド (WPFContextMenu)

クラス

WPFContextMenu.

処理

コンテキスト メニューを閉じます。

構文

C#
contextMenu.Close()
VB
contextMenu.Close()


Close メソッド (WPFPopup)

クラス

WPFPopup.

処理

ポップアップ ウィンドウを閉じます。

構文

C#
popup.Close()
VB
popup.Close()


CloseOverflowItems メソッド (WPFToolBar)

クラス

WPFToolBar.

処理

オーバーフロー ツールバー項目の領域を閉じます。

構文

C#
toolBar.CloseOverflowItems()
VB
toolBar.CloseOverflowItems()


CloseSubmenu メソッド (WPFMenuItem)

クラス

WPFMenuItem.

処理

サブメニューが利用可能な場合に閉じます。

構文

C#
menuItem.CloseSubmenu()
VB
menuItem.CloseSubmenu()


Collapse メソッド (WPFExpander)

クラス

WPFExpander.

処理

Expander コントロールを折りたたみます。 ヘッダーのみが表示されます。

構文

C#
expander.Collapse()
VB
expander.Collapse()


Collapse メソッド (WPFStickyNoteControl)

クラス

WPFStickyNoteControl.

処理

付箋を折りたたみます。

構文

C#
stickyNoteControl.Collapse()
VB
stickyNoteControl.Collapse()


Collapse メソッド (WPFTreeView)

クラス

WPFTreeView.

処理

指定した項目を折りたたみます。

構文

C#
treeView.Collapse(item)
VB
treeView.Collapse(item)
変数 | 説明
item | 折りたたむ項目。 ItemPath。


Collapse メソッド (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

項目を折りたたみます。

構文

C#
treeViewItem.Collapse()
VB
treeViewItem.Collapse()


ColumnHeaders プロパティ (WPFListView)

クラス

WPFListView.

処理

[読み取り専用] ヘッダー列。

構文

C#
protected List(Of WPFColumnHeader) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of WPFColumnHeader)

アクセス

読み取り専用。


ColumnHeaders プロパティ (WPFTreeView)

クラス

WPFTreeView.

処理

[読み取り専用] ヘッダー列。

構文

C#
protected List(Of WPFColumnHeader) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of WPFColumnHeader)

アクセス

読み取り専用。


Columns プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッドのすべての列を含むコレクション。

構文

C#
protected List(Of WPFDataGridColumnHeader) Columns { get; }
VB
'Declaration
Protected Read Property Columns As List(Of WPFDataGridColumnHeader)

アクセス

読み取り専用。


Columns プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッドのすべての列を含むコレクション。

構文

C#
protected List(Of WPFToolkitDataGridColumnHeader) Columns { get; }
VB
'Declaration
Protected Read Property Columns As List(Of WPFToolkitDataGridColumnHeader)

アクセス

読み取り専用。


CommitEdit メソッド (WPFDataGrid)

クラス

WPFDataGrid.

処理

編集したセルをコミットします。

構文

C#
dataGrid.CommitEdit()
VB
dataGrid.CommitEdit()


CommitEdit メソッド (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

編集したセルをコミットします。

構文

C#
toolkitDataGrid.CommitEdit()
VB
toolkitDataGrid.CommitEdit()


Content プロパティ (WPFContentControl)

クラス

WPFContentControl.

処理

[読み取り専用] コントロールのコンテンツ。

構文

C#
protected Object Content { get; }
VB
'Declaration
Protected Read Property Content As Object

アクセス

読み取り専用。


Copy メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

テキスト編集コントロールの現在の選択範囲をクリップボードにコピーします。

構文

C#
textBoxBase.Copy()
VB
textBoxBase.Copy()


CurrentCell プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] フォーカスがあるセル。

構文

C#
protected WPFDataGridCell CurrentCell { get; }
VB
'Declaration
Protected Read Property CurrentCell As WPFDataGridCell

アクセス

読み取り専用。


CurrentCell プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] フォーカスがあるセル。

構文

C#
protected WPFToolkitDataGridCell CurrentCell { get; }
VB
'Declaration
Protected Read Property CurrentCell As WPFToolkitDataGridCell

アクセス

読み取り専用。


Cut メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

テキスト編集コントロールの現在の選択範囲を削除してクリップボードにコピーします。

構文

C#
textBoxBase.Cut()
VB
textBoxBase.Cut()


DecreaseLarge メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider の値を大きい単位で減らします。

構文

C#
slider.DecreaseLarge()
VB
slider.DecreaseLarge()


DecreaseSmall メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider の値を小さい単位で減らします。

構文

C#
slider.DecreaseSmall()
VB
slider.DecreaseSmall()


DecreaseZoom メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 1 ズーム ステップ分縮小表示します。

構文

C#
documentViewer.DecreaseZoom()
VB
documentViewer.DecreaseZoom()


DecreaseZoom メソッド (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

ズームを縮小させます。

構文

C#
flowDocumentPageViewer.DecreaseZoom()
VB
flowDocumentPageViewer.DecreaseZoom()


DecreaseZoom メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

ズームを縮小させます。

構文

C#
flowDocumentReader.DecreaseZoom()
VB
flowDocumentReader.DecreaseZoom()


DecreaseZoom メソッド (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

ズームを縮小させます。

構文

C#
flowDocumentScrollViewer.DecreaseZoom()
VB
flowDocumentScrollViewer.DecreaseZoom()


Delay プロパティ (WPFRepeatButton)

クラス

WPFRepeatButton.

処理

[読み取り専用] RepeatButton が押されている間に、繰り返しが開始されるまで待機する時間 (ミリ秒単位) 。

構文

C#
protected Integer Delay { get; }
VB
'Declaration
Protected Read Property Delay As Integer

アクセス

読み取り専用。


Delay プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] RepeatButton が押されている間に、Thumb を移動するコマンドが実行されるまで待機する時間 (ミリ秒単位) 。

構文

C#
protected Integer Delay { get; }
VB
'Declaration
Protected Read Property Delay As Integer

アクセス

読み取り専用。


DeselectAll メソッド (WPFListBox)

クラス

WPFListBox.

処理

複数選択リスト ボックスの選択をクリアします。

構文

C#
listBox.DeselectAll()
VB
listBox.DeselectAll()


Deselect メソッド (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

セルの選択を解除します。

構文

C#
dataGridCell.Deselect()
VB
dataGridCell.Deselect()


Deselect メソッド (WPFDataGridRow)

クラス

WPFDataGridRow.

処理

行の選択を解除します。

構文

C#
dataGridRow.Deselect()
VB
dataGridRow.Deselect()


Deselect メソッド (WPFListBoxItem)

クラス

WPFListBoxItem.

処理

リスト ボックス項目の選択を解除します。

構文

C#
listBoxItem.Deselect()
VB
listBoxItem.Deselect()


Deselect メソッド (WPFTabItem)

クラス

WPFTabItem.

処理

項目の選択を解除します。

構文

C#
tabItem.Deselect()
VB
tabItem.Deselect()


Deselect メソッド (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

セルの選択を解除します。

構文

C#
toolkitDataGridCell.Deselect()
VB
toolkitDataGridCell.Deselect()


Deselect メソッド (WPFToolkitDataGridRow)

クラス

WPFToolkitDataGridRow.

処理

行の選択を解除します。

構文

C#
toolkitDataGridRow.Deselect()
VB
toolkitDataGridRow.Deselect()


DisplayDateEnd プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] カレンダーで利用可能な日付の範囲における最後の日付。

構文

C#
protected DateTime? DisplayDateEnd { get; }
VB
'Declaration
Protected Read Property DisplayDateEnd As DateTime?

アクセス

読み取り専用。


DisplayDateEnd プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] カレンダーで利用可能な日付の範囲における最後の日付。

構文

C#
protected DateTime? DisplayDateEnd { get; }
VB
'Declaration
Protected Read Property DisplayDateEnd As DateTime?

アクセス

読み取り専用。


DisplayDate プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 表示する日付。

構文

C#
protected DateTime? DisplayDate { get; }
VB
'Declaration
Protected Read Property DisplayDate As DateTime?

アクセス

読み取り専用。


DisplayDate プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 表示する日付。

構文

C#
protected DateTime? DisplayDate { get; }
VB
'Declaration
Protected Read Property DisplayDate As DateTime?

アクセス

読み取り専用。


DisplayDateStart プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] カレンダーで利用可能な最初の日付。

構文

C#
protected DateTime? DisplayDateStart { get; }
VB
'Declaration
Protected Read Property DisplayDateStart As DateTime?

アクセス

読み取り専用。


DisplayDateStart プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] カレンダーで利用可能な最初の日付。

構文

C#
protected DateTime? DisplayDateStart { get; }
VB
'Declaration
Protected Read Property DisplayDateStart As DateTime?

アクセス

読み取り専用。


DisplayMode プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] カレンダーで月、年、10 年のいずれを表示するかを指定する値。

構文

C#
protected CalendarMode DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As CalendarMode

アクセス

読み取り専用。


DisplayMode プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] カレンダーで月、年、10 年のいずれを表示するかを指定する値。

構文

C#
protected CalendarMode DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As CalendarMode

アクセス

読み取り専用。


DragCancel メソッド (WPFThumb)

クラス

WPFThumb.

処理

ドラッグ操作をキャンセルします。

構文

C#
thumb.DragCancel()
VB
thumb.DragCancel()


DragComplete メソッド (WPFThumb)

クラス

WPFThumb.

処理

ドラッグ操作を完了します。

構文

C#
thumb.DragComplete(horizontalChange, verticalChange)
VB
thumb.DragComplete(horizontalChange, verticalChange)
変数 | 説明
horizontalChange | マウスが移動した水平距離。 Double。
verticalChange | マウスが移動した垂直距離。 Double。


DragDelta メソッド (WPFThumb)

クラス

WPFThumb.

処理

現在のドラッグ操作の変化量です。

構文

C#
thumb.DragDelta(horizontalChange, verticalChange)
VB
thumb.DragDelta(horizontalChange, verticalChange)
変数 | 説明
horizontalChange | マウスが移動した水平距離。 Double。
verticalChange | マウスが移動した垂直距離。 Double。


DragStart メソッド (WPFThumb)

クラス

WPFThumb.

処理

ドラッグ操作を開始します。

構文

C#
thumb.DragStart(horizontalOffset, verticalOffset)
VB
thumb.DragStart(horizontalOffset, verticalOffset)
変数 | 説明
horizontalOffset | マウス クリックの水平方向のオフセット。 Double。
verticalOffset | マウス クリックの垂直方向のオフセット。 Double。


ExpandAll メソッド (WPFTreeView)

クラス

WPFTreeView.

処理

ツリー内のすべての項目を展開します。

構文

C#
treeView.ExpandAll()
VB
treeView.ExpandAll()


ExpandDirection プロパティ (WPFExpander)

クラス

WPFExpander.

処理

[読み取り専用] Expander コンテンツ ウィンドウの表示方向。

構文

C#
protected ExpandDirection ExpandDirection { get; }
VB
'Declaration
Protected Read Property ExpandDirection As ExpandDirection

アクセス

読み取り専用。


Expand メソッド (WPFExpander)

クラス

WPFExpander.

処理

Expander コントロールを展開します。

構文

C#
expander.Expand()
VB
expander.Expand()


Expand メソッド (WPFStickyNoteControl)

クラス

WPFStickyNoteControl.

処理

付箋を展開します。

構文

C#
stickyNoteControl.Expand()
VB
stickyNoteControl.Expand()


Expand メソッド (WPFTreeView)

クラス

WPFTreeView.

処理

指定した項目を展開します。

構文

C#
treeView.Expand(item)
VB
treeView.Expand(item)
変数 | 説明
item | 展開する項目。 ItemPath。


Expand メソッド (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

項目を展開します。

構文

C#
treeViewItem.Expand()
VB
treeViewItem.Expand()


ExpandSubTree メソッド (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

このツリー項目の下のサブツリーを展開します。

構文

C#
treeViewItem.ExpandSubTree()
VB
treeViewItem.ExpandSubTree()


FirstDayOfWeek プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 週の初めと考えられる曜日。

構文

C#
protected CalendarDayOfWeek FirstDayOfWeek { get; }
VB
'Declaration
Protected Read Property FirstDayOfWeek As CalendarDayOfWeek

アクセス

読み取り専用。


FirstDayOfWeek プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 週の初めと考えられる曜日。

構文

C#
protected CalendarDayOfWeek FirstDayOfWeek { get; }
VB
'Declaration
Protected Read Property FirstDayOfWeek As CalendarDayOfWeek

アクセス

読み取り専用。


FirstPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

最初のページに移動します。

構文

C#
documentViewerBase.FirstPage()
VB
documentViewerBase.FirstPage()


FirstPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

最初のページに移動します。

構文

C#
flowDocumentReader.FirstPage()
VB
flowDocumentReader.FirstPage()


FitToHeight メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

単一のページを現在のビューポートの高さに収めます。

構文

C#
documentViewer.FitToHeight()
VB
documentViewer.FitToHeight()


FitToWidth メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

単一のページを現在のビューポートの幅に収めます。

構文

C#
documentViewer.FitToWidth()
VB
documentViewer.FitToWidth()


FontFamily プロパティ (WPFControl)

クラス

WPFControl.

処理

[読み取り専用] TextBlock のトップレベルの優先フォント ファミリー。

構文

C#
protected String FontFamily { get; }
VB
'Declaration
Protected Read Property FontFamily As String

アクセス

読み取り専用。


FontFamily プロパティ (WPFTextBlock)

クラス

WPFTextBlock.

処理

[読み取り専用] TextBlock のトップレベルの優先フォント ファミリー。

構文

C#
protected String FontFamily { get; }
VB
'Declaration
Protected Read Property FontFamily As String

アクセス

読み取り専用。


FontSize プロパティ (WPFControl)

クラス

WPFControl.

処理

[読み取り専用] TextBlock のトップレベルのフォント サイズ。

構文

C#
protected Double FontSize { get; }
VB
'Declaration
Protected Read Property FontSize As Double

アクセス

読み取り専用。


FontSize プロパティ (WPFTextBlock)

クラス

WPFTextBlock.

処理

[読み取り専用] TextBlock のトップレベルのフォント サイズ。

構文

C#
protected Double FontSize { get; }
VB
'Declaration
Protected Read Property FontSize As Double

アクセス

読み取り専用。


GetCharacterIndexFromLineIndex メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

指定した行の最初の文字を示す 0 を基準としたインデックス値を返します。

構文

C#
characterIndexFromLineIndex = textBox.GetCharacterIndexFromLineIndex(lineIndex)
VB
characterIndexFromLineIndex = textBox.GetCharacterIndexFromLineIndex(lineIndex)
変数 | 説明
characterIndexFromLineIndex | Integer。
lineIndex | 最初の文字を取得するための行の 0 を基準としたインデックス。 Integer。


GetFirstVisibleLineIndex メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

現在テキスト ボックスに表示されている最初の行に対応する行インデックスを返します。

構文

C#
firstVisibleLineIndex = textBox.GetFirstVisibleLineIndex()
VB
firstVisibleLineIndex = textBox.GetFirstVisibleLineIndex()
変数 | 説明
firstVisibleLineIndex | Integer。


GetLastVisibleLineIndex メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

現在テキスト ボックスに表示されている最後の行に対応する行インデックスを返します。

構文

C#
lastVisibleLineIndex = textBox.GetLastVisibleLineIndex()
VB
lastVisibleLineIndex = textBox.GetLastVisibleLineIndex()
変数 | 説明
lastVisibleLineIndex | Integer。


GetLineIndexFromCharacterIndex メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

指定された文字インデックスが含まれている行に対応する、0 を基準とした行インデックスを返します。

構文

C#
lineIndexFromCharacterIndex = textBox.GetLineIndexFromCharacterIndex(charIndex)
VB
lineIndexFromCharacterIndex = textBox.GetLineIndexFromCharacterIndex(charIndex)
変数 | 説明
lineIndexFromCharacterIndex | Integer。
charIndex | 関連付けられた行インデックスを取得するための 0 を基準とした文字インデックス。 Integer。


GetLineLength メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

指定した行の文字の数を返します。

構文

C#
lineLength = textBox.GetLineLength(lineIndex)
VB
lineLength = textBox.GetLineLength(lineIndex)
変数 | 説明
lineLength | Integer。
lineIndex | 文字数を返すための 0 を基準とした行インデックス。 Integer。


GetLineText メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

指定した行に現在表示されているテキストを返します。

構文

C#
lineText = textBox.GetLineText(lineIndex)
VB
lineText = textBox.GetLineText(lineIndex)
変数 | 説明
lineText | String。
lineIndex | 現在表示されているテキストを取得するための 0 を基準とした行インデックス。 Integer。


GetMaximumScrollPosition メソッド (IWPFScrollable)

クラス

IWPFScrollable.

処理

ScrollViewer の最大位置を取得します。

構文

C#
maximumScrollPosition = iWPFScrollable.GetMaximumScrollPosition(orientation)
VB
maximumScrollPosition = iWPFScrollable.GetMaximumScrollPosition(orientation)
変数 | 説明
maximumScrollPosition | Double。
orientation | 取得するスクロールバーが水平方向か垂直方向かを指定。 Orientation。


GetScrollPosition メソッド (IWPFScrollable)

クラス

IWPFScrollable.

処理

ScrollViewer の位置を返します。

構文

C#
scrollPosition = iWPFScrollable.GetScrollPosition(orientation)
VB
scrollPosition = iWPFScrollable.GetScrollPosition(orientation)
変数 | 説明
scrollPosition | Double。
orientation | 取得するスクロールバーが水平方向か垂直方向かを指定。 Orientation。


GoBack メソッド (WPFFrame)

クラス

WPFFrame.

処理

"戻る" ナビゲーション履歴の最新の項目に移動します。

構文

C#
frame.GoBack()
VB
frame.GoBack()


GoBack メソッド (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

"戻る" ナビゲーション履歴の最新の項目に移動します。

構文

C#
navigationWindow.GoBack()
VB
navigationWindow.GoBack()


GoForward メソッド (WPFFrame)

クラス

WPFFrame.

処理

"進む" ナビゲーション履歴の最新の項目に移動します。

構文

C#
frame.GoForward()
VB
frame.GoForward()


GoForward メソッド (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

"進む" ナビゲーション履歴の最新の項目に移動します。

構文

C#
navigationWindow.GoForward()
VB
navigationWindow.GoForward()


GoToPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

指定したページに移動します。

構文

C#
documentViewerBase.GoToPage(pageNumber)
VB
documentViewerBase.GoToPage(pageNumber)
変数 | 説明
pageNumber | ページ番号。 Integer。


GoToPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

指定したページに移動します。

構文

C#
flowDocumentReader.GoToPage(pageNumber)
VB
flowDocumentReader.GoToPage(pageNumber)
変数 | 説明
pageNumber | ページ番号。 Integer。


GroupName プロパティ (WPFRadioButton)

クラス

WPFRadioButton.

処理

[読み取り専用] このラジオ ボタンのグループ名。

構文

C#
protected String GroupName { get; }
VB
'Declaration
Protected Read Property GroupName As String

アクセス

読み取り専用。


HasAudio プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み取り専用] メディアにオーディオが含まれているかどうかを示す値。

構文

C#
protected Boolean HasAudio { get; }
VB
'Declaration
Protected Read Property HasAudio As Boolean

アクセス

読み取り専用。


HasContent プロパティ (WPFContentControl)

クラス

WPFContentControl.

処理

[読み取り専用] ContentControl にコンテンツが含まれているかどうかを示す値。

構文

C#
protected Boolean HasContent { get; }
VB
'Declaration
Protected Read Property HasContent As Boolean

アクセス

読み取り専用。


HasItems プロパティ (WPFItemsControl)

クラス

WPFItemsControl.

処理

[読み取り専用] ItemsControl に項目が含まれているかどうかを示す値。

構文

C#
protected Boolean HasItems { get; }
VB
'Declaration
Protected Read Property HasItems As Boolean

アクセス

読み取り専用。


HasOverflowItems プロパティ (WPFToolBar)

クラス

WPFToolBar.

処理

[読み取り専用] ツールバーに表示されない項目が含まれているかどうかを示す値。

構文

C#
protected Boolean HasOverflowItems { get; }
VB
'Declaration
Protected Read Property HasOverflowItems As Boolean

アクセス

読み取り専用。


HasSubmenu プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] メニュー項目にサブメニューがあるかどうか。

構文

C#
protected Boolean HasSubmenu { get; }
VB
'Declaration
Protected Read Property HasSubmenu As Boolean

アクセス

読み取り専用。


HasVideo プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み取り専用] メディアにビデオが含まれているかどうかを示す値。

構文

C#
protected Boolean HasVideo { get; }
VB
'Declaration
Protected Read Property HasVideo As Boolean

アクセス

読み取り専用。


HorizontalOffset プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] 対象の左開始位置からポップアップの配置ポイントまでの横方向の距離。 これは依存関係プロパティです。

構文

C#
protected Double HorizontalOffset { get; }
VB
'Declaration
Protected Read Property HorizontalOffset As Double

アクセス

読み取り専用。


HorizontalOffset プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] 水平方向のスクロール位置。

構文

C#
protected Double HorizontalOffset { get; }
VB
'Declaration
Protected Read Property HorizontalOffset As Double

アクセス

読み取り専用。


HorizontalScrollBarVisibility プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] 水平スクロール バーが表示されるかどうかを示す値。

構文

C#
protected ScrollBarVisibility HorizontalScrollBarVisibility { get; }
VB
'Declaration
Protected Read Property HorizontalScrollBarVisibility As ScrollBarVisibility

アクセス

読み取り専用。


IncreaseLarge メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider の値を大きい単位で増やします。

構文

C#
slider.IncreaseLarge()
VB
slider.IncreaseLarge()


IncreaseSmall メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider の値を小さい単位で増やします。

構文

C#
slider.IncreaseSmall()
VB
slider.IncreaseSmall()


IncreaseZoom メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 1 ズーム ステップ分拡大表示します。

構文

C#
documentViewer.IncreaseZoom()
VB
documentViewer.IncreaseZoom()


IncreaseZoom メソッド (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

ズームを拡大させます。

構文

C#
flowDocumentPageViewer.IncreaseZoom()
VB
flowDocumentPageViewer.IncreaseZoom()


IncreaseZoom メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

ズームを拡大させます。

構文

C#
flowDocumentReader.IncreaseZoom()
VB
flowDocumentReader.IncreaseZoom()


IncreaseZoom メソッド (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

ズームを拡大させます。

構文

C#
flowDocumentScrollViewer.IncreaseZoom()
VB
flowDocumentScrollViewer.IncreaseZoom()


Interval プロパティ (WPFRepeatButton)

クラス

WPFRepeatButton.

処理

[読み取り専用] 繰り返しが開始された後の繰り返し間隔 (ミリ秒単位) 。

構文

C#
protected Integer Interval { get; }
VB
'Declaration
Protected Read Property Interval As Integer

アクセス

読み取り専用。


IsCancel プロパティ (WPFButton)

クラス

WPFButton.

処理

[読み取り専用] ボタンが [キャンセル] ボタンかどうかを示す値。 ユーザーが Esc キーを押すことによって、[キャンセル] ボタンをアクティブ化できます。 これは依存関係プロパティです。

構文

C#
protected Boolean IsCancel { get; }
VB
'Declaration
Protected Read Property IsCancel As Boolean

アクセス

読み取り専用。


IsChecked プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] メニュー項目がチェックされているかどうかを示す値。

構文

C#
protected Boolean IsChecked { get; }
VB
'Declaration
Protected Read Property IsChecked As Boolean

アクセス

読み取り専用。


IsChecked プロパティ (WPFToggleButton)

クラス

WPFToggleButton.

処理

[読み取り専用] ボタンがチェックされているかどうか。

構文

C#
protected Boolean IsChecked { get; }
VB
'Declaration
Protected Read Property IsChecked As Boolean

アクセス

読み取り専用。


IsDefaulted プロパティ (WPFButton)

クラス

WPFButton.

処理

[読み取り専用] ボタンが、ユーザーが Enter を押すとアクティブ化されるボタンかどうかを示す値。 これは依存関係プロパティです。

構文

C#
protected Boolean IsDefaulted { get; }
VB
'Declaration
Protected Read Property IsDefaulted As Boolean

アクセス

読み取り専用。


IsDefault プロパティ (WPFButton)

クラス

WPFButton.

処理

[読み取り専用] ボタンがデフォルト ボタンかどうかを示す値。 ユーザーが Enter キーを押すことによって、デフォルト ボタンが呼び出されます。 これは依存関係プロパティです。

構文

C#
protected Boolean IsDefault { get; }
VB
'Declaration
Protected Read Property IsDefault As Boolean

アクセス

読み取り専用。


IsDirectionReversed プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] 値を増加させる方向。

構文

C#
protected Boolean IsDirectionReversed { get; }
VB
'Declaration
Protected Read Property IsDirectionReversed As Boolean

アクセス

読み取り専用。


IsDropDownOpen プロパティ (WPFComboBox)

クラス

WPFComboBox.

処理

[読み取り専用] コンボ ボックスのドロップダウンが現在開いているかどうかを示す値。

構文

C#
protected Boolean IsDropDownOpen { get; }
VB
'Declaration
Protected Read Property IsDropDownOpen As Boolean

アクセス

読み取り専用。


IsEditable プロパティ (WPFComboBox)

クラス

WPFComboBox.

処理

[読み取り専用] コンボ ボックスのテキスト ボックス内のテキストの編集を有効または無効にする値。

構文

C#
protected Boolean IsEditable { get; }
VB
'Declaration
Protected Read Property IsEditable As Boolean

アクセス

読み取り専用。


IsEditing プロパティ (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

[読み取り専用] セルが編集モードであるかどうかを示す値。

構文

C#
protected Boolean IsEditing { get; }
VB
'Declaration
Protected Read Property IsEditing As Boolean

アクセス

読み取り専用。


IsEditing プロパティ (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

[読み取り専用] セルが編集モードであるかどうかを示す値。

構文

C#
protected Boolean IsEditing { get; }
VB
'Declaration
Protected Read Property IsEditing As Boolean

アクセス

読み取り専用。


IsEnabled プロパティ (WPFBase)

クラス

WPFBase.

処理

[読み取り専用] この要素がユーザー インターフェイス (UI) で有効かどうかを示す値。

構文

C#
protected Boolean IsEnabled { get; }
VB
'Declaration
Protected Read Property IsEnabled As Boolean

アクセス

読み取り専用。


IsExpanded プロパティ (WPFExpander)

クラス

WPFExpander.

処理

[読み取り専用] Expander コンテンツ ウィンドウが表示されているかどうか。

構文

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

アクセス

読み取り専用。


IsExpanded プロパティ (WPFStickyNoteControl)

クラス

WPFStickyNoteControl.

処理

[読み取り専用] StickyNoteControl が展開されているかどうかを示す値。

構文

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

アクセス

読み取り専用。


IsExpanded プロパティ (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

[読み取り専用] TreeViewItem 内の入れ子になった項目が展開されているか、折りたたまれているか。

構文

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

アクセス

読み取り専用。


IsLocked プロパティ (WPFToolBarTray)

クラス

WPFToolBarTray.

処理

[読み取り専用] ToolBar を ToolBarTray 内に移動できるかどうかを示す値。

構文

C#
protected Boolean IsLocked { get; }
VB
'Declaration
Protected Read Property IsLocked As Boolean

アクセス

読み取り専用。


IsMainMenu プロパティ (WPFMenu)

クラス

WPFMenu.

処理

[読み取り専用] この Menu がメイン メニューのアクティブ化の通知を受け取るかどうかを示す値。

構文

C#
protected Boolean IsMainMenu { get; }
VB
'Declaration
Protected Read Property IsMainMenu As Boolean

アクセス

読み取り専用。


IsMediaLoaded プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み取り専用] コンテンツが読み込まれたことを示す値。

構文

C#
protected Boolean IsMediaLoaded { get; }
VB
'Declaration
Protected Read Property IsMediaLoaded As Boolean

アクセス

読み取り専用。


IsMoveToPointEnabled プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] マウス ポインターが Slider トラック上にある間にマウス クリックが生じた場合、その位置に Slider の Thumb を直ちに移動させるかどうかを示す値。

構文

C#
protected Boolean IsMoveToPointEnabled { get; }
VB
'Declaration
Protected Read Property IsMoveToPointEnabled As Boolean

アクセス

読み取り専用。


IsMuted プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み書き可能] オーディオがミュートされているかどうかを示す値。

構文

C#
protected Boolean IsMuted { get; set; }
VB
'Declaration
Protected ReadWrite Property IsMuted As Boolean

アクセス

読み書き。


IsOpen プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] コンテキスト メニューが開いているかどうかを示す値。

構文

C#
protected Boolean IsOpen { get; }
VB
'Declaration
Protected Read Property IsOpen As Boolean

アクセス

読み取り専用。


IsOverflowOpen プロパティ (WPFToolBar)

クラス

WPFToolBar.

処理

[読み取り専用] ツールー バー オーバーフロー領域が現在表示されているかどうかを示す値。

構文

C#
protected Boolean IsOverflowOpen { get; }
VB
'Declaration
Protected Read Property IsOverflowOpen As Boolean

アクセス

読み取り専用。


IsPressed プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] メニュー項目が押されているかどうかを示す値。

構文

C#
protected Boolean IsPressed { get; }
VB
'Declaration
Protected Read Property IsPressed As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFComboBox)

クラス

WPFComboBox.

処理

[読み取り専用] コンボ ボックスが選択専用モードかどうかを返します。選択専用モードでは、コンボ ボックスの内容は選択可能ですが、編集することはできません。

構文

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッド内の値をユーザーが編集できるかどうかを示す値。

構文

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

[読み取り専用] セルを編集モードにすることができるかどうかを示す値。

構文

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] コントロールに対してユーザーが操作するテキスト編集コントロールが読み取り専用かどうかを示す値。

構文

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッド内の値をユーザーが編集できるかどうかを示す値。

構文

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsReadOnly プロパティ (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

[読み取り専用] セルを編集モードにすることができるかどうかを示す値。

構文

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

[読み取り専用] セルが選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFDataGridRow)

クラス

WPFDataGridRow.

処理

[読み取り専用] 行が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFListBoxItem)

クラス

WPFListBoxItem.

処理

[読み取り専用] リスト ボックス項目が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFTabItem)

クラス

WPFTabItem.

処理

[読み取り専用] タブ項目が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

[読み取り専用] セルが選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFToolkitDataGridRow)

クラス

WPFToolkitDataGridRow.

処理

[読み取り専用] 行が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelected プロパティ (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

[読み取り専用] ツリー ビュー項目が選択されているかどうかを示す値。

構文

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

アクセス

読み取り専用。


IsSelectionRangeEnabled プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider で、Slider に沿って選択範囲を表示するかどうかを示す値。

構文

C#
protected Boolean IsSelectionRangeEnabled { get; }
VB
'Declaration
Protected Read Property IsSelectionRangeEnabled As Boolean

アクセス

読み取り専用。


IsSnapToTickEnabled プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider で、最も近い目盛りに Thumb を自動的に移動するかどうかを示す値。

構文

C#
protected Boolean IsSnapToTickEnabled { get; }
VB
'Declaration
Protected Read Property IsSnapToTickEnabled As Boolean

アクセス

読み取り専用。


IsSpellCheckEnabled プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] スペル チェックが有効かどうか。

構文

C#
protected Boolean IsSpellCheckEnabled { get; }
VB
'Declaration
Protected Read Property IsSpellCheckEnabled As Boolean

アクセス

読み取り専用。


IsSubmenuOpen プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] メニュー項目のサブメニューが開いているかどうかを示す値。

構文

C#
protected Boolean IsSubmenuOpen { get; }
VB
'Declaration
Protected Read Property IsSubmenuOpen As Boolean

アクセス

読み取り専用。


IsTabStop プロパティ (WPFControl)

クラス

WPFControl.

処理

[読み取り専用] コントロールがタブ ナビゲーションに含まれるかどうかを示す値。

構文

C#
protected Boolean IsTabStop { get; }
VB
'Declaration
Protected Read Property IsTabStop As Boolean

アクセス

読み取り専用。


IsTextSearchEnabled プロパティ (WPFItemsControl)

クラス

WPFItemsControl.

処理

[読み取り専用] ItemsControl インスタンスで TextSearch が有効かどうかを示す値。

構文

C#
protected Boolean IsTextSearchEnabled { get; }
VB
'Declaration
Protected Read Property IsTextSearchEnabled As Boolean

アクセス

読み取り専用。


IsThreeState プロパティ (WPFToggleButton)

クラス

WPFToggleButton.

処理

[読み取り専用] コントロールが 2 つの状態をサポートするのか 3 つの状態をサポートするのか。

構文

C#
protected Boolean IsThreeState { get; }
VB
'Declaration
Protected Read Property IsThreeState As Boolean

アクセス

読み取り専用。


IsTodayHighlighted プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 現在の日付がハイライトされるかどうかを示す値。

構文

C#
protected Boolean IsTodayHighlighted { get; }
VB
'Declaration
Protected Read Property IsTodayHighlighted As Boolean

アクセス

読み取り専用。


IsTodayHighlighted プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 現在の日付がハイライトされるかどうかを示す値。

構文

C#
protected Boolean IsTodayHighlighted { get; }
VB
'Declaration
Protected Read Property IsTodayHighlighted As Boolean

アクセス

読み取り専用。


IsUndoEnabled プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] テキスト編集コントロールの取り消しのサポートが有効かどうかを示す値。

構文

C#
protected Boolean IsUndoEnabled { get; }
VB
'Declaration
Protected Read Property IsUndoEnabled As Boolean

アクセス

読み取り専用。


Items プロパティ (WPFItemsControl)

クラス

WPFItemsControl.

処理

[読み取り専用] 項目の完全なリスト。

構文

C#
protected List(Of WPFBase) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of WPFBase)

アクセス

読み取り専用。


ItemTexts プロパティ (WPFItemsControl)

クラス

WPFItemsControl.

処理

[読み取り専用] 項目テキストの完全なリスト。

構文

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

アクセス

読み取り専用。


LargeChange プロパティ (WPFRangeBase)

クラス

WPFRangeBase.

処理

[読み取り専用] RangeBase コントロールの値に対して加算または減算する値。

構文

C#
protected Double LargeChange { get; }
VB
'Declaration
Protected Read Property LargeChange As Double

アクセス

読み取り専用。


LastPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

最後のページに移動します。

構文

C#
documentViewerBase.LastPage()
VB
documentViewerBase.LastPage()


LastPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

最後のページに移動します。

構文

C#
flowDocumentReader.LastPage()
VB
flowDocumentReader.LastPage()


Length プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み取り専用] メディアの自然な実行時間（秒）。

構文

C#
protected Double Length { get; }
VB
'Declaration
Protected Read Property Length As Double

アクセス

読み取り専用。


LineCount プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックス内の行の合計数。

構文

C#
protected Integer LineCount { get; }
VB
'Declaration
Protected Read Property LineCount As Integer

アクセス

読み取り専用。


LoadAssembly メソッド (WPFWindow)

クラス

WPFWindow.

処理

WPF アプリケーションで指定したパスのアセンブリをロードします。

「動的呼び出し」機能によって呼び出すことができるユーティリティ メソッドを含む追加のアセンブリをロードするための主な使用例です。

構文

C#
window.LoadAssembly(assemblyFile)
VB
window.LoadAssembly(assemblyFile)
変数 | 説明
assemblyFile | ロードするアセンブリ ファイルのパスです。 String。


MasterPageNumber プロパティ (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

[読み取り専用] 現在のマスター ページのページ番号。

構文

C#
protected Integer MasterPageNumber { get; }
VB
'Declaration
Protected Read Property MasterPageNumber As Integer

アクセス

読み取り専用。


MaxDropDownHeight プロパティ (WPFComboBox)

クラス

WPFComboBox.

処理

[読み取り専用] コンボ ボックス ドロップダウンの最大の高さ。

構文

C#
protected Double MaxDropDownHeight { get; }
VB
'Declaration
Protected Read Property MaxDropDownHeight As Double

アクセス

読み取り専用。


Maximum プロパティ (WPFRangeBase)

クラス

WPFRangeBase.

処理

[読み取り専用] 範囲要素に指定できる最大の値。

構文

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

アクセス

読み取り専用。


MaxLength プロパティ (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

[読み取り専用] この PasswordBox によって処理されるパスワードの最大長。

構文

C#
protected Integer MaxLength { get; }
VB
'Declaration
Protected Read Property MaxLength As Integer

アクセス

読み取り専用。


MaxLength プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックスに手動で入力できる最大文字数。

構文

C#
protected Integer MaxLength { get; }
VB
'Declaration
Protected Read Property MaxLength As Integer

アクセス

読み取り専用。


MaxLines プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] 表示行の最大数。

構文

C#
protected Integer MaxLines { get; }
VB
'Declaration
Protected Read Property MaxLines As Integer

アクセス

読み取り専用。


MaxZoom プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] FlowDocumentPageViewer に使用できる最大の拡大レベル。

構文

C#
protected Double MaxZoom { get; }
VB
'Declaration
Protected Read Property MaxZoom As Double

アクセス

読み取り専用。


MaxZoom プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] FlowDocumentReader に使用できる最大の拡大レベル。

構文

C#
protected Double MaxZoom { get; }
VB
'Declaration
Protected Read Property MaxZoom As Double

アクセス

読み取り専用。


MaxZoom プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] FlowDocumentScrollViewer に使用できる最大の拡大レベル。

構文

C#
protected Double MaxZoom { get; }
VB
'Declaration
Protected Read Property MaxZoom As Double

アクセス

読み取り専用。


Minimum プロパティ (WPFRangeBase)

クラス

WPFRangeBase.

処理

[読み取り専用] 範囲要素に指定できる最小の値。

構文

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

アクセス

読み取り専用。


MinLines プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] 表示行の最小数。

構文

C#
protected Integer MinLines { get; }
VB
'Declaration
Protected Read Property MinLines As Integer

アクセス

読み取り専用。


MinZoom プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] FlowDocumentPageViewer に使用できる最小の拡大レベル。

構文

C#
protected Double MinZoom { get; }
VB
'Declaration
Protected Read Property MinZoom As Double

アクセス

読み取り専用。


MinZoom プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] FlowDocumentReader に使用できる最小の拡大レベル。

構文

C#
protected Double MinZoom { get; }
VB
'Declaration
Protected Read Property MinZoom As Double

アクセス

読み取り専用。


MinZoom プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] FlowDocumentScrollViewer に使用できる最小の拡大レベル。

構文

C#
protected Double MinZoom { get; }
VB
'Declaration
Protected Read Property MinZoom As Double

アクセス

読み取り専用。


MoveDown メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 16 デバイス非依存ピクセル下にスクロールします。

構文

C#
documentViewer.MoveDown()
VB
documentViewer.MoveDown()


MoveLeft メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 16 デバイス非依存ピクセル左にスクロールします。

構文

C#
documentViewer.MoveLeft()
VB
documentViewer.MoveLeft()


MoveRight メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 16 デバイス非依存ピクセル右にスクロールします。

構文

C#
documentViewer.MoveRight()
VB
documentViewer.MoveRight()


MoveUp メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ドキュメントのコンテンツを 16 デバイス非依存ピクセル上にスクロールします。

構文

C#
documentViewer.MoveUp()
VB
documentViewer.MoveUp()


Name プロパティ (WPFFrameworkElement)

クラス

WPFFrameworkElement.

処理

[読み取り専用] 要素の識別名。

構文

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

アクセス

読み取り専用。


Navigate メソッド (WPFFrame)

クラス

WPFFrame.

処理

指定したソース コンテンツに非同期に移動します。

構文

C#
result = frame.Navigate(uri)
VB
result = frame.Navigate(uri)
変数 | 説明
result | 移動がキャンセルされた場合 true、それ以外の場合 false。 Boolean。
uri | 目的のコンテンツの URI。 String。


Navigate メソッド (WPFHyperlink)

クラス

WPFHyperlink.

処理

ハイパーリンクのクリックを実行します。

構文

C#
hyperlink.Navigate()
VB
hyperlink.Navigate()


Navigate メソッド (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

指定したソース コンテンツに非同期に移動します。

構文

C#
result = navigationWindow.Navigate(uri)
VB
result = navigationWindow.Navigate(uri)
変数 | 説明
result | 移動がキャンセルされた場合 true、それ以外の場合 false。 Boolean。
uri | 目的のコンテンツの URI。 String。


NavigateUri プロパティ (WPFHyperlink)

クラス

WPFHyperlink.

処理

[読み取り専用] Hyperlink がアクティブになったときの移動先の URI。

構文

C#
protected String NavigateUri { get; }
VB
'Declaration
Protected Read Property NavigateUri As String

アクセス

読み取り専用。


NextPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

次のページに移動します。

構文

C#
documentViewerBase.NextPage()
VB
documentViewerBase.NextPage()


NextPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

次のページに移動します。

構文

C#
flowDocumentReader.NextPage()
VB
flowDocumentReader.NextPage()


OpenContextMenu メソッド (WPFBase)

クラス

WPFBase.

処理

指定した位置でコンテキスト メニューを開きます。

構文

C#
base.OpenContextMenu([pos])
VB
base.OpenContextMenu([pos])
変数 | 説明
pos | 省略可能: コンテキスト メニューを開くために、関数を呼び出す要素に相対の座標。 Point。


OpenContextMenuSelect メソッド (WPFBase)

クラス

WPFBase.

処理

コンテキスト メニューを開き、コンテキスト メニューからメニュー項目を選択します。

構文

C#
base.OpenContextMenuSelect(item, [pos])
VB
base.OpenContextMenuSelect(item, [pos])
変数 | 説明
item | 選択するメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。サブメニューからメニュー項目を選択する場合には、メニュー項目の名前をスラッシュで区切ります。項目には、ワイルドカード '?'（1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。
pos | 省略可能: コンテキスト メニューを開くために、関数を呼び出す要素に相対の座標：。 Point。

例

VB

' 指定した位置でコンテキスト メニューを開き、メニュー項目 'コピー' を選択します
window.OpenContextMenuSelect("コピー", New Point(100, 50))

' ウィンドウの中央で右クリックしてコンテキスト メニューを開き、'送信' メニュー項目のサブメニューにある 'メールの宛先' を選択します
window.OpenContextMenuSelect("送信/メールの宛先")

' 指定した位置でコンテキスト メニューを開き、'送信' メニュー項目のサブメニューにある 4 番目のメニュー項目を選択します
window.OpenContextMenuSelect("送信/[3]", New Point(100, 50))


Open メソッド (WPFComboBox)

クラス

WPFComboBox.

処理

コンボボックスを開きます。

構文

C#
comboBox.Open()
VB
comboBox.Open()


OpenOverflowItems メソッド (WPFToolBar)

クラス

WPFToolBar.

処理

オーバーフロー ツールバー項目の領域を開きます。

構文

C#
toolBar.OpenOverflowItems()
VB
toolBar.OpenOverflowItems()


OpenSubmenu メソッド (WPFMenuItem)

クラス

WPFMenuItem.

処理

サブメニューが利用可能な場合に開きます。

構文

C#
menuItem.OpenSubmenu()
VB
menuItem.OpenSubmenu()


Orientation プロパティ (WPFScrollBar)

クラス

WPFScrollBar.

処理

[読み取り専用] ScrollBar を水平または垂直のどちらで表示するか。

構文

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

アクセス

読み取り専用。


Orientation プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider を水平または垂直のどちらで表示するか。

構文

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

アクセス

読み取り専用。


Orientation プロパティ (WPFToolBar)

クラス

WPFToolBar.

処理

[読み取り専用] ToolBar の向き。

構文

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

アクセス

読み取り専用。


Orientation プロパティ (WPFToolBarTray)

クラス

WPFToolBarTray.

処理

[読み取り専用] ToolBarTray の向き。

構文

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

アクセス

読み取り専用。


PageCount プロパティ (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

[読み取り専用] 現在のドキュメントの合計ページ数。

構文

C#
protected Integer PageCount { get; }
VB
'Declaration
Protected Read Property PageCount As Integer

アクセス

読み取り専用。


PageCount プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] 現在のドキュメントの合計ページ数。

構文

C#
protected Integer PageCount { get; }
VB
'Declaration
Protected Read Property PageCount As Integer

アクセス

読み取り専用。


PageNumber プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] 現在のマスター ページのページ番号。

構文

C#
protected Integer PageNumber { get; }
VB
'Declaration
Protected Read Property PageNumber As Integer

アクセス

読み取り専用。


PasswordChar プロパティ (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

[読み取り専用] PasswordBox のマスク文字。

構文

C#
protected String PasswordChar { get; }
VB
'Declaration
Protected Read Property PasswordChar As String

アクセス

読み取り専用。


Paste メソッド (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。

構文

C#
passwordBox.Paste()
VB
passwordBox.Paste()


Paste メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

テキスト編集コントロールで現在選択されている場所にクリップボードの内容を貼り付けます。

構文

C#
textBoxBase.Paste()
VB
textBoxBase.Paste()


Pause メソッド (WPFMediaElement)

クラス

WPFMediaElement.

処理

メディアを現在の位置で一時停止します。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。

構文

C#
mediaElement.Pause()
VB
mediaElement.Pause()


Placement プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] ContextMenu の Placement プロパティ。 これは依存関係プロパティです。

構文

C#
protected PlacementMode Placement { get; }
VB
'Declaration
Protected Read Property Placement As PlacementMode

アクセス

読み取り専用。


PlacementRectangle プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] コンテキスト メニューが開くときに配置の基準となる領域。 これは依存関係プロパティです。

構文

C#
protected Rectangle PlacementRectangle { get; }
VB
'Declaration
Protected Read Property PlacementRectangle As Rectangle

アクセス

読み取り専用。


Play メソッド (WPFMediaElement)

クラス

WPFMediaElement.

処理

メディアを現在の位置から再生します。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。

構文

C#
mediaElement.Play()
VB
mediaElement.Play()


PointFromScreen メソッド (WPFFrameworkElement)

クラス

WPFFrameworkElement.

処理

画面座標における Point を、Visual の現在の座標系を表す Point に変換します。

構文

C#
result = frameworkElement.PointFromScreen(point)
VB
result = frameworkElement.PointFromScreen(point)
変数 | 説明
result | 変換された Point。 Point。
point | 画面座標上の Point 値。 Point。


PointToScreen メソッド (WPFFrameworkElement)

クラス

WPFFrameworkElement.

処理

Visual の現在の座標系を表す Point を、画面座標における Point に変換します。

構文

C#
result = frameworkElement.PointToScreen(point)
VB
result = frameworkElement.PointToScreen(point)
変数 | 説明
result | 変換された Point。 Point。
point | Visual の現在の座標系を表す Point 値。 Point。


Position プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み書き可能] メディアの再生の経過時間を示す現在の位置。

構文

C#
protected Double Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Double

アクセス

読み書き。


PreviousPage メソッド (WPFDocumentViewerBase)

クラス

WPFDocumentViewerBase.

処理

前のページに移動します。

構文

C#
documentViewerBase.PreviousPage()
VB
documentViewerBase.PreviousPage()


PreviousPage メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

前のページに移動します。

構文

C#
flowDocumentReader.PreviousPage()
VB
flowDocumentReader.PreviousPage()


Redo メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位をやり直します。

構文

C#
result = textBoxBase.Redo()
VB
result = textBoxBase.Redo()
変数 | 説明
result | Boolean。


Refresh メソッド (WPFFrame)

クラス

WPFFrame.

処理

現在のコンテンツを再読み込みします。

構文

C#
frame.Refresh()
VB
frame.Refresh()


Refresh メソッド (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

現在のコンテンツを再読み込みします。

構文

C#
navigationWindow.Refresh()
VB
navigationWindow.Refresh()


Resize メソッド (WPFColumnHeader)

クラス

WPFColumnHeader.

処理

列ヘッダーのサイズを変更します。

構文

C#
columnHeader.Resize(value)
VB
columnHeader.Resize(value)
変数 | 説明
value | 新しい幅。 Double。


Role プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] メニュー項目のロールを示す値。

構文

C#
protected MenuItemRole Role { get; }
VB
'Declaration
Protected Read Property Role As MenuItemRole

アクセス

読み取り専用。


ScrollIntoView メソッド (WPFDataGrid)

クラス

WPFDataGrid.

処理

指定したセルをビューにスクロールします。

構文

C#
dataGrid.ScrollIntoView(row, [column])
VB
dataGrid.ScrollIntoView(row, [column])
変数 | 説明
row | スクロールする行。 ItemIdentifier。
column | 省略可能: スクロールする列。 ItemIdentifier。


ScrollIntoView メソッド (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

セルをビューにスクロールします。

構文

C#
dataGridCell.ScrollIntoView()
VB
dataGridCell.ScrollIntoView()


ScrollIntoView メソッド (WPFDataGridRow)

クラス

WPFDataGridRow.

処理

行をビューにスクロールします。

構文

C#
dataGridRow.ScrollIntoView()
VB
dataGridRow.ScrollIntoView()


ScrollIntoView メソッド (WPFListBox)

クラス

WPFListBox.

処理

項目をビューにスクロールします。

構文

C#
listBox.ScrollIntoView(item)
VB
listBox.ScrollIntoView(item)
変数 | 説明
item | ビューにスクロールする項目。 ItemIdentifier。


ScrollIntoView メソッド (WPFListBoxItem)

クラス

WPFListBoxItem.

処理

項目をビューにスクロールします。

構文

C#
listBoxItem.ScrollIntoView()
VB
listBoxItem.ScrollIntoView()


ScrollIntoView メソッド (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

指定したセルをビューにスクロールします。

構文

C#
toolkitDataGrid.ScrollIntoView(row, [column])
VB
toolkitDataGrid.ScrollIntoView(row, [column])
変数 | 説明
row | スクロールする行。 ItemIdentifier。
column | 省略可能: スクロールする列。 ItemIdentifier。


ScrollIntoView メソッド (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

セルをビューにスクロールします。

構文

C#
toolkitDataGridCell.ScrollIntoView()
VB
toolkitDataGridCell.ScrollIntoView()


ScrollIntoView メソッド (WPFToolkitDataGridRow)

クラス

WPFToolkitDataGridRow.

処理

行をビューにスクロールします。

構文

C#
toolkitDataGridRow.ScrollIntoView()
VB
toolkitDataGridRow.ScrollIntoView()


Scroll メソッド (IWPFScrollable)

クラス

IWPFScrollable.

処理

ScrollViewer の値を指定した scrolldestination に設定します。

構文

C#
iWPFScrollable.Scroll(scrolldestination)
VB
iWPFScrollable.Scroll(scrolldestination)
変数 | 説明
scrolldestination | ScrollViewer に設定する値。 ScrollDestination。


ScrollPageDown メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

1 ビューポート下にスクロールします。

構文

C#
documentViewer.ScrollPageDown()
VB
documentViewer.ScrollPageDown()


ScrollPageLeft メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

1 ビューポート左にスクロールします。

構文

C#
documentViewer.ScrollPageLeft()
VB
documentViewer.ScrollPageLeft()


ScrollPageRight メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

1 ビューポート右にスクロールします。

構文

C#
documentViewer.ScrollPageRight()
VB
documentViewer.ScrollPageRight()


ScrollPageUp メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

1 ビューポート上にスクロールします。

構文

C#
documentViewer.ScrollPageUp()
VB
documentViewer.ScrollPageUp()


ScrollToLine メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

指定された行インデックス位置の行が表示されるまでスクロールします。

構文

C#
textBox.ScrollToLine(lineIndex)
VB
textBox.ScrollToLine(lineIndex)
変数 | 説明
lineIndex | 表示されるまでスクロールする行の 0 を基準とした行インデックス。 Integer。


ScrollToPosition メソッド (IWPFScrollable)

クラス

IWPFScrollable.

処理

ScrollViewer の位置を設定します。

構文

C#
iWPFScrollable.ScrollToPosition(offset, orientation)
VB
iWPFScrollable.ScrollToPosition(offset, orientation)
変数 | 説明
offset | ScrollViewer の値。 Double。
orientation | 設定するスクロールバーが水平方向か垂直方向かを指定。 Orientation。


SelectAll メソッド (WPFListBox)

クラス

WPFListBox.

処理

リスト ボックス内のすべての項目を選択します。

構文

C#
listBox.SelectAll()
VB
listBox.SelectAll()


SelectAll メソッド (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

PasswordBox のすべての内容を選択します。

構文

C#
passwordBox.SelectAll()
VB
passwordBox.SelectAll()


SelectAll メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

テキスト編集コントロールのすべての内容を選択します。

構文

C#
textBoxBase.SelectAll()
VB
textBoxBase.SelectAll()


SelectCell メソッド (WPFDataGrid)

クラス

WPFDataGrid.

処理

指定したセルを選択します。

構文

C#
dataGrid.SelectCell(row, column, [modifiers])
VB
dataGrid.SelectCell(row, column, [modifiers])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 選択するセル。 ItemIdentifier。
modifiers | 省略可能: セルを選択する際に押下する修飾キー。 複数の項目を選択するために使用します。 ModifierKeys。


SelectCell メソッド (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

指定したセルを選択します。

構文

C#
toolkitDataGrid.SelectCell(row, column, [modifiers])
VB
toolkitDataGrid.SelectCell(row, column, [modifiers])
変数 | 説明
row | 選択する行。 ItemIdentifier。
column | 選択するセル。 ItemIdentifier。
modifiers | 省略可能: セルを選択する際に押下する修飾キー。 複数の項目を選択するために使用します。 ModifierKeys。


SelectDate メソッド (WPFCalendar)

クラス

WPFCalendar.

処理

指定した日付を選択して、現在の選択をクリアします。

構文

C#
calendar.SelectDate(dateToSelect)
VB
calendar.SelectDate(dateToSelect)
変数 | 説明
dateToSelect | 選択する日付。 DateTime?。


SelectDate メソッド (WPFDatePicker)

クラス

WPFDatePicker.

処理

指定した日付を選択します。

構文

C#
datePicker.SelectDate(dateToSelect)
VB
datePicker.SelectDate(dateToSelect)
変数 | 説明
dateToSelect | 選択する日付。 DateTime?。


SelectDate メソッド (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

指定した日付を選択して、現在の選択をクリアします。

構文

C#
toolkitCalendar.SelectDate(dateToSelect)
VB
toolkitCalendar.SelectDate(dateToSelect)
変数 | 説明
dateToSelect | 選択する日付。 DateTime?。


SelectDate メソッド (WPFToolkitDatePicker)

クラス

WPFToolkitDatePicker.

処理

指定した日付を選択します。

構文

C#
toolkitDatePicker.SelectDate(dateToSelect)
VB
toolkitDatePicker.SelectDate(dateToSelect)
変数 | 説明
dateToSelect | 選択する日付。 DateTime?。


SelectDates メソッド (WPFCalendar)

クラス

WPFCalendar.

処理

指定した日付を選択して、現在の選択をクリアします。

構文

C#
calendar.SelectDates(dates)
VB
calendar.SelectDates(dates)
変数 | 説明
dates | 選択する日付。 List(Of DateTime?)。


SelectDates メソッド (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

指定した日付を選択して、現在の選択をクリアします。

構文

C#
toolkitCalendar.SelectDates(dates)
VB
toolkitCalendar.SelectDates(dates)
変数 | 説明
dates | 選択する日付。 List(Of DateTime?)。


SelectedCell プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッドで選択されたセル。

構文

C#
protected WPFDataGridCell SelectedCell { get; }
VB
'Declaration
Protected Read Property SelectedCell As WPFDataGridCell

アクセス

読み取り専用。


SelectedCell プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッドで選択されたセル。

構文

C#
protected WPFToolkitDataGridCell SelectedCell { get; }
VB
'Declaration
Protected Read Property SelectedCell As WPFToolkitDataGridCell

アクセス

読み取り専用。


SelectedCells プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] 現在選択されているセルのリスト。

構文

C#
protected List(Of WPFDataGridCell) SelectedCells { get; }
VB
'Declaration
Protected Read Property SelectedCells As List(Of WPFDataGridCell)

アクセス

読み取り専用。


SelectedCells プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] 現在選択されているセルのリスト。

構文

C#
protected List(Of WPFToolkitDataGridCell) SelectedCells { get; }
VB
'Declaration
Protected Read Property SelectedCells As List(Of WPFToolkitDataGridCell)

アクセス

読み取り専用。


SelectedCellText プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空の文字列。

構文

C#
protected String SelectedCellText { get; }
VB
'Declaration
Protected Read Property SelectedCellText As String

アクセス

読み取り専用。


SelectedCellText プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空の文字列。

構文

C#
protected String SelectedCellText { get; }
VB
'Declaration
Protected Read Property SelectedCellText As String

アクセス

読み取り専用。


SelectedCellTexts プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空のリスト。

構文

C#
protected List(Of String) SelectedCellTexts { get; }
VB
'Declaration
Protected Read Property SelectedCellTexts As List(Of String)

アクセス

読み取り専用。


SelectedCellTexts プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッドで選択されているセルのテキスト。セルが選択されていない場合には、空のリスト。

構文

C#
protected List(Of String) SelectedCellTexts { get; }
VB
'Declaration
Protected Read Property SelectedCellTexts As List(Of String)

アクセス

読み取り専用。


SelectedDate プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 現在選択されている日付。

構文

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDate プロパティ (WPFDatePicker)

クラス

WPFDatePicker.

処理

[読み取り専用] 現在選択されている日付。

構文

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDate プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 現在選択されている日付。

構文

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDate プロパティ (WPFToolkitDatePicker)

クラス

WPFToolkitDatePicker.

処理

[読み取り専用] 現在選択されている日付。

構文

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

アクセス

読み取り専用。


SelectedDates プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 選択された日付のリスト。

構文

C#
protected List(Of DateTime?) SelectedDates { get; }
VB
'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

アクセス

読み取り専用。


SelectedDates プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 選択された日付のリスト。

構文

C#
protected List(Of DateTime?) SelectedDates { get; }
VB
'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

アクセス

読み取り専用。


SelectedIndex プロパティ (WPFSelector)

クラス

WPFSelector.

処理

[読み取り専用] 現在選択されている最初の項目のインデックス。選択範囲が空の場合は -1 を返します。 The value is zero-based.。

構文

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

アクセス

読み取り専用。


SelectedItemPath プロパティ (WPFTreeView)

クラス

WPFTreeView.

処理

[読み取り専用] 選択された項目パスを取得します。選択されていない場合は空の項目パス。

構文

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

アクセス

読み取り専用。


SelectedItem プロパティ (WPFSelector)

クラス

WPFSelector.

処理

[読み取り専用] 現在選択されている最初の項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。

構文

C#
protected WPFBase SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As WPFBase

アクセス

読み取り専用。


SelectedItem プロパティ (WPFTreeView)

クラス

WPFTreeView.

処理

[読み取り専用] 選択されている項目。選択範囲が空の場合は null (Visual Basic では Nothing) を返します。

構文

C#
protected WPFTreeViewItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As WPFTreeViewItem

アクセス

読み取り専用。


SelectedItems プロパティ (WPFListBox)

クラス

WPFListBox.

処理

[読み取り専用] 現在選択されている項目。 完全な項目のリストは "Items" プロパティを使って取得できます。

構文

C#
protected List(Of WPFListBoxItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of WPFListBoxItem)

アクセス

読み取り専用。


SelectedItems プロパティ (WPFMultiSelector)

クラス

WPFMultiSelector.

処理

[読み取り専用] 選択された MultiSelector の項目。

構文

C#
protected List(Of WPFListBoxItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of WPFListBoxItem)

アクセス

読み取り専用。


SelectedItemText プロパティ (WPFSelector)

クラス

WPFSelector.

処理

[読み取り専用] 現在選択されている最初の項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemText プロパティ (WPFTreeView)

クラス

WPFTreeView.

処理

[読み取り専用] 選択されている項目のテキスト。選択範囲が空の場合は空の文字列を返します。

構文

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

アクセス

読み取り専用。


SelectedItemTexts プロパティ (WPFListBox)

クラス

WPFListBox.

処理

[読み取り専用] 現在選択されているすべての項目のテキストを含んだ文字列のリスト。

構文

C#
protected List(Of String) SelectedItemTexts { get; }
VB
'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

アクセス

読み取り専用。


SelectedItemTexts プロパティ (WPFMultiSelector)

クラス

WPFMultiSelector.

処理

[読み取り専用] 選択された MultiSelector の項目のテキスト。

構文

C#
protected List(Of String) SelectedItemTexts { get; }
VB
'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

アクセス

読み取り専用。


SelectedText プロパティ (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

[読み取り専用] テキスト ボックス内の現在の選択の内容。 このプロパティを取得すると現在の文字列のコピーが返されます。 このプロパティを設定すると現在の選択範囲が指定された文字列で置換されます。

構文

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


SelectedText プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックス内の現在の選択の内容。 このプロパティを取得すると現在のテキストの文字列のコピーが返されます。 このプロパティを設定すると現在の選択範囲が指定された文字列で置換されます。

構文

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

アクセス

読み取り専用。


SelectionEnd プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider で指定された選択範囲の最大値。

構文

C#
protected Double SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Double

アクセス

読み取り専用。


SelectionLength プロパティ (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

[読み取り専用] テキスト ボックス内の現在の選択範囲の文字数。

構文

C#
protected Integer SelectionLength { get; }
VB
'Declaration
Protected Read Property SelectionLength As Integer

アクセス

読み取り専用。


SelectionLength プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックス内の現在の選択範囲の文字数。

構文

C#
protected Integer SelectionLength { get; }
VB
'Declaration
Protected Read Property SelectionLength As Integer

アクセス

読み取り専用。


SelectionMode プロパティ (WPFCalendar)

クラス

WPFCalendar.

処理

[読み取り専用] 許可されている選択の種類を示す値。

構文

C#
protected CalendarSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As CalendarSelectionMode

アクセス

読み取り専用。


SelectionMode プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッド内の行やセルの選択方法を示す値。

構文

C#
protected DataGridSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As DataGridSelectionMode

アクセス

読み取り専用。


SelectionMode プロパティ (WPFListBox)

クラス

WPFListBox.

処理

[読み取り専用] ListBox の選択動作。

構文

C#
protected SelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As SelectionMode

アクセス

読み取り専用。


SelectionMode プロパティ (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

[読み取り専用] 許可されている選択の種類を示す値。

構文

C#
protected CalendarSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As CalendarSelectionMode

アクセス

読み取り専用。


SelectionMode プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッド内の行やセルの選択方法を示す値。

構文

C#
protected DataGridSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As DataGridSelectionMode

アクセス

読み取り専用。


Selection プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] DocumentViewer の選択されたコンテンツ。

構文

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

アクセス

読み取り専用。


Selection プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] FlowDocumentPageViewer の選択されたコンテンツ。

構文

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

アクセス

読み取り専用。


Selection プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] FlowDocumentReader の選択されたコンテンツ。

構文

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

アクセス

読み取り専用。


Selection プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] FlowDocumentScrollViewer の選択されたコンテンツ。

構文

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

アクセス

読み取り専用。


SelectionStart プロパティ (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

[読み取り専用] 現在の選択範囲の開始位置の文字インデックス。

構文

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

アクセス

読み取り専用。


SelectionStart プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider で指定された選択範囲の最小値。

構文

C#
protected Double SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Double

アクセス

読み取り専用。


SelectionStart プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] 現在の選択範囲の開始位置の文字インデックス。

構文

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

アクセス

読み取り専用。


SelectionUnit プロパティ (WPFDataGrid)

クラス

WPFDataGrid.

処理

[読み取り専用] データ グリッドで選択できるのが行、セル、または両方かどうかを示す値。

構文

C#
protected DataGridSelectionUnit SelectionUnit { get; }
VB
'Declaration
Protected Read Property SelectionUnit As DataGridSelectionUnit

アクセス

読み取り専用。


SelectionUnit プロパティ (WPFToolkitDataGrid)

クラス

WPFToolkitDataGrid.

処理

[読み取り専用] データ グリッドで選択できるのが行、セル、または両方かどうかを示す値。

構文

C#
protected DataGridSelectionUnit SelectionUnit { get; }
VB
'Declaration
Protected Read Property SelectionUnit As DataGridSelectionUnit

アクセス

読み取り専用。


Select メソッド (WPFButtonBase)

クラス

WPFButtonBase.

処理

ボタンを選択します。

構文

C#
buttonBase.Select()
VB
buttonBase.Select()


Select メソッド (WPFDataGridCell)

クラス

WPFDataGridCell.

処理

セルを選択します。

構文

C#
dataGridCell.Select()
VB
dataGridCell.Select()


Select メソッド (WPFDataGridRow)

クラス

WPFDataGridRow.

処理

行を選択します。

構文

C#
dataGridRow.Select()
VB
dataGridRow.Select()


Select メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

テキストの範囲を選択します。

構文

C#
documentViewer.Select(text, [occurrence])
VB
documentViewer.Select(text, [occurrence])
変数 | 説明
text | 選択するテキスト。 String。
occurrence | 省略可能: 指定した選択するテキストの 0 を基準とした出現回数。 The value is zero-based.。 Integer。


Select メソッド (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

テキストの範囲を選択します。

構文

C#
flowDocumentPageViewer.Select(text, [occurrence])
VB
flowDocumentPageViewer.Select(text, [occurrence])
変数 | 説明
text | 選択するテキスト。 String。
occurrence | 省略可能: 指定した選択するテキストの 0 を基準とした出現回数。 The value is zero-based.。 Integer。


Select メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

テキストの範囲を選択します。

構文

C#
flowDocumentReader.Select(text, [occurrence])
VB
flowDocumentReader.Select(text, [occurrence])
変数 | 説明
text | 選択するテキスト。 String。
occurrence | 省略可能: 指定した選択するテキストの 0 を基準とした出現回数。 The value is zero-based.。 Integer。


Select メソッド (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

テキストの範囲を選択します。

構文

C#
flowDocumentScrollViewer.Select(text, [occurrence])
VB
flowDocumentScrollViewer.Select(text, [occurrence])
変数 | 説明
text | 選択するテキスト。 String。
occurrence | 省略可能: 指定した選択するテキストの 0 を基準とした出現回数。 The value is zero-based.。 Integer。


Select メソッド (WPFListBoxItem)

クラス

WPFListBoxItem.

処理

リスト ボックス項目を選択します。

構文

C#
listBoxItem.Select()
VB
listBoxItem.Select()


Select メソッド (WPFMenuBase)

クラス

WPFMenuBase.

処理

メニュー項目を選択します。

構文

C#
menuBase.Select(item)
VB
menuBase.Select(item)
変数 | 説明
item | 選択するメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目を選択する場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。

例

VB

' 'ファイル' メニューから '開く' メニュー項目を選択します
menu.Select("ファイル/開く")


Select メソッド (WPFMenuItem)

クラス

WPFMenuItem.

処理

メニュー項目を選択します。

構文

C#
menuItem.Select()
VB
menuItem.Select()


Select メソッド (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

テキスト ボックス内のテキストの範囲を選択します。

構文

C#
richTextBox.Select(start, length)
VB
richTextBox.Select(start, length)
変数 | 説明
start | 選択範囲の開始位置。 Integer。
length | 開始位置から選択する文字数。 Integer。


Select メソッド (WPFSelector)

クラス

WPFSelector.

処理

ListBox 内の項目を選択します。 項目が表示されていない場合、スクロールして表示します。

構文

C#
selector.Select(item, [modifiers])
VB
selector.Select(item, [modifiers])
変数 | 説明
item | 選択する項目。 ItemIdentifier。
modifiers | 省略可能: 項目を選択する際に押下する修飾キー。 複数選択 ListBox で複数の項目を選択するために使用します。 ModifierKeys。


Select メソッド (WPFTabItem)

クラス

WPFTabItem.

処理

項目を選択します。

構文

C#
tabItem.Select()
VB
tabItem.Select()


Select メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

テキスト ボックス内のテキストの範囲を選択します。

構文

C#
textBox.Select(start, length)
VB
textBox.Select(start, length)
変数 | 説明
start | 選択範囲の最初の文字を示す 0 を基準としたインデックス。 Integer。
length | 選択範囲の長さ (文字単位)。 Integer。


Select メソッド (WPFToolkitDataGridCell)

クラス

WPFToolkitDataGridCell.

処理

セルを選択します。

構文

C#
toolkitDataGridCell.Select()
VB
toolkitDataGridCell.Select()


Select メソッド (WPFToolkitDataGridRow)

クラス

WPFToolkitDataGridRow.

処理

行を選択します。

構文

C#
toolkitDataGridRow.Select()
VB
toolkitDataGridRow.Select()


Select メソッド (WPFTreeView)

クラス

WPFTreeView.

処理

指定した項目を選択します。

構文

C#
treeView.Select(item)
VB
treeView.Select(item)
変数 | 説明
item | 選択する項目。 ItemPath。


Select メソッド (WPFTreeViewItem)

クラス

WPFTreeViewItem.

処理

項目を選択します。

構文

C#
treeViewItem.Select()
VB
treeViewItem.Select()


SelectRange メソッド (WPFCalendar)

クラス

WPFCalendar.

処理

日付の範囲を選択します。

構文

C#
calendar.SelectRange(startDate, endDate, [extend])
VB
calendar.SelectRange(startDate, endDate, [extend])
変数 | 説明
startDate | 選択範囲の開始日時。 DateTime?。
endDate | 選択範囲の終了日時。 DateTime?。
extend | 省略可能: 現在の選択範囲を拡張するかどうか。 Boolean。


SelectRange メソッド (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

日付の範囲を選択します。

構文

C#
toolkitCalendar.SelectRange(startDate, endDate, [extend])
VB
toolkitCalendar.SelectRange(startDate, endDate, [extend])
変数 | 説明
startDate | 選択範囲の開始日時。 DateTime?。
endDate | 選択範囲の終了日時。 DateTime?。
extend | 省略可能: 現在の選択範囲を拡張するかどうか。 Boolean。


SetDisplayDate メソッド (WPFCalendar)

クラス

WPFCalendar.

処理

表示する日付を設定します。

構文

C#
calendar.SetDisplayDate(dateToDisplay)
VB
calendar.SetDisplayDate(dateToDisplay)
変数 | 説明
dateToDisplay | 設定する日付。 DateTime?。


SetDisplayDate メソッド (WPFToolkitCalendar)

クラス

WPFToolkitCalendar.

処理

表示する日付を設定します。

構文

C#
toolkitCalendar.SetDisplayDate(dateToDisplay)
VB
toolkitCalendar.SetDisplayDate(dateToDisplay)
変数 | 説明
dateToDisplay | 設定する日付。 DateTime?。


SetIndeterminate メソッド (WPFToggleButton)

クラス

WPFToggleButton.

処理

ボタンを不確定状態に設定します。

構文

C#
toggleButton.SetIndeterminate()
VB
toggleButton.SetIndeterminate()


SetText メソッド (WPFPasswordBox)

クラス

WPFPasswordBox.

処理

テキストを設定します。

構文

C#
passwordBox.SetText(text)
VB
passwordBox.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


SetText メソッド (WPFRichTextBox)

クラス

WPFRichTextBox.

処理

テキストを設定します。

構文

C#
richTextBox.SetText(text)
VB
richTextBox.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


SetText メソッド (WPFTextBox)

クラス

WPFTextBox.

処理

テキストを設定します。

構文

C#
textBox.SetText(text)
VB
textBox.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


SetValue メソッド (WPFScrollBar)

クラス

WPFScrollBar.

処理

ScrollBar の値を設定します。

構文

C#
scrollBar.SetValue(value)
VB
scrollBar.SetValue(value)
変数 | 説明
value | ScrollBar に設定する値。 Double。


SetValue メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider の値を設定します。

構文

C#
slider.SetValue(value)
VB
slider.SetValue(value)
変数 | 説明
value | Slider に設定する値。 Double。


SetValueToMaximum メソッド (WPFScrollBar)

クラス

WPFScrollBar.

処理

ScrollBar を最大値に設定します。

構文

C#
scrollBar.SetValueToMaximum()
VB
scrollBar.SetValueToMaximum()


SetValueToMaximum メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider を最大の位置に設定します。

構文

C#
slider.SetValueToMaximum()
VB
slider.SetValueToMaximum()


SetValueToMinimum メソッド (WPFScrollBar)

クラス

WPFScrollBar.

処理

ScrollBar を最小値に設定します。

構文

C#
scrollBar.SetValueToMinimum()
VB
scrollBar.SetValueToMinimum()


SetValueToMinimum メソッド (WPFSlider)

クラス

WPFSlider.

処理

Slider を最小の位置に設定します。

構文

C#
slider.SetValueToMinimum()
VB
slider.SetValueToMinimum()


SmallChange プロパティ (WPFRangeBase)

クラス

WPFRangeBase.

処理

[読み取り専用] RangeBase コントロールの値に対して加算または減算する値。

構文

C#
protected Double SmallChange { get; }
VB
'Declaration
Protected Read Property SmallChange As Double

アクセス

読み取り専用。


Source プロパティ (WPFFrame)

クラス

WPFFrame.

処理

[読み取り専用] 現在のコンテンツの URI（Uniform Resource Identifier）。

構文

C#
protected String Source { get; }
VB
'Declaration
Protected Read Property Source As String

アクセス

読み取り専用。


Source プロパティ (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

[読み取り専用] 現在のコンテンツの URI（Uniform Resource Identifier）。

構文

C#
protected String Source { get; }
VB
'Declaration
Protected Read Property Source As String

アクセス

読み取り専用。


SpeedRatio プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み書き可能] メディアの速度比率。

構文

C#
protected Double SpeedRatio { get; set; }
VB
'Declaration
Protected ReadWrite Property SpeedRatio As Double

アクセス

読み書き。


State プロパティ (WPFToggleButton)

クラス

WPFToggleButton.

処理

[読み取り専用] ボタンの状態。

構文

C#
protected ButtonState State { get; }
VB
'Declaration
Protected Read Property State As ButtonState

アクセス

読み取り専用。


StaysOpenOnClick プロパティ (WPFMenuItem)

クラス

WPFMenuItem.

処理

[読み取り専用] この MenuItem が配置されているサブメニューは、この項目がクリックされても閉じないことを示す値。

構文

C#
protected Boolean StaysOpenOnClick { get; }
VB
'Declaration
Protected Read Property StaysOpenOnClick As Boolean

アクセス

読み取り専用。


StaysOpenOnEdit プロパティ (WPFComboBox)

クラス

WPFComboBox.

処理

[読み取り専用] 開いている ComboBox にドロップダウン コントロールが表示されている場合、ユーザーが TextBox をクリックしたときに、このコンボ ボックスが開いたままになるかどうか。

構文

C#
protected Boolean StaysOpenOnEdit { get; }
VB
'Declaration
Protected Read Property StaysOpenOnEdit As Boolean

アクセス

読み取り専用。


StaysOpen プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] コンテキスト メニューが自動的に閉じるかどうかを示す値。 これは依存関係プロパティです。

構文

C#
protected Boolean StaysOpen { get; }
VB
'Declaration
Protected Read Property StaysOpen As Boolean

アクセス

読み取り専用。


StaysOpen プロパティ (WPFPopup)

クラス

WPFPopup.

処理

[読み取り専用] Popup コントロールにフォーカスがない場合に、このコントロールが閉じるかどうかを示す値。

構文

C#
protected Boolean StaysOpen { get; }
VB
'Declaration
Protected Read Property StaysOpen As Boolean

アクセス

読み取り専用。


StopLoading メソッド (WPFFrame)

クラス

WPFFrame.

処理

現在のナビゲーション要求に対応するコンテンツのダウンロードを中止します。

構文

C#
frame.StopLoading()
VB
frame.StopLoading()


StopLoading メソッド (WPFNavigationWindow)

クラス

WPFNavigationWindow.

処理

現在のナビゲーション要求に対応するコンテンツのダウンロードを中止します。

構文

C#
navigationWindow.StopLoading()
VB
navigationWindow.StopLoading()


Stop メソッド (WPFMediaElement)

クラス

WPFMediaElement.

処理

メディアを停止し、最初から再生できるようにリセットします。 このメソッドは、LoadedBehavior プロパティが Manual に設定されている場合にのみ有効です。

構文

C#
mediaElement.Stop()
VB
mediaElement.Stop()


SwitchViewingMode メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

表示モードを切り替えます。

構文

C#
flowDocumentReader.SwitchViewingMode(viewingMode)
VB
flowDocumentReader.SwitchViewingMode(viewingMode)
変数 | 説明
viewingMode | 切り替える表示モード。 ViewingMode。


TabIndex プロパティ (WPFControl)

クラス

WPFControl.

処理

[読み取り専用] ユーザーが Tab キーを使用してコントロール間を移動するときに、要素がフォーカスを受け取る順序を決定する値。

構文

C#
protected Integer TabIndex { get; }
VB
'Declaration
Protected Read Property TabIndex As Integer

アクセス

読み取り専用。


TargetName プロパティ (WPFHyperlink)

クラス

WPFHyperlink.

処理

[読み取り専用] Hyperlink の対象となるウィンドウまたはフレームの名前。

構文

C#
protected String TargetName { get; }
VB
'Declaration
Protected Read Property TargetName As String

アクセス

読み取り専用。


TextAlignment プロパティ (WPFTextBlock)

クラス

WPFTextBlock.

処理

[読み取り専用] テキスト コンテンツの水平方向の配置を示す値。

構文

C#
protected TextAlignment TextAlignment { get; }
VB
'Declaration
Protected Read Property TextAlignment As TextAlignment

アクセス

読み取り専用。


TextAlignment プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックスのコンテンツの水平方向の配置を示す値。

構文

C#
protected TextAlignment TextAlignment { get; }
VB
'Declaration
Protected Read Property TextAlignment As TextAlignment

アクセス

読み取り専用。


TextTrimming プロパティ (WPFTextBlock)

クラス

WPFTextBlock.

処理

[読み取り専用] コンテンツ領域がいっぱいになったときに使用するテキストのトリミング動作。

構文

C#
protected TextTrimming TextTrimming { get; }
VB
'Declaration
Protected Read Property TextTrimming As TextTrimming

アクセス

読み取り専用。


TextWrapping プロパティ (WPFTextBlock)

クラス

WPFTextBlock.

処理

[読み取り専用] TextBlock のテキスト折り返し方法を示す値。

構文

C#
protected TextWrapping TextWrapping { get; }
VB
'Declaration
Protected Read Property TextWrapping As TextWrapping

アクセス

読み取り専用。


TextWrapping プロパティ (WPFTextBox)

クラス

WPFTextBox.

処理

[読み取り専用] テキスト ボックスのテキスト折り返し方法を示す値。

構文

C#
protected TextWrapping TextWrapping { get; }
VB
'Declaration
Protected Read Property TextWrapping As TextWrapping

アクセス

読み取り専用。


TickFrequency プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] 目盛りの間隔。

構文

C#
protected Double TickFrequency { get; }
VB
'Declaration
Protected Read Property TickFrequency As Double

アクセス

読み取り専用。


TickPlacement プロパティ (WPFSlider)

クラス

WPFSlider.

処理

[読み取り専用] Slider の目盛りを配置する場合の Track に対する位置。

構文

C#
protected TickPlacement TickPlacement { get; }
VB
'Declaration
Protected Read Property TickPlacement As TickPlacement

アクセス

読み取り専用。


Title プロパティ (WPFPage)

クラス

WPFPage.

処理

[読み取り専用] ページのタイトル。

構文

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

アクセス

読み取り専用。


Title プロパティ (WPFWindow)

クラス

WPFWindow.

処理

[読み取り専用] ウィンドウのタイトル。

構文

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

アクセス

読み取り専用。


ToggleFindDialog メソッド (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

検索ダイアログを切り替えます。

構文

C#
flowDocumentPageViewer.ToggleFindDialog()
VB
flowDocumentPageViewer.ToggleFindDialog()


ToggleFindDialog メソッド (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

検索ダイアログを切り替えます。

構文

C#
flowDocumentReader.ToggleFindDialog()
VB
flowDocumentReader.ToggleFindDialog()


ToggleFindDialog メソッド (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

検索ダイアログを切り替えます。

構文

C#
flowDocumentScrollViewer.ToggleFindDialog()
VB
flowDocumentScrollViewer.ToggleFindDialog()


ToolBars プロパティ (WPFToolBarTray)

クラス

WPFToolBarTray.

処理

[読み取り専用] ToolBarTray 内の ToolBar 要素のコレクション。

構文

C#
protected List(Of WPFToolBar) ToolBars { get; }
VB
'Declaration
Protected Read Property ToolBars As List(Of WPFToolBar)

アクセス

読み取り専用。


ToolTip プロパティ (WPFBase)

クラス

WPFBase.

処理

[読み取り専用] ユーザー インターフェイス (UI) 上でこの要素に対して表示されるツール チップ。

構文

C#
protected String ToolTip { get; }
VB
'Declaration
Protected Read Property ToolTip As String

アクセス

読み取り専用。


Uncheck メソッド (WPFMenuBase)

クラス

WPFMenuBase.

処理

メニュー項目のチェックを外します。

構文

C#
menuBase.Uncheck(item)
VB
menuBase.Uncheck(item)
変数 | 説明
item | チェックを外すメニュー項目。 トップ レベルのメニュー項目または、サブメニューに存在するメニュー項目のいずれかを指定できます。 サブメニューにあるメニュー項目のチェックを外す場合には、メニュー項目の名前をスラッシュで区切ります。 項目には、ワイルドカード '?' （1 文字に一致）または '*'（0 から複数文字に一致）を使用できます。 ItemPath。

例

VB

' '書式' メニューにある '右端で折り返す' メニュー項目のチェックを外します
menu.Uncheck("書式/右端で折り返す")


Uncheck メソッド (WPFMenuItem)

クラス

WPFMenuItem.

処理

メニュー項目のチェックを外します。

構文

C#
menuItem.Uncheck()
VB
menuItem.Uncheck()


Uncheck メソッド (WPFToggleButton)

クラス

WPFToggleButton.

処理

ボタンのチェックを外します。

構文

C#
toggleButton.Uncheck()
VB
toggleButton.Uncheck()


Undo メソッド (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

最新の取り消しコマンドを取り消します。 つまり、undo スタックの最新の undo 単位を取り消します。

構文

C#
result = textBoxBase.Undo()
VB
result = textBoxBase.Undo()
変数 | 説明
result | Boolean。


VerticalOffset プロパティ (WPFContextMenu)

クラス

WPFContextMenu.

処理

[読み取り専用] 対象の左開始位置からポップアップの配置ポイントまでの縦方向の距離。 これは依存関係プロパティです。

構文

C#
protected Double VerticalOffset { get; }
VB
'Declaration
Protected Read Property VerticalOffset As Double

アクセス

読み取り専用。


VerticalOffset プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] 垂直方向のスクロール位置。

構文

C#
protected Double VerticalOffset { get; }
VB
'Declaration
Protected Read Property VerticalOffset As Double

アクセス

読み取り専用。


VerticalScrollBarVisibility プロパティ (WPFTextBoxBase)

クラス

WPFTextBoxBase.

処理

[読み取り専用] 垂直スクロール バーが表示されるかどうかを示す値。

構文

C#
protected ScrollBarVisibility VerticalScrollBarVisibility { get; }
VB
'Declaration
Protected Read Property VerticalScrollBarVisibility As ScrollBarVisibility

アクセス

読み取り専用。


ViewingMode プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] FlowDocumentReader の表示モード。

構文

C#
protected ViewingMode ViewingMode { get; }
VB
'Declaration
Protected Read Property ViewingMode As ViewingMode

アクセス

読み取り専用。


ViewportSize プロパティ (WPFScrollBar)

クラス

WPFScrollBar.

処理

[読み取り専用] 現在表示されるスクロール可能なコンテンツの量。 これは依存関係プロパティです。

構文

C#
protected Double ViewportSize { get; }
VB
'Declaration
Protected Read Property ViewportSize As Double

アクセス

読み取り専用。


VisibleItemPaths プロパティ (WPFTreeView)

クラス

WPFTreeView.

処理

[読み取り専用] ツリーに表示される項目の項目パス。

構文

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

アクセス

読み取り専用。


Volume プロパティ (WPFMediaElement)

クラス

WPFMediaElement.

処理

[読み書き可能] メディアのボリューム。

構文

C#
protected Double Volume { get; set; }
VB
'Declaration
Protected ReadWrite Property Volume As Double

アクセス

読み書き。


ZoomIncrement プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] ズーム インクリメント。

構文

C#
protected Double ZoomIncrement { get; }
VB
'Declaration
Protected Read Property ZoomIncrement As Double

アクセス

読み取り専用。


ZoomIncrement プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] ズーム インクリメント。

構文

C#
protected Double ZoomIncrement { get; }
VB
'Declaration
Protected Read Property ZoomIncrement As Double

アクセス

読み取り専用。


ZoomIncrement プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] ズーム インクリメント。

構文

C#
protected Double ZoomIncrement { get; }
VB
'Declaration
Protected Read Property ZoomIncrement As Double

アクセス

読み取り専用。


Zoom プロパティ (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

[読み取り専用] ドキュメントのズーム倍率。

構文

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

アクセス

読み取り専用。


Zoom プロパティ (WPFFlowDocumentPageViewer)

クラス

WPFFlowDocumentPageViewer.

処理

[読み取り専用] FlowDocumentPageViewer の現在のズーム レベル。

構文

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

アクセス

読み取り専用。


Zoom プロパティ (WPFFlowDocumentReader)

クラス

WPFFlowDocumentReader.

処理

[読み取り専用] FlowDocumentReader の現在のズーム レベル。

構文

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

アクセス

読み取り専用。


Zoom プロパティ (WPFFlowDocumentScrollViewer)

クラス

WPFFlowDocumentScrollViewer.

処理

[読み取り専用] FlowDocumentScrollViewer の現在のズーム レベル。

構文

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

アクセス

読み取り専用。


ZoomToActualSize メソッド (WPFDocumentViewer)

クラス

WPFDocumentViewer.

処理

ズームを 100% に設定します。

構文

C#
documentViewer.ZoomToActualSize()
VB
documentViewer.ZoomToActualSize()


AcceptAlert メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

OK を押して JavaScript 警告を承認します。

構文

C#
browserWindow.AcceptAlert([promptInput])
VB
browserWindow.AcceptAlert([promptInput])
変数 | 説明
promptInput | 省略可能: JavaScript 警告に入力が求められている場合、このテキストが警告に渡されます。 String。


AllowsMultiSelect プロパティ (DomListBox)

クラス

DomListBox.

処理

[読み書き可能] コントロールが複数選択可能かどうか。

構文

C#
protected Boolean AllowsMultiSelect { get; set; }
VB
'Declaration
Protected ReadWrite Property AllowsMultiSelect As Boolean

アクセス

読み書き。


Back メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

履歴の "戻る" エントリに移動します。

構文

C#
browserWindow.Back()
VB
browserWindow.Back()


CaptureFullPageBitmap メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

Web ページ全体のスクリーンショットをキャプチャして、指定したパスにファイルを保存します。 ファイル名の拡張子でファイルの種類を指定できます。 有効な拡張子は、.jpg、.jpeg、.png、.bmp です。

構文

C#
browserWindow.CaptureFullPageBitmap(path)
VB
browserWindow.CaptureFullPageBitmap(path)
変数 | 説明
path | 生成した画像へのファイル パス。ファイル名の拡張子でファイルの種類を指定できます。 有効な拡張子は、.jpg、.jpeg、.png、.bmp です。 String。


Check メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスをチェックします。

構文

C#
checkBox.Check()
VB
checkBox.Check()


ClearCache メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

ブラウザーのキャッシュをクリアします。

このメソッドは Internet Explorer でのみサポートされています。

構文

C#
webBrowser.ClearCache([option])
VB
webBrowser.ClearCache([option])
変数 | 説明
option | 省略可能: 0: すべて削除。 1: インターネット一時ファイルの削除。 3: Cookie の削除。 Integer。


ClearText メソッド (DomTextField)

クラス

DomTextField.

処理

テキスト フィールドのテキストをクリアします。

構文

C#
textField.ClearText()
VB
textField.ClearText()


Close メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

モーダル ブラウザー ダイアログ、ブラウザーのタブ、または最後のタブの場合は (または IE6 の場合) ブラウザー自身を閉じます。

構文

C#
browserWindow.Close()
VB
browserWindow.Close()


CloseOtherTabs メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

アクティブなタブ以外のすべてのタブを閉じます。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 このメソッドは選択されているタブ以外のすべてのタブを現在表示されていないタブも含めて閉じます。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
webBrowser.CloseOtherTabs()
VB
webBrowser.CloseOtherTabs()


CloseTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

指定したタブを閉じます。 タブが指定されていない場合、アクティブなタブが閉じられます。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、現在表示されているタブだけが、インデックスの影響を受けるこの方式と機能します。 たとえば、現在表示されているタブだけを閉じることができます。 インデックス 0 は最初の表示されているタブを識別します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
result = webBrowser.CloseTab([tab])
VB
result = webBrowser.CloseTab([tab])
変数 | 説明
result | タブを閉じた後にアクティブな BrowserWindow。 BrowserWindow。
tab | 省略可能: 閉じるタブ。 タブ名には、ワイルドカード '*' および '?' を含むことができます。 ItemIdentifier。


DismissAlert メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

JavaScript 警告を解除します。

構文

C#
browserWindow.DismissAlert()
VB
browserWindow.DismissAlert()


DomClick メソッド (DomElement)

クラス

DomElement.

処理

DOM API を使用してクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される Click 関数を呼び出すこともできます。

構文

C#
element.DomClick([button, pos])
VB
element.DomClick([button, pos])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央 になります。 MouseButton。
pos | 省略可能: クリックする座標（ウィンドウに相対）。 Point。


DomDoubleClick メソッド (DomElement)

クラス

DomElement.

処理

DOM API を使用してダブルクリックを呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される DoubleClick 関数を呼び出すこともできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
element.DomDoubleClick([button, pos, modifiers])
VB
element.DomDoubleClick([button, pos, modifiers])
変数 | 説明
button | 省略可能: 押下するマウス ボタン。 値は、1=左、2=右、3=中央 になります。 MouseButton。
pos | 省略可能: クリックする座標（ウィンドウに相対）。 Point。
modifiers | 省略可能: 現在、何も効果はありません。 製品の今後のバージョンで削除される予定です。 ModifierKeys。


DomMouseMove メソッド (DomElement)

クラス

DomElement.

処理

DOM API を使用してマウスの移動を呼び出します。 DomElement やそのサブクラスの低レベルな再生で使用される MouseMove 関数を使用することもできます。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
element.DomMouseMove([pos])
VB
element.DomMouseMove([pos])
変数 | 説明
pos | 省略可能: 新しいロケーションの座標（ウィンドウに相対）。 Point。


ExecuteJavaScript メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

トップ レベル ドキュメントのコンテキストで JavaScript コードを評価します。

構文

C#
browserWindow.ExecuteJavaScript(code)
VB
browserWindow.ExecuteJavaScript(code)
変数 | 説明
code | 評価する JavaScript コード。 String。


ExecuteJavaScript メソッド (DomElement)

クラス

DomElement.

処理

親ドキュメントのコンテキストで指定した JavaScript コードを評価します。

構文

C#
element.ExecuteJavaScript(code, [elementName])
VB
element.ExecuteJavaScript(code, [elementName])
変数 | 説明
code | 評価する JavaScript コード。 String。
elementName | 省略可能: スクリプトで使用できる現在の要素の名前 (たとえば、'alert(currentElement.tagName);' はメッセージ ボックスを開き、現在の要素のタグ名を表示します)。 String。


ExistsTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

タブが存在する場合に true、それ以外は false を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
result = webBrowser.ExistsTab(tab)
VB
result = webBrowser.ExistsTab(tab)
変数 | 説明
result | タブが存在する場合に true、それ以外は false。 Boolean。
tab | タブの場所を決定する項目識別子。 ItemIdentifier。


Forward メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

履歴の "進む" エントリに移動します。

構文

C#
browserWindow.Forward()
VB
browserWindow.Forward()


GetActiveTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

GetActiveTab メソッドは推奨されません。 代わりに GetSelectedTab メソッドを使用してください。

アクティブなタブを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
activeTab = webBrowser.GetActiveTab()
VB
activeTab = webBrowser.GetActiveTab()
変数 | 説明
activeTab | 現在アクティブな BrowserWindow。 BrowserWindow。


GetAlertText メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

JavaScript 警告のメッセージ テキストを取得します。

構文

C#
alertText = browserWindow.GetAlertText()
VB
alertText = browserWindow.GetAlertText()
変数 | 説明
alertText | String。


GetBrowserMajorVersion メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

ブラウザーのメジャー バージョン番号を返します。

構文

C#
browserMajorVersion = browserWindow.GetBrowserMajorVersion()
VB
browserMajorVersion = browserWindow.GetBrowserMajorVersion()
変数 | 説明
browserMajorVersion | Integer。


GetCellCount メソッド (DomTableRow)

クラス

DomTableRow.

処理

このテーブル行のセルの数を返します。

構文

C#
cellCount = tableRow.GetCellCount()
VB
cellCount = tableRow.GetCellCount()
変数 | 説明
cellCount | Integer。


GetCell メソッド (DomTable)

クラス

DomTable.

処理

指定したセルを返します。

構文

C#
cell = table.GetCell(row, col)
VB
cell = table.GetCell(row, col)
変数 | 説明
cell | DomElement。
row | 行のインデックス。 ItemIdentifier。
col | 列のインデックス。 ItemIdentifier。


GetCell メソッド (DomTableRow)

クラス

DomTableRow.

処理

指定したセルの DOM 要素を返します。

構文

C#
cell = tableRow.GetCell(itemIdentifier)
VB
cell = tableRow.GetCell(itemIdentifier)
変数 | 説明
cell | DomElement。
itemIdentifier | セルのインデックス。 ItemIdentifier。


GetCellText メソッド (DomTable)

クラス

DomTable.

処理

セル要素のコンテンツを返します。

構文

C#
cellText = table.GetCellText(row, col)
VB
cellText = table.GetCellText(row, col)
変数 | 説明
cellText | String。
row | 行のインデックス。 ItemIdentifier。
col | 列のインデックス。 ItemIdentifier。


GetColumnCount メソッド (DomTable)

クラス

DomTable.

処理

テーブルの列の数を返します。

構文

C#
columnCount = table.GetColumnCount()
VB
columnCount = table.GetColumnCount()
変数 | 説明
columnCount | Integer。


GetCssStyle メソッド (DomElement)

クラス

DomElement.

処理

指定したスタイル名の算出 CSS スタイルを取得します。

構文

C#
cssStyle = element.GetCssStyle(styleName)
VB
cssStyle = element.GetCssStyle(styleName)
変数 | 説明
cssStyle | String。
styleName | CSS スタイル名。 'text-decoration' など。 String。


GetDomAttributeList メソッド (DomElement)

クラス

DomElement.

処理

この要素に対して利用可能なすべての DOM 属性の名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
domAttributeList = element.GetDomAttributeList([specifiedOnly])
VB
domAttributeList = element.GetDomAttributeList([specifiedOnly])
変数 | 説明
domAttributeList | List(Of String)。
specifiedOnly | 省略可能: DOM 要素に対して指定した属性のみを返します。 IE9 以降の場合、常に true です。 Boolean。


GetDomAttribute メソッド (DomElement)

クラス

DomElement.

処理

オブジェクトに指定された DOM 属性の値を取得します。

構文

C#
domAttribute = element.GetDomAttribute(attributeName)
VB
domAttribute = element.GetDomAttribute(attributeName)
変数 | 説明
domAttribute | 属性の値。 Object。
attributeName | 属性の名前。 String。


GetHtmlRect メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

BrowserWindow の矩形領域を HTML ピクセルで取得します。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。

構文

C#
htmlRect = browserWindow.GetHtmlRect()
VB
htmlRect = browserWindow.GetHtmlRect()
変数 | 説明
htmlRect | Rectangle。


GetHtmlRect メソッド (DomElement)

クラス

DomElement.

処理

BrowserWindow に相対的な DomElement の矩形領域を取得します。 GetRect 関数によって提供される画面座標と異なり、GetHtmlRect によって提供される座標は、モバイル ブラウザーの拡大レベルの影響は受けません。 Click 関数もすべての DomElements に対する HTML ピクセル座標を使用します。 ブラウザー内のすべての位置計算には GetHtmlRect を使用することをお勧めします。 これによって、スクリプトがクロスブラウザー対応になり、位置計算はモバイル ブラウザーの拡大レベルの変更の影響を受けなくなります。

構文

C#
htmlRect = element.GetHtmlRect()
VB
htmlRect = element.GetHtmlRect()
変数 | 説明
htmlRect | Rectangle。


GetPageSource メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

Web サイトのページのソースを返します。

構文

C#
pageSource = browserWindow.GetPageSource()
VB
pageSource = browserWindow.GetPageSource()
変数 | 説明
pageSource | String。


GetRowCount メソッド (DomTable)

クラス

DomTable.

処理

行の数を返します。

構文

C#
rowCount = table.GetRowCount()
VB
rowCount = table.GetRowCount()
変数 | 説明
rowCount | Integer。


GetRow メソッド (DomTable)

クラス

DomTable.

処理

指定した行の DOM 要素を返します。

構文

C#
row = table.GetRow(itemIdentifier)
VB
row = table.GetRow(itemIdentifier)
変数 | 説明
row | DomTableRow。
itemIdentifier | 行のインデックス。 ItemIdentifier。


GetRows メソッド (DomTable)

クラス

DomTable.

処理

行 (DomTableRow) のリストを返します。

構文

C#
rows = table.GetRows()
VB
rows = table.GetRows()
変数 | 説明
rows | List(Of DomTableRow)。


GetRowText メソッド (DomTable)

クラス

DomTable.

処理

指定した行のすべてのセル要素のコンテンツを返します。

構文

C#
rowText = table.GetRowText(row)
VB
rowText = table.GetRowText(row)
変数 | 説明
rowText | List(Of String)。
row | 行のインデックス。 ItemIdentifier。


GetSelectedTabIndex メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

アクティブなタブのインデックスを返します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、このメソッドは現在表示されているタブに相対的なインデックスのみを返します。 インデックス 0 は最初の表示されているタブを識別します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
selectedTabIndex = webBrowser.GetSelectedTabIndex()
VB
selectedTabIndex = webBrowser.GetSelectedTabIndex()
変数 | 説明
selectedTabIndex | Integer。


GetSelectedTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

現在選択されているタブを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
selectedTab = webBrowser.GetSelectedTab()
VB
selectedTab = webBrowser.GetSelectedTab()
変数 | 説明
selectedTab | 現在選択されている BrowserWindow。 BrowserWindow。


GetSelectedTabName メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

アクティブなタブの名前を返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
selectedTabName = webBrowser.GetSelectedTabName()
VB
selectedTabName = webBrowser.GetSelectedTabName()
変数 | 説明
selectedTabName | String。


GetTabCount メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

開いているタブの数を返します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、このメソッドは現在表示されているタブの数のみを返します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
tabCount = webBrowser.GetTabCount()
VB
tabCount = webBrowser.GetTabCount()
変数 | 説明
tabCount | Integer。


GetText メソッド (DomElement)

クラス

DomElement.

処理

DOM 要素の表示されるテキストを取得します。

構文

C#
text = element.GetText()
VB
text = element.GetText()
変数 | 説明
text | String。


GetUrl メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

メイン ドキュメントの URL を返します。

構文

C#
url = browserWindow.GetUrl()
VB
url = browserWindow.GetUrl()
変数 | 説明
url | String。


GetUserAgent メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

ブラウザーのユーザー エージェント文字列を返します。

構文

C#
userAgent = browserWindow.GetUserAgent()
VB
userAgent = browserWindow.GetUserAgent()
変数 | 説明
userAgent | String。


Highlight メソッド (DomElement)

クラス

DomElement.

処理

DOM 要素をハイライトします。

構文

C#
element.Highlight(foregroundColor, backgroundColor)
VB
element.Highlight(foregroundColor, backgroundColor)
変数 | 説明
foregroundColor | ハイライトする DOM 要素の前景色。 red や #ff0000 など、HTML で有効な色を使用できます。 String。
backgroundColor | ハイライトする DOM 要素の背景色。 red や #ff0000 など、HTML で有効な色を使用できます。 String。


IsAlertPresent メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

JavaScript 警告が開いている場合に true を返します。

構文

C#
alertPresent = browserWindow.IsAlertPresent()
VB
alertPresent = browserWindow.IsAlertPresent()
変数 | 説明
alertPresent | Boolean。


IsChecked メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスがチェックされている場合は true を、それ以外の場合は false を返します。

構文

C#
checked = checkBox.IsChecked()
VB
checked = checkBox.IsChecked()
変数 | 説明
checked | Boolean。


IsFocused プロパティ (DomElement)

クラス

DomElement.

処理

[読み取り専用] DOM 要素がフォーカスを持っているかどうか。

構文

C#
protected Boolean IsFocused { get; }
VB
'Declaration
Protected Read Property IsFocused As Boolean

アクセス

読み取り専用。


IsPassword プロパティ (DomTextField)

クラス

DomTextField.

処理

[読み取り専用] テキスト フィールドがパスワード テキスト フィールドであるかどうか。

構文

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

アクセス

読み取り専用。


ItemCount プロパティ (IItemSelectable)

クラス

IItemSelectable.

処理

[読み取り専用] リスト ボックスの項目の数。

構文

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

アクセス

読み取り専用。


Items プロパティ (IItemSelectable)

クラス

IItemSelectable.

処理

[読み取り専用] リスト ボックスの項目のリスト。

構文

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

アクセス

読み取り専用。


MultiSelect メソッド (DomListBox)

クラス

DomListBox.

処理

項目のリストを選択します。

構文

C#
listBox.MultiSelect(items)
VB
listBox.MultiSelect(items)
変数 | 説明
items | 選択する項目。 List(Of ItemIdentifier )。


Navigate メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

現在アクティブなタブ/ウィンドウで指定した URL に移動します。

構文

C#
webBrowser.Navigate(url)
VB
webBrowser.Navigate(url)
変数 | 説明
url | 移動する URL。 String。


Navigate メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

メイン ドキュメントを URL に移動します。

構文

C#
browserWindow.Navigate(url)
VB
browserWindow.Navigate(url)
変数 | 説明
url | 移動する URL。 String。


OpenTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

新しいタブを開き、指定した URL に移動します。 URL が指定されていない場合には、タブは about:blank に移動します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
result = webBrowser.OpenTab([url])
VB
result = webBrowser.OpenTab([url])
変数 | 説明
result | 開かれた BrowserWindow。 BrowserWindow。
url | 省略可能: 新しいタブで移動する URL。 String。


RadioListItemCount プロパティ (DomRadioButton)

クラス

DomRadioButton.

処理

[読み取り専用] ラジオ リストの項目の数。 このプロパティはモバイル Web アプリケーションではサポートされていません。

構文

C#
protected Integer RadioListItemCount { get; }
VB
'Declaration
Protected Read Property RadioListItemCount As Integer

アクセス

読み取り専用。


RadioListItems プロパティ (DomRadioButton)

クラス

DomRadioButton.

処理

[読み取り専用] ラジオ リストの項目のリスト。

リストの空白類はすべてのサポート対象ブラウザーにおいて一貫してトリムされます。 このプロパティはモバイル Web アプリケーションではサポートされていません。

構文

C#
protected List(Of ItemIdentifier) RadioListItems { get; }
VB
'Declaration
Protected Read Property RadioListItems As List(Of ItemIdentifier)

アクセス

読み取り専用。


RadioListSelectedIndex プロパティ (DomRadioButton)

クラス

DomRadioButton.

処理

[読み取り専用] 選択する項目のインデックス。 このプロパティはモバイル Web アプリケーションではサポートされていません。 The value is zero-based.。

構文

C#
protected Integer RadioListSelectedIndex { get; }
VB
'Declaration
Protected Read Property RadioListSelectedIndex As Integer

アクセス

読み取り専用。


RadioListSelectedItem プロパティ (DomRadioButton)

クラス

DomRadioButton.

処理

[読み取り専用] ラジオ リストで選択されている項目。 このプロパティはモバイル Web アプリケーションではサポートされていません。

構文

C#
protected ItemIdentifier RadioListSelectedItem { get; }
VB
'Declaration
Protected Read Property RadioListSelectedItem As ItemIdentifier

アクセス

読み取り専用。


RadioListSelect メソッド (DomRadioButton)

クラス

DomRadioButton.

処理

ラジオ リストの項目を選択します。

リストの空白類はすべてのサポート対象ブラウザーにおいて一貫してトリムされます。

構文

C#
radioButton.RadioListSelect(item)
VB
radioButton.RadioListSelect(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


Reload メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

ブラウザーの再読み込みボタンの動作と同様に、メイン ドキュメントを再読み込みします。

構文

C#
browserWindow.Reload([bypassCache])
VB
browserWindow.Reload([bypassCache])
変数 | 説明
bypassCache | 省略可能: キャッシュを通さない場合は true を設定します。 Windows Internet Explorer や Mozilla Firefox で Ctrl+F5 を押した場合と同様の処理となります。 Google Chrome を使用している場合は、このパラメーターを設定しても効果はありません。 Boolean。


ScrollIntoView メソッド (DomElement)

クラス

DomElement.

処理

ブラウザー ウィンドウの表示領域に DOM 要素をスクロールします。

構文

C#
element.ScrollIntoView()
VB
element.ScrollIntoView()


SelectedIndices プロパティ (DomListBox)

クラス

DomListBox.

処理

[読み書き可能] 選択した項目の索引。

構文

C#
protected List(Of Integer) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

アクセス

読み書き。


SelectedItems プロパティ (DomListBox)

クラス

DomListBox.

処理

[読み書き可能] 選択した項目の名前。

構文

C#
protected List(Of ItemIdentifier) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemIdentifier)

アクセス

読み書き。


Selected プロパティ (DomRadioButton)

クラス

DomRadioButton.

処理

[読み取り専用] ラジオ ボタンが選択されているかどうか。

構文

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

アクセス

読み取り専用。


Select メソッド (DomButton)

クラス

DomButton.

処理

ボタンをクリックします。

構文

C#
button.Select()
VB
button.Select()


Select メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスを選択します。

構文

C#
checkBox.Select(state)
VB
checkBox.Select(state)
変数 | 説明
state | チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。 Integer。


Select メソッド (DomLink)

クラス

DomLink.

処理

リンクをクリックします。

構文

C#
link.Select()
VB
link.Select()


Select メソッド (DomRadioButton)

クラス

DomRadioButton.

処理

ラジオ ボタンを選択します。

構文

C#
radioButton.Select()
VB
radioButton.Select()


Select メソッド (IItemSelectable)

クラス

IItemSelectable.

処理

項目を選択します。

構文

C#
iItemSelectable.Select(item)
VB
iItemSelectable.Select(item)
変数 | 説明
item | 選択する項目。 ItemIdentifier。


SelectTab メソッド (BrowserApplication)

クラス

BrowserApplication.

処理

指定したタブを選択します。 複数のタブが開いている場合には、Internet Explorer では、一部のタブと、スクロール ボタンが表示されます。 結果として、現在表示されているタブだけが、インデックスの影響を受けるこの方式と機能します。 たとえば、現在表示されているタブだけが選択することができます。 インデックス 0 は最初の表示されているタブを選択します。 このメソッドはモバイル Web アプリケーションではサポートされていません。

構文

C#
result = webBrowser.SelectTab(tab)
VB
result = webBrowser.SelectTab(tab)
変数 | 説明
result | 選択されたタブ。 BrowserWindow。
tab | 選択するタブ。 タブ名には、ワイルドカード '*' および '?' を含むことができます。 ItemIdentifier。


SetDomAttribute メソッド (DomElement)

クラス

DomElement.

処理

オブジェクトに指定された DOM 属性の値を設定します。

構文

C#
element.SetDomAttribute(attributeName, attributeValue)
VB
element.SetDomAttribute(attributeName, attributeValue)
変数 | 説明
attributeName | 属性の名前。 String。
attributeValue | 設定する値。 Object。


SetFocus メソッド (BrowserObject)

クラス

BrowserObject.

処理

コントロールにフォーカスを与えます。

構文

C#
browserObject.SetFocus()
VB
browserObject.SetFocus()


SetText メソッド (DomTextField)

クラス

DomTextField.

処理

テキストを設定します。

構文

C#
textField.SetText(text)
VB
textField.SetText(text)
変数 | 説明
text | 設定するテキスト。 String。


SetUndecided メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスを未設定の状態に設定します。

構文

C#
checkBox.SetUndecided()
VB
checkBox.SetUndecided()


SetViewportName メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

ブラウザー ウィンドウのサイズをブラウザー サイズ リストで指定したサイズに設定します。

構文

C#
browserWindow.SetViewportName(viewportName, [orientation])
VB
browserWindow.SetViewportName(viewportName, [orientation])
変数 | 説明
viewportName | ブラウザー サイズ リストでのブラウザー サイズの名前。 String。
orientation | 省略可能: ブラウザー ウィンドウの向き。 DisplayOrientation。


SetViewportSize メソッド (BrowserWindow)

クラス

BrowserWindow.

処理

ブラウザー ウィンドウのサイズを指定した幅と高さに設定します。

構文

C#
browserWindow.SetViewportSize(width, height)
VB
browserWindow.SetViewportSize(width, height)
変数 | 説明
width | ブラウザー ウィンドウの新しい幅。 Integer。
height | ブラウザー ウィンドウの新しい高さ。 Integer。


State プロパティ (DomCheckBox)

クラス

DomCheckBox.

処理

[読み書き可能] チェック ボックスの状態。 有効な値は、1=チェックあり、2=チェックなし、3=未設定 です。

構文

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

アクセス

読み書き。


Submit メソッド (DomForm)

クラス

DomForm.

処理

フォームを送信します。

構文

C#
form.Submit()
VB
form.Submit()


Toggle メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスの状態を切り替えます。 チェック ボックスがチェックされている場合は、チェックを外し、そうでない場合はチェックします。 チェック ボックスが未設定の状態にある場合は、未設定のままになります。

構文

C#
checkBox.Toggle()
VB
checkBox.Toggle()


Uncheck メソッド (DomCheckBox)

クラス

DomCheckBox.

処理

チェック ボックスのチェックを外します。

構文

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


Unhighlight メソッド (DomElement)

クラス

DomElement.

処理

元の前景色と背景色に戻します。

構文

C#
element.Unhighlight()
VB
element.Unhighlight()


Unselect メソッド (DomListBox)

クラス

DomListBox.

処理

項目の選択を解除します。

構文

C#
listBox.Unselect(item)
VB
listBox.Unselect(item)
変数 | 説明
item | 選択解除する項目。 ItemIdentifier。


ViewportHeight プロパティ (BrowserWindow)

クラス

BrowserWindow.

処理

[読み取り専用] ブラウザー ビューポートの高さ。

構文

C#
protected Integer ViewportHeight { get; }
VB
'Declaration
Protected Read Property ViewportHeight As Integer

アクセス

読み取り専用。


ViewportName プロパティ (BrowserWindow)

クラス

BrowserWindow.

処理

[読み取り専用] ブラウザー ウィンドウの innerWidth と innerHeight に一致するビューポートの名前。

構文

C#
protected String ViewportName { get; }
VB
'Declaration
Protected Read Property ViewportName As String

アクセス

読み取り専用。


ViewportOrientation プロパティ (BrowserWindow)

クラス

BrowserWindow.

処理

[読み取り専用] ブラウザー ビューポートの向き。 横向きか縦向きを指定できます。

構文

C#
protected DisplayOrientation ViewportOrientation { get; }
VB
'Declaration
Protected Read Property ViewportOrientation As DisplayOrientation

アクセス

読み取り専用。


ViewportWidth プロパティ (BrowserWindow)

クラス

BrowserWindow.

処理

[読み取り専用] ブラウザー ビューポートの幅。

構文

C#
protected Integer ViewportWidth { get; }
VB
'Declaration
Protected Read Property ViewportWidth As Integer

アクセス

読み取り専用。


Visible プロパティ (BrowserObject)

クラス

BrowserObject.

処理

[読み取り専用] オブジェクトが表示されるかどうかを指定します。 表示可能なオブジェクトのみ検索できます。デフォルトでは値は常に true です。 ただし、テスト対象アプリケーションですでに検索したオブジェクトが再生中に非表示になった場合に、このプロパティが必要になる場合があります。

構文

C#
protected Boolean Visible { get; }
VB
'Declaration
Protected Read Property Visible As Boolean

アクセス

読み取り専用。